package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Bitmap;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.RippleDrawable;
import android.net.Uri;
import android.util.AttributeSet;
import android.widget.ImageView;
import androidx.core.view.TintableBackgroundView;
import androidx.core.widget.TintableImageSourceView;
import b.b.f.b;
import b.b.f.e;
import b.b.f.v;
import b.b.f.w;
import b.b.f.x;

public class AppCompatImageView extends ImageView implements TintableBackgroundView, TintableImageSourceView {
    private final b mBackgroundTintHelper;
    private final e mImageHelper;

    public AppCompatImageView(Context context) {
        this(context, null);
    }

    public void drawableStateChanged() {
        super.drawableStateChanged();
        b bVar = this.mBackgroundTintHelper;
        if (bVar != null) {
            bVar.a();
        }
        e eVar = this.mImageHelper;
        if (eVar != null) {
            eVar.a();
        }
    }

    @Override // androidx.core.view.TintableBackgroundView
    public ColorStateList getSupportBackgroundTintList() {
        b bVar = this.mBackgroundTintHelper;
        if (bVar != null) {
            return bVar.b();
        }
        return null;
    }

    @Override // androidx.core.view.TintableBackgroundView
    public PorterDuff.Mode getSupportBackgroundTintMode() {
        b bVar = this.mBackgroundTintHelper;
        if (bVar != null) {
            return bVar.c();
        }
        return null;
    }

    @Override // androidx.core.widget.TintableImageSourceView
    public ColorStateList getSupportImageTintList() {
        x xVar;
        e eVar = this.mImageHelper;
        if (eVar == null || (xVar = eVar.f2362b) == null) {
            return null;
        }
        return xVar.f2448a;
    }

    @Override // androidx.core.widget.TintableImageSourceView
    public PorterDuff.Mode getSupportImageTintMode() {
        x xVar;
        e eVar = this.mImageHelper;
        if (eVar == null || (xVar = eVar.f2362b) == null) {
            return null;
        }
        return xVar.f2449b;
    }

    public boolean hasOverlappingRendering() {
        if (!(!(this.mImageHelper.f2361a.getBackground() instanceof RippleDrawable)) || !super.hasOverlappingRendering()) {
            return false;
        }
        return true;
    }

    public void setBackgroundDrawable(Drawable drawable) {
        super.setBackgroundDrawable(drawable);
        b bVar = this.mBackgroundTintHelper;
        if (bVar != null) {
            bVar.e();
        }
    }

    public void setBackgroundResource(int i2) {
        super.setBackgroundResource(i2);
        b bVar = this.mBackgroundTintHelper;
        if (bVar != null) {
            bVar.f(i2);
        }
    }

    public void setImageBitmap(Bitmap bitmap) {
        super.setImageBitmap(bitmap);
        e eVar = this.mImageHelper;
        if (eVar != null) {
            eVar.a();
        }
    }

    public void setImageDrawable(Drawable drawable) {
        super.setImageDrawable(drawable);
        e eVar = this.mImageHelper;
        if (eVar != null) {
            eVar.a();
        }
    }

    public void setImageResource(int i2) {
        e eVar = this.mImageHelper;
        if (eVar != null) {
            eVar.c(i2);
        }
    }

    public void setImageURI(Uri uri) {
        super.setImageURI(uri);
        e eVar = this.mImageHelper;
        if (eVar != null) {
            eVar.a();
        }
    }

    @Override // androidx.core.view.TintableBackgroundView
    public void setSupportBackgroundTintList(ColorStateList colorStateList) {
        b bVar = this.mBackgroundTintHelper;
        if (bVar != null) {
            bVar.h(colorStateList);
        }
    }

    @Override // androidx.core.view.TintableBackgroundView
    public void setSupportBackgroundTintMode(PorterDuff.Mode mode) {
        b bVar = this.mBackgroundTintHelper;
        if (bVar != null) {
            bVar.i(mode);
        }
    }

    @Override // androidx.core.widget.TintableImageSourceView
    public void setSupportImageTintList(ColorStateList colorStateList) {
        e eVar = this.mImageHelper;
        if (eVar != null) {
            eVar.d(colorStateList);
        }
    }

    @Override // androidx.core.widget.TintableImageSourceView
    public void setSupportImageTintMode(PorterDuff.Mode mode) {
        e eVar = this.mImageHelper;
        if (eVar != null) {
            eVar.e(mode);
        }
    }

    public AppCompatImageView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public AppCompatImageView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        w.a(context);
        v.a(this, getContext());
        b bVar = new b(this);
        this.mBackgroundTintHelper = bVar;
        bVar.d(attributeSet, i2);
        e eVar = new e(this);
        this.mImageHelper = eVar;
        eVar.b(attributeSet, i2);
    }
}
