package androidx.appcompat.widget;

import android.annotation.SuppressLint;
import android.app.PendingIntent;
import android.app.SearchableInfo;
import android.content.ActivityNotFoundException;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.database.Cursor;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.Editable;
import android.text.SpannableStringBuilder;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.text.style.ImageSpan;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.TouchDelegate;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.inputmethod.EditorInfo;
import android.view.inputmethod.InputConnection;
import android.view.inputmethod.InputMethodManager;
import android.widget.AdapterView;
import android.widget.AutoCompleteTextView;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.appcompat.R$attr;
import androidx.appcompat.R$dimen;
import androidx.appcompat.R$id;
import androidx.appcompat.R$layout;
import androidx.appcompat.R$string;
import androidx.appcompat.R$styleable;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.appcompat.view.CollapsibleActionView;
import androidx.core.view.ViewCompat;
import androidx.cursoradapter.widget.CursorAdapter;
import androidx.customview.view.AbsSavedState;
import b.b.f.e0;
import b.b.f.u;
import b.b.f.z;
import java.lang.reflect.Method;
import java.util.Objects;
import java.util.WeakHashMap;
import java.util.concurrent.atomic.AtomicInteger;

public class SearchView extends LinearLayoutCompat implements CollapsibleActionView {
    public static final k w = (Build.VERSION.SDK_INT < 29 ? new k() : null);
    public final View A;
    public final ImageView B;
    public final ImageView C;
    public final ImageView D;
    public final ImageView E;
    public final View F;
    public l G;
    public Rect H;
    public Rect I;
    public int[] J;
    public int[] K;
    public final ImageView L;
    public final Drawable M;
    public final int N;
    public final int O;
    public final Intent P;
    public final Intent Q;
    public final CharSequence R;
    public OnQueryTextListener S;
    public OnCloseListener T;
    public View.OnFocusChangeListener U;
    public OnSuggestionListener V;
    public View.OnClickListener W;
    public boolean a0;
    public boolean b0;
    public CursorAdapter c0;
    public boolean d0;
    public CharSequence e0;
    public boolean f0;
    public boolean g0;
    public int h0;
    public boolean i0;
    public CharSequence j0;
    public CharSequence k0;
    public boolean l0;
    public int m0;
    public SearchableInfo n0;
    public Bundle o0;
    public final Runnable p0;
    public Runnable q0;
    public final WeakHashMap<String, Drawable.ConstantState> r0;
    public final View.OnClickListener s0;
    public View.OnKeyListener t0;
    public final TextView.OnEditorActionListener u0;
    public final AdapterView.OnItemClickListener v0;
    public final AdapterView.OnItemSelectedListener w0;
    public final SearchAutoComplete x;
    public TextWatcher x0;
    public final View y;
    public final View z;

    public interface OnCloseListener {
        boolean onClose();
    }

    public interface OnQueryTextListener {
        boolean onQueryTextChange(String str);

        boolean onQueryTextSubmit(String str);
    }

    public interface OnSuggestionListener {
        boolean onSuggestionClick(int i2);

        boolean onSuggestionSelect(int i2);
    }

    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        public boolean isIconified;

        public class a implements Parcelable.ClassLoaderCreator<SavedState> {
            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // android.os.Parcelable.ClassLoaderCreator
            public SavedState createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            public Object[] newArray(int i2) {
                return new SavedState[i2];
            }

            @Override // android.os.Parcelable.Creator
            public Object createFromParcel(Parcel parcel) {
                return new SavedState(parcel, null);
            }
        }

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        public String toString() {
            StringBuilder B = d.a.a.a.a.B("SearchView.SavedState{");
            B.append(Integer.toHexString(System.identityHashCode(this)));
            B.append(" isIconified=");
            B.append(this.isIconified);
            B.append("}");
            return B.toString();
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(Parcel parcel, int i2) {
            super.writeToParcel(parcel, i2);
            parcel.writeValue(Boolean.valueOf(this.isIconified));
        }

        public SavedState(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.isIconified = ((Boolean) parcel.readValue(null)).booleanValue();
        }
    }

    public static class SearchAutoComplete extends AppCompatAutoCompleteTextView {

        /* renamed from: k  reason: collision with root package name */
        public int f440k;

        /* renamed from: l  reason: collision with root package name */
        public SearchView f441l;
        public boolean m;
        public final Runnable n;

        public class a implements Runnable {
            public a() {
            }

            public void run() {
                SearchAutoComplete searchAutoComplete = SearchAutoComplete.this;
                if (searchAutoComplete.m) {
                    ((InputMethodManager) searchAutoComplete.getContext().getSystemService("input_method")).showSoftInput(searchAutoComplete, 0);
                    searchAutoComplete.m = false;
                }
            }
        }

        public SearchAutoComplete(Context context) {
            this(context, null);
        }

        private int getSearchViewTextMinWidthDp() {
            Configuration configuration = getResources().getConfiguration();
            int i2 = configuration.screenWidthDp;
            int i3 = configuration.screenHeightDp;
            if (i2 >= 960 && i3 >= 720 && configuration.orientation == 2) {
                return 256;
            }
            if (i2 < 600) {
                return (i2 < 640 || i3 < 480) ? 160 : 192;
            }
            return 192;
        }

        public void a() {
            if (Build.VERSION.SDK_INT >= 29) {
                setInputMethodMode(1);
                if (enoughToFilter()) {
                    showDropDown();
                    return;
                }
                return;
            }
            k kVar = SearchView.w;
            Objects.requireNonNull(kVar);
            k.a();
            Method method = kVar.f455c;
            if (method != null) {
                try {
                    method.invoke(this, Boolean.TRUE);
                } catch (Exception unused) {
                }
            }
        }

        public boolean enoughToFilter() {
            return this.f440k <= 0 || super.enoughToFilter();
        }

        @Override // androidx.appcompat.widget.AppCompatAutoCompleteTextView
        public InputConnection onCreateInputConnection(EditorInfo editorInfo) {
            InputConnection onCreateInputConnection = super.onCreateInputConnection(editorInfo);
            if (this.m) {
                removeCallbacks(this.n);
                post(this.n);
            }
            return onCreateInputConnection;
        }

        public void onFinishInflate() {
            super.onFinishInflate();
            setMinWidth((int) TypedValue.applyDimension(1, (float) getSearchViewTextMinWidthDp(), getResources().getDisplayMetrics()));
        }

        public void onFocusChanged(boolean z, int i2, Rect rect) {
            super.onFocusChanged(z, i2, rect);
            SearchView searchView = this.f441l;
            searchView.B(searchView.b0);
            searchView.post(searchView.p0);
            if (searchView.x.hasFocus()) {
                searchView.n();
            }
        }

        public boolean onKeyPreIme(int i2, KeyEvent keyEvent) {
            if (i2 == 4) {
                if (keyEvent.getAction() == 0 && keyEvent.getRepeatCount() == 0) {
                    KeyEvent.DispatcherState keyDispatcherState = getKeyDispatcherState();
                    if (keyDispatcherState != null) {
                        keyDispatcherState.startTracking(keyEvent, this);
                    }
                    return true;
                } else if (keyEvent.getAction() == 1) {
                    KeyEvent.DispatcherState keyDispatcherState2 = getKeyDispatcherState();
                    if (keyDispatcherState2 != null) {
                        keyDispatcherState2.handleUpEvent(keyEvent);
                    }
                    if (keyEvent.isTracking() && !keyEvent.isCanceled()) {
                        this.f441l.clearFocus();
                        setImeVisibility(false);
                        return true;
                    }
                }
            }
            return super.onKeyPreIme(i2, keyEvent);
        }

        public void onWindowFocusChanged(boolean z) {
            super.onWindowFocusChanged(z);
            if (z && this.f441l.hasFocus() && getVisibility() == 0) {
                boolean z2 = true;
                this.m = true;
                Context context = getContext();
                k kVar = SearchView.w;
                if (context.getResources().getConfiguration().orientation != 2) {
                    z2 = false;
                }
                if (z2) {
                    a();
                }
            }
        }

        public void performCompletion() {
        }

        public void replaceText(CharSequence charSequence) {
        }

        public void setImeVisibility(boolean z) {
            InputMethodManager inputMethodManager = (InputMethodManager) getContext().getSystemService("input_method");
            if (!z) {
                this.m = false;
                removeCallbacks(this.n);
                inputMethodManager.hideSoftInputFromWindow(getWindowToken(), 0);
            } else if (inputMethodManager.isActive(this)) {
                this.m = false;
                removeCallbacks(this.n);
                inputMethodManager.showSoftInput(this, 0);
            } else {
                this.m = true;
            }
        }

        public void setSearchView(SearchView searchView) {
            this.f441l = searchView;
        }

        public void setThreshold(int i2) {
            super.setThreshold(i2);
            this.f440k = i2;
        }

        public SearchAutoComplete(Context context, AttributeSet attributeSet) {
            this(context, attributeSet, R$attr.autoCompleteTextViewStyle);
        }

        public SearchAutoComplete(Context context, AttributeSet attributeSet, int i2) {
            super(context, attributeSet, i2);
            this.n = new a();
            this.f440k = getThreshold();
        }
    }

    public class a implements TextWatcher {
        public a() {
        }

        public void afterTextChanged(Editable editable) {
        }

        public void beforeTextChanged(CharSequence charSequence, int i2, int i3, int i4) {
        }

        public void onTextChanged(CharSequence charSequence, int i2, int i3, int i4) {
            SearchView searchView = SearchView.this;
            Editable text = searchView.x.getText();
            searchView.k0 = text;
            boolean z = !TextUtils.isEmpty(text);
            searchView.A(z);
            searchView.C(!z);
            searchView.w();
            searchView.z();
            if (searchView.S != null && !TextUtils.equals(charSequence, searchView.j0)) {
                searchView.S.onQueryTextChange(charSequence.toString());
            }
            searchView.j0 = charSequence.toString();
        }
    }

    public class b implements Runnable {
        public b() {
        }

        public void run() {
            SearchView.this.x();
        }
    }

    public class c implements Runnable {
        public c() {
        }

        public void run() {
            CursorAdapter cursorAdapter = SearchView.this.c0;
            if (cursorAdapter instanceof u) {
                cursorAdapter.changeCursor(null);
            }
        }
    }

    public class d implements View.OnFocusChangeListener {
        public d() {
        }

        public void onFocusChange(View view, boolean z) {
            SearchView searchView = SearchView.this;
            View.OnFocusChangeListener onFocusChangeListener = searchView.U;
            if (onFocusChangeListener != null) {
                onFocusChangeListener.onFocusChange(searchView, z);
            }
        }
    }

    public class e implements View.OnLayoutChangeListener {
        public e() {
        }

        public void onLayoutChange(View view, int i2, int i3, int i4, int i5, int i6, int i7, int i8, int i9) {
            int i10;
            int i11;
            SearchView searchView = SearchView.this;
            if (searchView.F.getWidth() > 1) {
                Resources resources = searchView.getContext().getResources();
                int paddingLeft = searchView.z.getPaddingLeft();
                Rect rect = new Rect();
                boolean b2 = e0.b(searchView);
                if (searchView.a0) {
                    i10 = resources.getDimensionPixelSize(R$dimen.abc_dropdownitem_text_padding_left) + resources.getDimensionPixelSize(R$dimen.abc_dropdownitem_icon_width);
                } else {
                    i10 = 0;
                }
                searchView.x.getDropDownBackground().getPadding(rect);
                if (b2) {
                    i11 = -rect.left;
                } else {
                    i11 = paddingLeft - (rect.left + i10);
                }
                searchView.x.setDropDownHorizontalOffset(i11);
                searchView.x.setDropDownWidth((((searchView.F.getWidth() + rect.left) + rect.right) + i10) - paddingLeft);
            }
        }
    }

    public class f implements View.OnClickListener {
        public f() {
        }

        public void onClick(View view) {
            String str;
            SearchView searchView = SearchView.this;
            if (view == searchView.B) {
                searchView.t();
            } else if (view == searchView.D) {
                searchView.p();
            } else if (view == searchView.C) {
                searchView.u();
            } else if (view == searchView.E) {
                SearchableInfo searchableInfo = searchView.n0;
                if (searchableInfo != null) {
                    try {
                        if (searchableInfo.getVoiceSearchLaunchWebSearch()) {
                            Intent intent = new Intent(searchView.P);
                            ComponentName searchActivity = searchableInfo.getSearchActivity();
                            if (searchActivity == null) {
                                str = null;
                            } else {
                                str = searchActivity.flattenToShortString();
                            }
                            intent.putExtra("calling_package", str);
                            searchView.getContext().startActivity(intent);
                        } else if (searchableInfo.getVoiceSearchLaunchRecognizer()) {
                            searchView.getContext().startActivity(searchView.m(searchView.Q, searchableInfo));
                        }
                    } catch (ActivityNotFoundException unused) {
                        Log.w("SearchView", "Could not find voice search activity");
                    }
                }
            } else if (view == searchView.x) {
                searchView.n();
            }
        }
    }

    public class g implements View.OnKeyListener {
        public g() {
        }

        public boolean onKey(View view, int i2, KeyEvent keyEvent) {
            SearchView searchView = SearchView.this;
            if (searchView.n0 == null) {
                return false;
            }
            if (searchView.x.isPopupShowing() && SearchView.this.x.getListSelection() != -1) {
                return SearchView.this.v(i2, keyEvent);
            }
            if ((TextUtils.getTrimmedLength(SearchView.this.x.getText()) == 0) || !keyEvent.hasNoModifiers() || keyEvent.getAction() != 1 || i2 != 66) {
                return false;
            }
            view.cancelLongPress();
            SearchView searchView2 = SearchView.this;
            searchView2.o(0, null, searchView2.x.getText().toString());
            return true;
        }
    }

    public class h implements TextView.OnEditorActionListener {
        public h() {
        }

        public boolean onEditorAction(TextView textView, int i2, KeyEvent keyEvent) {
            SearchView.this.u();
            return true;
        }
    }

    public class i implements AdapterView.OnItemClickListener {
        public i() {
        }

        @Override // android.widget.AdapterView.OnItemClickListener
        public void onItemClick(AdapterView<?> adapterView, View view, int i2, long j2) {
            SearchView.this.q(i2);
        }
    }

    public class j implements AdapterView.OnItemSelectedListener {
        public j() {
        }

        @Override // android.widget.AdapterView.OnItemSelectedListener
        public void onItemSelected(AdapterView<?> adapterView, View view, int i2, long j2) {
            SearchView.this.r(i2);
        }

        @Override // android.widget.AdapterView.OnItemSelectedListener
        public void onNothingSelected(AdapterView<?> adapterView) {
        }
    }

    public static class k {

        /* renamed from: a  reason: collision with root package name */
        public Method f453a = null;

        /* renamed from: b  reason: collision with root package name */
        public Method f454b = null;

        /* renamed from: c  reason: collision with root package name */
        public Method f455c = null;

        @SuppressLint({"DiscouragedPrivateApi", "SoonBlockedPrivateApi"})
        public k() {
            a();
            try {
                Method declaredMethod = AutoCompleteTextView.class.getDeclaredMethod("doBeforeTextChanged", new Class[0]);
                this.f453a = declaredMethod;
                declaredMethod.setAccessible(true);
            } catch (NoSuchMethodException unused) {
            }
            try {
                Method declaredMethod2 = AutoCompleteTextView.class.getDeclaredMethod("doAfterTextChanged", new Class[0]);
                this.f454b = declaredMethod2;
                declaredMethod2.setAccessible(true);
            } catch (NoSuchMethodException unused2) {
            }
            try {
                Method method = AutoCompleteTextView.class.getMethod("ensureImeVisible", Boolean.TYPE);
                this.f455c = method;
                method.setAccessible(true);
            } catch (NoSuchMethodException unused3) {
            }
        }

        public static void a() {
            if (Build.VERSION.SDK_INT >= 29) {
                throw new UnsupportedClassVersionError("This function can only be used for API Level < 29.");
            }
        }
    }

    public static class l extends TouchDelegate {

        /* renamed from: a  reason: collision with root package name */
        public final View f456a;

        /* renamed from: b  reason: collision with root package name */
        public final Rect f457b = new Rect();

        /* renamed from: c  reason: collision with root package name */
        public final Rect f458c = new Rect();

        /* renamed from: d  reason: collision with root package name */
        public final Rect f459d = new Rect();

        /* renamed from: e  reason: collision with root package name */
        public final int f460e;

        /* renamed from: f  reason: collision with root package name */
        public boolean f461f;

        public l(Rect rect, Rect rect2, View view) {
            super(rect, view);
            this.f460e = ViewConfiguration.get(view.getContext()).getScaledTouchSlop();
            a(rect, rect2);
            this.f456a = view;
        }

        public void a(Rect rect, Rect rect2) {
            this.f457b.set(rect);
            this.f459d.set(rect);
            Rect rect3 = this.f459d;
            int i2 = this.f460e;
            rect3.inset(-i2, -i2);
            this.f458c.set(rect2);
        }

        /* JADX WARNING: Removed duplicated region for block: B:19:0x0041  */
        /* JADX WARNING: Removed duplicated region for block: B:26:? A[RETURN, SYNTHETIC] */
        public boolean onTouchEvent(MotionEvent motionEvent) {
            boolean z;
            boolean z2;
            int x = (int) motionEvent.getX();
            int y = (int) motionEvent.getY();
            int action = motionEvent.getAction();
            boolean z3 = true;
            if (action != 0) {
                if (action == 1 || action == 2) {
                    z2 = this.f461f;
                    if (z2 && !this.f459d.contains(x, y)) {
                        z3 = z2;
                        z = false;
                        if (z3) {
                            return false;
                        }
                        if (!z || this.f458c.contains(x, y)) {
                            Rect rect = this.f458c;
                            motionEvent.setLocation((float) (x - rect.left), (float) (y - rect.top));
                        } else {
                            motionEvent.setLocation((float) (this.f456a.getWidth() / 2), (float) (this.f456a.getHeight() / 2));
                        }
                        return this.f456a.dispatchTouchEvent(motionEvent);
                    }
                } else {
                    if (action == 3) {
                        z2 = this.f461f;
                        this.f461f = false;
                    }
                    z = true;
                    z3 = false;
                    if (z3) {
                    }
                }
                z3 = z2;
            } else {
                if (this.f457b.contains(x, y)) {
                    this.f461f = true;
                }
                z = true;
                z3 = false;
                if (z3) {
                }
            }
            z = true;
            if (z3) {
            }
        }
    }

    public SearchView(Context context) {
        this(context, null);
    }

    private int getPreferredHeight() {
        return getContext().getResources().getDimensionPixelSize(R$dimen.abc_search_view_preferred_height);
    }

    private int getPreferredWidth() {
        return getContext().getResources().getDimensionPixelSize(R$dimen.abc_search_view_preferred_width);
    }

    private void setQuery(CharSequence charSequence) {
        this.x.setText(charSequence);
        this.x.setSelection(TextUtils.isEmpty(charSequence) ? 0 : charSequence.length());
    }

    /* JADX WARNING: Code restructure failed: missing block: B:14:0x001e, code lost:
        if (r2.i0 == false) goto L_0x0023;
     */
    public final void A(boolean z2) {
        boolean z3 = this.d0;
        int i2 = 0;
        if (z3) {
            if ((z3 || this.i0) && !this.b0) {
                if (hasFocus()) {
                    if (!z2) {
                    }
                    this.C.setVisibility(i2);
                }
            }
        }
        i2 = 8;
        this.C.setVisibility(i2);
    }

    public final void B(boolean z2) {
        this.b0 = z2;
        int i2 = 0;
        int i3 = z2 ? 0 : 8;
        boolean z3 = !TextUtils.isEmpty(this.x.getText());
        this.B.setVisibility(i3);
        A(z3);
        this.y.setVisibility(z2 ? 8 : 0);
        if (this.L.getDrawable() == null || this.a0) {
            i2 = 8;
        }
        this.L.setVisibility(i2);
        w();
        C(!z3);
        z();
    }

    public final void C(boolean z2) {
        int i2 = 8;
        if (this.i0 && !this.b0 && z2) {
            this.C.setVisibility(8);
            i2 = 0;
        }
        this.E.setVisibility(i2);
    }

    public void clearFocus() {
        this.g0 = true;
        super.clearFocus();
        this.x.clearFocus();
        this.x.setImeVisibility(false);
        this.g0 = false;
    }

    public int getImeOptions() {
        return this.x.getImeOptions();
    }

    public int getInputType() {
        return this.x.getInputType();
    }

    public int getMaxWidth() {
        return this.h0;
    }

    public CharSequence getQuery() {
        return this.x.getText();
    }

    public CharSequence getQueryHint() {
        CharSequence charSequence = this.e0;
        if (charSequence != null) {
            return charSequence;
        }
        SearchableInfo searchableInfo = this.n0;
        if (searchableInfo == null || searchableInfo.getHintId() == 0) {
            return this.R;
        }
        return getContext().getText(this.n0.getHintId());
    }

    public int getSuggestionCommitIconResId() {
        return this.O;
    }

    public int getSuggestionRowLayout() {
        return this.N;
    }

    public CursorAdapter getSuggestionsAdapter() {
        return this.c0;
    }

    public final Intent l(String str, Uri uri, String str2, String str3, int i2, String str4) {
        Intent intent = new Intent(str);
        intent.addFlags(268435456);
        if (uri != null) {
            intent.setData(uri);
        }
        intent.putExtra("user_query", this.k0);
        if (str3 != null) {
            intent.putExtra("query", str3);
        }
        if (str2 != null) {
            intent.putExtra("intent_extra_data_key", str2);
        }
        Bundle bundle = this.o0;
        if (bundle != null) {
            intent.putExtra("app_data", bundle);
        }
        if (i2 != 0) {
            intent.putExtra("action_key", i2);
            intent.putExtra("action_msg", str4);
        }
        intent.setComponent(this.n0.getSearchActivity());
        return intent;
    }

    public final Intent m(Intent intent, SearchableInfo searchableInfo) {
        ComponentName searchActivity = searchableInfo.getSearchActivity();
        Intent intent2 = new Intent("android.intent.action.SEARCH");
        intent2.setComponent(searchActivity);
        PendingIntent activity = PendingIntent.getActivity(getContext(), 0, intent2, 1073741824);
        Bundle bundle = new Bundle();
        Bundle bundle2 = this.o0;
        if (bundle2 != null) {
            bundle.putParcelable("app_data", bundle2);
        }
        Intent intent3 = new Intent(intent);
        int i2 = 1;
        Resources resources = getResources();
        String string = searchableInfo.getVoiceLanguageModeId() != 0 ? resources.getString(searchableInfo.getVoiceLanguageModeId()) : "free_form";
        String str = null;
        String string2 = searchableInfo.getVoicePromptTextId() != 0 ? resources.getString(searchableInfo.getVoicePromptTextId()) : null;
        String string3 = searchableInfo.getVoiceLanguageId() != 0 ? resources.getString(searchableInfo.getVoiceLanguageId()) : null;
        if (searchableInfo.getVoiceMaxResults() != 0) {
            i2 = searchableInfo.getVoiceMaxResults();
        }
        intent3.putExtra("android.speech.extra.LANGUAGE_MODEL", string);
        intent3.putExtra("android.speech.extra.PROMPT", string2);
        intent3.putExtra("android.speech.extra.LANGUAGE", string3);
        intent3.putExtra("android.speech.extra.MAX_RESULTS", i2);
        if (searchActivity != null) {
            str = searchActivity.flattenToShortString();
        }
        intent3.putExtra("calling_package", str);
        intent3.putExtra("android.speech.extra.RESULTS_PENDINGINTENT", activity);
        intent3.putExtra("android.speech.extra.RESULTS_PENDINGINTENT_BUNDLE", bundle);
        return intent3;
    }

    public void n() {
        if (Build.VERSION.SDK_INT >= 29) {
            this.x.refreshAutoCompleteResults();
            return;
        }
        k kVar = w;
        SearchAutoComplete searchAutoComplete = this.x;
        Objects.requireNonNull(kVar);
        k.a();
        Method method = kVar.f453a;
        if (method != null) {
            try {
                method.invoke(searchAutoComplete, new Object[0]);
            } catch (Exception unused) {
            }
        }
        k kVar2 = w;
        SearchAutoComplete searchAutoComplete2 = this.x;
        Objects.requireNonNull(kVar2);
        k.a();
        Method method2 = kVar2.f454b;
        if (method2 != null) {
            try {
                method2.invoke(searchAutoComplete2, new Object[0]);
            } catch (Exception unused2) {
            }
        }
    }

    public void o(int i2, String str, String str2) {
        getContext().startActivity(l("android.intent.action.SEARCH", null, null, str2, i2, null));
    }

    @Override // androidx.appcompat.view.CollapsibleActionView
    public void onActionViewCollapsed() {
        this.x.setText("");
        SearchAutoComplete searchAutoComplete = this.x;
        searchAutoComplete.setSelection(searchAutoComplete.length());
        this.k0 = "";
        clearFocus();
        B(true);
        this.x.setImeOptions(this.m0);
        this.l0 = false;
    }

    @Override // androidx.appcompat.view.CollapsibleActionView
    public void onActionViewExpanded() {
        if (!this.l0) {
            this.l0 = true;
            int imeOptions = this.x.getImeOptions();
            this.m0 = imeOptions;
            this.x.setImeOptions(imeOptions | 33554432);
            this.x.setText("");
            setIconified(false);
        }
    }

    public void onDetachedFromWindow() {
        removeCallbacks(this.p0);
        post(this.q0);
        super.onDetachedFromWindow();
    }

    @Override // androidx.appcompat.widget.LinearLayoutCompat
    public void onLayout(boolean z2, int i2, int i3, int i4, int i5) {
        super.onLayout(z2, i2, i3, i4, i5);
        if (z2) {
            SearchAutoComplete searchAutoComplete = this.x;
            Rect rect = this.H;
            searchAutoComplete.getLocationInWindow(this.J);
            getLocationInWindow(this.K);
            int[] iArr = this.J;
            int i6 = iArr[1];
            int[] iArr2 = this.K;
            int i7 = i6 - iArr2[1];
            int i8 = iArr[0] - iArr2[0];
            rect.set(i8, i7, searchAutoComplete.getWidth() + i8, searchAutoComplete.getHeight() + i7);
            Rect rect2 = this.I;
            Rect rect3 = this.H;
            rect2.set(rect3.left, 0, rect3.right, i5 - i3);
            l lVar = this.G;
            if (lVar == null) {
                l lVar2 = new l(this.I, this.H, this.x);
                this.G = lVar2;
                setTouchDelegate(lVar2);
                return;
            }
            lVar.a(this.I, this.H);
        }
    }

    @Override // androidx.appcompat.widget.LinearLayoutCompat
    public void onMeasure(int i2, int i3) {
        int i4;
        if (this.b0) {
            super.onMeasure(i2, i3);
            return;
        }
        int mode = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i2);
        if (mode == Integer.MIN_VALUE) {
            int i5 = this.h0;
            size = i5 > 0 ? Math.min(i5, size) : Math.min(getPreferredWidth(), size);
        } else if (mode == 0) {
            size = this.h0;
            if (size <= 0) {
                size = getPreferredWidth();
            }
        } else if (mode == 1073741824 && (i4 = this.h0) > 0) {
            size = Math.min(i4, size);
        }
        int mode2 = View.MeasureSpec.getMode(i3);
        int size2 = View.MeasureSpec.getSize(i3);
        if (mode2 == Integer.MIN_VALUE) {
            size2 = Math.min(getPreferredHeight(), size2);
        } else if (mode2 == 0) {
            size2 = getPreferredHeight();
        }
        super.onMeasure(View.MeasureSpec.makeMeasureSpec(size, 1073741824), View.MeasureSpec.makeMeasureSpec(size2, 1073741824));
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        B(savedState.isIconified);
        requestLayout();
    }

    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        savedState.isIconified = this.b0;
        return savedState;
    }

    public void onWindowFocusChanged(boolean z2) {
        super.onWindowFocusChanged(z2);
        post(this.p0);
    }

    public void p() {
        if (!TextUtils.isEmpty(this.x.getText())) {
            this.x.setText("");
            this.x.requestFocus();
            this.x.setImeVisibility(true);
        } else if (this.a0) {
            OnCloseListener onCloseListener = this.T;
            if (onCloseListener == null || !onCloseListener.onClose()) {
                clearFocus();
                B(true);
            }
        }
    }

    public boolean q(int i2) {
        int i3;
        Uri uri;
        String h2;
        OnSuggestionListener onSuggestionListener = this.V;
        if (onSuggestionListener != null && onSuggestionListener.onSuggestionClick(i2)) {
            return false;
        }
        Cursor cursor = this.c0.getCursor();
        if (cursor != null && cursor.moveToPosition(i2)) {
            Intent intent = null;
            try {
                int i4 = u.s;
                String h3 = u.h(cursor, cursor.getColumnIndex("suggest_intent_action"));
                if (h3 == null) {
                    h3 = this.n0.getSuggestIntentAction();
                }
                if (h3 == null) {
                    h3 = "android.intent.action.SEARCH";
                }
                String h4 = u.h(cursor, cursor.getColumnIndex("suggest_intent_data"));
                if (h4 == null) {
                    h4 = this.n0.getSuggestIntentData();
                }
                if (!(h4 == null || (h2 = u.h(cursor, cursor.getColumnIndex("suggest_intent_data_id"))) == null)) {
                    h4 = h4 + "/" + Uri.encode(h2);
                }
                if (h4 == null) {
                    uri = null;
                } else {
                    uri = Uri.parse(h4);
                }
                intent = l(h3, uri, u.h(cursor, cursor.getColumnIndex("suggest_intent_extra_data")), u.h(cursor, cursor.getColumnIndex("suggest_intent_query")), 0, null);
            } catch (RuntimeException e2) {
                try {
                    i3 = cursor.getPosition();
                } catch (RuntimeException unused) {
                    i3 = -1;
                }
                Log.w("SearchView", "Search suggestions cursor at row " + i3 + " returned exception.", e2);
            }
            if (intent != null) {
                try {
                    getContext().startActivity(intent);
                } catch (RuntimeException e3) {
                    Log.e("SearchView", "Failed launch activity: " + intent, e3);
                }
            }
        }
        this.x.setImeVisibility(false);
        this.x.dismissDropDown();
        return true;
    }

    public boolean r(int i2) {
        OnSuggestionListener onSuggestionListener = this.V;
        if (onSuggestionListener != null && onSuggestionListener.onSuggestionSelect(i2)) {
            return false;
        }
        Editable text = this.x.getText();
        Cursor cursor = this.c0.getCursor();
        if (cursor == null) {
            return true;
        }
        if (cursor.moveToPosition(i2)) {
            CharSequence convertToString = this.c0.convertToString(cursor);
            if (convertToString != null) {
                setQuery(convertToString);
                return true;
            }
            setQuery(text);
            return true;
        }
        setQuery(text);
        return true;
    }

    public boolean requestFocus(int i2, Rect rect) {
        if (this.g0 || !isFocusable()) {
            return false;
        }
        if (this.b0) {
            return super.requestFocus(i2, rect);
        }
        boolean requestFocus = this.x.requestFocus(i2, rect);
        if (requestFocus) {
            B(false);
        }
        return requestFocus;
    }

    public void s(CharSequence charSequence) {
        setQuery(charSequence);
    }

    public void setAppSearchData(Bundle bundle) {
        this.o0 = bundle;
    }

    public void setIconified(boolean z2) {
        if (z2) {
            p();
        } else {
            t();
        }
    }

    public void setIconifiedByDefault(boolean z2) {
        if (this.a0 != z2) {
            this.a0 = z2;
            B(z2);
            y();
        }
    }

    public void setImeOptions(int i2) {
        this.x.setImeOptions(i2);
    }

    public void setInputType(int i2) {
        this.x.setInputType(i2);
    }

    public void setMaxWidth(int i2) {
        this.h0 = i2;
        requestLayout();
    }

    public void setOnCloseListener(OnCloseListener onCloseListener) {
        this.T = onCloseListener;
    }

    public void setOnQueryTextFocusChangeListener(View.OnFocusChangeListener onFocusChangeListener) {
        this.U = onFocusChangeListener;
    }

    public void setOnQueryTextListener(OnQueryTextListener onQueryTextListener) {
        this.S = onQueryTextListener;
    }

    public void setOnSearchClickListener(View.OnClickListener onClickListener) {
        this.W = onClickListener;
    }

    public void setOnSuggestionListener(OnSuggestionListener onSuggestionListener) {
        this.V = onSuggestionListener;
    }

    public void setQueryHint(CharSequence charSequence) {
        this.e0 = charSequence;
        y();
    }

    public void setQueryRefinementEnabled(boolean z2) {
        this.f0 = z2;
        CursorAdapter cursorAdapter = this.c0;
        if (cursorAdapter instanceof u) {
            ((u) cursorAdapter).y = z2 ? 2 : 1;
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:30:0x009c, code lost:
        if (getContext().getPackageManager().resolveActivity(r2, 65536) != null) goto L_0x00a0;
     */
    public void setSearchableInfo(SearchableInfo searchableInfo) {
        this.n0 = searchableInfo;
        boolean z2 = true;
        Intent intent = null;
        if (searchableInfo != null) {
            this.x.setThreshold(searchableInfo.getSuggestThreshold());
            this.x.setImeOptions(this.n0.getImeOptions());
            int inputType = this.n0.getInputType();
            if ((inputType & 15) == 1) {
                inputType &= -65537;
                if (this.n0.getSuggestAuthority() != null) {
                    inputType = inputType | 65536 | 524288;
                }
            }
            this.x.setInputType(inputType);
            CursorAdapter cursorAdapter = this.c0;
            if (cursorAdapter != null) {
                cursorAdapter.changeCursor(null);
            }
            if (this.n0.getSuggestAuthority() != null) {
                u uVar = new u(getContext(), this, this.n0, this.r0);
                this.c0 = uVar;
                this.x.setAdapter(uVar);
                ((u) this.c0).y = this.f0 ? 2 : 1;
            }
            y();
        }
        SearchableInfo searchableInfo2 = this.n0;
        if (searchableInfo2 != null && searchableInfo2.getVoiceSearchEnabled()) {
            if (this.n0.getVoiceSearchLaunchWebSearch()) {
                intent = this.P;
            } else if (this.n0.getVoiceSearchLaunchRecognizer()) {
                intent = this.Q;
            }
            if (intent != null) {
            }
        }
        z2 = false;
        this.i0 = z2;
        if (z2) {
            this.x.setPrivateImeOptions("nm");
        }
        B(this.b0);
    }

    public void setSubmitButtonEnabled(boolean z2) {
        this.d0 = z2;
        B(this.b0);
    }

    public void setSuggestionsAdapter(CursorAdapter cursorAdapter) {
        this.c0 = cursorAdapter;
        this.x.setAdapter(cursorAdapter);
    }

    public void t() {
        B(false);
        this.x.requestFocus();
        this.x.setImeVisibility(true);
        View.OnClickListener onClickListener = this.W;
        if (onClickListener != null) {
            onClickListener.onClick(this);
        }
    }

    public void u() {
        Editable text = this.x.getText();
        if (text != null && TextUtils.getTrimmedLength(text) > 0) {
            OnQueryTextListener onQueryTextListener = this.S;
            if (onQueryTextListener == null || !onQueryTextListener.onQueryTextSubmit(text.toString())) {
                if (this.n0 != null) {
                    o(0, null, text.toString());
                }
                this.x.setImeVisibility(false);
                this.x.dismissDropDown();
            }
        }
    }

    public boolean v(int i2, KeyEvent keyEvent) {
        int i3;
        if (this.n0 != null && this.c0 != null && keyEvent.getAction() == 0 && keyEvent.hasNoModifiers()) {
            if (i2 == 66 || i2 == 84 || i2 == 61) {
                return q(this.x.getListSelection());
            }
            if (i2 == 21 || i2 == 22) {
                if (i2 == 21) {
                    i3 = 0;
                } else {
                    i3 = this.x.length();
                }
                this.x.setSelection(i3);
                this.x.setListSelection(0);
                this.x.clearListSelection();
                this.x.a();
                return true;
            } else if (i2 != 19 || this.x.getListSelection() == 0) {
                return false;
            }
        }
        return false;
    }

    public final void w() {
        boolean z2 = true;
        boolean z3 = !TextUtils.isEmpty(this.x.getText());
        int i2 = 0;
        if (!z3 && (!this.a0 || this.l0)) {
            z2 = false;
        }
        ImageView imageView = this.D;
        if (!z2) {
            i2 = 8;
        }
        imageView.setVisibility(i2);
        Drawable drawable = this.D.getDrawable();
        if (drawable != null) {
            drawable.setState(z3 ? ViewGroup.ENABLED_STATE_SET : ViewGroup.EMPTY_STATE_SET);
        }
    }

    public void x() {
        int[] iArr = this.x.hasFocus() ? ViewGroup.FOCUSED_STATE_SET : ViewGroup.EMPTY_STATE_SET;
        Drawable background = this.z.getBackground();
        if (background != null) {
            background.setState(iArr);
        }
        Drawable background2 = this.A.getBackground();
        if (background2 != null) {
            background2.setState(iArr);
        }
        invalidate();
    }

    public final void y() {
        SpannableStringBuilder queryHint = getQueryHint();
        SearchAutoComplete searchAutoComplete = this.x;
        if (queryHint == null) {
            queryHint = "";
        }
        if (this.a0 && this.M != null) {
            int textSize = (int) (((double) searchAutoComplete.getTextSize()) * 1.25d);
            this.M.setBounds(0, 0, textSize, textSize);
            SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder("   ");
            spannableStringBuilder.setSpan(new ImageSpan(this.M), 1, 2, 33);
            spannableStringBuilder.append(queryHint);
            queryHint = spannableStringBuilder;
        }
        searchAutoComplete.setHint(queryHint);
    }

    public final void z() {
        int i2 = 0;
        if (!((this.d0 || this.i0) && !this.b0) || !(this.C.getVisibility() == 0 || this.E.getVisibility() == 0)) {
            i2 = 8;
        }
        this.A.setVisibility(i2);
    }

    public SearchView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R$attr.searchViewStyle);
    }

    public SearchView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.H = new Rect();
        this.I = new Rect();
        this.J = new int[2];
        this.K = new int[2];
        this.p0 = new b();
        this.q0 = new c();
        this.r0 = new WeakHashMap<>();
        f fVar = new f();
        this.s0 = fVar;
        this.t0 = new g();
        h hVar = new h();
        this.u0 = hVar;
        i iVar = new i();
        this.v0 = iVar;
        j jVar = new j();
        this.w0 = jVar;
        this.x0 = new a();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.SearchView, i2, 0);
        z zVar = new z(context, obtainStyledAttributes);
        LayoutInflater.from(context).inflate(zVar.m(R$styleable.SearchView_layout, R$layout.abc_search_view), (ViewGroup) this, true);
        SearchAutoComplete searchAutoComplete = (SearchAutoComplete) findViewById(R$id.search_src_text);
        this.x = searchAutoComplete;
        searchAutoComplete.setSearchView(this);
        this.y = findViewById(R$id.search_edit_frame);
        View findViewById = findViewById(R$id.search_plate);
        this.z = findViewById;
        View findViewById2 = findViewById(R$id.submit_area);
        this.A = findViewById2;
        ImageView imageView = (ImageView) findViewById(R$id.search_button);
        this.B = imageView;
        ImageView imageView2 = (ImageView) findViewById(R$id.search_go_btn);
        this.C = imageView2;
        ImageView imageView3 = (ImageView) findViewById(R$id.search_close_btn);
        this.D = imageView3;
        ImageView imageView4 = (ImageView) findViewById(R$id.search_voice_btn);
        this.E = imageView4;
        ImageView imageView5 = (ImageView) findViewById(R$id.search_mag_icon);
        this.L = imageView5;
        Drawable g2 = zVar.g(R$styleable.SearchView_queryBackground);
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        findViewById.setBackground(g2);
        findViewById2.setBackground(zVar.g(R$styleable.SearchView_submitBackground));
        int i3 = R$styleable.SearchView_searchIcon;
        imageView.setImageDrawable(zVar.g(i3));
        imageView2.setImageDrawable(zVar.g(R$styleable.SearchView_goIcon));
        imageView3.setImageDrawable(zVar.g(R$styleable.SearchView_closeIcon));
        imageView4.setImageDrawable(zVar.g(R$styleable.SearchView_voiceIcon));
        imageView5.setImageDrawable(zVar.g(i3));
        this.M = zVar.g(R$styleable.SearchView_searchHintIcon);
        AppCompatDelegateImpl.e.C0(imageView, getResources().getString(R$string.abc_searchview_description_search));
        this.N = zVar.m(R$styleable.SearchView_suggestionRowLayout, R$layout.abc_search_dropdown_item_icons_2line);
        this.O = zVar.m(R$styleable.SearchView_commitIcon, 0);
        imageView.setOnClickListener(fVar);
        imageView3.setOnClickListener(fVar);
        imageView2.setOnClickListener(fVar);
        imageView4.setOnClickListener(fVar);
        searchAutoComplete.setOnClickListener(fVar);
        searchAutoComplete.addTextChangedListener(this.x0);
        searchAutoComplete.setOnEditorActionListener(hVar);
        searchAutoComplete.setOnItemClickListener(iVar);
        searchAutoComplete.setOnItemSelectedListener(jVar);
        searchAutoComplete.setOnKeyListener(this.t0);
        searchAutoComplete.setOnFocusChangeListener(new d());
        setIconifiedByDefault(zVar.a(R$styleable.SearchView_iconifiedByDefault, true));
        int f2 = zVar.f(R$styleable.SearchView_android_maxWidth, -1);
        if (f2 != -1) {
            setMaxWidth(f2);
        }
        this.R = zVar.o(R$styleable.SearchView_defaultQueryHint);
        this.e0 = zVar.o(R$styleable.SearchView_queryHint);
        int j2 = zVar.j(R$styleable.SearchView_android_imeOptions, -1);
        if (j2 != -1) {
            setImeOptions(j2);
        }
        int j3 = zVar.j(R$styleable.SearchView_android_inputType, -1);
        if (j3 != -1) {
            setInputType(j3);
        }
        setFocusable(zVar.a(R$styleable.SearchView_android_focusable, true));
        obtainStyledAttributes.recycle();
        Intent intent = new Intent("android.speech.action.WEB_SEARCH");
        this.P = intent;
        intent.addFlags(268435456);
        intent.putExtra("android.speech.extra.LANGUAGE_MODEL", "web_search");
        Intent intent2 = new Intent("android.speech.action.RECOGNIZE_SPEECH");
        this.Q = intent2;
        intent2.addFlags(268435456);
        View findViewById3 = findViewById(searchAutoComplete.getDropDownAnchor());
        this.F = findViewById3;
        if (findViewById3 != null) {
            findViewById3.addOnLayoutChangeListener(new e());
        }
        B(this.a0);
        y();
    }
}
