package androidx.camera.core.impl;

import android.graphics.Rect;
import androidx.camera.core.CameraControl;
import androidx.camera.core.impl.CameraCaptureResult;
import b.d.a.q2.d0.j.e;
import b.d.a.t1;
import b.d.a.u1;
import java.util.List;

public interface CameraControlInternal extends CameraControl {
    public static final CameraControlInternal DEFAULT_EMPTY_INSTANCE = new a();

    public static final class CameraControlException extends Exception {
        private CameraCaptureFailure mCameraCaptureFailure;

        public CameraControlException(CameraCaptureFailure cameraCaptureFailure) {
        }

        public CameraCaptureFailure getCameraCaptureFailure() {
            return this.mCameraCaptureFailure;
        }

        public CameraControlException(CameraCaptureFailure cameraCaptureFailure, Throwable th) {
            super(th);
        }
    }

    public interface ControlUpdateCallback {
        void onCameraControlCaptureRequests(List<CaptureConfig> list);

        void onCameraControlUpdateSessionConfig(SessionConfig sessionConfig);
    }

    public class a implements CameraControlInternal {
        @Override // androidx.camera.core.impl.CameraControlInternal
        public void addInteropConfig(Config config) {
        }

        @Override // androidx.camera.core.impl.CameraControlInternal
        public void cancelAfAeTrigger(boolean z, boolean z2) {
        }

        @Override // androidx.camera.core.CameraControl
        public d.h.b.a.a.a<Void> cancelFocusAndMetering() {
            return e.d(null);
        }

        @Override // androidx.camera.core.impl.CameraControlInternal
        public void clearInteropConfig() {
        }

        @Override // androidx.camera.core.CameraControl
        public d.h.b.a.a.a<Void> enableTorch(boolean z) {
            return e.d(null);
        }

        @Override // androidx.camera.core.impl.CameraControlInternal
        public int getFlashMode() {
            return 2;
        }

        @Override // androidx.camera.core.impl.CameraControlInternal
        public Config getInteropConfig() {
            return null;
        }

        @Override // androidx.camera.core.impl.CameraControlInternal
        public Rect getSensorRect() {
            return new Rect();
        }

        @Override // androidx.camera.core.CameraControl, androidx.camera.core.impl.CameraControlInternal
        public d.h.b.a.a.a<Integer> setExposureCompensationIndex(int i2) {
            return e.d(0);
        }

        @Override // androidx.camera.core.impl.CameraControlInternal
        public void setFlashMode(int i2) {
        }

        @Override // androidx.camera.core.CameraControl
        public d.h.b.a.a.a<Void> setLinearZoom(float f2) {
            return e.d(null);
        }

        @Override // androidx.camera.core.CameraControl
        public d.h.b.a.a.a<Void> setZoomRatio(float f2) {
            return e.d(null);
        }

        @Override // androidx.camera.core.CameraControl
        public d.h.b.a.a.a<u1> startFocusAndMetering(t1 t1Var) {
            return e.d(new u1(false));
        }

        @Override // androidx.camera.core.impl.CameraControlInternal
        public void submitCaptureRequests(List<CaptureConfig> list) {
        }

        @Override // androidx.camera.core.impl.CameraControlInternal
        public d.h.b.a.a.a<CameraCaptureResult> triggerAePrecapture() {
            return e.d(new CameraCaptureResult.EmptyCameraCaptureResult());
        }

        @Override // androidx.camera.core.impl.CameraControlInternal
        public d.h.b.a.a.a<CameraCaptureResult> triggerAf() {
            return e.d(new CameraCaptureResult.EmptyCameraCaptureResult());
        }
    }

    void addInteropConfig(Config config);

    void cancelAfAeTrigger(boolean z, boolean z2);

    void clearInteropConfig();

    int getFlashMode();

    Config getInteropConfig();

    Rect getSensorRect();

    @Override // androidx.camera.core.CameraControl
    d.h.b.a.a.a<Integer> setExposureCompensationIndex(int i2);

    void setFlashMode(int i2);

    void submitCaptureRequests(List<CaptureConfig> list);

    d.h.b.a.a.a<CameraCaptureResult> triggerAePrecapture();

    d.h.b.a.a.a<CameraCaptureResult> triggerAf();
}
