package androidx.constraintlayout.core.widgets;

import androidx.constraintlayout.core.ArrayRow;
import androidx.constraintlayout.core.LinearSystem;
import androidx.constraintlayout.core.SolverVariable;
import androidx.constraintlayout.core.widgets.ConstraintAnchor;
import androidx.constraintlayout.core.widgets.ConstraintWidget;
import java.util.HashMap;

public class Guideline extends ConstraintWidget {
    public float O0 = -1.0f;
    public int P0 = -1;
    public int Q0 = -1;
    public ConstraintAnchor R0 = this.N;
    public int S0;
    public boolean T0;

    public Guideline() {
        this.S0 = 0;
        this.V.clear();
        this.V.add(this.R0);
        int length = this.U.length;
        for (int i2 = 0; i2 < length; i2++) {
            this.U[i2] = this.R0;
        }
    }

    @Override // androidx.constraintlayout.core.widgets.ConstraintWidget
    public boolean E() {
        return this.T0;
    }

    @Override // androidx.constraintlayout.core.widgets.ConstraintWidget
    public boolean F() {
        return this.T0;
    }

    @Override // androidx.constraintlayout.core.widgets.ConstraintWidget
    public void V(LinearSystem linearSystem, boolean z) {
        if (this.Y != null) {
            int o = linearSystem.o(this.R0);
            if (this.S0 == 1) {
                this.d0 = o;
                this.e0 = 0;
                N(this.Y.o());
                S(0);
                return;
            }
            this.d0 = 0;
            this.e0 = o;
            S(this.Y.u());
            N(0);
        }
    }

    public void W(int i2) {
        ConstraintAnchor constraintAnchor = this.R0;
        constraintAnchor.f994b = i2;
        constraintAnchor.f995c = true;
        this.T0 = true;
    }

    public void X(int i2) {
        if (this.S0 != i2) {
            this.S0 = i2;
            this.V.clear();
            if (this.S0 == 1) {
                this.R0 = this.M;
            } else {
                this.R0 = this.N;
            }
            this.V.add(this.R0);
            int length = this.U.length;
            for (int i3 = 0; i3 < length; i3++) {
                this.U[i3] = this.R0;
            }
        }
    }

    @Override // androidx.constraintlayout.core.widgets.ConstraintWidget
    public void d(LinearSystem linearSystem, boolean z) {
        ConstraintWidgetContainer constraintWidgetContainer = (ConstraintWidgetContainer) this.Y;
        if (constraintWidgetContainer != null) {
            Object l2 = constraintWidgetContainer.l(ConstraintAnchor.Type.LEFT);
            Object l3 = constraintWidgetContainer.l(ConstraintAnchor.Type.RIGHT);
            ConstraintWidget constraintWidget = this.Y;
            boolean z2 = true;
            boolean z3 = constraintWidget != null && constraintWidget.X[0] == ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
            if (this.S0 == 0) {
                l2 = constraintWidgetContainer.l(ConstraintAnchor.Type.TOP);
                l3 = constraintWidgetContainer.l(ConstraintAnchor.Type.BOTTOM);
                ConstraintWidget constraintWidget2 = this.Y;
                if (constraintWidget2 == null || constraintWidget2.X[1] != ConstraintWidget.DimensionBehaviour.WRAP_CONTENT) {
                    z2 = false;
                }
                z3 = z2;
            }
            if (this.T0) {
                ConstraintAnchor constraintAnchor = this.R0;
                if (constraintAnchor.f995c) {
                    SolverVariable l4 = linearSystem.l(constraintAnchor);
                    linearSystem.e(l4, this.R0.d());
                    if (this.P0 != -1) {
                        if (z3) {
                            linearSystem.f(linearSystem.l(l3), l4, 0, 5);
                        }
                    } else if (this.Q0 != -1 && z3) {
                        SolverVariable l5 = linearSystem.l(l3);
                        linearSystem.f(l4, linearSystem.l(l2), 0, 5);
                        linearSystem.f(l5, l4, 0, 5);
                    }
                    this.T0 = false;
                    return;
                }
            }
            if (this.P0 != -1) {
                SolverVariable l6 = linearSystem.l(this.R0);
                linearSystem.d(l6, linearSystem.l(l2), this.P0, 8);
                if (z3) {
                    linearSystem.f(linearSystem.l(l3), l6, 0, 5);
                }
            } else if (this.Q0 != -1) {
                SolverVariable l7 = linearSystem.l(this.R0);
                SolverVariable l8 = linearSystem.l(l3);
                linearSystem.d(l7, l8, -this.Q0, 8);
                if (z3) {
                    linearSystem.f(l7, linearSystem.l(l2), 0, 5);
                    linearSystem.f(l8, l7, 0, 5);
                }
            } else if (this.O0 != -1.0f) {
                SolverVariable l9 = linearSystem.l(this.R0);
                SolverVariable l10 = linearSystem.l(l3);
                float f2 = this.O0;
                ArrayRow m = linearSystem.m();
                m.f836d.put(l9, -1.0f);
                m.f836d.put(l10, f2);
                linearSystem.c(m);
            }
        }
    }

    @Override // androidx.constraintlayout.core.widgets.ConstraintWidget
    public boolean e() {
        return true;
    }

    @Override // androidx.constraintlayout.core.widgets.ConstraintWidget
    public void i(ConstraintWidget constraintWidget, HashMap<ConstraintWidget, ConstraintWidget> hashMap) {
        super.i(constraintWidget, hashMap);
        Guideline guideline = (Guideline) constraintWidget;
        this.O0 = guideline.O0;
        this.P0 = guideline.P0;
        this.Q0 = guideline.Q0;
        X(guideline.S0);
    }

    @Override // androidx.constraintlayout.core.widgets.ConstraintWidget
    public ConstraintAnchor l(ConstraintAnchor.Type type) {
        int ordinal = type.ordinal();
        if (ordinal != 1) {
            if (ordinal != 2) {
                if (ordinal != 3) {
                    if (ordinal != 4) {
                        return null;
                    }
                }
            }
            if (this.S0 == 0) {
                return this.R0;
            }
            return null;
        }
        if (this.S0 == 1) {
            return this.R0;
        }
        return null;
    }
}
