package androidx.constraintlayout.helper.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.constraintlayout.widget.R$styleable;
import androidx.constraintlayout.widget.VirtualLayout;
import java.util.Arrays;

public class CircularFlow extends VirtualLayout {
    public static int r;
    public static float s;
    public String A;
    public Float B;
    public Integer C;
    public ConstraintLayout t;
    public int u;
    public float[] v;
    public int[] w;
    public int x;
    public int y;
    public String z;

    public CircularFlow(Context context) {
        super(context);
    }

    private void setAngles(String str) {
        if (str != null) {
            int i2 = 0;
            this.y = 0;
            while (true) {
                int indexOf = str.indexOf(44, i2);
                if (indexOf == -1) {
                    s(str.substring(i2).trim());
                    return;
                } else {
                    s(str.substring(i2, indexOf).trim());
                    i2 = indexOf + 1;
                }
            }
        }
    }

    private void setRadius(String str) {
        if (str != null) {
            int i2 = 0;
            this.x = 0;
            while (true) {
                int indexOf = str.indexOf(44, i2);
                if (indexOf == -1) {
                    t(str.substring(i2).trim());
                    return;
                } else {
                    t(str.substring(i2, indexOf).trim());
                    i2 = indexOf + 1;
                }
            }
        }
    }

    public float[] getAngles() {
        return Arrays.copyOf(this.v, this.y);
    }

    public int[] getRadius() {
        return Arrays.copyOf(this.w, this.x);
    }

    @Override // androidx.constraintlayout.widget.ConstraintHelper, androidx.constraintlayout.widget.VirtualLayout
    public void j(AttributeSet attributeSet) {
        super.j(attributeSet);
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, R$styleable.ConstraintLayout_Layout);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i2 = 0; i2 < indexCount; i2++) {
                int index = obtainStyledAttributes.getIndex(i2);
                if (index == R$styleable.ConstraintLayout_Layout_circularflow_viewCenter) {
                    this.u = obtainStyledAttributes.getResourceId(index, 0);
                } else if (index == R$styleable.ConstraintLayout_Layout_circularflow_angles) {
                    String string = obtainStyledAttributes.getString(index);
                    this.z = string;
                    setAngles(string);
                } else if (index == R$styleable.ConstraintLayout_Layout_circularflow_radiusInDP) {
                    String string2 = obtainStyledAttributes.getString(index);
                    this.A = string2;
                    setRadius(string2);
                } else if (index == R$styleable.ConstraintLayout_Layout_circularflow_defaultAngle) {
                    Float valueOf = Float.valueOf(obtainStyledAttributes.getFloat(index, s));
                    this.B = valueOf;
                    setDefaultAngle(valueOf.floatValue());
                } else if (index == R$styleable.ConstraintLayout_Layout_circularflow_defaultRadius) {
                    Integer valueOf2 = Integer.valueOf(obtainStyledAttributes.getDimensionPixelSize(index, r));
                    this.C = valueOf2;
                    setDefaultRadius(valueOf2.intValue());
                }
            }
            obtainStyledAttributes.recycle();
        }
    }

    @Override // androidx.constraintlayout.widget.ConstraintHelper, androidx.constraintlayout.widget.VirtualLayout
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        String str = this.z;
        if (str != null) {
            this.v = new float[1];
            setAngles(str);
        }
        String str2 = this.A;
        if (str2 != null) {
            this.w = new int[1];
            setRadius(str2);
        }
        Float f2 = this.B;
        if (f2 != null) {
            setDefaultAngle(f2.floatValue());
        }
        Integer num = this.C;
        if (num != null) {
            setDefaultRadius(num.intValue());
        }
        this.t = (ConstraintLayout) getParent();
        for (int i2 = 0; i2 < this.f1206h; i2++) {
            View viewById = this.t.getViewById(this.f1205d[i2]);
            if (viewById != null) {
                int i3 = r;
                float f3 = s;
                int[] iArr = this.w;
                if (iArr == null || i2 >= iArr.length) {
                    Integer num2 = this.C;
                    if (num2 == null || num2.intValue() == -1) {
                        String valueOf = String.valueOf(this.o.get(Integer.valueOf(viewById.getId())));
                        Log.e("CircularFlow", valueOf.length() != 0 ? "Added radius to view with id: ".concat(valueOf) : new String("Added radius to view with id: "));
                    } else {
                        this.x++;
                        if (this.w == null) {
                            this.w = new int[1];
                        }
                        int[] radius = getRadius();
                        this.w = radius;
                        radius[this.x - 1] = i3;
                    }
                } else {
                    i3 = iArr[i2];
                }
                float[] fArr = this.v;
                if (fArr == null || i2 >= fArr.length) {
                    Float f4 = this.B;
                    if (f4 == null || f4.floatValue() == -1.0f) {
                        String valueOf2 = String.valueOf(this.o.get(Integer.valueOf(viewById.getId())));
                        Log.e("CircularFlow", valueOf2.length() != 0 ? "Added angle to view with id: ".concat(valueOf2) : new String("Added angle to view with id: "));
                    } else {
                        this.y++;
                        if (this.v == null) {
                            this.v = new float[1];
                        }
                        float[] angles = getAngles();
                        this.v = angles;
                        angles[this.y - 1] = f3;
                    }
                } else {
                    f3 = fArr[i2];
                }
                ConstraintLayout.a aVar = (ConstraintLayout.a) viewById.getLayoutParams();
                aVar.q = f3;
                aVar.o = this.u;
                aVar.p = i3;
                viewById.setLayoutParams(aVar);
            }
        }
        d();
    }

    public final void s(String str) {
        float[] fArr;
        if (str != null && str.length() != 0 && this.f1207j != null && (fArr = this.v) != null) {
            if (this.y + 1 > fArr.length) {
                this.v = Arrays.copyOf(fArr, fArr.length + 1);
            }
            this.v[this.y] = (float) Integer.parseInt(str);
            this.y++;
        }
    }

    public void setDefaultAngle(float f2) {
        s = f2;
    }

    public void setDefaultRadius(int i2) {
        r = i2;
    }

    public final void t(String str) {
        int[] iArr;
        if (str != null && str.length() != 0 && this.f1207j != null && (iArr = this.w) != null) {
            if (this.x + 1 > iArr.length) {
                this.w = Arrays.copyOf(iArr, iArr.length + 1);
            }
            this.w[this.x] = (int) (((float) Integer.parseInt(str)) * this.f1207j.getResources().getDisplayMetrics().density);
            this.x++;
        }
    }

    public CircularFlow(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    public CircularFlow(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
    }
}
