package androidx.constraintlayout.helper.widget;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.util.SparseArray;
import android.view.View;
import androidx.constraintlayout.core.widgets.ConstraintWidget;
import androidx.constraintlayout.core.widgets.HelperWidget;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.constraintlayout.widget.R$styleable;
import androidx.constraintlayout.widget.VirtualLayout;
import b.h.d.b;

public class Flow extends VirtualLayout {
    public androidx.constraintlayout.core.widgets.Flow r;

    public Flow(Context context) {
        super(context);
    }

    @Override // androidx.constraintlayout.widget.ConstraintHelper, androidx.constraintlayout.widget.VirtualLayout
    public void j(AttributeSet attributeSet) {
        super.j(attributeSet);
        this.r = new androidx.constraintlayout.core.widgets.Flow();
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, R$styleable.ConstraintLayout_Layout);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i2 = 0; i2 < indexCount; i2++) {
                int index = obtainStyledAttributes.getIndex(i2);
                if (index == R$styleable.ConstraintLayout_Layout_android_orientation) {
                    this.r.t1 = obtainStyledAttributes.getInt(index, 0);
                } else if (index == R$styleable.ConstraintLayout_Layout_android_padding) {
                    androidx.constraintlayout.core.widgets.Flow flow = this.r;
                    int dimensionPixelSize = obtainStyledAttributes.getDimensionPixelSize(index, 0);
                    flow.Q0 = dimensionPixelSize;
                    flow.R0 = dimensionPixelSize;
                    flow.S0 = dimensionPixelSize;
                    flow.T0 = dimensionPixelSize;
                } else if (index == R$styleable.ConstraintLayout_Layout_android_paddingStart) {
                    androidx.constraintlayout.core.widgets.Flow flow2 = this.r;
                    int dimensionPixelSize2 = obtainStyledAttributes.getDimensionPixelSize(index, 0);
                    flow2.S0 = dimensionPixelSize2;
                    flow2.U0 = dimensionPixelSize2;
                    flow2.V0 = dimensionPixelSize2;
                } else if (index == R$styleable.ConstraintLayout_Layout_android_paddingEnd) {
                    this.r.T0 = obtainStyledAttributes.getDimensionPixelSize(index, 0);
                } else if (index == R$styleable.ConstraintLayout_Layout_android_paddingLeft) {
                    this.r.U0 = obtainStyledAttributes.getDimensionPixelSize(index, 0);
                } else if (index == R$styleable.ConstraintLayout_Layout_android_paddingTop) {
                    this.r.Q0 = obtainStyledAttributes.getDimensionPixelSize(index, 0);
                } else if (index == R$styleable.ConstraintLayout_Layout_android_paddingRight) {
                    this.r.V0 = obtainStyledAttributes.getDimensionPixelSize(index, 0);
                } else if (index == R$styleable.ConstraintLayout_Layout_android_paddingBottom) {
                    this.r.R0 = obtainStyledAttributes.getDimensionPixelSize(index, 0);
                } else if (index == R$styleable.ConstraintLayout_Layout_flow_wrapMode) {
                    this.r.r1 = obtainStyledAttributes.getInt(index, 0);
                } else if (index == R$styleable.ConstraintLayout_Layout_flow_horizontalStyle) {
                    this.r.b1 = obtainStyledAttributes.getInt(index, 0);
                } else if (index == R$styleable.ConstraintLayout_Layout_flow_verticalStyle) {
                    this.r.c1 = obtainStyledAttributes.getInt(index, 0);
                } else if (index == R$styleable.ConstraintLayout_Layout_flow_firstHorizontalStyle) {
                    this.r.d1 = obtainStyledAttributes.getInt(index, 0);
                } else if (index == R$styleable.ConstraintLayout_Layout_flow_lastHorizontalStyle) {
                    this.r.f1 = obtainStyledAttributes.getInt(index, 0);
                } else if (index == R$styleable.ConstraintLayout_Layout_flow_firstVerticalStyle) {
                    this.r.e1 = obtainStyledAttributes.getInt(index, 0);
                } else if (index == R$styleable.ConstraintLayout_Layout_flow_lastVerticalStyle) {
                    this.r.g1 = obtainStyledAttributes.getInt(index, 0);
                } else if (index == R$styleable.ConstraintLayout_Layout_flow_horizontalBias) {
                    this.r.h1 = obtainStyledAttributes.getFloat(index, 0.5f);
                } else if (index == R$styleable.ConstraintLayout_Layout_flow_firstHorizontalBias) {
                    this.r.j1 = obtainStyledAttributes.getFloat(index, 0.5f);
                } else if (index == R$styleable.ConstraintLayout_Layout_flow_lastHorizontalBias) {
                    this.r.l1 = obtainStyledAttributes.getFloat(index, 0.5f);
                } else if (index == R$styleable.ConstraintLayout_Layout_flow_firstVerticalBias) {
                    this.r.k1 = obtainStyledAttributes.getFloat(index, 0.5f);
                } else if (index == R$styleable.ConstraintLayout_Layout_flow_lastVerticalBias) {
                    this.r.m1 = obtainStyledAttributes.getFloat(index, 0.5f);
                } else if (index == R$styleable.ConstraintLayout_Layout_flow_verticalBias) {
                    this.r.i1 = obtainStyledAttributes.getFloat(index, 0.5f);
                } else if (index == R$styleable.ConstraintLayout_Layout_flow_horizontalAlign) {
                    this.r.p1 = obtainStyledAttributes.getInt(index, 2);
                } else if (index == R$styleable.ConstraintLayout_Layout_flow_verticalAlign) {
                    this.r.q1 = obtainStyledAttributes.getInt(index, 2);
                } else if (index == R$styleable.ConstraintLayout_Layout_flow_horizontalGap) {
                    this.r.n1 = obtainStyledAttributes.getDimensionPixelSize(index, 0);
                } else if (index == R$styleable.ConstraintLayout_Layout_flow_verticalGap) {
                    this.r.o1 = obtainStyledAttributes.getDimensionPixelSize(index, 0);
                } else if (index == R$styleable.ConstraintLayout_Layout_flow_maxElementsWrap) {
                    this.r.s1 = obtainStyledAttributes.getInt(index, -1);
                }
            }
            obtainStyledAttributes.recycle();
        }
        this.f1208k = this.r;
        q();
    }

    @Override // androidx.constraintlayout.widget.ConstraintHelper
    public void k(b.a aVar, HelperWidget helperWidget, ConstraintLayout.a aVar2, SparseArray<ConstraintWidget> sparseArray) {
        super.k(aVar, helperWidget, aVar2, sparseArray);
        if (helperWidget instanceof androidx.constraintlayout.core.widgets.Flow) {
            androidx.constraintlayout.core.widgets.Flow flow = (androidx.constraintlayout.core.widgets.Flow) helperWidget;
            int i2 = aVar2.U;
            if (i2 != -1) {
                flow.t1 = i2;
            }
        }
    }

    @Override // androidx.constraintlayout.widget.ConstraintHelper
    public void l(ConstraintWidget constraintWidget, boolean z) {
        androidx.constraintlayout.core.widgets.Flow flow = this.r;
        int i2 = flow.S0;
        if (i2 <= 0 && flow.T0 <= 0) {
            return;
        }
        if (z) {
            flow.U0 = flow.T0;
            flow.V0 = i2;
            return;
        }
        flow.U0 = i2;
        flow.V0 = flow.T0;
    }

    @Override // androidx.constraintlayout.widget.ConstraintHelper
    @SuppressLint({"WrongCall"})
    public void onMeasure(int i2, int i3) {
        r(this.r, i2, i3);
    }

    @Override // androidx.constraintlayout.widget.VirtualLayout
    public void r(androidx.constraintlayout.core.widgets.VirtualLayout virtualLayout, int i2, int i3) {
        int mode = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i2);
        int mode2 = View.MeasureSpec.getMode(i3);
        int size2 = View.MeasureSpec.getSize(i3);
        if (virtualLayout != null) {
            virtualLayout.Y(mode, size, mode2, size2);
            setMeasuredDimension(virtualLayout.X0, virtualLayout.Y0);
            return;
        }
        setMeasuredDimension(0, 0);
    }

    public void setFirstHorizontalBias(float f2) {
        this.r.j1 = f2;
        requestLayout();
    }

    public void setFirstHorizontalStyle(int i2) {
        this.r.d1 = i2;
        requestLayout();
    }

    public void setFirstVerticalBias(float f2) {
        this.r.k1 = f2;
        requestLayout();
    }

    public void setFirstVerticalStyle(int i2) {
        this.r.e1 = i2;
        requestLayout();
    }

    public void setHorizontalAlign(int i2) {
        this.r.p1 = i2;
        requestLayout();
    }

    public void setHorizontalBias(float f2) {
        this.r.h1 = f2;
        requestLayout();
    }

    public void setHorizontalGap(int i2) {
        this.r.n1 = i2;
        requestLayout();
    }

    public void setHorizontalStyle(int i2) {
        this.r.b1 = i2;
        requestLayout();
    }

    public void setLastHorizontalBias(float f2) {
        this.r.l1 = f2;
        requestLayout();
    }

    public void setLastHorizontalStyle(int i2) {
        this.r.f1 = i2;
        requestLayout();
    }

    public void setLastVerticalBias(float f2) {
        this.r.m1 = f2;
        requestLayout();
    }

    public void setLastVerticalStyle(int i2) {
        this.r.g1 = i2;
        requestLayout();
    }

    public void setMaxElementsWrap(int i2) {
        this.r.s1 = i2;
        requestLayout();
    }

    public void setOrientation(int i2) {
        this.r.t1 = i2;
        requestLayout();
    }

    public void setPadding(int i2) {
        androidx.constraintlayout.core.widgets.Flow flow = this.r;
        flow.Q0 = i2;
        flow.R0 = i2;
        flow.S0 = i2;
        flow.T0 = i2;
        requestLayout();
    }

    public void setPaddingBottom(int i2) {
        this.r.R0 = i2;
        requestLayout();
    }

    public void setPaddingLeft(int i2) {
        this.r.U0 = i2;
        requestLayout();
    }

    public void setPaddingRight(int i2) {
        this.r.V0 = i2;
        requestLayout();
    }

    public void setPaddingTop(int i2) {
        this.r.Q0 = i2;
        requestLayout();
    }

    public void setVerticalAlign(int i2) {
        this.r.q1 = i2;
        requestLayout();
    }

    public void setVerticalBias(float f2) {
        this.r.i1 = f2;
        requestLayout();
    }

    public void setVerticalGap(int i2) {
        this.r.o1 = i2;
        requestLayout();
    }

    public void setVerticalStyle(int i2) {
        this.r.c1 = i2;
        requestLayout();
    }

    public void setWrapMode(int i2) {
        this.r.r1 = i2;
        requestLayout();
    }

    public Flow(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    public Flow(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
    }
}
