package androidx.constraintlayout.helper.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.view.View;
import androidx.constraintlayout.core.widgets.ConstraintWidget;
import androidx.constraintlayout.widget.ConstraintHelper;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.constraintlayout.widget.R$styleable;

public class Layer extends ConstraintHelper {
    public float A = Float.NaN;
    public boolean B = true;
    public View[] C = null;
    public float D = 0.0f;
    public float E = 0.0f;
    public boolean F;
    public boolean G;
    public float p = Float.NaN;
    public float q = Float.NaN;
    public float r = Float.NaN;
    public ConstraintLayout s;
    public float t = 1.0f;
    public float u = 1.0f;
    public float v = Float.NaN;
    public float w = Float.NaN;
    public float x = Float.NaN;
    public float y = Float.NaN;
    public float z = Float.NaN;

    public Layer(Context context) {
        super(context);
    }

    @Override // androidx.constraintlayout.widget.ConstraintHelper
    public void f(ConstraintLayout constraintLayout) {
        e(constraintLayout);
    }

    @Override // androidx.constraintlayout.widget.ConstraintHelper
    public void j(AttributeSet attributeSet) {
        super.j(attributeSet);
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, R$styleable.ConstraintLayout_Layout);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i2 = 0; i2 < indexCount; i2++) {
                int index = obtainStyledAttributes.getIndex(i2);
                if (index == R$styleable.ConstraintLayout_Layout_android_visibility) {
                    this.F = true;
                } else if (index == R$styleable.ConstraintLayout_Layout_android_elevation) {
                    this.G = true;
                }
            }
            obtainStyledAttributes.recycle();
        }
    }

    @Override // androidx.constraintlayout.widget.ConstraintHelper
    public void m(ConstraintLayout constraintLayout) {
        s();
        this.v = Float.NaN;
        this.w = Float.NaN;
        ConstraintWidget constraintWidget = ((ConstraintLayout.a) getLayoutParams()).p0;
        constraintWidget.S(0);
        constraintWidget.N(0);
        r();
        layout(((int) this.z) - getPaddingLeft(), ((int) this.A) - getPaddingTop(), getPaddingRight() + ((int) this.x), getPaddingBottom() + ((int) this.y));
        t();
    }

    @Override // androidx.constraintlayout.widget.ConstraintHelper
    public void o(ConstraintLayout constraintLayout) {
        this.s = constraintLayout;
        float rotation = getRotation();
        if (rotation != 0.0f) {
            this.r = rotation;
        } else if (!Float.isNaN(this.r)) {
            this.r = rotation;
        }
    }

    @Override // androidx.constraintlayout.widget.ConstraintHelper
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.s = (ConstraintLayout) getParent();
        if (this.F || this.G) {
            int visibility = getVisibility();
            float elevation = getElevation();
            for (int i2 = 0; i2 < this.f1206h; i2++) {
                View viewById = this.s.getViewById(this.f1205d[i2]);
                if (viewById != null) {
                    if (this.F) {
                        viewById.setVisibility(visibility);
                    }
                    if (this.G && elevation > 0.0f) {
                        viewById.setTranslationZ(viewById.getTranslationZ() + elevation);
                    }
                }
            }
        }
    }

    public void r() {
        if (this.s != null) {
            if (!(this.B || Float.isNaN(this.v) || Float.isNaN(this.w))) {
                return;
            }
            if (Float.isNaN(this.p) || Float.isNaN(this.q)) {
                View[] i2 = i(this.s);
                int left = i2[0].getLeft();
                int top = i2[0].getTop();
                int right = i2[0].getRight();
                int bottom = i2[0].getBottom();
                for (int i3 = 0; i3 < this.f1206h; i3++) {
                    View view = i2[i3];
                    left = Math.min(left, view.getLeft());
                    top = Math.min(top, view.getTop());
                    right = Math.max(right, view.getRight());
                    bottom = Math.max(bottom, view.getBottom());
                }
                this.x = (float) right;
                this.y = (float) bottom;
                this.z = (float) left;
                this.A = (float) top;
                if (Float.isNaN(this.p)) {
                    this.v = (float) ((left + right) / 2);
                } else {
                    this.v = this.p;
                }
                if (Float.isNaN(this.q)) {
                    this.w = (float) ((top + bottom) / 2);
                } else {
                    this.w = this.q;
                }
            } else {
                this.w = this.q;
                this.v = this.p;
            }
        }
    }

    public final void s() {
        int i2;
        if (!(this.s == null || (i2 = this.f1206h) == 0)) {
            View[] viewArr = this.C;
            if (viewArr == null || viewArr.length != i2) {
                this.C = new View[i2];
            }
            for (int i3 = 0; i3 < this.f1206h; i3++) {
                this.C[i3] = this.s.getViewById(this.f1205d[i3]);
            }
        }
    }

    public void setElevation(float f2) {
        super.setElevation(f2);
        d();
    }

    public void setPivotX(float f2) {
        this.p = f2;
        t();
    }

    public void setPivotY(float f2) {
        this.q = f2;
        t();
    }

    public void setRotation(float f2) {
        this.r = f2;
        t();
    }

    public void setScaleX(float f2) {
        this.t = f2;
        t();
    }

    public void setScaleY(float f2) {
        this.u = f2;
        t();
    }

    public void setTranslationX(float f2) {
        this.D = f2;
        t();
    }

    public void setTranslationY(float f2) {
        this.E = f2;
        t();
    }

    public void setVisibility(int i2) {
        super.setVisibility(i2);
        d();
    }

    public final void t() {
        if (this.s != null) {
            if (this.C == null) {
                s();
            }
            r();
            double radians = Float.isNaN(this.r) ? 0.0d : Math.toRadians((double) this.r);
            float sin = (float) Math.sin(radians);
            float cos = (float) Math.cos(radians);
            float f2 = this.t;
            float f3 = f2 * cos;
            float f4 = this.u;
            float f5 = (-f4) * sin;
            float f6 = f2 * sin;
            float f7 = f4 * cos;
            for (int i2 = 0; i2 < this.f1206h; i2++) {
                View view = this.C[i2];
                int left = view.getLeft();
                int top = view.getTop();
                float right = ((float) ((view.getRight() + left) / 2)) - this.v;
                float bottom = ((float) ((view.getBottom() + top) / 2)) - this.w;
                view.setTranslationX((((f5 * bottom) + (f3 * right)) - right) + this.D);
                view.setTranslationY((((f7 * bottom) + (right * f6)) - bottom) + this.E);
                view.setScaleY(this.u);
                view.setScaleX(this.t);
                if (!Float.isNaN(this.r)) {
                    view.setRotation(this.r);
                }
            }
        }
    }

    public Layer(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    public Layer(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
    }
}
