package androidx.constraintlayout.utils.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.view.ViewParent;
import android.view.animation.Interpolator;
import androidx.constraintlayout.motion.utils.ViewOscillator;
import androidx.constraintlayout.motion.utils.ViewSpline;
import androidx.constraintlayout.motion.widget.MotionLayout;
import androidx.constraintlayout.widget.R$styleable;
import b.h.a.d.a.a;
import b.h.a.d.a.g;
import b.h.c.a.h;
import b.h.c.a.i;
import java.util.HashMap;

public class MotionTelltales extends MockView {
    public Paint s;
    public MotionLayout t;
    public float[] u;
    public Matrix v;
    public int w;
    public int x;
    public float y;

    public MotionTelltales(Context context) {
        super(context);
        this.s = new Paint();
        this.u = new float[2];
        this.v = new Matrix();
        this.w = 0;
        this.x = -65281;
        this.y = 0.25f;
        a(context, null);
    }

    @Override // androidx.constraintlayout.utils.widget.MockView
    private void a(Context context, AttributeSet attributeSet) {
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.MotionTelltales);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i2 = 0; i2 < indexCount; i2++) {
                int index = obtainStyledAttributes.getIndex(i2);
                if (index == R$styleable.MotionTelltales_telltales_tailColor) {
                    this.x = obtainStyledAttributes.getColor(index, this.x);
                } else if (index == R$styleable.MotionTelltales_telltales_velocityMode) {
                    this.w = obtainStyledAttributes.getInt(index, this.w);
                } else if (index == R$styleable.MotionTelltales_telltales_tailScale) {
                    this.y = obtainStyledAttributes.getFloat(index, this.y);
                }
            }
            obtainStyledAttributes.recycle();
        }
        this.s.setColor(this.x);
        this.s.setStrokeWidth(5.0f);
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
    }

    @Override // androidx.constraintlayout.utils.widget.MockView
    public void onDraw(Canvas canvas) {
        float f2;
        int i2;
        int i3;
        int i4;
        int i5;
        float[] fArr;
        float[] fArr2;
        int i6;
        int i7;
        ViewSpline viewSpline;
        ViewSpline viewSpline2;
        ViewSpline viewSpline3;
        ViewSpline viewSpline4;
        float[] fArr3;
        float f3;
        int i8;
        double[] dArr;
        float f4;
        int i9;
        g gVar;
        MotionTelltales motionTelltales = this;
        super.onDraw(canvas);
        getMatrix().invert(motionTelltales.v);
        if (motionTelltales.t == null) {
            ViewParent parent = getParent();
            if (parent instanceof MotionLayout) {
                motionTelltales.t = (MotionLayout) parent;
                return;
            }
            return;
        }
        int width = getWidth();
        int height = getHeight();
        int i10 = 5;
        float[] fArr4 = {0.1f, 0.25f, 0.5f, 0.75f, 0.9f};
        int i11 = 0;
        while (i11 < i10) {
            float f5 = fArr4[i11];
            int i12 = 0;
            while (i12 < i10) {
                float f6 = fArr4[i12];
                MotionLayout motionLayout = motionTelltales.t;
                float[] fArr5 = motionTelltales.u;
                int i13 = motionTelltales.w;
                float f7 = motionLayout.f1127l;
                float f8 = motionLayout.w;
                if (motionLayout.f1125j != null) {
                    float signum = Math.signum(motionLayout.y - f8);
                    float interpolation = motionLayout.f1125j.getInterpolation(motionLayout.w + 1.0E-5f);
                    float interpolation2 = motionLayout.f1125j.getInterpolation(motionLayout.w);
                    f7 = (((interpolation - interpolation2) / 1.0E-5f) * signum) / motionLayout.u;
                    f8 = interpolation2;
                }
                Interpolator interpolator = motionLayout.f1125j;
                if (interpolator instanceof h) {
                    f7 = ((h) interpolator).a();
                }
                b.h.c.a.g gVar2 = motionLayout.s.get(motionTelltales);
                if ((i13 & 1) == 0) {
                    int width2 = getWidth();
                    int height2 = getHeight();
                    float c2 = gVar2.c(f8, gVar2.w);
                    HashMap<String, ViewSpline> hashMap = gVar2.z;
                    ViewSpline viewSpline5 = hashMap == null ? null : hashMap.get("translationX");
                    HashMap<String, ViewSpline> hashMap2 = gVar2.z;
                    fArr = fArr4;
                    if (hashMap2 == null) {
                        i7 = i13;
                        viewSpline = null;
                    } else {
                        viewSpline = hashMap2.get("translationY");
                        i7 = i13;
                    }
                    HashMap<String, ViewSpline> hashMap3 = gVar2.z;
                    i5 = i11;
                    if (hashMap3 == null) {
                        i4 = i12;
                        viewSpline2 = null;
                    } else {
                        viewSpline2 = hashMap3.get("rotation");
                        i4 = i12;
                    }
                    HashMap<String, ViewSpline> hashMap4 = gVar2.z;
                    i3 = height;
                    if (hashMap4 == null) {
                        i2 = width;
                        viewSpline3 = null;
                    } else {
                        viewSpline3 = hashMap4.get("scaleX");
                        i2 = width;
                    }
                    HashMap<String, ViewSpline> hashMap5 = gVar2.z;
                    if (hashMap5 == null) {
                        f2 = f7;
                        viewSpline4 = null;
                    } else {
                        viewSpline4 = hashMap5.get("scaleY");
                        f2 = f7;
                    }
                    HashMap<String, ViewOscillator> hashMap6 = gVar2.A;
                    ViewOscillator viewOscillator = hashMap6 == null ? null : hashMap6.get("translationX");
                    HashMap<String, ViewOscillator> hashMap7 = gVar2.A;
                    ViewOscillator viewOscillator2 = hashMap7 == null ? null : hashMap7.get("translationY");
                    HashMap<String, ViewOscillator> hashMap8 = gVar2.A;
                    ViewOscillator viewOscillator3 = hashMap8 == null ? null : hashMap8.get("rotation");
                    HashMap<String, ViewOscillator> hashMap9 = gVar2.A;
                    ViewOscillator viewOscillator4 = hashMap9 == null ? null : hashMap9.get("scaleX");
                    HashMap<String, ViewOscillator> hashMap10 = gVar2.A;
                    ViewOscillator viewOscillator5 = hashMap10 == null ? null : hashMap10.get("scaleY");
                    g gVar3 = new g();
                    gVar3.f2982e = 0.0f;
                    gVar3.f2981d = 0.0f;
                    gVar3.f2980c = 0.0f;
                    gVar3.f2979b = 0.0f;
                    gVar3.f2978a = 0.0f;
                    gVar3.b(viewSpline2, c2);
                    gVar3.d(viewSpline5, viewSpline, c2);
                    gVar3.c(viewSpline3, viewSpline4, c2);
                    if (viewOscillator3 != null) {
                        gVar3.f2982e = viewOscillator3.b(c2);
                    }
                    if (viewOscillator != null) {
                        gVar3.f2980c = viewOscillator.b(c2);
                    }
                    if (viewOscillator2 != null) {
                        gVar3.f2981d = viewOscillator2.b(c2);
                    }
                    if (viewOscillator4 != null) {
                        gVar3.f2978a = viewOscillator4.b(c2);
                    }
                    if (viewOscillator5 != null) {
                        gVar3.f2979b = viewOscillator5.b(c2);
                    }
                    a aVar = gVar2.f3045k;
                    if (aVar != null) {
                        double[] dArr2 = gVar2.p;
                        if (dArr2.length > 0) {
                            double d2 = (double) c2;
                            aVar.c(d2, dArr2);
                            gVar2.f3045k.f(d2, gVar2.q);
                            gVar = gVar3;
                            i9 = i7;
                            fArr3 = fArr5;
                            f4 = f6;
                            gVar2.f3040f.e(f6, f5, fArr5, gVar2.o, gVar2.q, gVar2.p);
                        } else {
                            gVar = gVar3;
                            f4 = f6;
                            fArr3 = fArr5;
                            i9 = i7;
                        }
                        gVar.a(f4, f5, width2, height2, fArr3);
                        i8 = i9;
                        f3 = f4;
                    } else if (gVar2.f3044j != null) {
                        double c3 = (double) gVar2.c(c2, gVar2.w);
                        gVar2.f3044j[0].f(c3, gVar2.q);
                        gVar2.f3044j[0].c(c3, gVar2.p);
                        float f9 = gVar2.w[0];
                        int i14 = 0;
                        while (true) {
                            dArr = gVar2.q;
                            if (i14 >= dArr.length) {
                                break;
                            }
                            dArr[i14] = dArr[i14] * ((double) f9);
                            i14++;
                        }
                        i8 = i7;
                        fArr3 = fArr5;
                        f3 = f6;
                        gVar2.f3040f.e(f6, f5, fArr5, gVar2.o, dArr, gVar2.p);
                        gVar3.a(f3, f5, width2, height2, fArr3);
                    } else {
                        i iVar = gVar2.f3041g;
                        float f10 = iVar.m;
                        i iVar2 = gVar2.f3040f;
                        float f11 = f10 - iVar2.m;
                        float f12 = iVar.n - iVar2.n;
                        fArr5[0] = (((iVar.o - iVar2.o) + f11) * f6) + ((1.0f - f6) * f11);
                        fArr5[1] = (((iVar.p - iVar2.p) + f12) * f5) + ((1.0f - f5) * f12);
                        gVar3.f2982e = 0.0f;
                        gVar3.f2981d = 0.0f;
                        gVar3.f2980c = 0.0f;
                        gVar3.f2979b = 0.0f;
                        gVar3.f2978a = 0.0f;
                        gVar3.b(viewSpline2, c2);
                        gVar3.d(viewSpline5, viewSpline, c2);
                        gVar3.c(viewSpline3, viewSpline4, c2);
                        if (viewOscillator3 != null) {
                            gVar3.f2982e = viewOscillator3.b(c2);
                        }
                        if (viewOscillator != null) {
                            gVar3.f2980c = viewOscillator.b(c2);
                        }
                        if (viewOscillator2 != null) {
                            gVar3.f2981d = viewOscillator2.b(c2);
                        }
                        if (viewOscillator4 != null) {
                            gVar3.f2978a = viewOscillator4.b(c2);
                        }
                        if (viewOscillator5 != null) {
                            gVar3.f2979b = viewOscillator5.b(c2);
                        }
                        i6 = i7;
                        fArr2 = fArr5;
                        gVar3.a(f6, f5, width2, height2, fArr5);
                    }
                    i6 = i8;
                    f6 = f3;
                    fArr2 = fArr3;
                } else {
                    i2 = width;
                    i3 = height;
                    f2 = f7;
                    fArr = fArr4;
                    i5 = i11;
                    i6 = i13;
                    fArr2 = fArr5;
                    i4 = i12;
                    gVar2.e(f8, f6, f5, fArr2);
                }
                if (i6 < 2) {
                    fArr2[0] = fArr2[0] * f2;
                    fArr2[1] = fArr2[1] * f2;
                }
                motionTelltales = this;
                motionTelltales.v.mapVectors(motionTelltales.u);
                width = i2;
                float f13 = ((float) width) * f6;
                height = i3;
                float f14 = ((float) height) * f5;
                float[] fArr6 = motionTelltales.u;
                float f15 = fArr6[0];
                float f16 = motionTelltales.y;
                float f17 = f14 - (fArr6[1] * f16);
                motionTelltales.v.mapVectors(fArr6);
                canvas.drawLine(f13, f14, f13 - (f15 * f16), f17, motionTelltales.s);
                i12 = i4 + 1;
                fArr4 = fArr;
                i11 = i5;
                i10 = 5;
            }
            i11++;
            i10 = 5;
        }
    }

    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        super.onLayout(z, i2, i3, i4, i5);
        postInvalidate();
    }

    public void setText(CharSequence charSequence) {
        this.m = charSequence.toString();
        requestLayout();
    }

    public MotionTelltales(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.s = new Paint();
        this.u = new float[2];
        this.v = new Matrix();
        this.w = 0;
        this.x = -65281;
        this.y = 0.25f;
        a(context, attributeSet);
    }

    public MotionTelltales(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.s = new Paint();
        this.u = new float[2];
        this.v = new Matrix();
        this.w = 0;
        this.x = -65281;
        this.y = 0.25f;
        a(context, attributeSet);
    }
}
