package androidx.constraintlayout.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.util.SparseArray;
import androidx.constraintlayout.core.widgets.ConstraintWidget;
import androidx.constraintlayout.core.widgets.ConstraintWidgetContainer;
import androidx.constraintlayout.core.widgets.HelperWidget;
import androidx.constraintlayout.widget.ConstraintLayout;
import b.h.d.b;

public class Barrier extends ConstraintHelper {
    public int p;
    public int q;
    public androidx.constraintlayout.core.widgets.Barrier r;

    public Barrier(Context context) {
        super(context);
        super.setVisibility(8);
    }

    public boolean getAllowsGoneWidget() {
        return this.r.R0;
    }

    public int getMargin() {
        return this.r.S0;
    }

    public int getType() {
        return this.p;
    }

    @Override // androidx.constraintlayout.widget.ConstraintHelper
    public void j(AttributeSet attributeSet) {
        super.j(attributeSet);
        this.r = new androidx.constraintlayout.core.widgets.Barrier();
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, R$styleable.ConstraintLayout_Layout);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i2 = 0; i2 < indexCount; i2++) {
                int index = obtainStyledAttributes.getIndex(i2);
                if (index == R$styleable.ConstraintLayout_Layout_barrierDirection) {
                    setType(obtainStyledAttributes.getInt(index, 0));
                } else if (index == R$styleable.ConstraintLayout_Layout_barrierAllowsGoneWidgets) {
                    this.r.R0 = obtainStyledAttributes.getBoolean(index, true);
                } else if (index == R$styleable.ConstraintLayout_Layout_barrierMargin) {
                    this.r.S0 = obtainStyledAttributes.getDimensionPixelSize(index, 0);
                }
            }
            obtainStyledAttributes.recycle();
        }
        this.f1208k = this.r;
        q();
    }

    @Override // androidx.constraintlayout.widget.ConstraintHelper
    public void k(b.a aVar, HelperWidget helperWidget, ConstraintLayout.a aVar2, SparseArray<ConstraintWidget> sparseArray) {
        super.k(aVar, helperWidget, aVar2, sparseArray);
        if (helperWidget instanceof androidx.constraintlayout.core.widgets.Barrier) {
            androidx.constraintlayout.core.widgets.Barrier barrier = (androidx.constraintlayout.core.widgets.Barrier) helperWidget;
            r(barrier, aVar.f3156e.g0, ((ConstraintWidgetContainer) helperWidget.Y).T0);
            b.C0018b bVar = aVar.f3156e;
            barrier.R0 = bVar.o0;
            barrier.S0 = bVar.h0;
        }
    }

    @Override // androidx.constraintlayout.widget.ConstraintHelper
    public void l(ConstraintWidget constraintWidget, boolean z) {
        r(constraintWidget, this.p, z);
    }

    public final void r(ConstraintWidget constraintWidget, int i2, boolean z) {
        this.q = i2;
        if (z) {
            int i3 = this.p;
            if (i3 == 5) {
                this.q = 1;
            } else if (i3 == 6) {
                this.q = 0;
            }
        } else {
            int i4 = this.p;
            if (i4 == 5) {
                this.q = 0;
            } else if (i4 == 6) {
                this.q = 1;
            }
        }
        if (constraintWidget instanceof androidx.constraintlayout.core.widgets.Barrier) {
            ((androidx.constraintlayout.core.widgets.Barrier) constraintWidget).Q0 = this.q;
        }
    }

    public void setAllowsGoneWidget(boolean z) {
        this.r.R0 = z;
    }

    public void setDpMargin(int i2) {
        this.r.S0 = (int) ((((float) i2) * getResources().getDisplayMetrics().density) + 0.5f);
    }

    public void setMargin(int i2) {
        this.r.S0 = i2;
    }

    public void setType(int i2) {
        this.p = i2;
    }

    public Barrier(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        super.setVisibility(8);
    }

    public Barrier(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        super.setVisibility(8);
    }
}
