package androidx.core.graphics.drawable;

import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.os.Parcelable;
import androidx.versionedparcelable.VersionedParcel;
import java.nio.charset.Charset;
import java.util.Objects;

public class IconCompatParcelizer {
    public static IconCompat read(VersionedParcel versionedParcel) {
        IconCompat iconCompat = new IconCompat();
        iconCompat.f1333b = versionedParcel.k(iconCompat.f1333b, 1);
        byte[] bArr = iconCompat.f1335d;
        if (versionedParcel.i(2)) {
            bArr = versionedParcel.g();
        }
        iconCompat.f1335d = bArr;
        iconCompat.f1336e = versionedParcel.m(iconCompat.f1336e, 3);
        iconCompat.f1337f = versionedParcel.k(iconCompat.f1337f, 4);
        iconCompat.f1338g = versionedParcel.k(iconCompat.f1338g, 5);
        iconCompat.f1339h = (ColorStateList) versionedParcel.m(iconCompat.f1339h, 6);
        String str = iconCompat.f1341j;
        if (versionedParcel.i(7)) {
            str = versionedParcel.n();
        }
        iconCompat.f1341j = str;
        String str2 = iconCompat.f1342k;
        if (versionedParcel.i(8)) {
            str2 = versionedParcel.n();
        }
        iconCompat.f1342k = str2;
        iconCompat.f1340i = PorterDuff.Mode.valueOf(iconCompat.f1341j);
        switch (iconCompat.f1333b) {
            case -1:
                Parcelable parcelable = iconCompat.f1336e;
                if (parcelable != null) {
                    iconCompat.f1334c = parcelable;
                    break;
                } else {
                    throw new IllegalArgumentException("Invalid icon");
                }
            case 1:
            case 5:
                Parcelable parcelable2 = iconCompat.f1336e;
                if (parcelable2 == null) {
                    byte[] bArr2 = iconCompat.f1335d;
                    iconCompat.f1334c = bArr2;
                    iconCompat.f1333b = 3;
                    iconCompat.f1337f = 0;
                    iconCompat.f1338g = bArr2.length;
                    break;
                } else {
                    iconCompat.f1334c = parcelable2;
                    break;
                }
            case 2:
            case 4:
            case 6:
                String str3 = new String(iconCompat.f1335d, Charset.forName("UTF-16"));
                iconCompat.f1334c = str3;
                if (iconCompat.f1333b == 2 && iconCompat.f1342k == null) {
                    iconCompat.f1342k = str3.split(":", -1)[0];
                    break;
                }
            case 3:
                iconCompat.f1334c = iconCompat.f1335d;
                break;
        }
        return iconCompat;
    }

    public static void write(IconCompat iconCompat, VersionedParcel versionedParcel) {
        Objects.requireNonNull(versionedParcel);
        iconCompat.f1341j = iconCompat.f1340i.name();
        switch (iconCompat.f1333b) {
            case -1:
                iconCompat.f1336e = (Parcelable) iconCompat.f1334c;
                break;
            case 1:
            case 5:
                iconCompat.f1336e = (Parcelable) iconCompat.f1334c;
                break;
            case 2:
                iconCompat.f1335d = ((String) iconCompat.f1334c).getBytes(Charset.forName("UTF-16"));
                break;
            case 3:
                iconCompat.f1335d = (byte[]) iconCompat.f1334c;
                break;
            case 4:
            case 6:
                iconCompat.f1335d = iconCompat.f1334c.toString().getBytes(Charset.forName("UTF-16"));
                break;
        }
        int i2 = iconCompat.f1333b;
        if (-1 != i2) {
            versionedParcel.p(1);
            versionedParcel.t(i2);
        }
        byte[] bArr = iconCompat.f1335d;
        if (bArr != null) {
            versionedParcel.p(2);
            versionedParcel.r(bArr);
        }
        Parcelable parcelable = iconCompat.f1336e;
        if (parcelable != null) {
            versionedParcel.p(3);
            versionedParcel.u(parcelable);
        }
        int i3 = iconCompat.f1337f;
        if (i3 != 0) {
            versionedParcel.p(4);
            versionedParcel.t(i3);
        }
        int i4 = iconCompat.f1338g;
        if (i4 != 0) {
            versionedParcel.p(5);
            versionedParcel.t(i4);
        }
        ColorStateList colorStateList = iconCompat.f1339h;
        if (colorStateList != null) {
            versionedParcel.p(6);
            versionedParcel.u(colorStateList);
        }
        String str = iconCompat.f1341j;
        if (str != null) {
            versionedParcel.p(7);
            versionedParcel.v(str);
        }
        String str2 = iconCompat.f1342k;
        if (str2 != null) {
            versionedParcel.p(8);
            versionedParcel.v(str2);
        }
    }
}
