package androidx.core.widget;

import android.content.ClipData;
import android.content.Context;
import android.text.Editable;
import android.text.Selection;
import android.text.SpannableStringBuilder;
import android.text.Spanned;
import android.util.Log;
import android.view.View;
import android.widget.TextView;
import androidx.core.view.OnReceiveContentListener;
import b.j.h.b;

public final class TextViewOnReceiveContentListener implements OnReceiveContentListener {
    public static CharSequence a(Context context, ClipData.Item item, int i2) {
        if ((i2 & 1) == 0) {
            return item.coerceToStyledText(context);
        }
        CharSequence coerceToText = item.coerceToText(context);
        if (coerceToText instanceof Spanned) {
            return coerceToText.toString();
        }
        return coerceToText;
    }

    public static void b(Editable editable, CharSequence charSequence) {
        int selectionStart = Selection.getSelectionStart(editable);
        int selectionEnd = Selection.getSelectionEnd(editable);
        int max = Math.max(0, Math.min(selectionStart, selectionEnd));
        int max2 = Math.max(0, Math.max(selectionStart, selectionEnd));
        Selection.setSelection(editable, max2);
        editable.replace(max, max2, charSequence);
    }

    @Override // androidx.core.view.OnReceiveContentListener
    public b onReceiveContent(View view, b bVar) {
        if (Log.isLoggable("ReceiveContent", 3)) {
            Log.d("ReceiveContent", "onReceive: " + bVar);
        }
        int i2 = bVar.f3395b;
        if (i2 == 2) {
            return bVar;
        }
        int i3 = 0;
        if (i2 == 3) {
            TextView textView = (TextView) view;
            ClipData clipData = bVar.f3394a;
            Context context = textView.getContext();
            int i4 = bVar.f3396c;
            SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder();
            while (i3 < clipData.getItemCount()) {
                CharSequence a2 = a(context, clipData.getItemAt(i3), i4);
                if (a2 != null) {
                    spannableStringBuilder.append(a2);
                }
                i3++;
            }
            b((Editable) textView.getText(), spannableStringBuilder);
            return null;
        }
        ClipData clipData2 = bVar.f3394a;
        int i5 = bVar.f3396c;
        TextView textView2 = (TextView) view;
        Editable editable = (Editable) textView2.getText();
        Context context2 = textView2.getContext();
        boolean z = false;
        while (i3 < clipData2.getItemCount()) {
            CharSequence a3 = a(context2, clipData2.getItemAt(i3), i5);
            if (a3 != null) {
                if (!z) {
                    b(editable, a3);
                    z = true;
                } else {
                    editable.insert(Selection.getSelectionEnd(editable), "\n");
                    editable.insert(Selection.getSelectionEnd(editable), a3);
                }
            }
            i3++;
        }
        return null;
    }
}
