package androidx.databinding;

import androidx.collection.ArrayMap;
import androidx.databinding.ObservableMap;
import b.f.f;
import java.util.Collection;

public class ObservableArrayMap<K, V> extends ArrayMap<K, V> implements ObservableMap<K, V> {
    public transient MapChangeRegistry p;

    @Override // androidx.databinding.ObservableMap
    public void addOnMapChangedCallback(ObservableMap.a<? extends ObservableMap<K, V>, K, V> aVar) {
        if (this.p == null) {
            this.p = new MapChangeRegistry();
        }
        this.p.a(aVar);
    }

    @Override // b.f.g
    public void clear() {
        if (!isEmpty()) {
            super.clear();
            o(null);
        }
    }

    @Override // b.f.g
    public V j(int i2) {
        Object obj = this.m[i2 << 1];
        V v = (V) super.j(i2);
        if (v != null) {
            o(obj);
        }
        return v;
    }

    @Override // b.f.g
    public V k(int i2, V v) {
        Object[] objArr = this.m;
        int i3 = i2 << 1;
        Object obj = objArr[i3];
        int i4 = i3 + 1;
        V v2 = (V) objArr[i4];
        objArr[i4] = v;
        o(obj);
        return v2;
    }

    @Override // androidx.collection.ArrayMap
    public boolean n(Collection<?> collection) {
        boolean z = false;
        for (int size = size() - 1; size >= 0; size--) {
            if (!((f.c) collection).contains(h(size))) {
                j(size);
                z = true;
            }
        }
        return z;
    }

    public final void o(Object obj) {
        MapChangeRegistry mapChangeRegistry = this.p;
        if (mapChangeRegistry != null) {
            mapChangeRegistry.c(this, 0, obj);
        }
    }

    @Override // java.util.Map, b.f.g
    public V put(K k2, V v) {
        super.put(k2, v);
        MapChangeRegistry mapChangeRegistry = this.p;
        if (mapChangeRegistry != null) {
            mapChangeRegistry.c(this, 0, k2);
        }
        return v;
    }

    @Override // androidx.databinding.ObservableMap
    public void removeOnMapChangedCallback(ObservableMap.a<? extends ObservableMap<K, V>, K, V> aVar) {
        MapChangeRegistry mapChangeRegistry = this.p;
        if (mapChangeRegistry != null) {
            mapChangeRegistry.f(aVar);
        }
    }
}
