package androidx.fragment.app;

import android.annotation.SuppressLint;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import android.util.Log;
import androidx.lifecycle.Lifecycle;
import b.o.a.x;
import java.util.ArrayList;

@SuppressLint({"BanParcelableUsage"})
public final class BackStackState implements Parcelable {
    public static final Parcelable.Creator<BackStackState> CREATOR = new a();
    private static final String TAG = "FragmentManager";
    public final int mBreadCrumbShortTitleRes;
    public final CharSequence mBreadCrumbShortTitleText;
    public final int mBreadCrumbTitleRes;
    public final CharSequence mBreadCrumbTitleText;
    public final int[] mCurrentMaxLifecycleStates;
    public final ArrayList<String> mFragmentWhos;
    public final int mIndex;
    public final String mName;
    public final int[] mOldMaxLifecycleStates;
    public final int[] mOps;
    public final boolean mReorderingAllowed;
    public final ArrayList<String> mSharedElementSourceNames;
    public final ArrayList<String> mSharedElementTargetNames;
    public final int mTransition;

    public class a implements Parcelable.Creator<BackStackState> {
        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // android.os.Parcelable.Creator
        public BackStackState createFromParcel(Parcel parcel) {
            return new BackStackState(parcel);
        }

        /* Return type fixed from 'java.lang.Object[]' to match base method */
        @Override // android.os.Parcelable.Creator
        public BackStackState[] newArray(int i2) {
            return new BackStackState[i2];
        }
    }

    public BackStackState(b.o.a.a aVar) {
        int size = aVar.f3693a.size();
        this.mOps = new int[(size * 5)];
        if (aVar.f3699g) {
            this.mFragmentWhos = new ArrayList<>(size);
            this.mOldMaxLifecycleStates = new int[size];
            this.mCurrentMaxLifecycleStates = new int[size];
            int i2 = 0;
            int i3 = 0;
            while (i2 < size) {
                x.a aVar2 = aVar.f3693a.get(i2);
                int i4 = i3 + 1;
                this.mOps[i3] = aVar2.f3705a;
                ArrayList<String> arrayList = this.mFragmentWhos;
                Fragment fragment = aVar2.f3706b;
                arrayList.add(fragment != null ? fragment.mWho : null);
                int[] iArr = this.mOps;
                int i5 = i4 + 1;
                iArr[i4] = aVar2.f3707c;
                int i6 = i5 + 1;
                iArr[i5] = aVar2.f3708d;
                int i7 = i6 + 1;
                iArr[i6] = aVar2.f3709e;
                iArr[i7] = aVar2.f3710f;
                this.mOldMaxLifecycleStates[i2] = aVar2.f3711g.ordinal();
                this.mCurrentMaxLifecycleStates[i2] = aVar2.f3712h.ordinal();
                i2++;
                i3 = i7 + 1;
            }
            this.mTransition = aVar.f3698f;
            this.mName = aVar.f3700h;
            this.mIndex = aVar.r;
            this.mBreadCrumbTitleRes = aVar.f3701i;
            this.mBreadCrumbTitleText = aVar.f3702j;
            this.mBreadCrumbShortTitleRes = aVar.f3703k;
            this.mBreadCrumbShortTitleText = aVar.f3704l;
            this.mSharedElementSourceNames = aVar.m;
            this.mSharedElementTargetNames = aVar.n;
            this.mReorderingAllowed = aVar.o;
            return;
        }
        throw new IllegalStateException("Not on back stack");
    }

    public int describeContents() {
        return 0;
    }

    public b.o.a.a instantiate(FragmentManager fragmentManager) {
        b.o.a.a aVar = new b.o.a.a(fragmentManager);
        int i2 = 0;
        int i3 = 0;
        while (true) {
            int[] iArr = this.mOps;
            if (i2 < iArr.length) {
                x.a aVar2 = new x.a();
                int i4 = i2 + 1;
                aVar2.f3705a = iArr[i2];
                if (FragmentManager.Q(2)) {
                    Log.v(TAG, "Instantiate " + aVar + " op #" + i3 + " base fragment #" + this.mOps[i4]);
                }
                String str = this.mFragmentWhos.get(i3);
                if (str != null) {
                    aVar2.f3706b = fragmentManager.f1529c.d(str);
                } else {
                    aVar2.f3706b = null;
                }
                aVar2.f3711g = Lifecycle.State.values()[this.mOldMaxLifecycleStates[i3]];
                aVar2.f3712h = Lifecycle.State.values()[this.mCurrentMaxLifecycleStates[i3]];
                int[] iArr2 = this.mOps;
                int i5 = i4 + 1;
                int i6 = iArr2[i4];
                aVar2.f3707c = i6;
                int i7 = i5 + 1;
                int i8 = iArr2[i5];
                aVar2.f3708d = i8;
                int i9 = i7 + 1;
                int i10 = iArr2[i7];
                aVar2.f3709e = i10;
                int i11 = iArr2[i9];
                aVar2.f3710f = i11;
                aVar.f3694b = i6;
                aVar.f3695c = i8;
                aVar.f3696d = i10;
                aVar.f3697e = i11;
                aVar.b(aVar2);
                i3++;
                i2 = i9 + 1;
            } else {
                aVar.f3698f = this.mTransition;
                aVar.f3700h = this.mName;
                aVar.r = this.mIndex;
                aVar.f3699g = true;
                aVar.f3701i = this.mBreadCrumbTitleRes;
                aVar.f3702j = this.mBreadCrumbTitleText;
                aVar.f3703k = this.mBreadCrumbShortTitleRes;
                aVar.f3704l = this.mBreadCrumbShortTitleText;
                aVar.m = this.mSharedElementSourceNames;
                aVar.n = this.mSharedElementTargetNames;
                aVar.o = this.mReorderingAllowed;
                aVar.l(1);
                return aVar;
            }
        }
    }

    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeIntArray(this.mOps);
        parcel.writeStringList(this.mFragmentWhos);
        parcel.writeIntArray(this.mOldMaxLifecycleStates);
        parcel.writeIntArray(this.mCurrentMaxLifecycleStates);
        parcel.writeInt(this.mTransition);
        parcel.writeString(this.mName);
        parcel.writeInt(this.mIndex);
        parcel.writeInt(this.mBreadCrumbTitleRes);
        TextUtils.writeToParcel(this.mBreadCrumbTitleText, parcel, 0);
        parcel.writeInt(this.mBreadCrumbShortTitleRes);
        TextUtils.writeToParcel(this.mBreadCrumbShortTitleText, parcel, 0);
        parcel.writeStringList(this.mSharedElementSourceNames);
        parcel.writeStringList(this.mSharedElementTargetNames);
        parcel.writeInt(this.mReorderingAllowed ? 1 : 0);
    }

    public BackStackState(Parcel parcel) {
        this.mOps = parcel.createIntArray();
        this.mFragmentWhos = parcel.createStringArrayList();
        this.mOldMaxLifecycleStates = parcel.createIntArray();
        this.mCurrentMaxLifecycleStates = parcel.createIntArray();
        this.mTransition = parcel.readInt();
        this.mName = parcel.readString();
        this.mIndex = parcel.readInt();
        this.mBreadCrumbTitleRes = parcel.readInt();
        this.mBreadCrumbTitleText = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        this.mBreadCrumbShortTitleRes = parcel.readInt();
        this.mBreadCrumbShortTitleText = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        this.mSharedElementSourceNames = parcel.createStringArrayList();
        this.mSharedElementTargetNames = parcel.createStringArrayList();
        this.mReorderingAllowed = parcel.readInt() != 0;
    }
}
