package com.androidx.lv.base.dialog;

import android.app.Dialog;
import android.content.Context;
import android.graphics.drawable.ColorDrawable;
import android.os.Bundle;
import android.view.Window;
import android.view.WindowManager;
import android.widget.TextView;
import com.androidx.lv.base.R$id;
import com.androidx.lv.base.R$layout;
import com.androidx.lv.base.R$style;

public class ProgressBarDialog extends Dialog {
    private TextView tvHint;

    public ProgressBarDialog(Context context) {
        super(context, R$style.MyDialogStyle);
    }

    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R$layout.dialog_progress_layout);
        this.tvHint = (TextView) findViewById(R$id.tv_hint);
        setCancelable(false);
        setCanceledOnTouchOutside(false);
    }

    public void onStart() {
        super.onStart();
        Window window = getWindow();
        window.setBackgroundDrawable(new ColorDrawable(0));
        WindowManager.LayoutParams attributes = window.getAttributes();
        attributes.width = (int) (((double) window.getWindowManager().getDefaultDisplay().getWidth()) * 0.8d);
        window.setAttributes(attributes);
    }

    public void setHint(String str) {
        this.tvHint.setText(str);
    }
}
