package com.androidx.lv.base.utils;

import android.content.Context;
import android.os.Environment;
import java.io.File;
import java.math.BigDecimal;

public class DataCleanManager {
    public static void clearAllCache(Context context) {
        deleteDir(context.getCacheDir());
        if (Environment.getExternalStorageState().equals("mounted")) {
            deleteDir(context.getExternalCacheDir());
        }
        deleteDir(context.getExternalFilesDir(null));
    }

    private static boolean deleteDir(File file) {
        String[] list;
        if (file != null && file.isDirectory()) {
            for (String str : file.list()) {
                if (!deleteDir(new File(file, str))) {
                    return false;
                }
            }
        }
        return file.delete();
    }

    public static long getFolderSize(File file) {
        long j2;
        long j3 = 0;
        try {
            File[] listFiles = file.listFiles();
            for (int i2 = 0; i2 < listFiles.length; i2++) {
                if (listFiles[i2].isDirectory()) {
                    j2 = getFolderSize(listFiles[i2]);
                } else {
                    j2 = listFiles[i2].length();
                }
                j3 += j2;
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        return j3;
    }

    public static String getFormatSize(double d2) {
        double d3 = d2 / 1024.0d;
        if (d3 < 1.0d) {
            return "0M";
        }
        double d4 = d3 / 1024.0d;
        if (d4 < 1.0d) {
            BigDecimal bigDecimal = new BigDecimal(Double.toString(d3));
            return bigDecimal.setScale(2, 4).toPlainString() + "K";
        }
        double d5 = d4 / 1024.0d;
        if (d5 < 1.0d) {
            BigDecimal bigDecimal2 = new BigDecimal(Double.toString(d4));
            return bigDecimal2.setScale(2, 4).toPlainString() + "M";
        }
        double d6 = d5 / 1024.0d;
        if (d6 < 1.0d) {
            BigDecimal bigDecimal3 = new BigDecimal(Double.toString(d5));
            return bigDecimal3.setScale(2, 4).toPlainString() + "GB";
        }
        BigDecimal bigDecimal4 = new BigDecimal(d6);
        return bigDecimal4.setScale(2, 4).toPlainString() + "TB";
    }

    public static String getTotalCacheSize(Context context) {
        long j2 = 0;
        try {
            long folderSize = getFolderSize(context.getCacheDir());
            if (Environment.getExternalStorageState().equals("mounted")) {
                folderSize += getFolderSize(context.getExternalCacheDir());
            }
            j2 = folderSize + getFolderSize(context.getExternalFilesDir(null));
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        return getFormatSize((double) j2);
    }
}
