package com.androidx.lv.base.utils;

import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.os.Build;
import android.os.Process;
import android.text.TextUtils;
import android.util.Log;
import androidx.core.content.FileProvider;
import com.lzy.okgo.exception.StorageException;
import com.lzy.okgo.model.Progress;
import com.lzy.okgo.request.GetRequest;
import d.m.a.f.e;
import d.m.b.a;
import d.m.b.b.a;
import d.m.b.b.b;
import d.m.b.b.c;
import d.m.b.b.d;
import java.io.File;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import java.util.concurrent.ConcurrentHashMap;
import okhttp3.internal.cache.DiskLruCache;

public class DownloadFileUtils {
    public static void openFile(Context context, File file) {
        Uri uri;
        Intent intent = new Intent("android.intent.action.VIEW");
        try {
            if (Build.VERSION.SDK_INT >= 24) {
                uri = FileProvider.getUriForFile(context, context.getPackageName() + ".fileprovider", file);
                intent.setAction("android.intent.action.INSTALL_PACKAGE");
                intent.addFlags(1);
            } else {
                uri = Uri.fromFile(file);
                intent.setAction("android.intent.action.VIEW");
                intent.setFlags(268435456);
            }
            intent.setDataAndType(uri, "application/vnd.android.package-archive");
            context.startActivity(intent);
            Process.killProcess(Process.myPid());
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    public static void startDownloadFile(String str, String str2, String str3, String str4, a aVar) {
        GetRequest getRequest = new GetRequest(str);
        d.m.b.a aVar2 = a.b.f12371a;
        ConcurrentHashMap<String, b> concurrentHashMap = aVar2.f12370c;
        b bVar = concurrentHashMap.get(str2);
        if (bVar == null) {
            bVar = new b(str2, getRequest);
            concurrentHashMap.put(str2, bVar);
        }
        if (str3 == null || TextUtils.isEmpty(str3.trim())) {
            Log.w("OkGo", "folder is null, ignored!");
        } else {
            bVar.f12373d.folder = str3;
        }
        if (str4 == null || TextUtils.isEmpty(str4.trim())) {
            Log.w("OkGo", "fileName is null, ignored!");
        } else {
            bVar.f12373d.fileName = str4;
        }
        if (!TextUtils.isEmpty(bVar.f12373d.folder) && !TextUtils.isEmpty(bVar.f12373d.fileName)) {
            Progress progress = bVar.f12373d;
            Progress progress2 = bVar.f12373d;
            progress.filePath = new File(progress2.folder, progress2.fileName).getAbsolutePath();
        }
        e eVar = e.b.f12351a;
        eVar.f(bVar.f12373d);
        if (aVar != null) {
            bVar.f12374h.put(aVar.f12372a, aVar);
        }
        if (aVar2.f12370c.get(bVar.f12373d.tag) != null) {
            String str5 = bVar.f12373d.tag;
            Objects.requireNonNull(eVar);
            long currentTimeMillis = System.currentTimeMillis();
            List e2 = eVar.e(null, "tag=?", new String[]{str5}, null, null, null, DiskLruCache.VERSION_1);
            String str6 = d.m.a.f.a.f12335a;
            Log.v(str6, (System.currentTimeMillis() - currentTimeMillis) + " queryOne");
            ArrayList arrayList = (ArrayList) e2;
            if (((Progress) (arrayList.size() > 0 ? arrayList.get(0) : null)) != null) {
                Progress progress3 = bVar.f12373d;
                int i2 = progress3.status;
                if (i2 == 0 || i2 == 3 || i2 == 4) {
                    progress3.speed = 0;
                    progress3.status = 0;
                    bVar.d(progress3);
                    d.l.b.g.g.b.A0(new c(bVar, progress3));
                    Progress progress4 = bVar.f12373d;
                    progress4.speed = 0;
                    progress4.status = 1;
                    bVar.d(progress4);
                    d.l.b.g.g.b.A0(new d(bVar, progress4));
                    d.m.b.c.b bVar2 = new d.m.b.c.b(bVar.f12373d.priority, bVar);
                    bVar.f12376k = bVar2;
                    bVar.f12375j.execute(bVar2);
                    return;
                } else if (i2 != 5) {
                    StringBuilder B = d.a.a.a.a.B("the task with tag ");
                    B.append(bVar.f12373d.tag);
                    B.append(" is already in the download queue, current task status is ");
                    B.append(bVar.f12373d.status);
                    Log.w("OkGo", B.toString());
                    return;
                } else if (progress3.filePath == null) {
                    bVar.b(progress3, new StorageException(d.a.a.a.a.y(d.a.a.a.a.B("the file of the task with tag:"), bVar.f12373d.tag, " may be invalid or damaged, please call the method restart() to download again！")));
                    return;
                } else {
                    File file = new File(bVar.f12373d.filePath);
                    if (file.exists()) {
                        long length = file.length();
                        Progress progress5 = bVar.f12373d;
                        if (length == progress5.totalSize) {
                            bVar.c(progress5, new File(bVar.f12373d.filePath));
                            return;
                        }
                    }
                    bVar.b(bVar.f12373d, new StorageException(d.a.a.a.a.y(d.a.a.a.a.B("the file "), bVar.f12373d.filePath, " may be invalid or damaged, please call the method restart() to download again！")));
                    return;
                }
            }
        }
        throw new IllegalStateException("you must call DownloadTask#save() before DownloadTask#start()！");
    }
}
