package com.androidx.lv.base.utils;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.PointF;
import android.graphics.drawable.Drawable;
import android.widget.ImageView;
import b.j.c.g.a;
import com.androidx.lv.base.R$drawable;
import com.luck.picture.lib.engine.ImageEngine;
import com.luck.picture.lib.listener.OnImageCompleteCallback;
import com.luck.picture.lib.tools.MediaUtils;
import com.luck.picture.lib.widget.longimage.ImageSource;
import com.luck.picture.lib.widget.longimage.ImageViewState;
import com.luck.picture.lib.widget.longimage.SubsamplingScaleImageView;
import d.d.a.c;
import d.d.a.g;
import d.d.a.q.f;
import d.d.a.q.i.b;
import d.d.a.s.d;

public class GlideEngine implements ImageEngine {
    private static GlideEngine instance;

    private GlideEngine() {
    }

    public static GlideEngine createGlideEngine() {
        if (instance == null) {
            synchronized (GlideEngine.class) {
                if (instance == null) {
                    instance = new GlideEngine();
                }
            }
        }
        return instance;
    }

    @Override // com.luck.picture.lib.engine.ImageEngine
    public void loadAsGifImage(Context context, String str, ImageView imageView) {
        c.f(context).d().Q(str).M(imageView);
    }

    @Override // com.luck.picture.lib.engine.ImageEngine
    public void loadFolderImage(final Context context, String str, final ImageView imageView) {
        g G = ((g) ((g) ((g) c.f(context).b().Q(str).r(180, 180)).c()).x(0.5f)).a(new f().s(R$drawable.picture_image_placeholder));
        G.L(new b(imageView) {
            /* class com.androidx.lv.base.utils.GlideEngine.AnonymousClass3 */

            @Override // d.d.a.q.i.b
            public void setResource(Bitmap bitmap) {
                a aVar = new a(context.getResources(), bitmap);
                if (aVar.f3310g != 8.0f) {
                    aVar.f3307d.setShader(aVar.f3308e);
                    aVar.f3310g = 8.0f;
                    aVar.invalidateSelf();
                }
                imageView.setImageDrawable(aVar);
            }
        }, null, G, d.f8416a);
    }

    @Override // com.luck.picture.lib.engine.ImageEngine
    public void loadGridImage(Context context, String str, ImageView imageView) {
        ((g) ((g) c.f(context).j(str).r(200, 200)).c()).a(new f().s(R$drawable.picture_image_placeholder)).M(imageView);
    }

    @Override // com.luck.picture.lib.engine.ImageEngine
    public void loadImage(Context context, String str, ImageView imageView) {
        c.f(context).j(str).M(imageView);
    }

    @Override // com.luck.picture.lib.engine.ImageEngine
    public void loadImage(Context context, String str, final ImageView imageView, final SubsamplingScaleImageView subsamplingScaleImageView, final OnImageCompleteCallback onImageCompleteCallback) {
        g<Bitmap> Q = c.f(context).b().Q(str);
        Q.L(new d.d.a.q.i.f<Bitmap>(imageView) {
            /* class com.androidx.lv.base.utils.GlideEngine.AnonymousClass1 */

            @Override // d.d.a.q.i.f, d.d.a.q.i.i, d.d.a.q.i.a
            public void onLoadFailed(Drawable drawable) {
                super.onLoadFailed(drawable);
            }

            @Override // d.d.a.q.i.f, d.d.a.q.i.j, d.d.a.q.i.i, d.d.a.q.i.a
            public void onLoadStarted(Drawable drawable) {
                super.onLoadStarted(drawable);
            }

            public void setResource(Bitmap bitmap) {
                OnImageCompleteCallback onImageCompleteCallback = onImageCompleteCallback;
                if (onImageCompleteCallback != null) {
                    onImageCompleteCallback.onHideLoading();
                }
                if (bitmap != null) {
                    boolean isLongImg = MediaUtils.isLongImg(bitmap.getWidth(), bitmap.getHeight());
                    int i2 = 8;
                    subsamplingScaleImageView.setVisibility(isLongImg ? 0 : 8);
                    ImageView imageView = imageView;
                    if (!isLongImg) {
                        i2 = 0;
                    }
                    imageView.setVisibility(i2);
                    if (isLongImg) {
                        subsamplingScaleImageView.setQuickScaleEnabled(true);
                        subsamplingScaleImageView.setZoomEnabled(true);
                        subsamplingScaleImageView.setPanEnabled(true);
                        subsamplingScaleImageView.setDoubleTapZoomDuration(100);
                        subsamplingScaleImageView.setMinimumScaleType(2);
                        subsamplingScaleImageView.setDoubleTapZoomDpi(2);
                        subsamplingScaleImageView.setImage(ImageSource.bitmap(bitmap), new ImageViewState(0.0f, new PointF(0.0f, 0.0f), 0));
                        return;
                    }
                    imageView.setImageBitmap(bitmap);
                }
            }
        }, null, Q, d.f8416a);
    }

    @Override // com.luck.picture.lib.engine.ImageEngine
    public void loadImage(Context context, String str, final ImageView imageView, final SubsamplingScaleImageView subsamplingScaleImageView) {
        g<Bitmap> Q = c.f(context).b().Q(str);
        Q.L(new d.d.a.q.i.f<Bitmap>(imageView) {
            /* class com.androidx.lv.base.utils.GlideEngine.AnonymousClass2 */

            public void setResource(Bitmap bitmap) {
                if (bitmap != null) {
                    boolean isLongImg = MediaUtils.isLongImg(bitmap.getWidth(), bitmap.getHeight());
                    int i2 = 8;
                    subsamplingScaleImageView.setVisibility(isLongImg ? 0 : 8);
                    ImageView imageView = imageView;
                    if (!isLongImg) {
                        i2 = 0;
                    }
                    imageView.setVisibility(i2);
                    if (isLongImg) {
                        subsamplingScaleImageView.setQuickScaleEnabled(true);
                        subsamplingScaleImageView.setZoomEnabled(true);
                        subsamplingScaleImageView.setPanEnabled(true);
                        subsamplingScaleImageView.setDoubleTapZoomDuration(100);
                        subsamplingScaleImageView.setMinimumScaleType(2);
                        subsamplingScaleImageView.setDoubleTapZoomDpi(2);
                        subsamplingScaleImageView.setImage(ImageSource.bitmap(bitmap), new ImageViewState(0.0f, new PointF(0.0f, 0.0f), 0));
                        return;
                    }
                    imageView.setImageBitmap(bitmap);
                }
            }
        }, null, Q, d.f8416a);
    }
}
