package com.androidx.lv.base.utils;

import android.graphics.Bitmap;
import android.text.TextUtils;
import com.google.zxing.BinaryBitmap;
import com.google.zxing.DecodeHintType;
import com.google.zxing.RGBLuminanceSource;
import com.google.zxing.Result;
import d.h.d.b.g;
import d.h.d.h.a;
import java.io.UnsupportedEncodingException;
import java.nio.charset.StandardCharsets;
import java.util.Hashtable;

public class QRHelper {
    public static String getResult(Bitmap bitmap) {
        String scanBitmap = bitmap != null ? scanBitmap(bitmap) : null;
        if (!TextUtils.isEmpty(scanBitmap)) {
            return scanBitmap;
        }
        return null;
    }

    private static String recode(String str) {
        try {
            if (StandardCharsets.ISO_8859_1.newEncoder().canEncode(str)) {
                return new String(str.getBytes(StandardCharsets.ISO_8859_1), "GB2312");
            }
            return str;
        } catch (UnsupportedEncodingException e2) {
            e2.printStackTrace();
            return "";
        }
    }

    private static Result scan(Bitmap bitmap) {
        Hashtable hashtable = new Hashtable();
        hashtable.put(DecodeHintType.CHARACTER_SET, "utf-8");
        Bitmap createBitmap = Bitmap.createBitmap(bitmap);
        int[] iArr = new int[(createBitmap.getHeight() * createBitmap.getWidth())];
        createBitmap.getPixels(iArr, 0, createBitmap.getWidth(), 0, 0, createBitmap.getWidth(), createBitmap.getHeight());
        try {
            return new a().decode(new BinaryBitmap(new g(new RGBLuminanceSource(createBitmap.getWidth(), createBitmap.getHeight(), iArr))), hashtable);
        } catch (Exception e2) {
            e2.printStackTrace();
            return null;
        }
    }

    private static String scanBitmap(Bitmap bitmap) {
        Result scan = scan(bitmap);
        if (scan != null) {
            return recode(scan.toString());
        }
        return null;
    }
}
