package com.androidx.lv.base.utils;

import com.androidx.lv.base.bean.DateBean;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.List;

public class SpecialCalendar {
    public static SpecialCalendar specialCalendar;

    public static SpecialCalendar getInstance() {
        if (specialCalendar == null) {
            specialCalendar = new SpecialCalendar();
        }
        return specialCalendar;
    }

    public List<DateBean> getCalendar(Calendar calendar) {
        Calendar instance = Calendar.getInstance();
        instance.set(1, calendar.get(1));
        instance.set(2, calendar.get(2));
        instance.set(5, calendar.get(5));
        int daysOfMonth = getDaysOfMonth(instance.get(1), instance.get(2) + 1);
        instance.set(5, 1);
        int i2 = instance.get(7) - 1;
        instance.add(2, -1);
        int daysOfMonth2 = getDaysOfMonth(instance.get(1), instance.get(2) + 1);
        ArrayList arrayList = new ArrayList();
        int i3 = 0;
        for (int i4 = 0; i4 < i2; i4++) {
            arrayList.add(new DateBean(instance.get(1), instance.get(2) + 1, (daysOfMonth2 - i2) + i4 + 1));
        }
        instance.add(2, 1);
        for (int i5 = 1; i5 <= daysOfMonth; i5++) {
            arrayList.add(new DateBean(instance.get(1), instance.get(2) + 1, i5));
        }
        instance.add(2, 1);
        int size = 7 - (arrayList.size() % 7);
        while (i3 < size) {
            i3++;
            arrayList.add(new DateBean(instance.get(1), instance.get(2) + 1, i3));
        }
        return arrayList;
    }

    public int getDaysOfMonth(int i2, int i3) {
        boolean isLeapYear = isLeapYear(i2);
        switch (i3) {
            case 1:
            case 3:
            case 5:
            case 7:
            case 8:
            case 10:
            case 12:
                return 31;
            case 2:
                return isLeapYear ? 29 : 28;
            case 4:
            case 6:
            case 9:
            case 11:
                return 30;
            default:
                return 0;
        }
    }

    public boolean isLeapYear(int i2) {
        int i3 = i2 % 100;
        if (i3 == 0 && i2 % 400 == 0) {
            return true;
        }
        if (i3 == 0 || i2 % 4 != 0) {
            return false;
        }
        return true;
    }
}
