package com.androidx.lv.base.utils;

import android.annotation.SuppressLint;
import android.text.TextUtils;
import com.androidx.lv.base.bean.TimeBean;
import d.a.a.a.a;
import java.io.PrintStream;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.Formatter;
import java.util.HashSet;
import java.util.LinkedHashSet;
import java.util.List;
import java.util.Locale;
import java.util.Set;
import java.util.TimeZone;

public class TimeUtils {
    private static void addTimeStamp(List<Long> list, List<Long> list2, Date date, Date date2, SimpleDateFormat simpleDateFormat, Calendar calendar) {
        while (date.getTime() < date2.getTime()) {
            calendar.add(6, 1);
            date = calendar.getTime();
            if ("星期一".equals(simpleDateFormat.format(date))) {
                calendar.set(11, 0);
                calendar.set(12, 0);
                calendar.set(13, 0);
                list.add(Long.valueOf(calendar.getTimeInMillis()));
            } else if ("星期日".equals(simpleDateFormat.format(date)) || date.getTime() >= date2.getTime()) {
                if (date.getTime() <= date2.getTime()) {
                    calendar.set(11, 23);
                    calendar.set(12, 59);
                    calendar.set(13, 59);
                    list2.add(Long.valueOf(calendar.getTimeInMillis()));
                } else {
                    list2.add(Long.valueOf(date2.getTime()));
                }
            }
        }
    }

    public static long formatToTimestamp(String str) {
        try {
            return new SimpleDateFormat("yyyy-MM-dd HH:mm:ss", Locale.CHINA).parse(utcToChina(str)).getTime();
        } catch (ParseException e2) {
            System.err.println(e2.toString());
            return 0;
        }
    }

    public static String getCapitalMonth() {
        return new String[]{"一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"}[Calendar.getInstance(TimeZone.getTimeZone("GMT+08:00")).get(2)];
    }

    public static String getCapitalMonthNum() {
        return new String[]{"1月", "2月", "3月", "4月", "5月", "6月", "7月", "8月", "9月", "10月", "11月", "12月"}[Calendar.getInstance(TimeZone.getTimeZone("GMT+08:00")).get(2)];
    }

    public static int[] getDate() {
        Calendar instance = Calendar.getInstance();
        instance.get(1);
        return new int[]{instance.get(2) + 1, instance.get(5)};
    }

    public static String getFirstDayOfMonth1(int i2, int i3) {
        Calendar instance = Calendar.getInstance();
        instance.set(1, i2);
        instance.set(2, i3 - 1);
        instance.set(5, instance.getMinimum(5));
        return new SimpleDateFormat("yyyy-MM-dd", Locale.CHINA).format(instance.getTime());
    }

    public static void getIntervalTimeByWeek(Long l2, Long l3, List<Long> list, List<Long> list2) {
        Date date = new Date(l2.longValue());
        Date date2 = new Date(l3.longValue());
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("E");
        Calendar instance = Calendar.getInstance();
        String format = simpleDateFormat.format(date);
        instance.setTime(date);
        list.add(Long.valueOf(instance.getTimeInMillis()));
        if ("星期一".equals(format)) {
            addTimeStamp(list, list2, date, date2, simpleDateFormat, instance);
            return;
        }
        if ("星期日".equals(simpleDateFormat.format(date))) {
            Calendar instance2 = Calendar.getInstance();
            instance2.setTime(date);
            instance2.set(11, 23);
            instance2.set(12, 59);
            instance2.set(13, 59);
            list2.add(Long.valueOf(instance2.getTime().getTime()));
        }
        addTimeStamp(list, list2, date, date2, simpleDateFormat, instance);
    }

    public static String getLastDayOfMonth1(int i2, int i3) {
        Calendar instance = Calendar.getInstance();
        instance.set(1, i2);
        instance.set(2, i3 - 1);
        instance.set(5, instance.getActualMaximum(5));
        return new SimpleDateFormat("yyyy-MM-dd", Locale.CHINA).format(instance.getTime());
    }

    public static Set<Integer> getOrderedWeekdaysByCurrent() {
        Calendar instance = Calendar.getInstance(TimeZone.getTimeZone("GMT+08:00"));
        ArrayList arrayList = new ArrayList();
        int i2 = instance.get(7);
        if (i2 < 1 || i2 > 7) {
            throw new RuntimeException("weekday should be between 1 to 7");
        }
        arrayList.addAll(getWeekdaysAhead(i2));
        arrayList.addAll(getWeekdaysRear(i2));
        for (int i3 = 0; i3 < arrayList.size(); i3++) {
            int intValue = ((Integer) arrayList.get(i3)).intValue() + 3;
            if (intValue > 7) {
                intValue -= 7;
            }
            arrayList.set(i3, Integer.valueOf(intValue));
        }
        return new LinkedHashSet(arrayList);
    }

    public static int getWeek() {
        return Calendar.getInstance(TimeZone.getTimeZone("GMT+08:00")).get(7);
    }

    private static Set<Integer> getWeekdaysAhead(int i2) {
        HashSet hashSet = new HashSet();
        while (i2 < 8) {
            hashSet.add(Integer.valueOf(i2));
            i2++;
        }
        return hashSet;
    }

    private static Set<Integer> getWeekdaysRear(int i2) {
        HashSet hashSet = new HashSet();
        for (int i3 = 1; i3 < i2; i3++) {
            hashSet.add(Integer.valueOf(i3));
        }
        return hashSet;
    }

    public static void main(String[] strArr) {
        long longValue = timeToLong("2022-08-25T08:04:17.000+0000").longValue();
        long longValue2 = timeToLong("2022-09-06T08:04:15.000+0000").longValue();
        System.out.println(longValue);
        System.out.println(longValue2);
    }

    public static long remainingTime(String str, String str2) {
        try {
            SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss.SSSZ", Locale.CHINA);
            long time = simpleDateFormat.parse(str2).getTime() - simpleDateFormat.parse(str).getTime();
            if (time <= 0) {
                return 0;
            }
            return time;
        } catch (Exception unused) {
            return 0;
        }
    }

    public static String stringForTime(long j2) {
        long j3 = j2 / 1000;
        long j4 = j3 % 60;
        long j5 = (j3 / 60) % 60;
        long j6 = j3 / 3600;
        if (j6 > 0) {
            return new Formatter().format("%02d:%02d:%02d", Long.valueOf(j6), Long.valueOf(j5), Long.valueOf(j4)).toString();
        }
        return new Formatter().format("%02d:%02d", Long.valueOf(j5), Long.valueOf(j4)).toString();
    }

    public static String stringForTimeInt(int i2) {
        long j2 = (long) i2;
        long j3 = j2 % 60;
        long j4 = (j2 / 60) % 60;
        long j5 = j2 / 3600;
        if (j5 > 0) {
            return new Formatter().format("%02d:%02d:%02d", Long.valueOf(j5), Long.valueOf(j4), Long.valueOf(j3)).toString();
        }
        return new Formatter().format("%02d:%02d", Long.valueOf(j4), Long.valueOf(j3)).toString();
    }

    public static Long timeToLong(String str) {
        if (str != null && !str.isEmpty()) {
            SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss.SSSZ", Locale.CHINA);
            SimpleDateFormat simpleDateFormat2 = new SimpleDateFormat("yyyy-MM-dd HH:mm", Locale.CHINA);
            try {
                return Long.valueOf(new SimpleDateFormat("yyyy-MM-dd HH:mm", Locale.CHINA).parse(simpleDateFormat2.format(simpleDateFormat.parse(str))).getTime());
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
        return 0L;
    }

    public static String utc2Common(String str) {
        if (TextUtils.isEmpty(str)) {
            return "刚刚";
        }
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss.SSSZ", Locale.CHINA);
        SimpleDateFormat simpleDateFormat2 = new SimpleDateFormat("MM-dd", Locale.CHINA);
        SimpleDateFormat simpleDateFormat3 = new SimpleDateFormat("HH:mm", Locale.CHINA);
        Date date = null;
        long j2 = 0;
        try {
            date = simpleDateFormat.parse(str);
            SimpleDateFormat simpleDateFormat4 = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss", Locale.CHINA);
            j2 = simpleDateFormat4.parse(simpleDateFormat4.format(Long.valueOf(System.currentTimeMillis()))).getTime() - date.getTime();
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        if (j2 < 180000) {
            return "刚刚";
        }
        if (j2 < 3600000) {
            return (j2 / 60000) + "分钟前";
        } else if (j2 < 86400000) {
            return (j2 / 3600000) + "小时前";
        } else if (j2 >= 172800000) {
            return simpleDateFormat2.format(date);
        } else {
            StringBuilder B = a.B("昨天");
            B.append(simpleDateFormat3.format(date));
            return B.toString();
        }
    }

    public static String utc2Common2(String str) {
        if (TextUtils.isEmpty(str)) {
            return "";
        }
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss.SSSZ", Locale.CHINA);
        SimpleDateFormat simpleDateFormat2 = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss", Locale.CHINA);
        new SimpleDateFormat("HH:mm", Locale.CHINA);
        Date date = null;
        try {
            date = simpleDateFormat.parse(str);
            SimpleDateFormat simpleDateFormat3 = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss", Locale.CHINA);
            simpleDateFormat3.parse(simpleDateFormat3.format(Long.valueOf(System.currentTimeMillis()))).getTime();
            date.getTime();
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        return simpleDateFormat2.format(date);
    }

    public static String utc2Common3(String str) {
        if (TextUtils.isEmpty(str)) {
            return "";
        }
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss.SSSZ", Locale.CHINA);
        SimpleDateFormat simpleDateFormat2 = new SimpleDateFormat("yyyy-MM-dd", Locale.CHINA);
        Date date = null;
        try {
            date = simpleDateFormat.parse(str);
            SimpleDateFormat simpleDateFormat3 = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss", Locale.CHINA);
            simpleDateFormat3.parse(simpleDateFormat3.format(Long.valueOf(System.currentTimeMillis()))).getTime();
            date.getTime();
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        return simpleDateFormat2.format(date);
    }

    public static long utc2Local(String str) {
        try {
            Date parse = new SimpleDateFormat("yyyy-MM-dd'T'hh:mm:ss.SSSZ", Locale.CHINA).parse(str);
            SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd hh:mm:ss", Locale.CHINA);
            return simpleDateFormat.parse(simpleDateFormat.format(Long.valueOf(System.currentTimeMillis()))).getTime() - parse.getTime();
        } catch (Exception e2) {
            e2.printStackTrace();
            return 1;
        }
    }

    public static TimeBean utc2appointment(String str) {
        TimeBean timeBean = new TimeBean();
        if (TextUtils.isEmpty(str)) {
            timeBean.setTimeText("刚刚");
            return timeBean;
        }
        Date date = null;
        long j2 = 0;
        try {
            date = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss.SSSZ", Locale.CHINA).parse(str);
            SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss", Locale.CHINA);
            j2 = simpleDateFormat.parse(simpleDateFormat.format(Long.valueOf(System.currentTimeMillis()))).getTime() - date.getTime();
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        if (j2 < 180000) {
            timeBean.setTimeText("刚刚");
            return timeBean;
        } else if (j2 < 3600000) {
            timeBean.setTimeText((j2 / 60000) + "分钟前");
            return timeBean;
        } else if (j2 < 86400000) {
            timeBean.setTimeText((j2 / 3600000) + "小时前");
            return timeBean;
        } else {
            Calendar instance = Calendar.getInstance();
            instance.setTime(date);
            int i2 = instance.get(5);
            timeBean.setMonth(instance.get(2) + 1);
            timeBean.setDays(i2);
            return timeBean;
        }
    }

    public static String utcToChina(String str) {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss.SSSZ", Locale.CHINA);
        SimpleDateFormat simpleDateFormat2 = new SimpleDateFormat("yyyy.MM.dd HH:mm:ss", Locale.CHINA);
        if (TextUtils.isEmpty(str)) {
            return simpleDateFormat.format(new Date());
        }
        try {
            Date parse = simpleDateFormat.parse(str);
            if (parse != null) {
                return simpleDateFormat2.format(parse);
            }
            return simpleDateFormat2.format(new Date());
        } catch (ParseException e2) {
            e2.printStackTrace();
            return simpleDateFormat2.format(new Date());
        }
    }

    public static String utcToChina1(String str) {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd'T'hh:mm:ss.SSSZ", Locale.CHINA);
        SimpleDateFormat simpleDateFormat2 = new SimpleDateFormat("M月d日", Locale.CHINA);
        if (TextUtils.isEmpty(str)) {
            return simpleDateFormat.format(new Date());
        }
        try {
            Date parse = simpleDateFormat.parse(str);
            if (parse != null) {
                return simpleDateFormat2.format(parse);
            }
            return simpleDateFormat2.format(new Date());
        } catch (ParseException e2) {
            e2.printStackTrace();
            return simpleDateFormat2.format(new Date());
        }
    }

    public static String utcToChina2(String str) {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd'T'hh:mm:ss.SSSZ", Locale.CHINA);
        SimpleDateFormat simpleDateFormat2 = new SimpleDateFormat("MM月dd日hh点", Locale.CHINA);
        if (TextUtils.isEmpty(str)) {
            return simpleDateFormat.format(new Date());
        }
        try {
            Date parse = simpleDateFormat.parse(str);
            if (parse != null) {
                return simpleDateFormat2.format(parse);
            }
            return simpleDateFormat2.format(new Date());
        } catch (ParseException e2) {
            e2.printStackTrace();
            return simpleDateFormat2.format(new Date());
        }
    }

    public static String utcToChinaTwo(String str) {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd'T'hh:mm:ss.SSSZ", Locale.CHINA);
        SimpleDateFormat simpleDateFormat2 = new SimpleDateFormat("yyyy.MM.dd", Locale.CHINA);
        if (TextUtils.isEmpty(str)) {
            return simpleDateFormat.format(new Date());
        }
        try {
            Date parse = simpleDateFormat.parse(str);
            if (parse != null) {
                return simpleDateFormat2.format(parse);
            }
            return simpleDateFormat2.format(new Date());
        } catch (ParseException e2) {
            e2.printStackTrace();
            return simpleDateFormat2.format(new Date());
        }
    }

    @SuppressLint({"SimpleDateFormat"})
    public static String utcToLocal(String str) {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss.SSSXXX");
        simpleDateFormat.setTimeZone(TimeZone.getTimeZone("UTC"));
        try {
            Date parse = simpleDateFormat.parse(str);
            SimpleDateFormat simpleDateFormat2 = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss.SSS");
            simpleDateFormat2.setTimeZone(TimeZone.getDefault());
            if (parse != null) {
                return simpleDateFormat2.format(Long.valueOf(parse.getTime()));
            }
            return null;
        } catch (ParseException e2) {
            e2.printStackTrace();
            return str;
        }
    }

    public void timeSplitByWeek() {
        Long timeToLong = timeToLong("2023-04-2T00:00:00.000+0000");
        Calendar instance = Calendar.getInstance();
        instance.setTimeZone(TimeZone.getTimeZone("GMT+8"));
        if (instance.get(7) == 1) {
            instance.add(6, -1);
        }
        instance.add(7, -(instance.get(7) - 2));
        instance.add(7, 6);
        instance.set(11, 23);
        instance.set(12, 59);
        instance.set(13, 59);
        instance.set(14, 999);
        long timeInMillis = instance.getTimeInMillis();
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        getIntervalTimeByWeek(timeToLong, Long.valueOf(timeInMillis), arrayList, arrayList2);
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd");
        for (int i2 = 0; i2 < arrayList.size(); i2++) {
            String format = simpleDateFormat.format(new Date(((Long) arrayList.get(i2)).longValue()));
            String format2 = simpleDateFormat.format(new Date(((Long) arrayList2.get(i2)).longValue()));
            PrintStream printStream = System.out;
            printStream.println("第" + i2 + "段时间区间:" + format + "-------" + format2);
        }
    }

    public static long remainingTime(String str) {
        try {
            long time = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss.SSSZ", Locale.CHINA).parse(str).getTime() - System.currentTimeMillis();
            if (time <= 0) {
                return 0;
            }
            return time;
        } catch (Exception unused) {
            return 0;
        }
    }

    public static long remainingTime(long j2) {
        try {
            long currentTimeMillis = j2 - System.currentTimeMillis();
            if (currentTimeMillis <= 0) {
                return 0;
            }
            return currentTimeMillis;
        } catch (Exception unused) {
            return 0;
        }
    }
}
