package com.androidx.lv.base.view.announceMarque;

import android.view.LayoutInflater;
import android.view.ViewGroup;
import androidx.recyclerview.widget.RecyclerView;
import java.util.List;
import org.dsq.library.widget.bigImage.SubsamplingScaleImageView;

public class MarqueeAdapter extends RecyclerView.Adapter<MarqueeHolder> {
    private int layoutId;
    private List<String> list;
    private MarqueeCallBack recyclerCallBack;

    public MarqueeAdapter(List<String> list2, int i2, MarqueeCallBack marqueeCallBack) {
        this.list = list2;
        this.layoutId = i2;
        this.recyclerCallBack = marqueeCallBack;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemCount() {
        if (this.list == null) {
            return 0;
        }
        return SubsamplingScaleImageView.TILE_SIZE_AUTO;
    }

    public void onBindViewHolder(MarqueeHolder marqueeHolder, int i2) {
        MarqueeCallBack marqueeCallBack = this.recyclerCallBack;
        List<String> list2 = this.list;
        marqueeCallBack.onBindViewHolder(i2, marqueeHolder, list2.get(i2 % list2.size()));
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public MarqueeHolder onCreateViewHolder(ViewGroup viewGroup, int i2) {
        return new MarqueeHolder(LayoutInflater.from(viewGroup.getContext()).inflate(this.layoutId, viewGroup, false));
    }
}
