package com.androidx.lv.base.view.announceMarque;

import android.content.Context;
import android.os.Handler;
import android.os.Message;
import android.text.SpannableStringBuilder;
import android.util.AttributeSet;
import android.view.View;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.androidx.lv.base.R$id;
import com.androidx.lv.base.R$layout;
import java.util.List;

public class MarqueeView extends RecyclerView implements Handler.Callback {
    public static final int HANDLER_WHAT_LIVE_MARQUEE_SCROLL = 10003;
    private final String TAG;
    private MarqueeClickListener marqueeClickListener;
    private final Handler marqueeHandler;
    private final SpannableStringBuilder marqueeSpannable;

    public MarqueeView(Context context) {
        this(context, null, 0);
    }

    public boolean handleMessage(Message message) {
        if (message.what != 10003) {
            return false;
        }
        scrollBy(2, 2);
        this.marqueeHandler.sendEmptyMessageDelayed(10003, 20);
        return false;
    }

    public void setMarqueeAdapter(List<String> list) {
        this.marqueeHandler.removeCallbacksAndMessages(null);
        this.marqueeHandler.sendEmptyMessageDelayed(10003, 20);
        setAdapter(new MarqueeAdapter(list, R$layout.layout_custom_marquee_txt, new MarqueeCallBack<String>() {
            /* class com.androidx.lv.base.view.announceMarque.MarqueeView.AnonymousClass1 */

            public void onBindViewHolder(int i2, MarqueeHolder marqueeHolder, String str) {
                MarqueeView.this.marqueeSpannable.clear();
                MarqueeView.this.marqueeSpannable.clearSpans();
                MarqueeView.this.marqueeSpannable.append((CharSequence) str);
                int i3 = R$id.text;
                marqueeHolder.setText(i3, MarqueeView.this.marqueeSpannable);
                marqueeHolder.getMarquee(i3).setOnClickListener(new View.OnClickListener() {
                    /* class com.androidx.lv.base.view.announceMarque.MarqueeView.AnonymousClass1.AnonymousClass1 */

                    public void onClick(View view) {
                    }
                });
            }
        }));
    }

    public void setOnMarqueeClickListener(MarqueeClickListener marqueeClickListener2) {
        this.marqueeClickListener = marqueeClickListener2;
    }

    public MarqueeView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public MarqueeView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.TAG = MarqueeView.class.getSimpleName();
        this.marqueeHandler = new Handler(this);
        this.marqueeSpannable = new SpannableStringBuilder();
        LinearLayoutManager linearLayoutManager = new LinearLayoutManager(getContext());
        linearLayoutManager.setOrientation(0);
        setLayoutManager(linearLayoutManager);
    }
}
