package com.chad.library.adapter.base.binder;

import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import com.chad.library.adapter.base.BaseBinderAdapter;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import d.l.b.g.g.b;
import h.a;
import h.p.b.o;
import java.util.ArrayList;
import java.util.List;
import kotlin.LazyThreadSafetyMode;

/* compiled from: BaseItemBinder.kt */
public abstract class BaseItemBinder<T, VH extends BaseViewHolder> {
    private BaseBinderAdapter _adapter;
    private Context _context;
    private final a clickViewIds$delegate;
    private final a longClickViewIds$delegate;

    public BaseItemBinder() {
        LazyThreadSafetyMode lazyThreadSafetyMode = LazyThreadSafetyMode.NONE;
        this.clickViewIds$delegate = b.c0(lazyThreadSafetyMode, BaseItemBinder$clickViewIds$2.INSTANCE);
        this.longClickViewIds$delegate = b.c0(lazyThreadSafetyMode, BaseItemBinder$longClickViewIds$2.INSTANCE);
    }

    private final ArrayList<Integer> getClickViewIds() {
        return (ArrayList) this.clickViewIds$delegate.getValue();
    }

    private final ArrayList<Integer> getLongClickViewIds() {
        return (ArrayList) this.longClickViewIds$delegate.getValue();
    }

    public final void addChildClickViewIds(int... iArr) {
        o.f(iArr, "ids");
        for (int i2 : iArr) {
            getClickViewIds().add(Integer.valueOf(i2));
        }
    }

    public final void addChildLongClickViewIds(int... iArr) {
        o.f(iArr, "ids");
        for (int i2 : iArr) {
            getLongClickViewIds().add(Integer.valueOf(i2));
        }
    }

    public abstract void convert(VH vh, T t);

    public void convert(VH vh, T t, List<? extends Object> list) {
        o.f(vh, "holder");
        o.f(list, "payloads");
    }

    public final BaseBinderAdapter getAdapter() {
        BaseBinderAdapter baseBinderAdapter = this._adapter;
        if (baseBinderAdapter == null) {
            throw new IllegalStateException(("This " + this + " has not been attached to BaseBinderAdapter yet.\n                    You should not call the method before addItemBinder().").toString());
        } else if (baseBinderAdapter != null) {
            return baseBinderAdapter;
        } else {
            o.l();
            throw null;
        }
    }

    public final ArrayList<Integer> getChildClickViewIds() {
        return getClickViewIds();
    }

    public final ArrayList<Integer> getChildLongClickViewIds() {
        return getLongClickViewIds();
    }

    public final Context getContext() {
        Context context = this._context;
        if (context == null) {
            throw new IllegalStateException(("This " + this + " has not been attached to BaseBinderAdapter yet.\n                    You should not call the method before onCreateViewHolder().").toString());
        } else if (context != null) {
            return context;
        } else {
            o.l();
            throw null;
        }
    }

    public final List<Object> getData() {
        return getAdapter().getData();
    }

    public final BaseBinderAdapter get_adapter$com_github_CymChad_brvah() {
        return this._adapter;
    }

    public final Context get_context$com_github_CymChad_brvah() {
        return this._context;
    }

    public void onChildClick(VH vh, View view, T t, int i2) {
        o.f(vh, "holder");
        o.f(view, "view");
    }

    public boolean onChildLongClick(VH vh, View view, T t, int i2) {
        o.f(vh, "holder");
        o.f(view, "view");
        return false;
    }

    public void onClick(VH vh, View view, T t, int i2) {
        o.f(vh, "holder");
        o.f(view, "view");
    }

    public abstract VH onCreateViewHolder(ViewGroup viewGroup, int i2);

    public boolean onFailedToRecycleView(VH vh) {
        o.f(vh, "holder");
        return false;
    }

    public boolean onLongClick(VH vh, View view, T t, int i2) {
        o.f(vh, "holder");
        o.f(view, "view");
        return false;
    }

    public void onViewAttachedToWindow(VH vh) {
        o.f(vh, "holder");
    }

    public void onViewDetachedFromWindow(VH vh) {
        o.f(vh, "holder");
    }

    public final void set_adapter$com_github_CymChad_brvah(BaseBinderAdapter baseBinderAdapter) {
        this._adapter = baseBinderAdapter;
    }

    public final void set_context$com_github_CymChad_brvah(Context context) {
        this._context = context;
    }
}
