package com.chad.library.adapter.base.diff;

import b.u.a.f;
import h.p.b.m;
import h.p.b.o;
import java.util.concurrent.Executor;
import java.util.concurrent.Executors;

/* compiled from: BrvahAsyncDifferConfig.kt */
public final class BrvahAsyncDifferConfig<T> {
    private final Executor backgroundThreadExecutor;
    private final f.e<T> diffCallback;
    private final Executor mainThreadExecutor;

    /* compiled from: BrvahAsyncDifferConfig.kt */
    public static final class Builder<T> {
        public static final Companion Companion = new Companion(null);
        private static Executor sDiffExecutor;
        private static final Object sExecutorLock = new Object();
        private Executor mBackgroundThreadExecutor;
        private final f.e<T> mDiffCallback;
        private Executor mMainThreadExecutor;

        /* compiled from: BrvahAsyncDifferConfig.kt */
        public static final class Companion {
            private Companion() {
            }

            public /* synthetic */ Companion(m mVar) {
                this();
            }
        }

        public Builder(f.e<T> eVar) {
            o.f(eVar, "mDiffCallback");
            this.mDiffCallback = eVar;
        }

        public final BrvahAsyncDifferConfig<T> build() {
            if (this.mBackgroundThreadExecutor == null) {
                synchronized (sExecutorLock) {
                    if (sDiffExecutor == null) {
                        sDiffExecutor = Executors.newFixedThreadPool(2);
                    }
                }
                this.mBackgroundThreadExecutor = sDiffExecutor;
            }
            Executor executor = this.mMainThreadExecutor;
            Executor executor2 = this.mBackgroundThreadExecutor;
            if (executor2 != null) {
                return new BrvahAsyncDifferConfig<>(executor, executor2, this.mDiffCallback);
            }
            o.l();
            throw null;
        }

        public final Builder<T> setBackgroundThreadExecutor(Executor executor) {
            this.mBackgroundThreadExecutor = executor;
            return this;
        }

        public final Builder<T> setMainThreadExecutor(Executor executor) {
            this.mMainThreadExecutor = executor;
            return this;
        }
    }

    public BrvahAsyncDifferConfig(Executor executor, Executor executor2, f.e<T> eVar) {
        o.f(executor2, "backgroundThreadExecutor");
        o.f(eVar, "diffCallback");
        this.mainThreadExecutor = executor;
        this.backgroundThreadExecutor = executor2;
        this.diffCallback = eVar;
    }

    public final Executor getBackgroundThreadExecutor() {
        return this.backgroundThreadExecutor;
    }

    public final f.e<T> getDiffCallback() {
        return this.diffCallback;
    }

    public final Executor getMainThreadExecutor() {
        return this.mainThreadExecutor;
    }
}
