package com.contrarywind.timer;

import com.contrarywind.view.WheelView;
import java.util.TimerTask;

public final class InertiaTimerTask extends TimerTask {
    private float mCurrentVelocityY = 2.14748365E9f;
    private final float mFirstVelocityY;
    private final WheelView mWheelView;

    public InertiaTimerTask(WheelView wheelView, float f2) {
        this.mWheelView = wheelView;
        this.mFirstVelocityY = f2;
    }

    public final void run() {
        if (this.mCurrentVelocityY == 2.14748365E9f) {
            float f2 = 2000.0f;
            if (Math.abs(this.mFirstVelocityY) > 2000.0f) {
                if (this.mFirstVelocityY <= 0.0f) {
                    f2 = -2000.0f;
                }
                this.mCurrentVelocityY = f2;
            } else {
                this.mCurrentVelocityY = this.mFirstVelocityY;
            }
        }
        if (Math.abs(this.mCurrentVelocityY) < 0.0f || Math.abs(this.mCurrentVelocityY) > 20.0f) {
            WheelView wheelView = this.mWheelView;
            float f3 = (float) ((int) (this.mCurrentVelocityY / 100.0f));
            wheelView.setTotalScrollY(wheelView.getTotalScrollY() - f3);
            if (!this.mWheelView.isLoop()) {
                float itemHeight = this.mWheelView.getItemHeight();
                float f4 = ((float) (-this.mWheelView.getInitPosition())) * itemHeight;
                float itemsCount = ((float) ((this.mWheelView.getItemsCount() - 1) - this.mWheelView.getInitPosition())) * itemHeight;
                double d2 = ((double) itemHeight) * 0.25d;
                if (((double) this.mWheelView.getTotalScrollY()) - d2 < ((double) f4)) {
                    f4 = this.mWheelView.getTotalScrollY() + f3;
                } else if (((double) this.mWheelView.getTotalScrollY()) + d2 > ((double) itemsCount)) {
                    itemsCount = this.mWheelView.getTotalScrollY() + f3;
                }
                if (this.mWheelView.getTotalScrollY() <= f4) {
                    this.mCurrentVelocityY = 40.0f;
                    this.mWheelView.setTotalScrollY((float) ((int) f4));
                } else if (this.mWheelView.getTotalScrollY() >= itemsCount) {
                    this.mWheelView.setTotalScrollY((float) ((int) itemsCount));
                    this.mCurrentVelocityY = -40.0f;
                }
            }
            float f5 = this.mCurrentVelocityY;
            if (f5 < 0.0f) {
                this.mCurrentVelocityY = f5 + 20.0f;
            } else {
                this.mCurrentVelocityY = f5 - 20.0f;
            }
            this.mWheelView.getHandler().sendEmptyMessage(1000);
            return;
        }
        this.mWheelView.cancelFuture();
        this.mWheelView.getHandler().sendEmptyMessage(2000);
    }
}
