package com.danikula.videocache;

import d.a.a.a.a;
import java.io.ByteArrayInputStream;
import java.util.Arrays;

public class ByteArrayCache implements Cache {
    private volatile boolean completed;
    private volatile byte[] data;

    public ByteArrayCache() {
        this(new byte[0]);
    }

    @Override // com.danikula.videocache.Cache
    public void append(byte[] bArr, int i2) {
        Preconditions.checkNotNull(this.data);
        Preconditions.checkArgument(i2 >= 0 && i2 <= bArr.length);
        byte[] copyOf = Arrays.copyOf(this.data, this.data.length + i2);
        System.arraycopy(bArr, 0, copyOf, this.data.length, i2);
        this.data = copyOf;
    }

    @Override // com.danikula.videocache.Cache
    public long available() {
        return (long) this.data.length;
    }

    @Override // com.danikula.videocache.Cache
    public void close() {
    }

    @Override // com.danikula.videocache.Cache
    public void complete() {
        this.completed = true;
    }

    @Override // com.danikula.videocache.Cache
    public boolean isCompleted() {
        return this.completed;
    }

    @Override // com.danikula.videocache.Cache
    public int read(byte[] bArr, long j2, int i2) {
        if (j2 >= ((long) this.data.length)) {
            return -1;
        }
        if (j2 <= 2147483647L) {
            return new ByteArrayInputStream(this.data).read(bArr, (int) j2, i2);
        }
        throw new IllegalArgumentException(a.o("Too long offset for memory cache ", j2));
    }

    public ByteArrayCache(byte[] bArr) {
        this.data = (byte[]) Preconditions.checkNotNull(bArr);
    }
}
