package com.danikula.videocache;

import android.content.Context;
import android.os.Environment;
import com.lzy.okgo.cache.CacheEntity;
import d.a.a.a.a;
import java.io.File;

public final class StorageUtils {
    private static final String INDIVIDUAL_DIR_NAME = "video-cache";

    private static File getCacheDirectory(Context context, boolean z) {
        String str;
        try {
            str = Environment.getExternalStorageState();
        } catch (NullPointerException unused) {
            str = "";
        }
        File externalCacheDir = (!z || !"mounted".equals(str)) ? null : getExternalCacheDir(context);
        if (externalCacheDir == null) {
            externalCacheDir = context.getCacheDir();
        }
        if (externalCacheDir != null) {
            return externalCacheDir;
        }
        StringBuilder B = a.B("/data/data/");
        B.append(context.getPackageName());
        B.append("/cache/");
        String sb = B.toString();
        HttpProxyCacheDebuger.printfWarning("Can't define system cache directory! '" + sb + "%s' will be used.");
        return new File(sb);
    }

    private static File getExternalCacheDir(Context context) {
        File file = new File(new File(new File(new File(Environment.getExternalStorageDirectory(), "Android"), CacheEntity.DATA), context.getPackageName()), "cache");
        if (file.exists() || file.mkdirs()) {
            return file;
        }
        HttpProxyCacheDebuger.printfWarning("Unable to create external cache directory");
        return null;
    }

    public static File getIndividualCacheDirectory(Context context) {
        return new File(getCacheDirectory(context, true), INDIVIDUAL_DIR_NAME);
    }
}
