package com.google.android.material.appbar;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.util.Pair;
import android.view.View;
import android.widget.TextView;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.appcompat.widget.Toolbar;
import androidx.core.view.ViewCompat;
import b.o.a.n;
import com.google.android.material.R$attr;
import com.google.android.material.R$style;
import com.google.android.material.R$styleable;
import com.google.android.material.shape.MaterialShapeDrawable;
import d.h.a.b.b0.a.a;
import d.h.a.b.p.f;
import java.util.concurrent.atomic.AtomicInteger;

public class MaterialToolbar extends Toolbar {
    public static final int W = R$style.Widget_MaterialComponents_Toolbar;
    public Integer a0;
    public boolean b0;
    public boolean c0;

    public MaterialToolbar(Context context) {
        this(context, null);
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        Drawable background = getBackground();
        if (background instanceof MaterialShapeDrawable) {
            n.n2(this, (MaterialShapeDrawable) background);
        }
    }

    @Override // androidx.appcompat.widget.Toolbar
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        super.onLayout(z, i2, i3, i4, i5);
        if (this.b0 || this.c0) {
            TextView L0 = n.L0(this, getTitle());
            TextView L02 = n.L0(this, getSubtitle());
            if (!(L0 == null && L02 == null)) {
                int measuredWidth = getMeasuredWidth();
                int i6 = measuredWidth / 2;
                int paddingLeft = getPaddingLeft();
                int paddingRight = measuredWidth - getPaddingRight();
                for (int i7 = 0; i7 < getChildCount(); i7++) {
                    View childAt = getChildAt(i7);
                    if (!(childAt.getVisibility() == 8 || childAt == L0 || childAt == L02)) {
                        if (childAt.getRight() < i6 && childAt.getRight() > paddingLeft) {
                            paddingLeft = childAt.getRight();
                        }
                        if (childAt.getLeft() > i6 && childAt.getLeft() < paddingRight) {
                            paddingRight = childAt.getLeft();
                        }
                    }
                }
                Pair<Integer, Integer> pair = new Pair<>(Integer.valueOf(paddingLeft), Integer.valueOf(paddingRight));
                if (this.b0 && L0 != null) {
                    w(L0, pair);
                }
                if (this.c0 && L02 != null) {
                    w(L02, pair);
                }
            }
        }
    }

    public void setElevation(float f2) {
        super.setElevation(f2);
        n.m2(this, f2);
    }

    @Override // androidx.appcompat.widget.Toolbar
    public void setNavigationIcon(Drawable drawable) {
        if (!(drawable == null || this.a0 == null)) {
            drawable = AppCompatDelegateImpl.e.L0(drawable);
            drawable.setTint(this.a0.intValue());
        }
        super.setNavigationIcon(drawable);
    }

    public void setNavigationIconTint(int i2) {
        this.a0 = Integer.valueOf(i2);
        Drawable navigationIcon = getNavigationIcon();
        if (navigationIcon != null) {
            setNavigationIcon(navigationIcon);
        }
    }

    public void setSubtitleCentered(boolean z) {
        if (this.c0 != z) {
            this.c0 = z;
            requestLayout();
        }
    }

    public void setTitleCentered(boolean z) {
        if (this.b0 != z) {
            this.b0 = z;
            requestLayout();
        }
    }

    public final void w(View view, Pair<Integer, Integer> pair) {
        int measuredWidth = getMeasuredWidth();
        int measuredWidth2 = view.getMeasuredWidth();
        int i2 = (measuredWidth / 2) - (measuredWidth2 / 2);
        int i3 = measuredWidth2 + i2;
        int max = Math.max(Math.max(((Integer) pair.first).intValue() - i2, 0), Math.max(i3 - ((Integer) pair.second).intValue(), 0));
        if (max > 0) {
            i2 += max;
            i3 -= max;
            view.measure(View.MeasureSpec.makeMeasureSpec(i3 - i2, 1073741824), view.getMeasuredHeightAndState());
        }
        view.layout(i2, view.getTop(), i3, view.getBottom());
    }

    public MaterialToolbar(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R$attr.toolbarStyle);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public MaterialToolbar(Context context, AttributeSet attributeSet, int i2) {
        super(a.a(context, attributeSet, i2, r4), attributeSet, i2);
        int i3 = W;
        Context context2 = getContext();
        int i4 = 0;
        TypedArray d2 = f.d(context2, attributeSet, R$styleable.MaterialToolbar, i2, i3, new int[0]);
        int i5 = R$styleable.MaterialToolbar_navigationIconTint;
        if (d2.hasValue(i5)) {
            setNavigationIconTint(d2.getColor(i5, -1));
        }
        this.b0 = d2.getBoolean(R$styleable.MaterialToolbar_titleCentered, false);
        this.c0 = d2.getBoolean(R$styleable.MaterialToolbar_subtitleCentered, false);
        d2.recycle();
        Drawable background = getBackground();
        if (background == null || (background instanceof ColorDrawable)) {
            MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable();
            materialShapeDrawable.q(ColorStateList.valueOf(background != null ? ((ColorDrawable) background).getColor() : i4));
            materialShapeDrawable.f4976j.f4981b = new d.h.a.b.m.a(context2);
            materialShapeDrawable.C();
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            materialShapeDrawable.p(getElevation());
            setBackground(materialShapeDrawable);
        }
    }
}
