package com.google.android.material.chip;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Outline;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PointF;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.RippleDrawable;
import android.graphics.drawable.ShapeDrawable;
import android.graphics.drawable.shapes.OvalShape;
import android.text.TextPaint;
import android.text.TextUtils;
import android.util.AttributeSet;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.core.graphics.drawable.TintAwareDrawable;
import b.o.a.n;
import com.google.android.material.shape.MaterialShapeDrawable;
import com.shuyu.gsyvideoplayer.utils.NeuQuant;
import d.h.a.b.a.g;
import d.h.a.b.p.d;
import d.h.a.b.t.b;
import java.lang.ref.WeakReference;
import java.util.Arrays;

public class ChipDrawable extends MaterialShapeDrawable implements TintAwareDrawable, Drawable.Callback, d.b {
    public static final int[] F = {16842910};
    public static final ShapeDrawable G = new ShapeDrawable(new OvalShape());
    public int A0;
    public boolean B0;
    public int C0;
    public int D0 = NeuQuant.maxnetpos;
    public ColorFilter E0;
    public PorterDuffColorFilter F0;
    public ColorStateList G0;
    public ColorStateList H;
    public PorterDuff.Mode H0 = PorterDuff.Mode.SRC_IN;
    public ColorStateList I;
    public int[] I0;
    public float J;
    public boolean J0;
    public float K = -1.0f;
    public ColorStateList K0;
    public ColorStateList L;
    public WeakReference<a> L0 = new WeakReference<>(null);
    public float M;
    public TextUtils.TruncateAt M0;
    public ColorStateList N;
    public boolean N0;
    public CharSequence O;
    public int O0;
    public boolean P;
    public boolean P0;
    public Drawable Q;
    public ColorStateList R;
    public float S;
    public boolean T;
    public boolean U;
    public Drawable V;
    public Drawable W;
    public ColorStateList X;
    public float Y;
    public CharSequence Z;
    public boolean a0;
    public boolean b0;
    public Drawable c0;
    public ColorStateList d0;
    public g e0;
    public g f0;
    public float g0;
    public float h0;
    public float i0;
    public float j0;
    public float k0;
    public float l0;
    public float m0;
    public float n0;
    public final Context o0;
    public final Paint p0 = new Paint(1);
    public final Paint.FontMetrics q0 = new Paint.FontMetrics();
    public final RectF r0 = new RectF();
    public final PointF s0 = new PointF();
    public final Path t0 = new Path();
    public final d u0;
    public int v0;
    public int w0;
    public int x0;
    public int y0;
    public int z0;

    public interface a {
        void a();
    }

    public ChipDrawable(Context context, AttributeSet attributeSet, int i2, int i3) {
        super(context, attributeSet, i2, i3);
        this.f4976j.f4981b = new d.h.a.b.m.a(context);
        C();
        this.o0 = context;
        d dVar = new d(this);
        this.u0 = dVar;
        this.O = "";
        dVar.f10551a.density = context.getResources().getDisplayMetrics().density;
        int[] iArr = F;
        setState(iArr);
        j0(iArr);
        this.N0 = true;
        int[] iArr2 = d.h.a.b.u.a.f10645a;
        G.setTint(-1);
    }

    public static boolean M(ColorStateList colorStateList) {
        return colorStateList != null && colorStateList.isStateful();
    }

    public static boolean N(Drawable drawable) {
        return drawable != null && drawable.isStateful();
    }

    public final void D(Drawable drawable) {
        if (drawable != null) {
            drawable.setCallback(this);
            AppCompatDelegateImpl.e.s0(drawable, AppCompatDelegateImpl.e.I(this));
            drawable.setLevel(getLevel());
            drawable.setVisible(isVisible(), false);
            if (drawable == this.V) {
                if (drawable.isStateful()) {
                    drawable.setState(this.I0);
                }
                drawable.setTintList(this.X);
                return;
            }
            if (drawable.isStateful()) {
                drawable.setState(getState());
            }
            Drawable drawable2 = this.Q;
            if (drawable == drawable2 && this.T) {
                drawable2.setTintList(this.R);
            }
        }
    }

    public final void E(Rect rect, RectF rectF) {
        float f2;
        rectF.setEmpty();
        if (u0() || t0()) {
            float f3 = this.g0 + this.h0;
            float L2 = L();
            if (AppCompatDelegateImpl.e.I(this) == 0) {
                float f4 = ((float) rect.left) + f3;
                rectF.left = f4;
                rectF.right = f4 + L2;
            } else {
                float f5 = ((float) rect.right) - f3;
                rectF.right = f5;
                rectF.left = f5 - L2;
            }
            Drawable drawable = this.B0 ? this.c0 : this.Q;
            float f6 = this.S;
            if (f6 <= 0.0f && drawable != null) {
                f6 = (float) Math.ceil((double) n.f0(this.o0, 24));
                if (((float) drawable.getIntrinsicHeight()) <= f6) {
                    f2 = (float) drawable.getIntrinsicHeight();
                    float exactCenterY = rect.exactCenterY() - (f2 / 2.0f);
                    rectF.top = exactCenterY;
                    rectF.bottom = exactCenterY + f2;
                }
            }
            f2 = f6;
            float exactCenterY2 = rect.exactCenterY() - (f2 / 2.0f);
            rectF.top = exactCenterY2;
            rectF.bottom = exactCenterY2 + f2;
        }
    }

    public float F() {
        if (!u0() && !t0()) {
            return 0.0f;
        }
        return L() + this.h0 + this.i0;
    }

    public final void G(Rect rect, RectF rectF) {
        rectF.setEmpty();
        if (v0()) {
            float f2 = this.n0 + this.m0;
            if (AppCompatDelegateImpl.e.I(this) == 0) {
                float f3 = ((float) rect.right) - f2;
                rectF.right = f3;
                rectF.left = f3 - this.Y;
            } else {
                float f4 = ((float) rect.left) + f2;
                rectF.left = f4;
                rectF.right = f4 + this.Y;
            }
            float exactCenterY = rect.exactCenterY();
            float f5 = this.Y;
            float f6 = exactCenterY - (f5 / 2.0f);
            rectF.top = f6;
            rectF.bottom = f6 + f5;
        }
    }

    public final void H(Rect rect, RectF rectF) {
        rectF.setEmpty();
        if (v0()) {
            float f2 = this.n0 + this.m0 + this.Y + this.l0 + this.k0;
            if (AppCompatDelegateImpl.e.I(this) == 0) {
                float f3 = (float) rect.right;
                rectF.right = f3;
                rectF.left = f3 - f2;
            } else {
                int i2 = rect.left;
                rectF.left = (float) i2;
                rectF.right = ((float) i2) + f2;
            }
            rectF.top = (float) rect.top;
            rectF.bottom = (float) rect.bottom;
        }
    }

    public float I() {
        if (v0()) {
            return this.l0 + this.Y + this.m0;
        }
        return 0.0f;
    }

    public float J() {
        return this.P0 ? l() : this.K;
    }

    public Drawable K() {
        Drawable drawable = this.V;
        if (drawable != null) {
            return AppCompatDelegateImpl.e.J0(drawable);
        }
        return null;
    }

    public final float L() {
        Drawable drawable = this.B0 ? this.c0 : this.Q;
        float f2 = this.S;
        return (f2 > 0.0f || drawable == null) ? f2 : (float) drawable.getIntrinsicWidth();
    }

    public void O() {
        a aVar = this.L0.get();
        if (aVar != null) {
            aVar.a();
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:77:0x00e0  */
    /* JADX WARNING: Removed duplicated region for block: B:78:0x00e7  */
    /* JADX WARNING: Removed duplicated region for block: B:81:0x00ec  */
    /* JADX WARNING: Removed duplicated region for block: B:82:0x00f9  */
    /* JADX WARNING: Removed duplicated region for block: B:85:0x0102  */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x0111  */
    /* JADX WARNING: Removed duplicated region for block: B:91:0x0120  */
    /* JADX WARNING: Removed duplicated region for block: B:94:0x013f  */
    /* JADX WARNING: Removed duplicated region for block: B:96:0x0148  */
    /* JADX WARNING: Removed duplicated region for block: B:98:0x014d  */
    public final boolean P(int[] iArr, int[] iArr2) {
        boolean z;
        boolean z2;
        int colorForState;
        ColorStateList colorStateList;
        boolean onStateChange = super.onStateChange(iArr);
        ColorStateList colorStateList2 = this.H;
        int e2 = e(colorStateList2 != null ? colorStateList2.getColorForState(iArr, this.v0) : 0);
        boolean z3 = true;
        if (this.v0 != e2) {
            this.v0 = e2;
            onStateChange = true;
        }
        ColorStateList colorStateList3 = this.I;
        int e3 = e(colorStateList3 != null ? colorStateList3.getColorForState(iArr, this.w0) : 0);
        if (this.w0 != e3) {
            this.w0 = e3;
            onStateChange = true;
        }
        int b2 = b.j.c.a.b(e3, e2);
        if ((this.x0 != b2) || (this.f4976j.f4983d == null)) {
            this.x0 = b2;
            q(ColorStateList.valueOf(b2));
            onStateChange = true;
        }
        ColorStateList colorStateList4 = this.L;
        int colorForState2 = colorStateList4 != null ? colorStateList4.getColorForState(iArr, this.y0) : 0;
        if (this.y0 != colorForState2) {
            this.y0 = colorForState2;
            onStateChange = true;
        }
        int colorForState3 = (this.K0 == null || !d.h.a.b.u.a.d(iArr)) ? 0 : this.K0.getColorForState(iArr, this.z0);
        if (this.z0 != colorForState3) {
            this.z0 = colorForState3;
            if (this.J0) {
                onStateChange = true;
            }
        }
        b bVar = this.u0.f10556f;
        int colorForState4 = (bVar == null || (colorStateList = bVar.f10628a) == null) ? 0 : colorStateList.getColorForState(iArr, this.A0);
        if (this.A0 != colorForState4) {
            this.A0 = colorForState4;
            onStateChange = true;
        }
        int[] state = getState();
        if (state != null) {
            int length = state.length;
            int i2 = 0;
            while (true) {
                if (i2 >= length) {
                    break;
                } else if (state[i2] == 16842912) {
                    z = true;
                    break;
                } else {
                    i2++;
                }
            }
        }
        z = false;
        boolean z4 = z && this.a0;
        if (!(this.B0 == z4 || this.c0 == null)) {
            float F2 = F();
            this.B0 = z4;
            if (F2 != F()) {
                onStateChange = true;
                z2 = true;
                ColorStateList colorStateList5 = this.G0;
                colorForState = colorStateList5 == null ? colorStateList5.getColorForState(iArr, this.C0) : 0;
                if (this.C0 == colorForState) {
                    this.C0 = colorForState;
                    this.F0 = n.r2(this, this.G0, this.H0);
                } else {
                    z3 = onStateChange;
                }
                if (N(this.Q)) {
                    z3 |= this.Q.setState(iArr);
                }
                if (N(this.c0)) {
                    z3 |= this.c0.setState(iArr);
                }
                if (N(this.V)) {
                    int[] iArr3 = new int[(iArr.length + iArr2.length)];
                    System.arraycopy(iArr, 0, iArr3, 0, iArr.length);
                    System.arraycopy(iArr2, 0, iArr3, iArr.length, iArr2.length);
                    z3 |= this.V.setState(iArr3);
                }
                int[] iArr4 = d.h.a.b.u.a.f10645a;
                if (N(this.W)) {
                    z3 |= this.W.setState(iArr2);
                }
                if (z3) {
                    invalidateSelf();
                }
                if (z2) {
                    O();
                }
                return z3;
            }
            onStateChange = true;
        }
        z2 = false;
        ColorStateList colorStateList52 = this.G0;
        if (colorStateList52 == null) {
        }
        if (this.C0 == colorForState) {
        }
        if (N(this.Q)) {
        }
        if (N(this.c0)) {
        }
        if (N(this.V)) {
        }
        int[] iArr42 = d.h.a.b.u.a.f10645a;
        if (N(this.W)) {
        }
        if (z3) {
        }
        if (z2) {
        }
        return z3;
    }

    public void Q(boolean z) {
        if (this.a0 != z) {
            this.a0 = z;
            float F2 = F();
            if (!z && this.B0) {
                this.B0 = false;
            }
            float F3 = F();
            invalidateSelf();
            if (F2 != F3) {
                O();
            }
        }
    }

    public void R(Drawable drawable) {
        if (this.c0 != drawable) {
            float F2 = F();
            this.c0 = drawable;
            float F3 = F();
            w0(this.c0);
            D(this.c0);
            invalidateSelf();
            if (F2 != F3) {
                O();
            }
        }
    }

    public void S(ColorStateList colorStateList) {
        if (this.d0 != colorStateList) {
            this.d0 = colorStateList;
            if (this.b0 && this.c0 != null && this.a0) {
                this.c0.setTintList(colorStateList);
            }
            onStateChange(getState());
        }
    }

    public void T(boolean z) {
        if (this.b0 != z) {
            boolean t02 = t0();
            this.b0 = z;
            boolean t03 = t0();
            if (t02 != t03) {
                if (t03) {
                    D(this.c0);
                } else {
                    w0(this.c0);
                }
                invalidateSelf();
                O();
            }
        }
    }

    public void U(ColorStateList colorStateList) {
        if (this.I != colorStateList) {
            this.I = colorStateList;
            onStateChange(getState());
        }
    }

    @Deprecated
    public void V(float f2) {
        if (this.K != f2) {
            this.K = f2;
            this.f4976j.f4980a = this.f4976j.f4980a.f(f2);
            invalidateSelf();
        }
    }

    public void W(float f2) {
        if (this.n0 != f2) {
            this.n0 = f2;
            invalidateSelf();
            O();
        }
    }

    public void X(Drawable drawable) {
        Drawable drawable2 = this.Q;
        Drawable drawable3 = null;
        Drawable J02 = drawable2 != null ? AppCompatDelegateImpl.e.J0(drawable2) : null;
        if (J02 != drawable) {
            float F2 = F();
            if (drawable != null) {
                drawable3 = AppCompatDelegateImpl.e.L0(drawable).mutate();
            }
            this.Q = drawable3;
            float F3 = F();
            w0(J02);
            if (u0()) {
                D(this.Q);
            }
            invalidateSelf();
            if (F2 != F3) {
                O();
            }
        }
    }

    public void Y(float f2) {
        if (this.S != f2) {
            float F2 = F();
            this.S = f2;
            float F3 = F();
            invalidateSelf();
            if (F2 != F3) {
                O();
            }
        }
    }

    public void Z(ColorStateList colorStateList) {
        this.T = true;
        if (this.R != colorStateList) {
            this.R = colorStateList;
            if (u0()) {
                this.Q.setTintList(colorStateList);
            }
            onStateChange(getState());
        }
    }

    @Override // d.h.a.b.p.d.b
    public void a() {
        O();
        invalidateSelf();
    }

    public void a0(boolean z) {
        if (this.P != z) {
            boolean u02 = u0();
            this.P = z;
            boolean u03 = u0();
            if (u02 != u03) {
                if (u03) {
                    D(this.Q);
                } else {
                    w0(this.Q);
                }
                invalidateSelf();
                O();
            }
        }
    }

    public void b0(float f2) {
        if (this.J != f2) {
            this.J = f2;
            invalidateSelf();
            O();
        }
    }

    public void c0(float f2) {
        if (this.g0 != f2) {
            this.g0 = f2;
            invalidateSelf();
            O();
        }
    }

    public void d0(ColorStateList colorStateList) {
        if (this.L != colorStateList) {
            this.L = colorStateList;
            if (this.P0) {
                y(colorStateList);
            }
            onStateChange(getState());
        }
    }

    @Override // com.google.android.material.shape.MaterialShapeDrawable
    public void draw(Canvas canvas) {
        int i2;
        int i3;
        int i4;
        int i5;
        Rect bounds = getBounds();
        if (!bounds.isEmpty() && getAlpha() != 0) {
            int i6 = this.D0;
            int saveLayerAlpha = i6 < 255 ? canvas.saveLayerAlpha((float) bounds.left, (float) bounds.top, (float) bounds.right, (float) bounds.bottom, i6) : 0;
            if (!this.P0) {
                this.p0.setColor(this.v0);
                this.p0.setStyle(Paint.Style.FILL);
                this.r0.set(bounds);
                canvas.drawRoundRect(this.r0, J(), J(), this.p0);
            }
            if (!this.P0) {
                this.p0.setColor(this.w0);
                this.p0.setStyle(Paint.Style.FILL);
                Paint paint = this.p0;
                ColorFilter colorFilter = this.E0;
                if (colorFilter == null) {
                    colorFilter = this.F0;
                }
                paint.setColorFilter(colorFilter);
                this.r0.set(bounds);
                canvas.drawRoundRect(this.r0, J(), J(), this.p0);
            }
            if (this.P0) {
                super.draw(canvas);
            }
            if (this.M > 0.0f && !this.P0) {
                this.p0.setColor(this.y0);
                this.p0.setStyle(Paint.Style.STROKE);
                if (!this.P0) {
                    Paint paint2 = this.p0;
                    ColorFilter colorFilter2 = this.E0;
                    if (colorFilter2 == null) {
                        colorFilter2 = this.F0;
                    }
                    paint2.setColorFilter(colorFilter2);
                }
                RectF rectF = this.r0;
                float f2 = this.M / 2.0f;
                rectF.set(((float) bounds.left) + f2, ((float) bounds.top) + f2, ((float) bounds.right) - f2, ((float) bounds.bottom) - f2);
                float f3 = this.K - (this.M / 2.0f);
                canvas.drawRoundRect(this.r0, f3, f3, this.p0);
            }
            this.p0.setColor(this.z0);
            this.p0.setStyle(Paint.Style.FILL);
            this.r0.set(bounds);
            if (!this.P0) {
                canvas.drawRoundRect(this.r0, J(), J(), this.p0);
            } else {
                c(new RectF(bounds), this.t0);
                g(canvas, this.p0, this.t0, this.f4976j.f4980a, h());
            }
            if (u0()) {
                E(bounds, this.r0);
                RectF rectF2 = this.r0;
                float f4 = rectF2.left;
                float f5 = rectF2.top;
                canvas.translate(f4, f5);
                this.Q.setBounds(0, 0, (int) this.r0.width(), (int) this.r0.height());
                this.Q.draw(canvas);
                canvas.translate(-f4, -f5);
            }
            if (t0()) {
                E(bounds, this.r0);
                RectF rectF3 = this.r0;
                float f6 = rectF3.left;
                float f7 = rectF3.top;
                canvas.translate(f6, f7);
                this.c0.setBounds(0, 0, (int) this.r0.width(), (int) this.r0.height());
                this.c0.draw(canvas);
                canvas.translate(-f6, -f7);
            }
            if (!this.N0 || this.O == null) {
                i2 = saveLayerAlpha;
                i4 = NeuQuant.maxnetpos;
                i3 = 0;
            } else {
                PointF pointF = this.s0;
                pointF.set(0.0f, 0.0f);
                Paint.Align align = Paint.Align.LEFT;
                if (this.O != null) {
                    float F2 = F() + this.g0 + this.j0;
                    if (AppCompatDelegateImpl.e.I(this) == 0) {
                        pointF.x = ((float) bounds.left) + F2;
                        align = Paint.Align.LEFT;
                    } else {
                        pointF.x = ((float) bounds.right) - F2;
                        align = Paint.Align.RIGHT;
                    }
                    this.u0.f10551a.getFontMetrics(this.q0);
                    Paint.FontMetrics fontMetrics = this.q0;
                    pointF.y = ((float) bounds.centerY()) - ((fontMetrics.descent + fontMetrics.ascent) / 2.0f);
                }
                RectF rectF4 = this.r0;
                rectF4.setEmpty();
                if (this.O != null) {
                    float F3 = F() + this.g0 + this.j0;
                    float I2 = I() + this.n0 + this.k0;
                    if (AppCompatDelegateImpl.e.I(this) == 0) {
                        rectF4.left = ((float) bounds.left) + F3;
                        rectF4.right = ((float) bounds.right) - I2;
                    } else {
                        rectF4.left = ((float) bounds.left) + I2;
                        rectF4.right = ((float) bounds.right) - F3;
                    }
                    rectF4.top = (float) bounds.top;
                    rectF4.bottom = (float) bounds.bottom;
                }
                d dVar = this.u0;
                if (dVar.f10556f != null) {
                    dVar.f10551a.drawableState = getState();
                    d dVar2 = this.u0;
                    dVar2.f10556f.e(this.o0, dVar2.f10551a, dVar2.f10552b);
                }
                this.u0.f10551a.setTextAlign(align);
                boolean z = Math.round(this.u0.a(this.O.toString())) > Math.round(this.r0.width());
                if (z) {
                    i5 = canvas.save();
                    canvas.clipRect(this.r0);
                } else {
                    i5 = 0;
                }
                CharSequence charSequence = this.O;
                if (z && this.M0 != null) {
                    charSequence = TextUtils.ellipsize(charSequence, this.u0.f10551a, this.r0.width(), this.M0);
                }
                int length = charSequence.length();
                PointF pointF2 = this.s0;
                float f8 = pointF2.x;
                float f9 = pointF2.y;
                TextPaint textPaint = this.u0.f10551a;
                i2 = saveLayerAlpha;
                i3 = 0;
                i4 = NeuQuant.maxnetpos;
                canvas.drawText(charSequence, 0, length, f8, f9, textPaint);
                if (z) {
                    canvas.restoreToCount(i5);
                }
            }
            if (v0()) {
                G(bounds, this.r0);
                RectF rectF5 = this.r0;
                float f10 = rectF5.left;
                float f11 = rectF5.top;
                canvas.translate(f10, f11);
                this.V.setBounds(i3, i3, (int) this.r0.width(), (int) this.r0.height());
                int[] iArr = d.h.a.b.u.a.f10645a;
                this.W.setBounds(this.V.getBounds());
                this.W.jumpToCurrentState();
                this.W.draw(canvas);
                canvas.translate(-f10, -f11);
            }
            if (this.D0 < i4) {
                canvas.restoreToCount(i2);
            }
        }
    }

    public void e0(float f2) {
        if (this.M != f2) {
            this.M = f2;
            this.p0.setStrokeWidth(f2);
            if (this.P0) {
                this.f4976j.f4991l = f2;
                invalidateSelf();
            }
            invalidateSelf();
        }
    }

    public void f0(Drawable drawable) {
        Drawable K2 = K();
        if (K2 != drawable) {
            float I2 = I();
            this.V = drawable != null ? AppCompatDelegateImpl.e.L0(drawable).mutate() : null;
            int[] iArr = d.h.a.b.u.a.f10645a;
            this.W = new RippleDrawable(d.h.a.b.u.a.c(this.N), this.V, G);
            float I3 = I();
            w0(K2);
            if (v0()) {
                D(this.V);
            }
            invalidateSelf();
            if (I2 != I3) {
                O();
            }
        }
    }

    public void g0(float f2) {
        if (this.m0 != f2) {
            this.m0 = f2;
            invalidateSelf();
            if (v0()) {
                O();
            }
        }
    }

    public int getAlpha() {
        return this.D0;
    }

    public ColorFilter getColorFilter() {
        return this.E0;
    }

    public int getIntrinsicHeight() {
        return (int) this.J;
    }

    public int getIntrinsicWidth() {
        return Math.min(Math.round(I() + this.u0.a(this.O.toString()) + F() + this.g0 + this.j0 + this.k0 + this.n0), this.O0);
    }

    @Override // com.google.android.material.shape.MaterialShapeDrawable
    public int getOpacity() {
        return -3;
    }

    @Override // com.google.android.material.shape.MaterialShapeDrawable
    @TargetApi(21)
    public void getOutline(Outline outline) {
        if (this.P0) {
            super.getOutline(outline);
            return;
        }
        Rect bounds = getBounds();
        if (!bounds.isEmpty()) {
            outline.setRoundRect(bounds, this.K);
        } else {
            outline.setRoundRect(0, 0, getIntrinsicWidth(), getIntrinsicHeight(), this.K);
        }
        outline.setAlpha(((float) getAlpha()) / 255.0f);
    }

    public void h0(float f2) {
        if (this.Y != f2) {
            this.Y = f2;
            invalidateSelf();
            if (v0()) {
                O();
            }
        }
    }

    public void i0(float f2) {
        if (this.l0 != f2) {
            this.l0 = f2;
            invalidateSelf();
            if (v0()) {
                O();
            }
        }
    }

    public void invalidateDrawable(Drawable drawable) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.invalidateDrawable(this);
        }
    }

    @Override // com.google.android.material.shape.MaterialShapeDrawable
    public boolean isStateful() {
        ColorStateList colorStateList;
        if (M(this.H) || M(this.I) || M(this.L)) {
            return true;
        }
        if (this.J0 && M(this.K0)) {
            return true;
        }
        b bVar = this.u0.f10556f;
        if ((bVar == null || (colorStateList = bVar.f10628a) == null || !colorStateList.isStateful()) ? false : true) {
            return true;
        }
        if ((this.b0 && this.c0 != null && this.a0) || N(this.Q) || N(this.c0) || M(this.G0)) {
            return true;
        }
        return false;
    }

    public boolean j0(int[] iArr) {
        if (Arrays.equals(this.I0, iArr)) {
            return false;
        }
        this.I0 = iArr;
        if (v0()) {
            return P(getState(), iArr);
        }
        return false;
    }

    public void k0(ColorStateList colorStateList) {
        if (this.X != colorStateList) {
            this.X = colorStateList;
            if (v0()) {
                this.V.setTintList(colorStateList);
            }
            onStateChange(getState());
        }
    }

    public void l0(boolean z) {
        if (this.U != z) {
            boolean v02 = v0();
            this.U = z;
            boolean v03 = v0();
            if (v02 != v03) {
                if (v03) {
                    D(this.V);
                } else {
                    w0(this.V);
                }
                invalidateSelf();
                O();
            }
        }
    }

    public void m0(float f2) {
        if (this.i0 != f2) {
            float F2 = F();
            this.i0 = f2;
            float F3 = F();
            invalidateSelf();
            if (F2 != F3) {
                O();
            }
        }
    }

    public void n0(float f2) {
        if (this.h0 != f2) {
            float F2 = F();
            this.h0 = f2;
            float F3 = F();
            invalidateSelf();
            if (F2 != F3) {
                O();
            }
        }
    }

    public void o0(ColorStateList colorStateList) {
        if (this.N != colorStateList) {
            this.N = colorStateList;
            this.K0 = this.J0 ? d.h.a.b.u.a.c(colorStateList) : null;
            onStateChange(getState());
        }
    }

    public boolean onLayoutDirectionChanged(int i2) {
        boolean onLayoutDirectionChanged = super.onLayoutDirectionChanged(i2);
        if (u0()) {
            onLayoutDirectionChanged |= AppCompatDelegateImpl.e.s0(this.Q, i2);
        }
        if (t0()) {
            onLayoutDirectionChanged |= AppCompatDelegateImpl.e.s0(this.c0, i2);
        }
        if (v0()) {
            onLayoutDirectionChanged |= AppCompatDelegateImpl.e.s0(this.V, i2);
        }
        if (!onLayoutDirectionChanged) {
            return true;
        }
        invalidateSelf();
        return true;
    }

    public boolean onLevelChange(int i2) {
        boolean onLevelChange = super.onLevelChange(i2);
        if (u0()) {
            onLevelChange |= this.Q.setLevel(i2);
        }
        if (t0()) {
            onLevelChange |= this.c0.setLevel(i2);
        }
        if (v0()) {
            onLevelChange |= this.V.setLevel(i2);
        }
        if (onLevelChange) {
            invalidateSelf();
        }
        return onLevelChange;
    }

    @Override // d.h.a.b.p.d.b, com.google.android.material.shape.MaterialShapeDrawable
    public boolean onStateChange(int[] iArr) {
        if (this.P0) {
            super.onStateChange(iArr);
        }
        return P(iArr, this.I0);
    }

    public void p0(CharSequence charSequence) {
        if (charSequence == null) {
            charSequence = "";
        }
        if (!TextUtils.equals(this.O, charSequence)) {
            this.O = charSequence;
            this.u0.f10554d = true;
            invalidateSelf();
            O();
        }
    }

    public void q0(float f2) {
        if (this.k0 != f2) {
            this.k0 = f2;
            invalidateSelf();
            O();
        }
    }

    public void r0(float f2) {
        if (this.j0 != f2) {
            this.j0 = f2;
            invalidateSelf();
            O();
        }
    }

    public void s0(boolean z) {
        if (this.J0 != z) {
            this.J0 = z;
            this.K0 = z ? d.h.a.b.u.a.c(this.N) : null;
            onStateChange(getState());
        }
    }

    public void scheduleDrawable(Drawable drawable, Runnable runnable, long j2) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.scheduleDrawable(this, runnable, j2);
        }
    }

    @Override // com.google.android.material.shape.MaterialShapeDrawable
    public void setAlpha(int i2) {
        if (this.D0 != i2) {
            this.D0 = i2;
            invalidateSelf();
        }
    }

    @Override // com.google.android.material.shape.MaterialShapeDrawable
    public void setColorFilter(ColorFilter colorFilter) {
        if (this.E0 != colorFilter) {
            this.E0 = colorFilter;
            invalidateSelf();
        }
    }

    @Override // androidx.core.graphics.drawable.TintAwareDrawable, com.google.android.material.shape.MaterialShapeDrawable
    public void setTintList(ColorStateList colorStateList) {
        if (this.G0 != colorStateList) {
            this.G0 = colorStateList;
            onStateChange(getState());
        }
    }

    @Override // androidx.core.graphics.drawable.TintAwareDrawable, com.google.android.material.shape.MaterialShapeDrawable
    public void setTintMode(PorterDuff.Mode mode) {
        if (this.H0 != mode) {
            this.H0 = mode;
            this.F0 = n.r2(this, this.G0, mode);
            invalidateSelf();
        }
    }

    public boolean setVisible(boolean z, boolean z2) {
        boolean visible = super.setVisible(z, z2);
        if (u0()) {
            visible |= this.Q.setVisible(z, z2);
        }
        if (t0()) {
            visible |= this.c0.setVisible(z, z2);
        }
        if (v0()) {
            visible |= this.V.setVisible(z, z2);
        }
        if (visible) {
            invalidateSelf();
        }
        return visible;
    }

    public final boolean t0() {
        return this.b0 && this.c0 != null && this.B0;
    }

    public final boolean u0() {
        return this.P && this.Q != null;
    }

    public void unscheduleDrawable(Drawable drawable, Runnable runnable) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.unscheduleDrawable(this, runnable);
        }
    }

    public final boolean v0() {
        return this.U && this.V != null;
    }

    public final void w0(Drawable drawable) {
        if (drawable != null) {
            drawable.setCallback(null);
        }
    }
}
