package com.google.android.material.floatingactionbutton;

import android.animation.Animator;
import android.animation.AnimatorSet;
import android.animation.PropertyValuesHolder;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Property;
import android.view.View;
import android.view.ViewGroup;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.view.ViewCompat;
import com.google.android.material.R$animator;
import com.google.android.material.R$attr;
import com.google.android.material.R$style;
import com.google.android.material.R$styleable;
import com.google.android.material.appbar.AppBarLayout;
import com.google.android.material.bottomsheet.BottomSheetBehavior;
import com.google.android.material.button.MaterialButton;
import d.h.a.b.o.l;
import java.util.List;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;

public class ExtendedFloatingActionButton extends MaterialButton implements CoordinatorLayout.AttachedBehavior {
    public static final Property<View, Float> A = new c(Float.class, "width");
    public static final Property<View, Float> B = new d(Float.class, "height");
    public static final Property<View, Float> C = new e(Float.class, "paddingStart");
    public static final Property<View, Float> D = new f(Float.class, "paddingEnd");
    public static final int z = R$style.Widget_MaterialComponents_ExtendedFloatingActionButton_Icon;
    public int E;
    public final d.h.a.b.o.a F;
    public final l G;
    public final l H;
    public final l I;
    public final l J;
    public final int K;
    public int L;
    public int M;
    public final CoordinatorLayout.b<ExtendedFloatingActionButton> N;
    public boolean O;
    public boolean P;
    public boolean Q;
    public ColorStateList R;

    public class a implements k {
        public a() {
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.k
        public int a() {
            return ExtendedFloatingActionButton.this.M;
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.k
        public int b() {
            return ExtendedFloatingActionButton.this.L;
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.k
        public ViewGroup.LayoutParams c() {
            return new ViewGroup.LayoutParams(-2, -2);
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.k
        public int getHeight() {
            return ExtendedFloatingActionButton.this.getMeasuredHeight();
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.k
        public int getWidth() {
            int measuredWidth = ExtendedFloatingActionButton.this.getMeasuredWidth() - (ExtendedFloatingActionButton.this.getCollapsedPadding() * 2);
            ExtendedFloatingActionButton extendedFloatingActionButton = ExtendedFloatingActionButton.this;
            return measuredWidth + extendedFloatingActionButton.L + extendedFloatingActionButton.M;
        }
    }

    public class b implements k {
        public b() {
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.k
        public int a() {
            return ExtendedFloatingActionButton.this.getCollapsedPadding();
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.k
        public int b() {
            return ExtendedFloatingActionButton.this.getCollapsedPadding();
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.k
        public ViewGroup.LayoutParams c() {
            return new ViewGroup.LayoutParams(ExtendedFloatingActionButton.this.getCollapsedSize(), ExtendedFloatingActionButton.this.getCollapsedSize());
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.k
        public int getHeight() {
            return ExtendedFloatingActionButton.this.getCollapsedSize();
        }

        @Override // com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton.k
        public int getWidth() {
            return ExtendedFloatingActionButton.this.getCollapsedSize();
        }
    }

    public static class c extends Property<View, Float> {
        public c(Class cls, String str) {
            super(cls, str);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // android.util.Property
        public Float get(View view) {
            return Float.valueOf((float) view.getLayoutParams().width);
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, java.lang.Object] */
        @Override // android.util.Property
        public void set(View view, Float f2) {
            View view2 = view;
            view2.getLayoutParams().width = f2.intValue();
            view2.requestLayout();
        }
    }

    public static class d extends Property<View, Float> {
        public d(Class cls, String str) {
            super(cls, str);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // android.util.Property
        public Float get(View view) {
            return Float.valueOf((float) view.getLayoutParams().height);
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, java.lang.Object] */
        @Override // android.util.Property
        public void set(View view, Float f2) {
            View view2 = view;
            view2.getLayoutParams().height = f2.intValue();
            view2.requestLayout();
        }
    }

    public static class e extends Property<View, Float> {
        public e(Class cls, String str) {
            super(cls, str);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // android.util.Property
        public Float get(View view) {
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            return Float.valueOf((float) view.getPaddingStart());
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, java.lang.Object] */
        @Override // android.util.Property
        public void set(View view, Float f2) {
            View view2 = view;
            int intValue = f2.intValue();
            int paddingTop = view2.getPaddingTop();
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            view2.setPaddingRelative(intValue, paddingTop, view2.getPaddingEnd(), view2.getPaddingBottom());
        }
    }

    public static class f extends Property<View, Float> {
        public f(Class cls, String str) {
            super(cls, str);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // android.util.Property
        public Float get(View view) {
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            return Float.valueOf((float) view.getPaddingEnd());
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, java.lang.Object] */
        @Override // android.util.Property
        public void set(View view, Float f2) {
            View view2 = view;
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            view2.setPaddingRelative(view2.getPaddingStart(), view2.getPaddingTop(), f2.intValue(), view2.getPaddingBottom());
        }
    }

    public class g extends d.h.a.b.o.b {

        /* renamed from: g  reason: collision with root package name */
        public final k f4862g;

        /* renamed from: h  reason: collision with root package name */
        public final boolean f4863h;

        public g(d.h.a.b.o.a aVar, k kVar, boolean z) {
            super(ExtendedFloatingActionButton.this, aVar);
            this.f4862g = kVar;
            this.f4863h = z;
        }

        @Override // d.h.a.b.o.l, d.h.a.b.o.b
        public void a() {
            super.a();
            ExtendedFloatingActionButton extendedFloatingActionButton = ExtendedFloatingActionButton.this;
            extendedFloatingActionButton.P = false;
            extendedFloatingActionButton.setHorizontallyScrolling(false);
            ViewGroup.LayoutParams layoutParams = ExtendedFloatingActionButton.this.getLayoutParams();
            if (layoutParams != null) {
                layoutParams.width = this.f4862g.c().width;
                layoutParams.height = this.f4862g.c().height;
            }
        }

        @Override // d.h.a.b.o.l
        public int c() {
            return this.f4863h ? R$animator.mtrl_extended_fab_change_size_expand_motion_spec : R$animator.mtrl_extended_fab_change_size_collapse_motion_spec;
        }

        @Override // d.h.a.b.o.l
        public void d() {
            ExtendedFloatingActionButton extendedFloatingActionButton = ExtendedFloatingActionButton.this;
            extendedFloatingActionButton.O = this.f4863h;
            ViewGroup.LayoutParams layoutParams = extendedFloatingActionButton.getLayoutParams();
            if (layoutParams != null) {
                layoutParams.width = this.f4862g.c().width;
                layoutParams.height = this.f4862g.c().height;
                ExtendedFloatingActionButton extendedFloatingActionButton2 = ExtendedFloatingActionButton.this;
                int b2 = this.f4862g.b();
                int paddingTop = ExtendedFloatingActionButton.this.getPaddingTop();
                int a2 = this.f4862g.a();
                int paddingBottom = ExtendedFloatingActionButton.this.getPaddingBottom();
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                extendedFloatingActionButton2.setPaddingRelative(b2, paddingTop, a2, paddingBottom);
                ExtendedFloatingActionButton.this.requestLayout();
            }
        }

        @Override // d.h.a.b.o.l, d.h.a.b.o.b
        public AnimatorSet e() {
            d.h.a.b.a.g i2 = i();
            if (i2.g("width")) {
                PropertyValuesHolder[] e2 = i2.e("width");
                e2[0].setFloatValues((float) ExtendedFloatingActionButton.this.getWidth(), (float) this.f4862g.getWidth());
                i2.f10167b.put("width", e2);
            }
            if (i2.g("height")) {
                PropertyValuesHolder[] e3 = i2.e("height");
                e3[0].setFloatValues((float) ExtendedFloatingActionButton.this.getHeight(), (float) this.f4862g.getHeight());
                i2.f10167b.put("height", e3);
            }
            if (i2.g("paddingStart")) {
                PropertyValuesHolder[] e4 = i2.e("paddingStart");
                PropertyValuesHolder propertyValuesHolder = e4[0];
                ExtendedFloatingActionButton extendedFloatingActionButton = ExtendedFloatingActionButton.this;
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                propertyValuesHolder.setFloatValues((float) extendedFloatingActionButton.getPaddingStart(), (float) this.f4862g.b());
                i2.f10167b.put("paddingStart", e4);
            }
            if (i2.g("paddingEnd")) {
                PropertyValuesHolder[] e5 = i2.e("paddingEnd");
                PropertyValuesHolder propertyValuesHolder2 = e5[0];
                ExtendedFloatingActionButton extendedFloatingActionButton2 = ExtendedFloatingActionButton.this;
                AtomicInteger atomicInteger2 = ViewCompat.f1365a;
                propertyValuesHolder2.setFloatValues((float) extendedFloatingActionButton2.getPaddingEnd(), (float) this.f4862g.a());
                i2.f10167b.put("paddingEnd", e5);
            }
            if (i2.g("labelOpacity")) {
                PropertyValuesHolder[] e6 = i2.e("labelOpacity");
                boolean z = this.f4863h;
                float f2 = 0.0f;
                float f3 = z ? 0.0f : 1.0f;
                if (z) {
                    f2 = 1.0f;
                }
                e6[0].setFloatValues(f3, f2);
                i2.f10167b.put("labelOpacity", e6);
            }
            return h(i2);
        }

        @Override // d.h.a.b.o.l
        public void f(i iVar) {
            if (iVar != null) {
                if (this.f4863h) {
                    throw null;
                }
                throw null;
            }
        }

        @Override // d.h.a.b.o.l
        public boolean g() {
            boolean z = this.f4863h;
            ExtendedFloatingActionButton extendedFloatingActionButton = ExtendedFloatingActionButton.this;
            return z == extendedFloatingActionButton.O || extendedFloatingActionButton.getIcon() == null || TextUtils.isEmpty(ExtendedFloatingActionButton.this.getText());
        }

        @Override // d.h.a.b.o.l, d.h.a.b.o.b
        public void onAnimationStart(Animator animator) {
            d.h.a.b.o.a aVar = this.f10478d;
            Animator animator2 = aVar.f10474a;
            if (animator2 != null) {
                animator2.cancel();
            }
            aVar.f10474a = animator;
            ExtendedFloatingActionButton extendedFloatingActionButton = ExtendedFloatingActionButton.this;
            extendedFloatingActionButton.O = this.f4863h;
            extendedFloatingActionButton.P = true;
            extendedFloatingActionButton.setHorizontallyScrolling(true);
        }
    }

    public class h extends d.h.a.b.o.b {

        /* renamed from: g  reason: collision with root package name */
        public boolean f4865g;

        public h(d.h.a.b.o.a aVar) {
            super(ExtendedFloatingActionButton.this, aVar);
        }

        @Override // d.h.a.b.o.l, d.h.a.b.o.b
        public void a() {
            super.a();
            ExtendedFloatingActionButton extendedFloatingActionButton = ExtendedFloatingActionButton.this;
            extendedFloatingActionButton.E = 0;
            if (!this.f4865g) {
                extendedFloatingActionButton.setVisibility(8);
            }
        }

        @Override // d.h.a.b.o.l, d.h.a.b.o.b
        public void b() {
            this.f10478d.f10474a = null;
            this.f4865g = true;
        }

        @Override // d.h.a.b.o.l
        public int c() {
            return R$animator.mtrl_extended_fab_hide_motion_spec;
        }

        @Override // d.h.a.b.o.l
        public void d() {
            ExtendedFloatingActionButton.this.setVisibility(8);
        }

        @Override // d.h.a.b.o.l
        public void f(i iVar) {
            if (iVar != null) {
                throw null;
            }
        }

        /* JADX WARNING: Removed duplicated region for block: B:6:0x0016 A[ORIG_RETURN, RETURN, SYNTHETIC] */
        @Override // d.h.a.b.o.l
        public boolean g() {
            ExtendedFloatingActionButton extendedFloatingActionButton = ExtendedFloatingActionButton.this;
            int i2 = ExtendedFloatingActionButton.z;
            if (extendedFloatingActionButton.getVisibility() == 0) {
                if (extendedFloatingActionButton.E == 1) {
                    return true;
                }
                return false;
            } else if (extendedFloatingActionButton.E == 2) {
                return false;
            }
            return true;
        }

        @Override // d.h.a.b.o.l, d.h.a.b.o.b
        public void onAnimationStart(Animator animator) {
            d.h.a.b.o.a aVar = this.f10478d;
            Animator animator2 = aVar.f10474a;
            if (animator2 != null) {
                animator2.cancel();
            }
            aVar.f10474a = animator;
            this.f4865g = false;
            ExtendedFloatingActionButton.this.setVisibility(0);
            ExtendedFloatingActionButton.this.E = 1;
        }
    }

    public static abstract class i {
    }

    public class j extends d.h.a.b.o.b {
        public j(d.h.a.b.o.a aVar) {
            super(ExtendedFloatingActionButton.this, aVar);
        }

        @Override // d.h.a.b.o.l, d.h.a.b.o.b
        public void a() {
            super.a();
            ExtendedFloatingActionButton.this.E = 0;
        }

        @Override // d.h.a.b.o.l
        public int c() {
            return R$animator.mtrl_extended_fab_show_motion_spec;
        }

        @Override // d.h.a.b.o.l
        public void d() {
            ExtendedFloatingActionButton.this.setVisibility(0);
            ExtendedFloatingActionButton.this.setAlpha(1.0f);
            ExtendedFloatingActionButton.this.setScaleY(1.0f);
            ExtendedFloatingActionButton.this.setScaleX(1.0f);
        }

        @Override // d.h.a.b.o.l
        public void f(i iVar) {
            if (iVar != null) {
                throw null;
            }
        }

        @Override // d.h.a.b.o.l
        public boolean g() {
            ExtendedFloatingActionButton extendedFloatingActionButton = ExtendedFloatingActionButton.this;
            int i2 = ExtendedFloatingActionButton.z;
            return extendedFloatingActionButton.j();
        }

        @Override // d.h.a.b.o.l, d.h.a.b.o.b
        public void onAnimationStart(Animator animator) {
            d.h.a.b.o.a aVar = this.f10478d;
            Animator animator2 = aVar.f10474a;
            if (animator2 != null) {
                animator2.cancel();
            }
            aVar.f10474a = animator;
            ExtendedFloatingActionButton.this.setVisibility(0);
            ExtendedFloatingActionButton.this.E = 2;
        }
    }

    public interface k {
        int a();

        int b();

        ViewGroup.LayoutParams c();

        int getHeight();

        int getWidth();
    }

    public ExtendedFloatingActionButton(Context context) {
        this(context, null);
    }

    public static void i(ExtendedFloatingActionButton extendedFloatingActionButton, l lVar) {
        Objects.requireNonNull(extendedFloatingActionButton);
        if (!lVar.g()) {
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            if (!((extendedFloatingActionButton.isLaidOut() || (!extendedFloatingActionButton.j() && extendedFloatingActionButton.Q)) && !extendedFloatingActionButton.isInEditMode())) {
                lVar.d();
                lVar.f(null);
                return;
            }
            extendedFloatingActionButton.measure(0, 0);
            AnimatorSet e2 = lVar.e();
            e2.addListener(new d.h.a.b.o.d(extendedFloatingActionButton, lVar));
            for (Animator.AnimatorListener animatorListener : ((d.h.a.b.o.b) lVar).f10477c) {
                e2.addListener(animatorListener);
            }
            e2.start();
        }
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.AttachedBehavior
    public CoordinatorLayout.b<ExtendedFloatingActionButton> getBehavior() {
        return this.N;
    }

    public int getCollapsedPadding() {
        return (getCollapsedSize() - getIconSize()) / 2;
    }

    public int getCollapsedSize() {
        int i2 = this.K;
        if (i2 >= 0) {
            return i2;
        }
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        return (Math.min(getPaddingStart(), getPaddingEnd()) * 2) + getIconSize();
    }

    public d.h.a.b.a.g getExtendMotionSpec() {
        return ((d.h.a.b.o.b) this.H).f10480f;
    }

    public d.h.a.b.a.g getHideMotionSpec() {
        return ((d.h.a.b.o.b) this.J).f10480f;
    }

    public d.h.a.b.a.g getShowMotionSpec() {
        return ((d.h.a.b.o.b) this.I).f10480f;
    }

    public d.h.a.b.a.g getShrinkMotionSpec() {
        return ((d.h.a.b.o.b) this.G).f10480f;
    }

    public final boolean j() {
        if (getVisibility() != 0) {
            if (this.E == 2) {
                return true;
            }
            return false;
        } else if (this.E != 1) {
            return true;
        } else {
            return false;
        }
    }

    public final void k() {
        this.R = getTextColors();
    }

    public void l(ColorStateList colorStateList) {
        super.setTextColor(colorStateList);
    }

    @Override // com.google.android.material.button.MaterialButton
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (this.O && TextUtils.isEmpty(getText()) && getIcon() != null) {
            this.O = false;
            this.G.d();
        }
    }

    public void setAnimateShowBeforeLayout(boolean z2) {
        this.Q = z2;
    }

    public void setExtendMotionSpec(d.h.a.b.a.g gVar) {
        ((d.h.a.b.o.b) this.H).f10480f = gVar;
    }

    public void setExtendMotionSpecResource(int i2) {
        setExtendMotionSpec(d.h.a.b.a.g.b(getContext(), i2));
    }

    public void setExtended(boolean z2) {
        if (this.O != z2) {
            l lVar = z2 ? this.H : this.G;
            if (!lVar.g()) {
                lVar.d();
            }
        }
    }

    public void setHideMotionSpec(d.h.a.b.a.g gVar) {
        ((d.h.a.b.o.b) this.J).f10480f = gVar;
    }

    public void setHideMotionSpecResource(int i2) {
        setHideMotionSpec(d.h.a.b.a.g.b(getContext(), i2));
    }

    public void setPadding(int i2, int i3, int i4, int i5) {
        super.setPadding(i2, i3, i4, i5);
        if (this.O && !this.P) {
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            this.L = getPaddingStart();
            this.M = getPaddingEnd();
        }
    }

    public void setPaddingRelative(int i2, int i3, int i4, int i5) {
        super.setPaddingRelative(i2, i3, i4, i5);
        if (this.O && !this.P) {
            this.L = i2;
            this.M = i4;
        }
    }

    public void setShowMotionSpec(d.h.a.b.a.g gVar) {
        ((d.h.a.b.o.b) this.I).f10480f = gVar;
    }

    public void setShowMotionSpecResource(int i2) {
        setShowMotionSpec(d.h.a.b.a.g.b(getContext(), i2));
    }

    public void setShrinkMotionSpec(d.h.a.b.a.g gVar) {
        ((d.h.a.b.o.b) this.G).f10480f = gVar;
    }

    public void setShrinkMotionSpecResource(int i2) {
        setShrinkMotionSpec(d.h.a.b.a.g.b(getContext(), i2));
    }

    @Override // android.widget.TextView
    public void setTextColor(int i2) {
        super.setTextColor(i2);
        k();
    }

    public ExtendedFloatingActionButton(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R$attr.extendedFloatingActionButtonStyle);
    }

    public static class ExtendedFloatingActionButtonBehavior<T extends ExtendedFloatingActionButton> extends CoordinatorLayout.b<T> {

        /* renamed from: a  reason: collision with root package name */
        public Rect f4857a;

        /* renamed from: b  reason: collision with root package name */
        public boolean f4858b;

        /* renamed from: c  reason: collision with root package name */
        public boolean f4859c;

        public ExtendedFloatingActionButtonBehavior() {
            this.f4858b = false;
            this.f4859c = true;
        }

        public final boolean B(View view, ExtendedFloatingActionButton extendedFloatingActionButton) {
            CoordinatorLayout.e eVar = (CoordinatorLayout.e) extendedFloatingActionButton.getLayoutParams();
            if ((this.f4858b || this.f4859c) && eVar.f1247f == view.getId()) {
                return true;
            }
            return false;
        }

        public final boolean C(CoordinatorLayout coordinatorLayout, AppBarLayout appBarLayout, ExtendedFloatingActionButton extendedFloatingActionButton) {
            l lVar;
            l lVar2;
            if (!B(appBarLayout, extendedFloatingActionButton)) {
                return false;
            }
            if (this.f4857a == null) {
                this.f4857a = new Rect();
            }
            Rect rect = this.f4857a;
            d.h.a.b.p.b.a(coordinatorLayout, appBarLayout, rect);
            if (rect.bottom <= appBarLayout.getMinimumHeightForVisibleOverlappingContent()) {
                if (this.f4859c) {
                    lVar2 = extendedFloatingActionButton.G;
                } else {
                    lVar2 = extendedFloatingActionButton.J;
                }
                ExtendedFloatingActionButton.i(extendedFloatingActionButton, lVar2);
                return true;
            }
            if (this.f4859c) {
                lVar = extendedFloatingActionButton.H;
            } else {
                lVar = extendedFloatingActionButton.I;
            }
            ExtendedFloatingActionButton.i(extendedFloatingActionButton, lVar);
            return true;
        }

        public final boolean D(View view, ExtendedFloatingActionButton extendedFloatingActionButton) {
            l lVar;
            l lVar2;
            if (!B(view, extendedFloatingActionButton)) {
                return false;
            }
            if (view.getTop() < (extendedFloatingActionButton.getHeight() / 2) + ((ViewGroup.MarginLayoutParams) ((CoordinatorLayout.e) extendedFloatingActionButton.getLayoutParams())).topMargin) {
                if (this.f4859c) {
                    lVar2 = extendedFloatingActionButton.G;
                } else {
                    lVar2 = extendedFloatingActionButton.J;
                }
                ExtendedFloatingActionButton.i(extendedFloatingActionButton, lVar2);
                return true;
            }
            if (this.f4859c) {
                lVar = extendedFloatingActionButton.H;
            } else {
                lVar = extendedFloatingActionButton.I;
            }
            ExtendedFloatingActionButton.i(extendedFloatingActionButton, lVar);
            return true;
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
        public /* bridge */ /* synthetic */ boolean a(CoordinatorLayout coordinatorLayout, View view, Rect rect) {
            ExtendedFloatingActionButton extendedFloatingActionButton = (ExtendedFloatingActionButton) view;
            return false;
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
        public void f(CoordinatorLayout.e eVar) {
            if (eVar.f1249h == 0) {
                eVar.f1249h = 80;
            }
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
        public boolean g(CoordinatorLayout coordinatorLayout, View view, View view2) {
            ExtendedFloatingActionButton extendedFloatingActionButton = (ExtendedFloatingActionButton) view;
            if (view2 instanceof AppBarLayout) {
                C(coordinatorLayout, (AppBarLayout) view2, extendedFloatingActionButton);
            } else {
                ViewGroup.LayoutParams layoutParams = view2.getLayoutParams();
                if (layoutParams instanceof CoordinatorLayout.e ? ((CoordinatorLayout.e) layoutParams).f1242a instanceof BottomSheetBehavior : false) {
                    D(view2, extendedFloatingActionButton);
                }
            }
            return false;
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
        public boolean k(CoordinatorLayout coordinatorLayout, View view, int i2) {
            ExtendedFloatingActionButton extendedFloatingActionButton = (ExtendedFloatingActionButton) view;
            List<View> dependencies = coordinatorLayout.getDependencies(extendedFloatingActionButton);
            int size = dependencies.size();
            for (int i3 = 0; i3 < size; i3++) {
                View view2 = dependencies.get(i3);
                if (!(view2 instanceof AppBarLayout)) {
                    ViewGroup.LayoutParams layoutParams = view2.getLayoutParams();
                    if ((layoutParams instanceof CoordinatorLayout.e ? ((CoordinatorLayout.e) layoutParams).f1242a instanceof BottomSheetBehavior : false) && D(view2, extendedFloatingActionButton)) {
                        break;
                    }
                } else if (C(coordinatorLayout, (AppBarLayout) view2, extendedFloatingActionButton)) {
                    break;
                }
            }
            coordinatorLayout.onLayoutChild(extendedFloatingActionButton, i2);
            return true;
        }

        public ExtendedFloatingActionButtonBehavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.ExtendedFloatingActionButton_Behavior_Layout);
            this.f4858b = obtainStyledAttributes.getBoolean(R$styleable.ExtendedFloatingActionButton_Behavior_Layout_behavior_autoHide, false);
            this.f4859c = obtainStyledAttributes.getBoolean(R$styleable.ExtendedFloatingActionButton_Behavior_Layout_behavior_autoShrink, true);
            obtainStyledAttributes.recycle();
        }
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public ExtendedFloatingActionButton(Context context, AttributeSet attributeSet, int i2) {
        super(d.h.a.b.b0.a.a.a(context, attributeSet, i2, r9), attributeSet, i2);
        int i3 = z;
        this.E = 0;
        d.h.a.b.o.a aVar = new d.h.a.b.o.a();
        this.F = aVar;
        j jVar = new j(aVar);
        this.I = jVar;
        h hVar = new h(aVar);
        this.J = hVar;
        this.O = true;
        this.P = false;
        this.Q = false;
        Context context2 = getContext();
        this.N = new ExtendedFloatingActionButtonBehavior(context2, attributeSet);
        TypedArray d2 = d.h.a.b.p.f.d(context2, attributeSet, R$styleable.ExtendedFloatingActionButton, i2, i3, new int[0]);
        d.h.a.b.a.g a2 = d.h.a.b.a.g.a(context2, d2, R$styleable.ExtendedFloatingActionButton_showMotionSpec);
        d.h.a.b.a.g a3 = d.h.a.b.a.g.a(context2, d2, R$styleable.ExtendedFloatingActionButton_hideMotionSpec);
        d.h.a.b.a.g a4 = d.h.a.b.a.g.a(context2, d2, R$styleable.ExtendedFloatingActionButton_extendMotionSpec);
        d.h.a.b.a.g a5 = d.h.a.b.a.g.a(context2, d2, R$styleable.ExtendedFloatingActionButton_shrinkMotionSpec);
        this.K = d2.getDimensionPixelSize(R$styleable.ExtendedFloatingActionButton_collapsedSize, -1);
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        this.L = getPaddingStart();
        this.M = getPaddingEnd();
        d.h.a.b.o.a aVar2 = new d.h.a.b.o.a();
        g gVar = new g(aVar2, new a(), true);
        this.H = gVar;
        g gVar2 = new g(aVar2, new b(), false);
        this.G = gVar2;
        jVar.f10480f = a2;
        hVar.f10480f = a3;
        gVar.f10480f = a4;
        gVar2.f10480f = a5;
        d2.recycle();
        setShapeAppearanceModel(d.h.a.b.w.l.c(context2, attributeSet, i2, i3, d.h.a.b.w.l.f10676a).a());
        k();
    }

    @Override // android.widget.TextView
    public void setTextColor(ColorStateList colorStateList) {
        super.setTextColor(colorStateList);
        k();
    }
}
