package com.google.android.material.navigation;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.InsetDrawable;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.widget.FrameLayout;
import androidx.appcompat.R$attr;
import androidx.appcompat.view.menu.MenuBuilder;
import androidx.appcompat.view.menu.MenuItemImpl;
import androidx.core.view.ViewCompat;
import androidx.customview.view.AbsSavedState;
import b.b.f.z;
import b.j.h.o;
import b.o.a.n;
import com.google.android.material.R$style;
import com.google.android.material.R$styleable;
import com.google.android.material.internal.NavigationMenu;
import com.google.android.material.internal.NavigationMenuPresenter;
import com.google.android.material.internal.NavigationMenuView;
import com.google.android.material.internal.ScrimInsetsFrameLayout;
import com.google.android.material.shape.MaterialShapeDrawable;
import d.h.a.b.p.f;
import d.h.a.b.w.l;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;

public class NavigationView extends ScrimInsetsFrameLayout {
    public static final int[] m = {16842912};
    public static final int[] n = {-16842910};
    public static final int o = R$style.Widget_Design_NavigationView;
    public final NavigationMenu p;
    public final NavigationMenuPresenter q;
    public b r;
    public final int s;
    public final int[] t;
    public MenuInflater u;
    public ViewTreeObserver.OnGlobalLayoutListener v;

    public class a implements MenuBuilder.Callback {
        public a() {
        }

        @Override // androidx.appcompat.view.menu.MenuBuilder.Callback
        public boolean onMenuItemSelected(MenuBuilder menuBuilder, MenuItem menuItem) {
            b bVar = NavigationView.this.r;
            return bVar != null && bVar.a(menuItem);
        }

        @Override // androidx.appcompat.view.menu.MenuBuilder.Callback
        public void onMenuModeChange(MenuBuilder menuBuilder) {
        }
    }

    public interface b {
        boolean a(MenuItem menuItem);
    }

    public NavigationView(Context context) {
        this(context, null);
    }

    private MenuInflater getMenuInflater() {
        if (this.u == null) {
            this.u = new b.b.e.b(getContext());
        }
        return this.u;
    }

    @Override // com.google.android.material.internal.ScrimInsetsFrameLayout
    public void a(o oVar) {
        NavigationMenuPresenter navigationMenuPresenter = this.q;
        Objects.requireNonNull(navigationMenuPresenter);
        int e2 = oVar.e();
        if (navigationMenuPresenter.z != e2) {
            navigationMenuPresenter.z = e2;
            navigationMenuPresenter.d();
        }
        NavigationMenuView navigationMenuView = navigationMenuPresenter.f4894d;
        navigationMenuView.setPadding(0, navigationMenuView.getPaddingTop(), 0, oVar.b());
        ViewCompat.e(navigationMenuPresenter.f4895h, oVar);
    }

    public final ColorStateList b(int i2) {
        TypedValue typedValue = new TypedValue();
        if (!getContext().getTheme().resolveAttribute(i2, typedValue, true)) {
            return null;
        }
        ColorStateList a2 = b.b.b.a.a.a(getContext(), typedValue.resourceId);
        if (!getContext().getTheme().resolveAttribute(R$attr.colorPrimary, typedValue, true)) {
            return null;
        }
        int i3 = typedValue.data;
        int defaultColor = a2.getDefaultColor();
        int[] iArr = n;
        return new ColorStateList(new int[][]{iArr, m, FrameLayout.EMPTY_STATE_SET}, new int[]{a2.getColorForState(iArr, defaultColor), i3, defaultColor});
    }

    public MenuItem getCheckedItem() {
        return this.q.m.f4901b;
    }

    public int getHeaderCount() {
        return this.q.f4895h.getChildCount();
    }

    public Drawable getItemBackground() {
        return this.q.s;
    }

    public int getItemHorizontalPadding() {
        return this.q.t;
    }

    public int getItemIconPadding() {
        return this.q.u;
    }

    public ColorStateList getItemIconTintList() {
        return this.q.r;
    }

    public int getItemMaxLines() {
        return this.q.y;
    }

    public ColorStateList getItemTextColor() {
        return this.q.q;
    }

    public Menu getMenu() {
        return this.p;
    }

    @Override // com.google.android.material.internal.ScrimInsetsFrameLayout
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        Drawable background = getBackground();
        if (background instanceof MaterialShapeDrawable) {
            n.n2(this, (MaterialShapeDrawable) background);
        }
    }

    @Override // com.google.android.material.internal.ScrimInsetsFrameLayout
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        getViewTreeObserver().removeOnGlobalLayoutListener(this.v);
    }

    public void onMeasure(int i2, int i3) {
        int mode = View.MeasureSpec.getMode(i2);
        if (mode == Integer.MIN_VALUE) {
            i2 = View.MeasureSpec.makeMeasureSpec(Math.min(View.MeasureSpec.getSize(i2), this.s), 1073741824);
        } else if (mode == 0) {
            i2 = View.MeasureSpec.makeMeasureSpec(this.s, 1073741824);
        }
        super.onMeasure(i2, i3);
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        this.p.x(savedState.menuState);
    }

    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        Bundle bundle = new Bundle();
        savedState.menuState = bundle;
        this.p.z(bundle);
        return savedState;
    }

    public void setCheckedItem(int i2) {
        MenuItem findItem = this.p.findItem(i2);
        if (findItem != null) {
            this.q.m.b((MenuItemImpl) findItem);
        }
    }

    public void setElevation(float f2) {
        super.setElevation(f2);
        n.m2(this, f2);
    }

    public void setItemBackground(Drawable drawable) {
        NavigationMenuPresenter navigationMenuPresenter = this.q;
        navigationMenuPresenter.s = drawable;
        navigationMenuPresenter.updateMenuView(false);
    }

    public void setItemBackgroundResource(int i2) {
        Context context = getContext();
        Object obj = b.j.b.a.f3266a;
        setItemBackground(context.getDrawable(i2));
    }

    public void setItemHorizontalPadding(int i2) {
        NavigationMenuPresenter navigationMenuPresenter = this.q;
        navigationMenuPresenter.t = i2;
        navigationMenuPresenter.updateMenuView(false);
    }

    public void setItemHorizontalPaddingResource(int i2) {
        this.q.a(getResources().getDimensionPixelSize(i2));
    }

    public void setItemIconPadding(int i2) {
        NavigationMenuPresenter navigationMenuPresenter = this.q;
        navigationMenuPresenter.u = i2;
        navigationMenuPresenter.updateMenuView(false);
    }

    public void setItemIconPaddingResource(int i2) {
        this.q.b(getResources().getDimensionPixelSize(i2));
    }

    public void setItemIconSize(int i2) {
        NavigationMenuPresenter navigationMenuPresenter = this.q;
        if (navigationMenuPresenter.v != i2) {
            navigationMenuPresenter.v = i2;
            navigationMenuPresenter.w = true;
            navigationMenuPresenter.updateMenuView(false);
        }
    }

    public void setItemIconTintList(ColorStateList colorStateList) {
        NavigationMenuPresenter navigationMenuPresenter = this.q;
        navigationMenuPresenter.r = colorStateList;
        navigationMenuPresenter.updateMenuView(false);
    }

    public void setItemMaxLines(int i2) {
        NavigationMenuPresenter navigationMenuPresenter = this.q;
        navigationMenuPresenter.y = i2;
        navigationMenuPresenter.updateMenuView(false);
    }

    public void setItemTextAppearance(int i2) {
        NavigationMenuPresenter navigationMenuPresenter = this.q;
        navigationMenuPresenter.o = i2;
        navigationMenuPresenter.p = true;
        navigationMenuPresenter.updateMenuView(false);
    }

    public void setItemTextColor(ColorStateList colorStateList) {
        NavigationMenuPresenter navigationMenuPresenter = this.q;
        navigationMenuPresenter.q = colorStateList;
        navigationMenuPresenter.updateMenuView(false);
    }

    public void setNavigationItemSelectedListener(b bVar) {
        this.r = bVar;
    }

    public void setOverScrollMode(int i2) {
        super.setOverScrollMode(i2);
        NavigationMenuPresenter navigationMenuPresenter = this.q;
        if (navigationMenuPresenter != null) {
            navigationMenuPresenter.B = i2;
            NavigationMenuView navigationMenuView = navigationMenuPresenter.f4894d;
            if (navigationMenuView != null) {
                navigationMenuView.setOverScrollMode(i2);
            }
        }
    }

    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        public Bundle menuState;

        public static class a implements Parcelable.ClassLoaderCreator<SavedState> {
            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // android.os.Parcelable.ClassLoaderCreator
            public SavedState createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            public Object[] newArray(int i2) {
                return new SavedState[i2];
            }

            @Override // android.os.Parcelable.Creator
            public Object createFromParcel(Parcel parcel) {
                return new SavedState(parcel, null);
            }
        }

        public SavedState(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.menuState = parcel.readBundle(classLoader);
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(Parcel parcel, int i2) {
            super.writeToParcel(parcel, i2);
            parcel.writeBundle(this.menuState);
        }

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }
    }

    public NavigationView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, com.google.android.material.R$attr.navigationViewStyle);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public NavigationView(Context context, AttributeSet attributeSet, int i2) {
        super(d.h.a.b.b0.a.a.a(context, attributeSet, i2, r9), attributeSet, i2);
        ColorStateList colorStateList;
        boolean z;
        int i3;
        int i4 = o;
        NavigationMenuPresenter navigationMenuPresenter = new NavigationMenuPresenter();
        this.q = navigationMenuPresenter;
        this.t = new int[2];
        Context context2 = getContext();
        NavigationMenu navigationMenu = new NavigationMenu(context2);
        this.p = navigationMenu;
        z e2 = f.e(context2, attributeSet, R$styleable.NavigationView, i2, i4, new int[0]);
        int i5 = R$styleable.NavigationView_android_background;
        if (e2.p(i5)) {
            Drawable g2 = e2.g(i5);
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            setBackground(g2);
        }
        if (getBackground() == null || (getBackground() instanceof ColorDrawable)) {
            l a2 = l.c(context2, attributeSet, i2, i4, new d.h.a.b.w.a((float) 0)).a();
            Drawable background = getBackground();
            MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable(a2);
            if (background instanceof ColorDrawable) {
                materialShapeDrawable.q(ColorStateList.valueOf(((ColorDrawable) background).getColor()));
            }
            materialShapeDrawable.f4976j.f4981b = new d.h.a.b.m.a(context2);
            materialShapeDrawable.C();
            AtomicInteger atomicInteger2 = ViewCompat.f1365a;
            setBackground(materialShapeDrawable);
        }
        int i6 = R$styleable.NavigationView_elevation;
        if (e2.p(i6)) {
            setElevation((float) e2.f(i6, 0));
        }
        setFitsSystemWindows(e2.a(R$styleable.NavigationView_android_fitsSystemWindows, false));
        this.s = e2.f(R$styleable.NavigationView_android_maxWidth, 0);
        int i7 = R$styleable.NavigationView_itemIconTint;
        if (e2.p(i7)) {
            colorStateList = e2.c(i7);
        } else {
            colorStateList = b(16842808);
        }
        int i8 = R$styleable.NavigationView_itemTextAppearance;
        if (e2.p(i8)) {
            i3 = e2.m(i8, 0);
            z = true;
        } else {
            i3 = 0;
            z = false;
        }
        int i9 = R$styleable.NavigationView_itemIconSize;
        if (e2.p(i9)) {
            setItemIconSize(e2.f(i9, 0));
        }
        ColorStateList colorStateList2 = null;
        int i10 = R$styleable.NavigationView_itemTextColor;
        colorStateList2 = e2.p(i10) ? e2.c(i10) : colorStateList2;
        if (!z && colorStateList2 == null) {
            colorStateList2 = b(16842806);
        }
        Drawable g3 = e2.g(R$styleable.NavigationView_itemBackground);
        if (g3 == null) {
            int i11 = R$styleable.NavigationView_itemShapeAppearance;
            if (e2.p(i11) || e2.p(R$styleable.NavigationView_itemShapeAppearanceOverlay)) {
                MaterialShapeDrawable materialShapeDrawable2 = new MaterialShapeDrawable(l.a(getContext(), e2.m(i11, 0), e2.m(R$styleable.NavigationView_itemShapeAppearanceOverlay, 0)).a());
                materialShapeDrawable2.q(n.t0(getContext(), e2, R$styleable.NavigationView_itemShapeFillColor));
                g3 = new InsetDrawable((Drawable) materialShapeDrawable2, e2.f(R$styleable.NavigationView_itemShapeInsetStart, 0), e2.f(R$styleable.NavigationView_itemShapeInsetTop, 0), e2.f(R$styleable.NavigationView_itemShapeInsetEnd, 0), e2.f(R$styleable.NavigationView_itemShapeInsetBottom, 0));
            }
        }
        int i12 = R$styleable.NavigationView_itemHorizontalPadding;
        if (e2.p(i12)) {
            navigationMenuPresenter.a(e2.f(i12, 0));
        }
        int f2 = e2.f(R$styleable.NavigationView_itemIconPadding, 0);
        setItemMaxLines(e2.j(R$styleable.NavigationView_itemMaxLines, 1));
        navigationMenu.f244f = new a();
        navigationMenuPresenter.f4898l = 1;
        navigationMenuPresenter.initForMenu(context2, navigationMenu);
        navigationMenuPresenter.r = colorStateList;
        navigationMenuPresenter.updateMenuView(false);
        int overScrollMode = getOverScrollMode();
        navigationMenuPresenter.B = overScrollMode;
        NavigationMenuView navigationMenuView = navigationMenuPresenter.f4894d;
        if (navigationMenuView != null) {
            navigationMenuView.setOverScrollMode(overScrollMode);
        }
        if (z) {
            navigationMenuPresenter.o = i3;
            navigationMenuPresenter.p = true;
            navigationMenuPresenter.updateMenuView(false);
        }
        navigationMenuPresenter.q = colorStateList2;
        navigationMenuPresenter.updateMenuView(false);
        navigationMenuPresenter.s = g3;
        navigationMenuPresenter.updateMenuView(false);
        navigationMenuPresenter.b(f2);
        navigationMenu.b(navigationMenuPresenter, navigationMenu.f240b);
        addView((View) navigationMenuPresenter.getMenuView(this));
        int i13 = R$styleable.NavigationView_menu;
        if (e2.p(i13)) {
            int m2 = e2.m(i13, 0);
            navigationMenuPresenter.c(true);
            getMenuInflater().inflate(m2, navigationMenu);
            navigationMenuPresenter.c(false);
            navigationMenuPresenter.updateMenuView(false);
        }
        int i14 = R$styleable.NavigationView_headerLayout;
        if (e2.p(i14)) {
            navigationMenuPresenter.f4895h.addView(navigationMenuPresenter.n.inflate(e2.m(i14, 0), (ViewGroup) navigationMenuPresenter.f4895h, false));
            NavigationMenuView navigationMenuView2 = navigationMenuPresenter.f4894d;
            navigationMenuView2.setPadding(0, 0, 0, navigationMenuView2.getPaddingBottom());
        }
        e2.f2453b.recycle();
        this.v = new d.h.a.b.q.b(this);
        getViewTreeObserver().addOnGlobalLayoutListener(this.v);
    }

    public void setCheckedItem(MenuItem menuItem) {
        MenuItem findItem = this.p.findItem(menuItem.getItemId());
        if (findItem != null) {
            this.q.m.b((MenuItemImpl) findItem);
            return;
        }
        throw new IllegalArgumentException("Called setCheckedItem(MenuItem) with an item that is not in the current menu.");
    }
}
