package com.google.android.material.navigationrail;

import android.content.Context;
import android.view.View;
import android.widget.FrameLayout;
import com.google.android.material.navigation.NavigationBarItemView;
import com.google.android.material.navigation.NavigationBarMenuView;
import d.h.a.b.r.a;

public class NavigationRailMenuView extends NavigationBarMenuView {
    public final FrameLayout.LayoutParams C;

    public NavigationRailMenuView(Context context) {
        super(context);
        FrameLayout.LayoutParams layoutParams = new FrameLayout.LayoutParams(-1, -2);
        this.C = layoutParams;
        layoutParams.gravity = 49;
        setLayoutParams(layoutParams);
    }

    @Override // com.google.android.material.navigation.NavigationBarMenuView
    public NavigationBarItemView c(Context context) {
        return new a(context);
    }

    public final int e(int i2, int i3, int i4) {
        return View.MeasureSpec.makeMeasureSpec(Math.min(View.MeasureSpec.getSize(i2), i3 / Math.max(1, i4)), 0);
    }

    public final int f(int i2, int i3, int i4, View view) {
        int i5;
        int i6;
        e(i2, i3, i4);
        if (view == null) {
            i5 = e(i2, i3, i4);
        } else {
            i5 = View.MeasureSpec.makeMeasureSpec(view.getMeasuredHeight(), 0);
        }
        int childCount = getChildCount();
        int i7 = 0;
        for (int i8 = 0; i8 < childCount; i8++) {
            View childAt = getChildAt(i8);
            if (childAt != view) {
                if (childAt.getVisibility() != 8) {
                    childAt.measure(i2, i5);
                    i6 = childAt.getMeasuredHeight();
                } else {
                    i6 = 0;
                }
                i7 += i6;
            }
        }
        return i7;
    }

    public int getMenuGravity() {
        return this.C.gravity;
    }

    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        int childCount = getChildCount();
        int i6 = i4 - i2;
        int i7 = 0;
        for (int i8 = 0; i8 < childCount; i8++) {
            View childAt = getChildAt(i8);
            if (childAt.getVisibility() != 8) {
                int measuredHeight = childAt.getMeasuredHeight() + i7;
                childAt.layout(0, i7, i6, measuredHeight);
                i7 = measuredHeight;
            }
        }
    }

    public void onMeasure(int i2, int i3) {
        int i4;
        int i5;
        int size = View.MeasureSpec.getSize(i3);
        int size2 = getMenu().l().size();
        if (size2 <= 1 || !d(getLabelVisibilityMode(), size2)) {
            i4 = f(i2, size, size2, null);
        } else {
            View childAt = getChildAt(getSelectedItemPosition());
            if (childAt != null) {
                int e2 = e(i2, size, size2);
                if (childAt.getVisibility() != 8) {
                    childAt.measure(i2, e2);
                    i5 = childAt.getMeasuredHeight();
                } else {
                    i5 = 0;
                }
                size -= i5;
                size2--;
            } else {
                i5 = 0;
            }
            i4 = f(i2, size, size2, childAt) + i5;
        }
        setMeasuredDimension(View.resolveSizeAndState(View.MeasureSpec.getSize(i2), i2, 0), View.resolveSizeAndState(i4, i3, 0));
    }

    public void setMenuGravity(int i2) {
        FrameLayout.LayoutParams layoutParams = this.C;
        if (layoutParams.gravity != i2) {
            layoutParams.gravity = i2;
            setLayoutParams(layoutParams);
        }
    }
}
