package com.google.android.material.progressindicator;

import android.content.Context;
import android.util.AttributeSet;
import com.google.android.material.R$attr;
import com.google.android.material.R$style;
import d.h.a.b.s.c;
import d.h.a.b.s.f;
import java.util.Objects;

public final class CircularProgressIndicator extends BaseProgressIndicator<CircularProgressIndicatorSpec> {
    public static final int u = R$style.Widget_MaterialComponents_CircularProgressIndicator;

    public CircularProgressIndicator(Context context) {
        this(context, null);
    }

    /* Return type fixed from 'd.h.a.b.s.b' to match base method */
    @Override // com.google.android.material.progressindicator.BaseProgressIndicator
    public CircularProgressIndicatorSpec b(Context context, AttributeSet attributeSet) {
        return new CircularProgressIndicatorSpec(context, attributeSet);
    }

    public int getIndicatorDirection() {
        return ((CircularProgressIndicatorSpec) this.f4953h).f4963i;
    }

    public int getIndicatorInset() {
        return ((CircularProgressIndicatorSpec) this.f4953h).f4962h;
    }

    public int getIndicatorSize() {
        return ((CircularProgressIndicatorSpec) this.f4953h).f4961g;
    }

    public void setIndicatorDirection(int i2) {
        ((CircularProgressIndicatorSpec) this.f4953h).f4963i = i2;
        invalidate();
    }

    public void setIndicatorInset(int i2) {
        S s = this.f4953h;
        if (((CircularProgressIndicatorSpec) s).f4962h != i2) {
            ((CircularProgressIndicatorSpec) s).f4962h = i2;
            invalidate();
        }
    }

    public void setIndicatorSize(int i2) {
        int max = Math.max(i2, getTrackThickness() * 2);
        S s = this.f4953h;
        if (((CircularProgressIndicatorSpec) s).f4961g != max) {
            ((CircularProgressIndicatorSpec) s).f4961g = max;
            Objects.requireNonNull((CircularProgressIndicatorSpec) s);
            invalidate();
        }
    }

    @Override // com.google.android.material.progressindicator.BaseProgressIndicator
    public void setTrackThickness(int i2) {
        super.setTrackThickness(i2);
        Objects.requireNonNull((CircularProgressIndicatorSpec) this.f4953h);
    }

    public CircularProgressIndicator(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R$attr.circularProgressIndicatorStyle);
    }

    public CircularProgressIndicator(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2, u);
        Context context2 = getContext();
        CircularProgressIndicatorSpec circularProgressIndicatorSpec = (CircularProgressIndicatorSpec) this.f4953h;
        setIndeterminateDrawable(new IndeterminateDrawable(context2, circularProgressIndicatorSpec, new c(circularProgressIndicatorSpec), new f(circularProgressIndicatorSpec)));
        Context context3 = getContext();
        CircularProgressIndicatorSpec circularProgressIndicatorSpec2 = (CircularProgressIndicatorSpec) this.f4953h;
        setProgressDrawable(new DeterminateDrawable(context3, circularProgressIndicatorSpec2, new c(circularProgressIndicatorSpec2)));
    }
}
