package com.google.android.material.progressindicator;

import android.content.Context;
import android.util.AttributeSet;
import androidx.core.view.ViewCompat;
import com.google.android.material.R$attr;
import com.google.android.material.R$style;
import d.h.a.b.s.l;
import d.h.a.b.s.n;
import d.h.a.b.s.p;
import java.util.concurrent.atomic.AtomicInteger;

public final class LinearProgressIndicator extends BaseProgressIndicator<LinearProgressIndicatorSpec> {
    public static final int u = R$style.Widget_MaterialComponents_LinearProgressIndicator;

    public LinearProgressIndicator(Context context) {
        this(context, null);
    }

    /* Return type fixed from 'd.h.a.b.s.b' to match base method */
    @Override // com.google.android.material.progressindicator.BaseProgressIndicator
    public LinearProgressIndicatorSpec b(Context context, AttributeSet attributeSet) {
        return new LinearProgressIndicatorSpec(context, attributeSet);
    }

    @Override // com.google.android.material.progressindicator.BaseProgressIndicator
    public void c(int i2, boolean z) {
        S s = this.f4953h;
        if (s == null || ((LinearProgressIndicatorSpec) s).f4964g != 0 || !isIndeterminate()) {
            super.c(i2, z);
        }
    }

    public int getIndeterminateAnimationType() {
        return ((LinearProgressIndicatorSpec) this.f4953h).f4964g;
    }

    public int getIndicatorDirection() {
        return ((LinearProgressIndicatorSpec) this.f4953h).f4965h;
    }

    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        super.onLayout(z, i2, i3, i4, i5);
        S s = this.f4953h;
        LinearProgressIndicatorSpec linearProgressIndicatorSpec = (LinearProgressIndicatorSpec) s;
        boolean z2 = true;
        if (((LinearProgressIndicatorSpec) s).f4965h != 1) {
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            if (!((getLayoutDirection() == 1 && ((LinearProgressIndicatorSpec) this.f4953h).f4965h == 2) || (getLayoutDirection() == 0 && ((LinearProgressIndicatorSpec) this.f4953h).f4965h == 3))) {
                z2 = false;
            }
        }
        linearProgressIndicatorSpec.f4966i = z2;
    }

    public void onSizeChanged(int i2, int i3, int i4, int i5) {
        int paddingRight = i2 - (getPaddingRight() + getPaddingLeft());
        int paddingBottom = i3 - (getPaddingBottom() + getPaddingTop());
        IndeterminateDrawable indeterminateDrawable = getIndeterminateDrawable();
        if (indeterminateDrawable != null) {
            indeterminateDrawable.setBounds(0, 0, paddingRight, paddingBottom);
        }
        DeterminateDrawable progressDrawable = getProgressDrawable();
        if (progressDrawable != null) {
            progressDrawable.setBounds(0, 0, paddingRight, paddingBottom);
        }
    }

    public void setIndeterminateAnimationType(int i2) {
        if (((LinearProgressIndicatorSpec) this.f4953h).f4964g != i2) {
            if (!d() || !isIndeterminate()) {
                LinearProgressIndicatorSpec linearProgressIndicatorSpec = (LinearProgressIndicatorSpec) this.f4953h;
                linearProgressIndicatorSpec.f4964g = i2;
                linearProgressIndicatorSpec.a();
                if (i2 == 0) {
                    IndeterminateDrawable indeterminateDrawable = getIndeterminateDrawable();
                    n nVar = new n((LinearProgressIndicatorSpec) this.f4953h);
                    indeterminateDrawable.t = nVar;
                    nVar.f10601a = indeterminateDrawable;
                } else {
                    IndeterminateDrawable indeterminateDrawable2 = getIndeterminateDrawable();
                    p pVar = new p(getContext(), (LinearProgressIndicatorSpec) this.f4953h);
                    indeterminateDrawable2.t = pVar;
                    pVar.f10601a = indeterminateDrawable2;
                }
                invalidate();
                return;
            }
            throw new IllegalStateException("Cannot change indeterminate animation type while the progress indicator is show in indeterminate mode.");
        }
    }

    @Override // com.google.android.material.progressindicator.BaseProgressIndicator
    public void setIndicatorColor(int... iArr) {
        super.setIndicatorColor(iArr);
        ((LinearProgressIndicatorSpec) this.f4953h).a();
    }

    public void setIndicatorDirection(int i2) {
        S s = this.f4953h;
        ((LinearProgressIndicatorSpec) s).f4965h = i2;
        LinearProgressIndicatorSpec linearProgressIndicatorSpec = (LinearProgressIndicatorSpec) s;
        boolean z = true;
        if (i2 != 1) {
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            if (!((getLayoutDirection() == 1 && ((LinearProgressIndicatorSpec) this.f4953h).f4965h == 2) || (getLayoutDirection() == 0 && i2 == 3))) {
                z = false;
            }
        }
        linearProgressIndicatorSpec.f4966i = z;
        invalidate();
    }

    @Override // com.google.android.material.progressindicator.BaseProgressIndicator
    public void setTrackCornerRadius(int i2) {
        super.setTrackCornerRadius(i2);
        ((LinearProgressIndicatorSpec) this.f4953h).a();
        invalidate();
    }

    public LinearProgressIndicator(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R$attr.linearProgressIndicatorStyle);
    }

    public LinearProgressIndicator(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2, u);
        Context context2 = getContext();
        LinearProgressIndicatorSpec linearProgressIndicatorSpec = (LinearProgressIndicatorSpec) this.f4953h;
        setIndeterminateDrawable(new IndeterminateDrawable(context2, linearProgressIndicatorSpec, new l(linearProgressIndicatorSpec), linearProgressIndicatorSpec.f4964g == 0 ? new n(linearProgressIndicatorSpec) : new p(context2, linearProgressIndicatorSpec)));
        Context context3 = getContext();
        LinearProgressIndicatorSpec linearProgressIndicatorSpec2 = (LinearProgressIndicatorSpec) this.f4953h;
        setProgressDrawable(new DeterminateDrawable(context3, linearProgressIndicatorSpec2, new l(linearProgressIndicatorSpec2)));
    }
}
