package com.google.android.material.tooltip;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.view.View;
import com.google.android.material.shape.MaterialShapeDrawable;
import d.h.a.b.p.d;
import d.h.a.b.w.f;
import d.h.a.b.w.g;
import d.h.a.b.w.i;
import d.h.a.b.w.l;
import java.util.Objects;

public class TooltipDrawable extends MaterialShapeDrawable implements d.b {
    public static final /* synthetic */ int F = 0;
    public CharSequence G;
    public final Context H;
    public final Paint.FontMetrics I = new Paint.FontMetrics();
    public final d J;
    public final View.OnLayoutChangeListener K;
    public final Rect L;
    public int M;
    public int N;
    public int O;
    public int P;
    public int Q;
    public int R;
    public float S;
    public float T;
    public float U;
    public float V;

    public class a implements View.OnLayoutChangeListener {
        public a() {
        }

        public void onLayoutChange(View view, int i2, int i3, int i4, int i5, int i6, int i7, int i8, int i9) {
            TooltipDrawable tooltipDrawable = TooltipDrawable.this;
            int i10 = TooltipDrawable.F;
            Objects.requireNonNull(tooltipDrawable);
            int[] iArr = new int[2];
            view.getLocationOnScreen(iArr);
            tooltipDrawable.R = iArr[0];
            view.getWindowVisibleDisplayFrame(tooltipDrawable.L);
        }
    }

    public TooltipDrawable(Context context, AttributeSet attributeSet, int i2, int i3) {
        super(context, attributeSet, i2, i3);
        d dVar = new d(this);
        this.J = dVar;
        this.K = new a();
        this.L = new Rect();
        this.S = 1.0f;
        this.T = 1.0f;
        this.U = 0.5f;
        this.V = 1.0f;
        this.H = context;
        dVar.f10551a.density = context.getResources().getDisplayMetrics().density;
        dVar.f10551a.setTextAlign(Paint.Align.CENTER);
    }

    public final float D() {
        int i2;
        if (((this.L.right - getBounds().right) - this.R) - this.P < 0) {
            i2 = ((this.L.right - getBounds().right) - this.R) - this.P;
        } else if (((this.L.left - getBounds().left) - this.R) + this.P <= 0) {
            return 0.0f;
        } else {
            i2 = ((this.L.left - getBounds().left) - this.R) + this.P;
        }
        return (float) i2;
    }

    public final f E() {
        float width = ((float) (((double) getBounds().width()) - (Math.sqrt(2.0d) * ((double) this.Q)))) / 2.0f;
        return new i(new g((float) this.Q), Math.min(Math.max(-D(), -width), width));
    }

    @Override // d.h.a.b.p.d.b
    public void a() {
        invalidateSelf();
    }

    @Override // com.google.android.material.shape.MaterialShapeDrawable
    public void draw(Canvas canvas) {
        canvas.save();
        float D = D();
        double sqrt = Math.sqrt(2.0d);
        canvas.scale(this.S, this.T, (((float) getBounds().width()) * 0.5f) + ((float) getBounds().left), (((float) getBounds().height()) * this.U) + ((float) getBounds().top));
        canvas.translate(D, (float) (-((sqrt * ((double) this.Q)) - ((double) this.Q))));
        super.draw(canvas);
        if (this.G != null) {
            Rect bounds = getBounds();
            this.J.f10551a.getFontMetrics(this.I);
            Paint.FontMetrics fontMetrics = this.I;
            int centerY = (int) (((float) bounds.centerY()) - ((fontMetrics.descent + fontMetrics.ascent) / 2.0f));
            d dVar = this.J;
            if (dVar.f10556f != null) {
                dVar.f10551a.drawableState = getState();
                d dVar2 = this.J;
                dVar2.f10556f.e(this.H, dVar2.f10551a, dVar2.f10552b);
                this.J.f10551a.setAlpha((int) (this.V * 255.0f));
            }
            CharSequence charSequence = this.G;
            canvas.drawText(charSequence, 0, charSequence.length(), (float) bounds.centerX(), (float) centerY, this.J.f10551a);
        }
        canvas.restore();
    }

    public int getIntrinsicHeight() {
        return (int) Math.max(this.J.f10551a.getTextSize(), (float) this.O);
    }

    public int getIntrinsicWidth() {
        float f2;
        float f3 = (float) (this.M * 2);
        CharSequence charSequence = this.G;
        if (charSequence == null) {
            f2 = 0.0f;
        } else {
            f2 = this.J.a(charSequence.toString());
        }
        return (int) Math.max(f3 + f2, (float) this.N);
    }

    @Override // com.google.android.material.shape.MaterialShapeDrawable
    public void onBoundsChange(Rect rect) {
        super.onBoundsChange(rect);
        l lVar = this.f4976j.f4980a;
        Objects.requireNonNull(lVar);
        l.b bVar = new l.b(lVar);
        bVar.f10698k = E();
        this.f4976j.f4980a = bVar.a();
        invalidateSelf();
    }

    @Override // d.h.a.b.p.d.b, com.google.android.material.shape.MaterialShapeDrawable
    public boolean onStateChange(int[] iArr) {
        return super.onStateChange(iArr);
    }
}
