package com.google.zxing.qrcode.decoder;

import d.h.d.b.b;

public enum DataMask {
    DATA_MASK_000 {
        @Override // com.google.zxing.qrcode.decoder.DataMask
        public boolean isMasked(int i2, int i3) {
            return ((i2 + i3) & 1) == 0;
        }
    },
    DATA_MASK_001 {
        @Override // com.google.zxing.qrcode.decoder.DataMask
        public boolean isMasked(int i2, int i3) {
            return (i2 & 1) == 0;
        }
    },
    DATA_MASK_010 {
        @Override // com.google.zxing.qrcode.decoder.DataMask
        public boolean isMasked(int i2, int i3) {
            return i3 % 3 == 0;
        }
    },
    DATA_MASK_011 {
        @Override // com.google.zxing.qrcode.decoder.DataMask
        public boolean isMasked(int i2, int i3) {
            return (i2 + i3) % 3 == 0;
        }
    },
    DATA_MASK_100 {
        @Override // com.google.zxing.qrcode.decoder.DataMask
        public boolean isMasked(int i2, int i3) {
            return (((i3 / 3) + (i2 / 2)) & 1) == 0;
        }
    },
    DATA_MASK_101 {
        @Override // com.google.zxing.qrcode.decoder.DataMask
        public boolean isMasked(int i2, int i3) {
            return (i2 * i3) % 6 == 0;
        }
    },
    DATA_MASK_110 {
        @Override // com.google.zxing.qrcode.decoder.DataMask
        public boolean isMasked(int i2, int i3) {
            return (i2 * i3) % 6 < 3;
        }
    },
    DATA_MASK_111 {
        @Override // com.google.zxing.qrcode.decoder.DataMask
        public boolean isMasked(int i2, int i3) {
            return ((((i2 * i3) % 3) + (i2 + i3)) & 1) == 0;
        }
    };

    public abstract boolean isMasked(int i2, int i3);

    public final void unmaskBitMatrix(b bVar, int i2) {
        for (int i3 = 0; i3 < i2; i3++) {
            for (int i4 = 0; i4 < i2; i4++) {
                if (isMasked(i3, i4)) {
                    bVar.a(i4, i3);
                }
            }
        }
    }
}
