package com.grass.mh.bean;

import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import androidx.databinding.BaseObservable;
import com.androidx.lv.base.bean.AdInfoBean;
import com.androidx.lv.base.bean.BindVideoBean;
import com.androidx.lv.base.bean.TagListBean;
import com.androidx.lv.base.bean.VideoBean;
import com.androidx.lv.base.utils.TimeUtils;
import com.chad.library.adapter.base.entity.MultiItemEntity;
import com.lzy.okgo.cookie.SerializableCookie;
import com.shuyu.gsyvideoplayer.utils.NeuQuant;
import d.a.a.a.a;
import h.p.b.o;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import okhttp3.internal.http2.Http2;

/* compiled from: PostsBean.kt */
public final class PostsBean extends BaseObservable implements Parcelable, MultiItemEntity {
    public static final Parcelable.Creator<PostsBean> CREATOR = new Creator();
    private ArrayList<ActorVote> actorVotes;
    private AdInfoBean adInfoBean;
    private int adType;
    private String avatarFrame;
    private BindVideoBean bindVideo;
    private boolean blogger;
    private String checkAt;
    private String cityName;
    private int commentNum;
    private String content;
    private ArrayList<CoterieTopic> coteries;
    private String createdAt;
    private int dynamicId;
    private List<String> dynamicImg;
    private Integer dynamicImgType;
    private int dynamicType;
    private int fakeLikes;
    private int fakeWatchTimes;
    private int gender;
    private int gold;
    private List<TagListBean> hotWord;
    private String id;
    private int imgHeight;
    private int imgWidth;
    private final String introduction;
    private boolean isAttention;
    private boolean isJoined;
    private boolean isLike;
    private boolean isSubscribe;
    private boolean isUnlock;
    private boolean isUpUser;
    private int jumpType;
    private String jumpUrl;
    private String logo;
    private int lookedNum;
    private String name;
    private String nickName;
    private String notPass;
    private int position;
    private int postNum;
    private int realPostNum;
    private int realViewNum;
    private ArrayList<ActorVote> scriptVotes;
    private boolean secret;
    private int status;
    private int studioId;
    private int studioType;
    private String title;
    private boolean topDynamic;
    private int topSortNum;
    private TopicBean topic;
    private int userId;
    private VideoBean video;
    private int viewNum;
    private int vipType;

    /* compiled from: PostsBean.kt */
    public static final class Creator implements Parcelable.Creator<PostsBean> {
        @Override // android.os.Parcelable.Creator
        public final PostsBean createFromParcel(Parcel parcel) {
            ArrayList arrayList;
            String str;
            ArrayList arrayList2;
            ArrayList arrayList3;
            ArrayList arrayList4;
            o.e(parcel, "parcel");
            String readString = parcel.readString();
            String readString2 = parcel.readString();
            int readInt = parcel.readInt();
            int readInt2 = parcel.readInt();
            int readInt3 = parcel.readInt();
            int readInt4 = parcel.readInt();
            int readInt5 = parcel.readInt();
            boolean z = parcel.readInt() != 0;
            String readString3 = parcel.readString();
            boolean z2 = parcel.readInt() != 0;
            int readInt6 = parcel.readInt();
            boolean z3 = parcel.readInt() != 0;
            String readString4 = parcel.readString();
            int readInt7 = parcel.readInt();
            String readString5 = parcel.readString();
            String readString6 = parcel.readString();
            String readString7 = parcel.readString();
            int readInt8 = parcel.readInt();
            int readInt9 = parcel.readInt();
            int readInt10 = parcel.readInt();
            String readString8 = parcel.readString();
            ArrayList<String> createStringArrayList = parcel.createStringArrayList();
            if (parcel.readInt() == 0) {
                str = readString4;
                arrayList = null;
            } else {
                int readInt11 = parcel.readInt();
                ArrayList arrayList5 = new ArrayList(readInt11);
                str = readString4;
                int i2 = 0;
                while (i2 != readInt11) {
                    arrayList5.add(parcel.readSerializable());
                    i2++;
                    readInt11 = readInt11;
                }
                arrayList = arrayList5;
            }
            int readInt12 = parcel.readInt();
            Integer valueOf = parcel.readInt() == 0 ? null : Integer.valueOf(parcel.readInt());
            int readInt13 = parcel.readInt();
            int readInt14 = parcel.readInt();
            int readInt15 = parcel.readInt();
            boolean z4 = parcel.readInt() != 0;
            boolean z5 = parcel.readInt() != 0;
            int readInt16 = parcel.readInt();
            String readString9 = parcel.readString();
            String readString10 = parcel.readString();
            String readString11 = parcel.readString();
            String readString12 = parcel.readString();
            String readString13 = parcel.readString();
            int readInt17 = parcel.readInt();
            boolean z6 = parcel.readInt() != 0;
            TopicBean createFromParcel = parcel.readInt() == 0 ? null : TopicBean.CREATOR.createFromParcel(parcel);
            int readInt18 = parcel.readInt();
            VideoBean videoBean = (VideoBean) parcel.readSerializable();
            BindVideoBean bindVideoBean = (BindVideoBean) parcel.readSerializable();
            AdInfoBean adInfoBean = (AdInfoBean) parcel.readSerializable();
            int readInt19 = parcel.readInt();
            int readInt20 = parcel.readInt();
            int readInt21 = parcel.readInt();
            int readInt22 = parcel.readInt();
            int readInt23 = parcel.readInt();
            int readInt24 = parcel.readInt();
            boolean z7 = parcel.readInt() != 0;
            boolean z8 = parcel.readInt() != 0;
            boolean z9 = parcel.readInt() != 0;
            if (parcel.readInt() == 0) {
                arrayList2 = null;
            } else {
                int readInt25 = parcel.readInt();
                ArrayList arrayList6 = new ArrayList(readInt25);
                int i3 = 0;
                while (i3 != readInt25) {
                    arrayList6.add(ActorVote.CREATOR.createFromParcel(parcel));
                    i3++;
                    readInt25 = readInt25;
                }
                arrayList2 = arrayList6;
            }
            if (parcel.readInt() == 0) {
                arrayList3 = null;
            } else {
                int readInt26 = parcel.readInt();
                ArrayList arrayList7 = new ArrayList(readInt26);
                int i4 = 0;
                while (i4 != readInt26) {
                    arrayList7.add(ActorVote.CREATOR.createFromParcel(parcel));
                    i4++;
                    readInt26 = readInt26;
                }
                arrayList3 = arrayList7;
            }
            if (parcel.readInt() == 0) {
                arrayList4 = null;
            } else {
                int readInt27 = parcel.readInt();
                ArrayList arrayList8 = new ArrayList(readInt27);
                for (int i5 = 0; i5 != readInt27; i5++) {
                    arrayList8.add(parcel.readSerializable());
                }
                arrayList4 = arrayList8;
            }
            return new PostsBean(readString, readString2, readInt, readInt2, readInt3, readInt4, readInt5, z, readString3, z2, readInt6, z3, str, readInt7, readString5, readString6, readString7, readInt8, readInt9, readInt10, readString8, createStringArrayList, arrayList, readInt12, valueOf, readInt13, readInt14, readInt15, z4, z5, readInt16, readString9, readString10, readString11, readString12, readString13, readInt17, z6, createFromParcel, readInt18, videoBean, bindVideoBean, adInfoBean, readInt19, readInt20, readInt21, readInt22, readInt23, readInt24, z7, z8, z9, arrayList2, arrayList3, arrayList4);
        }

        @Override // android.os.Parcelable.Creator
        public final PostsBean[] newArray(int i2) {
            return new PostsBean[i2];
        }
    }

    public PostsBean(String str, String str2, int i2, int i3, int i4, int i5, int i6, boolean z, String str3, boolean z2, int i7, boolean z3, String str4, int i8, String str5, String str6, String str7, int i9, int i10, int i11, String str8, List<String> list, List<TagListBean> list2, int i12, Integer num, int i13, int i14, int i15, boolean z4, boolean z5, int i16, String str9, String str10, String str11, String str12, String str13, int i17, boolean z6, TopicBean topicBean, int i18, VideoBean videoBean, BindVideoBean bindVideoBean, AdInfoBean adInfoBean2, int i19, int i20, int i21, int i22, int i23, int i24, boolean z7, boolean z8, boolean z9, ArrayList<ActorVote> arrayList, ArrayList<ActorVote> arrayList2, ArrayList<CoterieTopic> arrayList3) {
        o.e(str, "id");
        o.e(str2, SerializableCookie.NAME);
        o.e(str3, "introduction");
        o.e(str4, "cityName");
        o.e(str5, "content");
        o.e(str6, "title");
        o.e(str7, "createdAt");
        o.e(str8, "avatarFrame");
        o.e(str9, "jumpUrl");
        o.e(str10, "logo");
        o.e(str11, "nickName");
        o.e(str12, "notPass");
        o.e(str13, "checkAt");
        this.id = str;
        this.name = str2;
        this.gold = i2;
        this.realPostNum = i3;
        this.postNum = i4;
        this.viewNum = i5;
        this.realViewNum = i6;
        this.isJoined = z;
        this.introduction = str3;
        this.isUnlock = z2;
        this.position = i7;
        this.blogger = z3;
        this.cityName = str4;
        this.commentNum = i8;
        this.content = str5;
        this.title = str6;
        this.createdAt = str7;
        this.dynamicId = i9;
        this.studioId = i10;
        this.studioType = i11;
        this.avatarFrame = str8;
        this.dynamicImg = list;
        this.hotWord = list2;
        this.dynamicType = i12;
        this.dynamicImgType = num;
        this.fakeLikes = i13;
        this.fakeWatchTimes = i14;
        this.gender = i15;
        this.isAttention = z4;
        this.isLike = z5;
        this.jumpType = i16;
        this.jumpUrl = str9;
        this.logo = str10;
        this.nickName = str11;
        this.notPass = str12;
        this.checkAt = str13;
        this.status = i17;
        this.topDynamic = z6;
        this.topic = topicBean;
        this.userId = i18;
        this.video = videoBean;
        this.bindVideo = bindVideoBean;
        this.adInfoBean = adInfoBean2;
        this.vipType = i19;
        this.imgHeight = i20;
        this.imgWidth = i21;
        this.topSortNum = i22;
        this.adType = i23;
        this.lookedNum = i24;
        this.isSubscribe = z7;
        this.isUpUser = z8;
        this.secret = z9;
        this.actorVotes = arrayList;
        this.scriptVotes = arrayList2;
        this.coteries = arrayList3;
    }

    public static /* synthetic */ PostsBean copy$default(PostsBean postsBean, String str, String str2, int i2, int i3, int i4, int i5, int i6, boolean z, String str3, boolean z2, int i7, boolean z3, String str4, int i8, String str5, String str6, String str7, int i9, int i10, int i11, String str8, List list, List list2, int i12, Integer num, int i13, int i14, int i15, boolean z4, boolean z5, int i16, String str9, String str10, String str11, String str12, String str13, int i17, boolean z6, TopicBean topicBean, int i18, VideoBean videoBean, BindVideoBean bindVideoBean, AdInfoBean adInfoBean2, int i19, int i20, int i21, int i22, int i23, int i24, boolean z7, boolean z8, boolean z9, ArrayList arrayList, ArrayList arrayList2, ArrayList arrayList3, int i25, int i26, Object obj) {
        return postsBean.copy((i25 & 1) != 0 ? postsBean.id : str, (i25 & 2) != 0 ? postsBean.name : str2, (i25 & 4) != 0 ? postsBean.gold : i2, (i25 & 8) != 0 ? postsBean.realPostNum : i3, (i25 & 16) != 0 ? postsBean.postNum : i4, (i25 & 32) != 0 ? postsBean.viewNum : i5, (i25 & 64) != 0 ? postsBean.realViewNum : i6, (i25 & 128) != 0 ? postsBean.isJoined : z, (i25 & 256) != 0 ? postsBean.introduction : str3, (i25 & 512) != 0 ? postsBean.isUnlock : z2, (i25 & 1024) != 0 ? postsBean.position : i7, (i25 & 2048) != 0 ? postsBean.blogger : z3, (i25 & 4096) != 0 ? postsBean.cityName : str4, (i25 & 8192) != 0 ? postsBean.commentNum : i8, (i25 & Http2.INITIAL_MAX_FRAME_SIZE) != 0 ? postsBean.content : str5, (i25 & 32768) != 0 ? postsBean.title : str6, (i25 & 65536) != 0 ? postsBean.createdAt : str7, (i25 & 131072) != 0 ? postsBean.dynamicId : i9, (i25 & NeuQuant.alpharadbias) != 0 ? postsBean.studioId : i10, (i25 & 524288) != 0 ? postsBean.studioType : i11, (i25 & 1048576) != 0 ? postsBean.avatarFrame : str8, (i25 & 2097152) != 0 ? postsBean.dynamicImg : list, (i25 & 4194304) != 0 ? postsBean.hotWord : list2, (i25 & 8388608) != 0 ? postsBean.dynamicType : i12, (i25 & 16777216) != 0 ? postsBean.dynamicImgType : num, (i25 & 33554432) != 0 ? postsBean.fakeLikes : i13, (i25 & 67108864) != 0 ? postsBean.fakeWatchTimes : i14, (i25 & 134217728) != 0 ? postsBean.gender : i15, (i25 & 268435456) != 0 ? postsBean.isAttention : z4, (i25 & 536870912) != 0 ? postsBean.isLike : z5, (i25 & 1073741824) != 0 ? postsBean.jumpType : i16, (i25 & Integer.MIN_VALUE) != 0 ? postsBean.jumpUrl : str9, (i26 & 1) != 0 ? postsBean.logo : str10, (i26 & 2) != 0 ? postsBean.nickName : str11, (i26 & 4) != 0 ? postsBean.notPass : str12, (i26 & 8) != 0 ? postsBean.checkAt : str13, (i26 & 16) != 0 ? postsBean.status : i17, (i26 & 32) != 0 ? postsBean.topDynamic : z6, (i26 & 64) != 0 ? postsBean.topic : topicBean, (i26 & 128) != 0 ? postsBean.userId : i18, (i26 & 256) != 0 ? postsBean.video : videoBean, (i26 & 512) != 0 ? postsBean.bindVideo : bindVideoBean, (i26 & 1024) != 0 ? postsBean.adInfoBean : adInfoBean2, (i26 & 2048) != 0 ? postsBean.vipType : i19, (i26 & 4096) != 0 ? postsBean.imgHeight : i20, (i26 & 8192) != 0 ? postsBean.imgWidth : i21, (i26 & Http2.INITIAL_MAX_FRAME_SIZE) != 0 ? postsBean.topSortNum : i22, (i26 & 32768) != 0 ? postsBean.adType : i23, (i26 & 65536) != 0 ? postsBean.lookedNum : i24, (i26 & 131072) != 0 ? postsBean.isSubscribe : z7, (i26 & NeuQuant.alpharadbias) != 0 ? postsBean.isUpUser : z8, (i26 & 524288) != 0 ? postsBean.secret : z9, (i26 & 1048576) != 0 ? postsBean.actorVotes : arrayList, (i26 & 2097152) != 0 ? postsBean.scriptVotes : arrayList2, (i26 & 4194304) != 0 ? postsBean.coteries : arrayList3);
    }

    public final void PostsBean(int i2) {
        this.adType = i2;
    }

    public final String component1() {
        return this.id;
    }

    public final boolean component10() {
        return this.isUnlock;
    }

    public final int component11() {
        return this.position;
    }

    public final boolean component12() {
        return this.blogger;
    }

    public final String component13() {
        return this.cityName;
    }

    public final int component14() {
        return this.commentNum;
    }

    public final String component15() {
        return this.content;
    }

    public final String component16() {
        return this.title;
    }

    public final String component17() {
        return this.createdAt;
    }

    public final int component18() {
        return this.dynamicId;
    }

    public final int component19() {
        return this.studioId;
    }

    public final String component2() {
        return this.name;
    }

    public final int component20() {
        return this.studioType;
    }

    public final String component21() {
        return this.avatarFrame;
    }

    public final List<String> component22() {
        return this.dynamicImg;
    }

    public final List<TagListBean> component23() {
        return this.hotWord;
    }

    public final int component24() {
        return this.dynamicType;
    }

    public final Integer component25() {
        return this.dynamicImgType;
    }

    public final int component26() {
        return this.fakeLikes;
    }

    public final int component27() {
        return this.fakeWatchTimes;
    }

    public final int component28() {
        return this.gender;
    }

    public final boolean component29() {
        return this.isAttention;
    }

    public final int component3() {
        return this.gold;
    }

    public final boolean component30() {
        return this.isLike;
    }

    public final int component31() {
        return this.jumpType;
    }

    public final String component32() {
        return this.jumpUrl;
    }

    public final String component33() {
        return this.logo;
    }

    public final String component34() {
        return this.nickName;
    }

    public final String component35() {
        return this.notPass;
    }

    public final String component36() {
        return this.checkAt;
    }

    public final int component37() {
        return this.status;
    }

    public final boolean component38() {
        return this.topDynamic;
    }

    public final TopicBean component39() {
        return this.topic;
    }

    public final int component4() {
        return this.realPostNum;
    }

    public final int component40() {
        return this.userId;
    }

    public final VideoBean component41() {
        return this.video;
    }

    public final BindVideoBean component42() {
        return this.bindVideo;
    }

    public final AdInfoBean component43() {
        return this.adInfoBean;
    }

    public final int component44() {
        return this.vipType;
    }

    public final int component45() {
        return this.imgHeight;
    }

    public final int component46() {
        return this.imgWidth;
    }

    public final int component47() {
        return this.topSortNum;
    }

    public final int component48() {
        return this.adType;
    }

    public final int component49() {
        return this.lookedNum;
    }

    public final int component5() {
        return this.postNum;
    }

    public final boolean component50() {
        return this.isSubscribe;
    }

    public final boolean component51() {
        return this.isUpUser;
    }

    public final boolean component52() {
        return this.secret;
    }

    public final ArrayList<ActorVote> component53() {
        return this.actorVotes;
    }

    public final ArrayList<ActorVote> component54() {
        return this.scriptVotes;
    }

    public final ArrayList<CoterieTopic> component55() {
        return this.coteries;
    }

    public final int component6() {
        return this.viewNum;
    }

    public final int component7() {
        return this.realViewNum;
    }

    public final boolean component8() {
        return this.isJoined;
    }

    public final String component9() {
        return this.introduction;
    }

    public final PostsBean copy(String str, String str2, int i2, int i3, int i4, int i5, int i6, boolean z, String str3, boolean z2, int i7, boolean z3, String str4, int i8, String str5, String str6, String str7, int i9, int i10, int i11, String str8, List<String> list, List<TagListBean> list2, int i12, Integer num, int i13, int i14, int i15, boolean z4, boolean z5, int i16, String str9, String str10, String str11, String str12, String str13, int i17, boolean z6, TopicBean topicBean, int i18, VideoBean videoBean, BindVideoBean bindVideoBean, AdInfoBean adInfoBean2, int i19, int i20, int i21, int i22, int i23, int i24, boolean z7, boolean z8, boolean z9, ArrayList<ActorVote> arrayList, ArrayList<ActorVote> arrayList2, ArrayList<CoterieTopic> arrayList3) {
        o.e(str, "id");
        o.e(str2, SerializableCookie.NAME);
        o.e(str3, "introduction");
        o.e(str4, "cityName");
        o.e(str5, "content");
        o.e(str6, "title");
        o.e(str7, "createdAt");
        o.e(str8, "avatarFrame");
        o.e(str9, "jumpUrl");
        o.e(str10, "logo");
        o.e(str11, "nickName");
        o.e(str12, "notPass");
        o.e(str13, "checkAt");
        return new PostsBean(str, str2, i2, i3, i4, i5, i6, z, str3, z2, i7, z3, str4, i8, str5, str6, str7, i9, i10, i11, str8, list, list2, i12, num, i13, i14, i15, z4, z5, i16, str9, str10, str11, str12, str13, i17, z6, topicBean, i18, videoBean, bindVideoBean, adInfoBean2, i19, i20, i21, i22, i23, i24, z7, z8, z9, arrayList, arrayList2, arrayList3);
    }

    public int describeContents() {
        return 0;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof PostsBean)) {
            return false;
        }
        PostsBean postsBean = (PostsBean) obj;
        return o.a(this.id, postsBean.id) && o.a(this.name, postsBean.name) && this.gold == postsBean.gold && this.realPostNum == postsBean.realPostNum && this.postNum == postsBean.postNum && this.viewNum == postsBean.viewNum && this.realViewNum == postsBean.realViewNum && this.isJoined == postsBean.isJoined && o.a(this.introduction, postsBean.introduction) && this.isUnlock == postsBean.isUnlock && this.position == postsBean.position && this.blogger == postsBean.blogger && o.a(this.cityName, postsBean.cityName) && this.commentNum == postsBean.commentNum && o.a(this.content, postsBean.content) && o.a(this.title, postsBean.title) && o.a(this.createdAt, postsBean.createdAt) && this.dynamicId == postsBean.dynamicId && this.studioId == postsBean.studioId && this.studioType == postsBean.studioType && o.a(this.avatarFrame, postsBean.avatarFrame) && o.a(this.dynamicImg, postsBean.dynamicImg) && o.a(this.hotWord, postsBean.hotWord) && this.dynamicType == postsBean.dynamicType && o.a(this.dynamicImgType, postsBean.dynamicImgType) && this.fakeLikes == postsBean.fakeLikes && this.fakeWatchTimes == postsBean.fakeWatchTimes && this.gender == postsBean.gender && this.isAttention == postsBean.isAttention && this.isLike == postsBean.isLike && this.jumpType == postsBean.jumpType && o.a(this.jumpUrl, postsBean.jumpUrl) && o.a(this.logo, postsBean.logo) && o.a(this.nickName, postsBean.nickName) && o.a(this.notPass, postsBean.notPass) && o.a(this.checkAt, postsBean.checkAt) && this.status == postsBean.status && this.topDynamic == postsBean.topDynamic && o.a(this.topic, postsBean.topic) && this.userId == postsBean.userId && o.a(this.video, postsBean.video) && o.a(this.bindVideo, postsBean.bindVideo) && o.a(this.adInfoBean, postsBean.adInfoBean) && this.vipType == postsBean.vipType && this.imgHeight == postsBean.imgHeight && this.imgWidth == postsBean.imgWidth && this.topSortNum == postsBean.topSortNum && this.adType == postsBean.adType && this.lookedNum == postsBean.lookedNum && this.isSubscribe == postsBean.isSubscribe && this.isUpUser == postsBean.isUpUser && this.secret == postsBean.secret && o.a(this.actorVotes, postsBean.actorVotes) && o.a(this.scriptVotes, postsBean.scriptVotes) && o.a(this.coteries, postsBean.coteries);
    }

    public final ArrayList<ActorVote> getActorVotes() {
        return this.actorVotes;
    }

    public final AdInfoBean getAdInfoBean() {
        return this.adInfoBean;
    }

    public final int getAdType() {
        return this.adType;
    }

    public final String getAddressInfo() {
        StringBuilder sb = new StringBuilder();
        if (TextUtils.isEmpty(this.cityName)) {
            this.cityName = "次元星球";
        }
        sb.append(this.cityName);
        if (!TextUtils.isEmpty(this.createdAt)) {
            sb.append(o.k("  ", TimeUtils.utc2Common(this.createdAt)));
        }
        String sb2 = sb.toString();
        o.d(sb2, "sb.toString()");
        return sb2;
    }

    public final String getAvatarFrame() {
        return this.avatarFrame;
    }

    public final BindVideoBean getBindVideo() {
        return this.bindVideo;
    }

    public final boolean getBlogger() {
        return this.blogger;
    }

    public final String getCheckAt() {
        return this.checkAt;
    }

    public final String getCityName() {
        return this.cityName;
    }

    public final int getCommentNum() {
        return this.commentNum;
    }

    public final String getContent() {
        return this.content;
    }

    public final ArrayList<CoterieTopic> getCoteries() {
        return this.coteries;
    }

    public final String getCreatedAt() {
        return this.createdAt;
    }

    public final int getDynamicId() {
        return this.dynamicId;
    }

    public final List<String> getDynamicImg() {
        return this.dynamicImg;
    }

    public final Integer getDynamicImgType() {
        return this.dynamicImgType;
    }

    public final int getDynamicType() {
        return this.dynamicType;
    }

    public final int getFakeLikes() {
        return this.fakeLikes;
    }

    public final int getFakeWatchTimes() {
        return this.fakeWatchTimes;
    }

    public final int getGender() {
        return this.gender;
    }

    public final int getGold() {
        return this.gold;
    }

    public final List<TagListBean> getHotWord() {
        return this.hotWord;
    }

    public final String getId() {
        return this.id;
    }

    public final int getImgHeight() {
        return this.imgHeight;
    }

    public final int getImgWidth() {
        return this.imgWidth;
    }

    public final String getIntroduction() {
        return this.introduction;
    }

    @Override // com.chad.library.adapter.base.entity.MultiItemEntity
    public int getItemType() {
        int i2 = this.dynamicType;
        if (i2 != 1 && i2 != 3) {
            return i2;
        }
        List<String> list = this.dynamicImg;
        return list == null || list.isEmpty() ? 0 : 1;
    }

    public final int getJumpType() {
        return this.jumpType;
    }

    public final String getJumpUrl() {
        return this.jumpUrl;
    }

    public final String getLogo() {
        return this.logo;
    }

    public final int getLookedNum() {
        return this.lookedNum;
    }

    public final String getName() {
        return this.name;
    }

    public final String getNickName() {
        return this.nickName;
    }

    public final String getNotPass() {
        return this.notPass;
    }

    public final String getOneUrl() {
        List<String> list = this.dynamicImg;
        if (list == null || list.isEmpty()) {
            return "";
        }
        List<String> list2 = this.dynamicImg;
        o.c(list2);
        return list2.get(0);
    }

    public final int getPosition() {
        return this.position;
    }

    public final int getPostNum() {
        return this.postNum;
    }

    public final int getRealPostNum() {
        return this.realPostNum;
    }

    public final int getRealViewNum() {
        return this.realViewNum;
    }

    public final ArrayList<ActorVote> getScriptVotes() {
        return this.scriptVotes;
    }

    public final boolean getSecret() {
        return this.secret;
    }

    public final int getStatus() {
        return this.status;
    }

    public final int getStudioId() {
        return this.studioId;
    }

    public final int getStudioType() {
        return this.studioType;
    }

    public final String getThreeUrl() {
        List<String> list = this.dynamicImg;
        if (!(list == null || list.isEmpty())) {
            List<String> list2 = this.dynamicImg;
            o.c(list2);
            if (list2.size() > 2) {
                List<String> list3 = this.dynamicImg;
                o.c(list3);
                return list3.get(2);
            }
        }
        return "";
    }

    public final String getTitle() {
        return this.title;
    }

    public final boolean getTopDynamic() {
        return this.topDynamic;
    }

    public final int getTopSortNum() {
        return this.topSortNum;
    }

    public final TopicBean getTopic() {
        return this.topic;
    }

    public final String getTowUrl() {
        List<String> list = this.dynamicImg;
        if (!(list == null || list.isEmpty())) {
            List<String> list2 = this.dynamicImg;
            o.c(list2);
            if (list2.size() > 1) {
                List<String> list3 = this.dynamicImg;
                o.c(list3);
                return list3.get(1);
            }
        }
        return "";
    }

    public final int getUserId() {
        return this.userId;
    }

    public final VideoBean getVideo() {
        return this.video;
    }

    public final int getViewNum() {
        return this.viewNum;
    }

    public final int getVipType() {
        return this.vipType;
    }

    public int hashCode() {
        int a0 = (((((((((a.a0(this.name, this.id.hashCode() * 31, 31) + this.gold) * 31) + this.realPostNum) * 31) + this.postNum) * 31) + this.viewNum) * 31) + this.realViewNum) * 31;
        boolean z = this.isJoined;
        int i2 = 1;
        if (z) {
            z = true;
        }
        int i3 = z ? 1 : 0;
        int i4 = z ? 1 : 0;
        int i5 = z ? 1 : 0;
        int a02 = a.a0(this.introduction, (a0 + i3) * 31, 31);
        boolean z2 = this.isUnlock;
        if (z2) {
            z2 = true;
        }
        int i6 = z2 ? 1 : 0;
        int i7 = z2 ? 1 : 0;
        int i8 = z2 ? 1 : 0;
        int i9 = (((a02 + i6) * 31) + this.position) * 31;
        boolean z3 = this.blogger;
        if (z3) {
            z3 = true;
        }
        int i10 = z3 ? 1 : 0;
        int i11 = z3 ? 1 : 0;
        int i12 = z3 ? 1 : 0;
        int a03 = a.a0(this.avatarFrame, (((((a.a0(this.createdAt, a.a0(this.title, a.a0(this.content, (a.a0(this.cityName, (i9 + i10) * 31, 31) + this.commentNum) * 31, 31), 31), 31) + this.dynamicId) * 31) + this.studioId) * 31) + this.studioType) * 31, 31);
        List<String> list = this.dynamicImg;
        int i13 = 0;
        int hashCode = (a03 + (list == null ? 0 : list.hashCode())) * 31;
        List<TagListBean> list2 = this.hotWord;
        int hashCode2 = (((hashCode + (list2 == null ? 0 : list2.hashCode())) * 31) + this.dynamicType) * 31;
        Integer num = this.dynamicImgType;
        int hashCode3 = (((((((hashCode2 + (num == null ? 0 : num.hashCode())) * 31) + this.fakeLikes) * 31) + this.fakeWatchTimes) * 31) + this.gender) * 31;
        boolean z4 = this.isAttention;
        if (z4) {
            z4 = true;
        }
        int i14 = z4 ? 1 : 0;
        int i15 = z4 ? 1 : 0;
        int i16 = z4 ? 1 : 0;
        int i17 = (hashCode3 + i14) * 31;
        boolean z5 = this.isLike;
        if (z5) {
            z5 = true;
        }
        int i18 = z5 ? 1 : 0;
        int i19 = z5 ? 1 : 0;
        int i20 = z5 ? 1 : 0;
        int a04 = (a.a0(this.checkAt, a.a0(this.notPass, a.a0(this.nickName, a.a0(this.logo, a.a0(this.jumpUrl, (((i17 + i18) * 31) + this.jumpType) * 31, 31), 31), 31), 31), 31) + this.status) * 31;
        boolean z6 = this.topDynamic;
        if (z6) {
            z6 = true;
        }
        int i21 = z6 ? 1 : 0;
        int i22 = z6 ? 1 : 0;
        int i23 = z6 ? 1 : 0;
        int i24 = (a04 + i21) * 31;
        TopicBean topicBean = this.topic;
        int hashCode4 = (((i24 + (topicBean == null ? 0 : topicBean.hashCode())) * 31) + this.userId) * 31;
        VideoBean videoBean = this.video;
        int hashCode5 = (hashCode4 + (videoBean == null ? 0 : videoBean.hashCode())) * 31;
        BindVideoBean bindVideoBean = this.bindVideo;
        int hashCode6 = (hashCode5 + (bindVideoBean == null ? 0 : bindVideoBean.hashCode())) * 31;
        AdInfoBean adInfoBean2 = this.adInfoBean;
        int hashCode7 = (((((((((((((hashCode6 + (adInfoBean2 == null ? 0 : adInfoBean2.hashCode())) * 31) + this.vipType) * 31) + this.imgHeight) * 31) + this.imgWidth) * 31) + this.topSortNum) * 31) + this.adType) * 31) + this.lookedNum) * 31;
        boolean z7 = this.isSubscribe;
        if (z7) {
            z7 = true;
        }
        int i25 = z7 ? 1 : 0;
        int i26 = z7 ? 1 : 0;
        int i27 = z7 ? 1 : 0;
        int i28 = (hashCode7 + i25) * 31;
        boolean z8 = this.isUpUser;
        if (z8) {
            z8 = true;
        }
        int i29 = z8 ? 1 : 0;
        int i30 = z8 ? 1 : 0;
        int i31 = z8 ? 1 : 0;
        int i32 = (i28 + i29) * 31;
        boolean z9 = this.secret;
        if (!z9) {
            i2 = z9 ? 1 : 0;
        }
        int i33 = (i32 + i2) * 31;
        ArrayList<ActorVote> arrayList = this.actorVotes;
        int hashCode8 = (i33 + (arrayList == null ? 0 : arrayList.hashCode())) * 31;
        ArrayList<ActorVote> arrayList2 = this.scriptVotes;
        int hashCode9 = (hashCode8 + (arrayList2 == null ? 0 : arrayList2.hashCode())) * 31;
        ArrayList<CoterieTopic> arrayList3 = this.coteries;
        if (arrayList3 != null) {
            i13 = arrayList3.hashCode();
        }
        return hashCode9 + i13;
    }

    public final boolean isAttention() {
        return this.isAttention;
    }

    public final boolean isJoined() {
        return this.isJoined;
    }

    public final boolean isLike() {
        return this.isLike;
    }

    public final boolean isSubscribe() {
        return this.isSubscribe;
    }

    public final boolean isUnlock() {
        return this.isUnlock;
    }

    public final boolean isUpUser() {
        return this.isUpUser;
    }

    public final void setActorVotes(ArrayList<ActorVote> arrayList) {
        this.actorVotes = arrayList;
    }

    public final void setAdInfoBean(AdInfoBean adInfoBean2) {
        this.adInfoBean = adInfoBean2;
    }

    public final void setAdType(int i2) {
        this.adType = i2;
    }

    public final void setAttention(boolean z) {
        this.isAttention = z;
    }

    public final void setAvatarFrame(String str) {
        o.e(str, "<set-?>");
        this.avatarFrame = str;
    }

    public final void setBindVideo(BindVideoBean bindVideoBean) {
        this.bindVideo = bindVideoBean;
    }

    public final void setBlogger(boolean z) {
        this.blogger = z;
    }

    public final void setCheckAt(String str) {
        o.e(str, "<set-?>");
        this.checkAt = str;
    }

    public final void setCityName(String str) {
        o.e(str, "<set-?>");
        this.cityName = str;
    }

    public final void setCommentNum(int i2) {
        this.commentNum = i2;
    }

    public final void setContent(String str) {
        o.e(str, "<set-?>");
        this.content = str;
    }

    public final void setCoteries(ArrayList<CoterieTopic> arrayList) {
        this.coteries = arrayList;
    }

    public final void setCreatedAt(String str) {
        o.e(str, "<set-?>");
        this.createdAt = str;
    }

    public final void setDynamicId(int i2) {
        this.dynamicId = i2;
    }

    public final void setDynamicImg(List<String> list) {
        this.dynamicImg = list;
    }

    public final void setDynamicImgType(Integer num) {
        this.dynamicImgType = num;
    }

    public final void setDynamicType(int i2) {
        this.dynamicType = i2;
    }

    public final void setFakeLikes(int i2) {
        this.fakeLikes = i2;
    }

    public final void setFakeWatchTimes(int i2) {
        this.fakeWatchTimes = i2;
    }

    public final void setGender(int i2) {
        this.gender = i2;
    }

    public final void setGold(int i2) {
        this.gold = i2;
    }

    public final void setHotWord(List<TagListBean> list) {
        this.hotWord = list;
    }

    public final void setId(String str) {
        o.e(str, "<set-?>");
        this.id = str;
    }

    public final void setImgHeight(int i2) {
        this.imgHeight = i2;
    }

    public final void setImgWidth(int i2) {
        this.imgWidth = i2;
    }

    public final void setJoined(boolean z) {
        this.isJoined = z;
    }

    public final void setJumpType(int i2) {
        this.jumpType = i2;
    }

    public final void setJumpUrl(String str) {
        o.e(str, "<set-?>");
        this.jumpUrl = str;
    }

    public final void setLike(boolean z) {
        this.isLike = z;
    }

    public final void setLogo(String str) {
        o.e(str, "<set-?>");
        this.logo = str;
    }

    public final void setLookedNum(int i2) {
        this.lookedNum = i2;
    }

    public final void setName(String str) {
        o.e(str, "<set-?>");
        this.name = str;
    }

    public final void setNickName(String str) {
        o.e(str, "<set-?>");
        this.nickName = str;
    }

    public final void setNotPass(String str) {
        o.e(str, "<set-?>");
        this.notPass = str;
    }

    public final void setPosition(int i2) {
        this.position = i2;
    }

    public final void setPostNum(int i2) {
        this.postNum = i2;
    }

    public final void setRealPostNum(int i2) {
        this.realPostNum = i2;
    }

    public final void setRealViewNum(int i2) {
        this.realViewNum = i2;
    }

    public final void setScriptVotes(ArrayList<ActorVote> arrayList) {
        this.scriptVotes = arrayList;
    }

    public final void setSecret(boolean z) {
        this.secret = z;
    }

    public final void setStatus(int i2) {
        this.status = i2;
    }

    public final void setStudioId(int i2) {
        this.studioId = i2;
    }

    public final void setStudioType(int i2) {
        this.studioType = i2;
    }

    public final void setSubscribe(boolean z) {
        this.isSubscribe = z;
    }

    public final void setTitle(String str) {
        o.e(str, "<set-?>");
        this.title = str;
    }

    public final void setTopDynamic(boolean z) {
        this.topDynamic = z;
    }

    public final void setTopSortNum(int i2) {
        this.topSortNum = i2;
    }

    public final void setTopic(TopicBean topicBean) {
        this.topic = topicBean;
    }

    public final void setUnlock(boolean z) {
        this.isUnlock = z;
    }

    public final void setUpUser(boolean z) {
        this.isUpUser = z;
    }

    public final void setUserId(int i2) {
        this.userId = i2;
    }

    public final void setVideo(VideoBean videoBean) {
        this.video = videoBean;
    }

    public final void setViewNum(int i2) {
        this.viewNum = i2;
    }

    public final void setVipType(int i2) {
        this.vipType = i2;
    }

    public String toString() {
        StringBuilder B = a.B("PostsBean(id=");
        B.append(this.id);
        B.append(", name=");
        B.append(this.name);
        B.append(", gold=");
        B.append(this.gold);
        B.append(", realPostNum=");
        B.append(this.realPostNum);
        B.append(", postNum=");
        B.append(this.postNum);
        B.append(", viewNum=");
        B.append(this.viewNum);
        B.append(", realViewNum=");
        B.append(this.realViewNum);
        B.append(", isJoined=");
        B.append(this.isJoined);
        B.append(", introduction=");
        B.append(this.introduction);
        B.append(", isUnlock=");
        B.append(this.isUnlock);
        B.append(", position=");
        B.append(this.position);
        B.append(", blogger=");
        B.append(this.blogger);
        B.append(", cityName=");
        B.append(this.cityName);
        B.append(", commentNum=");
        B.append(this.commentNum);
        B.append(", content=");
        B.append(this.content);
        B.append(", title=");
        B.append(this.title);
        B.append(", createdAt=");
        B.append(this.createdAt);
        B.append(", dynamicId=");
        B.append(this.dynamicId);
        B.append(", studioId=");
        B.append(this.studioId);
        B.append(", studioType=");
        B.append(this.studioType);
        B.append(", avatarFrame=");
        B.append(this.avatarFrame);
        B.append(", dynamicImg=");
        B.append(this.dynamicImg);
        B.append(", hotWord=");
        B.append(this.hotWord);
        B.append(", dynamicType=");
        B.append(this.dynamicType);
        B.append(", dynamicImgType=");
        B.append(this.dynamicImgType);
        B.append(", fakeLikes=");
        B.append(this.fakeLikes);
        B.append(", fakeWatchTimes=");
        B.append(this.fakeWatchTimes);
        B.append(", gender=");
        B.append(this.gender);
        B.append(", isAttention=");
        B.append(this.isAttention);
        B.append(", isLike=");
        B.append(this.isLike);
        B.append(", jumpType=");
        B.append(this.jumpType);
        B.append(", jumpUrl=");
        B.append(this.jumpUrl);
        B.append(", logo=");
        B.append(this.logo);
        B.append(", nickName=");
        B.append(this.nickName);
        B.append(", notPass=");
        B.append(this.notPass);
        B.append(", checkAt=");
        B.append(this.checkAt);
        B.append(", status=");
        B.append(this.status);
        B.append(", topDynamic=");
        B.append(this.topDynamic);
        B.append(", topic=");
        B.append(this.topic);
        B.append(", userId=");
        B.append(this.userId);
        B.append(", video=");
        B.append(this.video);
        B.append(", bindVideo=");
        B.append(this.bindVideo);
        B.append(", adInfoBean=");
        B.append(this.adInfoBean);
        B.append(", vipType=");
        B.append(this.vipType);
        B.append(", imgHeight=");
        B.append(this.imgHeight);
        B.append(", imgWidth=");
        B.append(this.imgWidth);
        B.append(", topSortNum=");
        B.append(this.topSortNum);
        B.append(", adType=");
        B.append(this.adType);
        B.append(", lookedNum=");
        B.append(this.lookedNum);
        B.append(", isSubscribe=");
        B.append(this.isSubscribe);
        B.append(", isUpUser=");
        B.append(this.isUpUser);
        B.append(", secret=");
        B.append(this.secret);
        B.append(", actorVotes=");
        B.append(this.actorVotes);
        B.append(", scriptVotes=");
        B.append(this.scriptVotes);
        B.append(", coteries=");
        B.append(this.coteries);
        B.append(')');
        return B.toString();
    }

    public void writeToParcel(Parcel parcel, int i2) {
        o.e(parcel, "out");
        parcel.writeString(this.id);
        parcel.writeString(this.name);
        parcel.writeInt(this.gold);
        parcel.writeInt(this.realPostNum);
        parcel.writeInt(this.postNum);
        parcel.writeInt(this.viewNum);
        parcel.writeInt(this.realViewNum);
        parcel.writeInt(this.isJoined ? 1 : 0);
        parcel.writeString(this.introduction);
        parcel.writeInt(this.isUnlock ? 1 : 0);
        parcel.writeInt(this.position);
        parcel.writeInt(this.blogger ? 1 : 0);
        parcel.writeString(this.cityName);
        parcel.writeInt(this.commentNum);
        parcel.writeString(this.content);
        parcel.writeString(this.title);
        parcel.writeString(this.createdAt);
        parcel.writeInt(this.dynamicId);
        parcel.writeInt(this.studioId);
        parcel.writeInt(this.studioType);
        parcel.writeString(this.avatarFrame);
        parcel.writeStringList(this.dynamicImg);
        List<TagListBean> list = this.hotWord;
        if (list == null) {
            parcel.writeInt(0);
        } else {
            parcel.writeInt(1);
            parcel.writeInt(list.size());
            for (TagListBean tagListBean : list) {
                parcel.writeSerializable(tagListBean);
            }
        }
        parcel.writeInt(this.dynamicType);
        Integer num = this.dynamicImgType;
        if (num == null) {
            parcel.writeInt(0);
        } else {
            parcel.writeInt(1);
            parcel.writeInt(num.intValue());
        }
        parcel.writeInt(this.fakeLikes);
        parcel.writeInt(this.fakeWatchTimes);
        parcel.writeInt(this.gender);
        parcel.writeInt(this.isAttention ? 1 : 0);
        parcel.writeInt(this.isLike ? 1 : 0);
        parcel.writeInt(this.jumpType);
        parcel.writeString(this.jumpUrl);
        parcel.writeString(this.logo);
        parcel.writeString(this.nickName);
        parcel.writeString(this.notPass);
        parcel.writeString(this.checkAt);
        parcel.writeInt(this.status);
        parcel.writeInt(this.topDynamic ? 1 : 0);
        TopicBean topicBean = this.topic;
        if (topicBean == null) {
            parcel.writeInt(0);
        } else {
            parcel.writeInt(1);
            topicBean.writeToParcel(parcel, i2);
        }
        parcel.writeInt(this.userId);
        parcel.writeSerializable(this.video);
        parcel.writeSerializable(this.bindVideo);
        parcel.writeSerializable(this.adInfoBean);
        parcel.writeInt(this.vipType);
        parcel.writeInt(this.imgHeight);
        parcel.writeInt(this.imgWidth);
        parcel.writeInt(this.topSortNum);
        parcel.writeInt(this.adType);
        parcel.writeInt(this.lookedNum);
        parcel.writeInt(this.isSubscribe ? 1 : 0);
        parcel.writeInt(this.isUpUser ? 1 : 0);
        parcel.writeInt(this.secret ? 1 : 0);
        ArrayList<ActorVote> arrayList = this.actorVotes;
        if (arrayList == null) {
            parcel.writeInt(0);
        } else {
            parcel.writeInt(1);
            parcel.writeInt(arrayList.size());
            Iterator<ActorVote> it = arrayList.iterator();
            while (it.hasNext()) {
                it.next().writeToParcel(parcel, i2);
            }
        }
        ArrayList<ActorVote> arrayList2 = this.scriptVotes;
        if (arrayList2 == null) {
            parcel.writeInt(0);
        } else {
            parcel.writeInt(1);
            parcel.writeInt(arrayList2.size());
            Iterator<ActorVote> it2 = arrayList2.iterator();
            while (it2.hasNext()) {
                it2.next().writeToParcel(parcel, i2);
            }
        }
        ArrayList<CoterieTopic> arrayList3 = this.coteries;
        if (arrayList3 == null) {
            parcel.writeInt(0);
            return;
        }
        parcel.writeInt(1);
        parcel.writeInt(arrayList3.size());
        Iterator<CoterieTopic> it3 = arrayList3.iterator();
        while (it3.hasNext()) {
            parcel.writeSerializable(it3.next());
        }
    }
}
