package com.grass.mh.dialog;

import android.os.Bundle;
import android.text.Editable;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.EditText;
import androidx.fragment.app.FragmentManager;
import androidx.lifecycle.ViewModelProvider;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.bean.UserAccount;
import com.google.android.material.bottomsheet.BottomSheetDialogFragment;
import com.grass.mh.utils.FastDialogUtils;
import com.grass.mh.utils.ViewUtils;
import com.grass.mh.viewmodel.EngagementViewModel;
import d.i.a.f.a;
import d.i.a.g.b;
import org.dsq.library.widget.ShapeTextView;

public class BottomRewardDialog extends BottomSheetDialogFragment implements View.OnClickListener {
    private a callback;
    private EditText editGold;
    private int goldNum;
    private ShapeTextView rewardBut;
    private ShapeTextView tempView;
    private UserAccount userAccount;
    private EngagementViewModel viewModel;

    public /* synthetic */ void l(UserAccount userAccount2) {
        this.userAccount = userAccount2;
    }

    public void onClick(View view) {
        if (view.getId() != R.id.rewardBut) {
            ShapeTextView shapeTextView = this.tempView;
            if (shapeTextView != null) {
                shapeTextView.setSolidColor(R.color.white_10);
            }
            this.editGold.setText("");
            switch (view.getId()) {
                case R.id.fiftyGold /*{ENCODED_INT: 2131296611}*/:
                    this.goldNum = 20;
                    break;
                case R.id.fiveGold /*{ENCODED_INT: 2131296625}*/:
                    this.goldNum = 2;
                    break;
                case R.id.ninetyGold /*{ENCODED_INT: 2131297056}*/:
                    this.goldNum = 50;
                    break;
                case R.id.oneGold /*{ENCODED_INT: 2131297075}*/:
                    this.goldNum = 1;
                    break;
                case R.id.tenGold /*{ENCODED_INT: 2131297348}*/:
                    this.goldNum = 5;
                    break;
                case R.id.twentyGold /*{ENCODED_INT: 2131297684}*/:
                    this.goldNum = 10;
                    break;
            }
            ShapeTextView shapeTextView2 = (ShapeTextView) view;
            this.tempView = shapeTextView2;
            shapeTextView2.setSolidColor(R.color.color_FF3B45);
        } else if (view.getId() == R.id.rewardBut) {
            if (this.goldNum < 1) {
                String obj = this.editGold.getText().toString();
                if (!TextUtils.isEmpty(obj)) {
                    this.goldNum = Integer.parseInt(obj);
                }
            }
            double gold = this.userAccount.getGold();
            int i2 = this.goldNum;
            if (gold >= ((double) i2)) {
                this.callback.a(Integer.valueOf(i2));
            } else {
                FastDialogUtils.getInstance().createGoldDialog(getContext(), "温馨提示！", "打赏金币不足");
            }
            dismiss();
        } else {
            dismiss();
        }
    }

    @Override // androidx.fragment.app.Fragment
    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        setCancelable(false);
        return layoutInflater.inflate(R.layout.dialog_bottom_reward, viewGroup, false);
    }

    @Override // androidx.fragment.app.Fragment, androidx.fragment.app.DialogFragment
    public void onStart() {
        super.onStart();
        getDialog().getWindow().findViewById(R.id.design_bottom_sheet).setBackgroundColor(0);
    }

    @Override // androidx.fragment.app.Fragment
    public void onViewCreated(View view, Bundle bundle) {
        super.onViewCreated(view, bundle);
        this.viewModel = (EngagementViewModel) new ViewModelProvider(this).a(EngagementViewModel.class);
        view.findViewById(R.id.oneGold).setOnClickListener(this);
        view.findViewById(R.id.fiveGold).setOnClickListener(this);
        view.findViewById(R.id.tenGold).setOnClickListener(this);
        view.findViewById(R.id.twentyGold).setOnClickListener(this);
        view.findViewById(R.id.fiftyGold).setOnClickListener(this);
        view.findViewById(R.id.ninetyGold).setOnClickListener(this);
        ShapeTextView shapeTextView = (ShapeTextView) view.findViewById(R.id.rewardBut);
        this.rewardBut = shapeTextView;
        shapeTextView.setOnClickListener(this);
        view.findViewById(R.id.closeView).setOnClickListener(new b(this));
        this.editGold = (EditText) view.findViewById(R.id.editGold);
        this.viewModel.a().e(getViewLifecycleOwner(), new d.i.a.g.a(this));
        this.editGold.addTextChangedListener(new TextWatcher() {
            /* class com.grass.mh.dialog.BottomRewardDialog.AnonymousClass1 */

            public void afterTextChanged(Editable editable) {
                if (BottomRewardDialog.this.tempView != null) {
                    BottomRewardDialog.this.goldNum = 0;
                    BottomRewardDialog.this.tempView.setSolidColor(R.color.white_10);
                    BottomRewardDialog.this.tempView = null;
                }
            }

            public void beforeTextChanged(CharSequence charSequence, int i2, int i3, int i4) {
            }

            public void onTextChanged(CharSequence charSequence, int i2, int i3, int i4) {
            }
        });
        ViewUtils.setLeftDrawable(this.editGold, R.drawable.ic_gold, 20);
        view.findViewById(R.id.oneGold).performClick();
    }

    public void showDialog(FragmentManager fragmentManager, String str, a aVar) {
        this.callback = aVar;
        super.show(fragmentManager, str);
    }
}
