package com.grass.mh.dialog;

import android.app.Dialog;
import android.content.Intent;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.view.WindowManager;
import android.widget.ImageView;
import androidx.fragment.app.DialogFragment;
import androidx.fragment.app.FragmentManager;
import androidx.lifecycle.ViewModelProvider;
import b.o.a.a;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.bean.VideoBean;
import com.androidx.lv.base.model.UserInfoModel;
import com.androidx.lv.base.utils.UiUtils;
import com.grass.mh.ui.mine.activity.VipMemberActivity;
import java.util.Objects;

public class CommonPlayBottomDialog extends DialogFragment {
    public VideoBean bean;
    private boolean clickLimit = true;
    public ImageView imageView;
    private long lastClickTime;
    public UserInfoModel model;

    private void initView(View view) {
        view.findViewById(R.id.tv_cancel).setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.dialog.CommonPlayBottomDialog.AnonymousClass2 */

            public void onClick(View view) {
                CommonPlayBottomDialog.this.dismiss();
            }
        });
        view.findViewById(R.id.tv_vip).setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.dialog.CommonPlayBottomDialog.AnonymousClass3 */

            public void onClick(View view) {
                if (!CommonPlayBottomDialog.this.isOnClick()) {
                    CommonPlayBottomDialog.this.startActivity(new Intent(CommonPlayBottomDialog.this.getContext(), VipMemberActivity.class));
                    CommonPlayBottomDialog.this.dismiss();
                }
            }
        });
    }

    public static CommonPlayBottomDialog newInstance() {
        Bundle bundle = new Bundle();
        CommonPlayBottomDialog commonPlayBottomDialog = new CommonPlayBottomDialog();
        commonPlayBottomDialog.setArguments(bundle);
        return commonPlayBottomDialog;
    }

    @Override // androidx.fragment.app.DialogFragment
    public void dismiss() {
        dismissAllowingStateLoss();
    }

    public boolean isOnClick() {
        long currentTimeMillis = System.currentTimeMillis();
        long j2 = currentTimeMillis - this.lastClickTime;
        int i2 = (j2 > 1000 ? 1 : (j2 == 1000 ? 0 : -1));
        if (i2 > 0) {
            this.lastClickTime = currentTimeMillis;
        }
        return !this.clickLimit ? j2 < 0 : i2 <= 0;
    }

    @Override // androidx.fragment.app.Fragment
    public void onActivityCreated(Bundle bundle) {
        super.onActivityCreated(bundle);
        this.model = (UserInfoModel) new ViewModelProvider(this).a(UserInfoModel.class);
    }

    @Override // androidx.fragment.app.DialogFragment
    public Dialog onCreateDialog(Bundle bundle) {
        AnonymousClass1 r7 = new Dialog(requireActivity(), R.style.ForceUpdateAppDialog) {
            /* class com.grass.mh.dialog.CommonPlayBottomDialog.AnonymousClass1 */

            public void onBackPressed() {
                super.onBackPressed();
            }
        };
        Window window = r7.getWindow();
        Objects.requireNonNull(window);
        WindowManager.LayoutParams attributes = window.getAttributes();
        window.getDecorView().setPadding(UiUtils.dp2px(36), 0, UiUtils.dp2px(36), 0);
        attributes.width = -1;
        attributes.height = UiUtils.dp2px(300);
        window.setAttributes(attributes);
        r7.setCancelable(true);
        r7.setCanceledOnTouchOutside(true);
        return r7;
    }

    @Override // androidx.fragment.app.Fragment
    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        return layoutInflater.inflate(R.layout.dialog_common_play, viewGroup, false);
    }

    @Override // androidx.fragment.app.Fragment
    public void onViewCreated(View view, Bundle bundle) {
        super.onViewCreated(view, bundle);
        initView(view);
    }

    public void setData(VideoBean videoBean) {
        this.bean = videoBean;
    }

    @Override // androidx.fragment.app.DialogFragment
    public void show(FragmentManager fragmentManager, String str) {
        a aVar = new a(fragmentManager);
        aVar.h(0, this, str, 1);
        aVar.d();
    }
}
