package com.grass.mh.dialog;

import android.app.Activity;
import android.app.Dialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.net.Uri;
import android.os.Process;
import android.text.TextUtils;
import android.view.View;
import android.view.Window;
import android.view.WindowManager;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.bean.UserInfo;
import com.androidx.lv.base.utils.SpUtils;
import com.androidx.lv.base.utils.ToastUtils;
import com.lxj.xpopup.enums.PopupAnimation;
import com.lxj.xpopup.enums.PopupType;
import d.l.b.c.c;
import java.util.Objects;

public class DialogUpdate extends Dialog {
    private TextView btnConfirm;
    private boolean clickLimit = true;
    private String content;
    private long exitTime;
    private ImageView imageView;
    private boolean isForceUpdate;
    private long lastClickTime;
    private LinearLayout llClose;
    private String mUrl;
    private Context myContext;
    private TextView textView;
    private TextView textViewTitle;
    private String title;
    private VersionUpdateInterface versionUpdateInterface;

    public interface VersionUpdateInterface {
        void dismissDialog();

        void onConfirmClick();
    }

    public DialogUpdate(Context context, String str, String str2, String str3, boolean z, VersionUpdateInterface versionUpdateInterface2) {
        super(context, R.style.ForceUpdateAppDialog);
        setContentView(R.layout.dialog_version_update_layout);
        this.mUrl = str3;
        this.title = str;
        this.myContext = context;
        this.content = str2;
        this.isForceUpdate = z;
        this.versionUpdateInterface = versionUpdateInterface2;
        final UserInfo userInfo = SpUtils.getInstance().getUserInfo();
        Window window = getWindow();
        WindowManager.LayoutParams attributes = window.getAttributes();
        attributes.gravity = 17;
        attributes.width = (int) (((double) window.getWindowManager().getDefaultDisplay().getWidth()) * 0.76d);
        window.setAttributes(attributes);
        if (this.isForceUpdate) {
            setCancelable(false);
            setCanceledOnTouchOutside(false);
        } else {
            setCancelable(true);
            setCanceledOnTouchOutside(true);
        }
        this.textViewTitle = (TextView) findViewById(R.id.dialog_version_update_title);
        this.textView = (TextView) findViewById(R.id.dialog_version_update_content);
        ((TextView) findViewById(R.id.tv_go_account)).setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.dialog.DialogUpdate.AnonymousClass1 */

            public void onClick(View view) {
                if (!DialogUpdate.this.isOnClick()) {
                    Context unused = DialogUpdate.this.myContext;
                    c cVar = new c();
                    cVar.f12219b = PopupAnimation.ScaleAlphaFromCenter;
                    cVar.f12218a = Boolean.TRUE;
                    IdentifyCardDialog identifyCardDialog = new IdentifyCardDialog(DialogUpdate.this.myContext, userInfo);
                    PopupType popupType = PopupType.Center;
                    Objects.requireNonNull(cVar);
                    identifyCardDialog.popupInfo = cVar;
                    identifyCardDialog.show();
                }
            }
        });
        findViewById(R.id.ll_close).setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.dialog.DialogUpdate.AnonymousClass2 */

            public void onClick(View view) {
                DialogUpdate.this.dismiss();
            }
        });
        TextView textView2 = (TextView) findViewById(R.id.dialog_version_update_confirm_btn);
        this.btnConfirm = textView2;
        textView2.setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.dialog.DialogUpdate.AnonymousClass3 */

            public void onClick(View view) {
                if (TextUtils.isEmpty(DialogUpdate.this.mUrl)) {
                    DialogUpdate.this.isForceUpdate();
                    ToastUtils.getInstance().showWeak("無效下載鏈接");
                } else if (DialogUpdate.this.mUrl.startsWith("http")) {
                    try {
                        Intent intent = new Intent();
                        intent.setAction("android.intent.action.VIEW");
                        intent.setData(Uri.parse(DialogUpdate.this.mUrl));
                        DialogUpdate.this.getContext().startActivity(intent);
                    } catch (Exception e2) {
                        e2.printStackTrace();
                    }
                    DialogUpdate.this.isForceUpdate();
                } else {
                    DialogUpdate.this.isForceUpdate();
                    ToastUtils.getInstance().showWeak("下載鏈接非法");
                }
            }
        });
        initData();
        setOnDismissListener(new DialogInterface.OnDismissListener() {
            /* class com.grass.mh.dialog.DialogUpdate.AnonymousClass4 */

            public void onDismiss(DialogInterface dialogInterface) {
                if (!DialogUpdate.this.isForceUpdate && DialogUpdate.this.versionUpdateInterface != null) {
                    DialogUpdate.this.versionUpdateInterface.dismissDialog();
                }
            }
        });
    }

    private void initData() {
        if (TextUtils.isEmpty(this.content)) {
            dismiss();
            return;
        }
        this.textView.setText(this.content);
        if (TextUtils.isEmpty(this.title)) {
            dismiss();
        } else {
            this.textViewTitle.setText(this.title);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void isForceUpdate() {
        if (this.isForceUpdate) {
            Process.killProcess(Process.myPid());
            System.exit(1);
            return;
        }
        dismiss();
    }

    private void onBackPressedBtn() {
        if (System.currentTimeMillis() - this.exitTime > 1000) {
            this.exitTime = System.currentTimeMillis();
        } else if (getContext() != null) {
            ((Activity) getContext()).finish();
        }
    }

    public boolean isOnClick() {
        long currentTimeMillis = System.currentTimeMillis();
        long j2 = currentTimeMillis - this.lastClickTime;
        int i2 = (j2 > 1000 ? 1 : (j2 == 1000 ? 0 : -1));
        if (i2 > 0) {
            this.lastClickTime = currentTimeMillis;
        }
        return !this.clickLimit ? j2 < 0 : i2 <= 0;
    }

    public void onBackPressed() {
        if (this.isForceUpdate) {
            onBackPressedBtn();
        } else {
            super.onBackPressed();
        }
    }
}
