package com.grass.mh.dialog;

import android.app.Activity;
import android.app.Dialog;
import android.content.Context;
import android.os.Bundle;
import android.view.View;
import android.view.Window;
import android.view.WindowManager;
import android.widget.TextView;
import androidx.fragment.app.FragmentManager;
import b.o.a.a;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.bean.VideoBean;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.utils.NetUtil;
import com.androidx.lv.base.utils.ToastUtils;
import com.google.android.material.bottomsheet.BottomSheetBehavior;
import com.google.android.material.bottomsheet.BottomSheetDialog;
import com.google.android.material.bottomsheet.BottomSheetDialogFragment;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.request.PostRequest;
import d.c.a.a.d.b;
import d.c.a.a.d.c;
import java.lang.reflect.Field;
import org.json.JSONObject;

public class GoldPlayBottomDialog extends BottomSheetDialogFragment {
    private VideoBean bean;
    private int btnType;
    private BuyInterFace buyInterFace;
    private LoadingDialog loadingDialog;
    private TextView tv_buy;
    private TextView tv_price;
    private View view;

    public interface BuyInterFace {
        void buySuccess(VideoBean videoBean);
    }

    private void buyVideo() {
        if (!NetUtil.isNetworkAvailable()) {
        }
    }

    private void initData() {
        if (this.bean != null) {
            TextView textView = this.tv_price;
            textView.setText(this.bean.getPrice() + "");
        }
    }

    private void initView(View view2) {
        this.loadingDialog = LoadingDialog.newInstance();
        this.tv_price = (TextView) view2.findViewById(R.id.tv_price);
        TextView textView = (TextView) view2.findViewById(R.id.tv_buy);
        this.tv_buy = textView;
        textView.setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.dialog.GoldPlayBottomDialog.AnonymousClass1 */

            public void onClick(View view) {
                GoldPlayBottomDialog.this.videoBuy();
            }
        });
        view2.findViewById(R.id.iv_close).setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.dialog.GoldPlayBottomDialog.AnonymousClass2 */

            public void onClick(View view) {
                GoldPlayBottomDialog.this.dismiss();
            }
        });
    }

    public static GoldPlayBottomDialog newInstance() {
        Bundle bundle = new Bundle();
        GoldPlayBottomDialog goldPlayBottomDialog = new GoldPlayBottomDialog();
        goldPlayBottomDialog.setArguments(bundle);
        return goldPlayBottomDialog;
    }

    @Override // com.google.android.material.bottomsheet.BottomSheetDialogFragment, androidx.fragment.app.DialogFragment
    public void dismiss() {
        dismissAllowingStateLoss();
    }

    @Override // androidx.fragment.app.Fragment
    public void onActivityCreated(Bundle bundle) {
        super.onActivityCreated(bundle);
        initView(this.view);
        initData();
    }

    @Override // androidx.appcompat.app.AppCompatDialogFragment, com.google.android.material.bottomsheet.BottomSheetDialogFragment, androidx.fragment.app.DialogFragment
    public Dialog onCreateDialog(Bundle bundle) {
        BottomSheetDialog bottomSheetDialog = (BottomSheetDialog) super.onCreateDialog(bundle);
        View inflate = View.inflate(getContext(), R.layout.dialog_gold_play, null);
        this.view = inflate;
        bottomSheetDialog.setContentView(inflate);
        ((View) this.view.getParent()).setBackgroundColor(getResources().getColor(17170445));
        bottomSheetDialog.getWindow().findViewById(R.id.design_bottom_sheet).setBackgroundResource(17170445);
        BottomSheetBehavior.H((View) this.view.getParent());
        return bottomSheetDialog;
    }

    public void setBuyInterFace(BuyInterFace buyInterFace2) {
        this.buyInterFace = buyInterFace2;
    }

    public void setData(VideoBean videoBean) {
        this.bean = videoBean;
    }

    @Override // androidx.fragment.app.DialogFragment
    public void show(FragmentManager fragmentManager, String str) {
        TextView textView = this.tv_buy;
        if (textView != null) {
            textView.setText(str);
        }
        try {
            Class<?> cls = Class.forName("androidx.fragment.app.DialogFragment");
            Field declaredField = cls.getDeclaredField("mDismissed");
            declaredField.setAccessible(true);
            declaredField.setBoolean(this, false);
            Field declaredField2 = cls.getDeclaredField("mShownByMe");
            declaredField2.setAccessible(true);
            declaredField2.setBoolean(this, true);
            a aVar = new a(fragmentManager);
            aVar.h(0, this, str, 1);
            aVar.d();
        } catch (Exception unused) {
        }
    }

    public void videoBuy() {
        this.loadingDialog.show(getFragmentManager(), "loading");
        b.b().a("videoId", Integer.valueOf(this.bean.getVideoId()));
        JSONObject jSONObject = b.f7653b;
        String B = c.b.f7655a.B();
        AnonymousClass3 r2 = new d.c.a.a.d.d.a<BaseRes<Integer>>("videoBuy") {
            /* class com.grass.mh.dialog.GoldPlayBottomDialog.AnonymousClass3 */

            public void onLvSuccess(BaseRes<Integer> baseRes) {
                if (GoldPlayBottomDialog.this.loadingDialog != null) {
                    GoldPlayBottomDialog.this.loadingDialog.dismiss();
                }
                GoldPlayBottomDialog.this.dismiss();
                if (baseRes.getCode() == 200) {
                    ToastUtils.getInstance().showCorrect("购买成功");
                    GoldPlayBottomDialog.this.bean.setCanWatch(true);
                    GoldPlayBottomDialog.this.buyInterFace.buySuccess(GoldPlayBottomDialog.this.bean);
                } else if (baseRes.getCode() == 1019) {
                    Context context = GoldPlayBottomDialog.this.getContext();
                    BuyGoldDialog buyGoldDialog = new BuyGoldDialog(context);
                    if (!((Activity) context).isFinishing()) {
                        buyGoldDialog.show();
                        Window window = buyGoldDialog.getWindow();
                        window.getDecorView().setPadding(0, 0, 0, 0);
                        WindowManager.LayoutParams attributes = window.getAttributes();
                        attributes.width = -1;
                        attributes.height = -2;
                        window.setAttributes(attributes);
                    }
                } else {
                    ToastUtils.getInstance().showWrong(baseRes.getMsg());
                }
            }
        };
        ((PostRequest) ((PostRequest) ((PostRequest) d.a.a.a.a.c(jSONObject, d.a.a.a.a.F(B, "_"), (PostRequest) new PostRequest(B).tag(r2.getTag()))).upJson(jSONObject)).cacheMode(CacheMode.NO_CACHE)).execute(r2);
    }
}
