package com.grass.mh.dialog;

import android.annotation.SuppressLint;
import android.content.Context;
import android.graphics.Bitmap;
import android.os.Build;
import android.text.TextUtils;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.fragment.app.FragmentActivity;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.bean.UserInfo;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.utils.DeviceIDUtils;
import com.androidx.lv.base.utils.ImageUtil;
import com.androidx.lv.base.utils.QRCodeUtil;
import com.androidx.lv.base.utils.SpUtils;
import com.androidx.lv.base.utils.ToastUtils;
import com.grass.mh.bean.ShareLinkBean;
import com.lxj.xpopup.core.CenterPopupView;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.request.GetRequest;
import com.tbruyelle.rxpermissions2.RxPermissions;
import d.a.a.a.a;
import d.c.a.a.d.c;
import f.a.b0.g;
import io.reactivex.internal.functions.Functions;

public class IdentifyCardDialog extends CenterPopupView {
    public Context context;
    public ImageView ivQrCode;
    public LinearLayout rootView;
    public TextView tvCardID;
    public TextView tvCardName;
    public TextView tvSaveImg;
    public TextView tvUrl;

    public IdentifyCardDialog(Context context2, UserInfo userInfo) {
        super(context2);
        this.context = context2;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @SuppressLint({"CheckResult"})
    private void requestPermission(final Bitmap bitmap) {
        if (Build.VERSION.SDK_INT >= 23) {
            new RxPermissions((FragmentActivity) this.context).request("android.permission.WRITE_EXTERNAL_STORAGE").i(new g<Boolean>() {
                /* class com.grass.mh.dialog.IdentifyCardDialog.AnonymousClass3 */

                public void accept(Boolean bool) {
                    if (bool.booleanValue()) {
                        ImageUtil.saveImageToGallery(IdentifyCardDialog.this.context, bitmap);
                    } else {
                        ToastUtils.getInstance().showSigh("未授權權限，請在設置中允許權限");
                    }
                }
            }, Functions.f13358e, Functions.f13356c, Functions.f13357d);
        } else {
            ImageUtil.saveImageToGallery(this.context, bitmap);
        }
    }

    @Override // com.lxj.xpopup.core.BasePopupView, com.lxj.xpopup.core.CenterPopupView
    public int getImplLayoutId() {
        return R.layout.dialog_idcard_layout;
    }

    public void getShareLink() {
        String i2 = a.i(c.b.f7655a, new StringBuilder(), "/api/user/shared/link");
        AnonymousClass2 r1 = new d.c.a.a.d.d.a<BaseRes<ShareLinkBean>>("ShareLink") {
            /* class com.grass.mh.dialog.IdentifyCardDialog.AnonymousClass2 */

            @Override // d.m.a.d.b, d.c.a.a.d.d.a, d.m.a.d.a
            public void onError(d.m.a.h.a<BaseRes<ShareLinkBean>> aVar) {
                super.onError(aVar);
            }

            public void onLvSuccess(BaseRes<ShareLinkBean> baseRes) {
                if (200 == baseRes.getCode() && !TextUtils.isEmpty(baseRes.getData().getUrl())) {
                    TextView textView = IdentifyCardDialog.this.tvUrl;
                    textView.setText(baseRes.getData().getUrl() + "");
                }
            }
        };
        ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(i2).tag(r1.getTag())).cacheKey(i2)).cacheMode(CacheMode.NO_CACHE)).execute(r1);
    }

    @Override // com.lxj.xpopup.core.BasePopupView
    public void onCreate() {
        super.onCreate();
        this.tvCardName = (TextView) findViewById(R.id.tv_card_name);
        this.tvCardID = (TextView) findViewById(R.id.tv_card_id);
        this.ivQrCode = (ImageView) findViewById(R.id.iv_qr_code);
        this.tvUrl = (TextView) findViewById(R.id.tv_url);
        this.tvSaveImg = (TextView) findViewById(R.id.tv_save_img);
        this.rootView = (LinearLayout) findViewById(R.id.root_view);
        UserInfo userInfo = SpUtils.getInstance().getUserInfo();
        StringBuilder F = a.F(DeviceIDUtils.getUniqueId(this.context), "*");
        F.append(userInfo.getUserId());
        this.ivQrCode.setImageBitmap(QRCodeUtil.createQRCode(F.toString(), 400));
        TextView textView = this.tvCardName;
        textView.setText(userInfo.getNickName() + "");
        TextView textView2 = this.tvCardID;
        textView2.setText(userInfo.getUserId() + "");
        getShareLink();
        this.tvSaveImg.setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.dialog.IdentifyCardDialog.AnonymousClass1 */

            public void onClick(View view) {
                IdentifyCardDialog identifyCardDialog = IdentifyCardDialog.this;
                LinearLayout linearLayout = identifyCardDialog.rootView;
                identifyCardDialog.requestPermission(QRCodeUtil.loadBitmapFromView(linearLayout, linearLayout.getHeight()));
            }
        });
    }
}
