package com.grass.mh.dialog;

import android.app.Dialog;
import android.content.Context;
import android.text.Spannable;
import android.text.TextPaint;
import android.text.TextUtils;
import android.text.method.LinkMovementMethod;
import android.text.style.URLSpan;
import android.view.View;
import android.view.Window;
import android.view.WindowManager;
import android.widget.TextView;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.bean.NoticeBean;
import com.androidx.lv.base.utils.SpUtils;

public class NoticeDialog extends Dialog {
    private String content;
    private Context myContext;
    private NoticeBean noticeBean;
    private TextView textView = ((TextView) findViewById(R.id.dialog_notice_content));

    public static class URLSpanNoUnderline extends URLSpan {
        public static final /* synthetic */ boolean $assertionsDisabled = false;

        public URLSpanNoUnderline(String str) {
            super(str);
        }

        public void updateDrawState(TextPaint textPaint) {
            super.updateDrawState(textPaint);
            textPaint.setUnderlineText(false);
        }
    }

    public NoticeDialog(Context context, String str) {
        super(context, R.style.ForceUpdateAppDialog);
        setContentView(R.layout.dialog_notice_layout);
        this.content = str;
        this.myContext = context;
        SpUtils.getInstance().getUserInfo();
        Window window = getWindow();
        WindowManager.LayoutParams attributes = window.getAttributes();
        attributes.gravity = 17;
        attributes.width = (int) (((double) window.getWindowManager().getDefaultDisplay().getWidth()) * 0.76d);
        window.setAttributes(attributes);
        setCancelable(true);
        setCanceledOnTouchOutside(true);
        if (TextUtils.isEmpty(this.content)) {
            dismiss();
            return;
        }
        this.textView.setText(this.content);
        stripUnderlines(this.textView);
        findViewById(R.id.dialog_notice_confirm_btn).setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.dialog.NoticeDialog.AnonymousClass1 */

            public void onClick(View view) {
                NoticeDialog.this.dismiss();
            }
        });
        findViewById(R.id.ll_close).setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.dialog.NoticeDialog.AnonymousClass2 */

            public void onClick(View view) {
                NoticeDialog.this.dismiss();
            }
        });
        ((TextView) findViewById(R.id.dialog_notice_app)).setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.dialog.NoticeDialog.AnonymousClass3 */

            public void onClick(View view) {
                NoticeDialog.this.dismiss();
            }
        });
    }

    private void stripUnderlines(TextView textView2) {
        if (textView2 != null && (textView2.getText() instanceof Spannable)) {
            Spannable spannable = (Spannable) textView2.getText();
            URLSpan[] uRLSpanArr = (URLSpan[]) spannable.getSpans(0, spannable.length(), URLSpan.class);
            for (URLSpan uRLSpan : uRLSpanArr) {
                int spanStart = spannable.getSpanStart(uRLSpan);
                int spanEnd = spannable.getSpanEnd(uRLSpan);
                spannable.removeSpan(uRLSpan);
                spannable.setSpan(new URLSpanNoUnderline(uRLSpan.getURL()), spanStart, spanEnd, 0);
            }
            textView2.setAutoLinkMask(0);
            textView2.setText(spannable);
            textView2.setMovementMethod(LinkMovementMethod.getInstance());
        }
    }

    public void setData(NoticeBean noticeBean2) {
        this.noticeBean = noticeBean2;
    }
}
