package com.grass.mh.dialog;

import android.app.Dialog;
import android.content.Context;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.Window;
import android.view.WindowManager;
import b.l.d;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.bean.UserAccount;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.utils.NetUtil;
import com.androidx.lv.base.utils.SpUtils;
import com.androidx.lv.base.utils.ToastUtils;
import com.androidx.lv.base.utils.UiUtils;
import com.grass.mh.bean.RechargeBean;
import com.grass.mh.bean.VipTypeBean;
import com.grass.mh.databinding.DialogPayBottomLayoutBinding;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.request.GetRequest;
import d.c.a.a.d.c;
import d.c.a.a.d.d.a;
import d.i.a.h.d0;
import java.util.Iterator;
import java.util.List;
import k.b.a.c;

public class PayDialog extends Dialog {
    private RechargeBean bean;
    private boolean clickLimit = true;
    private long lastClickTime;
    private List<VipTypeBean> list;
    private DialogPayBottomLayoutBinding payBinding;
    private UserAccount userAccount;

    public class OnClicks {
        public OnClicks() {
        }

        public void commitPay() {
            if (!PayDialog.this.isOnClick()) {
                if (!NetUtil.isNetworkAvailable()) {
                    ToastUtils.getInstance().showWeak(UiUtils.getString(R.string.hit_no_net));
                } else if (PayDialog.this.bean.getRechType() == -1) {
                    ToastUtils.getInstance().showSigh("請選擇支付型別");
                } else if (PayDialog.this.bean.getMoney().equals("0")) {
                    ToastUtils.getInstance().showSigh("請選擇購買商品");
                } else if (PayDialog.this.bean.getRechType() != 0 || PayDialog.this.userAccount.getBala() >= Double.parseDouble(PayDialog.this.bean.getMoney())) {
                    c.b().f(new d0(PayDialog.this.bean));
                } else {
                    ToastUtils.getInstance().showSigh("余額不足");
                }
            }
        }

        public void switchPay(int i2) {
            PayDialog.this.bean.setRechType(i2);
            int i3 = 0;
            if (i2 == 0 && PayDialog.this.userAccount.getBala() < ((double) Integer.valueOf(PayDialog.this.bean.getMoney()).intValue())) {
                i3 = 1;
            }
            PayDialog.this.payBinding.e(Integer.valueOf(i3));
        }
    }

    public PayDialog(Context context, RechargeBean rechargeBean, UserAccount userAccount2, List<VipTypeBean> list2) {
        super(context, R.style.ForceUpdateAppDialog);
        DialogPayBottomLayoutBinding dialogPayBottomLayoutBinding = (DialogPayBottomLayoutBinding) d.c(LayoutInflater.from(getContext()), R.layout.dialog_pay_bottom_layout, null, false);
        this.payBinding = dialogPayBottomLayoutBinding;
        setContentView(dialogPayBottomLayoutBinding.getRoot());
        this.bean = rechargeBean;
        this.userAccount = userAccount2;
        this.list = list2;
        Window window = getWindow();
        WindowManager.LayoutParams attributes = window.getAttributes();
        attributes.gravity = 80;
        attributes.width = -1;
        attributes.height = -2;
        window.setAttributes(attributes);
        setCancelable(false);
        setCanceledOnTouchOutside(true);
    }

    public boolean isOnClick() {
        long currentTimeMillis = System.currentTimeMillis();
        long j2 = currentTimeMillis - this.lastClickTime;
        int i2 = (j2 > 1000 ? 1 : (j2 == 1000 ? 0 : -1));
        if (i2 > 0) {
            this.lastClickTime = currentTimeMillis;
        }
        return !this.clickLimit ? j2 < 0 : i2 <= 0;
    }

    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        this.payBinding.d(new OnClicks());
        this.payBinding.c(this.bean);
        this.payBinding.f(this.userAccount);
        setVipType(this.list);
        String A = c.b.f7655a.A();
        AnonymousClass1 r0 = new a<BaseRes<UserAccount>>("") {
            /* class com.grass.mh.dialog.PayDialog.AnonymousClass1 */

            public void onLvSuccess(BaseRes<UserAccount> baseRes) {
                SpUtils.getInstance().setUserAccount(baseRes.getData());
                PayDialog.this.payBinding.f(baseRes.getData());
            }
        };
        ((GetRequest) ((GetRequest) new GetRequest(A).tag(r0.getTag())).cacheMode(CacheMode.NO_CACHE)).execute(r0);
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    /* JADX WARNING: Code restructure failed: missing block: B:11:0x004c, code lost:
        if (r7.equals("1003") == false) goto L_0x0044;
     */
    public void setVipType(List<VipTypeBean> list2) {
        int i2 = 0;
        this.payBinding.b(0);
        this.payBinding.g(0);
        this.payBinding.h(0);
        if (list2 == null || list2.size() <= 0) {
            this.bean.setRechType(0);
            if (this.userAccount.getBala() < ((double) Integer.valueOf(this.bean.getMoney()).intValue())) {
                i2 = 1;
            }
            this.payBinding.e(Integer.valueOf(i2));
            return;
        }
        Iterator<VipTypeBean> it = list2.iterator();
        boolean z = false;
        boolean z2 = false;
        boolean z3 = false;
        while (true) {
            char c2 = 2;
            if (it.hasNext()) {
                String payMent = it.next().getPayMent();
                payMent.hashCode();
                switch (payMent.hashCode()) {
                    case 1507424:
                        if (payMent.equals("1001")) {
                            c2 = 0;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case 1507425:
                        if (payMent.equals("1002")) {
                            c2 = 1;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case 1507426:
                        break;
                    default:
                        c2 = 65535;
                        break;
                }
                switch (c2) {
                    case 0:
                        this.payBinding.b(1);
                        z = true;
                        break;
                    case 1:
                        this.payBinding.g(1);
                        z2 = true;
                        break;
                    case 2:
                        this.payBinding.h(1);
                        z3 = true;
                        break;
                }
            } else if (z) {
                this.bean.setRechType(1);
                this.payBinding.e(0);
                return;
            } else if (z2) {
                this.bean.setRechType(2);
                this.payBinding.e(0);
                return;
            } else if (z3) {
                this.bean.setRechType(3);
                this.payBinding.e(0);
                return;
            } else {
                this.bean.setRechType(0);
                if (this.userAccount.getBala() < ((double) Integer.valueOf(this.bean.getMoney()).intValue())) {
                    i2 = 1;
                }
                this.payBinding.e(Integer.valueOf(i2));
                return;
            }
        }
    }
}
