package com.grass.mh.dialog;

import android.app.Activity;
import android.app.Dialog;
import android.content.Context;
import android.os.Bundle;
import android.util.DisplayMetrics;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.view.WindowManager;
import android.widget.TextView;
import androidx.fragment.app.DialogFragment;
import androidx.fragment.app.FragmentManager;
import b.o.a.a;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.utils.ToastUtils;
import com.grass.mh.bean.PhotoVideoBean;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.request.PostRequest;
import d.c.a.a.d.b;
import d.c.a.a.d.c;
import org.json.JSONObject;

public class PhotoGoldPlayBottomDialog extends DialogFragment {
    private PhotoVideoBean.PhotoVideoData bean;
    private BuyInterFace buyInterFace;
    private LoadingDialog loadingDialog;
    private TextView tv_gold_buy;

    public interface BuyInterFace {
        void buySuccess(PhotoVideoBean.PhotoVideoData photoVideoData);
    }

    private void initData() {
        if (this.bean != null) {
            TextView textView = this.tv_gold_buy;
            textView.setText(this.bean.getPrice() + "金币购买");
        }
    }

    private void initView(View view) {
    }

    public static PhotoGoldPlayBottomDialog newInstance() {
        Bundle bundle = new Bundle();
        PhotoGoldPlayBottomDialog photoGoldPlayBottomDialog = new PhotoGoldPlayBottomDialog();
        photoGoldPlayBottomDialog.setArguments(bundle);
        return photoGoldPlayBottomDialog;
    }

    @Override // androidx.fragment.app.DialogFragment
    public void dismiss() {
        dismissAllowingStateLoss();
    }

    @Override // androidx.fragment.app.Fragment
    public void onActivityCreated(Bundle bundle) {
        super.onActivityCreated(bundle);
        initData();
    }

    @Override // androidx.fragment.app.DialogFragment
    public Dialog onCreateDialog(Bundle bundle) {
        AnonymousClass1 r3 = new Dialog(getActivity(), R.style.ForceUpdateAppDialog) {
            /* class com.grass.mh.dialog.PhotoGoldPlayBottomDialog.AnonymousClass1 */

            public void onBackPressed() {
                super.onBackPressed();
            }
        };
        r3.setCancelable(true);
        r3.setCanceledOnTouchOutside(true);
        return r3;
    }

    @Override // androidx.fragment.app.Fragment
    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        return layoutInflater.inflate(R.layout.dialog_gold_play, viewGroup, false);
    }

    @Override // androidx.fragment.app.Fragment, androidx.fragment.app.DialogFragment
    public void onStart() {
        super.onStart();
        Dialog dialog = getDialog();
        if (dialog != null) {
            DisplayMetrics displayMetrics = new DisplayMetrics();
            getActivity().getWindowManager().getDefaultDisplay().getMetrics(displayMetrics);
            dialog.getWindow().setLayout((int) (((double) displayMetrics.widthPixels) * 0.8d), -2);
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onViewCreated(View view, Bundle bundle) {
        super.onViewCreated(view, bundle);
        this.loadingDialog = LoadingDialog.newInstance();
        TextView textView = (TextView) view.findViewById(R.id.tv_buy);
        this.tv_gold_buy = textView;
        textView.setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.dialog.PhotoGoldPlayBottomDialog.AnonymousClass2 */

            public void onClick(View view) {
                PhotoGoldPlayBottomDialog.this.videoBuy();
            }
        });
        view.findViewById(R.id.iv_close).setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.dialog.PhotoGoldPlayBottomDialog.AnonymousClass3 */

            public void onClick(View view) {
                PhotoGoldPlayBottomDialog.this.dismiss();
            }
        });
    }

    public void setBuyInterFace(BuyInterFace buyInterFace2) {
        this.buyInterFace = buyInterFace2;
    }

    public void setData(PhotoVideoBean.PhotoVideoData photoVideoData) {
        this.bean = photoVideoData;
    }

    @Override // androidx.fragment.app.DialogFragment
    public void show(FragmentManager fragmentManager, String str) {
        a aVar = new a(fragmentManager);
        aVar.h(0, this, str, 1);
        aVar.d();
    }

    public void videoBuy() {
        this.loadingDialog.show(getFragmentManager(), "loading");
        b.b().a("portrayVideoId", Integer.valueOf(this.bean.getPortrayVideoId()));
        JSONObject jSONObject = b.f7653b;
        String i2 = d.a.a.a.a.i(c.b.f7655a, new StringBuilder(), "/api/tran/pur/portrayVideo");
        AnonymousClass4 r2 = new d.c.a.a.d.d.a<BaseRes<Integer>>("videoBuy") {
            /* class com.grass.mh.dialog.PhotoGoldPlayBottomDialog.AnonymousClass4 */

            public void onLvSuccess(BaseRes<Integer> baseRes) {
                if (PhotoGoldPlayBottomDialog.this.loadingDialog != null) {
                    PhotoGoldPlayBottomDialog.this.loadingDialog.dismiss();
                }
                PhotoGoldPlayBottomDialog.this.dismiss();
                if (baseRes.getCode() == 200) {
                    ToastUtils.getInstance().showCorrect("购买成功");
                    PhotoGoldPlayBottomDialog.this.bean.setCanWatch(true);
                    PhotoGoldPlayBottomDialog.this.buyInterFace.buySuccess(PhotoGoldPlayBottomDialog.this.bean);
                } else if (baseRes.getCode() == 1019) {
                    Context context = PhotoGoldPlayBottomDialog.this.getContext();
                    BuyGoldDialog buyGoldDialog = new BuyGoldDialog(context);
                    if (!((Activity) context).isFinishing()) {
                        buyGoldDialog.show();
                        Window window = buyGoldDialog.getWindow();
                        window.getDecorView().setPadding(0, 0, 0, 0);
                        WindowManager.LayoutParams attributes = window.getAttributes();
                        attributes.width = -1;
                        attributes.height = -2;
                        window.setAttributes(attributes);
                    }
                } else {
                    ToastUtils.getInstance().showWrong(baseRes.getMsg());
                }
            }
        };
        ((PostRequest) ((PostRequest) ((PostRequest) d.a.a.a.a.c(jSONObject, d.a.a.a.a.F(i2, "_"), (PostRequest) new PostRequest(i2).tag(r2.getTag()))).upJson(jSONObject)).cacheMode(CacheMode.NO_CACHE)).execute(r2);
    }
}
