package com.grass.mh.dialog;

import android.app.Activity;
import android.app.Dialog;
import android.view.View;
import android.view.Window;
import android.view.WindowManager;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.utils.NetUtil;
import com.androidx.lv.base.view.StatusControlLayout;
import com.grass.mh.bean.DataListBean;
import com.grass.mh.bean.TopicInfoBean;
import com.grass.mh.ui.community.adapter.TopicAdapter;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.request.GetRequest;
import com.scwang.smartrefresh.layout.SmartRefreshLayout;
import d.c.a.a.d.c;
import d.c.a.a.d.d.a;
import d.i.a.g.c;
import d.i.a.g.d;
import d.o.a.b.b.i;
import d.o.a.b.f.b;
import java.util.List;

public class TopicDialog extends Dialog implements b {
    private TopicAdapter adapter;
    public OnTopicCallback onTopicCallback;
    private int page = 1;
    private RecyclerView recyclerView;
    private SmartRefreshLayout refresh;
    private StatusControlLayout statusLayout;

    public interface OnTopicCallback {
        void onTopicClick(TopicInfoBean topicInfoBean);
    }

    public TopicDialog(Activity activity) {
        super(activity, R.style.custom_dialog_style);
        setContentView(R.layout.dialog_topic);
        setCanceledOnTouchOutside(true);
        setCancelable(true);
        Window window = getWindow();
        window.getDecorView().setPadding(0, 0, 0, 0);
        WindowManager.LayoutParams attributes = window.getAttributes();
        attributes.width = -1;
        attributes.height = -2;
        window.setAttributes(attributes);
        window.getDecorView().setBackgroundColor(0);
        window.setGravity(80);
        window.setWindowAnimations(R.style.dialog_window_anim_bottom);
        this.refresh = (SmartRefreshLayout) findViewById(R.id.refresh);
        this.recyclerView = (RecyclerView) findViewById(R.id.recyclerView);
        this.statusLayout = (StatusControlLayout) findViewById(R.id.statusLayout);
        this.refresh.v(this);
        this.refresh.L = false;
        this.recyclerView.setLayoutManager(new LinearLayoutManager(getContext()));
        TopicAdapter topicAdapter = new TopicAdapter(false);
        this.adapter = topicAdapter;
        this.recyclerView.setAdapter(topicAdapter);
        this.adapter.f4120b = new d(this);
        findViewById(R.id.cancelView).setOnClickListener(new c(this));
        refreshData();
    }

    private void refreshData() {
        List<D> list;
        if (this.page == 1) {
            TopicAdapter topicAdapter = this.adapter;
            if (!(topicAdapter == null || (list = topicAdapter.f4119a) == null || list.size() <= 0)) {
                this.adapter.clear();
            }
            if (!NetUtil.isNetworkAvailable()) {
                this.statusLayout.showNoNet();
                return;
            }
            this.statusLayout.showLoading();
        }
        String z = c.b.f7655a.z(this.page);
        AnonymousClass1 r1 = new a<BaseRes<DataListBean<TopicInfoBean>>>("topicList") {
            /* class com.grass.mh.dialog.TopicDialog.AnonymousClass1 */

            public void onLvSuccess(BaseRes<DataListBean<TopicInfoBean>> baseRes) {
                TopicDialog.this.statusLayout.hideLoading();
                TopicDialog.this.refresh.k();
                TopicDialog.this.refresh.h();
                if (baseRes.getCode() == 200) {
                    if (baseRes.getData() != null && baseRes.getData().getData().size() > 0) {
                        List<TopicInfoBean> data = baseRes.getData().getData();
                        if (TopicDialog.this.page == 1) {
                            TopicDialog.this.adapter.d(data);
                            TopicDialog.this.refresh.u(false);
                            return;
                        }
                        TopicDialog.this.adapter.f(data);
                    } else if (TopicDialog.this.page == 1) {
                        TopicDialog.this.statusLayout.showEmpty();
                        TopicDialog.this.refresh.m();
                        TopicDialog.this.refresh.j();
                    } else {
                        TopicDialog.this.refresh.j();
                    }
                } else if (TopicDialog.this.page == 1) {
                    TopicDialog.this.statusLayout.showError();
                    TopicDialog.this.refresh.m();
                    TopicDialog.this.refresh.j();
                }
            }
        };
        ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(z).tag(r1.getTag())).cacheKey(z)).cacheMode(CacheMode.NO_CACHE)).execute(r1);
    }

    public /* synthetic */ void a(View view, int i2) {
        OnTopicCallback onTopicCallback2 = this.onTopicCallback;
        if (onTopicCallback2 != null) {
            onTopicCallback2.onTopicClick((TopicInfoBean) this.adapter.b(i2));
        }
        dismiss();
    }

    @Override // d.o.a.b.f.b
    public void onLoadMore(i iVar) {
        this.page++;
        refreshData();
    }

    public void setTopicClick(OnTopicCallback onTopicCallback2) {
        this.onTopicCallback = onTopicCallback2;
    }

    public void show(Activity activity) {
        if (!activity.isFinishing()) {
            show();
        }
    }
}
