package com.grass.mh.ui.community.fragment;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import androidx.recyclerview.widget.LinearLayoutManager;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.bean.TagListBean;
import com.androidx.lv.base.bean.UserInfo;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.ui.LazyFragment;
import com.androidx.lv.base.utils.AdUtils;
import com.androidx.lv.base.utils.NetUtil;
import com.androidx.lv.base.utils.SpUtils;
import com.androidx.lv.base.utils.ToastUtils;
import com.grass.mh.bean.DataListBean;
import com.grass.mh.bean.PostsBean;
import com.grass.mh.bean.SearchOtherBean;
import com.grass.mh.bean.TopicInfoBean;
import com.grass.mh.databinding.FragmentCommunityPostBinding;
import com.grass.mh.ui.comment.CommentFragment;
import com.grass.mh.ui.community.adapter.CommunityPostAdapter;
import com.grass.mh.ui.home.BloggerUserHomeActivity;
import com.grass.mh.ui.home.SearchHotTagMoreActivity;
import com.grass.mh.ui.mine.activity.ShareActivity;
import com.grass.mh.viewmodel.CommunityViewModel;
import com.luck.picture.lib.config.PictureConfig;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.model.HttpParams;
import com.lzy.okgo.request.GetRequest;
import com.lzy.okgo.request.PostRequest;
import d.c.a.a.d.c;
import d.i.a.k.t.p2.a0;
import d.i.a.k.t.p2.b0;
import d.i.a.k.t.p2.e;
import d.i.a.k.t.p2.f;
import d.o.a.b.b.i;
import java.util.List;
import java.util.Objects;
import org.json.JSONObject;
import tv.danmaku.ijk.media.player.IjkMediaMeta;

public class CommunityPostFragment extends LazyFragment<FragmentCommunityPostBinding> implements d.o.a.b.f.c, d.o.a.b.f.b {
    public static final /* synthetic */ int n = 0;
    public int o = 1;
    public int p;
    public int q;
    public String r;
    public String s;
    public UserInfo t;
    public CommunityPostAdapter u;
    public CommunityViewModel v;
    public CommentFragment w;
    public int x;

    public class a implements CommunityPostAdapter.a {
        public a() {
        }

        public void a(View view, PostsBean postsBean, int i2) {
            CommunityPostFragment.this.x = i2;
            switch (view.getId()) {
                case R.id.avatarView /*{ENCODED_INT: 2131296385}*/:
                    Intent intent = new Intent(CommunityPostFragment.this.getActivity(), BloggerUserHomeActivity.class);
                    intent.putExtra("userId", postsBean.getUserId());
                    CommunityPostFragment.this.startActivity(intent);
                    return;
                case R.id.commentView /*{ENCODED_INT: 2131296481}*/:
                    CommentFragment commentFragment = CommunityPostFragment.this.w;
                    int dynamicId = postsBean.getDynamicId();
                    int commentNum = postsBean.getCommentNum();
                    commentFragment.f6350h = dynamicId;
                    commentFragment.r = commentNum;
                    commentFragment.s = i2;
                    CommunityPostFragment communityPostFragment = CommunityPostFragment.this;
                    communityPostFragment.w.show(communityPostFragment.getChildFragmentManager(), "commentDialog");
                    return;
                case R.id.followView /*{ENCODED_INT: 2131296634}*/:
                    CommunityPostFragment.this.v.a(postsBean);
                    CommunityPostFragment.this.u.notifyItemChanged(i2, 0);
                    return;
                case R.id.moreView /*{ENCODED_INT: 2131297018}*/:
                    CommunityPostFragment communityPostFragment2 = CommunityPostFragment.this;
                    if (!communityPostFragment2.isOnClick()) {
                        Intent intent2 = new Intent();
                        intent2.putExtra("title", "ACFAN热议".toString());
                        intent2.setClass(communityPostFragment2.requireContext(), SearchHotTagMoreActivity.class);
                        communityPostFragment2.startActivity(intent2);
                        return;
                    }
                    return;
                case R.id.praiseView /*{ENCODED_INT: 2131297124}*/:
                    CommunityPostFragment.this.v.d(postsBean);
                    CommunityPostFragment.this.u.notifyItemChanged(i2, 0);
                    return;
                case R.id.shareView /*{ENCODED_INT: 2131297253}*/:
                    CommunityPostFragment.this.startActivity(new Intent(view.getContext(), ShareActivity.class));
                    return;
                default:
                    return;
            }
        }

        public void b(View view, PostsBean postsBean, int i2, int i3, boolean z, boolean z2) {
            switch (view.getId()) {
                case R.id.txtView1 /*{ENCODED_INT: 2131297686}*/:
                    boolean z3 = !z2 ? 1 : 0;
                    postsBean.setTopSortNum(z3 ? 1 : 0);
                    postsBean.notifyChange();
                    CommunityPostFragment.this.u.notifyItemChanged(i2, 0);
                    CommunityPostFragment.n(CommunityPostFragment.this, 1, i3, z, z3);
                    return;
                case R.id.txtView2 /*{ENCODED_INT: 2131297687}*/:
                    boolean z4 = !z;
                    postsBean.setSecret(z4);
                    postsBean.notifyChange();
                    CommunityPostFragment.this.u.notifyItemChanged(i2, 0);
                    CommunityPostFragment.n(CommunityPostFragment.this, 2, i3, z4, z2);
                    return;
                default:
                    return;
            }
        }
    }

    public class b extends d.c.a.a.d.d.a<BaseRes<SearchOtherBean>> {
        public b(String str) {
            super(str);
        }

        @Override // d.c.a.a.d.d.b
        public void onLvSuccess(Object obj) {
            List<TagListBean> hotWord;
            BaseRes baseRes = (BaseRes) obj;
            T t = CommunityPostFragment.this.f4157k;
            if (t != null) {
                ((FragmentCommunityPostBinding) t).f5801j.hideLoading();
                ((FragmentCommunityPostBinding) CommunityPostFragment.this.f4157k).f5800h.k();
                ((FragmentCommunityPostBinding) CommunityPostFragment.this.f4157k).f5800h.h();
                if (baseRes.getCode() != 200) {
                    CommunityPostFragment communityPostFragment = CommunityPostFragment.this;
                    if (communityPostFragment.o == 1) {
                        ((FragmentCommunityPostBinding) communityPostFragment.f4157k).f5801j.showError();
                        ((FragmentCommunityPostBinding) CommunityPostFragment.this.f4157k).f5800h.m();
                        ((FragmentCommunityPostBinding) CommunityPostFragment.this.f4157k).f5800h.j();
                        return;
                    }
                    ToastUtils.getInstance().showWeak(baseRes.getMsg());
                } else if (baseRes.getData() == null || ((SearchOtherBean) baseRes.getData()).getDynamicList() == null || ((SearchOtherBean) baseRes.getData()).getDynamicList().size() <= 0) {
                    CommunityPostFragment communityPostFragment2 = CommunityPostFragment.this;
                    if (communityPostFragment2.o == 1) {
                        ((FragmentCommunityPostBinding) communityPostFragment2.f4157k).f5801j.showEmpty();
                        ((FragmentCommunityPostBinding) CommunityPostFragment.this.f4157k).f5800h.m();
                        ((FragmentCommunityPostBinding) CommunityPostFragment.this.f4157k).f5800h.j();
                        return;
                    }
                    ((FragmentCommunityPostBinding) communityPostFragment2.f4157k).f5800h.j();
                } else {
                    List<PostsBean> dynamicList = ((SearchOtherBean) baseRes.getData()).getDynamicList();
                    int i2 = 0;
                    if (CommunityPostFragment.this.p == 7 && (hotWord = SpUtils.getInstance().getHotWord()) != null) {
                        int i3 = 0;
                        int i4 = 0;
                        while (i3 < dynamicList.size()) {
                            if (i4 == 5) {
                                dynamicList.add(i3, new PostsBean("", "", 0, 0, 0, 0, 0, false, "", false, 0, false, "", 0, "", "", "", 0, 0, 0, "", null, hotWord, 5, Integer.valueOf(i2), 0, 0, 0, false, false, 0, "", "", "", "", "", 0, false, null, 0, null, null, null, 0, 0, 0, 0, 0, 0, false, false, false, null, null, null));
                                i4 = 0;
                            } else {
                                i4++;
                            }
                            i3++;
                            i2 = 0;
                        }
                    }
                    CommunityPostFragment communityPostFragment3 = CommunityPostFragment.this;
                    if (communityPostFragment3.o == 1) {
                        communityPostFragment3.u.d(dynamicList);
                        ((FragmentCommunityPostBinding) CommunityPostFragment.this.f4157k).f5800h.u(false);
                        return;
                    }
                    communityPostFragment3.u.f(dynamicList);
                }
            }
        }
    }

    public class c extends d.c.a.a.d.d.a<BaseRes<TopicInfoBean>> {
        public c(String str) {
            super(str);
        }

        @Override // d.c.a.a.d.d.b
        public void onLvSuccess(Object obj) {
            List<PostsBean> list;
            BaseRes baseRes = (BaseRes) obj;
            T t = CommunityPostFragment.this.f4157k;
            if (t != null) {
                ((FragmentCommunityPostBinding) t).f5801j.hideLoading();
                ((FragmentCommunityPostBinding) CommunityPostFragment.this.f4157k).f5800h.k();
                ((FragmentCommunityPostBinding) CommunityPostFragment.this.f4157k).f5800h.h();
                if (baseRes.getCode() == 200) {
                    TopicInfoBean topicInfoBean = (TopicInfoBean) baseRes.getData();
                    if (topicInfoBean == null || (list = topicInfoBean.dynamicList) == null || list.size() <= 0) {
                        CommunityPostFragment communityPostFragment = CommunityPostFragment.this;
                        if (communityPostFragment.o == 1) {
                            ((FragmentCommunityPostBinding) communityPostFragment.f4157k).f5801j.showEmpty();
                            ((FragmentCommunityPostBinding) CommunityPostFragment.this.f4157k).f5800h.m();
                            return;
                        }
                        ((FragmentCommunityPostBinding) communityPostFragment.f4157k).f5800h.j();
                        return;
                    }
                    List<PostsBean> list2 = topicInfoBean.dynamicList;
                    CommunityPostFragment communityPostFragment2 = CommunityPostFragment.this;
                    if (communityPostFragment2.o == 1) {
                        communityPostFragment2.u.d(list2);
                        ((FragmentCommunityPostBinding) CommunityPostFragment.this.f4157k).f5800h.u(false);
                        return;
                    }
                    communityPostFragment2.u.f(list2);
                    return;
                }
                CommunityPostFragment communityPostFragment3 = CommunityPostFragment.this;
                if (communityPostFragment3.o == 1) {
                    ((FragmentCommunityPostBinding) communityPostFragment3.f4157k).f5801j.showError();
                } else {
                    ToastUtils.getInstance().showWeak(baseRes.getMsg());
                }
            }
        }
    }

    public class d extends d.c.a.a.d.d.a<BaseRes<DataListBean<PostsBean>>> {
        public d(String str) {
            super(str);
        }

        @Override // d.c.a.a.d.d.b
        public void onLvSuccess(Object obj) {
            List<TagListBean> hotWord;
            int i2;
            BaseRes baseRes = (BaseRes) obj;
            T t = CommunityPostFragment.this.f4157k;
            if (t != null) {
                ((FragmentCommunityPostBinding) t).f5801j.hideLoading();
                ((FragmentCommunityPostBinding) CommunityPostFragment.this.f4157k).f5800h.k();
                ((FragmentCommunityPostBinding) CommunityPostFragment.this.f4157k).f5800h.h();
                if (baseRes.getCode() != 200) {
                    CommunityPostFragment communityPostFragment = CommunityPostFragment.this;
                    if (communityPostFragment.o == 1) {
                        ((FragmentCommunityPostBinding) communityPostFragment.f4157k).f5801j.showError();
                    } else {
                        ToastUtils.getInstance().showWeak(baseRes.getMsg());
                    }
                } else if (baseRes.getData() == null || ((DataListBean) baseRes.getData()).getData().size() <= 0) {
                    CommunityPostFragment communityPostFragment2 = CommunityPostFragment.this;
                    if (communityPostFragment2.o == 1) {
                        ((FragmentCommunityPostBinding) communityPostFragment2.f4157k).f5801j.showEmpty();
                        ((FragmentCommunityPostBinding) CommunityPostFragment.this.f4157k).f5800h.m();
                        return;
                    }
                    ((FragmentCommunityPostBinding) communityPostFragment2.f4157k).f5800h.j();
                } else {
                    List data = ((DataListBean) baseRes.getData()).getData();
                    int i3 = 0;
                    if (CommunityPostFragment.this.p == 1) {
                        int adIntervalNum = AdUtils.getInstance().getAdIntervalNum("DYNAMIC_INSERT");
                        if (AdUtils.getInstance().getAdWeight("DYNAMIC_INSERT") != null) {
                            int i4 = 0;
                            for (int i5 = 0; i5 < data.size(); i5++) {
                                if (i4 == adIntervalNum) {
                                    data.add(i5, new PostsBean("", "", 0, 0, 0, 0, 0, false, "", false, 0, false, "", 0, "", "", "", 0, 0, 0, "", null, null, 4, 0, 0, 0, 0, false, false, 0, "", "", "", "", "", 0, false, null, 0, null, null, AdUtils.getInstance().getAdWeight("DYNAMIC_INSERT"), 0, 0, 0, 0, 1, 0, false, false, false, null, null, null));
                                    i4 = 0;
                                } else {
                                    i4++;
                                }
                            }
                        }
                    }
                    int i6 = CommunityPostFragment.this.p;
                    if ((i6 == 1 || i6 == 2 || i6 == 3) && (hotWord = SpUtils.getInstance().getHotWord()) != null) {
                        int i7 = 0;
                        int i8 = 0;
                        while (i8 < data.size()) {
                            if (i7 == 5) {
                                i2 = i8;
                                data.add(i2, new PostsBean("", "", 0, 0, 0, 0, 0, false, "", false, 0, false, "", 0, "", "", "", 0, 0, 0, "", null, hotWord, 5, Integer.valueOf(i3), 0, 0, 0, false, false, 0, "", "", "", "", "", 0, false, null, 0, null, null, null, 0, 0, 0, 0, 0, 0, false, false, false, null, null, null));
                                i7 = 0;
                            } else {
                                i2 = i8;
                                i7++;
                            }
                            i8 = i2 + 1;
                            i3 = 0;
                        }
                    }
                    CommunityPostFragment communityPostFragment3 = CommunityPostFragment.this;
                    if (communityPostFragment3.o == 1) {
                        communityPostFragment3.u.d(data);
                        ((FragmentCommunityPostBinding) CommunityPostFragment.this.f4157k).f5800h.u(false);
                        return;
                    }
                    communityPostFragment3.u.f(data);
                }
            }
        }
    }

    public static void n(CommunityPostFragment communityPostFragment, int i2, int i3, boolean z, boolean z2) {
        Objects.requireNonNull(communityPostFragment);
        String i4 = d.a.a.a.a.i(c.b.f7655a, new StringBuilder(), "/api/community/dynamic/upDynamicStatus");
        JSONObject jSONObject = null;
        if (i2 == 1) {
            d.c.a.a.d.b b2 = d.c.a.a.d.b.b();
            b2.a("dynamicId", Integer.valueOf(i3));
            b2.a("top", Boolean.valueOf(z2));
            jSONObject = d.c.a.a.d.b.f7653b;
        } else if (i2 == 2) {
            d.c.a.a.d.b b3 = d.c.a.a.d.b.b();
            b3.a("dynamicId", Integer.valueOf(i3));
            b3.a("secret", Boolean.valueOf(z));
            jSONObject = d.c.a.a.d.b.f7653b;
        }
        b0 b0Var = new b0(communityPostFragment, "dynamicStatus");
        ((PostRequest) ((PostRequest) ((PostRequest) d.a.a.a.a.c(jSONObject, d.a.a.a.a.F(i4, "_"), (PostRequest) new PostRequest(i4).tag(b0Var.getTag()))).upJson(jSONObject)).cacheMode(CacheMode.NO_CACHE)).execute(b0Var);
    }

    public static CommunityPostFragment o(int i2) {
        Bundle bundle = new Bundle();
        bundle.putInt(IjkMediaMeta.IJKM_KEY_TYPE, i2);
        CommunityPostFragment communityPostFragment = new CommunityPostFragment();
        communityPostFragment.setArguments(bundle);
        return communityPostFragment;
    }

    public static CommunityPostFragment p(int i2, int i3, int i4) {
        Bundle bundle = new Bundle();
        bundle.putInt(IjkMediaMeta.IJKM_KEY_TYPE, i2);
        bundle.putInt("userId", i3);
        bundle.putInt("featuredOrFans", i4);
        CommunityPostFragment communityPostFragment = new CommunityPostFragment();
        communityPostFragment.setArguments(bundle);
        return communityPostFragment;
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public void l() {
        this.t = SpUtils.getInstance().getUserInfo();
        this.w = new CommentFragment();
        this.v = new CommunityViewModel();
        ((FragmentCommunityPostBinding) this.f4157k).f5800h.v(this);
        T t2 = this.f4157k;
        ((FragmentCommunityPostBinding) t2).f5800h.L = true;
        ((FragmentCommunityPostBinding) t2).f5800h.l0 = this;
        ((FragmentCommunityPostBinding) t2).f5799d.setLayoutManager(new LinearLayoutManager(getContext()));
        CommunityPostAdapter communityPostAdapter = new CommunityPostAdapter();
        this.u = communityPostAdapter;
        ((FragmentCommunityPostBinding) this.f4157k).f5799d.setAdapter(communityPostAdapter);
        CommunityPostAdapter communityPostAdapter2 = this.u;
        communityPostAdapter2.f6425c = this.p;
        communityPostAdapter2.f4120b = new d.i.a.k.t.p2.c(this);
        communityPostAdapter2.f6429g = new f(this);
        communityPostAdapter2.f6428f = new a();
        ((FragmentCommunityPostBinding) this.f4157k).f5801j.setOnRetryListener(new e(this));
        q();
        this.v.f7238a.e(this, new d.i.a.k.t.p2.d(this));
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public int m() {
        return R.layout.fragment_community_post;
    }

    @Override // androidx.fragment.app.Fragment
    public void onActivityResult(int i2, int i3, Intent intent) {
        super.onActivityResult(i2, i3, intent);
        if (i2 == 10001 && i3 == -1 && intent != null) {
            ((PostsBean) this.u.b(this.x)).setAttention(intent.getBooleanExtra("isAttention", false));
            ((PostsBean) this.u.b(this.x)).setCommentNum(intent.getIntExtra("commentNum", 0));
            this.u.notifyItemChanged(this.x, 0);
            r();
        }
    }

    @Override // com.androidx.lv.base.ui.ImmersionFragment, androidx.fragment.app.Fragment
    public void onDestroy() {
        super.onDestroy();
        d.p.a.c.g();
    }

    @Override // d.o.a.b.f.b
    public void onLoadMore(i iVar) {
        this.o++;
        q();
    }

    @Override // com.androidx.lv.base.ui.ImmersionFragment, androidx.fragment.app.Fragment
    public void onPause() {
        super.onPause();
        d.p.a.c.f();
    }

    @Override // d.o.a.b.f.c
    public void onRefresh(i iVar) {
        this.o = 1;
        q();
    }

    @Override // com.androidx.lv.base.ui.ImmersionFragment, androidx.fragment.app.Fragment
    public void onResume() {
        super.onResume();
        String D = c.b.f7655a.D();
        Objects.requireNonNull(d.c.a.a.d.b.b());
        JSONObject jSONObject = d.c.a.a.d.b.f7653b;
        a0 a0Var = new a0(this, "userInfo");
        ((PostRequest) ((PostRequest) ((PostRequest) d.a.a.a.a.c(jSONObject, d.a.a.a.a.F(D, "_"), (PostRequest) new PostRequest(D).tag(a0Var.getTag()))).upJson(jSONObject)).cacheMode(CacheMode.NO_CACHE)).execute(a0Var);
        if (d.p.a.c.d().listener() != null) {
            d.p.a.c.d().listener().onVideoResume();
        }
    }

    public final void q() {
        if (this.o != 1 || NetUtil.isNetworkAvailable()) {
            HttpParams httpParams = new HttpParams();
            if (this.p == 2) {
                httpParams.put("loadType", 1, new boolean[0]);
            }
            if (this.p == 3) {
                httpParams.put("loadType", 2, new boolean[0]);
            }
            int i2 = this.p;
            if (i2 == 4 || i2 == 5) {
                httpParams.put("userId", this.q, new boolean[0]);
            }
            if (this.p == 8) {
                httpParams.put("id", this.s, new boolean[0]);
            }
            httpParams.put(PictureConfig.EXTRA_PAGE, this.o, new boolean[0]);
            httpParams.put("pageSize", 20, new boolean[0]);
            String str = null;
            int i3 = this.p;
            if (i3 == 1 || i3 == 2 || i3 == 3) {
                str = d.a.a.a.a.i(c.b.f7655a, new StringBuilder(), "/api/community/dynamic/list");
            } else if (i3 == 4 || i3 == 5) {
                str = d.a.a.a.a.i(c.b.f7655a, new StringBuilder(), "/api/community/dynamic/person/list");
            } else if (i3 == 6) {
                str = d.a.a.a.a.i(c.b.f7655a, new StringBuilder(), "/api/community/dynamic/person/likelist");
            } else if (i3 == 7) {
                str = c.b.f7655a.r(this.o, this.r, 3);
            } else if (i3 == 8) {
                str = d.a.a.a.a.i(c.b.f7655a, new StringBuilder(), "/api/coterie/coterieListByCoterId");
            }
            int i4 = this.p;
            if (i4 == 7) {
                b bVar = new b("dynamicList");
                ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(str).tag(bVar.getTag())).cacheKey(str)).cacheMode(CacheMode.NO_CACHE)).execute(bVar);
            } else if (i4 == 8) {
                c cVar = new c("dynamicList");
                ((GetRequest) ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(str).tag(cVar.getTag())).cacheKey(str)).params(httpParams)).cacheMode(CacheMode.NO_CACHE)).execute(cVar);
            } else {
                d dVar = new d("dynamicList");
                ((GetRequest) ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(str).tag(dVar.getTag())).cacheKey(str)).params(httpParams)).cacheMode(CacheMode.NO_CACHE)).execute(dVar);
            }
        } else {
            ((FragmentCommunityPostBinding) this.f4157k).f5801j.showNoNet();
        }
    }

    public final void r() {
        PostsBean postsBean = (PostsBean) this.u.b(this.x);
        for (D d2 : this.u.f4119a) {
            if (d2.getUserId() == postsBean.getUserId()) {
                d2.setAttention(postsBean.isAttention());
            }
        }
        this.u.notifyDataSetChanged();
    }

    @Override // androidx.fragment.app.Fragment
    public void setArguments(Bundle bundle) {
        super.setArguments(bundle);
        if (bundle != null) {
            this.p = bundle.getInt(IjkMediaMeta.IJKM_KEY_TYPE);
            this.q = bundle.getInt("userId");
            this.r = bundle.getString("searchWord");
            this.s = bundle.getString("id");
        }
    }
}
