package com.grass.mh.utils;

import android.app.Activity;
import android.content.Context;
import android.os.Environment;
import b.o.a.n;
import com.androidx.lv.base.utils.ToastUtils;
import com.maning.updatelibrary.InstallUtils;
import d.a.a.a.a;
import java.io.File;
import java.text.DecimalFormat;
import tv.danmaku.ijk.media.player.IjkMediaMeta;

public class DownloadApkUtil {
    public static final String APK_DOWNLOAD_PATH;
    private static DownloadApkUtil mUpdateVerUtil;
    private static File updateFile;

    public interface OnProgressListener {
        void onComplete();

        void onFail();

        void onProgress(int i2);
    }

    static {
        StringBuilder B = a.B("/Android/data/");
        B.append(n.f3649f.getPackageName());
        B.append("/apk/");
        APK_DOWNLOAD_PATH = B.toString();
    }

    public static String convertFileSize(long j2) {
        if (j2 >= IjkMediaMeta.AV_CH_STEREO_RIGHT) {
            return String.format("%.1f GB", Float.valueOf(((float) j2) / ((float) IjkMediaMeta.AV_CH_STEREO_RIGHT)));
        } else if (j2 >= 1048576) {
            float f2 = ((float) j2) / ((float) 1048576);
            return String.format(f2 > 100.0f ? "%.0f M" : "%.1f M", Float.valueOf(f2));
        } else if (j2 >= 1024) {
            float f3 = ((float) j2) / ((float) 1024);
            return String.format(f3 > 100.0f ? "%.0f KB" : "%.1f KB", Float.valueOf(f3));
        } else {
            return String.format("%d B", Long.valueOf(j2));
        }
    }

    public static DownloadApkUtil getInstance() {
        if (mUpdateVerUtil == null) {
            mUpdateVerUtil = new DownloadApkUtil();
        }
        return mUpdateVerUtil;
    }

    public static String getSDCardPath() {
        return (Environment.getExternalStorageState().equals("mounted") ? Environment.getExternalStorageDirectory() : null).toString();
    }

    public void downLoad(final Context context, String str) {
        File file = new File(getSDCardPath() + APK_DOWNLOAD_PATH);
        updateFile = file;
        if (!file.exists()) {
            try {
                updateFile.mkdirs();
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
        File[] listFiles = updateFile.listFiles();
        if (listFiles.length != 0) {
            for (File file2 : listFiles) {
                file2.delete();
            }
        }
        File file3 = new File(updateFile, str.substring(str.lastIndexOf("/") + 1));
        updateFile = file3;
        try {
            if (file3.exists()) {
                updateFile.delete();
            }
            InstallUtils.with(context).setApkUrl(str).setApkPath(updateFile.getPath()).setCallBack(new InstallUtils.DownloadCallBack() {
                /* class com.grass.mh.utils.DownloadApkUtil.AnonymousClass1 */

                @Override // com.maning.updatelibrary.InstallUtils.DownloadCallBack
                public void cancle() {
                }

                @Override // com.maning.updatelibrary.InstallUtils.DownloadCallBack
                public void onComplete(String str) {
                    InstallUtils.installAPK((Activity) context, str, new InstallUtils.InstallCallBack() {
                        /* class com.grass.mh.utils.DownloadApkUtil.AnonymousClass1.AnonymousClass1 */

                        @Override // com.maning.updatelibrary.InstallUtils.InstallCallBack
                        public void onFail(Exception exc) {
                        }

                        @Override // com.maning.updatelibrary.InstallUtils.InstallCallBack
                        public void onSuccess() {
                        }
                    });
                }

                @Override // com.maning.updatelibrary.InstallUtils.DownloadCallBack
                public void onFail(Exception exc) {
                    ToastUtils.getInstance().showWeak("下载失败");
                }

                @Override // com.maning.updatelibrary.InstallUtils.DownloadCallBack
                public void onLoading(long j2, long j3) {
                    int parseFloat = ((int) (Float.parseFloat(new DecimalFormat("0.00").format((((double) j3) * 1.0d) / ((double) j2))) * 100.0f)) + 3;
                }

                @Override // com.maning.updatelibrary.InstallUtils.DownloadCallBack
                public void onStart() {
                }
            }).startDownload();
        } catch (Exception e3) {
            e3.printStackTrace();
        }
    }

    public void downLoad(final Context context, String str, final OnProgressListener onProgressListener) {
        File file = new File(getSDCardPath() + APK_DOWNLOAD_PATH);
        updateFile = file;
        if (!file.exists()) {
            try {
                updateFile.mkdirs();
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
        File[] listFiles = updateFile.listFiles();
        if (listFiles.length != 0) {
            for (File file2 : listFiles) {
                file2.delete();
            }
        }
        File file3 = new File(updateFile, str.substring(str.lastIndexOf("/") + 1));
        updateFile = file3;
        try {
            if (file3.exists()) {
                updateFile.delete();
            }
            InstallUtils.with(context).setApkUrl(str).setApkPath(updateFile.getPath()).setCallBack(new InstallUtils.DownloadCallBack() {
                /* class com.grass.mh.utils.DownloadApkUtil.AnonymousClass2 */

                @Override // com.maning.updatelibrary.InstallUtils.DownloadCallBack
                public void cancle() {
                }

                @Override // com.maning.updatelibrary.InstallUtils.DownloadCallBack
                public void onComplete(String str) {
                    onProgressListener.onComplete();
                    InstallUtils.installAPK((Activity) context, str, new InstallUtils.InstallCallBack() {
                        /* class com.grass.mh.utils.DownloadApkUtil.AnonymousClass2.AnonymousClass1 */

                        @Override // com.maning.updatelibrary.InstallUtils.InstallCallBack
                        public void onFail(Exception exc) {
                        }

                        @Override // com.maning.updatelibrary.InstallUtils.InstallCallBack
                        public void onSuccess() {
                        }
                    });
                }

                @Override // com.maning.updatelibrary.InstallUtils.DownloadCallBack
                public void onFail(Exception exc) {
                    ToastUtils.getInstance().showWeak("下载失败");
                    onProgressListener.onFail();
                }

                @Override // com.maning.updatelibrary.InstallUtils.DownloadCallBack
                public void onLoading(long j2, long j3) {
                    int parseFloat = ((int) (Float.parseFloat(new DecimalFormat("0.00").format((((double) j3) * 1.0d) / ((double) j2))) * 100.0f)) + 3;
                    if (parseFloat > 96) {
                        parseFloat = 97;
                    }
                    onProgressListener.onProgress(parseFloat);
                }

                @Override // com.maning.updatelibrary.InstallUtils.DownloadCallBack
                public void onStart() {
                }
            }).startDownload();
        } catch (Exception e3) {
            e3.printStackTrace();
        }
    }
}
