package com.grass.mh.utils;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.text.TextUtils;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.view.WindowManager;
import android.widget.EditText;
import android.widget.LinearLayout;
import android.widget.PopupWindow;
import android.widget.TextView;
import androidx.constraintlayout.core.motion.utils.TypedValues;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.bean.VideoBean;
import com.androidx.lv.base.utils.UiUtils;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.listener.OnItemClickListener;
import com.grass.mh.bean.CoterieTopic;
import com.grass.mh.bean.EngagementBean;
import com.grass.mh.bean.FansTicketBean;
import com.grass.mh.bean.manga.MangaChapterTabBean;
import com.grass.mh.bean.manga.MangaInfoBean;
import com.grass.mh.player.VideoPlayerDialog;
import com.grass.mh.ui.community.adapter.TopicAdapter;
import com.grass.mh.ui.feature.MangaPicActivity;
import com.grass.mh.ui.feature.adapter.FansTicketAdapter;
import com.grass.mh.ui.feature.adapter.MangaChapterTabAdapter;
import com.grass.mh.ui.feature.adapter.MangaPicChapterAdapter;
import com.grass.mh.ui.mine.activity.VipMemberActivity;
import com.grass.mh.view.CustomDialog;
import com.grass.mh.view.TimePickerView;
import com.grass.mh.view.WheelTime;
import com.just.agentweb.WebIndicator;
import d.c.a.a.e.a;
import d.i.a.j.p;
import d.i.a.l.b;
import d.i.a.l.c;
import d.i.a.l.d;
import d.i.a.l.e;
import d.i.a.l.f;
import d.i.a.l.g;
import d.i.a.l.h;
import d.i.a.l.i;
import d.i.a.l.j;
import d.i.a.l.k;
import d.i.a.l.l;
import d.i.a.l.m;
import d.i.a.l.n;
import d.i.a.l.o;
import d.i.a.l.q;
import d.i.a.l.r;
import d.i.a.l.s;
import d.i.a.l.t;
import d.i.a.l.u;
import d.i.a.l.v;
import d.i.a.l.w;
import d.i.a.l.x;
import d.i.a.l.y;
import d.i.a.l.z;
import io.reactivex.internal.operators.completable.CompletableCreate;
import java.lang.ref.WeakReference;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import org.dsq.library.widget.circularmenu.anim.DefaultAnimationHandler;

public class FastDialogUtils {
    private static FastDialogUtils mFastDialogUtils;
    private boolean clickLimit = true;
    public List<MangaInfoBean.ChapterList> currentChapterList = new ArrayList();
    private boolean isOrder = false;
    private long lastClickTime;
    private PopupWindow mServicePopupWindow;
    public Map<Integer, List<MangaInfoBean.ChapterList>> splitListMap = new HashMap();

    public interface OnContactListener {
        void onContact(String str);
    }

    public interface OnDismissClickListener {
        void onDismissClick();
    }

    public interface OnFanTicketConfirmListener {
        void onFansTicketConfirm(FansTicketBean.FansTicketData fansTicketData);
    }

    public interface OnGoldPayClickCallback {
        void onGoldPayClick();
    }

    public interface OnMangaChapterSelectListener {
        void onMangaChapterSelect(int i2, int i3);
    }

    public interface OnTimeSelectListener {
        void onResSelect(String str);

        void onTimeSelect(String str);
    }

    public interface OnTopicCallback {
        void onTopicClick(CoterieTopic coterieTopic);
    }

    public static FastDialogUtils getInstance() {
        if (mFastDialogUtils == null) {
            mFastDialogUtils = new FastDialogUtils();
        }
        return mFastDialogUtils;
    }

    public void createComisFilterDialog(Activity activity) {
        CustomDialog customDialog = new CustomDialog(activity, R.style.custom_dialog_style, R.layout.dialog_comic_filter, true);
        customDialog.setCanceledOnTouchOutside(true);
        customDialog.setCancelable(true);
        if (!activity.isFinishing()) {
            customDialog.show();
            Window window = customDialog.getWindow();
            window.getDecorView().setPadding(0, 0, 0, 0);
            WindowManager.LayoutParams attributes = window.getAttributes();
            attributes.width = -1;
            attributes.height = -2;
            window.setAttributes(attributes);
        }
    }

    public void createCommentVipDialog(Context context) {
        CustomDialog customDialog = new CustomDialog(context, R.style.custom_dialog_style, R.layout.dialog_play_comment, false);
        customDialog.setCanceledOnTouchOutside(true);
        customDialog.setCancelable(true);
        customDialog.show();
        Window window = customDialog.getWindow();
        window.getDecorView().setPadding(0, 0, 0, 0);
        WindowManager.LayoutParams attributes = window.getAttributes();
        attributes.width = -1;
        attributes.height = -2;
        window.setAttributes(attributes);
        customDialog.findViewById(R.id.tv_submit).setOnClickListener(new i(this, context, customDialog));
        customDialog.findViewById(R.id.tv_cancel).setOnClickListener(new e(this, context, customDialog));
    }

    public void createCommonVipDialog(Context context, String str) {
        CustomDialog customDialog = new CustomDialog(context, R.style.custom_dialog_style, R.layout.dialog_play_vip, false);
        customDialog.setCanceledOnTouchOutside(true);
        customDialog.setCancelable(true);
        customDialog.show();
        Window window = customDialog.getWindow();
        window.getDecorView().setPadding(0, 0, 0, 0);
        WindowManager.LayoutParams attributes = window.getAttributes();
        attributes.width = -1;
        attributes.height = -2;
        window.setAttributes(attributes);
        customDialog.findViewById(R.id.tv_submit).setOnClickListener(new x(this, context, customDialog));
        customDialog.findViewById(R.id.tv_cancel).setOnClickListener(new u(customDialog));
    }

    public void createFansTicketDialog(Activity activity, List<FansTicketBean.FansTicketData> list, final OnFanTicketConfirmListener onFanTicketConfirmListener) {
        final CustomDialog customDialog = new CustomDialog(activity, R.style.custom_dialog_style, R.layout.dialog_fans_ticket, true);
        customDialog.setCanceledOnTouchOutside(true);
        customDialog.setCancelable(true);
        if (!activity.isFinishing()) {
            customDialog.show();
            Window window = customDialog.getWindow();
            window.getDecorView().setPadding(0, 0, 0, 0);
            WindowManager.LayoutParams attributes = window.getAttributes();
            attributes.width = -1;
            attributes.height = -2;
            window.setAttributes(attributes);
        }
        RecyclerView recyclerView = (RecyclerView) customDialog.findViewById(R.id.recycler);
        final FansTicketAdapter fansTicketAdapter = new FansTicketAdapter();
        recyclerView.setLayoutManager(new LinearLayoutManager(activity));
        recyclerView.setAdapter(fansTicketAdapter);
        fansTicketAdapter.d(list);
        fansTicketAdapter.f4120b = new a() {
            /* class com.grass.mh.utils.FastDialogUtils.AnonymousClass14 */

            @Override // d.c.a.a.e.a
            public void onItemClick(View view, int i2) {
                if (view.getId() == R.id.ll_commit) {
                    onFanTicketConfirmListener.onFansTicketConfirm((FansTicketBean.FansTicketData) fansTicketAdapter.b(i2));
                    customDialog.dismiss();
                }
            }
        };
        customDialog.findViewById(R.id.iv_close).setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.utils.FastDialogUtils.AnonymousClass15 */

            public void onClick(View view) {
                customDialog.dismiss();
            }
        });
    }

    public void createGoldDialog(Context context) {
        createGoldDialog(context, "购买失败", "金币不足暂时无法购买");
    }

    public void createGoldPayDialog(Activity activity, EngagementBean engagementBean, OnGoldPayClickCallback onGoldPayClickCallback) {
        CustomDialog customDialog = new CustomDialog(activity, R.style.custom_dialog_style, R.layout.dialog_gold_pay, true);
        customDialog.setCanceledOnTouchOutside(true);
        customDialog.setCancelable(true);
        int i2 = 0;
        if (!activity.isFinishing()) {
            customDialog.show();
            Window window = customDialog.getWindow();
            window.getDecorView().setPadding(0, 0, 0, 0);
            WindowManager.LayoutParams attributes = window.getAttributes();
            attributes.width = -1;
            attributes.height = -2;
            window.setAttributes(attributes);
        }
        TextView textView = (TextView) customDialog.findViewById(R.id.goldView);
        TextView textView2 = (TextView) customDialog.findViewById(R.id.priceGoldView);
        if (engagementBean != null) {
            i2 = engagementBean.getUnlockGold();
        }
        textView.setText("撩她需要支付" + i2 + "金币，确认支付吗？");
        StringBuilder sb = new StringBuilder();
        sb.append(i2);
        sb.append("金币");
        textView2.setText(sb.toString());
        customDialog.findViewById(R.id.submitView).setOnClickListener(new z(onGoldPayClickCallback, customDialog));
        customDialog.findViewById(R.id.closeView).setOnClickListener(new g(customDialog));
    }

    public void createMangaChapterDialog(Activity activity, List<MangaInfoBean.ChapterList> list, OnMangaChapterSelectListener onMangaChapterSelectListener) {
        final CustomDialog customDialog = new CustomDialog(activity, R.style.custom_dialog_style, R.layout.dialog_manga_chapter, true);
        customDialog.setCanceledOnTouchOutside(true);
        customDialog.setCancelable(true);
        customDialog.show();
        Window window = customDialog.getWindow();
        window.getDecorView().setPadding(0, 0, 0, 0);
        WindowManager.LayoutParams attributes = window.getAttributes();
        attributes.width = -1;
        attributes.height = -2;
        window.setAttributes(attributes);
        RecyclerView recyclerView = (RecyclerView) customDialog.findViewById(R.id.recycler_chapter_tab);
        final MangaChapterTabAdapter mangaChapterTabAdapter = new MangaChapterTabAdapter();
        recyclerView.setLayoutManager(new LinearLayoutManager(activity, 0, false));
        recyclerView.setAdapter(mangaChapterTabAdapter);
        RecyclerView recyclerView2 = (RecyclerView) customDialog.findViewById(R.id.recycler_chapter);
        final MangaPicChapterAdapter mangaPicChapterAdapter = new MangaPicChapterAdapter();
        recyclerView2.setLayoutManager(new LinearLayoutManager(activity));
        recyclerView2.setAdapter(mangaPicChapterAdapter);
        mangaPicChapterAdapter.f4120b = new a() {
            /* class com.grass.mh.utils.FastDialogUtils.AnonymousClass16 */

            @Override // d.c.a.a.e.a
            public void onItemClick(View view, int i2) {
                if (!FastDialogUtils.this.isOnClick()) {
                    Intent intent = new Intent(view.getContext(), MangaPicActivity.class);
                    intent.putExtra("mangaId", ((MangaInfoBean.ChapterList) mangaPicChapterAdapter.b(i2)).getComicsId());
                    intent.putExtra("mangaChapterId", ((MangaInfoBean.ChapterList) mangaPicChapterAdapter.b(i2)).getChapterId());
                    view.getContext().startActivity(intent);
                }
            }
        };
        mangaChapterTabAdapter.setOnItemClickListener(new OnItemClickListener() {
            /* class com.grass.mh.utils.FastDialogUtils.AnonymousClass17 */

            @Override // com.chad.library.adapter.base.listener.OnItemClickListener
            public void onItemClick(BaseQuickAdapter<?, ?> baseQuickAdapter, View view, int i2) {
                List data = mangaChapterTabAdapter.getData();
                for (int i3 = 0; i3 < data.size(); i3++) {
                    if (((MangaChapterTabBean) data.get(i3)).getStart() == ((MangaChapterTabBean) data.get(i2)).getStart()) {
                        ((MangaChapterTabBean) data.get(i3)).setSelect(true);
                    } else {
                        ((MangaChapterTabBean) data.get(i3)).setSelect(false);
                    }
                }
                FastDialogUtils fastDialogUtils = FastDialogUtils.this;
                fastDialogUtils.currentChapterList = fastDialogUtils.splitListMap.get(Integer.valueOf(i2));
                if (FastDialogUtils.this.isOrder) {
                    Collections.reverse(FastDialogUtils.this.currentChapterList);
                    mangaPicChapterAdapter.d(FastDialogUtils.this.currentChapterList);
                } else {
                    mangaPicChapterAdapter.d(FastDialogUtils.this.currentChapterList);
                }
                mangaChapterTabAdapter.notifyDataSetChanged();
            }
        });
        if (!(list == null || list.size() == 0)) {
            this.splitListMap = splitList(list, 50);
            ArrayList arrayList = new ArrayList();
            for (int i2 = 0; i2 < this.splitListMap.size(); i2++) {
                switch (i2) {
                    case 0:
                        if (1 == this.splitListMap.size()) {
                            arrayList.add(new MangaChapterTabBean(1, list.size()));
                        } else {
                            d.a.a.a.a.K(1, 50, arrayList);
                        }
                        ((MangaChapterTabBean) arrayList.get(0)).setSelect(true);
                        List<MangaInfoBean.ChapterList> list2 = this.splitListMap.get(0);
                        this.currentChapterList = list2;
                        mangaPicChapterAdapter.d(list2);
                        break;
                    case 1:
                        if (2 == this.splitListMap.size()) {
                            arrayList.add(new MangaChapterTabBean(51, list.size()));
                            break;
                        } else {
                            d.a.a.a.a.K(51, 100, arrayList);
                            break;
                        }
                    case 2:
                        if (3 == this.splitListMap.size()) {
                            arrayList.add(new MangaChapterTabBean(101, list.size()));
                            break;
                        } else {
                            d.a.a.a.a.K(101, 150, arrayList);
                            break;
                        }
                    case 3:
                        if (4 == this.splitListMap.size()) {
                            arrayList.add(new MangaChapterTabBean(151, list.size()));
                            break;
                        } else {
                            d.a.a.a.a.K(151, 200, arrayList);
                            break;
                        }
                    case 4:
                        if (5 == this.splitListMap.size()) {
                            arrayList.add(new MangaChapterTabBean(201, list.size()));
                            break;
                        } else {
                            d.a.a.a.a.K(201, 250, arrayList);
                            break;
                        }
                    case 5:
                        if (6 == this.splitListMap.size()) {
                            arrayList.add(new MangaChapterTabBean(251, list.size()));
                            break;
                        } else {
                            d.a.a.a.a.K(251, 300, arrayList);
                            break;
                        }
                    case 6:
                        if (7 == this.splitListMap.size()) {
                            arrayList.add(new MangaChapterTabBean(301, list.size()));
                            break;
                        } else {
                            d.a.a.a.a.K(301, 350, arrayList);
                            break;
                        }
                    case 7:
                        if (8 == this.splitListMap.size()) {
                            arrayList.add(new MangaChapterTabBean(351, list.size()));
                            break;
                        } else {
                            d.a.a.a.a.K(351, 400, arrayList);
                            break;
                        }
                    case 8:
                        if (9 == this.splitListMap.size()) {
                            arrayList.add(new MangaChapterTabBean(TypedValues.Cycle.TYPE_CURVE_FIT, list.size()));
                            break;
                        } else {
                            d.a.a.a.a.K(TypedValues.Cycle.TYPE_CURVE_FIT, WebIndicator.MAX_DECELERATE_SPEED_DURATION, arrayList);
                            break;
                        }
                    case 9:
                        if (10 == this.splitListMap.size()) {
                            arrayList.add(new MangaChapterTabBean(451, list.size()));
                            break;
                        } else {
                            d.a.a.a.a.K(451, DefaultAnimationHandler.DURATION, arrayList);
                            break;
                        }
                }
            }
            mangaChapterTabAdapter.f6599a = this.isOrder;
            mangaChapterTabAdapter.setNewInstance(arrayList);
            final TextView textView = (TextView) customDialog.findViewById(R.id.tv_order);
            ((LinearLayout) customDialog.findViewById(R.id.ll_chapter_sort)).setOnClickListener(new View.OnClickListener() {
                /* class com.grass.mh.utils.FastDialogUtils.AnonymousClass18 */

                public void onClick(View view) {
                    FastDialogUtils fastDialogUtils = FastDialogUtils.this;
                    fastDialogUtils.isOrder = !fastDialogUtils.isOrder;
                    if (FastDialogUtils.this.isOrder) {
                        textView.setText("倒序");
                        Collections.reverse(FastDialogUtils.this.currentChapterList);
                        mangaPicChapterAdapter.d(FastDialogUtils.this.currentChapterList);
                    } else {
                        textView.setText("正序");
                        Collections.reverse(FastDialogUtils.this.currentChapterList);
                        mangaPicChapterAdapter.d(FastDialogUtils.this.currentChapterList);
                    }
                    mangaPicChapterAdapter.notifyDataSetChanged();
                    mangaChapterTabAdapter.f6599a = FastDialogUtils.this.isOrder;
                    mangaChapterTabAdapter.notifyDataSetChanged();
                }
            });
            customDialog.findViewById(R.id.iv_close).setOnClickListener(new View.OnClickListener() {
                /* class com.grass.mh.utils.FastDialogUtils.AnonymousClass19 */

                public void onClick(View view) {
                    customDialog.dismiss();
                }
            });
        }
    }

    public void createMangaChapterDialogTwo(Activity activity, List<MangaInfoBean.ChapterList> list, final OnMangaChapterSelectListener onMangaChapterSelectListener) {
        final CustomDialog customDialog = new CustomDialog(activity, R.style.custom_dialog_style, R.layout.dialog_manga_chapter, true);
        customDialog.setCanceledOnTouchOutside(true);
        customDialog.setCancelable(true);
        customDialog.show();
        Window window = customDialog.getWindow();
        window.getDecorView().setPadding(0, 0, 0, 0);
        WindowManager.LayoutParams attributes = window.getAttributes();
        attributes.width = -1;
        attributes.height = -2;
        window.setAttributes(attributes);
        RecyclerView recyclerView = (RecyclerView) customDialog.findViewById(R.id.recycler_chapter_tab);
        final MangaChapterTabAdapter mangaChapterTabAdapter = new MangaChapterTabAdapter();
        recyclerView.setLayoutManager(new LinearLayoutManager(activity, 0, false));
        recyclerView.setAdapter(mangaChapterTabAdapter);
        RecyclerView recyclerView2 = (RecyclerView) customDialog.findViewById(R.id.recycler_chapter);
        final MangaPicChapterAdapter mangaPicChapterAdapter = new MangaPicChapterAdapter();
        recyclerView2.setLayoutManager(new LinearLayoutManager(activity));
        recyclerView2.setAdapter(mangaPicChapterAdapter);
        mangaPicChapterAdapter.f4120b = new a() {
            /* class com.grass.mh.utils.FastDialogUtils.AnonymousClass20 */

            @Override // d.c.a.a.e.a
            public void onItemClick(View view, int i2) {
                customDialog.dismiss();
                onMangaChapterSelectListener.onMangaChapterSelect(((MangaInfoBean.ChapterList) mangaPicChapterAdapter.b(i2)).getComicsId(), ((MangaInfoBean.ChapterList) mangaPicChapterAdapter.b(i2)).getChapterId());
            }
        };
        mangaChapterTabAdapter.setOnItemClickListener(new OnItemClickListener() {
            /* class com.grass.mh.utils.FastDialogUtils.AnonymousClass21 */

            @Override // com.chad.library.adapter.base.listener.OnItemClickListener
            public void onItemClick(BaseQuickAdapter<?, ?> baseQuickAdapter, View view, int i2) {
                List data = mangaChapterTabAdapter.getData();
                for (int i3 = 0; i3 < data.size(); i3++) {
                    if (((MangaChapterTabBean) data.get(i3)).getStart() == ((MangaChapterTabBean) data.get(i2)).getStart()) {
                        ((MangaChapterTabBean) data.get(i3)).setSelect(true);
                    } else {
                        ((MangaChapterTabBean) data.get(i3)).setSelect(false);
                    }
                }
                FastDialogUtils fastDialogUtils = FastDialogUtils.this;
                fastDialogUtils.currentChapterList = fastDialogUtils.splitListMap.get(Integer.valueOf(i2));
                if (FastDialogUtils.this.isOrder) {
                    Collections.reverse(FastDialogUtils.this.currentChapterList);
                    mangaPicChapterAdapter.d(FastDialogUtils.this.currentChapterList);
                } else {
                    mangaPicChapterAdapter.d(FastDialogUtils.this.currentChapterList);
                }
                mangaChapterTabAdapter.notifyDataSetChanged();
            }
        });
        this.splitListMap = splitList(list, 50);
        ArrayList arrayList = new ArrayList();
        for (int i2 = 0; i2 < this.splitListMap.size(); i2++) {
            switch (i2) {
                case 0:
                    if (1 == this.splitListMap.size()) {
                        arrayList.add(new MangaChapterTabBean(1, list.size()));
                    } else {
                        d.a.a.a.a.K(1, 50, arrayList);
                    }
                    ((MangaChapterTabBean) arrayList.get(0)).setSelect(true);
                    List<MangaInfoBean.ChapterList> list2 = this.splitListMap.get(0);
                    this.currentChapterList = list2;
                    mangaPicChapterAdapter.d(list2);
                    break;
                case 1:
                    if (2 == this.splitListMap.size()) {
                        arrayList.add(new MangaChapterTabBean(51, list.size()));
                        break;
                    } else {
                        d.a.a.a.a.K(51, 100, arrayList);
                        break;
                    }
                case 2:
                    if (3 == this.splitListMap.size()) {
                        arrayList.add(new MangaChapterTabBean(101, list.size()));
                        break;
                    } else {
                        d.a.a.a.a.K(101, 150, arrayList);
                        break;
                    }
                case 3:
                    if (4 == this.splitListMap.size()) {
                        arrayList.add(new MangaChapterTabBean(151, list.size()));
                        break;
                    } else {
                        d.a.a.a.a.K(151, 200, arrayList);
                        break;
                    }
                case 4:
                    if (5 == this.splitListMap.size()) {
                        arrayList.add(new MangaChapterTabBean(201, list.size()));
                        break;
                    } else {
                        d.a.a.a.a.K(201, 250, arrayList);
                        break;
                    }
                case 5:
                    if (6 == this.splitListMap.size()) {
                        arrayList.add(new MangaChapterTabBean(251, list.size()));
                        break;
                    } else {
                        d.a.a.a.a.K(251, 300, arrayList);
                        break;
                    }
                case 6:
                    if (7 == this.splitListMap.size()) {
                        arrayList.add(new MangaChapterTabBean(301, list.size()));
                        break;
                    } else {
                        d.a.a.a.a.K(301, 350, arrayList);
                        break;
                    }
                case 7:
                    if (8 == this.splitListMap.size()) {
                        arrayList.add(new MangaChapterTabBean(351, list.size()));
                        break;
                    } else {
                        d.a.a.a.a.K(351, 400, arrayList);
                        break;
                    }
                case 8:
                    if (9 == this.splitListMap.size()) {
                        arrayList.add(new MangaChapterTabBean(TypedValues.Cycle.TYPE_CURVE_FIT, list.size()));
                        break;
                    } else {
                        d.a.a.a.a.K(TypedValues.Cycle.TYPE_CURVE_FIT, WebIndicator.MAX_DECELERATE_SPEED_DURATION, arrayList);
                        break;
                    }
                case 9:
                    if (10 == this.splitListMap.size()) {
                        arrayList.add(new MangaChapterTabBean(451, list.size()));
                        break;
                    } else {
                        d.a.a.a.a.K(451, DefaultAnimationHandler.DURATION, arrayList);
                        break;
                    }
            }
        }
        mangaChapterTabAdapter.f6599a = this.isOrder;
        mangaChapterTabAdapter.setNewInstance(arrayList);
        final TextView textView = (TextView) customDialog.findViewById(R.id.tv_order);
        ((LinearLayout) customDialog.findViewById(R.id.ll_chapter_sort)).setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.utils.FastDialogUtils.AnonymousClass22 */

            public void onClick(View view) {
                FastDialogUtils fastDialogUtils = FastDialogUtils.this;
                fastDialogUtils.isOrder = !fastDialogUtils.isOrder;
                if (FastDialogUtils.this.isOrder) {
                    textView.setText("倒序");
                    Collections.reverse(FastDialogUtils.this.currentChapterList);
                    mangaPicChapterAdapter.d(FastDialogUtils.this.currentChapterList);
                } else {
                    textView.setText("正序");
                    Collections.reverse(FastDialogUtils.this.currentChapterList);
                    mangaPicChapterAdapter.d(FastDialogUtils.this.currentChapterList);
                }
                mangaPicChapterAdapter.notifyDataSetChanged();
                mangaChapterTabAdapter.f6599a = FastDialogUtils.this.isOrder;
                mangaChapterTabAdapter.notifyDataSetChanged();
            }
        });
        customDialog.findViewById(R.id.iv_close).setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.utils.FastDialogUtils.AnonymousClass23 */

            public void onClick(View view) {
                customDialog.dismiss();
            }
        });
    }

    public void createMangaVipDialog(Context context) {
        CustomDialog customDialog = new CustomDialog(context, R.style.custom_dialog_style, R.layout.dialog_play_vip, false);
        customDialog.setCanceledOnTouchOutside(true);
        customDialog.setCancelable(true);
        customDialog.show();
        Window window = customDialog.getWindow();
        window.getDecorView().setPadding(0, 0, 0, 0);
        WindowManager.LayoutParams attributes = window.getAttributes();
        attributes.width = -1;
        attributes.height = -2;
        window.setAttributes(attributes);
        customDialog.findViewById(R.id.tv_submit).setOnClickListener(new l(this, context, customDialog));
        customDialog.findViewById(R.id.tv_cancel).setOnClickListener(new n(customDialog));
    }

    public void createPayFailDialog(Activity activity, String str, String str2, String str3) {
        CustomDialog customDialog = new CustomDialog(activity, R.style.custom_dialog_style, R.layout.dialog_custom, false);
        customDialog.setCanceledOnTouchOutside(true);
        customDialog.setCancelable(true);
        if (!activity.isFinishing()) {
            customDialog.show();
            Window window = customDialog.getWindow();
            window.getDecorView().setPadding(0, 0, 0, 0);
            WindowManager.LayoutParams attributes = window.getAttributes();
            attributes.width = -1;
            attributes.height = -2;
            window.setAttributes(attributes);
        }
        ((TextView) customDialog.findViewById(R.id.text1)).setText(str);
        ((TextView) customDialog.findViewById(R.id.text2)).setText(str2);
        ((TextView) customDialog.findViewById(R.id.submitView)).setText(str3);
        customDialog.findViewById(R.id.submitView).setOnClickListener(new o(this, customDialog));
        customDialog.findViewById(R.id.cancelView).setOnClickListener(new v(customDialog));
    }

    public void createPhotoVipDialog(Context context, OnDismissClickListener onDismissClickListener) {
        CustomDialog customDialog = new CustomDialog(context, R.style.custom_dialog_style, R.layout.dialog_play_vip, false);
        customDialog.setCanceledOnTouchOutside(false);
        customDialog.setCancelable(false);
        customDialog.show();
        Window window = customDialog.getWindow();
        window.getDecorView().setPadding(0, 0, 0, 0);
        WindowManager.LayoutParams attributes = window.getAttributes();
        attributes.width = -1;
        attributes.height = -2;
        window.setAttributes(attributes);
        customDialog.findViewById(R.id.tv_submit).setOnClickListener(new h(this, context, customDialog));
        customDialog.findViewById(R.id.tv_cancel).setOnClickListener(new s(onDismissClickListener, customDialog));
    }

    @SuppressLint({"SetTextI18n"})
    public void createReleaseDialog(Activity activity) {
        WeakReference weakReference = new WeakReference(activity);
        CustomDialog customDialog = new CustomDialog((Context) weakReference.get(), R.style.custom_dialog_style, R.layout.dialog_release_video, true);
        customDialog.setCanceledOnTouchOutside(true);
        customDialog.setCancelable(true);
        if (!((Activity) weakReference.get()).isFinishing()) {
            customDialog.show();
            Window window = customDialog.getWindow();
            window.getDecorView().setPadding(0, 0, 0, 0);
            WindowManager.LayoutParams attributes = window.getAttributes();
            attributes.width = -1;
            attributes.height = -2;
            window.setAttributes(attributes);
        }
        TextView textView = (TextView) customDialog.findViewById(R.id.incomeView);
        customDialog.findViewById(R.id.img_close).setOnClickListener(new d(customDialog));
        customDialog.findViewById(R.id.adView).setOnClickListener(new m(weakReference, customDialog));
        customDialog.findViewById(R.id.releaseVideoView).setOnClickListener(new y(this, weakReference, customDialog));
    }

    public void createReleaseVipDialog(Context context) {
        CustomDialog customDialog = new CustomDialog(context, R.style.custom_dialog_style, R.layout.dialog_release_vip, false);
        customDialog.setCanceledOnTouchOutside(true);
        customDialog.setCancelable(true);
        customDialog.show();
        Window window = customDialog.getWindow();
        window.getDecorView().setPadding(0, 0, 0, 0);
        WindowManager.LayoutParams attributes = window.getAttributes();
        attributes.width = -1;
        attributes.height = -2;
        window.setAttributes(attributes);
        customDialog.findViewById(R.id.tv_submit).setOnClickListener(new w(this, context, customDialog));
        customDialog.findViewById(R.id.tv_cancel).setOnClickListener(new c(this, context, customDialog));
    }

    public void createTimeWheelDialog(Context context, final OnTimeSelectListener onTimeSelectListener) {
        final CustomDialog customDialog = new CustomDialog(context, R.style.custom_dialog_style, R.layout.dialog_time_wheel_view_layout, true);
        customDialog.setCanceledOnTouchOutside(true);
        customDialog.setCancelable(true);
        if (!((Activity) context).isFinishing()) {
            customDialog.show();
        }
        final WheelTime wheelTime = new WheelTime(customDialog.findViewById(R.id.view_time_picker), TimePickerView.Type.YEAR_MONTH);
        Calendar instance = Calendar.getInstance();
        instance.setTimeInMillis(System.currentTimeMillis());
        int i2 = instance.get(1);
        int i3 = instance.get(2);
        int i4 = instance.get(5);
        int i5 = instance.get(11);
        int i6 = instance.get(12);
        Calendar.getInstance();
        wheelTime.setPicker(i2, i3, i4, i5, i6);
        wheelTime.setCyclic(false);
        customDialog.findViewById(R.id.tv_confirm).setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.utils.FastDialogUtils.AnonymousClass7 */

            public void onClick(View view) {
                if (onTimeSelectListener != null) {
                    try {
                        onTimeSelectListener.onTimeSelect(new SimpleDateFormat("MM", Locale.CHINA).format(WheelTime.dateFormat.parse(wheelTime.getTime())));
                    } catch (ParseException e2) {
                        e2.printStackTrace();
                    }
                }
                customDialog.dismiss();
            }
        });
        customDialog.findViewById(R.id.tv_cancel).setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.utils.FastDialogUtils.AnonymousClass8 */

            public void onClick(View view) {
                customDialog.dismiss();
            }
        });
        customDialog.findViewById(R.id.tv_cancels).setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.utils.FastDialogUtils.AnonymousClass9 */

            public void onClick(View view) {
                OnTimeSelectListener onTimeSelectListener = onTimeSelectListener;
                if (onTimeSelectListener != null) {
                    onTimeSelectListener.onResSelect("重置");
                }
                customDialog.dismiss();
            }
        });
    }

    public void createTimeWheelDialogs(Context context, final OnTimeSelectListener onTimeSelectListener) {
        final CustomDialog customDialog = new CustomDialog(context, R.style.custom_dialog_style, R.layout.dialog_time_wheel_view_layout, true);
        customDialog.setCanceledOnTouchOutside(true);
        customDialog.setCancelable(true);
        if (!((Activity) context).isFinishing()) {
            customDialog.show();
        }
        final WheelTime wheelTime = new WheelTime(customDialog.findViewById(R.id.view_time_picker), TimePickerView.Type.YEAR_MONTH_DAY);
        Calendar instance = Calendar.getInstance();
        instance.setTimeInMillis(System.currentTimeMillis());
        wheelTime.setPicker(instance.get(1), instance.get(2), instance.get(5), instance.get(11), instance.get(12));
        wheelTime.setCyclic(false);
        customDialog.findViewById(R.id.tv_confirm).setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.utils.FastDialogUtils.AnonymousClass10 */

            public void onClick(View view) {
                if (onTimeSelectListener != null) {
                    try {
                        onTimeSelectListener.onTimeSelect(new SimpleDateFormat("yyyy-MM-dd", Locale.CHINA).format(WheelTime.dateFormat.parse(wheelTime.getTime())));
                    } catch (ParseException e2) {
                        e2.printStackTrace();
                    }
                }
                customDialog.dismiss();
            }
        });
        customDialog.findViewById(R.id.tv_cancel).setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.utils.FastDialogUtils.AnonymousClass11 */

            public void onClick(View view) {
                customDialog.dismiss();
            }
        });
        customDialog.findViewById(R.id.tv_cancels).setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.utils.FastDialogUtils.AnonymousClass12 */

            public void onClick(View view) {
                OnTimeSelectListener onTimeSelectListener = onTimeSelectListener;
                if (onTimeSelectListener != null) {
                    onTimeSelectListener.onResSelect("重置");
                }
                customDialog.dismiss();
            }
        });
    }

    public void createTopicDialog(Activity activity, List<CoterieTopic> list, OnTopicCallback onTopicCallback) {
        CustomDialog customDialog = new CustomDialog(activity, R.style.custom_dialog_style, R.layout.dialog_topic, true);
        customDialog.setCanceledOnTouchOutside(true);
        customDialog.setCancelable(true);
        if (!activity.isFinishing()) {
            customDialog.show();
            Window window = customDialog.getWindow();
            window.getDecorView().setPadding(0, 0, 0, 0);
            WindowManager.LayoutParams attributes = window.getAttributes();
            attributes.width = -1;
            attributes.height = -2;
            window.setAttributes(attributes);
        }
        RecyclerView recyclerView = (RecyclerView) customDialog.findViewById(R.id.recyclerView);
        recyclerView.setLayoutManager(new LinearLayoutManager(activity));
        TopicAdapter topicAdapter = new TopicAdapter(false);
        recyclerView.setAdapter(topicAdapter);
        topicAdapter.f4120b = new b(onTopicCallback, list, customDialog);
        customDialog.findViewById(R.id.cancelView).setOnClickListener(new j(customDialog));
    }

    public void createVideoDialog(Activity activity, VideoBean videoBean, String str) {
        final CustomDialog customDialog = new CustomDialog(activity, R.style.custom_dialog_style, R.layout.dialog_play_preview, false);
        customDialog.setCanceledOnTouchOutside(true);
        customDialog.setCancelable(true);
        if (!activity.isFinishing()) {
            customDialog.show();
            Window window = customDialog.getWindow();
            window.getDecorView().setPadding(0, 0, 0, 0);
            WindowManager.LayoutParams attributes = window.getAttributes();
            attributes.width = -1;
            attributes.height = -1;
            window.setAttributes(attributes);
        }
        final VideoPlayerDialog videoPlayerDialog = (VideoPlayerDialog) customDialog.findViewById(R.id.video_player);
        ViewGroup.LayoutParams layoutParams = videoPlayerDialog.getLayoutParams();
        layoutParams.height = (UiUtils.getWindowWidth() * 9) / 16;
        videoPlayerDialog.setLayoutParams(layoutParams);
        videoBean.setPlayPath(str);
        videoPlayerDialog.setVideoBean(videoBean);
        String playPath = videoPlayerDialog.f6311k.getPlayPath();
        if (!TextUtils.isEmpty(playPath)) {
            new f.a.c0.i.b().a(new CompletableCreate(new d.i.a.j.j(videoPlayerDialog, playPath)).e(f.a.f0.a.f13138b).b(f.a.y.a.a.a()).c(new p(videoPlayerDialog)));
        }
        customDialog.findViewById(R.id.iv_close).setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.utils.FastDialogUtils.AnonymousClass13 */

            public void onClick(View view) {
                videoPlayerDialog.release();
                customDialog.dismiss();
            }
        });
    }

    public void createVipDialog(final Activity activity, int i2) {
        final CustomDialog customDialog = new CustomDialog(activity, R.style.custom_dialog_style, R.layout.dialog_play_vips, false);
        customDialog.setCanceledOnTouchOutside(true);
        customDialog.setCancelable(true);
        if (!activity.isFinishing()) {
            customDialog.show();
            Window window = customDialog.getWindow();
            window.getDecorView().setPadding(0, 0, 0, 0);
            WindowManager.LayoutParams attributes = window.getAttributes();
            attributes.width = (int) (((double) activity.getResources().getDisplayMetrics().widthPixels) * 0.8d);
            attributes.height = -2;
            window.setAttributes(attributes);
        }
        TextView textView = (TextView) customDialog.findViewById(R.id.tv_hint1);
        TextView textView2 = (TextView) customDialog.findViewById(R.id.tv_hint2);
        if (1 == i2) {
            textView.setText("抱歉，您当前还不是会员");
            textView2.setText("开通会员，即可观看");
        } else if (2 == i2) {
            textView.setText("抱歉，您还不可以下载哦");
            textView2.setText("开通会员，想下随时下载");
        } else {
            textView.setText("很遗憾");
            textView2.setText("您当前没有享受VIP特权福利");
        }
        customDialog.findViewById(R.id.tv_submit).setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.utils.FastDialogUtils.AnonymousClass3 */

            public void onClick(View view) {
                if (!FastDialogUtils.this.isOnClick()) {
                    activity.startActivity(new Intent(activity, VipMemberActivity.class));
                    customDialog.dismiss();
                }
            }
        });
        customDialog.findViewById(R.id.tv_cancel).setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.utils.FastDialogUtils.AnonymousClass4 */

            public void onClick(View view) {
                customDialog.dismiss();
            }
        });
    }

    public void createVipDialog3(final Context context) {
        final CustomDialog customDialog = new CustomDialog(context, R.style.custom_dialog_style, R.layout.dialog_buy_vip, false);
        customDialog.setCanceledOnTouchOutside(true);
        customDialog.setCancelable(true);
        customDialog.show();
        Window window = customDialog.getWindow();
        window.getDecorView().setPadding(0, 0, 0, 0);
        WindowManager.LayoutParams attributes = window.getAttributes();
        attributes.width = -1;
        attributes.height = -2;
        window.setAttributes(attributes);
        ((TextView) customDialog.findViewById(R.id.tv_hint1)).setText("需要年卡会员才能申请认证哦");
        ((TextView) customDialog.findViewById(R.id.tv_hint2)).setText("开通会员，享受VIP特权");
        customDialog.findViewById(R.id.tv_submit).setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.utils.FastDialogUtils.AnonymousClass5 */

            public void onClick(View view) {
                if (!FastDialogUtils.this.isOnClick()) {
                    context.startActivity(new Intent(context, VipMemberActivity.class));
                    customDialog.dismiss();
                }
            }
        });
        customDialog.findViewById(R.id.tv_cancel).setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.utils.FastDialogUtils.AnonymousClass6 */

            public void onClick(View view) {
                customDialog.dismiss();
            }
        });
    }

    public boolean isOnClick() {
        long currentTimeMillis = System.currentTimeMillis();
        long j2 = currentTimeMillis - this.lastClickTime;
        int i2 = (j2 > 1000 ? 1 : (j2 == 1000 ? 0 : -1));
        if (i2 > 0) {
            this.lastClickTime = currentTimeMillis;
        }
        return !this.clickLimit ? j2 < 0 : i2 <= 0;
    }

    public void showInputDialog(Context context, OnContactListener onContactListener) {
        CustomDialog customDialog = new CustomDialog(context, R.style.custom_dialog_style, R.layout.dialog_contact_input, false);
        customDialog.setCanceledOnTouchOutside(true);
        customDialog.setCancelable(true);
        customDialog.show();
        Window window = customDialog.getWindow();
        window.getDecorView().setPadding(0, 0, 0, 0);
        WindowManager.LayoutParams attributes = window.getAttributes();
        attributes.width = (int) (((double) context.getResources().getDisplayMetrics().widthPixels) * 0.8d);
        attributes.height = -2;
        window.setAttributes(attributes);
        customDialog.findViewById(R.id.submitView).setOnClickListener(new t(customDialog, (EditText) customDialog.findViewById(R.id.inputView), onContactListener));
        customDialog.findViewById(R.id.cancelView).setOnClickListener(new d.i.a.l.p(customDialog));
    }

    public void showTopicLabelDialog(Context context, OnContactListener onContactListener) {
        CustomDialog customDialog = new CustomDialog(context, R.style.custom_dialog_style, R.layout.dialog_topic_label_input, false);
        customDialog.setCanceledOnTouchOutside(true);
        customDialog.setCancelable(true);
        customDialog.show();
        Window window = customDialog.getWindow();
        window.getDecorView().setPadding(0, 0, 0, 0);
        WindowManager.LayoutParams attributes = window.getAttributes();
        attributes.width = (int) (((double) context.getResources().getDisplayMetrics().widthPixels) * 0.8d);
        attributes.height = -2;
        window.setAttributes(attributes);
        customDialog.findViewById(R.id.submitView).setOnClickListener(new r(customDialog, (EditText) customDialog.findViewById(R.id.inputView), onContactListener));
        customDialog.findViewById(R.id.cancelView).setOnClickListener(new q(customDialog));
    }

    public Map<Integer, List<MangaInfoBean.ChapterList>> splitList(List<MangaInfoBean.ChapterList> list, Integer num) {
        int size = list.size();
        HashMap hashMap = new HashMap();
        ArrayList arrayList = new ArrayList();
        int i2 = 0;
        int i3 = 0;
        while (i2 < size) {
            arrayList.add(list.get(i2));
            i2++;
            if (i2 % num.intValue() == 0 || i2 == size) {
                hashMap.put(Integer.valueOf(i3), arrayList);
                i3++;
                arrayList = new ArrayList();
            }
        }
        return hashMap;
    }

    public void createGoldDialog(Context context, String str, String str2) {
        final CustomDialog customDialog = new CustomDialog(context, R.style.custom_dialog_style, R.layout.dialog_gold_not_enough, false);
        customDialog.setCanceledOnTouchOutside(true);
        customDialog.setCancelable(true);
        customDialog.show();
        Window window = customDialog.getWindow();
        window.getDecorView().setPadding(0, 0, 0, 0);
        WindowManager.LayoutParams attributes = window.getAttributes();
        attributes.width = -1;
        attributes.height = -2;
        window.setAttributes(attributes);
        ((TextView) customDialog.findViewById(R.id.titleView)).setText(str);
        ((TextView) customDialog.findViewById(R.id.contentView)).setText(str2);
        customDialog.findViewById(R.id.tv_submit).setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.utils.FastDialogUtils.AnonymousClass1 */

            public void onClick(View view) {
                if (!FastDialogUtils.this.isOnClick()) {
                    Intent intent = new Intent(view.getContext(), VipMemberActivity.class);
                    intent.putExtra("num", 1);
                    view.getContext().startActivity(intent);
                    customDialog.dismiss();
                }
            }
        });
        customDialog.findViewById(R.id.tv_cancel).setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.utils.FastDialogUtils.AnonymousClass2 */

            public void onClick(View view) {
                customDialog.dismiss();
            }
        });
    }

    public void createVipDialog(Activity activity, String str, String str2, String str3) {
        CustomDialog customDialog = new CustomDialog(activity, R.style.custom_dialog_style, R.layout.dialog_custom, false);
        customDialog.setCanceledOnTouchOutside(true);
        customDialog.setCancelable(true);
        if (!activity.isFinishing()) {
            customDialog.show();
            Window window = customDialog.getWindow();
            window.getDecorView().setPadding(0, 0, 0, 0);
            WindowManager.LayoutParams attributes = window.getAttributes();
            attributes.width = -1;
            attributes.height = -2;
            window.setAttributes(attributes);
        }
        ((TextView) customDialog.findViewById(R.id.text1)).setText(str);
        ((TextView) customDialog.findViewById(R.id.text2)).setText(str2);
        ((TextView) customDialog.findViewById(R.id.submitView)).setText(str3);
        customDialog.findViewById(R.id.submitView).setOnClickListener(new k(this, customDialog));
        customDialog.findViewById(R.id.cancelView).setOnClickListener(new f(customDialog));
    }
}
