package com.grass.mh.utils;

import android.app.Activity;
import android.graphics.Rect;
import android.util.Log;
import android.view.View;
import android.view.ViewTreeObserver;

public class KeyBoardChangeListener implements ViewTreeObserver.OnGlobalLayoutListener {
    private static final String TAG = "KeyBoardChangeListener";
    public final int MIN_KEYBOARD_HEIGHT_PX = 150;
    private View decorView;
    private KeyBoardListener keyBoardListener;
    private int lastVisibleDecorViewHeight;
    private final Rect windowVisibleDisplayFrame = new Rect();

    public interface KeyBoardListener {
        void onKeyboardChange(boolean z, int i2);
    }

    public KeyBoardChangeListener(Activity activity) {
        if (activity == null) {
            Log.e(TAG, "activity is null");
            return;
        }
        View decorView2 = activity.getWindow().getDecorView();
        this.decorView = decorView2;
        decorView2.getViewTreeObserver().addOnGlobalLayoutListener(this);
    }

    public void onGlobalLayout() {
        KeyBoardListener keyBoardListener2;
        this.decorView.getWindowVisibleDisplayFrame(this.windowVisibleDisplayFrame);
        int height = this.windowVisibleDisplayFrame.height();
        int i2 = this.lastVisibleDecorViewHeight;
        if (i2 != 0) {
            if (i2 > height + 150) {
                int height2 = this.decorView.getHeight() - this.windowVisibleDisplayFrame.bottom;
                KeyBoardListener keyBoardListener3 = this.keyBoardListener;
                if (keyBoardListener3 != null) {
                    keyBoardListener3.onKeyboardChange(true, height2);
                }
            } else if (i2 + 150 < height && (keyBoardListener2 = this.keyBoardListener) != null) {
                keyBoardListener2.onKeyboardChange(false, 0);
            }
        }
        this.lastVisibleDecorViewHeight = height;
    }

    public void setKeyBoardListener(KeyBoardListener keyBoardListener2) {
        this.keyBoardListener = keyBoardListener2;
    }
}
