package com.grass.mh.utils;

import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.graphics.Rect;
import android.os.Handler;
import android.widget.Toast;
import androidx.recyclerview.widget.RecyclerView;
import com.androidjks.acfan.d1682156448763174048.R;
import com.shuyu.gsyvideoplayer.utils.CommonUtil;
import com.shuyu.gsyvideoplayer.utils.NetworkUtils;
import com.shuyu.gsyvideoplayer.video.base.GSYBaseVideoPlayer;

public class ScrollCalculatorHelper {
    private int firstVisible = 0;
    private int lastVisible = 0;
    private Handler playHandler = new Handler();
    private int playId;
    private int rangeBottom;
    private int rangeTop;
    private PlayRunnable runnable;
    private int visibleCount = 0;

    public class PlayRunnable implements Runnable {
        public GSYBaseVideoPlayer gsyBaseVideoPlayer;

        public PlayRunnable(GSYBaseVideoPlayer gSYBaseVideoPlayer) {
            this.gsyBaseVideoPlayer = gSYBaseVideoPlayer;
        }

        public void run() {
            GSYBaseVideoPlayer gSYBaseVideoPlayer = this.gsyBaseVideoPlayer;
            if (gSYBaseVideoPlayer != null) {
                int[] iArr = new int[2];
                gSYBaseVideoPlayer.getLocationOnScreen(iArr);
                boolean z = true;
                int height = iArr[1] + (this.gsyBaseVideoPlayer.getHeight() / 2);
                if (height < ScrollCalculatorHelper.this.rangeTop || height > ScrollCalculatorHelper.this.rangeBottom) {
                    z = false;
                }
                if (z) {
                    ScrollCalculatorHelper scrollCalculatorHelper = ScrollCalculatorHelper.this;
                    GSYBaseVideoPlayer gSYBaseVideoPlayer2 = this.gsyBaseVideoPlayer;
                    scrollCalculatorHelper.startPlayLogic(gSYBaseVideoPlayer2, gSYBaseVideoPlayer2.getContext());
                }
            }
        }
    }

    public ScrollCalculatorHelper(int i2, int i3, int i4) {
        this.playId = i2;
        this.rangeTop = i3;
        this.rangeBottom = i4;
    }

    private void showWifiDialog(final GSYBaseVideoPlayer gSYBaseVideoPlayer, Context context) {
        if (!NetworkUtils.isAvailable(context)) {
            Toast.makeText(context, context.getResources().getString(R.string.no_net), 1).show();
            return;
        }
        AlertDialog.Builder builder = new AlertDialog.Builder(context);
        builder.setMessage(context.getResources().getString(R.string.tips_not_wifi));
        builder.setPositiveButton(context.getResources().getString(R.string.tips_not_wifi_confirm), new DialogInterface.OnClickListener() {
            /* class com.grass.mh.utils.ScrollCalculatorHelper.AnonymousClass1 */

            public void onClick(DialogInterface dialogInterface, int i2) {
                dialogInterface.dismiss();
                gSYBaseVideoPlayer.startPlayLogic();
            }
        });
        builder.setNegativeButton(context.getResources().getString(R.string.tips_not_wifi_cancel), new DialogInterface.OnClickListener() {
            /* class com.grass.mh.utils.ScrollCalculatorHelper.AnonymousClass2 */

            public void onClick(DialogInterface dialogInterface, int i2) {
                dialogInterface.dismiss();
            }
        });
        builder.create().show();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void startPlayLogic(GSYBaseVideoPlayer gSYBaseVideoPlayer, Context context) {
        if (!CommonUtil.isWifiConnected(context)) {
            showWifiDialog(gSYBaseVideoPlayer, context);
        } else {
            gSYBaseVideoPlayer.startPlayLogic();
        }
    }

    public void onScroll(RecyclerView recyclerView, int i2, int i3, int i4) {
        if (this.firstVisible != i2) {
            this.firstVisible = i2;
            this.lastVisible = i3;
            this.visibleCount = i4;
        }
    }

    public void onScrollStateChanged(RecyclerView recyclerView, int i2) {
        if (i2 == 0) {
            playVideo(recyclerView);
        }
    }

    public void playVideo(RecyclerView recyclerView) {
        GSYBaseVideoPlayer gSYBaseVideoPlayer;
        if (recyclerView != null) {
            RecyclerView.LayoutManager layoutManager = recyclerView.getLayoutManager();
            boolean z = false;
            int i2 = 0;
            while (true) {
                if (i2 >= this.visibleCount) {
                    gSYBaseVideoPlayer = null;
                    break;
                }
                if (!(layoutManager.getChildAt(i2) == null || layoutManager.getChildAt(i2).findViewById(this.playId) == null)) {
                    gSYBaseVideoPlayer = (GSYBaseVideoPlayer) layoutManager.getChildAt(i2).findViewById(this.playId);
                    Rect rect = new Rect();
                    gSYBaseVideoPlayer.getLocalVisibleRect(rect);
                    int height = gSYBaseVideoPlayer.getHeight();
                    if (rect.top == 0 && rect.bottom == height) {
                        if (gSYBaseVideoPlayer.getCurrentPlayer().getCurrentState() == 0 || gSYBaseVideoPlayer.getCurrentPlayer().getCurrentState() == 7) {
                            z = true;
                        }
                    }
                }
                i2++;
            }
            if (gSYBaseVideoPlayer != null && z) {
                PlayRunnable playRunnable = this.runnable;
                if (playRunnable != null) {
                    GSYBaseVideoPlayer gSYBaseVideoPlayer2 = playRunnable.gsyBaseVideoPlayer;
                    this.playHandler.removeCallbacks(playRunnable);
                    this.runnable = null;
                    if (gSYBaseVideoPlayer2 == gSYBaseVideoPlayer) {
                        return;
                    }
                }
                PlayRunnable playRunnable2 = new PlayRunnable(gSYBaseVideoPlayer);
                this.runnable = playRunnable2;
                this.playHandler.postDelayed(playRunnable2, 400);
            }
        }
    }
}
