package com.grass.mh.utils;

import androidx.lifecycle.LiveData;
import androidx.lifecycle.MutableLiveData;
import b.o.a.n;
import com.androidx.lv.base.bean.CutBean;
import com.androidx.lv.base.bean.LocalVideoBean;
import com.androidx.lv.base.utils.DeviceIDUtils;
import com.androidx.lv.base.utils.FileListUtils;
import com.androidx.lv.base.utils.SpUtils;
import com.grass.mh.bean.UploadTokenBean;
import com.luck.picture.lib.entity.LocalMedia;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.model.HttpHeaders;
import com.lzy.okgo.model.HttpParams;
import com.lzy.okgo.model.Progress;
import com.lzy.okgo.request.PostRequest;
import d.c.a.a.d.c;
import d.h.c.i;
import d.i.a.l.a0;
import d.l.b.g.g.b;
import h.a;
import h.k;
import h.p.a.l;
import h.p.b.o;
import java.io.File;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import kotlin.jvm.internal.Ref$IntRef;
import okhttp3.OkHttpClient;
import org.json.JSONObject;

/* compiled from: UploadFileUtil.kt */
public final class UploadFileUtil {
    public static final UploadFileUtil INSTANCE = new UploadFileUtil();
    private static final a httpClient$delegate = b.d0(UploadFileUtil$httpClient$2.INSTANCE);
    private static List<LocalMedia> imgFileList;
    private static final a servicePath$delegate = b.d0(UploadFileUtil$servicePath$2.INSTANCE);
    private static List<CutBean> videoFileList;

    private UploadFileUtil() {
    }

    /* access modifiers changed from: private */
    public final int countImgProgress(Progress progress) {
        List<LocalMedia> list = imgFileList;
        if (list == null) {
            return 0;
        }
        float f2 = 0.0f;
        for (T t : list) {
            int num = t.getNum();
            String str = progress.tag;
            o.d(str, "progress.tag");
            if (num == Integer.parseInt(str)) {
                t.setCropResultAspectRatio(progress.fraction);
            }
            f2 += t.getCropResultAspectRatio();
        }
        return (int) ((f2 / ((float) list.size())) * ((float) 100));
    }

    /* access modifiers changed from: private */
    public final int countProgress(Progress progress) {
        List<CutBean> list = videoFileList;
        if (list == null) {
            return 0;
        }
        float f2 = 0.0f;
        for (T t : list) {
            int tag = t.getTag();
            String str = progress.tag;
            o.d(str, "progress.tag");
            if (tag == Integer.parseInt(str)) {
                t.setProgressNum(progress.fraction);
            }
            f2 += t.getProgressNum();
        }
        return (int) ((f2 / ((float) list.size())) * ((float) 100));
    }

    /* access modifiers changed from: private */
    public final OkHttpClient getHttpClient() {
        return (OkHttpClient) httpClient$delegate.getValue();
    }

    /* access modifiers changed from: private */
    public final ArrayList<String> getServicePath() {
        return (ArrayList) servicePath$delegate.getValue();
    }

    public static final LiveData<UploadTokenBean> getToken() {
        MutableLiveData mutableLiveData = new MutableLiveData();
        String i2 = d.a.a.a.a.i(c.b.f7655a, new StringBuilder(), "/file/getUpToken");
        d.c.a.a.d.b.b().a("upType", 0);
        JSONObject jSONObject = d.c.a.a.d.b.f7653b;
        UploadFileUtil$getToken$1 uploadFileUtil$getToken$1 = new UploadFileUtil$getToken$1(mutableLiveData);
        ((PostRequest) ((PostRequest) ((PostRequest) d.a.a.a.a.c(jSONObject, d.a.a.a.a.F(i2, "_"), (PostRequest) new PostRequest(i2).tag(uploadFileUtil$getToken$1.getTag()))).upJson(jSONObject)).cacheMode(CacheMode.NO_CACHE)).execute(uploadFileUtil$getToken$1);
        return mutableLiveData;
    }

    public static final LiveData<ArrayList<String>> uploadImg(UploadTokenBean uploadTokenBean, List<LocalMedia> list, l<? super Integer, k> lVar) {
        o.e(uploadTokenBean, "tokenBean");
        o.e(list, "files");
        o.e(lVar, "callback");
        INSTANCE.getServicePath().clear();
        imgFileList = new ArrayList();
        MutableLiveData mutableLiveData = new MutableLiveData();
        int i2 = 0;
        int i3 = 0;
        for (T t : list) {
            int i4 = i3 + 1;
            t.setNum(i4);
            List<LocalMedia> list2 = imgFileList;
            o.c(list2);
            list2.add(t);
            HttpParams httpParams = new HttpParams();
            httpParams.put("upToken", uploadTokenBean.upToken, new boolean[i2]);
            httpParams.put("file", new File(t.getRealPath()));
            String k2 = o.k(uploadTokenBean.upDomain, "/file/upload/multipart/img");
            OkHttpClient httpClient = INSTANCE.getHttpClient();
            UploadFileUtil$uploadImg$2$1 uploadFileUtil$uploadImg$2$1 = new UploadFileUtil$uploadImg$2$1(list, mutableLiveData, lVar, t, t.getFileName());
            ((PostRequest) ((PostRequest) ((PostRequest) ((PostRequest) new PostRequest(k2).isMultipart(true)).tag(uploadFileUtil$uploadImg$2$1.getTag())).client(httpClient)).params(httpParams)).execute(uploadFileUtil$uploadImg$2$1);
            i3 = i4;
            i2 = 0;
        }
        return mutableLiveData;
    }

    public static /* synthetic */ LiveData uploadImg$default(UploadTokenBean uploadTokenBean, List list, l lVar, int i2, Object obj) {
        if ((i2 & 4) != 0) {
            lVar = UploadFileUtil$uploadImg$1.INSTANCE;
        }
        return uploadImg(uploadTokenBean, list, lVar);
    }

    public static final LiveData<LocalVideoBean> uploadVideo(UploadTokenBean uploadTokenBean, List<LocalMedia> list, l<? super Integer, k> lVar) {
        o.e(uploadTokenBean, "tokenBean");
        o.e(list, Progress.FILE_PATH);
        o.e(lVar, "callback");
        MutableLiveData mutableLiveData = new MutableLiveData();
        File file = new File(list.get(0).getRealPath());
        String md5 = FileListUtils.getMD5(String.valueOf(System.currentTimeMillis()));
        HttpHeaders httpHeaders = new HttpHeaders();
        httpHeaders.put(HttpHeaders.HEAD_KEY_CONTENT_TYPE, "application/json");
        httpHeaders.put(HttpHeaders.HEAD_KEY_ACCEPT, "application/json");
        httpHeaders.put(HttpHeaders.HEAD_KEY_USER_AGENT, n.f3651h);
        httpHeaders.put("deviceId", DeviceIDUtils.getUniqueId(n.f3649f));
        String valueOf = String.valueOf(System.currentTimeMillis());
        httpHeaders.put("t", valueOf);
        Objects.requireNonNull(valueOf, "null cannot be cast to non-null type java.lang.String");
        String substring = valueOf.substring(3, 8);
        o.d(substring, "(this as java.lang.Strin…ing(startIndex, endIndex)");
        httpHeaders.put("s", FileListUtils.getMD5(substring));
        httpHeaders.put("aut", SpUtils.getInstance().getUserInfo().getToken());
        new Thread(new a0(file, uploadTokenBean, httpHeaders, md5, mutableLiveData, lVar)).start();
        return mutableLiveData;
    }

    public static /* synthetic */ LiveData uploadVideo$default(UploadTokenBean uploadTokenBean, List list, l lVar, int i2, Object obj) {
        if ((i2 & 4) != 0) {
            lVar = UploadFileUtil$uploadVideo$1.INSTANCE;
        }
        return uploadVideo(uploadTokenBean, list, lVar);
    }

    /* access modifiers changed from: private */
    /* renamed from: uploadVideo$lambda-5  reason: not valid java name */
    public static final void m6uploadVideo$lambda5(File file, UploadTokenBean uploadTokenBean, HttpHeaders httpHeaders, String str, MutableLiveData mutableLiveData, l lVar) {
        UploadTokenBean uploadTokenBean2 = uploadTokenBean;
        o.e(file, "$videoFile");
        o.e(uploadTokenBean2, "$tokenBean");
        o.e(httpHeaders, "$httpHeaders");
        o.e(mutableLiveData, "$liveData");
        o.e(lVar, "$callback");
        String fileMD5s = FileListUtils.getFileMD5s(file, 32);
        videoFileList = FileListUtils.fileList(fileMD5s, file);
        Ref$IntRef ref$IntRef = new Ref$IntRef();
        List<CutBean> list = videoFileList;
        if (list != null) {
            for (T t : list) {
                HttpParams httpParams = new HttpParams();
                httpParams.put("file", new File(t.getPath()));
                httpParams.put("taskId", str, new boolean[0]);
                httpParams.put("pos", t.getTag(), new boolean[0]);
                httpParams.put("upToken", uploadTokenBean2.upToken, new boolean[0]);
                String k2 = o.k(uploadTokenBean2.upDomain, "/file/upload/video");
                OkHttpClient httpClient = INSTANCE.getHttpClient();
                UploadFileUtil$uploadVideo$2$1$1 uploadFileUtil$uploadVideo$2$1$1 = new UploadFileUtil$uploadVideo$2$1$1(ref$IntRef, file, uploadTokenBean, fileMD5s, mutableLiveData, lVar, t, String.valueOf(t.getTag()));
                ((PostRequest) ((PostRequest) ((PostRequest) ((PostRequest) ((PostRequest) new PostRequest(k2).isMultipart(true)).tag(uploadFileUtil$uploadVideo$2$1$1.getTag())).client(httpClient)).headers(httpHeaders)).params(httpParams)).execute(uploadFileUtil$uploadVideo$2$1$1);
                uploadTokenBean2 = uploadTokenBean;
            }
        }
    }

    /* access modifiers changed from: private */
    public final void videoUploadDoen(String str, LocalVideoBean localVideoBean, MutableLiveData<LocalVideoBean> mutableLiveData) {
        String f2 = new i().f(localVideoBean);
        String k2 = o.k(str, "/file/upload/videoOk");
        UploadFileUtil$videoUploadDoen$1 uploadFileUtil$videoUploadDoen$1 = new UploadFileUtil$videoUploadDoen$1(mutableLiveData, localVideoBean);
        ((PostRequest) ((PostRequest) ((PostRequest) d.a.a.a.a.d0(k2, "_", f2, (PostRequest) new PostRequest(k2).tag(uploadFileUtil$videoUploadDoen$1.getTag()))).upJson(f2)).cacheMode(CacheMode.NO_CACHE)).execute(uploadFileUtil$videoUploadDoen$1);
    }
}
