package com.grass.mh.utils;

import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import android.view.View;
import android.widget.ImageView;
import android.widget.RadioButton;
import android.widget.RadioGroup;
import android.widget.TextView;
import androidx.viewpager2.widget.ViewPager2;
import b.o.a.n;
import com.androidx.lv.base.R$drawable;
import com.androidx.lv.base.utils.SpUtils;
import com.androidx.lv.base.utils.UiUtils;
import com.lzy.okgo.cookie.SerializableCookie;
import d.a.a.a.a;
import d.d.a.c;
import d.d.a.g;
import d.d.a.h;
import d.d.a.m.q.c.i;
import d.d.a.m.q.c.k;
import d.d.a.q.f;
import java.util.ArrayList;
import org.dsq.library.util.ResouUtils;

public class ViewUtils {
    private static String DOMAIN = SpUtils.getInstance().getString(SerializableCookie.DOMAIN);

    public static void bind(RadioGroup radioGroup, final ViewPager2 viewPager2, final Drawable drawable) {
        drawable.setBounds(0, 0, drawable.getMinimumWidth(), drawable.getMinimumHeight());
        final ArrayList arrayList = new ArrayList();
        for (int i2 = 0; i2 < radioGroup.getChildCount(); i2++) {
            View childAt = radioGroup.getChildAt(i2);
            if (childAt instanceof RadioButton) {
                arrayList.add((RadioButton) childAt);
            }
        }
        radioGroup.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            /* class com.grass.mh.utils.ViewUtils.AnonymousClass1 */

            public void onCheckedChanged(RadioGroup radioGroup, int i2) {
                for (int i3 = 0; i3 < arrayList.size(); i3++) {
                    RadioButton radioButton = (RadioButton) arrayList.get(i3);
                    if (radioButton.getId() == i2) {
                        radioButton.setTextSize(18.0f);
                        radioButton.setTypeface(Typeface.defaultFromStyle(1));
                        viewPager2.setCurrentItem(i3);
                        radioButton.setCompoundDrawables(null, null, null, drawable);
                    } else {
                        radioButton.setTextSize(16.0f);
                        radioButton.setCompoundDrawables(null, null, null, null);
                        radioButton.setTypeface(Typeface.defaultFromStyle(0));
                    }
                }
            }
        });
        viewPager2.registerOnPageChangeCallback(new ViewPager2.OnPageChangeCallback() {
            /* class com.grass.mh.utils.ViewUtils.AnonymousClass2 */

            @Override // androidx.viewpager2.widget.ViewPager2.OnPageChangeCallback
            public void onPageSelected(int i2) {
                super.onPageSelected(i2);
                if (!arrayList.isEmpty()) {
                    ((RadioButton) arrayList.get(i2)).setChecked(true);
                }
            }
        });
    }

    public static void imageLoad(ImageView imageView, String str, int i2) {
        n.x1(DOMAIN + str + "?m=1&w=" + 900, UiUtils.dp2px(i2), imageView);
    }

    public static void loadAvatar(ImageView imageView, String str) {
        n.v1(DOMAIN + str + "?m=1&w=" + 900, imageView);
    }

    public static void loadCircle(ImageView imageView, String str) {
        g<Drawable> j2 = c.f(imageView.getContext()).j(a.y(new StringBuilder(), DOMAIN, str));
        int i2 = R$drawable.base_ic_default;
        ((g) ((g) ((g) j2.s(i2)).i(i2)).j(i2)).a(f.F(new k())).M(imageView);
    }

    public static void loadLocal(ImageView imageView, String str) {
        n.x1(str, 1, imageView);
    }

    public static void loadNormal(ImageView imageView, String str) {
        h f2 = c.f(imageView.getContext());
        g<Drawable> j2 = f2.j((DOMAIN + str + "?m=1&w=" + 900) + "?m=1&w=" + 900);
        int i2 = R$drawable.base_ic_default_video;
        ((g) ((g) ((g) j2.s(i2)).i(i2)).j(i2)).a(f.F(new i())).M(imageView);
    }

    public static void setLeftDrawable(TextView textView, int i2) {
        Drawable drawable = ResouUtils.getDrawable(i2);
        if (drawable != null) {
            drawable.setBounds(0, 0, drawable.getMinimumWidth(), drawable.getMinimumHeight());
        }
        textView.setCompoundDrawables(drawable, null, null, null);
    }

    public static void setTopDrawable(TextView textView, int i2) {
        Drawable drawable = ResouUtils.getDrawable(i2);
        if (drawable != null) {
            drawable.setBounds(0, 0, drawable.getMinimumWidth(), drawable.getMinimumHeight());
        }
        textView.setCompoundDrawables(null, drawable, null, null);
    }

    public static void setLeftDrawable(TextView textView, int i2, int i3) {
        Drawable drawable = ResouUtils.getDrawable(i2);
        if (drawable != null) {
            if (i3 > 0) {
                drawable.setBounds(0, 0, UiUtils.dp2px(i3), UiUtils.dp2px(i3));
            } else {
                drawable.setBounds(0, 0, drawable.getMinimumWidth(), drawable.getMinimumHeight());
            }
        }
        textView.setCompoundDrawables(drawable, null, null, null);
    }
}
