package com.grass.mh.view;

import android.app.Activity;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.FrameLayout;
import com.androidjks.acfan.d1682156448763174048.R;
import com.bigkoo.pickerview.R$anim;

public class BasePickerView {
    public ViewGroup contentContainer;
    private Context context;
    private ViewGroup decorView;
    private boolean dismissing;
    private int gravity = 80;
    private Animation inAnim;
    private boolean isShowing;
    private View mOutMostView;
    private final View.OnTouchListener onCancelableTouchListener = new View.OnTouchListener() {
        /* class com.grass.mh.view.BasePickerView.AnonymousClass2 */

        public boolean onTouch(View view, MotionEvent motionEvent) {
            if (motionEvent.getAction() != 0) {
                return false;
            }
            BasePickerView.this.dismiss();
            return false;
        }
    };
    private OnDismissListener onDismissListener;
    private Animation outAnim;
    private final FrameLayout.LayoutParams params = new FrameLayout.LayoutParams(-1, -2, 80);
    private ViewGroup rootView;

    public BasePickerView(Context context2) {
        this.context = context2;
        initViews();
        init();
        initEvents();
    }

    private void onAttached(View view) {
        this.decorView.addView(view);
        this.contentContainer.startAnimation(this.inAnim);
    }

    public void dismiss() {
        if (!this.dismissing) {
            this.dismissing = true;
            this.outAnim.setAnimationListener(new Animation.AnimationListener() {
                /* class com.grass.mh.view.BasePickerView.AnonymousClass1 */

                public void onAnimationEnd(Animation animation) {
                    BasePickerView.this.decorView.post(new Runnable() {
                        /* class com.grass.mh.view.BasePickerView.AnonymousClass1.AnonymousClass1 */

                        public void run() {
                            BasePickerView.this.dismissImmediately();
                        }
                    });
                }

                public void onAnimationRepeat(Animation animation) {
                }

                public void onAnimationStart(Animation animation) {
                }
            });
            this.contentContainer.startAnimation(this.outAnim);
        }
    }

    public void dismissImmediately() {
        this.decorView.removeView(this.rootView);
        this.isShowing = false;
        this.dismissing = false;
        OnDismissListener onDismissListener2 = this.onDismissListener;
        if (onDismissListener2 != null) {
            onDismissListener2.onDismiss(this);
        }
    }

    public View findViewById(int i2) {
        return this.contentContainer.findViewById(i2);
    }

    public Animation getInAnimation() {
        int i2;
        if (this.gravity != 80) {
            i2 = -1;
        } else {
            i2 = R$anim.pickerview_slide_in_bottom;
        }
        return AnimationUtils.loadAnimation(this.context, i2);
    }

    public Animation getOutAnimation() {
        int i2;
        if (this.gravity != 80) {
            i2 = -1;
        } else {
            i2 = R$anim.pickerview_slide_out_bottom;
        }
        return AnimationUtils.loadAnimation(this.context, i2);
    }

    public void init() {
        this.inAnim = getInAnimation();
        this.outAnim = getOutAnimation();
    }

    public void initEvents() {
    }

    public void initViews() {
        LayoutInflater from = LayoutInflater.from(this.context);
        ViewGroup viewGroup = (ViewGroup) ((Activity) this.context).getWindow().getDecorView().findViewById(16908290);
        this.decorView = viewGroup;
        ViewGroup viewGroup2 = (ViewGroup) from.inflate(R.layout.layout_basepickerview, viewGroup, false);
        this.rootView = viewGroup2;
        viewGroup2.setLayoutParams(new FrameLayout.LayoutParams(-1, -1));
        ViewGroup viewGroup3 = (ViewGroup) this.rootView.findViewById(R.id.content_container);
        this.contentContainer = viewGroup3;
        viewGroup3.setLayoutParams(this.params);
        View findViewById = this.rootView.findViewById(R.id.outmost_container);
        this.mOutMostView = findViewById;
        findViewById.setOnTouchListener(this.onCancelableTouchListener);
        this.mOutMostView.setBackgroundColor(1426063360);
    }

    public boolean isShowing() {
        return this.rootView.getParent() != null || this.isShowing;
    }

    public BasePickerView setCancelable(boolean z) {
        this.mOutMostView.setOnTouchListener(z ? this.onCancelableTouchListener : null);
        return this;
    }

    public BasePickerView setOnDismissListener(OnDismissListener onDismissListener2) {
        this.onDismissListener = onDismissListener2;
        return this;
    }

    public void show() {
        if (!isShowing()) {
            this.isShowing = true;
            onAttached(this.rootView);
        }
    }
}
