package com.grass.mh.view;

public class NumericWheelAdapter implements WheelAdapter {
    public static final int DEFAULT_MAX_VALUE = 9;
    private static final int DEFAULT_MIN_VALUE = 0;
    private int maxValue;
    private int minValue;

    public NumericWheelAdapter() {
        this(0, 9);
    }

    @Override // com.grass.mh.view.WheelAdapter
    public Object getItem(int i2) {
        if (i2 < 0 || i2 >= getItemsCount()) {
            return 0;
        }
        return Integer.valueOf(this.minValue + i2);
    }

    @Override // com.grass.mh.view.WheelAdapter
    public int getItemsCount() {
        return (this.maxValue - this.minValue) + 1;
    }

    @Override // com.grass.mh.view.WheelAdapter
    public int indexOf(Object obj) {
        return ((Integer) obj).intValue() - this.minValue;
    }

    public NumericWheelAdapter(int i2, int i3) {
        this.minValue = i2;
        this.maxValue = i3;
    }
}
