package com.grass.mh.view;

import java.util.TimerTask;
import org.dsq.library.widget.bigImage.SubsamplingScaleImageView;

public final class SmoothScrollTimerTask extends TimerTask {
    public final WheelView loopView;
    public int offset;
    public int realOffset = 0;
    public int realTotalOffset = SubsamplingScaleImageView.TILE_SIZE_AUTO;

    public SmoothScrollTimerTask(WheelView wheelView, int i2) {
        this.loopView = wheelView;
        this.offset = i2;
    }

    public final void run() {
        if (this.realTotalOffset == Integer.MAX_VALUE) {
            this.realTotalOffset = this.offset;
        }
        int i2 = this.realTotalOffset;
        int i3 = (int) (((float) i2) * 0.1f);
        this.realOffset = i3;
        if (i3 == 0) {
            if (i2 < 0) {
                this.realOffset = -1;
            } else {
                this.realOffset = 1;
            }
        }
        if (Math.abs(i2) <= 1) {
            this.loopView.cancelFuture();
            this.loopView.handler.sendEmptyMessage(3000);
            return;
        }
        WheelView wheelView = this.loopView;
        wheelView.totalScrollY += this.realOffset;
        if (!wheelView.isLoop) {
            float f2 = wheelView.itemHeight;
            float f3 = ((float) (-wheelView.initPosition)) * f2;
            WheelView wheelView2 = this.loopView;
            float itemsCount = ((float) ((wheelView.getItemsCount() - 1) - wheelView2.initPosition)) * f2;
            int i4 = wheelView2.totalScrollY;
            if (((float) i4) <= f3 || ((float) i4) >= itemsCount) {
                wheelView2.totalScrollY = i4 - this.realOffset;
                wheelView2.cancelFuture();
                this.loopView.handler.sendEmptyMessage(3000);
                return;
            }
        }
        this.loopView.handler.sendEmptyMessage(1000);
        this.realTotalOffset -= this.realOffset;
    }
}
