package com.grass.mh.widget;

import android.content.Context;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.view.View;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

public class CustomLinearLayoutManager extends LinearLayoutManager {
    public int totalHeight = 0;

    public CustomLinearLayoutManager(Context context) {
        super(context);
    }

    private void calculateChildrenSite(RecyclerView.p pVar) {
        this.totalHeight = 0;
        for (int i2 = 0; i2 < getItemCount(); i2++) {
            View e2 = pVar.e(i2);
            addView(e2);
            measureChildWithMargins(e2, 0, 0);
            int decoratedMeasuredWidth = getDecoratedMeasuredWidth(e2);
            int decoratedMeasuredHeight = getDecoratedMeasuredHeight(e2);
            calculateItemDecorationsForChild(e2, new Rect());
            int i3 = this.totalHeight;
            layoutDecorated(e2, 0, i3, decoratedMeasuredWidth, i3 + decoratedMeasuredHeight);
            this.totalHeight += decoratedMeasuredHeight;
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public void onLayoutChildren(RecyclerView.p pVar, RecyclerView.r rVar) {
        super.onLayoutChildren(pVar, rVar);
        detachAndScrapAttachedViews(pVar);
        calculateChildrenSite(pVar);
    }

    public CustomLinearLayoutManager(Context context, int i2, boolean z) {
        super(context, i2, z);
    }

    public CustomLinearLayoutManager(Context context, AttributeSet attributeSet, int i2, int i3) {
        super(context, attributeSet, i2, i3);
    }
}
