package com.grass.mh.widget;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.drawable.Drawable;
import android.text.Layout;
import android.util.AttributeSet;
import androidx.appcompat.widget.AppCompatTextView;

public class DrawableCenterTextView extends AppCompatTextView {
    public DrawableCenterTextView(Context context) {
        super(context);
    }

    public void onDraw(Canvas canvas) {
        float f2;
        float width = (float) ((getWidth() - getPaddingLeft()) - getPaddingRight());
        Layout layout = getLayout();
        if (layout != null) {
            f2 = 0.0f;
            for (int i2 = 0; i2 < layout.getLineCount(); i2++) {
                f2 = Math.max(f2, layout.getLineRight(i2));
            }
        } else {
            f2 = 0.0f;
        }
        Drawable drawable = getCompoundDrawables()[0];
        int intrinsicWidth = (int) (width - ((f2 + ((float) (drawable != null ? drawable.getIntrinsicWidth() : 0))) + ((float) ((f2 <= 0.0f || drawable == null) ? 0 : getCompoundDrawablePadding()))));
        if (intrinsicWidth != 0) {
            setPadding(intrinsicWidth, 0, intrinsicWidth, 0);
        }
        super.onDraw(canvas);
    }

    public DrawableCenterTextView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    public DrawableCenterTextView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
    }
}
