package com.just.agentweb;

import android.app.Activity;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.webkit.WebChromeClient;
import android.webkit.WebView;
import android.widget.FrameLayout;
import b.j.g.a;
import java.util.HashSet;
import java.util.Set;

public class VideoImpl implements IVideo, EventInterceptor {
    private static final String TAG = "VideoImpl";
    private Activity mActivity;
    private WebChromeClient.CustomViewCallback mCallback;
    private Set<a<Integer, Integer>> mFlags = null;
    private ViewGroup mMoiveParentView = null;
    private View mMoiveView = null;
    private int mOriginalOrientation;
    private WebView mWebView;

    public VideoImpl(Activity activity, WebView webView) {
        this.mActivity = activity;
        this.mWebView = webView;
        this.mFlags = new HashSet();
    }

    @Override // com.just.agentweb.EventInterceptor
    public boolean event() {
        if (!isVideoState()) {
            return false;
        }
        onHideCustomView();
        return true;
    }

    @Override // com.just.agentweb.IVideo
    public boolean isVideoState() {
        return this.mMoiveView != null;
    }

    @Override // com.just.agentweb.IVideo
    public void onHideCustomView() {
        View view;
        if (this.mMoiveView != null) {
            Activity activity = this.mActivity;
            if (activity != null) {
                activity.setRequestedOrientation(this.mOriginalOrientation);
            }
            if (!this.mFlags.isEmpty()) {
                for (a<Integer, Integer> aVar : this.mFlags) {
                    this.mActivity.getWindow().setFlags(aVar.f3389b.intValue(), aVar.f3388a.intValue());
                }
                this.mFlags.clear();
            }
            this.mMoiveView.setVisibility(8);
            ViewGroup viewGroup = this.mMoiveParentView;
            if (!(viewGroup == null || (view = this.mMoiveView) == null)) {
                viewGroup.removeView(view);
            }
            ViewGroup viewGroup2 = this.mMoiveParentView;
            if (viewGroup2 != null) {
                viewGroup2.setVisibility(8);
            }
            WebChromeClient.CustomViewCallback customViewCallback = this.mCallback;
            if (customViewCallback != null) {
                customViewCallback.onCustomViewHidden();
            }
            this.mMoiveView = null;
            WebView webView = this.mWebView;
            if (webView != null) {
                webView.setVisibility(0);
            }
        }
    }

    @Override // com.just.agentweb.IVideo
    public void onShowCustomView(View view, WebChromeClient.CustomViewCallback customViewCallback) {
        Activity activity = this.mActivity;
        if (activity != null && !activity.isFinishing()) {
            this.mOriginalOrientation = activity.getRequestedOrientation();
            activity.setRequestedOrientation(0);
            Window window = activity.getWindow();
            if ((window.getAttributes().flags & 128) == 0) {
                a<Integer, Integer> aVar = new a<>(128, 0);
                window.setFlags(128, 128);
                this.mFlags.add(aVar);
            }
            if ((window.getAttributes().flags & 16777216) == 0) {
                a<Integer, Integer> aVar2 = new a<>(16777216, 0);
                window.setFlags(16777216, 16777216);
                this.mFlags.add(aVar2);
            }
            if (this.mMoiveView != null) {
                customViewCallback.onCustomViewHidden();
                return;
            }
            WebView webView = this.mWebView;
            if (webView != null) {
                webView.setVisibility(8);
            }
            if (this.mMoiveParentView == null) {
                FrameLayout frameLayout = new FrameLayout(activity);
                this.mMoiveParentView = frameLayout;
                frameLayout.setBackgroundColor(-16777216);
                ((FrameLayout) activity.findViewById(16908290)).addView(this.mMoiveParentView);
            }
            this.mCallback = customViewCallback;
            ViewGroup viewGroup = this.mMoiveParentView;
            this.mMoiveView = view;
            viewGroup.addView(view);
            this.mMoiveParentView.setVisibility(0);
        }
    }
}
