package com.luck.picture.lib;

import android.content.Intent;
import android.content.res.ColorStateList;
import android.os.Bundle;
import android.os.Handler;
import android.text.TextUtils;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.CheckBox;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.viewpager.widget.ViewPager;
import b.j.b.a;
import com.luck.picture.lib.adapter.PictureSimpleFragmentAdapter;
import com.luck.picture.lib.config.PictureConfig;
import com.luck.picture.lib.config.PictureMimeType;
import com.luck.picture.lib.config.PictureSelectionConfig;
import com.luck.picture.lib.entity.LocalMedia;
import com.luck.picture.lib.entity.MediaExtraInfo;
import com.luck.picture.lib.manager.UCropManager;
import com.luck.picture.lib.model.LocalMediaPageLoader;
import com.luck.picture.lib.observable.ImagesObservable;
import com.luck.picture.lib.style.PictureParameterStyle;
import com.luck.picture.lib.style.PictureSelectorUIStyle;
import com.luck.picture.lib.tools.AttrsUtils;
import com.luck.picture.lib.tools.MediaUtils;
import com.luck.picture.lib.tools.ScreenUtils;
import com.luck.picture.lib.tools.StringUtils;
import com.luck.picture.lib.tools.ToastUtils;
import com.luck.picture.lib.tools.ValueOf;
import com.luck.picture.lib.tools.VoiceUtils;
import com.luck.picture.lib.widget.PreviewViewPager;
import d.k.a.a.p;
import d.k.a.a.q;
import d.k.a.a.r;
import java.io.File;
import java.util.ArrayList;
import java.util.List;

public class PicturePreviewActivity extends PictureBaseActivity implements View.OnClickListener, PictureSimpleFragmentAdapter.OnCallBackActivity {
    private static final String TAG = PicturePreviewActivity.class.getSimpleName();
    public PictureSimpleFragmentAdapter adapter;
    public Animation animation;
    public View btnCheck;
    public TextView check;
    public String currentDirectory;
    public int index;
    public boolean isBottomPreview;
    public boolean isChangeSelectedData;
    public boolean isCompleteOrSelected;
    public boolean isShowCamera;
    public CheckBox mCbOriginal;
    public Handler mHandler;
    public ImageView mIvArrow;
    private int mPage = 0;
    public View mPicturePreview;
    public ViewGroup mTitleBar;
    public TextView mTvPictureOk;
    public TextView mTvPictureRight;
    public ImageView pictureLeftBack;
    public int position;
    public boolean refresh;
    public int screenWidth;
    public RelativeLayout selectBarLayout;
    public List<LocalMedia> selectData = new ArrayList();
    private int totalNumber;
    public TextView tvMediaNum;
    public TextView tvTitle;
    public PreviewViewPager viewPager;

    private void bothMimeTypeWith(String str, LocalMedia localMedia) {
        if (this.config.enableCrop) {
            this.isCompleteOrSelected = false;
            boolean isHasImage = PictureMimeType.isHasImage(str);
            PictureSelectionConfig pictureSelectionConfig = this.config;
            if (pictureSelectionConfig.selectionMode != 1 || !isHasImage) {
                int size = this.selectData.size();
                int i2 = 0;
                for (int i3 = 0; i3 < size; i3++) {
                    LocalMedia localMedia2 = this.selectData.get(i3);
                    if (localMedia2 != null && !TextUtils.isEmpty(localMedia2.getPath()) && PictureMimeType.isHasImage(localMedia2.getMimeType())) {
                        i2++;
                    }
                }
                if (i2 <= 0) {
                    this.isCompleteOrSelected = true;
                    onBackPressed();
                    return;
                }
                UCropManager.ofCrop(this, (ArrayList) this.selectData);
                return;
            }
            pictureSelectionConfig.originalPath = localMedia.getPath();
            UCropManager.ofCrop(this, this.config.originalPath, localMedia.getMimeType());
            return;
        }
        onBackPressed();
    }

    private void initViewPageAdapterData(List<LocalMedia> list) {
        PictureSimpleFragmentAdapter pictureSimpleFragmentAdapter = new PictureSimpleFragmentAdapter(this.config, this);
        this.adapter = pictureSimpleFragmentAdapter;
        pictureSimpleFragmentAdapter.bindData(list);
        this.viewPager.setAdapter(this.adapter);
        this.viewPager.setCurrentItem(this.position);
        setTitle();
        onImageChecked(this.position);
        LocalMedia item = this.adapter.getItem(this.position);
        if (item != null) {
            this.index = item.getPosition();
            if (this.config.checkNumMode) {
                this.tvMediaNum.setSelected(true);
                this.check.setText(ValueOf.toString(Integer.valueOf(item.getNum())));
                notifyCheckChanged(item);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void isPreviewEggs(boolean z, int i2, int i3) {
        if (z && this.adapter.getSize() > 0) {
            if (i3 < this.screenWidth / 2) {
                LocalMedia item = this.adapter.getItem(i2);
                if (item != null) {
                    this.check.setSelected(isSelected(item));
                    PictureSelectionConfig pictureSelectionConfig = this.config;
                    if (pictureSelectionConfig.isWeChatStyle) {
                        onUpdateSelectedChange(item);
                    } else if (pictureSelectionConfig.checkNumMode) {
                        this.check.setText(ValueOf.toString(Integer.valueOf(item.getNum())));
                        notifyCheckChanged(item);
                        onImageChecked(i2);
                    }
                }
            } else {
                int i4 = i2 + 1;
                LocalMedia item2 = this.adapter.getItem(i4);
                if (item2 != null) {
                    this.check.setSelected(isSelected(item2));
                    PictureSelectionConfig pictureSelectionConfig2 = this.config;
                    if (pictureSelectionConfig2.isWeChatStyle) {
                        onUpdateSelectedChange(item2);
                    } else if (pictureSelectionConfig2.checkNumMode) {
                        this.check.setText(ValueOf.toString(Integer.valueOf(item2.getNum())));
                        notifyCheckChanged(item2);
                        onImageChecked(i4);
                    }
                }
            }
        }
    }

    private void loadData() {
        long longExtra = getIntent().getLongExtra(PictureConfig.EXTRA_BUCKET_ID, -1);
        this.mPage++;
        LocalMediaPageLoader.getInstance(getContext()).loadPageMediaData(longExtra, this.mPage, this.config.pageSize, new r(this));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void loadMoreData() {
        long longExtra = getIntent().getLongExtra(PictureConfig.EXTRA_BUCKET_ID, -1);
        this.mPage++;
        LocalMediaPageLoader.getInstance(getContext()).loadPageMediaData(longExtra, this.mPage, this.config.pageSize, new p(this));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void notifyCheckChanged(LocalMedia localMedia) {
        if (this.config.checkNumMode) {
            this.check.setText("");
            int size = this.selectData.size();
            for (int i2 = 0; i2 < size; i2++) {
                LocalMedia localMedia2 = this.selectData.get(i2);
                if (localMedia2.getPath().equals(localMedia.getPath()) || localMedia2.getId() == localMedia.getId()) {
                    localMedia.setNum(localMedia2.getNum());
                    this.check.setText(ValueOf.toString(Integer.valueOf(localMedia.getNum())));
                }
            }
        }
    }

    private void separateMimeTypeWith(String str, LocalMedia localMedia) {
        if (!this.config.enableCrop || !PictureMimeType.isHasImage(str)) {
            onBackPressed();
            return;
        }
        this.isCompleteOrSelected = false;
        PictureSelectionConfig pictureSelectionConfig = this.config;
        if (pictureSelectionConfig.selectionMode == 1) {
            pictureSelectionConfig.originalPath = localMedia.getPath();
            UCropManager.ofCrop(this, this.config.originalPath, localMedia.getMimeType());
            return;
        }
        UCropManager.ofCrop(this, (ArrayList) this.selectData);
    }

    private void setNewTitle() {
        this.mPage = 0;
        this.position = 0;
        setTitle();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setTitle() {
        if (!this.config.isPageStrategy || this.isBottomPreview) {
            this.tvTitle.setText(getString(R.string.picture_preview_image_num, new Object[]{Integer.valueOf(this.position + 1), Integer.valueOf(this.adapter.getSize())}));
            return;
        }
        this.tvTitle.setText(getString(R.string.picture_preview_image_num, new Object[]{Integer.valueOf(this.position + 1), Integer.valueOf(this.totalNumber)}));
    }

    private void subSelectPosition() {
        int size = this.selectData.size();
        int i2 = 0;
        while (i2 < size) {
            i2++;
            this.selectData.get(i2).setNum(i2);
        }
    }

    private void updateResult() {
        Intent intent = new Intent();
        if (this.isChangeSelectedData) {
            intent.putExtra(PictureConfig.EXTRA_COMPLETE_SELECTED, this.isCompleteOrSelected);
            intent.putParcelableArrayListExtra(PictureConfig.EXTRA_SELECT_LIST, (ArrayList) this.selectData);
        }
        PictureSelectionConfig pictureSelectionConfig = this.config;
        if (pictureSelectionConfig.isOriginalControl) {
            intent.putExtra(PictureConfig.EXTRA_CHANGE_ORIGINAL, pictureSelectionConfig.isCheckOriginalImage);
        }
        setResult(0, intent);
    }

    public /* synthetic */ void B(List list, int i2, boolean z) {
        PictureSimpleFragmentAdapter pictureSimpleFragmentAdapter;
        if (!isFinishing()) {
            this.isHasMore = z;
            if (!z) {
                return;
            }
            if (list.size() <= 0 || (pictureSimpleFragmentAdapter = this.adapter) == null) {
                loadMoreData();
                return;
            }
            pictureSimpleFragmentAdapter.getData().addAll(list);
            this.adapter.notifyDataSetChanged();
        }
    }

    public /* synthetic */ void C(List list, int i2, boolean z) {
        PictureSimpleFragmentAdapter pictureSimpleFragmentAdapter;
        if (!isFinishing()) {
            this.isHasMore = z;
            if (!z) {
                return;
            }
            if (list.size() <= 0 || (pictureSimpleFragmentAdapter = this.adapter) == null) {
                loadMoreData();
                return;
            }
            pictureSimpleFragmentAdapter.getData().addAll(list);
            this.adapter.notifyDataSetChanged();
        }
    }

    @Override // com.luck.picture.lib.PictureBaseActivity
    public int getResourceId() {
        return R.layout.picture_preview;
    }

    @Override // com.luck.picture.lib.PictureBaseActivity
    public void initCompleteText(int i2) {
        int i3;
        String str;
        String str2;
        int i4;
        String str3;
        int i5;
        String str4;
        if (this.config.selectionMode == 1) {
            if (i2 <= 0) {
                PictureSelectorUIStyle pictureSelectorUIStyle = PictureSelectionConfig.uiStyle;
                if (pictureSelectorUIStyle != null) {
                    TextView textView = this.mTvPictureOk;
                    int i6 = pictureSelectorUIStyle.picture_bottom_completeDefaultText;
                    if (i6 == 0) {
                        i6 = R.string.picture_please_select;
                    }
                    textView.setText(getString(i6));
                    return;
                }
                PictureParameterStyle pictureParameterStyle = PictureSelectionConfig.style;
                if (pictureParameterStyle != null) {
                    TextView textView2 = this.mTvPictureOk;
                    if (!TextUtils.isEmpty(pictureParameterStyle.pictureUnCompleteText)) {
                        str4 = PictureSelectionConfig.style.pictureUnCompleteText;
                    } else {
                        str4 = getString(R.string.picture_please_select);
                    }
                    textView2.setText(str4);
                    return;
                }
                return;
            }
            PictureSelectorUIStyle pictureSelectorUIStyle2 = PictureSelectionConfig.uiStyle;
            if (pictureSelectorUIStyle2 == null) {
                PictureParameterStyle pictureParameterStyle2 = PictureSelectionConfig.style;
                if (pictureParameterStyle2 == null) {
                    return;
                }
                if (!pictureParameterStyle2.isCompleteReplaceNum || TextUtils.isEmpty(pictureParameterStyle2.pictureCompleteText)) {
                    TextView textView3 = this.mTvPictureOk;
                    if (!TextUtils.isEmpty(PictureSelectionConfig.style.pictureCompleteText)) {
                        str3 = PictureSelectionConfig.style.pictureCompleteText;
                    } else {
                        str3 = getString(R.string.picture_done);
                    }
                    textView3.setText(str3);
                    return;
                }
                this.mTvPictureOk.setText(String.format(PictureSelectionConfig.style.pictureCompleteText, Integer.valueOf(i2), 1));
            } else if (!pictureSelectorUIStyle2.isCompleteReplaceNum || (i5 = pictureSelectorUIStyle2.picture_bottom_completeNormalText) == 0) {
                TextView textView4 = this.mTvPictureOk;
                int i7 = pictureSelectorUIStyle2.picture_bottom_completeNormalText;
                if (i7 == 0) {
                    i7 = R.string.picture_done;
                }
                textView4.setText(getString(i7));
            } else {
                this.mTvPictureOk.setText(String.format(getString(i5), Integer.valueOf(i2), 1));
            }
        } else if (i2 <= 0) {
            PictureSelectorUIStyle pictureSelectorUIStyle3 = PictureSelectionConfig.uiStyle;
            if (pictureSelectorUIStyle3 != null) {
                TextView textView5 = this.mTvPictureOk;
                if (!pictureSelectorUIStyle3.isCompleteReplaceNum || (i4 = pictureSelectorUIStyle3.picture_bottom_completeDefaultText) == 0) {
                    str2 = getString(R.string.picture_done_front_num, new Object[]{Integer.valueOf(i2), Integer.valueOf(this.config.maxSelectNum)});
                } else {
                    str2 = String.format(getString(i4), Integer.valueOf(i2), Integer.valueOf(this.config.maxSelectNum));
                }
                textView5.setText(str2);
                return;
            }
            PictureParameterStyle pictureParameterStyle3 = PictureSelectionConfig.style;
            if (pictureParameterStyle3 != null) {
                TextView textView6 = this.mTvPictureOk;
                if (!pictureParameterStyle3.isCompleteReplaceNum || TextUtils.isEmpty(pictureParameterStyle3.pictureUnCompleteText)) {
                    str = getString(R.string.picture_done_front_num, new Object[]{Integer.valueOf(i2), Integer.valueOf(this.config.maxSelectNum)});
                } else {
                    str = PictureSelectionConfig.style.pictureUnCompleteText;
                }
                textView6.setText(str);
            }
        } else {
            PictureSelectorUIStyle pictureSelectorUIStyle4 = PictureSelectionConfig.uiStyle;
            if (pictureSelectorUIStyle4 == null) {
                PictureParameterStyle pictureParameterStyle4 = PictureSelectionConfig.style;
                if (pictureParameterStyle4 == null) {
                    return;
                }
                if (!pictureParameterStyle4.isCompleteReplaceNum || TextUtils.isEmpty(pictureParameterStyle4.pictureCompleteText)) {
                    this.mTvPictureOk.setText(getString(R.string.picture_done_front_num, new Object[]{Integer.valueOf(i2), Integer.valueOf(this.config.maxSelectNum)}));
                } else {
                    this.mTvPictureOk.setText(String.format(PictureSelectionConfig.style.pictureCompleteText, Integer.valueOf(i2), Integer.valueOf(this.config.maxSelectNum)));
                }
            } else if (!pictureSelectorUIStyle4.isCompleteReplaceNum || (i3 = pictureSelectorUIStyle4.picture_bottom_completeNormalText) == 0) {
                this.mTvPictureOk.setText(getString(R.string.picture_done_front_num, new Object[]{Integer.valueOf(i2), Integer.valueOf(this.config.maxSelectNum)}));
            } else {
                this.mTvPictureOk.setText(String.format(getString(i3), Integer.valueOf(i2), Integer.valueOf(this.config.maxSelectNum)));
            }
        }
    }

    @Override // com.luck.picture.lib.PictureBaseActivity
    public void initPictureSelectorStyle() {
        ColorStateList colorStateList;
        PictureSelectorUIStyle pictureSelectorUIStyle = PictureSelectionConfig.uiStyle;
        if (pictureSelectorUIStyle != null) {
            int i2 = pictureSelectorUIStyle.picture_top_titleTextColor;
            if (i2 != 0) {
                this.tvTitle.setTextColor(i2);
            }
            int i3 = PictureSelectionConfig.uiStyle.picture_top_titleTextSize;
            if (i3 != 0) {
                this.tvTitle.setTextSize((float) i3);
            }
            int i4 = PictureSelectionConfig.uiStyle.picture_top_leftBack;
            if (i4 != 0) {
                this.pictureLeftBack.setImageResource(i4);
            }
            int i5 = PictureSelectionConfig.uiStyle.picture_bottom_barBackgroundColor;
            if (i5 != 0) {
                this.selectBarLayout.setBackgroundColor(i5);
            }
            int i6 = PictureSelectionConfig.uiStyle.picture_bottom_completeRedDotBackground;
            if (i6 != 0) {
                this.tvMediaNum.setBackgroundResource(i6);
            }
            int i7 = PictureSelectionConfig.uiStyle.picture_check_style;
            if (i7 != 0) {
                this.check.setBackgroundResource(i7);
            }
            int[] iArr = PictureSelectionConfig.uiStyle.picture_bottom_completeTextColor;
            if (iArr.length > 0 && (colorStateList = AttrsUtils.getColorStateList(iArr)) != null) {
                this.mTvPictureOk.setTextColor(colorStateList);
            }
            int i8 = PictureSelectionConfig.uiStyle.picture_bottom_completeDefaultText;
            if (i8 != 0) {
                this.mTvPictureOk.setText(i8);
            }
            if (PictureSelectionConfig.uiStyle.picture_top_titleBarHeight > 0) {
                this.mTitleBar.getLayoutParams().height = PictureSelectionConfig.uiStyle.picture_top_titleBarHeight;
            }
            if (PictureSelectionConfig.uiStyle.picture_bottom_barHeight > 0) {
                this.selectBarLayout.getLayoutParams().height = PictureSelectionConfig.uiStyle.picture_bottom_barHeight;
            }
            if (this.config.isOriginalControl) {
                int i9 = PictureSelectionConfig.uiStyle.picture_bottom_originalPictureCheckStyle;
                if (i9 != 0) {
                    this.mCbOriginal.setButtonDrawable(i9);
                } else {
                    CheckBox checkBox = this.mCbOriginal;
                    int i10 = R.drawable.picture_original_checkbox;
                    Object obj = a.f3266a;
                    checkBox.setButtonDrawable(getDrawable(i10));
                }
                int i11 = PictureSelectionConfig.uiStyle.picture_bottom_originalPictureTextColor;
                if (i11 != 0) {
                    this.mCbOriginal.setTextColor(i11);
                } else {
                    this.mCbOriginal.setTextColor(a.b(this, R.color.picture_color_53575e));
                }
                int i12 = PictureSelectionConfig.uiStyle.picture_bottom_originalPictureTextSize;
                if (i12 != 0) {
                    this.mCbOriginal.setTextSize((float) i12);
                }
            } else {
                CheckBox checkBox2 = this.mCbOriginal;
                int i13 = R.drawable.picture_original_checkbox;
                Object obj2 = a.f3266a;
                checkBox2.setButtonDrawable(getDrawable(i13));
                this.mCbOriginal.setTextColor(a.b(this, R.color.picture_color_53575e));
            }
        } else {
            PictureParameterStyle pictureParameterStyle = PictureSelectionConfig.style;
            if (pictureParameterStyle != null) {
                int i14 = pictureParameterStyle.pictureTitleTextColor;
                if (i14 != 0) {
                    this.tvTitle.setTextColor(i14);
                }
                int i15 = PictureSelectionConfig.style.pictureTitleTextSize;
                if (i15 != 0) {
                    this.tvTitle.setTextSize((float) i15);
                }
                int i16 = PictureSelectionConfig.style.pictureLeftBackIcon;
                if (i16 != 0) {
                    this.pictureLeftBack.setImageResource(i16);
                }
                int i17 = PictureSelectionConfig.style.picturePreviewBottomBgColor;
                if (i17 != 0) {
                    this.selectBarLayout.setBackgroundColor(i17);
                }
                int i18 = PictureSelectionConfig.style.pictureCheckNumBgStyle;
                if (i18 != 0) {
                    this.tvMediaNum.setBackgroundResource(i18);
                }
                int i19 = PictureSelectionConfig.style.pictureCheckedStyle;
                if (i19 != 0) {
                    this.check.setBackgroundResource(i19);
                }
                int i20 = PictureSelectionConfig.style.pictureUnCompleteTextColor;
                if (i20 != 0) {
                    this.mTvPictureOk.setTextColor(i20);
                }
                if (!TextUtils.isEmpty(PictureSelectionConfig.style.pictureUnCompleteText)) {
                    this.mTvPictureOk.setText(PictureSelectionConfig.style.pictureUnCompleteText);
                }
                if (PictureSelectionConfig.style.pictureTitleBarHeight > 0) {
                    this.mTitleBar.getLayoutParams().height = PictureSelectionConfig.style.pictureTitleBarHeight;
                }
                if (this.config.isOriginalControl) {
                    int i21 = PictureSelectionConfig.style.pictureOriginalControlStyle;
                    if (i21 != 0) {
                        this.mCbOriginal.setButtonDrawable(i21);
                    } else {
                        CheckBox checkBox3 = this.mCbOriginal;
                        int i22 = R.drawable.picture_original_checkbox;
                        Object obj3 = a.f3266a;
                        checkBox3.setButtonDrawable(getDrawable(i22));
                    }
                    int i23 = PictureSelectionConfig.style.pictureOriginalFontColor;
                    if (i23 != 0) {
                        this.mCbOriginal.setTextColor(i23);
                    } else {
                        this.mCbOriginal.setTextColor(a.b(this, R.color.picture_color_53575e));
                    }
                    int i24 = PictureSelectionConfig.style.pictureOriginalTextSize;
                    if (i24 != 0) {
                        this.mCbOriginal.setTextSize((float) i24);
                    }
                } else {
                    CheckBox checkBox4 = this.mCbOriginal;
                    int i25 = R.drawable.picture_original_checkbox;
                    Object obj4 = a.f3266a;
                    checkBox4.setButtonDrawable(getDrawable(i25));
                    this.mCbOriginal.setTextColor(a.b(this, R.color.picture_color_53575e));
                }
            } else {
                this.check.setBackground(AttrsUtils.getTypeValueDrawable(getContext(), R.attr.picture_checked_style, R.drawable.picture_checkbox_selector));
                ColorStateList typeValueColorStateList = AttrsUtils.getTypeValueColorStateList(getContext(), R.attr.picture_ac_preview_complete_textColor);
                if (typeValueColorStateList != null) {
                    this.mTvPictureOk.setTextColor(typeValueColorStateList);
                }
                this.pictureLeftBack.setImageDrawable(AttrsUtils.getTypeValueDrawable(getContext(), R.attr.picture_preview_leftBack_icon, R.drawable.picture_icon_back));
                int typeValueColor = AttrsUtils.getTypeValueColor(getContext(), R.attr.picture_ac_preview_title_textColor);
                if (typeValueColor != 0) {
                    this.tvTitle.setTextColor(typeValueColor);
                }
                this.tvMediaNum.setBackground(AttrsUtils.getTypeValueDrawable(getContext(), R.attr.picture_num_style, R.drawable.picture_num_oval));
                int typeValueColor2 = AttrsUtils.getTypeValueColor(getContext(), R.attr.picture_ac_preview_bottom_bg);
                if (typeValueColor2 != 0) {
                    this.selectBarLayout.setBackgroundColor(typeValueColor2);
                }
                int typeValueSizeForInt = AttrsUtils.getTypeValueSizeForInt(getContext(), R.attr.picture_titleBar_height);
                if (typeValueSizeForInt > 0) {
                    this.mTitleBar.getLayoutParams().height = typeValueSizeForInt;
                }
                if (this.config.isOriginalControl) {
                    this.mCbOriginal.setButtonDrawable(AttrsUtils.getTypeValueDrawable(getContext(), R.attr.picture_original_check_style, R.drawable.picture_original_wechat_checkbox));
                    int typeValueColor3 = AttrsUtils.getTypeValueColor(getContext(), R.attr.picture_original_text_color);
                    if (typeValueColor3 != 0) {
                        this.mCbOriginal.setTextColor(typeValueColor3);
                    }
                }
            }
        }
        this.mTitleBar.setBackgroundColor(this.colorPrimary);
        onSelectNumChange(false);
    }

    @Override // com.luck.picture.lib.PictureBaseActivity
    public void initWidgets() {
        super.initWidgets();
        this.mHandler = new Handler();
        this.mTitleBar = (ViewGroup) findViewById(R.id.titleBar);
        this.screenWidth = ScreenUtils.getScreenWidth(this);
        this.animation = AnimationUtils.loadAnimation(this, R.anim.picture_anim_modal_in);
        this.pictureLeftBack = (ImageView) findViewById(R.id.pictureLeftBack);
        this.mTvPictureRight = (TextView) findViewById(R.id.picture_right);
        this.mIvArrow = (ImageView) findViewById(R.id.ivArrow);
        this.viewPager = (PreviewViewPager) findViewById(R.id.preview_pager);
        this.mPicturePreview = findViewById(R.id.picture_id_preview);
        this.btnCheck = findViewById(R.id.btnCheck);
        this.check = (TextView) findViewById(R.id.check);
        this.pictureLeftBack.setOnClickListener(this);
        this.mTvPictureOk = (TextView) findViewById(R.id.picture_tv_ok);
        this.mCbOriginal = (CheckBox) findViewById(R.id.cb_original);
        this.tvMediaNum = (TextView) findViewById(R.id.tv_media_num);
        this.selectBarLayout = (RelativeLayout) findViewById(R.id.select_bar_layout);
        this.mTvPictureOk.setOnClickListener(this);
        this.tvMediaNum.setOnClickListener(this);
        this.tvTitle = (TextView) findViewById(R.id.picture_title);
        this.mPicturePreview.setVisibility(8);
        this.mIvArrow.setVisibility(8);
        this.mTvPictureRight.setVisibility(8);
        this.check.setVisibility(0);
        this.btnCheck.setVisibility(0);
        this.position = getIntent().getIntExtra("position", 0);
        if (this.numComplete) {
            initCompleteText(0);
        }
        this.tvMediaNum.setSelected(this.config.checkNumMode);
        this.btnCheck.setOnClickListener(this);
        if (getIntent().getParcelableArrayListExtra(PictureConfig.EXTRA_SELECT_LIST) != null) {
            this.selectData = getIntent().getParcelableArrayListExtra(PictureConfig.EXTRA_SELECT_LIST);
        }
        this.isBottomPreview = getIntent().getBooleanExtra(PictureConfig.EXTRA_BOTTOM_PREVIEW, false);
        this.isShowCamera = getIntent().getBooleanExtra(PictureConfig.EXTRA_SHOW_CAMERA, this.config.isCamera);
        this.currentDirectory = getIntent().getStringExtra(PictureConfig.EXTRA_IS_CURRENT_DIRECTORY);
        if (this.isBottomPreview) {
            initViewPageAdapterData(getIntent().getParcelableArrayListExtra(PictureConfig.EXTRA_PREVIEW_SELECT_LIST));
        } else {
            ArrayList arrayList = new ArrayList(ImagesObservable.getInstance().readPreviewMediaData());
            boolean z = arrayList.size() == 0;
            this.totalNumber = getIntent().getIntExtra(PictureConfig.EXTRA_DATA_COUNT, 0);
            if (this.config.isPageStrategy) {
                if (z) {
                    setNewTitle();
                } else {
                    this.mPage = getIntent().getIntExtra(PictureConfig.EXTRA_PAGE, 0);
                }
                initViewPageAdapterData(arrayList);
                loadData();
                setTitle();
            } else {
                initViewPageAdapterData(arrayList);
                if (z) {
                    this.config.isPageStrategy = true;
                    setNewTitle();
                    loadData();
                }
            }
        }
        this.viewPager.addOnPageChangeListener(new ViewPager.OnPageChangeListener() {
            /* class com.luck.picture.lib.PicturePreviewActivity.AnonymousClass1 */

            @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
            public void onPageScrollStateChanged(int i2) {
            }

            @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
            public void onPageScrolled(int i2, float f2, int i3) {
                PicturePreviewActivity picturePreviewActivity = PicturePreviewActivity.this;
                picturePreviewActivity.isPreviewEggs(picturePreviewActivity.config.previewEggs, i2, i3);
            }

            @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
            public void onPageSelected(int i2) {
                PicturePreviewActivity picturePreviewActivity = PicturePreviewActivity.this;
                picturePreviewActivity.position = i2;
                picturePreviewActivity.setTitle();
                PicturePreviewActivity picturePreviewActivity2 = PicturePreviewActivity.this;
                LocalMedia item = picturePreviewActivity2.adapter.getItem(picturePreviewActivity2.position);
                if (item != null) {
                    PicturePreviewActivity.this.index = item.getPosition();
                    PicturePreviewActivity picturePreviewActivity3 = PicturePreviewActivity.this;
                    PictureSelectionConfig pictureSelectionConfig = picturePreviewActivity3.config;
                    if (!pictureSelectionConfig.previewEggs) {
                        if (pictureSelectionConfig.checkNumMode) {
                            picturePreviewActivity3.check.setText(ValueOf.toString(Integer.valueOf(item.getNum())));
                            PicturePreviewActivity.this.notifyCheckChanged(item);
                        }
                        PicturePreviewActivity picturePreviewActivity4 = PicturePreviewActivity.this;
                        picturePreviewActivity4.onImageChecked(picturePreviewActivity4.position);
                    }
                    if (PicturePreviewActivity.this.config.isOriginalControl) {
                        PicturePreviewActivity.this.mCbOriginal.setVisibility(PictureMimeType.isHasVideo(item.getMimeType()) ? 8 : 0);
                        PicturePreviewActivity picturePreviewActivity5 = PicturePreviewActivity.this;
                        picturePreviewActivity5.mCbOriginal.setChecked(picturePreviewActivity5.config.isCheckOriginalImage);
                    }
                    PicturePreviewActivity.this.onPageSelectedChange(item);
                    PicturePreviewActivity picturePreviewActivity6 = PicturePreviewActivity.this;
                    if (picturePreviewActivity6.config.isPageStrategy && !picturePreviewActivity6.isBottomPreview && picturePreviewActivity6.isHasMore) {
                        if (picturePreviewActivity6.position != (picturePreviewActivity6.adapter.getSize() - 1) - 10) {
                            PicturePreviewActivity picturePreviewActivity7 = PicturePreviewActivity.this;
                            if (picturePreviewActivity7.position != picturePreviewActivity7.adapter.getSize() - 1) {
                                return;
                            }
                        }
                        PicturePreviewActivity.this.loadMoreData();
                    }
                }
            }
        });
        if (this.config.isOriginalControl) {
            boolean booleanExtra = getIntent().getBooleanExtra(PictureConfig.EXTRA_CHANGE_ORIGINAL, this.config.isCheckOriginalImage);
            this.mCbOriginal.setVisibility(0);
            this.config.isCheckOriginalImage = booleanExtra;
            this.mCbOriginal.setChecked(booleanExtra);
            this.mCbOriginal.setOnCheckedChangeListener(new q(this));
        }
    }

    public boolean isSelected(LocalMedia localMedia) {
        int size = this.selectData.size();
        for (int i2 = 0; i2 < size; i2++) {
            LocalMedia localMedia2 = this.selectData.get(i2);
            if (localMedia2.getPath().equals(localMedia.getPath()) || localMedia2.getId() == localMedia.getId()) {
                return true;
            }
        }
        return false;
    }

    @Override // com.luck.picture.lib.adapter.PictureSimpleFragmentAdapter.OnCallBackActivity
    public void onActivityBackPressed() {
        onBackPressed();
    }

    @Override // androidx.activity.ComponentActivity, androidx.fragment.app.FragmentActivity
    public void onActivityResult(int i2, int i3, Intent intent) {
        Throwable th;
        super.onActivityResult(i2, i3, intent);
        if (i3 == -1) {
            if (i2 == 69) {
                if (intent != null) {
                    intent.putParcelableArrayListExtra(PictureConfig.EXTRA_SELECT_LIST, (ArrayList) this.selectData);
                    setResult(-1, intent);
                }
                finish();
            } else if (i2 == 609) {
                intent.putParcelableArrayListExtra("com.yalantis.ucrop.OutputUriList", intent.getParcelableArrayListExtra("com.yalantis.ucrop.OutputUriList"));
                intent.putParcelableArrayListExtra(PictureConfig.EXTRA_SELECT_LIST, (ArrayList) this.selectData);
                setResult(-1, intent);
                finish();
            }
        } else if (i3 == 96 && (th = (Throwable) intent.getSerializableExtra("com.yalantis.ucrop.Error")) != null) {
            ToastUtils.s(getContext(), th.getMessage());
        }
    }

    @Override // androidx.activity.ComponentActivity
    public void onBackPressed() {
        updateResult();
        finish();
        overridePendingTransition(0, PictureSelectionConfig.windowAnimationStyle.activityPreviewExitAnimation);
    }

    public void onCheckedComplete() {
        boolean z;
        LocalMedia localMedia;
        int i2;
        if (this.adapter.getSize() > 0) {
            LocalMedia item = this.adapter.getItem(this.viewPager.getCurrentItem());
            String realPath = item.getRealPath();
            if (TextUtils.isEmpty(realPath) || new File(realPath).exists()) {
                String mimeType = this.selectData.size() > 0 ? this.selectData.get(0).getMimeType() : "";
                int size = this.selectData.size();
                if (this.config.isWithVideoImage) {
                    int i3 = 0;
                    for (int i4 = 0; i4 < size; i4++) {
                        if (PictureMimeType.isHasVideo(this.selectData.get(i4).getMimeType())) {
                            i3++;
                        }
                    }
                    if (PictureMimeType.isHasVideo(item.getMimeType())) {
                        PictureSelectionConfig pictureSelectionConfig = this.config;
                        if (pictureSelectionConfig.maxVideoSelectNum <= 0) {
                            showPromptDialog(getString(R.string.picture_rule));
                            return;
                        } else if (size >= pictureSelectionConfig.maxSelectNum && !this.check.isSelected()) {
                            showPromptDialog(getString(R.string.picture_message_max_num, new Object[]{Integer.valueOf(this.config.maxSelectNum)}));
                            return;
                        } else if (i3 >= this.config.maxVideoSelectNum && !this.check.isSelected()) {
                            showPromptDialog(StringUtils.getMsg(getContext(), item.getMimeType(), this.config.maxVideoSelectNum));
                            return;
                        } else if (!this.check.isSelected() && this.config.videoMinSecond > 0 && item.getDuration() < ((long) this.config.videoMinSecond)) {
                            showPromptDialog(getContext().getString(R.string.picture_choose_min_seconds, Integer.valueOf(this.config.videoMinSecond / 1000)));
                            return;
                        } else if (!this.check.isSelected() && this.config.videoMaxSecond > 0 && item.getDuration() > ((long) this.config.videoMaxSecond)) {
                            showPromptDialog(getContext().getString(R.string.picture_choose_max_seconds, Integer.valueOf(this.config.videoMaxSecond / 1000)));
                            return;
                        }
                    } else if (size >= this.config.maxSelectNum && !this.check.isSelected()) {
                        showPromptDialog(getString(R.string.picture_message_max_num, new Object[]{Integer.valueOf(this.config.maxSelectNum)}));
                        return;
                    }
                } else if (!TextUtils.isEmpty(mimeType) && !PictureMimeType.isMimeTypeSame(mimeType, item.getMimeType())) {
                    showPromptDialog(getString(R.string.picture_rule));
                    return;
                } else if (!PictureMimeType.isHasVideo(mimeType) || (i2 = this.config.maxVideoSelectNum) <= 0) {
                    if (size >= this.config.maxSelectNum && !this.check.isSelected()) {
                        showPromptDialog(StringUtils.getMsg(getContext(), mimeType, this.config.maxSelectNum));
                        return;
                    } else if (PictureMimeType.isHasVideo(item.getMimeType())) {
                        if (!this.check.isSelected() && this.config.videoMinSecond > 0 && item.getDuration() < ((long) this.config.videoMinSecond)) {
                            showPromptDialog(getContext().getString(R.string.picture_choose_min_seconds, Integer.valueOf(this.config.videoMinSecond / 1000)));
                            return;
                        } else if (!this.check.isSelected() && this.config.videoMaxSecond > 0 && item.getDuration() > ((long) this.config.videoMaxSecond)) {
                            showPromptDialog(getContext().getString(R.string.picture_choose_max_seconds, Integer.valueOf(this.config.videoMaxSecond / 1000)));
                            return;
                        }
                    }
                } else if (size >= i2 && !this.check.isSelected()) {
                    showPromptDialog(StringUtils.getMsg(getContext(), mimeType, this.config.maxVideoSelectNum));
                    return;
                } else if (!this.check.isSelected() && this.config.videoMinSecond > 0 && item.getDuration() < ((long) this.config.videoMinSecond)) {
                    showPromptDialog(getContext().getString(R.string.picture_choose_min_seconds, Integer.valueOf(this.config.videoMinSecond / 1000)));
                    return;
                } else if (!this.check.isSelected() && this.config.videoMaxSecond > 0 && item.getDuration() > ((long) this.config.videoMaxSecond)) {
                    showPromptDialog(getContext().getString(R.string.picture_choose_max_seconds, Integer.valueOf(this.config.videoMaxSecond / 1000)));
                    return;
                }
                if (!this.check.isSelected()) {
                    this.check.setSelected(true);
                    this.check.startAnimation(this.animation);
                    z = true;
                } else {
                    this.check.setSelected(false);
                    z = false;
                }
                this.isChangeSelectedData = true;
                if (z) {
                    VoiceUtils.getInstance().play();
                    if (this.config.selectionMode == 1) {
                        this.selectData.clear();
                    }
                    if (item.getWidth() == 0 || item.getHeight() == 0) {
                        if (PictureMimeType.isHasVideo(item.getMimeType())) {
                            MediaExtraInfo videoSize = MediaUtils.getVideoSize(getContext(), item.getPath());
                            item.setWidth(videoSize.getWidth());
                            item.setHeight(videoSize.getHeight());
                        } else if (PictureMimeType.isHasImage(item.getMimeType())) {
                            MediaExtraInfo imageSize = MediaUtils.getImageSize(getContext(), item.getPath());
                            item.setWidth(imageSize.getWidth());
                            item.setHeight(imageSize.getHeight());
                        }
                    }
                    this.selectData.add(item);
                    onSelectedChange(true, item);
                    item.setNum(this.selectData.size());
                    if (this.config.checkNumMode) {
                        this.check.setText(ValueOf.toString(Integer.valueOf(item.getNum())));
                    }
                } else {
                    int size2 = this.selectData.size();
                    int i5 = 0;
                    while (true) {
                        if (i5 >= size2) {
                            break;
                        }
                        localMedia = this.selectData.get(i5);
                        if (localMedia.getPath().equals(item.getPath()) || localMedia.getId() == item.getId()) {
                            this.selectData.remove(localMedia);
                            onSelectedChange(false, item);
                            subSelectPosition();
                            notifyCheckChanged(localMedia);
                        } else {
                            i5++;
                        }
                    }
                    this.selectData.remove(localMedia);
                    onSelectedChange(false, item);
                    subSelectPosition();
                    notifyCheckChanged(localMedia);
                }
                onSelectNumChange(true);
                return;
            }
            ToastUtils.s(getContext(), PictureMimeType.s(getContext(), item.getMimeType()));
        }
    }

    public void onClick(View view) {
        int id = view.getId();
        if (id == R.id.pictureLeftBack) {
            onBackPressed();
        } else if (id == R.id.picture_tv_ok || id == R.id.tv_media_num) {
            onComplete();
        } else if (id == R.id.btnCheck) {
            onCheckedComplete();
        }
    }

    public void onComplete() {
        int i2;
        int i3;
        int size = this.selectData.size();
        LocalMedia localMedia = this.selectData.size() > 0 ? this.selectData.get(0) : null;
        String mimeType = localMedia != null ? localMedia.getMimeType() : "";
        PictureSelectionConfig pictureSelectionConfig = this.config;
        if (pictureSelectionConfig.isWithVideoImage) {
            int size2 = this.selectData.size();
            int i4 = 0;
            int i5 = 0;
            for (int i6 = 0; i6 < size2; i6++) {
                if (PictureMimeType.isHasVideo(this.selectData.get(i6).getMimeType())) {
                    i5++;
                } else {
                    i4++;
                }
            }
            PictureSelectionConfig pictureSelectionConfig2 = this.config;
            if (pictureSelectionConfig2.selectionMode == 2) {
                int i7 = pictureSelectionConfig2.minSelectNum;
                if (i7 <= 0 || i4 >= i7) {
                    int i8 = pictureSelectionConfig2.minVideoSelectNum;
                    if (i8 > 0 && i5 < i8) {
                        showPromptDialog(getString(R.string.picture_min_video_num, new Object[]{Integer.valueOf(i8)}));
                        return;
                    }
                } else {
                    showPromptDialog(getString(R.string.picture_min_img_num, new Object[]{Integer.valueOf(i7)}));
                    return;
                }
            }
        } else if (pictureSelectionConfig.selectionMode == 2) {
            if (PictureMimeType.isHasImage(mimeType) && (i3 = this.config.minSelectNum) > 0 && size < i3) {
                showPromptDialog(getString(R.string.picture_min_img_num, new Object[]{Integer.valueOf(i3)}));
                return;
            } else if (PictureMimeType.isHasVideo(mimeType) && (i2 = this.config.minVideoSelectNum) > 0 && size < i2) {
                showPromptDialog(getString(R.string.picture_min_video_num, new Object[]{Integer.valueOf(i2)}));
                return;
            }
        }
        this.isCompleteOrSelected = true;
        this.isChangeSelectedData = true;
        if (this.config.chooseMode != PictureMimeType.ofAll() || !this.config.isWithVideoImage) {
            separateMimeTypeWith(mimeType, localMedia);
        } else {
            bothMimeTypeWith(mimeType, localMedia);
        }
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, com.luck.picture.lib.PictureBaseActivity, androidx.fragment.app.FragmentActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        if (bundle != null) {
            List<LocalMedia> obtainSelectorList = PictureSelector.obtainSelectorList(bundle);
            if (obtainSelectorList == null) {
                obtainSelectorList = this.selectData;
            }
            this.selectData = obtainSelectorList;
            this.isCompleteOrSelected = bundle.getBoolean(PictureConfig.EXTRA_COMPLETE_SELECTED, false);
            this.isChangeSelectedData = bundle.getBoolean(PictureConfig.EXTRA_CHANGE_SELECTED_DATA, false);
            onImageChecked(this.position);
            onSelectNumChange(false);
        }
    }

    @Override // androidx.appcompat.app.AppCompatActivity, com.luck.picture.lib.PictureBaseActivity, androidx.fragment.app.FragmentActivity
    public void onDestroy() {
        super.onDestroy();
        if (!this.isOnSaveInstanceState) {
            ImagesObservable.getInstance().clearPreviewMediaData();
        }
        Handler handler = this.mHandler;
        if (handler != null) {
            handler.removeCallbacksAndMessages(null);
            this.mHandler = null;
        }
        Animation animation2 = this.animation;
        if (animation2 != null) {
            animation2.cancel();
            this.animation = null;
        }
        PictureSimpleFragmentAdapter pictureSimpleFragmentAdapter = this.adapter;
        if (pictureSimpleFragmentAdapter != null) {
            pictureSimpleFragmentAdapter.clear();
        }
    }

    public void onImageChecked(int i2) {
        if (this.adapter.getSize() > 0) {
            LocalMedia item = this.adapter.getItem(i2);
            if (item != null) {
                this.check.setSelected(isSelected(item));
                return;
            }
            return;
        }
        this.check.setSelected(false);
    }

    public void onPageSelectedChange(LocalMedia localMedia) {
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, com.luck.picture.lib.PictureBaseActivity
    public void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        bundle.putBoolean(PictureConfig.EXTRA_COMPLETE_SELECTED, this.isCompleteOrSelected);
        bundle.putBoolean(PictureConfig.EXTRA_CHANGE_SELECTED_DATA, this.isChangeSelectedData);
        PictureSelector.saveSelectorList(bundle, this.selectData);
    }

    public void onSelectNumChange(boolean z) {
        this.refresh = z;
        if (this.selectData.size() != 0) {
            this.mTvPictureOk.setEnabled(true);
            this.mTvPictureOk.setSelected(true);
            PictureParameterStyle pictureParameterStyle = PictureSelectionConfig.style;
            if (pictureParameterStyle != null) {
                int i2 = pictureParameterStyle.pictureCompleteTextColor;
                if (i2 != 0) {
                    this.mTvPictureOk.setTextColor(i2);
                } else {
                    this.mTvPictureOk.setTextColor(a.b(getContext(), R.color.picture_color_fa632d));
                }
            }
            if (this.numComplete) {
                initCompleteText(this.selectData.size());
                return;
            }
            if (this.refresh) {
                this.tvMediaNum.startAnimation(this.animation);
            }
            this.tvMediaNum.setVisibility(0);
            this.tvMediaNum.setText(ValueOf.toString(Integer.valueOf(this.selectData.size())));
            PictureSelectorUIStyle pictureSelectorUIStyle = PictureSelectionConfig.uiStyle;
            if (pictureSelectorUIStyle != null) {
                int i3 = pictureSelectorUIStyle.picture_bottom_completeNormalText;
                if (i3 != 0) {
                    this.mTvPictureOk.setText(i3);
                    return;
                }
                return;
            }
            PictureParameterStyle pictureParameterStyle2 = PictureSelectionConfig.style;
            if (pictureParameterStyle2 == null) {
                this.mTvPictureOk.setText(getString(R.string.picture_completed));
            } else if (!TextUtils.isEmpty(pictureParameterStyle2.pictureCompleteText)) {
                this.mTvPictureOk.setText(PictureSelectionConfig.style.pictureCompleteText);
            }
        } else {
            this.mTvPictureOk.setEnabled(false);
            this.mTvPictureOk.setSelected(false);
            PictureParameterStyle pictureParameterStyle3 = PictureSelectionConfig.style;
            if (pictureParameterStyle3 != null) {
                int i4 = pictureParameterStyle3.pictureUnCompleteTextColor;
                if (i4 != 0) {
                    this.mTvPictureOk.setTextColor(i4);
                } else {
                    this.mTvPictureOk.setTextColor(a.b(getContext(), R.color.picture_color_9b));
                }
            }
            if (this.numComplete) {
                initCompleteText(0);
                return;
            }
            this.tvMediaNum.setVisibility(4);
            PictureSelectorUIStyle pictureSelectorUIStyle2 = PictureSelectionConfig.uiStyle;
            if (pictureSelectorUIStyle2 != null) {
                int i5 = pictureSelectorUIStyle2.picture_bottom_completeDefaultText;
                if (i5 != 0) {
                    this.mTvPictureOk.setText(i5);
                    return;
                }
                return;
            }
            PictureParameterStyle pictureParameterStyle4 = PictureSelectionConfig.style;
            if (pictureParameterStyle4 == null) {
                this.mTvPictureOk.setText(getString(R.string.picture_please_select));
            } else if (!TextUtils.isEmpty(pictureParameterStyle4.pictureUnCompleteText)) {
                this.mTvPictureOk.setText(PictureSelectionConfig.style.pictureUnCompleteText);
            }
        }
    }

    public void onSelectedChange(boolean z, LocalMedia localMedia) {
    }

    public void onUpdateSelectedChange(LocalMedia localMedia) {
    }
}
