package com.luck.picture.lib;

import android.content.Context;
import android.content.Intent;
import android.content.res.ColorStateList;
import android.media.MediaPlayer;
import android.net.Uri;
import android.os.Bundle;
import android.os.Environment;
import android.os.Parcelable;
import android.os.SystemClock;
import android.text.TextUtils;
import android.view.View;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.SeekBar;
import android.widget.TextView;
import androidx.constraintlayout.core.motion.utils.TypedValues;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.recyclerview.widget.SimpleItemAnimator;
import b.j.b.a;
import com.luck.picture.lib.adapter.PictureImageGridAdapter;
import com.luck.picture.lib.animators.AlphaInAnimationAdapter;
import com.luck.picture.lib.animators.SlideInBottomAnimationAdapter;
import com.luck.picture.lib.config.PictureConfig;
import com.luck.picture.lib.config.PictureMimeType;
import com.luck.picture.lib.config.PictureSelectionConfig;
import com.luck.picture.lib.decoration.GridSpacingItemDecoration;
import com.luck.picture.lib.dialog.PhotoItemSelectedDialog;
import com.luck.picture.lib.dialog.PictureCustomDialog;
import com.luck.picture.lib.entity.LocalMedia;
import com.luck.picture.lib.entity.LocalMediaFolder;
import com.luck.picture.lib.entity.MediaExtraInfo;
import com.luck.picture.lib.listener.OnAlbumItemClickListener;
import com.luck.picture.lib.listener.OnCustomCameraInterfaceListener;
import com.luck.picture.lib.listener.OnCustomImagePreviewCallback;
import com.luck.picture.lib.listener.OnItemClickListener;
import com.luck.picture.lib.listener.OnPermissionDialogOptionCallback;
import com.luck.picture.lib.listener.OnPermissionsObtainCallback;
import com.luck.picture.lib.listener.OnPhotoSelectChangedListener;
import com.luck.picture.lib.listener.OnRecyclerViewPreloadMoreListener;
import com.luck.picture.lib.listener.OnResultCallbackListener;
import com.luck.picture.lib.listener.OnVideoSelectedPlayCallback;
import com.luck.picture.lib.manager.UCropManager;
import com.luck.picture.lib.model.LocalMediaLoader;
import com.luck.picture.lib.model.LocalMediaPageLoader;
import com.luck.picture.lib.observable.ImagesObservable;
import com.luck.picture.lib.permissions.PermissionChecker;
import com.luck.picture.lib.style.PictureParameterStyle;
import com.luck.picture.lib.style.PictureSelectorUIStyle;
import com.luck.picture.lib.thread.PictureThreadUtils;
import com.luck.picture.lib.tools.AttrsUtils;
import com.luck.picture.lib.tools.BitmapUtils;
import com.luck.picture.lib.tools.DateUtils;
import com.luck.picture.lib.tools.DoubleUtils;
import com.luck.picture.lib.tools.JumpUtils;
import com.luck.picture.lib.tools.MediaUtils;
import com.luck.picture.lib.tools.PictureFileUtils;
import com.luck.picture.lib.tools.ScreenUtils;
import com.luck.picture.lib.tools.SdkVersionUtils;
import com.luck.picture.lib.tools.StringUtils;
import com.luck.picture.lib.tools.ToastUtils;
import com.luck.picture.lib.tools.ValueOf;
import com.luck.picture.lib.widget.FolderPopWindow;
import com.luck.picture.lib.widget.RecyclerPreloadView;
import d.k.a.a.a0;
import d.k.a.a.s;
import d.k.a.a.t;
import d.k.a.a.u;
import d.k.a.a.v;
import d.k.a.a.w;
import d.k.a.a.x;
import d.k.a.a.y;
import d.k.a.a.z;
import java.io.File;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import okio.BufferedSource;
import okio.Okio;
import org.dsq.library.widget.circularmenu.anim.DefaultAnimationHandler;

public class PictureSelectorActivity extends PictureBaseActivity implements View.OnClickListener, OnAlbumItemClickListener, OnPhotoSelectChangedListener<LocalMedia>, OnItemClickListener, OnRecyclerViewPreloadMoreListener {
    private static final String TAG = PictureSelectorActivity.class.getSimpleName();
    private int allFolderSize;
    public Animation animation = null;
    public PictureCustomDialog audioDialog;
    public FolderPopWindow folderWindow;
    private long intervalClickTime = 0;
    public boolean isEnterSetting;
    public boolean isPlayAudio = false;
    public boolean isStartAnimation = false;
    public PictureImageGridAdapter mAdapter;
    public RelativeLayout mBottomLayout;
    public CheckBox mCbOriginal;
    public ImageView mIvArrow;
    public ImageView mIvPictureLeftBack;
    private int mOpenCameraCount;
    public RecyclerPreloadView mRecyclerView;
    public Runnable mRunnable = new Runnable() {
        /* class com.luck.picture.lib.PictureSelectorActivity.AnonymousClass6 */

        public void run() {
            try {
                PictureSelectorActivity pictureSelectorActivity = PictureSelectorActivity.this;
                MediaPlayer mediaPlayer = pictureSelectorActivity.mediaPlayer;
                if (mediaPlayer != null) {
                    pictureSelectorActivity.mTvMusicTime.setText(DateUtils.formatDurationTime((long) mediaPlayer.getCurrentPosition()));
                    PictureSelectorActivity pictureSelectorActivity2 = PictureSelectorActivity.this;
                    pictureSelectorActivity2.musicSeekBar.setProgress(pictureSelectorActivity2.mediaPlayer.getCurrentPosition());
                    PictureSelectorActivity pictureSelectorActivity3 = PictureSelectorActivity.this;
                    pictureSelectorActivity3.musicSeekBar.setMax(pictureSelectorActivity3.mediaPlayer.getDuration());
                    PictureSelectorActivity pictureSelectorActivity4 = PictureSelectorActivity.this;
                    pictureSelectorActivity4.mTvMusicTotal.setText(DateUtils.formatDurationTime((long) pictureSelectorActivity4.mediaPlayer.getDuration()));
                    PictureSelectorActivity pictureSelectorActivity5 = PictureSelectorActivity.this;
                    pictureSelectorActivity5.mHandler.postDelayed(pictureSelectorActivity5.mRunnable, 200);
                }
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    };
    public View mTitleBar;
    public TextView mTvEmpty;
    public TextView mTvMusicStatus;
    public TextView mTvMusicTime;
    public TextView mTvMusicTotal;
    public TextView mTvPictureImgNum;
    public TextView mTvPictureOk;
    public TextView mTvPicturePreview;
    public TextView mTvPictureRight;
    public TextView mTvPictureTitle;
    public TextView mTvPlayPause;
    public TextView mTvQuit;
    public TextView mTvStop;
    public MediaPlayer mediaPlayer;
    public SeekBar musicSeekBar;
    public int oldCurrentListSize;
    public View viewClickMask;

    public class onAudioOnClick implements View.OnClickListener {
        private String path;

        public onAudioOnClick(String str) {
            this.path = str;
        }

        public /* synthetic */ void a() {
            PictureSelectorActivity.this.stop(this.path);
        }

        public void onClick(View view) {
            int id = view.getId();
            if (id == R.id.tv_PlayPause) {
                PictureSelectorActivity.this.playAudio();
            }
            if (id == R.id.tv_Stop) {
                PictureSelectorActivity pictureSelectorActivity = PictureSelectorActivity.this;
                pictureSelectorActivity.mTvMusicStatus.setText(pictureSelectorActivity.getString(R.string.picture_stop_audio));
                PictureSelectorActivity pictureSelectorActivity2 = PictureSelectorActivity.this;
                pictureSelectorActivity2.mTvPlayPause.setText(pictureSelectorActivity2.getString(R.string.picture_play_audio));
                PictureSelectorActivity.this.stop(this.path);
            }
            if (id == R.id.tv_Quit) {
                PictureSelectorActivity.this.mHandler.postDelayed(new x(this), 30);
                try {
                    PictureCustomDialog pictureCustomDialog = PictureSelectorActivity.this.audioDialog;
                    if (pictureCustomDialog != null && pictureCustomDialog.isShowing()) {
                        PictureSelectorActivity.this.audioDialog.dismiss();
                    }
                } catch (Exception e2) {
                    e2.printStackTrace();
                }
                PictureSelectorActivity pictureSelectorActivity3 = PictureSelectorActivity.this;
                pictureSelectorActivity3.mHandler.removeCallbacks(pictureSelectorActivity3.mRunnable);
            }
        }
    }

    private void bothMimeTypeWith(boolean z, List<LocalMedia> list) {
        int i2 = 0;
        LocalMedia localMedia = list.size() > 0 ? list.get(0) : null;
        if (localMedia != null) {
            PictureSelectionConfig pictureSelectionConfig = this.config;
            if (pictureSelectionConfig.enableCrop) {
                if (pictureSelectionConfig.selectionMode != 1 || !z) {
                    int size = list.size();
                    int i3 = 0;
                    while (i2 < size) {
                        LocalMedia localMedia2 = list.get(i2);
                        if (localMedia2 != null && !TextUtils.isEmpty(localMedia2.getPath()) && PictureMimeType.isHasImage(localMedia2.getMimeType())) {
                            i3++;
                        }
                        i2++;
                    }
                    if (i3 <= 0) {
                        onResult(list);
                    } else {
                        UCropManager.ofCrop(this, (ArrayList) list);
                    }
                } else {
                    pictureSelectionConfig.originalPath = localMedia.getPath();
                    UCropManager.ofCrop(this, this.config.originalPath, localMedia.getMimeType());
                }
            } else if (pictureSelectionConfig.isCompress) {
                int size2 = list.size();
                int i4 = 0;
                while (true) {
                    if (i4 >= size2) {
                        break;
                    } else if (PictureMimeType.isHasImage(list.get(i4).getMimeType())) {
                        i2 = 1;
                        break;
                    } else {
                        i4++;
                    }
                }
                if (i2 <= 0) {
                    onResult(list);
                } else {
                    compressImage(list);
                }
            } else {
                onResult(list);
            }
        }
    }

    private boolean checkVideoLegitimacy(LocalMedia localMedia) {
        if (!PictureMimeType.isHasVideo(localMedia.getMimeType())) {
            return true;
        }
        PictureSelectionConfig pictureSelectionConfig = this.config;
        int i2 = pictureSelectionConfig.videoMinSecond;
        if (i2 <= 0 || pictureSelectionConfig.videoMaxSecond <= 0) {
            if (i2 > 0) {
                long duration = localMedia.getDuration();
                int i3 = this.config.videoMinSecond;
                if (duration >= ((long) i3)) {
                    return true;
                }
                showPromptDialog(getString(R.string.picture_choose_min_seconds, new Object[]{Integer.valueOf(i3 / 1000)}));
            } else if (pictureSelectionConfig.videoMaxSecond <= 0) {
                return true;
            } else {
                long duration2 = localMedia.getDuration();
                int i4 = this.config.videoMaxSecond;
                if (duration2 <= ((long) i4)) {
                    return true;
                }
                showPromptDialog(getString(R.string.picture_choose_max_seconds, new Object[]{Integer.valueOf(i4 / 1000)}));
            }
        } else if (localMedia.getDuration() >= ((long) this.config.videoMinSecond) && localMedia.getDuration() <= ((long) this.config.videoMaxSecond)) {
            return true;
        } else {
            showPromptDialog(getString(R.string.picture_choose_limit_seconds, new Object[]{Integer.valueOf(this.config.videoMinSecond / 1000), Integer.valueOf(this.config.videoMaxSecond / 1000)}));
        }
        return false;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:27:0x0087, code lost:
        if (r2.isOpen() != false) goto L_0x0089;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:28:0x0089, code lost:
        com.luck.picture.lib.tools.PictureFileUtils.close(r2);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:36:0x009a, code lost:
        if (r2.isOpen() != false) goto L_0x0089;
     */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x00b5 A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x00b6  */
    private void dispatchHandleCamera(Intent intent) {
        PictureSelectionConfig pictureSelectionConfig;
        String str;
        int dCIMLastImageId;
        Throwable th;
        BufferedSource bufferedSource;
        Exception e2;
        String str2 = null;
        BufferedSource bufferedSource2 = null;
        if (intent != null) {
            try {
                pictureSelectionConfig = (PictureSelectionConfig) intent.getParcelableExtra(PictureConfig.EXTRA_CONFIG);
            } catch (Exception e3) {
                e3.printStackTrace();
                return;
            }
        } else {
            pictureSelectionConfig = null;
        }
        if (pictureSelectionConfig != null) {
            this.config = pictureSelectionConfig;
        }
        if (this.config.chooseMode == PictureMimeType.ofAudio()) {
            this.config.cameraMimeType = PictureMimeType.ofAudio();
            this.config.cameraPath = getAudioPath(intent);
            if (!TextUtils.isEmpty(this.config.cameraPath)) {
                if (SdkVersionUtils.checkedAndroid_R()) {
                    try {
                        Uri createAudioUri = MediaUtils.createAudioUri(getContext(), this.config.suffixType);
                        if (createAudioUri != null) {
                            InputStream openInputStream = getContentResolver().openInputStream(Uri.parse(this.config.cameraPath));
                            Objects.requireNonNull(openInputStream);
                            bufferedSource = Okio.buffer(Okio.source(openInputStream));
                            try {
                                PictureFileUtils.bufferCopy(bufferedSource, getContentResolver().openOutputStream(createAudioUri));
                                this.config.cameraPath = createAudioUri.toString();
                            } catch (Exception e4) {
                                e2 = e4;
                            }
                        } else {
                            bufferedSource = null;
                        }
                        if (bufferedSource != null) {
                        }
                    } catch (Exception e5) {
                        e2 = e5;
                        bufferedSource = null;
                        try {
                            e2.printStackTrace();
                            if (bufferedSource != null) {
                            }
                            if (TextUtils.isEmpty(this.config.cameraPath)) {
                            }
                        } catch (Throwable th2) {
                            th = th2;
                            bufferedSource2 = bufferedSource;
                            PictureFileUtils.close(bufferedSource2);
                            throw th;
                        }
                    } catch (Throwable th3) {
                        th = th3;
                        if (bufferedSource2 != null && bufferedSource2.isOpen()) {
                            PictureFileUtils.close(bufferedSource2);
                        }
                        throw th;
                    }
                }
            } else {
                return;
            }
        }
        if (TextUtils.isEmpty(this.config.cameraPath)) {
            LocalMedia localMedia = new LocalMedia();
            if (PictureMimeType.isContent(this.config.cameraPath)) {
                String path = PictureFileUtils.getPath(getContext(), Uri.parse(this.config.cameraPath));
                File file = new File(path);
                str = PictureMimeType.getMimeType(this.config.cameraMimeType);
                localMedia.setSize(file.length());
                localMedia.setFileName(file.getName());
                if (PictureMimeType.isHasImage(str)) {
                    MediaExtraInfo imageSize = MediaUtils.getImageSize(getContext(), this.config.cameraPath);
                    localMedia.setWidth(imageSize.getWidth());
                    localMedia.setHeight(imageSize.getHeight());
                } else if (PictureMimeType.isHasVideo(str)) {
                    MediaExtraInfo videoSize = MediaUtils.getVideoSize(getContext(), this.config.cameraPath);
                    localMedia.setWidth(videoSize.getWidth());
                    localMedia.setHeight(videoSize.getHeight());
                    localMedia.setDuration(videoSize.getDuration());
                } else if (PictureMimeType.isHasAudio(str)) {
                    localMedia.setDuration(MediaUtils.getAudioSize(getContext(), this.config.cameraPath).getDuration());
                }
                int lastIndexOf = this.config.cameraPath.lastIndexOf("/") + 1;
                localMedia.setId(lastIndexOf > 0 ? ValueOf.toLong(this.config.cameraPath.substring(lastIndexOf)) : -1);
                localMedia.setRealPath(path);
                if (intent != null) {
                    str2 = intent.getStringExtra(PictureConfig.EXTRA_MEDIA_PATH);
                }
                localMedia.setAndroidQToPath(str2);
            } else {
                File file2 = new File(this.config.cameraPath);
                str = PictureMimeType.getMimeType(this.config.cameraMimeType);
                localMedia.setSize(file2.length());
                localMedia.setFileName(file2.getName());
                if (PictureMimeType.isHasImage(str)) {
                    Context context = getContext();
                    PictureSelectionConfig pictureSelectionConfig2 = this.config;
                    BitmapUtils.rotateImage(context, pictureSelectionConfig2.isCameraRotateImage, pictureSelectionConfig2.cameraPath);
                    MediaExtraInfo imageSize2 = MediaUtils.getImageSize(getContext(), this.config.cameraPath);
                    localMedia.setWidth(imageSize2.getWidth());
                    localMedia.setHeight(imageSize2.getHeight());
                } else if (PictureMimeType.isHasVideo(str)) {
                    MediaExtraInfo videoSize2 = MediaUtils.getVideoSize(getContext(), this.config.cameraPath);
                    localMedia.setWidth(videoSize2.getWidth());
                    localMedia.setHeight(videoSize2.getHeight());
                    localMedia.setDuration(videoSize2.getDuration());
                } else if (PictureMimeType.isHasAudio(str)) {
                    localMedia.setDuration(MediaUtils.getAudioSize(getContext(), this.config.cameraPath).getDuration());
                }
                localMedia.setId(System.currentTimeMillis());
                localMedia.setRealPath(this.config.cameraPath);
            }
            localMedia.setPath(this.config.cameraPath);
            localMedia.setMimeType(str);
            if (!SdkVersionUtils.checkedAndroid_Q() || !PictureMimeType.isHasVideo(localMedia.getMimeType())) {
                localMedia.setParentFolderName("Camera");
            } else {
                localMedia.setParentFolderName(Environment.DIRECTORY_MOVIES);
            }
            localMedia.setChooseModel(this.config.chooseMode);
            localMedia.setBucketId(MediaUtils.getCameraFirstBucketId(getContext()));
            localMedia.setDateAddedTime(DateUtils.getCurrentTimeMillis());
            notifyAdapterData(localMedia);
            if (!SdkVersionUtils.checkedAndroid_Q()) {
                if (this.config.isFallbackVersion3) {
                    new PictureMediaScannerConnection(getContext(), this.config.cameraPath);
                } else {
                    sendBroadcast(new Intent("android.intent.action.MEDIA_SCANNER_SCAN_FILE", Uri.fromFile(new File(this.config.cameraPath))));
                }
                if (PictureMimeType.isHasImage(localMedia.getMimeType()) && (dCIMLastImageId = MediaUtils.getDCIMLastImageId(getContext())) != -1) {
                    MediaUtils.removeMedia(getContext(), dCIMLastImageId);
                }
            } else if (PictureMimeType.isHasVideo(localMedia.getMimeType()) && PictureMimeType.isContent(this.config.cameraPath)) {
                if (this.config.isFallbackVersion3) {
                    new PictureMediaScannerConnection(getContext(), localMedia.getRealPath());
                } else {
                    sendBroadcast(new Intent("android.intent.action.MEDIA_SCANNER_SCAN_FILE", Uri.fromFile(new File(localMedia.getRealPath()))));
                }
            }
        }
    }

    private void dispatchHandleMultiple(LocalMedia localMedia) {
        int i2;
        List<LocalMedia> selectedData = this.mAdapter.getSelectedData();
        int size = selectedData.size();
        String mimeType = size > 0 ? selectedData.get(0).getMimeType() : "";
        boolean isMimeTypeSame = PictureMimeType.isMimeTypeSame(mimeType, localMedia.getMimeType());
        if (this.config.isWithVideoImage) {
            int i3 = 0;
            for (int i4 = 0; i4 < size; i4++) {
                if (PictureMimeType.isHasVideo(selectedData.get(i4).getMimeType())) {
                    i3++;
                }
            }
            if (PictureMimeType.isHasVideo(localMedia.getMimeType())) {
                int i5 = this.config.maxVideoSelectNum;
                if (i5 <= 0) {
                    showPromptDialog(getString(R.string.picture_rule));
                } else if (i3 >= i5) {
                    showPromptDialog(getString(R.string.picture_message_max_num, new Object[]{Integer.valueOf(i5)}));
                } else {
                    selectedData.add(localMedia);
                    this.mAdapter.bindSelectData(selectedData);
                }
            } else if (selectedData.size() < this.config.maxSelectNum) {
                selectedData.add(localMedia);
                this.mAdapter.bindSelectData(selectedData);
            } else {
                showPromptDialog(StringUtils.getMsg(getContext(), localMedia.getMimeType(), this.config.maxSelectNum));
            }
        } else if (!PictureMimeType.isHasVideo(mimeType) || (i2 = this.config.maxVideoSelectNum) <= 0) {
            if (size >= this.config.maxSelectNum) {
                showPromptDialog(StringUtils.getMsg(getContext(), mimeType, this.config.maxSelectNum));
            } else if (isMimeTypeSame || size == 0) {
                selectedData.add(localMedia);
                this.mAdapter.bindSelectData(selectedData);
            }
        } else if (size >= i2) {
            showPromptDialog(StringUtils.getMsg(getContext(), mimeType, this.config.maxVideoSelectNum));
        } else if ((isMimeTypeSame || size == 0) && selectedData.size() < this.config.maxVideoSelectNum) {
            selectedData.add(localMedia);
            this.mAdapter.bindSelectData(selectedData);
        }
    }

    private void dispatchHandleSingle(LocalMedia localMedia) {
        if (this.config.isSingleDirectReturn) {
            List<LocalMedia> selectedData = this.mAdapter.getSelectedData();
            selectedData.add(localMedia);
            this.mAdapter.bindSelectData(selectedData);
            singleDirectReturnCameraHandleResult(localMedia.getMimeType());
            return;
        }
        List<LocalMedia> selectedData2 = this.mAdapter.getSelectedData();
        if (PictureMimeType.isMimeTypeSame(selectedData2.size() > 0 ? selectedData2.get(0).getMimeType() : "", localMedia.getMimeType()) || selectedData2.size() == 0) {
            singleRadioMediaImage();
            selectedData2.add(localMedia);
            this.mAdapter.bindSelectData(selectedData2);
        }
    }

    private int getPageLimit() {
        if (ValueOf.toInt(this.mTvPictureTitle.getTag(R.id.view_tag)) != -1) {
            return this.config.pageSize;
        }
        int i2 = this.mOpenCameraCount;
        int i3 = i2 > 0 ? this.config.pageSize - i2 : this.config.pageSize;
        this.mOpenCameraCount = 0;
        return i3;
    }

    private void hideDataNull() {
        if (this.mTvEmpty.getVisibility() == 0) {
            this.mTvEmpty.setVisibility(8);
        }
    }

    private void initPageModel(List<LocalMediaFolder> list) {
        if (list != null) {
            this.folderWindow.bindFolder(list);
            this.mPage = 1;
            LocalMediaFolder folder = this.folderWindow.getFolder(0);
            this.mTvPictureTitle.setTag(R.id.view_count_tag, Integer.valueOf(folder != null ? folder.getImageNum() : 0));
            this.mTvPictureTitle.setTag(R.id.view_index_tag, 0);
            long bucketId = folder != null ? folder.getBucketId() : -1;
            this.mRecyclerView.setEnabledLoadMore(true);
            LocalMediaPageLoader.getInstance(getContext()).loadPageMediaData(bucketId, this.mPage, new v(this));
            return;
        }
        showDataNull(getString(R.string.picture_data_exception), R.drawable.picture_icon_data_error);
        dismissDialog();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void initPlayer(String str) {
        this.mediaPlayer = new MediaPlayer();
        try {
            if (PictureMimeType.isContent(str)) {
                this.mediaPlayer.setDataSource(getContext(), Uri.parse(str));
            } else {
                this.mediaPlayer.setDataSource(str);
            }
            this.mediaPlayer.prepare();
            this.mediaPlayer.setLooping(true);
            playAudio();
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void initStandardModel(List<LocalMediaFolder> list) {
        if (list == null) {
            showDataNull(getString(R.string.picture_data_exception), R.drawable.picture_icon_data_error);
        } else if (list.size() > 0) {
            this.folderWindow.bindFolder(list);
            LocalMediaFolder localMediaFolder = list.get(0);
            localMediaFolder.setChecked(true);
            this.mTvPictureTitle.setTag(R.id.view_count_tag, Integer.valueOf(localMediaFolder.getImageNum()));
            List<LocalMedia> data = localMediaFolder.getData();
            PictureImageGridAdapter pictureImageGridAdapter = this.mAdapter;
            if (pictureImageGridAdapter != null) {
                int size = pictureImageGridAdapter.getSize();
                int size2 = data.size();
                int i2 = this.oldCurrentListSize + size;
                this.oldCurrentListSize = i2;
                if (size2 >= size) {
                    if (size <= 0 || size >= size2 || i2 == size2) {
                        this.mAdapter.bindData(data);
                    } else {
                        this.mAdapter.getData().addAll(data);
                        LocalMedia localMedia = this.mAdapter.getData().get(0);
                        localMediaFolder.setFirstImagePath(localMedia.getPath());
                        localMediaFolder.getData().add(0, localMedia);
                        localMediaFolder.setCheckedNum(1);
                        localMediaFolder.setImageNum(localMediaFolder.getImageNum() + 1);
                        updateMediaFolder(this.folderWindow.getFolderData(), localMedia);
                    }
                }
                if (this.mAdapter.isDataEmpty()) {
                    showDataNull(getString(R.string.picture_empty), R.drawable.picture_icon_no_data);
                } else {
                    hideDataNull();
                }
            }
        } else {
            showDataNull(getString(R.string.picture_empty), R.drawable.picture_icon_no_data);
        }
        dismissDialog();
    }

    private boolean isAddSameImp(int i2) {
        int i3;
        return i2 != 0 && (i3 = this.allFolderSize) > 0 && i3 < i2;
    }

    private boolean isCurrentCacheFolderData(int i2) {
        this.mTvPictureTitle.setTag(R.id.view_index_tag, Integer.valueOf(i2));
        LocalMediaFolder folder = this.folderWindow.getFolder(i2);
        if (folder == null || folder.getData() == null || folder.getData().size() <= 0) {
            return false;
        }
        this.mAdapter.bindData(folder.getData());
        this.mPage = folder.getCurrentDataPage();
        this.isHasMore = folder.isHasMore();
        this.mRecyclerView.smoothScrollToPosition(0);
        return true;
    }

    private boolean isLocalMediaSame(LocalMedia localMedia) {
        LocalMedia item = this.mAdapter.getItem(0);
        if (!(item == null || localMedia == null)) {
            if (item.getPath().equals(localMedia.getPath())) {
                return true;
            }
            if (PictureMimeType.isContent(localMedia.getPath()) && PictureMimeType.isContent(item.getPath()) && !TextUtils.isEmpty(localMedia.getPath()) && !TextUtils.isEmpty(item.getPath())) {
                return localMedia.getPath().substring(localMedia.getPath().lastIndexOf("/") + 1).equals(item.getPath().substring(item.getPath().lastIndexOf("/") + 1));
            }
        }
        return false;
    }

    private void isNumComplete(boolean z) {
        if (z) {
            initCompleteText(0);
        }
    }

    private void loadAllMediaData() {
        if (!PermissionChecker.checkSelfPermission(this, "android.permission.READ_EXTERNAL_STORAGE") || !PermissionChecker.checkSelfPermission(this, "android.permission.WRITE_EXTERNAL_STORAGE")) {
            PermissionChecker.requestPermissions(this, new String[]{"android.permission.READ_EXTERNAL_STORAGE", "android.permission.WRITE_EXTERNAL_STORAGE"}, 1);
        } else {
            readLocalMedia();
        }
    }

    private void loadMoreData() {
        if (this.mAdapter != null && this.isHasMore) {
            this.mPage++;
            long j2 = ValueOf.toLong(this.mTvPictureTitle.getTag(R.id.view_tag));
            LocalMediaPageLoader.getInstance(getContext()).loadPageMediaData(j2, this.mPage, getPageLimit(), new a0(this, j2));
        }
    }

    private void manualSaveFolder(LocalMedia localMedia) {
        LocalMediaFolder localMediaFolder;
        try {
            boolean isEmpty = this.folderWindow.isEmpty();
            int imageNum = this.folderWindow.getFolder(0) != null ? this.folderWindow.getFolder(0).getImageNum() : 0;
            if (isEmpty) {
                createNewFolder(this.folderWindow.getFolderData());
                localMediaFolder = this.folderWindow.getFolderData().size() > 0 ? this.folderWindow.getFolderData().get(0) : null;
                if (localMediaFolder == null) {
                    localMediaFolder = new LocalMediaFolder();
                    this.folderWindow.getFolderData().add(0, localMediaFolder);
                }
            } else {
                localMediaFolder = this.folderWindow.getFolderData().get(0);
            }
            localMediaFolder.setFirstImagePath(localMedia.getPath());
            localMediaFolder.setFirstMimeType(localMedia.getMimeType());
            localMediaFolder.setData(this.mAdapter.getData());
            localMediaFolder.setBucketId(-1);
            localMediaFolder.setImageNum(isAddSameImp(imageNum) ? localMediaFolder.getImageNum() : localMediaFolder.getImageNum() + 1);
            LocalMediaFolder imageFolder = getImageFolder(localMedia.getPath(), localMedia.getRealPath(), localMedia.getMimeType(), this.folderWindow.getFolderData());
            if (imageFolder != null) {
                imageFolder.setImageNum(isAddSameImp(imageNum) ? imageFolder.getImageNum() : imageFolder.getImageNum() + 1);
                if (!isAddSameImp(imageNum)) {
                    imageFolder.getData().add(0, localMedia);
                }
                imageFolder.setBucketId(localMedia.getBucketId());
                imageFolder.setFirstImagePath(this.config.cameraPath);
                imageFolder.setFirstMimeType(localMedia.getMimeType());
            }
            FolderPopWindow folderPopWindow = this.folderWindow;
            folderPopWindow.bindFolder(folderPopWindow.getFolderData());
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    private void manualSaveFolderForPageModel(LocalMedia localMedia) {
        int i2;
        if (localMedia != null) {
            int size = this.folderWindow.getFolderData().size();
            boolean z = false;
            LocalMediaFolder localMediaFolder = size > 0 ? this.folderWindow.getFolderData().get(0) : new LocalMediaFolder();
            if (localMediaFolder != null) {
                int imageNum = localMediaFolder.getImageNum();
                localMediaFolder.setFirstImagePath(localMedia.getPath());
                localMediaFolder.setFirstMimeType(localMedia.getMimeType());
                localMediaFolder.setImageNum(isAddSameImp(imageNum) ? localMediaFolder.getImageNum() : localMediaFolder.getImageNum() + 1);
                if (size == 0) {
                    if (this.config.chooseMode == PictureMimeType.ofAudio()) {
                        i2 = R.string.picture_all_audio;
                    } else {
                        i2 = R.string.picture_camera_roll;
                    }
                    localMediaFolder.setName(getString(i2));
                    localMediaFolder.setOfAllType(this.config.chooseMode);
                    localMediaFolder.setCameraFolder(true);
                    localMediaFolder.setChecked(true);
                    localMediaFolder.setBucketId(-1);
                    this.folderWindow.getFolderData().add(0, localMediaFolder);
                    LocalMediaFolder localMediaFolder2 = new LocalMediaFolder();
                    localMediaFolder2.setName(localMedia.getParentFolderName());
                    localMediaFolder2.setImageNum(isAddSameImp(imageNum) ? localMediaFolder2.getImageNum() : localMediaFolder2.getImageNum() + 1);
                    localMediaFolder2.setFirstImagePath(localMedia.getPath());
                    localMediaFolder2.setFirstMimeType(localMedia.getMimeType());
                    localMediaFolder2.setBucketId(localMedia.getBucketId());
                    this.folderWindow.getFolderData().add(this.folderWindow.getFolderData().size(), localMediaFolder2);
                } else {
                    String str = (!SdkVersionUtils.checkedAndroid_Q() || !PictureMimeType.isHasVideo(localMedia.getMimeType())) ? "Camera" : Environment.DIRECTORY_MOVIES;
                    int i3 = 0;
                    while (true) {
                        if (i3 >= size) {
                            break;
                        }
                        LocalMediaFolder localMediaFolder3 = this.folderWindow.getFolderData().get(i3);
                        if (TextUtils.isEmpty(localMediaFolder3.getName()) || !localMediaFolder3.getName().startsWith(str)) {
                            i3++;
                        } else {
                            localMedia.setBucketId(localMediaFolder3.getBucketId());
                            localMediaFolder3.setFirstImagePath(this.config.cameraPath);
                            localMediaFolder3.setFirstMimeType(localMedia.getMimeType());
                            localMediaFolder3.setImageNum(isAddSameImp(imageNum) ? localMediaFolder3.getImageNum() : localMediaFolder3.getImageNum() + 1);
                            if (localMediaFolder3.getData() != null && localMediaFolder3.getData().size() > 0) {
                                localMediaFolder3.getData().add(0, localMedia);
                            }
                            z = true;
                        }
                    }
                    if (!z) {
                        LocalMediaFolder localMediaFolder4 = new LocalMediaFolder();
                        localMediaFolder4.setName(localMedia.getParentFolderName());
                        localMediaFolder4.setImageNum(isAddSameImp(imageNum) ? localMediaFolder4.getImageNum() : localMediaFolder4.getImageNum() + 1);
                        localMediaFolder4.setFirstImagePath(localMedia.getPath());
                        localMediaFolder4.setFirstMimeType(localMedia.getMimeType());
                        localMediaFolder4.setBucketId(localMedia.getBucketId());
                        this.folderWindow.getFolderData().add(localMediaFolder4);
                        sortFolder(this.folderWindow.getFolderData());
                    }
                }
                FolderPopWindow folderPopWindow = this.folderWindow;
                folderPopWindow.bindFolder(folderPopWindow.getFolderData());
            }
        }
    }

    private void notifyAdapterData(LocalMedia localMedia) {
        if (this.mAdapter != null) {
            if (!isAddSameImp(this.folderWindow.getFolder(0) != null ? this.folderWindow.getFolder(0).getImageNum() : 0)) {
                this.mAdapter.getData().add(0, localMedia);
                this.mOpenCameraCount++;
            }
            if (checkVideoLegitimacy(localMedia)) {
                if (this.config.selectionMode == 1) {
                    dispatchHandleSingle(localMedia);
                } else {
                    dispatchHandleMultiple(localMedia);
                }
            }
            this.mAdapter.notifyItemInserted(this.config.isCamera ? 1 : 0);
            PictureImageGridAdapter pictureImageGridAdapter = this.mAdapter;
            pictureImageGridAdapter.notifyItemRangeChanged(this.config.isCamera ? 1 : 0, pictureImageGridAdapter.getSize());
            if (this.config.isPageStrategy) {
                manualSaveFolderForPageModel(localMedia);
            } else {
                manualSaveFolder(localMedia);
            }
            this.mTvEmpty.setVisibility((this.mAdapter.getSize() > 0 || this.config.isSingleDirectReturn) ? 8 : 0);
            if (this.folderWindow.getFolder(0) != null) {
                this.mTvPictureTitle.setTag(R.id.view_count_tag, Integer.valueOf(this.folderWindow.getFolder(0).getImageNum()));
            }
            this.allFolderSize = 0;
        }
    }

    private void onComplete() {
        int i2;
        int i3;
        List<LocalMedia> selectedData = this.mAdapter.getSelectedData();
        int size = selectedData.size();
        LocalMedia localMedia = selectedData.size() > 0 ? selectedData.get(0) : null;
        String mimeType = localMedia != null ? localMedia.getMimeType() : "";
        boolean isHasImage = PictureMimeType.isHasImage(mimeType);
        PictureSelectionConfig pictureSelectionConfig = this.config;
        if (pictureSelectionConfig.isWithVideoImage) {
            int i4 = 0;
            int i5 = 0;
            for (int i6 = 0; i6 < size; i6++) {
                if (PictureMimeType.isHasVideo(selectedData.get(i6).getMimeType())) {
                    i5++;
                } else {
                    i4++;
                }
            }
            PictureSelectionConfig pictureSelectionConfig2 = this.config;
            if (pictureSelectionConfig2.selectionMode == 2) {
                int i7 = pictureSelectionConfig2.minSelectNum;
                if (i7 <= 0 || i4 >= i7) {
                    int i8 = pictureSelectionConfig2.minVideoSelectNum;
                    if (i8 > 0 && i5 < i8) {
                        showPromptDialog(getString(R.string.picture_min_video_num, new Object[]{Integer.valueOf(i8)}));
                        return;
                    }
                } else {
                    showPromptDialog(getString(R.string.picture_min_img_num, new Object[]{Integer.valueOf(i7)}));
                    return;
                }
            }
        } else if (pictureSelectionConfig.selectionMode == 2) {
            if (PictureMimeType.isHasImage(mimeType) && (i3 = this.config.minSelectNum) > 0 && size < i3) {
                showPromptDialog(getString(R.string.picture_min_img_num, new Object[]{Integer.valueOf(i3)}));
                return;
            } else if (PictureMimeType.isHasVideo(mimeType) && (i2 = this.config.minVideoSelectNum) > 0 && size < i2) {
                showPromptDialog(getString(R.string.picture_min_video_num, new Object[]{Integer.valueOf(i2)}));
                return;
            }
        }
        PictureSelectionConfig pictureSelectionConfig3 = this.config;
        if (pictureSelectionConfig3.returnEmpty && size == 0) {
            if (pictureSelectionConfig3.selectionMode == 2) {
                int i9 = pictureSelectionConfig3.minSelectNum;
                if (i9 <= 0 || size >= i9) {
                    int i10 = pictureSelectionConfig3.minVideoSelectNum;
                    if (i10 > 0 && size < i10) {
                        showPromptDialog(getString(R.string.picture_min_video_num, new Object[]{Integer.valueOf(i10)}));
                        return;
                    }
                } else {
                    showPromptDialog(getString(R.string.picture_min_img_num, new Object[]{Integer.valueOf(i9)}));
                    return;
                }
            }
            OnResultCallbackListener<LocalMedia> onResultCallbackListener = PictureSelectionConfig.listener;
            if (onResultCallbackListener != null) {
                onResultCallbackListener.onResult(selectedData);
            } else {
                setResult(-1, PictureSelector.putIntentResult(selectedData));
            }
            exit();
        } else if (pictureSelectionConfig3.chooseMode != PictureMimeType.ofAll() || !this.config.isWithVideoImage) {
            separateMimeTypeWith(isHasImage, selectedData);
        } else {
            bothMimeTypeWith(isHasImage, selectedData);
        }
    }

    private void onPreview() {
        List<LocalMedia> selectedData = this.mAdapter.getSelectedData();
        ArrayList<? extends Parcelable> arrayList = new ArrayList<>();
        int size = selectedData.size();
        for (int i2 = 0; i2 < size; i2++) {
            arrayList.add(selectedData.get(i2));
        }
        OnCustomImagePreviewCallback<LocalMedia> onCustomImagePreviewCallback = PictureSelectionConfig.onCustomImagePreviewCallback;
        if (onCustomImagePreviewCallback != null) {
            onCustomImagePreviewCallback.onCustomPreviewCallback(getContext(), selectedData, 0);
            return;
        }
        Bundle bundle = new Bundle();
        bundle.putParcelableArrayList(PictureConfig.EXTRA_PREVIEW_SELECT_LIST, arrayList);
        bundle.putParcelableArrayList(PictureConfig.EXTRA_SELECT_LIST, (ArrayList) selectedData);
        bundle.putBoolean(PictureConfig.EXTRA_BOTTOM_PREVIEW, true);
        bundle.putBoolean(PictureConfig.EXTRA_CHANGE_ORIGINAL, this.config.isCheckOriginalImage);
        bundle.putBoolean(PictureConfig.EXTRA_SHOW_CAMERA, this.mAdapter.isShowCamera());
        bundle.putString(PictureConfig.EXTRA_IS_CURRENT_DIRECTORY, this.mTvPictureTitle.getText().toString());
        Context context = getContext();
        PictureSelectionConfig pictureSelectionConfig = this.config;
        JumpUtils.startPicturePreviewActivity(context, pictureSelectionConfig.isWeChatStyle, bundle, pictureSelectionConfig.selectionMode == 1 ? 69 : TypedValues.Motion.TYPE_POLAR_RELATIVETO);
        overridePendingTransition(PictureSelectionConfig.windowAnimationStyle.activityPreviewEnterAnimation, R.anim.picture_anim_fade_in);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void playAudio() {
        MediaPlayer mediaPlayer2 = this.mediaPlayer;
        if (mediaPlayer2 != null) {
            this.musicSeekBar.setProgress(mediaPlayer2.getCurrentPosition());
            this.musicSeekBar.setMax(this.mediaPlayer.getDuration());
        }
        String charSequence = this.mTvPlayPause.getText().toString();
        int i2 = R.string.picture_play_audio;
        if (charSequence.equals(getString(i2))) {
            this.mTvPlayPause.setText(getString(R.string.picture_pause_audio));
            this.mTvMusicStatus.setText(getString(i2));
        } else {
            this.mTvPlayPause.setText(getString(i2));
            this.mTvMusicStatus.setText(getString(R.string.picture_pause_audio));
        }
        playOrPause();
        if (!this.isPlayAudio) {
            this.mHandler.post(this.mRunnable);
            this.isPlayAudio = true;
        }
    }

    private void previewCallback(Intent intent) {
        if (intent != null) {
            PictureSelectionConfig pictureSelectionConfig = this.config;
            if (pictureSelectionConfig.isOriginalControl) {
                pictureSelectionConfig.isCheckOriginalImage = intent.getBooleanExtra(PictureConfig.EXTRA_CHANGE_ORIGINAL, pictureSelectionConfig.isCheckOriginalImage);
                this.mCbOriginal.setChecked(this.config.isCheckOriginalImage);
            }
            ArrayList parcelableArrayListExtra = intent.getParcelableArrayListExtra(PictureConfig.EXTRA_SELECT_LIST);
            if (this.mAdapter != null && parcelableArrayListExtra != null) {
                char c2 = 0;
                if (intent.getBooleanExtra(PictureConfig.EXTRA_COMPLETE_SELECTED, false)) {
                    onChangeData(parcelableArrayListExtra);
                    if (this.config.isWithVideoImage) {
                        int size = parcelableArrayListExtra.size();
                        int i2 = 0;
                        while (true) {
                            if (i2 >= size) {
                                break;
                            } else if (PictureMimeType.isHasImage(parcelableArrayListExtra.get(i2).getMimeType())) {
                                c2 = 1;
                                break;
                            } else {
                                i2++;
                            }
                        }
                        if (c2 <= 0 || !this.config.isCompress) {
                            onResult(parcelableArrayListExtra);
                        } else {
                            compressImage(parcelableArrayListExtra);
                        }
                    } else {
                        String mimeType = parcelableArrayListExtra.size() > 0 ? parcelableArrayListExtra.get(0).getMimeType() : "";
                        if (!this.config.isCompress || !PictureMimeType.isHasImage(mimeType)) {
                            onResult(parcelableArrayListExtra);
                        } else {
                            compressImage(parcelableArrayListExtra);
                        }
                    }
                } else {
                    this.isStartAnimation = true;
                }
                this.mAdapter.bindSelectData(parcelableArrayListExtra);
                this.mAdapter.notifyDataSetChanged();
            }
        }
    }

    private void separateMimeTypeWith(boolean z, List<LocalMedia> list) {
        LocalMedia localMedia = list.size() > 0 ? list.get(0) : null;
        if (localMedia != null) {
            PictureSelectionConfig pictureSelectionConfig = this.config;
            if (!pictureSelectionConfig.enableCrop || !z) {
                if (!pictureSelectionConfig.isCompress || !z) {
                    onResult(list);
                } else {
                    compressImage(list);
                }
            } else if (pictureSelectionConfig.selectionMode == 1) {
                pictureSelectionConfig.originalPath = localMedia.getPath();
                UCropManager.ofCrop(this, this.config.originalPath, localMedia.getMimeType());
            } else {
                UCropManager.ofCrop(this, (ArrayList) list);
            }
        }
    }

    private void setLastCacheFolderData() {
        LocalMediaFolder folder = this.folderWindow.getFolder(ValueOf.toInt(this.mTvPictureTitle.getTag(R.id.view_index_tag)));
        folder.setData(this.mAdapter.getData());
        folder.setCurrentDataPage(this.mPage);
        folder.setHasMore(this.isHasMore);
    }

    private void showDataNull(String str, int i2) {
        if (this.mTvEmpty.getVisibility() == 8 || this.mTvEmpty.getVisibility() == 4) {
            this.mTvEmpty.setCompoundDrawablesRelativeWithIntrinsicBounds(0, i2, 0, 0);
            this.mTvEmpty.setText(str);
            this.mTvEmpty.setVisibility(0);
        }
    }

    private void singleCropHandleResult(Intent intent) {
        Uri uri;
        if (intent != null && (uri = (Uri) intent.getParcelableExtra("com.yalantis.ucrop.OutputUri")) != null) {
            ArrayList arrayList = new ArrayList();
            String path = uri.getPath();
            if (this.mAdapter != null) {
                ArrayList parcelableArrayListExtra = intent.getParcelableArrayListExtra(PictureConfig.EXTRA_SELECT_LIST);
                if (parcelableArrayListExtra != null) {
                    this.mAdapter.bindSelectData(parcelableArrayListExtra);
                    this.mAdapter.notifyDataSetChanged();
                }
                List<LocalMedia> selectedData = this.mAdapter.getSelectedData();
                LocalMedia localMedia = null;
                LocalMedia localMedia2 = (selectedData == null || selectedData.size() <= 0) ? null : selectedData.get(0);
                long j2 = 0;
                if (localMedia2 != null) {
                    this.config.originalPath = localMedia2.getPath();
                    localMedia2.setCutPath(path);
                    localMedia2.setChooseModel(this.config.chooseMode);
                    boolean z = !TextUtils.isEmpty(path);
                    if (!SdkVersionUtils.checkedAndroid_Q() || !PictureMimeType.isContent(localMedia2.getPath())) {
                        if (z) {
                            j2 = new File(path).length();
                        }
                        localMedia2.setSize(j2);
                    } else {
                        if (z) {
                            localMedia2.setSize(new File(path).length());
                        } else {
                            if (!TextUtils.isEmpty(localMedia2.getRealPath())) {
                                j2 = new File(localMedia2.getRealPath()).length();
                            }
                            localMedia2.setSize(j2);
                        }
                        localMedia2.setAndroidQToPath(path);
                    }
                    localMedia2.setCut(z);
                    arrayList.add(localMedia2);
                    handlerResult(arrayList);
                    return;
                }
                if (parcelableArrayListExtra != null && parcelableArrayListExtra.size() > 0) {
                    localMedia = (LocalMedia) parcelableArrayListExtra.get(0);
                }
                if (localMedia != null) {
                    this.config.originalPath = localMedia.getPath();
                    localMedia.setCutPath(path);
                    localMedia.setChooseModel(this.config.chooseMode);
                    boolean z2 = !TextUtils.isEmpty(path);
                    if (!SdkVersionUtils.checkedAndroid_Q() || !PictureMimeType.isContent(localMedia.getPath())) {
                        if (z2) {
                            j2 = new File(path).length();
                        }
                        localMedia.setSize(j2);
                    } else {
                        if (z2) {
                            localMedia.setSize(new File(path).length());
                        } else {
                            if (!TextUtils.isEmpty(localMedia.getRealPath())) {
                                j2 = new File(localMedia.getRealPath()).length();
                            }
                            localMedia.setSize(j2);
                        }
                        localMedia.setAndroidQToPath(path);
                    }
                    localMedia.setCut(z2);
                    arrayList.add(localMedia);
                    handlerResult(arrayList);
                }
            }
        }
    }

    private void singleDirectReturnCameraHandleResult(String str) {
        boolean isHasImage = PictureMimeType.isHasImage(str);
        PictureSelectionConfig pictureSelectionConfig = this.config;
        if (pictureSelectionConfig.enableCrop && isHasImage) {
            String str2 = pictureSelectionConfig.cameraPath;
            pictureSelectionConfig.originalPath = str2;
            UCropManager.ofCrop(this, str2, str);
        } else if (!pictureSelectionConfig.isCompress || !isHasImage) {
            onResult(this.mAdapter.getSelectedData());
        } else {
            compressImage(this.mAdapter.getSelectedData());
        }
    }

    private void singleRadioMediaImage() {
        List<LocalMedia> selectedData = this.mAdapter.getSelectedData();
        if (selectedData != null && selectedData.size() > 0) {
            int position = selectedData.get(0).getPosition();
            selectedData.clear();
            this.mAdapter.notifyItemChanged(position);
        }
    }

    private void startCustomCamera() {
        if (PermissionChecker.checkSelfPermission(this, "android.permission.RECORD_AUDIO")) {
            startActivityForResult(new Intent(this, PictureCustomCameraActivity.class), PictureConfig.REQUEST_CAMERA);
            overridePendingTransition(PictureSelectionConfig.windowAnimationStyle.activityEnterAnimation, R.anim.picture_anim_fade_in);
            return;
        }
        PermissionChecker.requestPermissions(this, new String[]{"android.permission.RECORD_AUDIO"}, 4);
    }

    private void startPlayAudioDialog(final String str) {
        if (!isFinishing()) {
            PictureCustomDialog pictureCustomDialog = new PictureCustomDialog(getContext(), R.layout.picture_audio_dialog);
            this.audioDialog = pictureCustomDialog;
            pictureCustomDialog.getWindow().setWindowAnimations(R.style.Picture_Theme_Dialog_AudioStyle);
            this.mTvMusicStatus = (TextView) this.audioDialog.findViewById(R.id.tv_musicStatus);
            this.mTvMusicTime = (TextView) this.audioDialog.findViewById(R.id.tv_musicTime);
            this.musicSeekBar = (SeekBar) this.audioDialog.findViewById(R.id.musicSeekBar);
            this.mTvMusicTotal = (TextView) this.audioDialog.findViewById(R.id.tv_musicTotal);
            this.mTvPlayPause = (TextView) this.audioDialog.findViewById(R.id.tv_PlayPause);
            this.mTvStop = (TextView) this.audioDialog.findViewById(R.id.tv_Stop);
            this.mTvQuit = (TextView) this.audioDialog.findViewById(R.id.tv_Quit);
            this.mHandler.postDelayed(new Runnable() {
                /* class com.luck.picture.lib.PictureSelectorActivity.AnonymousClass3 */

                public void run() {
                    PictureSelectorActivity.this.initPlayer(str);
                }
            }, 30);
            this.mTvPlayPause.setOnClickListener(new onAudioOnClick(str));
            this.mTvStop.setOnClickListener(new onAudioOnClick(str));
            this.mTvQuit.setOnClickListener(new onAudioOnClick(str));
            this.musicSeekBar.setOnSeekBarChangeListener(new SeekBar.OnSeekBarChangeListener() {
                /* class com.luck.picture.lib.PictureSelectorActivity.AnonymousClass4 */

                public void onProgressChanged(SeekBar seekBar, int i2, boolean z) {
                    if (z) {
                        PictureSelectorActivity.this.mediaPlayer.seekTo(i2);
                    }
                }

                public void onStartTrackingTouch(SeekBar seekBar) {
                }

                public void onStopTrackingTouch(SeekBar seekBar) {
                }
            });
            this.audioDialog.setOnDismissListener(new u(this, str));
            this.mHandler.post(this.mRunnable);
            this.audioDialog.show();
        }
    }

    private void synchronousCover() {
        if (this.config.chooseMode == PictureMimeType.ofAll()) {
            PictureThreadUtils.executeBySingle(new PictureThreadUtils.SimpleTask<Boolean>() {
                /* class com.luck.picture.lib.PictureSelectorActivity.AnonymousClass2 */

                public void onSuccess(Boolean bool) {
                }

                @Override // com.luck.picture.lib.thread.PictureThreadUtils.Task
                public Boolean doInBackground() {
                    int size = PictureSelectorActivity.this.folderWindow.getFolderData().size();
                    for (int i2 = 0; i2 < size; i2++) {
                        LocalMediaFolder folder = PictureSelectorActivity.this.folderWindow.getFolder(i2);
                        if (folder != null) {
                            folder.setFirstImagePath(LocalMediaPageLoader.getInstance(PictureSelectorActivity.this.getContext()).getFirstCover(folder.getBucketId()));
                        }
                    }
                    return Boolean.TRUE;
                }
            });
        }
    }

    private void updateMediaFolder(List<LocalMediaFolder> list, LocalMedia localMedia) {
        File parentFile = new File(localMedia.getRealPath()).getParentFile();
        if (parentFile != null) {
            int size = list.size();
            for (int i2 = 0; i2 < size; i2++) {
                LocalMediaFolder localMediaFolder = list.get(i2);
                String name = localMediaFolder.getName();
                if (!TextUtils.isEmpty(name) && name.equals(parentFile.getName())) {
                    localMediaFolder.setFirstImagePath(this.config.cameraPath);
                    localMediaFolder.setImageNum(localMediaFolder.getImageNum() + 1);
                    localMediaFolder.setCheckedNum(1);
                    localMediaFolder.getData().add(0, localMedia);
                    return;
                }
            }
        }
    }

    public /* synthetic */ void B(List list, int i2, boolean z) {
        if (!isFinishing()) {
            dismissDialog();
            if (this.mAdapter != null) {
                this.isHasMore = true;
                if (!z || list.size() != 0) {
                    int size = this.mAdapter.getSize();
                    int size2 = list.size();
                    int i3 = this.oldCurrentListSize + size;
                    this.oldCurrentListSize = i3;
                    if (size2 >= size) {
                        if (size <= 0 || size >= size2 || i3 == size2) {
                            this.mAdapter.bindData(list);
                        } else if (isLocalMediaSame((LocalMedia) list.get(0))) {
                            this.mAdapter.bindData(list);
                        } else {
                            this.mAdapter.getData().addAll(list);
                        }
                    }
                    if (this.mAdapter.isDataEmpty()) {
                        showDataNull(getString(R.string.picture_empty), R.drawable.picture_icon_no_data);
                    } else {
                        hideDataNull();
                    }
                } else {
                    onRecyclerViewPreloadMore();
                }
            }
        }
    }

    public /* synthetic */ void C(long j2, List list, int i2, boolean z) {
        if (!isFinishing()) {
            this.isHasMore = z;
            if (z) {
                hideDataNull();
                int size = list.size();
                if (size > 0) {
                    int size2 = this.mAdapter.getSize();
                    this.mAdapter.getData().addAll(list);
                    this.mAdapter.notifyItemRangeChanged(size2, this.mAdapter.getItemCount());
                } else {
                    onRecyclerViewPreloadMore();
                }
                if (size < 10) {
                    RecyclerPreloadView recyclerPreloadView = this.mRecyclerView;
                    recyclerPreloadView.onScrolled(recyclerPreloadView.getScrollX(), this.mRecyclerView.getScrollY());
                }
            } else if (this.mAdapter.isDataEmpty()) {
                showDataNull(getString(j2 == -1 ? R.string.picture_empty : R.string.picture_data_null), R.drawable.picture_icon_no_data);
            }
        }
    }

    public /* synthetic */ void D(List list, int i2, boolean z) {
        if (!isFinishing()) {
            this.isHasMore = true;
            initPageModel(list);
            if (this.config.isSyncCover) {
                synchronousCover();
            }
        }
    }

    public void changeImageNumber(List<LocalMedia> list) {
        if (list.size() != 0) {
            this.mTvPictureOk.setEnabled(true);
            this.mTvPictureOk.setSelected(true);
            this.mTvPicturePreview.setEnabled(true);
            this.mTvPicturePreview.setSelected(true);
            PictureSelectorUIStyle pictureSelectorUIStyle = PictureSelectionConfig.uiStyle;
            if (pictureSelectorUIStyle != null) {
                int i2 = pictureSelectorUIStyle.picture_bottom_previewNormalText;
                if (i2 == 0) {
                    this.mTvPicturePreview.setText(getString(R.string.picture_preview_num, new Object[]{Integer.valueOf(list.size())}));
                } else if (pictureSelectorUIStyle.isCompleteReplaceNum) {
                    this.mTvPicturePreview.setText(String.format(getString(i2), Integer.valueOf(list.size())));
                } else {
                    this.mTvPicturePreview.setText(i2);
                }
            } else {
                PictureParameterStyle pictureParameterStyle = PictureSelectionConfig.style;
                if (pictureParameterStyle != null) {
                    int i3 = pictureParameterStyle.pictureCompleteTextColor;
                    if (i3 != 0) {
                        this.mTvPictureOk.setTextColor(i3);
                    }
                    int i4 = PictureSelectionConfig.style.picturePreviewTextColor;
                    if (i4 != 0) {
                        this.mTvPicturePreview.setTextColor(i4);
                    }
                    if (!TextUtils.isEmpty(PictureSelectionConfig.style.picturePreviewText)) {
                        this.mTvPicturePreview.setText(PictureSelectionConfig.style.picturePreviewText);
                    } else {
                        this.mTvPicturePreview.setText(getString(R.string.picture_preview_num, new Object[]{Integer.valueOf(list.size())}));
                    }
                }
            }
            if (this.numComplete) {
                initCompleteText(list.size());
                return;
            }
            if (!this.isStartAnimation) {
                this.mTvPictureImgNum.startAnimation(this.animation);
            }
            this.mTvPictureImgNum.setVisibility(0);
            this.mTvPictureImgNum.setText(ValueOf.toString(Integer.valueOf(list.size())));
            PictureSelectorUIStyle pictureSelectorUIStyle2 = PictureSelectionConfig.uiStyle;
            if (pictureSelectorUIStyle2 != null) {
                int i5 = pictureSelectorUIStyle2.picture_bottom_completeNormalText;
                if (i5 != 0) {
                    this.mTvPictureOk.setText(getString(i5));
                }
            } else {
                PictureParameterStyle pictureParameterStyle2 = PictureSelectionConfig.style;
                if (pictureParameterStyle2 == null) {
                    this.mTvPictureOk.setText(getString(R.string.picture_completed));
                } else if (!TextUtils.isEmpty(pictureParameterStyle2.pictureCompleteText)) {
                    this.mTvPictureOk.setText(PictureSelectionConfig.style.pictureCompleteText);
                }
            }
            this.isStartAnimation = false;
            return;
        }
        this.mTvPictureOk.setEnabled(this.config.returnEmpty);
        this.mTvPictureOk.setSelected(false);
        this.mTvPicturePreview.setEnabled(false);
        this.mTvPicturePreview.setSelected(false);
        PictureSelectorUIStyle pictureSelectorUIStyle3 = PictureSelectionConfig.uiStyle;
        if (pictureSelectorUIStyle3 != null) {
            int i6 = pictureSelectorUIStyle3.picture_bottom_previewDefaultText;
            if (i6 != 0) {
                this.mTvPicturePreview.setText(getString(i6));
            } else {
                this.mTvPicturePreview.setText(getString(R.string.picture_preview));
            }
        } else {
            PictureParameterStyle pictureParameterStyle3 = PictureSelectionConfig.style;
            if (pictureParameterStyle3 != null) {
                int i7 = pictureParameterStyle3.pictureUnCompleteTextColor;
                if (i7 != 0) {
                    this.mTvPictureOk.setTextColor(i7);
                }
                int i8 = PictureSelectionConfig.style.pictureUnPreviewTextColor;
                if (i8 != 0) {
                    this.mTvPicturePreview.setTextColor(i8);
                }
                if (!TextUtils.isEmpty(PictureSelectionConfig.style.pictureUnPreviewText)) {
                    this.mTvPicturePreview.setText(PictureSelectionConfig.style.pictureUnPreviewText);
                } else {
                    this.mTvPicturePreview.setText(getString(R.string.picture_preview));
                }
            }
        }
        if (this.numComplete) {
            initCompleteText(list.size());
            return;
        }
        this.mTvPictureImgNum.setVisibility(4);
        PictureSelectorUIStyle pictureSelectorUIStyle4 = PictureSelectionConfig.uiStyle;
        if (pictureSelectorUIStyle4 != null) {
            int i9 = pictureSelectorUIStyle4.picture_bottom_completeDefaultText;
            if (i9 != 0) {
                this.mTvPictureOk.setText(getString(i9));
                return;
            }
            return;
        }
        PictureParameterStyle pictureParameterStyle4 = PictureSelectionConfig.style;
        if (pictureParameterStyle4 == null) {
            this.mTvPictureOk.setText(getString(R.string.picture_please_select));
        } else if (!TextUtils.isEmpty(pictureParameterStyle4.pictureUnCompleteText)) {
            this.mTvPictureOk.setText(PictureSelectionConfig.style.pictureUnCompleteText);
        }
    }

    @Override // com.luck.picture.lib.PictureBaseActivity
    public int getResourceId() {
        return R.layout.picture_selector;
    }

    @Override // com.luck.picture.lib.PictureBaseActivity
    public void initCompleteText(int i2) {
        String str;
        String str2;
        String str3;
        String str4;
        String str5;
        String str6;
        String str7;
        String str8;
        if (this.config.selectionMode == 1) {
            if (i2 <= 0) {
                PictureSelectorUIStyle pictureSelectorUIStyle = PictureSelectionConfig.uiStyle;
                if (pictureSelectorUIStyle == null) {
                    PictureParameterStyle pictureParameterStyle = PictureSelectionConfig.style;
                    if (pictureParameterStyle == null) {
                        return;
                    }
                    if (!pictureParameterStyle.isCompleteReplaceNum || TextUtils.isEmpty(pictureParameterStyle.pictureUnCompleteText)) {
                        TextView textView = this.mTvPictureOk;
                        if (!TextUtils.isEmpty(PictureSelectionConfig.style.pictureUnCompleteText)) {
                            str7 = PictureSelectionConfig.style.pictureUnCompleteText;
                        } else {
                            str7 = getString(R.string.picture_done);
                        }
                        textView.setText(str7);
                        return;
                    }
                    this.mTvPictureOk.setText(String.format(PictureSelectionConfig.style.pictureUnCompleteText, Integer.valueOf(i2), 1));
                } else if (pictureSelectorUIStyle.isCompleteReplaceNum) {
                    TextView textView2 = this.mTvPictureOk;
                    int i3 = pictureSelectorUIStyle.picture_bottom_completeDefaultText;
                    if (i3 != 0) {
                        str8 = String.format(getString(i3), Integer.valueOf(i2), 1);
                    } else {
                        str8 = getString(R.string.picture_please_select);
                    }
                    textView2.setText(str8);
                } else {
                    TextView textView3 = this.mTvPictureOk;
                    int i4 = pictureSelectorUIStyle.picture_bottom_completeDefaultText;
                    if (i4 == 0) {
                        i4 = R.string.picture_please_select;
                    }
                    textView3.setText(getString(i4));
                }
            } else {
                PictureSelectorUIStyle pictureSelectorUIStyle2 = PictureSelectionConfig.uiStyle;
                if (pictureSelectorUIStyle2 == null) {
                    PictureParameterStyle pictureParameterStyle2 = PictureSelectionConfig.style;
                    if (pictureParameterStyle2 == null) {
                        return;
                    }
                    if (!pictureParameterStyle2.isCompleteReplaceNum || TextUtils.isEmpty(pictureParameterStyle2.pictureCompleteText)) {
                        TextView textView4 = this.mTvPictureOk;
                        if (!TextUtils.isEmpty(PictureSelectionConfig.style.pictureCompleteText)) {
                            str5 = PictureSelectionConfig.style.pictureCompleteText;
                        } else {
                            str5 = getString(R.string.picture_done);
                        }
                        textView4.setText(str5);
                        return;
                    }
                    this.mTvPictureOk.setText(String.format(PictureSelectionConfig.style.pictureCompleteText, Integer.valueOf(i2), 1));
                } else if (pictureSelectorUIStyle2.isCompleteReplaceNum) {
                    TextView textView5 = this.mTvPictureOk;
                    int i5 = pictureSelectorUIStyle2.picture_bottom_completeNormalText;
                    if (i5 != 0) {
                        str6 = String.format(getString(i5), Integer.valueOf(i2), 1);
                    } else {
                        str6 = getString(R.string.picture_done);
                    }
                    textView5.setText(str6);
                } else {
                    TextView textView6 = this.mTvPictureOk;
                    int i6 = pictureSelectorUIStyle2.picture_bottom_completeNormalText;
                    if (i6 == 0) {
                        i6 = R.string.picture_done;
                    }
                    textView6.setText(getString(i6));
                }
            }
        } else if (i2 <= 0) {
            PictureSelectorUIStyle pictureSelectorUIStyle3 = PictureSelectionConfig.uiStyle;
            if (pictureSelectorUIStyle3 == null) {
                PictureParameterStyle pictureParameterStyle3 = PictureSelectionConfig.style;
                if (pictureParameterStyle3 == null) {
                    return;
                }
                if (pictureParameterStyle3.isCompleteReplaceNum) {
                    TextView textView7 = this.mTvPictureOk;
                    if (!TextUtils.isEmpty(pictureParameterStyle3.pictureUnCompleteText)) {
                        str2 = String.format(PictureSelectionConfig.style.pictureUnCompleteText, Integer.valueOf(i2), Integer.valueOf(this.config.maxSelectNum));
                    } else {
                        str2 = getString(R.string.picture_done_front_num, new Object[]{Integer.valueOf(i2), Integer.valueOf(this.config.maxSelectNum)});
                    }
                    textView7.setText(str2);
                    return;
                }
                TextView textView8 = this.mTvPictureOk;
                if (!TextUtils.isEmpty(pictureParameterStyle3.pictureUnCompleteText)) {
                    str = PictureSelectionConfig.style.pictureUnCompleteText;
                } else {
                    str = getString(R.string.picture_done_front_num, new Object[]{Integer.valueOf(i2), Integer.valueOf(this.config.maxSelectNum)});
                }
                textView8.setText(str);
            } else if (pictureSelectorUIStyle3.isCompleteReplaceNum) {
                TextView textView9 = this.mTvPictureOk;
                int i7 = pictureSelectorUIStyle3.picture_bottom_completeDefaultText;
                if (i7 != 0) {
                    str4 = String.format(getString(i7), Integer.valueOf(i2), Integer.valueOf(this.config.maxSelectNum));
                } else {
                    str4 = getString(R.string.picture_done_front_num, new Object[]{Integer.valueOf(i2), Integer.valueOf(this.config.maxSelectNum)});
                }
                textView9.setText(str4);
            } else {
                TextView textView10 = this.mTvPictureOk;
                int i8 = pictureSelectorUIStyle3.picture_bottom_completeDefaultText;
                if (i8 != 0) {
                    str3 = getString(i8);
                } else {
                    str3 = getString(R.string.picture_done_front_num, new Object[]{Integer.valueOf(i2), Integer.valueOf(this.config.maxSelectNum)});
                }
                textView10.setText(str3);
            }
        } else {
            PictureSelectorUIStyle pictureSelectorUIStyle4 = PictureSelectionConfig.uiStyle;
            if (pictureSelectorUIStyle4 == null) {
                PictureParameterStyle pictureParameterStyle4 = PictureSelectionConfig.style;
                if (pictureParameterStyle4 == null) {
                    return;
                }
                if (pictureParameterStyle4.isCompleteReplaceNum) {
                    if (!TextUtils.isEmpty(pictureParameterStyle4.pictureCompleteText)) {
                        this.mTvPictureOk.setText(String.format(PictureSelectionConfig.style.pictureCompleteText, Integer.valueOf(i2), Integer.valueOf(this.config.maxSelectNum)));
                        return;
                    }
                    this.mTvPictureOk.setText(getString(R.string.picture_done_front_num, new Object[]{Integer.valueOf(i2), Integer.valueOf(this.config.maxSelectNum)}));
                } else if (!TextUtils.isEmpty(pictureParameterStyle4.pictureCompleteText)) {
                    this.mTvPictureOk.setText(PictureSelectionConfig.style.pictureCompleteText);
                } else {
                    this.mTvPictureOk.setText(getString(R.string.picture_done_front_num, new Object[]{Integer.valueOf(i2), Integer.valueOf(this.config.maxSelectNum)}));
                }
            } else if (pictureSelectorUIStyle4.isCompleteReplaceNum) {
                int i9 = pictureSelectorUIStyle4.picture_bottom_completeNormalText;
                if (i9 != 0) {
                    this.mTvPictureOk.setText(String.format(getString(i9), Integer.valueOf(i2), Integer.valueOf(this.config.maxSelectNum)));
                    return;
                }
                this.mTvPictureOk.setText(getString(R.string.picture_done_front_num, new Object[]{Integer.valueOf(i2), Integer.valueOf(this.config.maxSelectNum)}));
            } else {
                int i10 = pictureSelectorUIStyle4.picture_bottom_completeNormalText;
                if (i10 != 0) {
                    this.mTvPictureOk.setText(getString(i10));
                    return;
                }
                this.mTvPictureOk.setText(getString(R.string.picture_done_front_num, new Object[]{Integer.valueOf(i2), Integer.valueOf(this.config.maxSelectNum)}));
            }
        }
    }

    @Override // com.luck.picture.lib.PictureBaseActivity
    public void initPictureSelectorStyle() {
        ColorStateList colorStateList;
        ColorStateList colorStateList2;
        ColorStateList colorStateList3;
        PictureSelectorUIStyle pictureSelectorUIStyle = PictureSelectionConfig.uiStyle;
        if (pictureSelectorUIStyle != null) {
            int i2 = pictureSelectorUIStyle.picture_top_titleArrowDownDrawable;
            if (i2 != 0) {
                Object obj = a.f3266a;
                this.mIvArrow.setImageDrawable(getDrawable(i2));
            }
            int i3 = PictureSelectionConfig.uiStyle.picture_top_titleTextColor;
            if (i3 != 0) {
                this.mTvPictureTitle.setTextColor(i3);
            }
            int i4 = PictureSelectionConfig.uiStyle.picture_top_titleTextSize;
            if (i4 != 0) {
                this.mTvPictureTitle.setTextSize((float) i4);
            }
            int[] iArr = PictureSelectionConfig.uiStyle.picture_top_titleRightTextColor;
            if (iArr.length > 0 && (colorStateList3 = AttrsUtils.getColorStateList(iArr)) != null) {
                this.mTvPictureRight.setTextColor(colorStateList3);
            }
            int i5 = PictureSelectionConfig.uiStyle.picture_top_titleRightTextSize;
            if (i5 != 0) {
                this.mTvPictureRight.setTextSize((float) i5);
            }
            int i6 = PictureSelectionConfig.uiStyle.picture_top_leftBack;
            if (i6 != 0) {
                this.mIvPictureLeftBack.setImageResource(i6);
            }
            int[] iArr2 = PictureSelectionConfig.uiStyle.picture_bottom_previewTextColor;
            if (iArr2.length > 0 && (colorStateList2 = AttrsUtils.getColorStateList(iArr2)) != null) {
                this.mTvPicturePreview.setTextColor(colorStateList2);
            }
            int i7 = PictureSelectionConfig.uiStyle.picture_bottom_previewTextSize;
            if (i7 != 0) {
                this.mTvPicturePreview.setTextSize((float) i7);
            }
            int i8 = PictureSelectionConfig.uiStyle.picture_bottom_completeRedDotBackground;
            if (i8 != 0) {
                this.mTvPictureImgNum.setBackgroundResource(i8);
            }
            int i9 = PictureSelectionConfig.uiStyle.picture_bottom_completeRedDotTextSize;
            if (i9 != 0) {
                this.mTvPictureImgNum.setTextSize((float) i9);
            }
            int i10 = PictureSelectionConfig.uiStyle.picture_bottom_completeRedDotTextColor;
            if (i10 != 0) {
                this.mTvPictureImgNum.setTextColor(i10);
            }
            int[] iArr3 = PictureSelectionConfig.uiStyle.picture_bottom_completeTextColor;
            if (iArr3.length > 0 && (colorStateList = AttrsUtils.getColorStateList(iArr3)) != null) {
                this.mTvPictureOk.setTextColor(colorStateList);
            }
            int i11 = PictureSelectionConfig.uiStyle.picture_bottom_completeTextSize;
            if (i11 != 0) {
                this.mTvPictureOk.setTextSize((float) i11);
            }
            int i12 = PictureSelectionConfig.uiStyle.picture_bottom_barBackgroundColor;
            if (i12 != 0) {
                this.mBottomLayout.setBackgroundColor(i12);
            }
            int i13 = PictureSelectionConfig.uiStyle.picture_container_backgroundColor;
            if (i13 != 0) {
                this.container.setBackgroundColor(i13);
            }
            int i14 = PictureSelectionConfig.uiStyle.picture_top_titleRightDefaultText;
            if (i14 != 0) {
                this.mTvPictureRight.setText(i14);
            }
            int i15 = PictureSelectionConfig.uiStyle.picture_bottom_completeDefaultText;
            if (i15 != 0) {
                this.mTvPictureOk.setText(i15);
            }
            int i16 = PictureSelectionConfig.uiStyle.picture_bottom_previewNormalText;
            if (i16 != 0) {
                this.mTvPicturePreview.setText(i16);
            }
            if (PictureSelectionConfig.uiStyle.picture_top_titleArrowLeftPadding != 0) {
                ((RelativeLayout.LayoutParams) this.mIvArrow.getLayoutParams()).leftMargin = PictureSelectionConfig.uiStyle.picture_top_titleArrowLeftPadding;
            }
            if (PictureSelectionConfig.uiStyle.picture_top_titleBarHeight > 0) {
                this.mTitleBar.getLayoutParams().height = PictureSelectionConfig.uiStyle.picture_top_titleBarHeight;
            }
            if (PictureSelectionConfig.uiStyle.picture_bottom_barHeight > 0) {
                this.mBottomLayout.getLayoutParams().height = PictureSelectionConfig.uiStyle.picture_bottom_barHeight;
            }
            if (this.config.isOriginalControl) {
                int i17 = PictureSelectionConfig.uiStyle.picture_bottom_originalPictureCheckStyle;
                if (i17 != 0) {
                    this.mCbOriginal.setButtonDrawable(i17);
                } else {
                    CheckBox checkBox = this.mCbOriginal;
                    int i18 = R.drawable.picture_original_checkbox;
                    Object obj2 = a.f3266a;
                    checkBox.setButtonDrawable(getDrawable(i18));
                }
                int i19 = PictureSelectionConfig.uiStyle.picture_bottom_originalPictureTextColor;
                if (i19 != 0) {
                    this.mCbOriginal.setTextColor(i19);
                } else {
                    this.mCbOriginal.setTextColor(a.b(this, R.color.picture_color_white));
                }
                int i20 = PictureSelectionConfig.uiStyle.picture_bottom_originalPictureTextSize;
                if (i20 != 0) {
                    this.mCbOriginal.setTextSize((float) i20);
                }
                int i21 = PictureSelectionConfig.uiStyle.picture_bottom_originalPictureText;
                if (i21 != 0) {
                    this.mCbOriginal.setText(i21);
                }
            } else {
                CheckBox checkBox2 = this.mCbOriginal;
                int i22 = R.drawable.picture_original_checkbox;
                Object obj3 = a.f3266a;
                checkBox2.setButtonDrawable(getDrawable(i22));
                this.mCbOriginal.setTextColor(a.b(this, R.color.picture_color_white));
            }
        } else {
            PictureParameterStyle pictureParameterStyle = PictureSelectionConfig.style;
            if (pictureParameterStyle != null) {
                int i23 = pictureParameterStyle.pictureTitleDownResId;
                if (i23 != 0) {
                    Object obj4 = a.f3266a;
                    this.mIvArrow.setImageDrawable(getDrawable(i23));
                }
                int i24 = PictureSelectionConfig.style.pictureTitleTextColor;
                if (i24 != 0) {
                    this.mTvPictureTitle.setTextColor(i24);
                }
                int i25 = PictureSelectionConfig.style.pictureTitleTextSize;
                if (i25 != 0) {
                    this.mTvPictureTitle.setTextSize((float) i25);
                }
                PictureParameterStyle pictureParameterStyle2 = PictureSelectionConfig.style;
                int i26 = pictureParameterStyle2.pictureRightDefaultTextColor;
                if (i26 != 0) {
                    this.mTvPictureRight.setTextColor(i26);
                } else {
                    int i27 = pictureParameterStyle2.pictureCancelTextColor;
                    if (i27 != 0) {
                        this.mTvPictureRight.setTextColor(i27);
                    }
                }
                int i28 = PictureSelectionConfig.style.pictureRightTextSize;
                if (i28 != 0) {
                    this.mTvPictureRight.setTextSize((float) i28);
                }
                int i29 = PictureSelectionConfig.style.pictureLeftBackIcon;
                if (i29 != 0) {
                    this.mIvPictureLeftBack.setImageResource(i29);
                }
                int i30 = PictureSelectionConfig.style.pictureUnPreviewTextColor;
                if (i30 != 0) {
                    this.mTvPicturePreview.setTextColor(i30);
                }
                int i31 = PictureSelectionConfig.style.picturePreviewTextSize;
                if (i31 != 0) {
                    this.mTvPicturePreview.setTextSize((float) i31);
                }
                int i32 = PictureSelectionConfig.style.pictureCheckNumBgStyle;
                if (i32 != 0) {
                    this.mTvPictureImgNum.setBackgroundResource(i32);
                }
                int i33 = PictureSelectionConfig.style.pictureUnCompleteTextColor;
                if (i33 != 0) {
                    this.mTvPictureOk.setTextColor(i33);
                }
                int i34 = PictureSelectionConfig.style.pictureCompleteTextSize;
                if (i34 != 0) {
                    this.mTvPictureOk.setTextSize((float) i34);
                }
                int i35 = PictureSelectionConfig.style.pictureBottomBgColor;
                if (i35 != 0) {
                    this.mBottomLayout.setBackgroundColor(i35);
                }
                int i36 = PictureSelectionConfig.style.pictureContainerBackgroundColor;
                if (i36 != 0) {
                    this.container.setBackgroundColor(i36);
                }
                if (!TextUtils.isEmpty(PictureSelectionConfig.style.pictureRightDefaultText)) {
                    this.mTvPictureRight.setText(PictureSelectionConfig.style.pictureRightDefaultText);
                }
                if (!TextUtils.isEmpty(PictureSelectionConfig.style.pictureUnCompleteText)) {
                    this.mTvPictureOk.setText(PictureSelectionConfig.style.pictureUnCompleteText);
                }
                if (!TextUtils.isEmpty(PictureSelectionConfig.style.pictureUnPreviewText)) {
                    this.mTvPicturePreview.setText(PictureSelectionConfig.style.pictureUnPreviewText);
                }
                if (PictureSelectionConfig.style.pictureTitleRightArrowLeftPadding != 0) {
                    ((RelativeLayout.LayoutParams) this.mIvArrow.getLayoutParams()).leftMargin = PictureSelectionConfig.style.pictureTitleRightArrowLeftPadding;
                }
                if (PictureSelectionConfig.style.pictureTitleBarHeight > 0) {
                    this.mTitleBar.getLayoutParams().height = PictureSelectionConfig.style.pictureTitleBarHeight;
                }
                if (this.config.isOriginalControl) {
                    int i37 = PictureSelectionConfig.style.pictureOriginalControlStyle;
                    if (i37 != 0) {
                        this.mCbOriginal.setButtonDrawable(i37);
                    } else {
                        CheckBox checkBox3 = this.mCbOriginal;
                        int i38 = R.drawable.picture_original_checkbox;
                        Object obj5 = a.f3266a;
                        checkBox3.setButtonDrawable(getDrawable(i38));
                    }
                    int i39 = PictureSelectionConfig.style.pictureOriginalFontColor;
                    if (i39 != 0) {
                        this.mCbOriginal.setTextColor(i39);
                    } else {
                        this.mCbOriginal.setTextColor(a.b(this, R.color.picture_color_white));
                    }
                    int i40 = PictureSelectionConfig.style.pictureOriginalTextSize;
                    if (i40 != 0) {
                        this.mCbOriginal.setTextSize((float) i40);
                    }
                } else {
                    CheckBox checkBox4 = this.mCbOriginal;
                    int i41 = R.drawable.picture_original_checkbox;
                    Object obj6 = a.f3266a;
                    checkBox4.setButtonDrawable(getDrawable(i41));
                    this.mCbOriginal.setTextColor(a.b(this, R.color.picture_color_white));
                }
            } else {
                int typeValueColor = AttrsUtils.getTypeValueColor(getContext(), R.attr.picture_title_textColor);
                if (typeValueColor != 0) {
                    this.mTvPictureTitle.setTextColor(typeValueColor);
                }
                int typeValueColor2 = AttrsUtils.getTypeValueColor(getContext(), R.attr.picture_right_textColor);
                if (typeValueColor2 != 0) {
                    this.mTvPictureRight.setTextColor(typeValueColor2);
                }
                int typeValueColor3 = AttrsUtils.getTypeValueColor(getContext(), R.attr.picture_container_backgroundColor);
                if (typeValueColor3 != 0) {
                    this.container.setBackgroundColor(typeValueColor3);
                }
                this.mIvPictureLeftBack.setImageDrawable(AttrsUtils.getTypeValueDrawable(getContext(), R.attr.picture_leftBack_icon, R.drawable.picture_icon_back));
                int i42 = this.config.downResId;
                if (i42 != 0) {
                    Object obj7 = a.f3266a;
                    this.mIvArrow.setImageDrawable(getDrawable(i42));
                } else {
                    this.mIvArrow.setImageDrawable(AttrsUtils.getTypeValueDrawable(getContext(), R.attr.picture_arrow_down_icon, R.drawable.picture_icon_arrow_down));
                }
                int typeValueColor4 = AttrsUtils.getTypeValueColor(getContext(), R.attr.picture_bottom_bg);
                if (typeValueColor4 != 0) {
                    this.mBottomLayout.setBackgroundColor(typeValueColor4);
                }
                ColorStateList typeValueColorStateList = AttrsUtils.getTypeValueColorStateList(getContext(), R.attr.picture_complete_textColor);
                if (typeValueColorStateList != null) {
                    this.mTvPictureOk.setTextColor(typeValueColorStateList);
                }
                ColorStateList typeValueColorStateList2 = AttrsUtils.getTypeValueColorStateList(getContext(), R.attr.picture_preview_textColor);
                if (typeValueColorStateList2 != null) {
                    this.mTvPicturePreview.setTextColor(typeValueColorStateList2);
                }
                int typeValueSizeForInt = AttrsUtils.getTypeValueSizeForInt(getContext(), R.attr.picture_titleRightArrow_LeftPadding);
                if (typeValueSizeForInt != 0) {
                    ((RelativeLayout.LayoutParams) this.mIvArrow.getLayoutParams()).leftMargin = typeValueSizeForInt;
                }
                this.mTvPictureImgNum.setBackground(AttrsUtils.getTypeValueDrawable(getContext(), R.attr.picture_num_style, R.drawable.picture_num_oval));
                int typeValueSizeForInt2 = AttrsUtils.getTypeValueSizeForInt(getContext(), R.attr.picture_titleBar_height);
                if (typeValueSizeForInt2 > 0) {
                    this.mTitleBar.getLayoutParams().height = typeValueSizeForInt2;
                }
                if (this.config.isOriginalControl) {
                    this.mCbOriginal.setButtonDrawable(AttrsUtils.getTypeValueDrawable(getContext(), R.attr.picture_original_check_style, R.drawable.picture_original_wechat_checkbox));
                    int typeValueColor5 = AttrsUtils.getTypeValueColor(getContext(), R.attr.picture_original_text_color);
                    if (typeValueColor5 != 0) {
                        this.mCbOriginal.setTextColor(typeValueColor5);
                    }
                }
            }
        }
        this.mTitleBar.setBackgroundColor(this.colorPrimary);
        this.mAdapter.bindSelectData(this.selectionMedias);
    }

    @Override // com.luck.picture.lib.PictureBaseActivity
    public void initWidgets() {
        int i2;
        String str;
        super.initWidgets();
        this.container = findViewById(R.id.container);
        this.mTitleBar = findViewById(R.id.titleBar);
        this.mIvPictureLeftBack = (ImageView) findViewById(R.id.pictureLeftBack);
        this.mTvPictureTitle = (TextView) findViewById(R.id.picture_title);
        this.mTvPictureRight = (TextView) findViewById(R.id.picture_right);
        this.mTvPictureOk = (TextView) findViewById(R.id.picture_tv_ok);
        this.mCbOriginal = (CheckBox) findViewById(R.id.cb_original);
        this.mIvArrow = (ImageView) findViewById(R.id.ivArrow);
        this.viewClickMask = findViewById(R.id.viewClickMask);
        this.mTvPicturePreview = (TextView) findViewById(R.id.picture_id_preview);
        this.mTvPictureImgNum = (TextView) findViewById(R.id.tv_media_num);
        this.mRecyclerView = (RecyclerPreloadView) findViewById(R.id.picture_recycler);
        this.mBottomLayout = (RelativeLayout) findViewById(R.id.select_bar_layout);
        this.mTvEmpty = (TextView) findViewById(R.id.tv_empty);
        isNumComplete(this.numComplete);
        if (!this.numComplete) {
            this.animation = AnimationUtils.loadAnimation(this, R.anim.picture_anim_modal_in);
        }
        this.mTvPicturePreview.setOnClickListener(this);
        if (this.config.isAutomaticTitleRecyclerTop) {
            this.mTitleBar.setOnClickListener(this);
        }
        int i3 = 8;
        this.mTvPicturePreview.setVisibility((this.config.chooseMode == PictureMimeType.ofAudio() || !this.config.enablePreview) ? 8 : 0);
        RelativeLayout relativeLayout = this.mBottomLayout;
        PictureSelectionConfig pictureSelectionConfig = this.config;
        if (pictureSelectionConfig.selectionMode != 1 || !pictureSelectionConfig.isSingleDirectReturn) {
            i3 = 0;
        }
        relativeLayout.setVisibility(i3);
        this.mIvPictureLeftBack.setOnClickListener(this);
        this.mTvPictureRight.setOnClickListener(this);
        this.mTvPictureOk.setOnClickListener(this);
        this.viewClickMask.setOnClickListener(this);
        this.mTvPictureImgNum.setOnClickListener(this);
        this.mTvPictureTitle.setOnClickListener(this);
        this.mIvArrow.setOnClickListener(this);
        if (this.config.chooseMode == PictureMimeType.ofAudio()) {
            i2 = R.string.picture_all_audio;
        } else {
            i2 = R.string.picture_camera_roll;
        }
        this.mTvPictureTitle.setText(getString(i2));
        this.mTvPictureTitle.setTag(R.id.view_tag, -1);
        FolderPopWindow folderPopWindow = new FolderPopWindow(this);
        this.folderWindow = folderPopWindow;
        folderPopWindow.setArrowImageView(this.mIvArrow);
        this.folderWindow.setOnAlbumItemClickListener(this);
        RecyclerPreloadView recyclerPreloadView = this.mRecyclerView;
        int i4 = this.config.imageSpanCount;
        int i5 = 4;
        if (i4 <= 0) {
            i4 = 4;
        }
        recyclerPreloadView.addItemDecoration(new GridSpacingItemDecoration(i4, ScreenUtils.dip2px(this, 2.0f), false));
        RecyclerPreloadView recyclerPreloadView2 = this.mRecyclerView;
        Context context = getContext();
        int i6 = this.config.imageSpanCount;
        if (i6 > 0) {
            i5 = i6;
        }
        recyclerPreloadView2.setLayoutManager(new GridLayoutManager(context, i5));
        if (!this.config.isPageStrategy) {
            this.mRecyclerView.setHasFixedSize(true);
        } else {
            this.mRecyclerView.setReachBottomRow(2);
            this.mRecyclerView.setOnRecyclerViewPreloadListener(this);
        }
        RecyclerView.ItemAnimator itemAnimator = this.mRecyclerView.getItemAnimator();
        if (itemAnimator != null) {
            ((SimpleItemAnimator) itemAnimator).f1901g = false;
            this.mRecyclerView.setItemAnimator(null);
        }
        loadAllMediaData();
        TextView textView = this.mTvEmpty;
        if (this.config.chooseMode == PictureMimeType.ofAudio()) {
            str = getString(R.string.picture_audio_empty);
        } else {
            str = getString(R.string.picture_empty);
        }
        textView.setText(str);
        StringUtils.tempTextFont(this.mTvEmpty, this.config.chooseMode);
        PictureImageGridAdapter pictureImageGridAdapter = new PictureImageGridAdapter(getContext(), this.config);
        this.mAdapter = pictureImageGridAdapter;
        pictureImageGridAdapter.setOnPhotoSelectChangedListener(this);
        int i7 = this.config.animationMode;
        if (i7 == 1) {
            this.mRecyclerView.setAdapter(new AlphaInAnimationAdapter(this.mAdapter));
        } else if (i7 != 2) {
            this.mRecyclerView.setAdapter(this.mAdapter);
        } else {
            this.mRecyclerView.setAdapter(new SlideInBottomAnimationAdapter(this.mAdapter));
        }
        if (this.config.isOriginalControl) {
            this.mCbOriginal.setVisibility(0);
            this.mCbOriginal.setChecked(this.config.isCheckOriginalImage);
            this.mCbOriginal.setOnCheckedChangeListener(new w(this));
        }
    }

    public void multiCropHandleResult(Intent intent) {
        ArrayList parcelableArrayListExtra;
        if (intent != null && (parcelableArrayListExtra = intent.getParcelableArrayListExtra("com.yalantis.ucrop.OutputUriList")) != null && parcelableArrayListExtra.size() > 0) {
            this.mAdapter.bindSelectData(parcelableArrayListExtra);
            this.mAdapter.notifyDataSetChanged();
            handlerResult(parcelableArrayListExtra);
        }
    }

    @Override // androidx.activity.ComponentActivity, androidx.fragment.app.FragmentActivity
    public void onActivityResult(int i2, int i3, Intent intent) {
        Throwable th;
        ArrayList parcelableArrayListExtra;
        super.onActivityResult(i2, i3, intent);
        if (i3 == -1) {
            if (i2 == 69) {
                singleCropHandleResult(intent);
            } else if (i2 != 166) {
                if (i2 == 609) {
                    multiCropHandleResult(intent);
                } else if (i2 == 909) {
                    dispatchHandleCamera(intent);
                }
            } else if (intent != null && (parcelableArrayListExtra = intent.getParcelableArrayListExtra(PictureConfig.EXTRA_SELECT_LIST)) != null && parcelableArrayListExtra.size() > 0) {
                onResult(parcelableArrayListExtra);
            }
        } else if (i3 == 0) {
            previewCallback(intent);
            if (i2 == 909) {
                MediaUtils.deleteCamera(this, this.config.cameraPath);
            }
        } else if (i3 == 96 && intent != null && (th = (Throwable) intent.getSerializableExtra("com.yalantis.ucrop.Error")) != null) {
            ToastUtils.s(getContext(), th.getMessage());
        }
    }

    @Override // androidx.activity.ComponentActivity
    public void onBackPressed() {
        if (SdkVersionUtils.checkedAndroid_Q()) {
            finishAfterTransition();
        } else {
            super.onBackPressed();
        }
        OnResultCallbackListener<LocalMedia> onResultCallbackListener = PictureSelectionConfig.listener;
        if (onResultCallbackListener != null) {
            onResultCallbackListener.onCancel();
        }
        exit();
    }

    @Override // com.luck.picture.lib.listener.OnPhotoSelectChangedListener
    public void onChange(List<LocalMedia> list) {
        changeImageNumber(list);
    }

    public void onChangeData(List<LocalMedia> list) {
    }

    public void onClick(View view) {
        int id = view.getId();
        if (id == R.id.pictureLeftBack || id == R.id.picture_right) {
            FolderPopWindow folderPopWindow = this.folderWindow;
            if (folderPopWindow == null || !folderPopWindow.isShowing()) {
                onBackPressed();
            } else {
                this.folderWindow.dismiss();
            }
        } else if (id == R.id.picture_title || id == R.id.ivArrow || id == R.id.viewClickMask) {
            if (this.folderWindow.isShowing()) {
                this.folderWindow.dismiss();
            } else if (!this.folderWindow.isEmpty()) {
                this.folderWindow.showAsDropDown(this.mTitleBar);
                if (!this.config.isSingleDirectReturn) {
                    this.folderWindow.updateFolderCheckStatus(this.mAdapter.getSelectedData());
                }
            }
        } else if (id == R.id.picture_id_preview) {
            onPreview();
        } else if (id == R.id.picture_tv_ok || id == R.id.tv_media_num) {
            onComplete();
        } else if (id == R.id.titleBar && this.config.isAutomaticTitleRecyclerTop) {
            if (SystemClock.uptimeMillis() - this.intervalClickTime >= ((long) DefaultAnimationHandler.DURATION)) {
                this.intervalClickTime = SystemClock.uptimeMillis();
            } else if (this.mAdapter.getItemCount() > 0) {
                this.mRecyclerView.scrollToPosition(0);
            }
        }
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, com.luck.picture.lib.PictureBaseActivity, androidx.fragment.app.FragmentActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        if (bundle != null) {
            this.allFolderSize = bundle.getInt(PictureConfig.EXTRA_ALL_FOLDER_SIZE);
            this.oldCurrentListSize = bundle.getInt(PictureConfig.EXTRA_OLD_CURRENT_LIST_SIZE, 0);
            List<LocalMedia> obtainSelectorList = PictureSelector.obtainSelectorList(bundle);
            if (obtainSelectorList == null) {
                obtainSelectorList = this.selectionMedias;
            }
            this.selectionMedias = obtainSelectorList;
            PictureImageGridAdapter pictureImageGridAdapter = this.mAdapter;
            if (pictureImageGridAdapter != null) {
                this.isStartAnimation = true;
                pictureImageGridAdapter.bindSelectData(obtainSelectorList);
            }
        }
    }

    @Override // androidx.appcompat.app.AppCompatActivity, com.luck.picture.lib.PictureBaseActivity, androidx.fragment.app.FragmentActivity
    public void onDestroy() {
        super.onDestroy();
        Animation animation2 = this.animation;
        if (animation2 != null) {
            animation2.cancel();
            this.animation = null;
        }
        if (this.mediaPlayer != null) {
            this.mHandler.removeCallbacks(this.mRunnable);
            this.mediaPlayer.release();
            this.mediaPlayer = null;
        }
    }

    @Override // com.luck.picture.lib.listener.OnAlbumItemClickListener
    public void onItemClick(int i2, boolean z, long j2, String str, List<LocalMedia> list) {
        this.mAdapter.setShowCamera(this.config.isCamera && z);
        this.mTvPictureTitle.setText(str);
        TextView textView = this.mTvPictureTitle;
        int i3 = R.id.view_tag;
        long j3 = ValueOf.toLong(textView.getTag(i3));
        this.mTvPictureTitle.setTag(R.id.view_count_tag, Integer.valueOf(this.folderWindow.getFolder(i2) != null ? this.folderWindow.getFolder(i2).getImageNum() : 0));
        if (!this.config.isPageStrategy) {
            this.mAdapter.bindData(list);
            this.mRecyclerView.smoothScrollToPosition(0);
        } else if (j3 != j2) {
            setLastCacheFolderData();
            if (!isCurrentCacheFolderData(i2)) {
                this.mPage = 1;
                showPleaseDialog();
                LocalMediaPageLoader.getInstance(getContext()).loadPageMediaData(j2, this.mPage, new z(this));
            }
        }
        this.mTvPictureTitle.setTag(i3, Long.valueOf(j2));
        this.folderWindow.dismiss();
    }

    @Override // com.luck.picture.lib.listener.OnRecyclerViewPreloadMoreListener
    public void onRecyclerViewPreloadMore() {
        loadMoreData();
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ActivityCompat.OnRequestPermissionsResultCallback, com.luck.picture.lib.PictureBaseActivity, androidx.fragment.app.FragmentActivity
    public void onRequestPermissionsResult(int i2, String[] strArr, int[] iArr) {
        super.onRequestPermissionsResult(i2, strArr, iArr);
        if (i2 != 1) {
            if (i2 != 2) {
                if (i2 != 4) {
                    if (i2 == 5) {
                        if (iArr.length <= 0 || iArr[0] != 0) {
                            showPermissionsDialog(false, new String[]{"android.permission.READ_EXTERNAL_STORAGE", "android.permission.WRITE_EXTERNAL_STORAGE"}, getString(R.string.picture_jurisdiction));
                        } else {
                            startCamera();
                        }
                    }
                } else if (iArr.length <= 0 || iArr[0] != 0) {
                    showPermissionsDialog(false, new String[]{"android.permission.RECORD_AUDIO"}, getString(R.string.picture_audio));
                } else {
                    startCustomCamera();
                }
            } else if (iArr.length <= 0 || iArr[0] != 0) {
                showPermissionsDialog(true, new String[]{"android.permission.CAMERA"}, getString(R.string.picture_camera));
            } else {
                onTakePhoto();
            }
        } else if (iArr.length <= 0 || iArr[0] != 0) {
            showPermissionsDialog(false, new String[]{"android.permission.READ_EXTERNAL_STORAGE", "android.permission.WRITE_EXTERNAL_STORAGE"}, getString(R.string.picture_jurisdiction));
        } else {
            readLocalMedia();
        }
    }

    @Override // androidx.fragment.app.FragmentActivity
    public void onResume() {
        CheckBox checkBox;
        super.onResume();
        if (this.isEnterSetting) {
            if (!PermissionChecker.checkSelfPermission(this, "android.permission.READ_EXTERNAL_STORAGE") || !PermissionChecker.checkSelfPermission(this, "android.permission.WRITE_EXTERNAL_STORAGE")) {
                showPermissionsDialog(false, new String[]{"android.permission.READ_EXTERNAL_STORAGE", "android.permission.WRITE_EXTERNAL_STORAGE"}, getString(R.string.picture_jurisdiction));
            } else if (this.mAdapter.isDataEmpty()) {
                readLocalMedia();
            }
            this.isEnterSetting = false;
        }
        PictureSelectionConfig pictureSelectionConfig = this.config;
        if (pictureSelectionConfig.isOriginalControl && (checkBox = this.mCbOriginal) != null) {
            checkBox.setChecked(pictureSelectionConfig.isCheckOriginalImage);
        }
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, com.luck.picture.lib.PictureBaseActivity
    public void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        PictureImageGridAdapter pictureImageGridAdapter = this.mAdapter;
        if (pictureImageGridAdapter != null) {
            bundle.putInt(PictureConfig.EXTRA_OLD_CURRENT_LIST_SIZE, pictureImageGridAdapter.getSize());
            if (this.folderWindow.getFolderData().size() > 0) {
                bundle.putInt(PictureConfig.EXTRA_ALL_FOLDER_SIZE, this.folderWindow.getFolder(0).getImageNum());
            }
            if (this.mAdapter.getSelectedData() != null) {
                PictureSelector.saveSelectorList(bundle, this.mAdapter.getSelectedData());
            }
        }
    }

    @Override // com.luck.picture.lib.listener.OnPhotoSelectChangedListener
    public void onTakePhoto() {
        if (!PermissionChecker.checkSelfPermission(this, "android.permission.CAMERA")) {
            PermissionChecker.requestPermissions(this, new String[]{"android.permission.CAMERA"}, 2);
        } else if (!PermissionChecker.checkSelfPermission(this, "android.permission.READ_EXTERNAL_STORAGE") || !PermissionChecker.checkSelfPermission(this, "android.permission.WRITE_EXTERNAL_STORAGE")) {
            PermissionChecker.requestPermissions(this, new String[]{"android.permission.READ_EXTERNAL_STORAGE", "android.permission.WRITE_EXTERNAL_STORAGE"}, 5);
        } else {
            startCamera();
        }
    }

    public void playOrPause() {
        try {
            MediaPlayer mediaPlayer2 = this.mediaPlayer;
            if (mediaPlayer2 == null) {
                return;
            }
            if (mediaPlayer2.isPlaying()) {
                this.mediaPlayer.pause();
            } else {
                this.mediaPlayer.start();
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    public void readLocalMedia() {
        showPleaseDialog();
        if (this.config.isPageStrategy) {
            LocalMediaPageLoader.getInstance(getContext()).loadAllMedia(new s(this));
        } else {
            PictureThreadUtils.executeBySingle(new PictureThreadUtils.SimpleTask<List<LocalMediaFolder>>() {
                /* class com.luck.picture.lib.PictureSelectorActivity.AnonymousClass1 */

                @Override // com.luck.picture.lib.thread.PictureThreadUtils.Task
                public List<LocalMediaFolder> doInBackground() {
                    return new LocalMediaLoader(PictureSelectorActivity.this.getContext()).loadAllMedia();
                }

                public void onSuccess(List<LocalMediaFolder> list) {
                    PictureSelectorActivity.this.initStandardModel(list);
                }
            });
        }
    }

    @Override // com.luck.picture.lib.PictureBaseActivity
    public void showPermissionsDialog(boolean z, String[] strArr, String str) {
        if (!isFinishing()) {
            OnPermissionsObtainCallback onPermissionsObtainCallback = PictureSelectionConfig.onPermissionsObtainCallback;
            if (onPermissionsObtainCallback != null) {
                onPermissionsObtainCallback.onPermissionsIntercept(getContext(), z, strArr, str, new OnPermissionDialogOptionCallback() {
                    /* class com.luck.picture.lib.PictureSelectorActivity.AnonymousClass7 */

                    @Override // com.luck.picture.lib.listener.OnPermissionDialogOptionCallback
                    public void onCancel() {
                        OnResultCallbackListener<LocalMedia> onResultCallbackListener = PictureSelectionConfig.listener;
                        if (onResultCallbackListener != null) {
                            onResultCallbackListener.onCancel();
                        }
                        PictureSelectorActivity.this.exit();
                    }

                    @Override // com.luck.picture.lib.listener.OnPermissionDialogOptionCallback
                    public void onSetting() {
                        PictureSelectorActivity.this.isEnterSetting = true;
                    }
                });
                return;
            }
            PictureCustomDialog pictureCustomDialog = new PictureCustomDialog(getContext(), R.layout.picture_wind_base_dialog);
            pictureCustomDialog.setCancelable(false);
            pictureCustomDialog.setCanceledOnTouchOutside(false);
            Button button = (Button) pictureCustomDialog.findViewById(R.id.btn_commit);
            button.setText(getString(R.string.picture_go_setting));
            ((TextView) pictureCustomDialog.findViewById(R.id.tvTitle)).setText(getString(R.string.picture_prompt));
            ((TextView) pictureCustomDialog.findViewById(R.id.tv_content)).setText(str);
            ((Button) pictureCustomDialog.findViewById(R.id.btn_cancel)).setOnClickListener(new y(this, pictureCustomDialog, z));
            button.setOnClickListener(new t(this, pictureCustomDialog));
            pictureCustomDialog.show();
        }
    }

    public void startCamera() {
        if (!DoubleUtils.isFastDoubleClick()) {
            OnCustomCameraInterfaceListener onCustomCameraInterfaceListener = PictureSelectionConfig.onCustomCameraInterfaceListener;
            if (onCustomCameraInterfaceListener != null) {
                if (this.config.chooseMode == 0) {
                    PhotoItemSelectedDialog newInstance = PhotoItemSelectedDialog.newInstance();
                    newInstance.setOnItemClickListener(this);
                    newInstance.show(getSupportFragmentManager(), "PhotoItemSelectedDialog");
                    return;
                }
                Context context = getContext();
                PictureSelectionConfig pictureSelectionConfig = this.config;
                onCustomCameraInterfaceListener.onCameraClick(context, pictureSelectionConfig, pictureSelectionConfig.chooseMode);
                PictureSelectionConfig pictureSelectionConfig2 = this.config;
                pictureSelectionConfig2.cameraMimeType = pictureSelectionConfig2.chooseMode;
            } else if (this.config.chooseMode == PictureMimeType.ofAudio() || !this.config.isUseCustomCamera) {
                int i2 = this.config.chooseMode;
                if (i2 == 0) {
                    PhotoItemSelectedDialog newInstance2 = PhotoItemSelectedDialog.newInstance();
                    newInstance2.setOnItemClickListener(this);
                    newInstance2.show(getSupportFragmentManager(), "PhotoItemSelectedDialog");
                } else if (i2 == 1) {
                    startOpenCamera();
                } else if (i2 == 2) {
                    startOpenCameraVideo();
                } else if (i2 == 3) {
                    startOpenCameraAudio();
                }
            } else {
                startCustomCamera();
            }
        }
    }

    public void startPreview(List<LocalMedia> list, int i2) {
        LocalMedia localMedia = list.get(i2);
        String mimeType = localMedia.getMimeType();
        Bundle bundle = new Bundle();
        ArrayList arrayList = new ArrayList();
        if (PictureMimeType.isHasVideo(mimeType)) {
            PictureSelectionConfig pictureSelectionConfig = this.config;
            if (pictureSelectionConfig.selectionMode != 1 || pictureSelectionConfig.enPreviewVideo) {
                OnVideoSelectedPlayCallback<LocalMedia> onVideoSelectedPlayCallback = PictureSelectionConfig.customVideoPlayCallback;
                if (onVideoSelectedPlayCallback != null) {
                    onVideoSelectedPlayCallback.startPlayVideo(localMedia);
                    return;
                }
                bundle.putParcelable(PictureConfig.EXTRA_MEDIA_KEY, localMedia);
                JumpUtils.startPictureVideoPlayActivity(getContext(), bundle, 166);
                return;
            }
            arrayList.add(localMedia);
            onResult(arrayList);
        } else if (!PictureMimeType.isHasAudio(mimeType)) {
            OnCustomImagePreviewCallback<LocalMedia> onCustomImagePreviewCallback = PictureSelectionConfig.onCustomImagePreviewCallback;
            if (onCustomImagePreviewCallback != null) {
                onCustomImagePreviewCallback.onCustomPreviewCallback(getContext(), list, i2);
                return;
            }
            List<LocalMedia> selectedData = this.mAdapter.getSelectedData();
            ImagesObservable.getInstance().savePreviewMediaData(new ArrayList(list));
            bundle.putParcelableArrayList(PictureConfig.EXTRA_SELECT_LIST, (ArrayList) selectedData);
            bundle.putInt("position", i2);
            bundle.putBoolean(PictureConfig.EXTRA_CHANGE_ORIGINAL, this.config.isCheckOriginalImage);
            bundle.putBoolean(PictureConfig.EXTRA_SHOW_CAMERA, this.mAdapter.isShowCamera());
            bundle.putLong(PictureConfig.EXTRA_BUCKET_ID, ValueOf.toLong(this.mTvPictureTitle.getTag(R.id.view_tag)));
            bundle.putInt(PictureConfig.EXTRA_PAGE, this.mPage);
            bundle.putParcelable(PictureConfig.EXTRA_CONFIG, this.config);
            bundle.putInt(PictureConfig.EXTRA_DATA_COUNT, ValueOf.toInt(this.mTvPictureTitle.getTag(R.id.view_count_tag)));
            bundle.putString(PictureConfig.EXTRA_IS_CURRENT_DIRECTORY, this.mTvPictureTitle.getText().toString());
            Context context = getContext();
            PictureSelectionConfig pictureSelectionConfig2 = this.config;
            JumpUtils.startPicturePreviewActivity(context, pictureSelectionConfig2.isWeChatStyle, bundle, pictureSelectionConfig2.selectionMode == 1 ? 69 : TypedValues.Motion.TYPE_POLAR_RELATIVETO);
            overridePendingTransition(PictureSelectionConfig.windowAnimationStyle.activityPreviewEnterAnimation, R.anim.picture_anim_fade_in);
        } else if (this.config.selectionMode == 1) {
            arrayList.add(localMedia);
            onResult(arrayList);
        } else {
            startPlayAudioDialog(localMedia.getPath());
        }
    }

    public void stop(String str) {
        MediaPlayer mediaPlayer2 = this.mediaPlayer;
        if (mediaPlayer2 != null) {
            try {
                mediaPlayer2.stop();
                this.mediaPlayer.reset();
                if (PictureMimeType.isContent(str)) {
                    this.mediaPlayer.setDataSource(getContext(), Uri.parse(str));
                } else {
                    this.mediaPlayer.setDataSource(str);
                }
                this.mediaPlayer.prepare();
                this.mediaPlayer.seekTo(0);
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    public void onPictureClick(LocalMedia localMedia, int i2) {
        PictureSelectionConfig pictureSelectionConfig = this.config;
        if (pictureSelectionConfig.selectionMode != 1 || !pictureSelectionConfig.isSingleDirectReturn) {
            startPreview(this.mAdapter.getData(), i2);
            return;
        }
        ArrayList arrayList = new ArrayList();
        arrayList.add(localMedia);
        if (!this.config.enableCrop || !PictureMimeType.isHasImage(localMedia.getMimeType())) {
            handlerResult(arrayList);
            return;
        }
        this.mAdapter.bindSelectData(arrayList);
        UCropManager.ofCrop(this, localMedia.getPath(), localMedia.getMimeType());
    }

    @Override // com.luck.picture.lib.listener.OnItemClickListener
    public void onItemClick(View view, int i2) {
        if (i2 == 0) {
            OnCustomCameraInterfaceListener onCustomCameraInterfaceListener = PictureSelectionConfig.onCustomCameraInterfaceListener;
            if (onCustomCameraInterfaceListener != null) {
                onCustomCameraInterfaceListener.onCameraClick(getContext(), this.config, 1);
                this.config.cameraMimeType = PictureMimeType.ofImage();
                return;
            }
            startOpenCamera();
        } else if (i2 == 1) {
            OnCustomCameraInterfaceListener onCustomCameraInterfaceListener2 = PictureSelectionConfig.onCustomCameraInterfaceListener;
            if (onCustomCameraInterfaceListener2 != null) {
                onCustomCameraInterfaceListener2.onCameraClick(getContext(), this.config, 1);
                this.config.cameraMimeType = PictureMimeType.ofVideo();
                return;
            }
            startOpenCameraVideo();
        }
    }
}
