package com.luck.picture.lib;

import android.content.Context;
import android.graphics.Color;
import android.text.TextUtils;
import android.view.View;
import android.view.animation.AccelerateInterpolator;
import android.widget.CheckBox;
import android.widget.TextView;
import androidx.recyclerview.widget.RecyclerView;
import b.j.b.a;
import com.luck.picture.lib.adapter.PictureWeChatPreviewGalleryAdapter;
import com.luck.picture.lib.config.PictureMimeType;
import com.luck.picture.lib.config.PictureSelectionConfig;
import com.luck.picture.lib.decoration.GridSpacingItemDecoration;
import com.luck.picture.lib.decoration.WrapContentLinearLayoutManager;
import com.luck.picture.lib.entity.LocalMedia;
import com.luck.picture.lib.style.PictureParameterStyle;
import com.luck.picture.lib.style.PictureSelectorUIStyle;
import com.luck.picture.lib.tools.ScreenUtils;
import d.k.a.a.b0;
import org.dsq.library.widget.bigImage.SubsamplingScaleImageView;

public class PictureSelectorPreviewWeChatStyleActivity extends PicturePreviewActivity {
    private static final int ALPHA_DURATION = 300;
    private View bottomLine;
    private PictureWeChatPreviewGalleryAdapter mGalleryAdapter;
    private RecyclerView mRvGallery;
    private TextView mTvSelected;

    private void goneParent() {
        if (this.tvMediaNum.getVisibility() == 0) {
            this.tvMediaNum.setVisibility(8);
        }
        if (this.mTvPictureOk.getVisibility() == 0) {
            this.mTvPictureOk.setVisibility(8);
        }
        if (!TextUtils.isEmpty(this.check.getText())) {
            this.check.setText("");
        }
    }

    private boolean isEqualsDirectory(String str, String str2) {
        return this.isBottomPreview || TextUtils.isEmpty(str) || TextUtils.isEmpty(str2) || str2.equals(getString(R.string.picture_camera_roll)) || str.equals(str2);
    }

    private void onChangeMediaStatus(LocalMedia localMedia) {
        int itemCount;
        PictureWeChatPreviewGalleryAdapter pictureWeChatPreviewGalleryAdapter = this.mGalleryAdapter;
        if (pictureWeChatPreviewGalleryAdapter != null && (itemCount = pictureWeChatPreviewGalleryAdapter.getItemCount()) > 0) {
            boolean z = false;
            for (int i2 = 0; i2 < itemCount; i2++) {
                LocalMedia item = this.mGalleryAdapter.getItem(i2);
                if (item != null && !TextUtils.isEmpty(item.getPath())) {
                    boolean isChecked = item.isChecked();
                    boolean z2 = true;
                    boolean z3 = item.getPath().equals(localMedia.getPath()) || item.getId() == localMedia.getId();
                    if (!z) {
                        if ((!isChecked || z3) && (isChecked || !z3)) {
                            z2 = false;
                        }
                        z = z2;
                    }
                    item.setChecked(z3);
                }
            }
            if (z) {
                this.mGalleryAdapter.notifyDataSetChanged();
            }
        }
    }

    public /* synthetic */ void D(int i2, LocalMedia localMedia, View view) {
        if (this.viewPager != null && localMedia != null && isEqualsDirectory(localMedia.getParentFolderName(), this.currentDirectory)) {
            if (!this.isBottomPreview) {
                i2 = this.isShowCamera ? localMedia.position - 1 : localMedia.position;
            }
            this.viewPager.setCurrentItem(i2);
        }
    }

    @Override // com.luck.picture.lib.PictureBaseActivity, com.luck.picture.lib.PicturePreviewActivity
    public int getResourceId() {
        return R.layout.picture_wechat_style_preview;
    }

    @Override // com.luck.picture.lib.PictureBaseActivity, com.luck.picture.lib.PicturePreviewActivity
    public void initCompleteText(int i2) {
        int i3;
        String str;
        String str2;
        String str3;
        String str4;
        String str5;
        String str6;
        PictureParameterStyle pictureParameterStyle = PictureSelectionConfig.style;
        boolean z = pictureParameterStyle != null;
        PictureSelectionConfig pictureSelectionConfig = this.config;
        if (!pictureSelectionConfig.isWithVideoImage) {
            if (!PictureMimeType.isHasVideo(this.selectData.size() > 0 ? this.selectData.get(0).getMimeType() : "") || (i3 = this.config.maxVideoSelectNum) <= 0) {
                i3 = this.config.maxSelectNum;
            }
            if (this.config.selectionMode != 1) {
                if (!(z && PictureSelectionConfig.style.isCompleteReplaceNum) || TextUtils.isEmpty(PictureSelectionConfig.style.pictureCompleteText)) {
                    TextView textView = this.mTvPictureRight;
                    if (!z || TextUtils.isEmpty(PictureSelectionConfig.style.pictureUnCompleteText)) {
                        str = getString(R.string.picture_send_num, new Object[]{Integer.valueOf(this.selectData.size()), Integer.valueOf(i3)});
                    } else {
                        str = PictureSelectionConfig.style.pictureUnCompleteText;
                    }
                    textView.setText(str);
                    return;
                }
                this.mTvPictureRight.setText(String.format(PictureSelectionConfig.style.pictureCompleteText, Integer.valueOf(this.selectData.size()), Integer.valueOf(i3)));
            } else if (i2 <= 0) {
                TextView textView2 = this.mTvPictureRight;
                if (!z || TextUtils.isEmpty(PictureSelectionConfig.style.pictureUnCompleteText)) {
                    str3 = getString(R.string.picture_send);
                } else {
                    str3 = PictureSelectionConfig.style.pictureUnCompleteText;
                }
                textView2.setText(str3);
            } else {
                if (!(z && PictureSelectionConfig.style.isCompleteReplaceNum) || TextUtils.isEmpty(PictureSelectionConfig.style.pictureCompleteText)) {
                    TextView textView3 = this.mTvPictureRight;
                    if (!z || TextUtils.isEmpty(PictureSelectionConfig.style.pictureCompleteText)) {
                        str2 = getString(R.string.picture_send);
                    } else {
                        str2 = PictureSelectionConfig.style.pictureCompleteText;
                    }
                    textView3.setText(str2);
                    return;
                }
                this.mTvPictureRight.setText(String.format(PictureSelectionConfig.style.pictureCompleteText, Integer.valueOf(this.selectData.size()), 1));
            }
        } else if (pictureSelectionConfig.selectionMode != 1) {
            if (!(z && pictureParameterStyle.isCompleteReplaceNum) || TextUtils.isEmpty(pictureParameterStyle.pictureCompleteText)) {
                TextView textView4 = this.mTvPictureRight;
                if (!z || TextUtils.isEmpty(PictureSelectionConfig.style.pictureUnCompleteText)) {
                    str4 = getString(R.string.picture_send_num, new Object[]{Integer.valueOf(this.selectData.size()), Integer.valueOf(this.config.maxSelectNum)});
                } else {
                    str4 = PictureSelectionConfig.style.pictureUnCompleteText;
                }
                textView4.setText(str4);
                return;
            }
            this.mTvPictureRight.setText(String.format(PictureSelectionConfig.style.pictureCompleteText, Integer.valueOf(this.selectData.size()), Integer.valueOf(this.config.maxSelectNum)));
        } else if (i2 <= 0) {
            TextView textView5 = this.mTvPictureRight;
            if (!z || TextUtils.isEmpty(pictureParameterStyle.pictureUnCompleteText)) {
                str6 = getString(R.string.picture_send);
            } else {
                str6 = PictureSelectionConfig.style.pictureUnCompleteText;
            }
            textView5.setText(str6);
        } else {
            if (!(z && pictureParameterStyle.isCompleteReplaceNum) || TextUtils.isEmpty(pictureParameterStyle.pictureCompleteText)) {
                TextView textView6 = this.mTvPictureRight;
                if (!z || TextUtils.isEmpty(PictureSelectionConfig.style.pictureCompleteText)) {
                    str5 = getString(R.string.picture_send);
                } else {
                    str5 = PictureSelectionConfig.style.pictureCompleteText;
                }
                textView6.setText(str5);
                return;
            }
            this.mTvPictureRight.setText(String.format(PictureSelectionConfig.style.pictureCompleteText, Integer.valueOf(this.selectData.size()), 1));
        }
    }

    @Override // com.luck.picture.lib.PictureBaseActivity, com.luck.picture.lib.PicturePreviewActivity
    public void initPictureSelectorStyle() {
        super.initPictureSelectorStyle();
        PictureSelectorUIStyle pictureSelectorUIStyle = PictureSelectionConfig.uiStyle;
        if (pictureSelectorUIStyle != null) {
            int i2 = pictureSelectorUIStyle.picture_top_titleRightDefaultText;
            if (i2 != 0) {
                this.mTvPictureRight.setText(getString(i2));
            }
            int i3 = PictureSelectionConfig.uiStyle.picture_top_titleRightTextNormalBackground;
            if (i3 != 0) {
                this.mTvPictureRight.setBackgroundResource(i3);
            } else {
                this.mTvPictureRight.setBackgroundResource(R.drawable.picture_send_button_bg);
            }
            int i4 = PictureSelectionConfig.uiStyle.picture_top_titleRightTextSize;
            if (i4 != 0) {
                this.mTvPictureRight.setTextSize((float) i4);
            }
            int i5 = PictureSelectionConfig.uiStyle.picture_bottom_selectedText;
            if (i5 != 0) {
                this.mTvSelected.setText(getString(i5));
            }
            int i6 = PictureSelectionConfig.uiStyle.picture_bottom_selectedTextSize;
            if (i6 != 0) {
                this.mTvSelected.setTextSize((float) i6);
            }
            int i7 = PictureSelectionConfig.uiStyle.picture_bottom_selectedTextColor;
            if (i7 != 0) {
                this.mTvSelected.setTextColor(i7);
            }
            int i8 = PictureSelectionConfig.uiStyle.picture_bottom_barBackgroundColor;
            if (i8 != 0) {
                this.selectBarLayout.setBackgroundColor(i8);
            } else {
                this.selectBarLayout.setBackgroundColor(a.b(getContext(), R.color.picture_color_half_grey));
            }
            this.mTvPictureRight.setTextColor(a.b(getContext(), R.color.picture_color_white));
            int i9 = PictureSelectionConfig.uiStyle.picture_bottom_selectedCheckStyle;
            if (i9 != 0) {
                this.check.setBackgroundResource(i9);
            } else {
                this.check.setBackgroundResource(R.drawable.picture_wechat_select_cb);
            }
            int i10 = PictureSelectionConfig.uiStyle.picture_top_leftBack;
            if (i10 != 0) {
                this.pictureLeftBack.setImageResource(i10);
            } else {
                this.pictureLeftBack.setImageResource(R.drawable.picture_icon_back);
            }
            int i11 = PictureSelectionConfig.uiStyle.picture_bottom_gallery_backgroundColor;
            if (i11 != 0) {
                this.mRvGallery.setBackgroundColor(i11);
            }
            if (PictureSelectionConfig.uiStyle.picture_bottom_gallery_height > 0) {
                this.mRvGallery.getLayoutParams().height = PictureSelectionConfig.uiStyle.picture_bottom_gallery_height;
            }
            if (this.config.isOriginalControl) {
                int i12 = PictureSelectionConfig.uiStyle.picture_bottom_originalPictureText;
                if (i12 != 0) {
                    this.mCbOriginal.setText(getString(i12));
                } else {
                    this.mCbOriginal.setText(getString(R.string.picture_original_image));
                }
                int i13 = PictureSelectionConfig.uiStyle.picture_bottom_originalPictureTextSize;
                if (i13 != 0) {
                    this.mCbOriginal.setTextSize((float) i13);
                } else {
                    this.mCbOriginal.setTextSize(14.0f);
                }
                int i14 = PictureSelectionConfig.uiStyle.picture_bottom_originalPictureTextColor;
                if (i14 != 0) {
                    this.mCbOriginal.setTextColor(i14);
                } else {
                    this.mCbOriginal.setTextColor(Color.parseColor("#FFFFFF"));
                }
                int i15 = PictureSelectionConfig.uiStyle.picture_bottom_originalPictureCheckStyle;
                if (i15 != 0) {
                    this.mCbOriginal.setButtonDrawable(i15);
                } else {
                    this.mCbOriginal.setButtonDrawable(R.drawable.picture_original_wechat_checkbox);
                }
            }
        } else {
            PictureParameterStyle pictureParameterStyle = PictureSelectionConfig.style;
            if (pictureParameterStyle != null) {
                int i16 = pictureParameterStyle.pictureCompleteBackgroundStyle;
                if (i16 != 0) {
                    this.mTvPictureRight.setBackgroundResource(i16);
                } else {
                    this.mTvPictureRight.setBackgroundResource(R.drawable.picture_send_button_bg);
                }
                int i17 = PictureSelectionConfig.style.pictureRightTextSize;
                if (i17 != 0) {
                    this.mTvPictureRight.setTextSize((float) i17);
                }
                if (!TextUtils.isEmpty(PictureSelectionConfig.style.pictureWeChatPreviewSelectedText)) {
                    this.mTvSelected.setText(PictureSelectionConfig.style.pictureWeChatPreviewSelectedText);
                }
                int i18 = PictureSelectionConfig.style.pictureWeChatPreviewSelectedTextSize;
                if (i18 != 0) {
                    this.mTvSelected.setTextSize((float) i18);
                }
                int i19 = PictureSelectionConfig.style.picturePreviewBottomBgColor;
                if (i19 != 0) {
                    this.selectBarLayout.setBackgroundColor(i19);
                } else {
                    this.selectBarLayout.setBackgroundColor(a.b(getContext(), R.color.picture_color_half_grey));
                }
                PictureParameterStyle pictureParameterStyle2 = PictureSelectionConfig.style;
                int i20 = pictureParameterStyle2.pictureCompleteTextColor;
                if (i20 != 0) {
                    this.mTvPictureRight.setTextColor(i20);
                } else {
                    int i21 = pictureParameterStyle2.pictureCancelTextColor;
                    if (i21 != 0) {
                        this.mTvPictureRight.setTextColor(i21);
                    } else {
                        this.mTvPictureRight.setTextColor(a.b(getContext(), R.color.picture_color_white));
                    }
                }
                if (PictureSelectionConfig.style.pictureOriginalFontColor == 0) {
                    this.mCbOriginal.setTextColor(a.b(this, R.color.picture_color_white));
                }
                int i22 = PictureSelectionConfig.style.pictureWeChatChooseStyle;
                if (i22 != 0) {
                    this.check.setBackgroundResource(i22);
                } else {
                    this.check.setBackgroundResource(R.drawable.picture_wechat_select_cb);
                }
                if (this.config.isOriginalControl && PictureSelectionConfig.style.pictureOriginalControlStyle == 0) {
                    CheckBox checkBox = this.mCbOriginal;
                    int i23 = R.drawable.picture_original_wechat_checkbox;
                    Object obj = a.f3266a;
                    checkBox.setButtonDrawable(getDrawable(i23));
                }
                int i24 = PictureSelectionConfig.style.pictureWeChatLeftBackStyle;
                if (i24 != 0) {
                    this.pictureLeftBack.setImageResource(i24);
                } else {
                    this.pictureLeftBack.setImageResource(R.drawable.picture_icon_back);
                }
                if (!TextUtils.isEmpty(PictureSelectionConfig.style.pictureUnCompleteText)) {
                    this.mTvPictureRight.setText(PictureSelectionConfig.style.pictureUnCompleteText);
                }
            } else {
                this.mTvPictureRight.setBackgroundResource(R.drawable.picture_send_button_bg);
                TextView textView = this.mTvPictureRight;
                Context context = getContext();
                int i25 = R.color.picture_color_white;
                textView.setTextColor(a.b(context, i25));
                this.selectBarLayout.setBackgroundColor(a.b(getContext(), R.color.picture_color_half_grey));
                this.check.setBackgroundResource(R.drawable.picture_wechat_select_cb);
                this.pictureLeftBack.setImageResource(R.drawable.picture_icon_back);
                this.mCbOriginal.setTextColor(a.b(this, i25));
                if (this.config.isOriginalControl) {
                    this.mCbOriginal.setButtonDrawable(getDrawable(R.drawable.picture_original_wechat_checkbox));
                }
            }
        }
        onSelectNumChange(false);
    }

    @Override // com.luck.picture.lib.PictureBaseActivity, com.luck.picture.lib.PicturePreviewActivity
    public void initWidgets() {
        boolean z;
        super.initWidgets();
        goneParent();
        this.mRvGallery = (RecyclerView) findViewById(R.id.rv_gallery);
        this.bottomLine = findViewById(R.id.bottomLine);
        this.mTvPictureRight.setVisibility(0);
        this.mTvPictureRight.setText(getString(R.string.picture_send));
        this.mCbOriginal.setTextSize(16.0f);
        this.mTvSelected = (TextView) findViewById(R.id.tv_selected);
        this.mTvPictureRight.setOnClickListener(this);
        this.mGalleryAdapter = new PictureWeChatPreviewGalleryAdapter(this.config);
        WrapContentLinearLayoutManager wrapContentLinearLayoutManager = new WrapContentLinearLayoutManager(getContext());
        wrapContentLinearLayoutManager.setOrientation(0);
        this.mRvGallery.setLayoutManager(wrapContentLinearLayoutManager);
        this.mRvGallery.addItemDecoration(new GridSpacingItemDecoration(SubsamplingScaleImageView.TILE_SIZE_AUTO, ScreenUtils.dip2px(this, 8.0f), false));
        this.mRvGallery.setAdapter(this.mGalleryAdapter);
        this.mGalleryAdapter.setItemClickListener(new b0(this));
        if (!this.isBottomPreview) {
            int size = this.selectData.size();
            for (int i2 = 0; i2 < size; i2++) {
                LocalMedia localMedia = this.selectData.get(i2);
                if (isEqualsDirectory(localMedia.getParentFolderName(), this.currentDirectory)) {
                    if (this.isShowCamera) {
                        z = false;
                        localMedia.setChecked(z);
                    } else {
                        z = false;
                        localMedia.setChecked(z);
                    }
                    z = true;
                    localMedia.setChecked(z);
                }
            }
        } else if (this.selectData.size() > this.position) {
            int size2 = this.selectData.size();
            for (int i3 = 0; i3 < size2; i3++) {
                this.selectData.get(i3).setChecked(false);
            }
            this.selectData.get(this.position).setChecked(true);
        }
    }

    @Override // com.luck.picture.lib.PicturePreviewActivity
    public void onClick(View view) {
        super.onClick(view);
        if (view.getId() == R.id.picture_right) {
            boolean z = true;
            if (this.selectData.size() != 0) {
                this.mTvPictureOk.performClick();
                return;
            }
            this.btnCheck.performClick();
            if (this.selectData.size() == 0) {
                z = false;
            }
            if (z) {
                this.mTvPictureOk.performClick();
            }
        }
    }

    @Override // com.luck.picture.lib.PicturePreviewActivity
    public void onPageSelectedChange(LocalMedia localMedia) {
        super.onPageSelectedChange(localMedia);
        goneParent();
        if (!this.config.previewEggs) {
            onChangeMediaStatus(localMedia);
        }
    }

    @Override // com.luck.picture.lib.PicturePreviewActivity
    public void onSelectNumChange(boolean z) {
        goneParent();
        if (this.selectData.size() != 0) {
            initCompleteText(this.selectData.size());
            if (this.mRvGallery.getVisibility() == 8) {
                this.mRvGallery.animate().alpha(1.0f).setDuration(300).setInterpolator(new AccelerateInterpolator());
                this.mRvGallery.setVisibility(0);
                this.bottomLine.animate().alpha(1.0f).setDuration(300).setInterpolator(new AccelerateInterpolator());
                this.bottomLine.setVisibility(0);
                this.mGalleryAdapter.setNewData(this.selectData);
            }
            PictureParameterStyle pictureParameterStyle = PictureSelectionConfig.style;
            if (pictureParameterStyle != null) {
                int i2 = pictureParameterStyle.pictureCompleteTextColor;
                if (i2 != 0) {
                    this.mTvPictureRight.setTextColor(i2);
                }
                int i3 = PictureSelectionConfig.style.pictureCompleteBackgroundStyle;
                if (i3 != 0) {
                    this.mTvPictureRight.setBackgroundResource(i3);
                    return;
                }
                return;
            }
            this.mTvPictureRight.setTextColor(a.b(getContext(), R.color.picture_color_white));
            this.mTvPictureRight.setBackgroundResource(R.drawable.picture_send_button_bg);
            return;
        }
        PictureParameterStyle pictureParameterStyle2 = PictureSelectionConfig.style;
        if (pictureParameterStyle2 == null || TextUtils.isEmpty(pictureParameterStyle2.pictureUnCompleteText)) {
            this.mTvPictureRight.setText(getString(R.string.picture_send));
        } else {
            this.mTvPictureRight.setText(PictureSelectionConfig.style.pictureUnCompleteText);
        }
        this.mRvGallery.animate().alpha(0.0f).setDuration(300).setInterpolator(new AccelerateInterpolator());
        this.mRvGallery.setVisibility(8);
        this.bottomLine.animate().alpha(0.0f).setDuration(300).setInterpolator(new AccelerateInterpolator());
        this.bottomLine.setVisibility(8);
    }

    @Override // com.luck.picture.lib.PicturePreviewActivity
    public void onSelectedChange(boolean z, LocalMedia localMedia) {
        if (z) {
            localMedia.setChecked(true);
            if (this.config.selectionMode == 1) {
                this.mGalleryAdapter.addSingleMediaToData(localMedia);
            }
        } else {
            localMedia.setChecked(false);
            this.mGalleryAdapter.removeMediaToData(localMedia);
            if (this.isBottomPreview) {
                int size = this.selectData.size();
                int i2 = this.position;
                if (size > i2) {
                    this.selectData.get(i2).setChecked(true);
                }
                if (this.mGalleryAdapter.isDataEmpty()) {
                    onActivityBackPressed();
                } else {
                    int currentItem = this.viewPager.getCurrentItem();
                    this.adapter.remove(currentItem);
                    this.adapter.removeCacheView(currentItem);
                    this.position = currentItem;
                    this.tvTitle.setText(getString(R.string.picture_preview_image_num, new Object[]{Integer.valueOf(currentItem + 1), Integer.valueOf(this.adapter.getSize())}));
                    this.check.setSelected(true);
                    this.adapter.notifyDataSetChanged();
                }
            }
        }
        int itemCount = this.mGalleryAdapter.getItemCount();
        if (itemCount > 5) {
            this.mRvGallery.smoothScrollToPosition(itemCount - 1);
        }
    }

    @Override // com.luck.picture.lib.PicturePreviewActivity
    public void onUpdateSelectedChange(LocalMedia localMedia) {
        onChangeMediaStatus(localMedia);
    }
}
