package com.luck.picture.lib;

import android.content.Context;
import android.content.res.ColorStateList;
import android.text.TextUtils;
import android.view.View;
import android.widget.CheckBox;
import android.widget.RelativeLayout;
import android.widget.TextView;
import b.j.b.a;
import com.luck.picture.lib.config.PictureMimeType;
import com.luck.picture.lib.config.PictureSelectionConfig;
import com.luck.picture.lib.entity.LocalMedia;
import com.luck.picture.lib.style.PictureParameterStyle;
import com.luck.picture.lib.style.PictureSelectorUIStyle;
import com.luck.picture.lib.tools.AttrsUtils;
import com.luck.picture.lib.widget.FolderPopWindow;
import java.util.List;

public class PictureSelectorWeChatStyleActivity extends PictureSelectorActivity {
    private RelativeLayout rlAlbum;

    private void goneParentView() {
        this.mTvPictureImgNum.setVisibility(8);
        this.mTvPictureOk.setVisibility(8);
    }

    @Override // com.luck.picture.lib.PictureSelectorActivity
    public void changeImageNumber(List<LocalMedia> list) {
        int size = list.size();
        if (size != 0) {
            this.mTvPictureRight.setEnabled(true);
            this.mTvPictureRight.setSelected(true);
            this.mTvPicturePreview.setEnabled(true);
            this.mTvPicturePreview.setSelected(true);
            initCompleteText(list);
            PictureSelectorUIStyle pictureSelectorUIStyle = PictureSelectionConfig.uiStyle;
            if (pictureSelectorUIStyle != null) {
                int i2 = pictureSelectorUIStyle.picture_top_titleRightTextNormalBackground;
                if (i2 != 0) {
                    this.mTvPictureRight.setBackgroundResource(i2);
                } else {
                    this.mTvPictureRight.setBackgroundResource(R.drawable.picture_send_button_bg);
                }
                int[] iArr = PictureSelectionConfig.uiStyle.picture_bottom_previewTextColor;
                if (iArr.length > 0) {
                    ColorStateList colorStateList = AttrsUtils.getColorStateList(iArr);
                    if (colorStateList != null) {
                        this.mTvPicturePreview.setTextColor(colorStateList);
                    }
                } else {
                    this.mTvPicturePreview.setTextColor(a.b(getContext(), R.color.picture_color_white));
                }
                PictureSelectorUIStyle pictureSelectorUIStyle2 = PictureSelectionConfig.uiStyle;
                int i3 = pictureSelectorUIStyle2.picture_bottom_previewNormalText;
                if (i3 == 0) {
                    this.mTvPicturePreview.setText(getString(R.string.picture_preview_num, new Object[]{Integer.valueOf(size)}));
                } else if (pictureSelectorUIStyle2.isCompleteReplaceNum) {
                    this.mTvPicturePreview.setText(String.format(getString(i3), Integer.valueOf(size)));
                } else {
                    this.mTvPicturePreview.setText(i3);
                }
            } else {
                PictureParameterStyle pictureParameterStyle = PictureSelectionConfig.style;
                if (pictureParameterStyle != null) {
                    int i4 = pictureParameterStyle.pictureCompleteBackgroundStyle;
                    if (i4 != 0) {
                        this.mTvPictureRight.setBackgroundResource(i4);
                    } else {
                        this.mTvPictureRight.setBackgroundResource(R.drawable.picture_send_button_bg);
                    }
                    int i5 = PictureSelectionConfig.style.pictureCompleteTextColor;
                    if (i5 != 0) {
                        this.mTvPictureRight.setTextColor(i5);
                    } else {
                        this.mTvPictureRight.setTextColor(a.b(getContext(), R.color.picture_color_white));
                    }
                    int i6 = PictureSelectionConfig.style.picturePreviewTextColor;
                    if (i6 != 0) {
                        this.mTvPicturePreview.setTextColor(i6);
                    } else {
                        this.mTvPicturePreview.setTextColor(a.b(getContext(), R.color.picture_color_white));
                    }
                    if (!TextUtils.isEmpty(PictureSelectionConfig.style.picturePreviewText)) {
                        this.mTvPicturePreview.setText(PictureSelectionConfig.style.picturePreviewText);
                    } else {
                        this.mTvPicturePreview.setText(getString(R.string.picture_preview_num, new Object[]{Integer.valueOf(size)}));
                    }
                } else {
                    this.mTvPictureRight.setBackgroundResource(R.drawable.picture_send_button_bg);
                    TextView textView = this.mTvPictureRight;
                    Context context = getContext();
                    int i7 = R.color.picture_color_white;
                    textView.setTextColor(a.b(context, i7));
                    this.mTvPicturePreview.setTextColor(a.b(getContext(), i7));
                    this.mTvPicturePreview.setText(getString(R.string.picture_preview_num, new Object[]{Integer.valueOf(size)}));
                }
            }
        } else {
            this.mTvPictureRight.setEnabled(false);
            this.mTvPictureRight.setSelected(false);
            this.mTvPicturePreview.setEnabled(false);
            this.mTvPicturePreview.setSelected(false);
            PictureSelectorUIStyle pictureSelectorUIStyle3 = PictureSelectionConfig.uiStyle;
            if (pictureSelectorUIStyle3 != null) {
                int i8 = pictureSelectorUIStyle3.picture_top_titleRightTextDefaultBackground;
                if (i8 != 0) {
                    this.mTvPictureRight.setBackgroundResource(i8);
                } else {
                    this.mTvPictureRight.setBackgroundResource(R.drawable.picture_send_button_default_bg);
                }
                int i9 = PictureSelectionConfig.uiStyle.picture_top_titleRightDefaultText;
                if (i9 != 0) {
                    this.mTvPictureRight.setText(getString(i9));
                } else {
                    this.mTvPictureRight.setText(getString(R.string.picture_send));
                }
                int i10 = PictureSelectionConfig.uiStyle.picture_bottom_previewDefaultText;
                if (i10 != 0) {
                    this.mTvPicturePreview.setText(getString(i10));
                } else {
                    this.mTvPicturePreview.setText(getString(R.string.picture_preview));
                }
            } else {
                PictureParameterStyle pictureParameterStyle2 = PictureSelectionConfig.style;
                if (pictureParameterStyle2 != null) {
                    int i11 = pictureParameterStyle2.pictureUnCompleteBackgroundStyle;
                    if (i11 != 0) {
                        this.mTvPictureRight.setBackgroundResource(i11);
                    } else {
                        this.mTvPictureRight.setBackgroundResource(R.drawable.picture_send_button_default_bg);
                    }
                    int i12 = PictureSelectionConfig.style.pictureUnCompleteTextColor;
                    if (i12 != 0) {
                        this.mTvPictureRight.setTextColor(i12);
                    } else {
                        this.mTvPictureRight.setTextColor(a.b(getContext(), R.color.picture_color_53575e));
                    }
                    int i13 = PictureSelectionConfig.style.pictureUnPreviewTextColor;
                    if (i13 != 0) {
                        this.mTvPicturePreview.setTextColor(i13);
                    } else {
                        this.mTvPicturePreview.setTextColor(a.b(getContext(), R.color.picture_color_9b));
                    }
                    if (!TextUtils.isEmpty(PictureSelectionConfig.style.pictureUnCompleteText)) {
                        this.mTvPictureRight.setText(PictureSelectionConfig.style.pictureUnCompleteText);
                    } else {
                        this.mTvPictureRight.setText(getString(R.string.picture_send));
                    }
                    if (!TextUtils.isEmpty(PictureSelectionConfig.style.pictureUnPreviewText)) {
                        this.mTvPicturePreview.setText(PictureSelectionConfig.style.pictureUnPreviewText);
                    } else {
                        this.mTvPicturePreview.setText(getString(R.string.picture_preview));
                    }
                } else {
                    this.mTvPictureRight.setBackgroundResource(R.drawable.picture_send_button_default_bg);
                    this.mTvPictureRight.setTextColor(a.b(getContext(), R.color.picture_color_53575e));
                    this.mTvPicturePreview.setTextColor(a.b(getContext(), R.color.picture_color_9b));
                    this.mTvPicturePreview.setText(getString(R.string.picture_preview));
                    this.mTvPictureRight.setText(getString(R.string.picture_send));
                }
            }
        }
    }

    @Override // com.luck.picture.lib.PictureBaseActivity, com.luck.picture.lib.PictureSelectorActivity
    public int getResourceId() {
        return R.layout.picture_wechat_style_selector;
    }

    @Override // com.luck.picture.lib.PictureBaseActivity
    public void initCompleteText(List<LocalMedia> list) {
        int i2;
        String str;
        String str2;
        String str3;
        String str4;
        String str5;
        int size = list.size();
        PictureParameterStyle pictureParameterStyle = PictureSelectionConfig.style;
        boolean z = pictureParameterStyle != null;
        PictureSelectionConfig pictureSelectionConfig = this.config;
        if (!pictureSelectionConfig.isWithVideoImage) {
            if (!PictureMimeType.isHasVideo(list.get(0).getMimeType()) || (i2 = this.config.maxVideoSelectNum) <= 0) {
                i2 = this.config.maxSelectNum;
            }
            if (this.config.selectionMode == 1) {
                if (!(z && PictureSelectionConfig.style.isCompleteReplaceNum) || TextUtils.isEmpty(PictureSelectionConfig.style.pictureCompleteText)) {
                    TextView textView = this.mTvPictureRight;
                    if (!z || TextUtils.isEmpty(PictureSelectionConfig.style.pictureCompleteText)) {
                        str2 = getString(R.string.picture_send);
                    } else {
                        str2 = PictureSelectionConfig.style.pictureCompleteText;
                    }
                    textView.setText(str2);
                    return;
                }
                this.mTvPictureRight.setText(String.format(PictureSelectionConfig.style.pictureCompleteText, Integer.valueOf(size), 1));
                return;
            }
            if (!(z && PictureSelectionConfig.style.isCompleteReplaceNum) || TextUtils.isEmpty(PictureSelectionConfig.style.pictureCompleteText)) {
                TextView textView2 = this.mTvPictureRight;
                if (!z || TextUtils.isEmpty(PictureSelectionConfig.style.pictureUnCompleteText)) {
                    str = getString(R.string.picture_send_num, new Object[]{Integer.valueOf(size), Integer.valueOf(i2)});
                } else {
                    str = PictureSelectionConfig.style.pictureUnCompleteText;
                }
                textView2.setText(str);
                return;
            }
            this.mTvPictureRight.setText(String.format(PictureSelectionConfig.style.pictureCompleteText, Integer.valueOf(size), Integer.valueOf(i2)));
        } else if (pictureSelectionConfig.selectionMode != 1) {
            if (!(z && pictureParameterStyle.isCompleteReplaceNum) || TextUtils.isEmpty(pictureParameterStyle.pictureCompleteText)) {
                TextView textView3 = this.mTvPictureRight;
                if (!z || TextUtils.isEmpty(PictureSelectionConfig.style.pictureUnCompleteText)) {
                    str3 = getString(R.string.picture_send_num, new Object[]{Integer.valueOf(size), Integer.valueOf(this.config.maxSelectNum)});
                } else {
                    str3 = PictureSelectionConfig.style.pictureUnCompleteText;
                }
                textView3.setText(str3);
                return;
            }
            this.mTvPictureRight.setText(String.format(PictureSelectionConfig.style.pictureCompleteText, Integer.valueOf(size), Integer.valueOf(this.config.maxSelectNum)));
        } else if (size <= 0) {
            TextView textView4 = this.mTvPictureRight;
            if (!z || TextUtils.isEmpty(pictureParameterStyle.pictureUnCompleteText)) {
                str5 = getString(R.string.picture_send);
            } else {
                str5 = PictureSelectionConfig.style.pictureUnCompleteText;
            }
            textView4.setText(str5);
        } else {
            if (!(z && pictureParameterStyle.isCompleteReplaceNum) || TextUtils.isEmpty(pictureParameterStyle.pictureCompleteText)) {
                TextView textView5 = this.mTvPictureRight;
                if (!z || TextUtils.isEmpty(PictureSelectionConfig.style.pictureCompleteText)) {
                    str4 = getString(R.string.picture_send);
                } else {
                    str4 = PictureSelectionConfig.style.pictureCompleteText;
                }
                textView5.setText(str4);
                return;
            }
            this.mTvPictureRight.setText(String.format(PictureSelectionConfig.style.pictureCompleteText, Integer.valueOf(size), 1));
        }
    }

    @Override // com.luck.picture.lib.PictureBaseActivity, com.luck.picture.lib.PictureSelectorActivity
    public void initPictureSelectorStyle() {
        PictureSelectorUIStyle pictureSelectorUIStyle = PictureSelectionConfig.uiStyle;
        if (pictureSelectorUIStyle != null) {
            int i2 = pictureSelectorUIStyle.picture_top_titleRightTextDefaultBackground;
            if (i2 != 0) {
                this.mTvPictureRight.setBackgroundResource(i2);
            } else {
                this.mTvPictureRight.setBackgroundResource(R.drawable.picture_send_button_default_bg);
            }
            int i3 = PictureSelectionConfig.uiStyle.picture_bottom_barBackgroundColor;
            if (i3 != 0) {
                this.mBottomLayout.setBackgroundColor(i3);
            } else {
                this.mBottomLayout.setBackgroundColor(a.b(getContext(), R.color.picture_color_grey));
            }
            int[] iArr = PictureSelectionConfig.uiStyle.picture_top_titleRightTextColor;
            if (iArr.length > 0) {
                ColorStateList colorStateList = AttrsUtils.getColorStateList(iArr);
                if (colorStateList != null) {
                    this.mTvPictureRight.setTextColor(colorStateList);
                }
            } else {
                this.mTvPictureRight.setTextColor(a.b(getContext(), R.color.picture_color_53575e));
            }
            int i4 = PictureSelectionConfig.uiStyle.picture_top_titleRightTextSize;
            if (i4 != 0) {
                this.mTvPictureRight.setTextSize((float) i4);
            }
            if (this.config.isOriginalControl) {
                int i5 = PictureSelectionConfig.uiStyle.picture_bottom_originalPictureCheckStyle;
                if (i5 != 0) {
                    this.mCbOriginal.setButtonDrawable(i5);
                }
                int i6 = PictureSelectionConfig.uiStyle.picture_bottom_originalPictureTextColor;
                if (i6 != 0) {
                    this.mCbOriginal.setTextColor(i6);
                }
                int i7 = PictureSelectionConfig.uiStyle.picture_bottom_originalPictureTextSize;
                if (i7 != 0) {
                    this.mCbOriginal.setTextSize((float) i7);
                }
            }
            int i8 = PictureSelectionConfig.uiStyle.picture_container_backgroundColor;
            if (i8 != 0) {
                this.container.setBackgroundColor(i8);
            }
            int i9 = PictureSelectionConfig.uiStyle.picture_top_titleAlbumBackground;
            if (i9 != 0) {
                this.rlAlbum.setBackgroundResource(i9);
            } else {
                this.rlAlbum.setBackgroundResource(R.drawable.picture_album_bg);
            }
            int i10 = PictureSelectionConfig.uiStyle.picture_top_titleRightDefaultText;
            if (i10 != 0) {
                this.mTvPictureRight.setText(getString(i10));
            }
        } else {
            PictureParameterStyle pictureParameterStyle = PictureSelectionConfig.style;
            if (pictureParameterStyle != null) {
                int i11 = pictureParameterStyle.pictureUnCompleteBackgroundStyle;
                if (i11 != 0) {
                    this.mTvPictureRight.setBackgroundResource(i11);
                } else {
                    this.mTvPictureRight.setBackgroundResource(R.drawable.picture_send_button_default_bg);
                }
                int i12 = PictureSelectionConfig.style.pictureBottomBgColor;
                if (i12 != 0) {
                    this.mBottomLayout.setBackgroundColor(i12);
                } else {
                    this.mBottomLayout.setBackgroundColor(a.b(getContext(), R.color.picture_color_grey));
                }
                PictureParameterStyle pictureParameterStyle2 = PictureSelectionConfig.style;
                int i13 = pictureParameterStyle2.pictureUnCompleteTextColor;
                if (i13 != 0) {
                    this.mTvPictureRight.setTextColor(i13);
                } else {
                    int i14 = pictureParameterStyle2.pictureCancelTextColor;
                    if (i14 != 0) {
                        this.mTvPictureRight.setTextColor(i14);
                    } else {
                        this.mTvPictureRight.setTextColor(a.b(getContext(), R.color.picture_color_53575e));
                    }
                }
                int i15 = PictureSelectionConfig.style.pictureRightTextSize;
                if (i15 != 0) {
                    this.mTvPictureRight.setTextSize((float) i15);
                }
                if (PictureSelectionConfig.style.pictureOriginalFontColor == 0) {
                    this.mCbOriginal.setTextColor(a.b(this, R.color.picture_color_white));
                }
                if (this.config.isOriginalControl && PictureSelectionConfig.style.pictureOriginalControlStyle == 0) {
                    CheckBox checkBox = this.mCbOriginal;
                    int i16 = R.drawable.picture_original_wechat_checkbox;
                    Object obj = a.f3266a;
                    checkBox.setButtonDrawable(getDrawable(i16));
                }
                int i17 = PictureSelectionConfig.style.pictureContainerBackgroundColor;
                if (i17 != 0) {
                    this.container.setBackgroundColor(i17);
                }
                int i18 = PictureSelectionConfig.style.pictureWeChatTitleBackgroundStyle;
                if (i18 != 0) {
                    this.rlAlbum.setBackgroundResource(i18);
                } else {
                    this.rlAlbum.setBackgroundResource(R.drawable.picture_album_bg);
                }
                if (!TextUtils.isEmpty(PictureSelectionConfig.style.pictureUnCompleteText)) {
                    this.mTvPictureRight.setText(PictureSelectionConfig.style.pictureUnCompleteText);
                }
            } else {
                this.mTvPictureRight.setBackgroundResource(R.drawable.picture_send_button_default_bg);
                this.rlAlbum.setBackgroundResource(R.drawable.picture_album_bg);
                this.mTvPictureRight.setTextColor(a.b(getContext(), R.color.picture_color_53575e));
                int typeValueColor = AttrsUtils.getTypeValueColor(getContext(), R.attr.picture_bottom_bg);
                RelativeLayout relativeLayout = this.mBottomLayout;
                if (typeValueColor == 0) {
                    typeValueColor = a.b(getContext(), R.color.picture_color_grey);
                }
                relativeLayout.setBackgroundColor(typeValueColor);
                this.mCbOriginal.setTextColor(a.b(this, R.color.picture_color_white));
                this.mIvArrow.setImageDrawable(getDrawable(R.drawable.picture_icon_wechat_down));
                if (this.config.isOriginalControl) {
                    this.mCbOriginal.setButtonDrawable(getDrawable(R.drawable.picture_original_wechat_checkbox));
                }
            }
        }
        super.initPictureSelectorStyle();
        goneParentView();
    }

    @Override // com.luck.picture.lib.PictureBaseActivity, com.luck.picture.lib.PictureSelectorActivity
    public void initWidgets() {
        super.initWidgets();
        this.rlAlbum = (RelativeLayout) findViewById(R.id.rlAlbum);
        this.mTvPictureRight.setOnClickListener(this);
        this.mTvPictureRight.setText(getString(R.string.picture_send));
        this.mTvPicturePreview.setTextSize(16.0f);
        this.mCbOriginal.setTextSize(16.0f);
        PictureSelectionConfig pictureSelectionConfig = this.config;
        int i2 = 0;
        boolean z = pictureSelectionConfig.selectionMode == 1 && pictureSelectionConfig.isSingleDirectReturn;
        TextView textView = this.mTvPictureRight;
        if (z) {
            i2 = 8;
        }
        textView.setVisibility(i2);
        this.mTvPictureRight.setOnClickListener(this);
        if (this.rlAlbum.getLayoutParams() instanceof RelativeLayout.LayoutParams) {
            RelativeLayout.LayoutParams layoutParams = (RelativeLayout.LayoutParams) this.rlAlbum.getLayoutParams();
            if (z) {
                layoutParams.addRule(14);
            } else {
                layoutParams.addRule(1, R.id.pictureLeftBack);
            }
        }
    }

    @Override // com.luck.picture.lib.PictureSelectorActivity
    public void onChangeData(List<LocalMedia> list) {
        super.onChangeData(list);
        initCompleteText(list);
    }

    @Override // com.luck.picture.lib.PictureSelectorActivity
    public void onClick(View view) {
        if (view.getId() == R.id.picture_right) {
            FolderPopWindow folderPopWindow = this.folderWindow;
            if (folderPopWindow == null || !folderPopWindow.isShowing()) {
                this.mTvPictureOk.performClick();
            } else {
                this.folderWindow.dismiss();
            }
        } else {
            super.onClick(view);
        }
    }
}
