package com.luck.picture.lib.adapter;

import android.annotation.SuppressLint;
import android.content.Context;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.AnimationUtils;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.core.graphics.BlendModeCompat;
import androidx.recyclerview.widget.RecyclerView;
import b.j.b.a;
import com.luck.picture.lib.R;
import com.luck.picture.lib.config.PictureMimeType;
import com.luck.picture.lib.config.PictureSelectionConfig;
import com.luck.picture.lib.dialog.PictureCustomDialog;
import com.luck.picture.lib.engine.ImageEngine;
import com.luck.picture.lib.entity.LocalMedia;
import com.luck.picture.lib.entity.MediaExtraInfo;
import com.luck.picture.lib.listener.OnPhotoSelectChangedListener;
import com.luck.picture.lib.style.PictureParameterStyle;
import com.luck.picture.lib.style.PictureSelectorUIStyle;
import com.luck.picture.lib.tools.AnimUtils;
import com.luck.picture.lib.tools.AttrsUtils;
import com.luck.picture.lib.tools.DateUtils;
import com.luck.picture.lib.tools.MediaUtils;
import com.luck.picture.lib.tools.StringUtils;
import com.luck.picture.lib.tools.ToastUtils;
import com.luck.picture.lib.tools.ValueOf;
import com.luck.picture.lib.tools.VoiceUtils;
import d.k.a.a.d0.b;
import d.k.a.a.d0.c;
import d.k.a.a.d0.d;
import d.k.a.a.d0.e;
import java.io.File;
import java.util.ArrayList;
import java.util.List;

public class PictureImageGridAdapter extends RecyclerView.Adapter<RecyclerView.ViewHolder> {
    private final PictureSelectionConfig config;
    private final Context context;
    private List<LocalMedia> data = new ArrayList();
    private OnPhotoSelectChangedListener<LocalMedia> imageSelectChangedListener;
    private List<LocalMedia> selectData = new ArrayList();
    private boolean showCamera;

    public class CameraViewHolder extends RecyclerView.ViewHolder {
        public TextView tvCamera;

        public CameraViewHolder(View view) {
            super(view);
            String str;
            String str2;
            TextView textView = (TextView) view.findViewById(R.id.tvCamera);
            this.tvCamera = textView;
            PictureSelectorUIStyle pictureSelectorUIStyle = PictureSelectionConfig.uiStyle;
            if (pictureSelectorUIStyle != null) {
                int i2 = pictureSelectorUIStyle.picture_adapter_item_camera_backgroundColor;
                if (i2 != 0) {
                    view.setBackgroundColor(i2);
                }
                int i3 = PictureSelectionConfig.uiStyle.picture_adapter_item_camera_textSize;
                if (i3 != 0) {
                    this.tvCamera.setTextSize((float) i3);
                }
                int i4 = PictureSelectionConfig.uiStyle.picture_adapter_item_camera_textColor;
                if (i4 != 0) {
                    this.tvCamera.setTextColor(i4);
                }
                if (PictureSelectionConfig.uiStyle.picture_adapter_item_camera_text != 0) {
                    this.tvCamera.setText(view.getContext().getString(PictureSelectionConfig.uiStyle.picture_adapter_item_camera_text));
                } else {
                    TextView textView2 = this.tvCamera;
                    if (PictureImageGridAdapter.this.config.chooseMode == PictureMimeType.ofAudio()) {
                        str2 = PictureImageGridAdapter.this.context.getString(R.string.picture_tape);
                    } else {
                        str2 = PictureImageGridAdapter.this.context.getString(R.string.picture_take_picture);
                    }
                    textView2.setText(str2);
                }
                int i5 = PictureSelectionConfig.uiStyle.picture_adapter_item_camera_textTopDrawable;
                if (i5 != 0) {
                    this.tvCamera.setCompoundDrawablesWithIntrinsicBounds(0, i5, 0, 0);
                    return;
                }
                return;
            }
            if (PictureImageGridAdapter.this.config.chooseMode == PictureMimeType.ofAudio()) {
                str = PictureImageGridAdapter.this.context.getString(R.string.picture_tape);
            } else {
                str = PictureImageGridAdapter.this.context.getString(R.string.picture_take_picture);
            }
            textView.setText(str);
        }
    }

    public static class ViewHolder extends RecyclerView.ViewHolder {
        public View btnCheck;
        public View contentView;
        public ImageView ivPicture;
        public TextView tvCheck;
        public TextView tvDuration;
        public TextView tvIsGif;
        public TextView tvLongChart;

        public ViewHolder(View view) {
            super(view);
            this.contentView = view;
            this.ivPicture = (ImageView) view.findViewById(R.id.ivPicture);
            this.tvCheck = (TextView) view.findViewById(R.id.tvCheck);
            this.btnCheck = view.findViewById(R.id.btnCheck);
            this.tvDuration = (TextView) view.findViewById(R.id.tv_duration);
            this.tvIsGif = (TextView) view.findViewById(R.id.tv_isGif);
            this.tvLongChart = (TextView) view.findViewById(R.id.tv_long_chart);
            PictureSelectorUIStyle pictureSelectorUIStyle = PictureSelectionConfig.uiStyle;
            if (pictureSelectorUIStyle != null) {
                int i2 = pictureSelectorUIStyle.picture_check_style;
                if (i2 != 0) {
                    this.tvCheck.setBackgroundResource(i2);
                }
                int i3 = PictureSelectionConfig.uiStyle.picture_check_textSize;
                if (i3 != 0) {
                    this.tvCheck.setTextSize((float) i3);
                }
                int i4 = PictureSelectionConfig.uiStyle.picture_check_textColor;
                if (i4 != 0) {
                    this.tvCheck.setTextColor(i4);
                }
                int i5 = PictureSelectionConfig.uiStyle.picture_adapter_item_textSize;
                if (i5 > 0) {
                    this.tvDuration.setTextSize((float) i5);
                }
                int i6 = PictureSelectionConfig.uiStyle.picture_adapter_item_textColor;
                if (i6 != 0) {
                    this.tvDuration.setTextColor(i6);
                }
                if (PictureSelectionConfig.uiStyle.picture_adapter_item_tag_text != 0) {
                    this.tvIsGif.setText(view.getContext().getString(PictureSelectionConfig.uiStyle.picture_adapter_item_tag_text));
                }
                if (PictureSelectionConfig.uiStyle.picture_adapter_item_gif_tag_show) {
                    this.tvIsGif.setVisibility(0);
                } else {
                    this.tvIsGif.setVisibility(8);
                }
                int i7 = PictureSelectionConfig.uiStyle.picture_adapter_item_gif_tag_background;
                if (i7 != 0) {
                    this.tvIsGif.setBackgroundResource(i7);
                }
                int i8 = PictureSelectionConfig.uiStyle.picture_adapter_item_gif_tag_textColor;
                if (i8 != 0) {
                    this.tvIsGif.setTextColor(i8);
                }
                int i9 = PictureSelectionConfig.uiStyle.picture_adapter_item_gif_tag_textSize;
                if (i9 != 0) {
                    this.tvIsGif.setTextSize((float) i9);
                    return;
                }
                return;
            }
            PictureParameterStyle pictureParameterStyle = PictureSelectionConfig.style;
            if (pictureParameterStyle != null) {
                int i10 = pictureParameterStyle.pictureCheckedStyle;
                if (i10 != 0) {
                    this.tvCheck.setBackgroundResource(i10);
                    return;
                }
                return;
            }
            this.tvCheck.setBackground(AttrsUtils.getTypeValueDrawable(view.getContext(), R.attr.picture_checked_style, R.drawable.picture_checkbox_selector));
        }
    }

    public PictureImageGridAdapter(Context context2, PictureSelectionConfig pictureSelectionConfig) {
        this.context = context2;
        this.config = pictureSelectionConfig;
        this.showCamera = pictureSelectionConfig.isCamera;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:135:0x02fd, code lost:
        if (getSelectedSize() == (r11.config.maxSelectNum - 1)) goto L_0x0357;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:142:0x030f, code lost:
        if (getSelectedSize() == 0) goto L_0x0357;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:153:0x033a, code lost:
        if (getSelectedSize() == (r11.config.maxVideoSelectNum - 1)) goto L_0x0357;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:160:0x0355, code lost:
        if (getSelectedSize() == (r11.config.maxSelectNum - 1)) goto L_0x0357;
     */
    @SuppressLint({"StringFormatMatches"})
    private void changeCheckboxState(ViewHolder viewHolder, LocalMedia localMedia) {
        LocalMedia localMedia2;
        PictureSelectionConfig pictureSelectionConfig;
        int i2;
        boolean isSelected = viewHolder.tvCheck.isSelected();
        int size = this.selectData.size();
        boolean z = false;
        String mimeType = size > 0 ? this.selectData.get(0).getMimeType() : "";
        if (this.config.isWithVideoImage) {
            int i3 = 0;
            for (int i4 = 0; i4 < size; i4++) {
                if (PictureMimeType.isHasVideo(this.selectData.get(i4).getMimeType())) {
                    i3++;
                }
            }
            if (PictureMimeType.isHasVideo(localMedia.getMimeType())) {
                PictureSelectionConfig pictureSelectionConfig2 = this.config;
                int i5 = pictureSelectionConfig2.maxVideoSelectNum;
                if (i5 <= 0) {
                    showPromptDialog(this.context.getString(R.string.picture_rule));
                    return;
                }
                int i6 = pictureSelectionConfig2.maxSelectNum;
                if (size >= i6 && !isSelected) {
                    showPromptDialog(this.context.getString(R.string.picture_message_max_num, Integer.valueOf(i6)));
                    return;
                } else if (i3 < i5 || isSelected) {
                    if (!isSelected && pictureSelectionConfig2.videoMinSecond > 0) {
                        long duration = localMedia.getDuration();
                        int i7 = this.config.videoMinSecond;
                        if (duration < ((long) i7)) {
                            showPromptDialog(this.context.getString(R.string.picture_choose_min_seconds, Integer.valueOf(i7 / 1000)));
                            return;
                        }
                    }
                    if (!isSelected && this.config.videoMaxSecond > 0) {
                        long duration2 = localMedia.getDuration();
                        int i8 = this.config.videoMaxSecond;
                        if (duration2 > ((long) i8)) {
                            showPromptDialog(this.context.getString(R.string.picture_choose_max_seconds, Integer.valueOf(i8 / 1000)));
                            return;
                        }
                    }
                } else {
                    showPromptDialog(StringUtils.getMsg(this.context, localMedia.getMimeType(), this.config.maxVideoSelectNum));
                    return;
                }
            } else {
                int i9 = this.config.maxSelectNum;
                if (size >= i9 && !isSelected) {
                    showPromptDialog(this.context.getString(R.string.picture_message_max_num, Integer.valueOf(i9)));
                    return;
                }
            }
        } else if (!TextUtils.isEmpty(mimeType) && !PictureMimeType.isMimeTypeSame(mimeType, localMedia.getMimeType())) {
            showPromptDialog(this.context.getString(R.string.picture_rule));
            return;
        } else if (!PictureMimeType.isHasVideo(mimeType) || (i2 = (pictureSelectionConfig = this.config).maxVideoSelectNum) <= 0) {
            int i10 = this.config.maxSelectNum;
            if (size >= i10 && !isSelected) {
                showPromptDialog(StringUtils.getMsg(this.context, mimeType, i10));
                return;
            } else if (PictureMimeType.isHasVideo(localMedia.getMimeType())) {
                if (!isSelected && this.config.videoMinSecond > 0) {
                    long duration3 = localMedia.getDuration();
                    int i11 = this.config.videoMinSecond;
                    if (duration3 < ((long) i11)) {
                        showPromptDialog(this.context.getString(R.string.picture_choose_min_seconds, Integer.valueOf(i11 / 1000)));
                        return;
                    }
                }
                if (!isSelected && this.config.videoMaxSecond > 0) {
                    long duration4 = localMedia.getDuration();
                    int i12 = this.config.videoMaxSecond;
                    if (duration4 > ((long) i12)) {
                        showPromptDialog(this.context.getString(R.string.picture_choose_max_seconds, Integer.valueOf(i12 / 1000)));
                        return;
                    }
                }
            }
        } else if (size < i2 || isSelected) {
            if (!isSelected && pictureSelectionConfig.videoMinSecond > 0) {
                long duration5 = localMedia.getDuration();
                int i13 = this.config.videoMinSecond;
                if (duration5 < ((long) i13)) {
                    showPromptDialog(this.context.getString(R.string.picture_choose_min_seconds, Integer.valueOf(i13 / 1000)));
                    return;
                }
            }
            if (!isSelected && this.config.videoMaxSecond > 0) {
                long duration6 = localMedia.getDuration();
                int i14 = this.config.videoMaxSecond;
                if (duration6 > ((long) i14)) {
                    showPromptDialog(this.context.getString(R.string.picture_choose_max_seconds, Integer.valueOf(i14 / 1000)));
                    return;
                }
            }
        } else {
            showPromptDialog(StringUtils.getMsg(this.context, mimeType, i2));
            return;
        }
        if (isSelected) {
            int i15 = 0;
            while (true) {
                if (i15 >= size) {
                    break;
                }
                localMedia2 = this.selectData.get(i15);
                if (localMedia2 == null || TextUtils.isEmpty(localMedia2.getPath()) || (!localMedia2.getPath().equals(localMedia.getPath()) && localMedia2.getId() != localMedia.getId())) {
                    i15++;
                }
            }
            this.selectData.remove(localMedia2);
            subSelectPosition();
            AnimUtils.disZoom(viewHolder.ivPicture, this.config.zoomAnim);
        } else {
            if (this.config.selectionMode == 1) {
                singleRadioMediaImage();
            }
            if (localMedia.getWidth() == 0 || localMedia.getHeight() == 0) {
                if (PictureMimeType.isHasVideo(localMedia.getMimeType())) {
                    MediaExtraInfo videoSize = MediaUtils.getVideoSize(viewHolder.itemView.getContext(), localMedia.getPath());
                    localMedia.setWidth(videoSize.getWidth());
                    localMedia.setHeight(videoSize.getHeight());
                } else if (PictureMimeType.isHasImage(localMedia.getMimeType())) {
                    MediaExtraInfo imageSize = MediaUtils.getImageSize(viewHolder.itemView.getContext(), localMedia.getPath());
                    localMedia.setWidth(imageSize.getWidth());
                    localMedia.setHeight(imageSize.getHeight());
                }
            }
            this.selectData.add(localMedia);
            localMedia.setNum(this.selectData.size());
            VoiceUtils.getInstance().play();
            AnimUtils.zoom(viewHolder.ivPicture, this.config.zoomAnim);
            viewHolder.tvCheck.startAnimation(AnimationUtils.loadAnimation(this.context, R.anim.picture_anim_modal_in));
        }
        PictureSelectionConfig pictureSelectionConfig3 = this.config;
        if (pictureSelectionConfig3.isMaxSelectEnabledMask) {
            if (pictureSelectionConfig3.chooseMode == PictureMimeType.ofAll()) {
                PictureSelectionConfig pictureSelectionConfig4 = this.config;
                if (!pictureSelectionConfig4.isWithVideoImage || pictureSelectionConfig4.maxVideoSelectNum <= 0) {
                    if (!isSelected && getSelectedSize() == 1) {
                        z = true;
                    }
                    if (isSelected) {
                    }
                } else {
                    if (getSelectedSize() >= this.config.maxSelectNum) {
                        z = true;
                    }
                    if (isSelected) {
                    }
                }
            } else if (this.config.chooseMode != PictureMimeType.ofVideo() || this.config.maxVideoSelectNum <= 0) {
                if (!isSelected && getSelectedSize() == this.config.maxSelectNum) {
                    z = true;
                }
                if (isSelected) {
                }
            } else {
                if (!isSelected && getSelectedSize() == this.config.maxVideoSelectNum) {
                    z = true;
                }
                if (isSelected) {
                }
            }
            z = true;
        }
        if (z) {
            notifyDataSetChanged();
        } else {
            notifyItemChanged(viewHolder.getAdapterPosition());
        }
        selectImage(viewHolder, !isSelected);
        OnPhotoSelectChangedListener<LocalMedia> onPhotoSelectChangedListener = this.imageSelectChangedListener;
        if (onPhotoSelectChangedListener != null) {
            onPhotoSelectChangedListener.onChange(this.selectData);
        }
    }

    private void dispatchHandleMask(ViewHolder viewHolder, LocalMedia localMedia) {
        int i2;
        PictureSelectionConfig pictureSelectionConfig = this.config;
        boolean z = true;
        if (!pictureSelectionConfig.isWithVideoImage || pictureSelectionConfig.maxVideoSelectNum <= 0) {
            LocalMedia localMedia2 = this.selectData.size() > 0 ? this.selectData.get(0) : null;
            if (localMedia2 != null) {
                boolean isSelected = viewHolder.tvCheck.isSelected();
                if (this.config.chooseMode == PictureMimeType.ofAll()) {
                    if (PictureMimeType.isHasImage(localMedia2.getMimeType())) {
                        if (!isSelected && !PictureMimeType.isHasImage(localMedia.getMimeType())) {
                            viewHolder.ivPicture.setColorFilter(AppCompatDelegateImpl.e.v(a.b(this.context, PictureMimeType.isHasVideo(localMedia.getMimeType()) ? R.color.picture_color_half_white : R.color.picture_color_20), BlendModeCompat.SRC_ATOP));
                        }
                        localMedia.setMaxSelectEnabledMask(PictureMimeType.isHasVideo(localMedia.getMimeType()));
                    } else if (PictureMimeType.isHasVideo(localMedia2.getMimeType())) {
                        if (!isSelected && !PictureMimeType.isHasVideo(localMedia.getMimeType())) {
                            viewHolder.ivPicture.setColorFilter(AppCompatDelegateImpl.e.v(a.b(this.context, PictureMimeType.isHasImage(localMedia.getMimeType()) ? R.color.picture_color_half_white : R.color.picture_color_20), BlendModeCompat.SRC_ATOP));
                        }
                        localMedia.setMaxSelectEnabledMask(PictureMimeType.isHasImage(localMedia.getMimeType()));
                    }
                } else if (this.config.chooseMode != PictureMimeType.ofVideo() || this.config.maxVideoSelectNum <= 0) {
                    if (!isSelected && getSelectedSize() == this.config.maxSelectNum) {
                        viewHolder.ivPicture.setColorFilter(AppCompatDelegateImpl.e.v(a.b(this.context, R.color.picture_color_half_white), BlendModeCompat.SRC_ATOP));
                    }
                    if (isSelected || getSelectedSize() != this.config.maxSelectNum) {
                        z = false;
                    }
                    localMedia.setMaxSelectEnabledMask(z);
                } else {
                    if (!isSelected && getSelectedSize() == this.config.maxVideoSelectNum) {
                        viewHolder.ivPicture.setColorFilter(AppCompatDelegateImpl.e.v(a.b(this.context, R.color.picture_color_half_white), BlendModeCompat.SRC_ATOP));
                    }
                    if (isSelected || getSelectedSize() != this.config.maxVideoSelectNum) {
                        z = false;
                    }
                    localMedia.setMaxSelectEnabledMask(z);
                }
            }
        } else if (getSelectedSize() >= this.config.maxSelectNum) {
            boolean isSelected2 = viewHolder.tvCheck.isSelected();
            if (isSelected2) {
                i2 = a.b(this.context, R.color.picture_color_80);
            } else {
                i2 = a.b(this.context, R.color.picture_color_half_white);
            }
            viewHolder.ivPicture.setColorFilter(AppCompatDelegateImpl.e.v(i2, BlendModeCompat.SRC_ATOP));
            localMedia.setMaxSelectEnabledMask(!isSelected2);
        } else {
            localMedia.setMaxSelectEnabledMask(false);
        }
    }

    private void notifyCheckChanged(ViewHolder viewHolder, LocalMedia localMedia) {
        viewHolder.tvCheck.setText("");
        int size = this.selectData.size();
        for (int i2 = 0; i2 < size; i2++) {
            LocalMedia localMedia2 = this.selectData.get(i2);
            if (localMedia2.getPath().equals(localMedia.getPath()) || localMedia2.getId() == localMedia.getId()) {
                localMedia.setNum(localMedia2.getNum());
                localMedia2.setPosition(localMedia.getPosition());
                viewHolder.tvCheck.setText(ValueOf.toString(Integer.valueOf(localMedia.getNum())));
            }
        }
    }

    private void showPromptDialog(String str) {
        PictureCustomDialog pictureCustomDialog = new PictureCustomDialog(this.context, R.layout.picture_prompt_dialog);
        ((TextView) pictureCustomDialog.findViewById(R.id.tv_content)).setText(str);
        ((TextView) pictureCustomDialog.findViewById(R.id.btnOk)).setOnClickListener(new d(pictureCustomDialog));
        pictureCustomDialog.show();
    }

    private void singleRadioMediaImage() {
        List<LocalMedia> list = this.selectData;
        if (list != null && list.size() > 0) {
            notifyItemChanged(this.selectData.get(0).position);
            this.selectData.clear();
        }
    }

    private void subSelectPosition() {
        if (this.config.checkNumMode) {
            int size = this.selectData.size();
            int i2 = 0;
            while (i2 < size) {
                LocalMedia localMedia = this.selectData.get(i2);
                i2++;
                localMedia.setNum(i2);
                notifyItemChanged(localMedia.position);
            }
        }
    }

    public /* synthetic */ void a(View view) {
        OnPhotoSelectChangedListener<LocalMedia> onPhotoSelectChangedListener = this.imageSelectChangedListener;
        if (onPhotoSelectChangedListener != null) {
            onPhotoSelectChangedListener.onTakePhoto();
        }
    }

    public /* synthetic */ void b(LocalMedia localMedia, ViewHolder viewHolder, String str, View view) {
        String str2;
        PictureSelectionConfig pictureSelectionConfig = this.config;
        if (pictureSelectionConfig.isMaxSelectEnabledMask) {
            if (pictureSelectionConfig.isWithVideoImage) {
                int selectedSize = getSelectedSize();
                boolean z = false;
                int i2 = 0;
                for (int i3 = 0; i3 < selectedSize; i3++) {
                    if (PictureMimeType.isHasVideo(this.selectData.get(i3).getMimeType())) {
                        i2++;
                    }
                }
                if (PictureMimeType.isHasVideo(localMedia.getMimeType())) {
                    if (!viewHolder.tvCheck.isSelected() && i2 >= this.config.maxVideoSelectNum) {
                        z = true;
                    }
                    str2 = StringUtils.getMsg(this.context, localMedia.getMimeType(), this.config.maxVideoSelectNum);
                } else {
                    if (!viewHolder.tvCheck.isSelected() && selectedSize >= this.config.maxSelectNum) {
                        z = true;
                    }
                    str2 = StringUtils.getMsg(this.context, localMedia.getMimeType(), this.config.maxSelectNum);
                }
                if (z) {
                    showPromptDialog(str2);
                    return;
                }
            } else if (!viewHolder.tvCheck.isSelected() && getSelectedSize() >= this.config.maxSelectNum) {
                showPromptDialog(StringUtils.getMsg(this.context, localMedia.getMimeType(), this.config.maxSelectNum));
                return;
            }
        }
        String realPath = localMedia.getRealPath();
        if (TextUtils.isEmpty(realPath) || new File(realPath).exists()) {
            changeCheckboxState(viewHolder, localMedia);
            return;
        }
        Context context2 = this.context;
        ToastUtils.s(context2, PictureMimeType.s(context2, str));
    }

    public void bindData(List<LocalMedia> list) {
        if (list == null) {
            list = new ArrayList<>();
        }
        this.data = list;
        notifyDataSetChanged();
    }

    public void bindSelectData(List<LocalMedia> list) {
        ArrayList arrayList = new ArrayList();
        int size = list.size();
        for (int i2 = 0; i2 < size; i2++) {
            arrayList.add(list.get(i2));
        }
        this.selectData = arrayList;
        if (!this.config.isSingleDirectReturn) {
            subSelectPosition();
            OnPhotoSelectChangedListener<LocalMedia> onPhotoSelectChangedListener = this.imageSelectChangedListener;
            if (onPhotoSelectChangedListener != null) {
                onPhotoSelectChangedListener.onChange(this.selectData);
            }
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:25:0x005b, code lost:
        if (r10.selectionMode != 1) goto L_0x005d;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:31:0x006b, code lost:
        if (r7.selectionMode != 1) goto L_0x006e;
     */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x0073  */
    /* JADX WARNING: Removed duplicated region for block: B:48:0x00d5  */
    public /* synthetic */ void c(LocalMedia localMedia, String str, int i2, ViewHolder viewHolder, View view) {
        boolean z;
        if (!this.config.isMaxSelectEnabledMask || !localMedia.isMaxSelectEnabledMask()) {
            String realPath = localMedia.getRealPath();
            if (TextUtils.isEmpty(realPath) || new File(realPath).exists()) {
                if (this.showCamera) {
                    i2--;
                }
                if (i2 != -1) {
                    if ((!PictureMimeType.isHasImage(str) || !this.config.enablePreview) && !this.config.isSingleDirectReturn) {
                        if (PictureMimeType.isHasVideo(str)) {
                            PictureSelectionConfig pictureSelectionConfig = this.config;
                            if (!pictureSelectionConfig.enPreviewVideo) {
                            }
                        }
                        if (PictureMimeType.isHasAudio(str)) {
                            PictureSelectionConfig pictureSelectionConfig2 = this.config;
                            if (!pictureSelectionConfig2.enablePreviewAudio) {
                            }
                        }
                        z = false;
                        if (!z) {
                            if (PictureMimeType.isHasVideo(localMedia.getMimeType())) {
                                if (this.config.videoMinSecond > 0) {
                                    long duration = localMedia.getDuration();
                                    int i3 = this.config.videoMinSecond;
                                    if (duration < ((long) i3)) {
                                        showPromptDialog(this.context.getString(R.string.picture_choose_min_seconds, Integer.valueOf(i3 / 1000)));
                                        return;
                                    }
                                }
                                if (this.config.videoMaxSecond > 0) {
                                    long duration2 = localMedia.getDuration();
                                    int i4 = this.config.videoMaxSecond;
                                    if (duration2 > ((long) i4)) {
                                        showPromptDialog(this.context.getString(R.string.picture_choose_max_seconds, Integer.valueOf(i4 / 1000)));
                                        return;
                                    }
                                }
                            }
                            this.imageSelectChangedListener.onPictureClick(localMedia, i2);
                            return;
                        }
                        changeCheckboxState(viewHolder, localMedia);
                        return;
                    }
                    z = true;
                    if (!z) {
                    }
                }
            } else {
                Context context2 = this.context;
                ToastUtils.s(context2, PictureMimeType.s(context2, str));
            }
        }
    }

    public void clear() {
        if (getSize() > 0) {
            this.data.clear();
        }
    }

    public List<LocalMedia> getData() {
        List<LocalMedia> list = this.data;
        return list == null ? new ArrayList() : list;
    }

    public LocalMedia getItem(int i2) {
        if (getSize() > 0) {
            return this.data.get(i2);
        }
        return null;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemCount() {
        return this.showCamera ? this.data.size() + 1 : this.data.size();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemViewType(int i2) {
        return (!this.showCamera || i2 != 0) ? 2 : 1;
    }

    public List<LocalMedia> getSelectedData() {
        List<LocalMedia> list = this.selectData;
        return list == null ? new ArrayList() : list;
    }

    public int getSelectedSize() {
        List<LocalMedia> list = this.selectData;
        if (list == null) {
            return 0;
        }
        return list.size();
    }

    public int getSize() {
        List<LocalMedia> list = this.data;
        if (list == null) {
            return 0;
        }
        return list.size();
    }

    public boolean isDataEmpty() {
        List<LocalMedia> list = this.data;
        return list == null || list.size() == 0;
    }

    public boolean isSelected(LocalMedia localMedia) {
        int size = this.selectData.size();
        for (int i2 = 0; i2 < size; i2++) {
            LocalMedia localMedia2 = this.selectData.get(i2);
            if (!(localMedia2 == null || TextUtils.isEmpty(localMedia2.getPath()) || (!localMedia2.getPath().equals(localMedia.getPath()) && localMedia2.getId() != localMedia.getId()))) {
                return true;
            }
        }
        return false;
    }

    public boolean isShowCamera() {
        return this.showCamera;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onBindViewHolder(RecyclerView.ViewHolder viewHolder, int i2) {
        if (getItemViewType(i2) == 1) {
            ((CameraViewHolder) viewHolder).itemView.setOnClickListener(new b(this));
            return;
        }
        ViewHolder viewHolder2 = (ViewHolder) viewHolder;
        LocalMedia localMedia = this.data.get(this.showCamera ? i2 - 1 : i2);
        localMedia.position = viewHolder2.getAbsoluteAdapterPosition();
        String path = localMedia.getPath();
        String mimeType = localMedia.getMimeType();
        if (this.config.checkNumMode) {
            notifyCheckChanged(viewHolder2, localMedia);
        }
        if (this.config.isSingleDirectReturn) {
            viewHolder2.tvCheck.setVisibility(8);
            viewHolder2.btnCheck.setVisibility(8);
        } else {
            selectImage(viewHolder2, isSelected(localMedia));
            viewHolder2.tvCheck.setVisibility(0);
            viewHolder2.btnCheck.setVisibility(0);
            if (this.config.isMaxSelectEnabledMask) {
                dispatchHandleMask(viewHolder2, localMedia);
            }
        }
        viewHolder2.tvIsGif.setVisibility(PictureMimeType.isGif(mimeType) ? 0 : 8);
        if (PictureMimeType.isHasImage(localMedia.getMimeType())) {
            if (localMedia.loadLongImageStatus == -1) {
                localMedia.isLongImage = MediaUtils.isLongImg(localMedia);
                localMedia.loadLongImageStatus = 0;
            }
            viewHolder2.tvLongChart.setVisibility(localMedia.isLongImage ? 0 : 8);
        } else {
            localMedia.loadLongImageStatus = -1;
            viewHolder2.tvLongChart.setVisibility(8);
        }
        boolean isHasVideo = PictureMimeType.isHasVideo(mimeType);
        if (isHasVideo || PictureMimeType.isHasAudio(mimeType)) {
            viewHolder2.tvDuration.setVisibility(0);
            viewHolder2.tvDuration.setText(DateUtils.formatDurationTime(localMedia.getDuration()));
            PictureSelectorUIStyle pictureSelectorUIStyle = PictureSelectionConfig.uiStyle;
            if (pictureSelectorUIStyle == null) {
                viewHolder2.tvDuration.setCompoundDrawablesRelativeWithIntrinsicBounds(isHasVideo ? R.drawable.picture_icon_video : R.drawable.picture_icon_audio, 0, 0, 0);
            } else if (isHasVideo) {
                int i3 = pictureSelectorUIStyle.picture_adapter_item_video_textLeftDrawable;
                if (i3 != 0) {
                    viewHolder2.tvDuration.setCompoundDrawablesRelativeWithIntrinsicBounds(i3, 0, 0, 0);
                } else {
                    viewHolder2.tvDuration.setCompoundDrawablesRelativeWithIntrinsicBounds(R.drawable.picture_icon_video, 0, 0, 0);
                }
            } else {
                int i4 = pictureSelectorUIStyle.picture_adapter_item_audio_textLeftDrawable;
                if (i4 != 0) {
                    viewHolder2.tvDuration.setCompoundDrawablesRelativeWithIntrinsicBounds(i4, 0, 0, 0);
                } else {
                    viewHolder2.tvDuration.setCompoundDrawablesRelativeWithIntrinsicBounds(R.drawable.picture_icon_audio, 0, 0, 0);
                }
            }
        } else {
            viewHolder2.tvDuration.setVisibility(8);
        }
        if (this.config.chooseMode == PictureMimeType.ofAudio()) {
            viewHolder2.ivPicture.setImageResource(R.drawable.picture_audio_placeholder);
        } else {
            ImageEngine imageEngine = PictureSelectionConfig.imageEngine;
            if (imageEngine != null) {
                imageEngine.loadGridImage(this.context, path, viewHolder2.ivPicture);
            }
        }
        PictureSelectionConfig pictureSelectionConfig = this.config;
        if (pictureSelectionConfig.enablePreview || pictureSelectionConfig.enPreviewVideo || pictureSelectionConfig.enablePreviewAudio) {
            viewHolder2.btnCheck.setOnClickListener(new c(this, localMedia, viewHolder2, mimeType));
        }
        viewHolder2.contentView.setOnClickListener(new e(this, localMedia, mimeType, i2, viewHolder2));
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup viewGroup, int i2) {
        if (i2 == 1) {
            return new CameraViewHolder(LayoutInflater.from(this.context).inflate(R.layout.picture_item_camera, viewGroup, false));
        }
        return new ViewHolder(LayoutInflater.from(this.context).inflate(R.layout.picture_image_grid_item, viewGroup, false));
    }

    public void selectImage(ViewHolder viewHolder, boolean z) {
        int i2;
        viewHolder.tvCheck.setSelected(z);
        if (z) {
            i2 = a.b(this.context, R.color.picture_color_80);
        } else {
            i2 = a.b(this.context, R.color.picture_color_20);
        }
        viewHolder.ivPicture.setColorFilter(AppCompatDelegateImpl.e.v(i2, BlendModeCompat.SRC_ATOP));
    }

    public void setOnPhotoSelectChangedListener(OnPhotoSelectChangedListener onPhotoSelectChangedListener) {
        this.imageSelectChangedListener = onPhotoSelectChangedListener;
    }

    public void setShowCamera(boolean z) {
        this.showCamera = z;
    }
}
