package com.luck.picture.lib.broadcast;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.net.Uri;
import android.os.Bundle;
import android.os.Parcelable;
import android.text.TextUtils;
import android.util.Log;
import b.r.a.a;
import com.lzy.okgo.cache.CacheEntity;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Set;
import tv.danmaku.ijk.media.player.IjkMediaMeta;

public class BroadcastManager {
    private static final String TAG = "BroadcastManager";
    private String action;
    private Intent intent;
    private a localBroadcastManager;

    private void createIntent() {
        if (this.intent == null) {
            Log.d(TAG, "intent is not created");
        }
        if (this.intent == null) {
            if (!TextUtils.isEmpty(this.action)) {
                this.intent = new Intent(this.action);
            }
            Log.d(TAG, "intent created with action");
        }
    }

    public static BroadcastManager getInstance(Context context) {
        a aVar;
        BroadcastManager broadcastManager = new BroadcastManager();
        Context applicationContext = context.getApplicationContext();
        synchronized (a.f3742a) {
            if (a.f3743b == null) {
                a.f3743b = new a(applicationContext.getApplicationContext());
            }
            aVar = a.f3743b;
        }
        broadcastManager.localBroadcastManager = aVar;
        return broadcastManager;
    }

    public BroadcastManager action(String str) {
        this.action = str;
        return this;
    }

    public void broadcast() {
        String str;
        String str2;
        ArrayList<a.c> arrayList;
        int i2;
        String str3;
        ArrayList arrayList2;
        createIntent();
        Intent intent2 = this.intent;
        if (!(intent2 == null || (str = this.action) == null)) {
            intent2.setAction(str);
            a aVar = this.localBroadcastManager;
            if (aVar != null) {
                Intent intent3 = this.intent;
                synchronized (aVar.f3745d) {
                    String action2 = intent3.getAction();
                    String resolveTypeIfNeeded = intent3.resolveTypeIfNeeded(aVar.f3744c.getContentResolver());
                    Uri data = intent3.getData();
                    String scheme = intent3.getScheme();
                    Set<String> categories = intent3.getCategories();
                    boolean z = (intent3.getFlags() & 8) != 0;
                    if (z) {
                        Log.v("LocalBroadcastManager", "Resolving type " + resolveTypeIfNeeded + " scheme " + scheme + " of intent " + intent3);
                    }
                    ArrayList<a.c> arrayList3 = aVar.f3746e.get(intent3.getAction());
                    if (arrayList3 != null) {
                        if (z) {
                            Log.v("LocalBroadcastManager", "Action list: " + arrayList3);
                        }
                        ArrayList arrayList4 = null;
                        int i3 = 0;
                        while (i3 < arrayList3.size()) {
                            a.c cVar = arrayList3.get(i3);
                            if (z) {
                                Log.v("LocalBroadcastManager", "Matching against filter " + cVar.f3752a);
                            }
                            if (cVar.f3754c) {
                                if (z) {
                                    Log.v("LocalBroadcastManager", "  Filter's target already added");
                                }
                                i2 = i3;
                                arrayList2 = arrayList4;
                                arrayList = arrayList3;
                                str2 = action2;
                                str3 = resolveTypeIfNeeded;
                            } else {
                                i2 = i3;
                                arrayList2 = arrayList4;
                                arrayList = arrayList3;
                                str2 = action2;
                                str3 = resolveTypeIfNeeded;
                                int match = cVar.f3752a.match(action2, resolveTypeIfNeeded, scheme, data, categories, "LocalBroadcastManager");
                                if (match >= 0) {
                                    if (z) {
                                        Log.v("LocalBroadcastManager", "  Filter matched!  match=0x" + Integer.toHexString(match));
                                    }
                                    arrayList4 = arrayList2 == null ? new ArrayList() : arrayList2;
                                    arrayList4.add(cVar);
                                    cVar.f3754c = true;
                                    i3 = i2 + 1;
                                    resolveTypeIfNeeded = str3;
                                    arrayList3 = arrayList;
                                    action2 = str2;
                                } else if (z) {
                                    Log.v("LocalBroadcastManager", "  Filter did not match: " + (match != -4 ? match != -3 ? match != -2 ? match != -1 ? "unknown reason" : IjkMediaMeta.IJKM_KEY_TYPE : CacheEntity.DATA : "action" : "category"));
                                }
                            }
                            arrayList4 = arrayList2;
                            i3 = i2 + 1;
                            resolveTypeIfNeeded = str3;
                            arrayList3 = arrayList;
                            action2 = str2;
                        }
                        if (arrayList4 != null) {
                            for (int i4 = 0; i4 < arrayList4.size(); i4++) {
                                ((a.c) arrayList4.get(i4)).f3754c = false;
                            }
                            aVar.f3747f.add(new a.b(intent3, arrayList4));
                            if (!aVar.f3748g.hasMessages(1)) {
                                aVar.f3748g.sendEmptyMessage(1);
                            }
                        }
                    }
                }
            }
        }
    }

    public BroadcastManager extras(Bundle bundle) {
        createIntent();
        Intent intent2 = this.intent;
        if (intent2 == null) {
            Log.e(TAG, "intent create failed");
            return this;
        }
        intent2.putExtras(bundle);
        return this;
    }

    public BroadcastManager intent(Intent intent2) {
        this.intent = intent2;
        return this;
    }

    public BroadcastManager put(String str, ArrayList<? extends Parcelable> arrayList) {
        createIntent();
        Intent intent2 = this.intent;
        if (intent2 == null) {
            Log.e(TAG, "intent create failed");
            return this;
        }
        intent2.putExtra(str, arrayList);
        return this;
    }

    public void registerReceiver(BroadcastReceiver broadcastReceiver, List<String> list) {
        if (!(broadcastReceiver == null || list == null)) {
            IntentFilter intentFilter = new IntentFilter();
            if (list != null) {
                for (String str : list) {
                    intentFilter.addAction(str);
                }
            }
            a aVar = this.localBroadcastManager;
            if (aVar != null) {
                synchronized (aVar.f3745d) {
                    a.c cVar = new a.c(intentFilter, broadcastReceiver);
                    ArrayList<a.c> arrayList = aVar.f3745d.get(broadcastReceiver);
                    if (arrayList == null) {
                        arrayList = new ArrayList<>(1);
                        aVar.f3745d.put(broadcastReceiver, arrayList);
                    }
                    arrayList.add(cVar);
                    for (int i2 = 0; i2 < intentFilter.countActions(); i2++) {
                        String action2 = intentFilter.getAction(i2);
                        ArrayList<a.c> arrayList2 = aVar.f3746e.get(action2);
                        if (arrayList2 == null) {
                            arrayList2 = new ArrayList<>(1);
                            aVar.f3746e.put(action2, arrayList2);
                        }
                        arrayList2.add(cVar);
                    }
                }
            }
        }
    }

    public void unregisterReceiver(BroadcastReceiver broadcastReceiver) {
        if (broadcastReceiver != null) {
            try {
                this.localBroadcastManager.a(broadcastReceiver);
            } catch (Exception unused) {
            }
        }
    }

    public void unregisterReceiver(BroadcastReceiver broadcastReceiver, String... strArr) {
        unregisterReceiver(broadcastReceiver);
    }

    public BroadcastManager put(String str, Parcelable[] parcelableArr) {
        createIntent();
        Intent intent2 = this.intent;
        if (intent2 == null) {
            Log.e(TAG, "intent create failed");
            return this;
        }
        intent2.putExtra(str, parcelableArr);
        return this;
    }

    public BroadcastManager put(String str, Parcelable parcelable) {
        createIntent();
        Intent intent2 = this.intent;
        if (intent2 == null) {
            Log.e(TAG, "intent create failed");
            return this;
        }
        intent2.putExtra(str, parcelable);
        return this;
    }

    public BroadcastManager put(String str, float f2) {
        createIntent();
        Intent intent2 = this.intent;
        if (intent2 == null) {
            Log.e(TAG, "intent create failed");
            return this;
        }
        intent2.putExtra(str, f2);
        return this;
    }

    public BroadcastManager put(String str, double d2) {
        createIntent();
        Intent intent2 = this.intent;
        if (intent2 == null) {
            Log.e(TAG, "intent create failed");
            return this;
        }
        intent2.putExtra(str, d2);
        return this;
    }

    public void registerReceiver(BroadcastReceiver broadcastReceiver, String... strArr) {
        if (strArr != null && strArr.length > 0) {
            registerReceiver(broadcastReceiver, Arrays.asList(strArr));
        }
    }

    public BroadcastManager put(String str, long j2) {
        createIntent();
        Intent intent2 = this.intent;
        if (intent2 == null) {
            Log.e(TAG, "intent create failed");
            return this;
        }
        intent2.putExtra(str, j2);
        return this;
    }

    public BroadcastManager put(String str, boolean z) {
        createIntent();
        Intent intent2 = this.intent;
        if (intent2 == null) {
            Log.e(TAG, "intent create failed");
            return this;
        }
        intent2.putExtra(str, z);
        return this;
    }

    public BroadcastManager put(String str, int i2) {
        createIntent();
        Intent intent2 = this.intent;
        if (intent2 == null) {
            Log.e(TAG, "intent create failed");
            return this;
        }
        intent2.putExtra(str, i2);
        return this;
    }

    public BroadcastManager put(String str, String str2) {
        createIntent();
        Intent intent2 = this.intent;
        if (intent2 == null) {
            Log.e(TAG, "intent create failed");
            return this;
        }
        intent2.putExtra(str, str2);
        return this;
    }
}
