package com.luck.picture.lib.tools;

import android.content.Context;
import android.net.Uri;
import java.io.File;
import java.io.InputStream;
import java.util.Objects;
import okio.BufferedSource;
import okio.Okio;

public class AndroidQTransformUtils {
    public static String copyPathToAndroidQ(Context context, long j2, String str, int i2, int i3, String str2, String str3) {
        BufferedSource bufferedSource = null;
        try {
            Uri parse = Uri.parse(str);
            String createFilePath = PictureFileUtils.createFilePath(context, StringUtils.getEncryptionValue(j2, i2, i3), str2, str3);
            File file = new File(createFilePath);
            if (file.exists()) {
                return createFilePath;
            }
            InputStream openInputStream = context.getContentResolver().openInputStream(parse);
            Objects.requireNonNull(openInputStream);
            bufferedSource = Okio.buffer(Okio.source(openInputStream));
            if (PictureFileUtils.bufferCopy(bufferedSource, file)) {
                if (bufferedSource != null && bufferedSource.isOpen()) {
                    PictureFileUtils.close(bufferedSource);
                }
                return createFilePath;
            }
            if (bufferedSource == null || !bufferedSource.isOpen()) {
                return "";
            }
            PictureFileUtils.close(bufferedSource);
            return "";
        } catch (Exception e2) {
            e2.printStackTrace();
            if (0 == 0 || !bufferedSource.isOpen()) {
                return "";
            }
        } catch (Throwable th) {
            if (0 != 0 && bufferedSource.isOpen()) {
                PictureFileUtils.close(null);
            }
            throw th;
        }
    }

    public static boolean copyPathToDCIM(Context context, File file, Uri uri) {
        try {
            return PictureFileUtils.bufferCopy(file, context.getContentResolver().openOutputStream(uri));
        } catch (Exception e2) {
            e2.printStackTrace();
            return false;
        }
    }
}
