package com.luck.picture.lib.tools;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.util.TypedValue;
import b.j.b.a;

public class AttrsUtils {
    public static ColorStateList getColorStateList(int[] iArr) {
        try {
            if (iArr.length != 2) {
                return ColorStateList.valueOf(iArr[0]);
            }
            return new ColorStateList(new int[][]{new int[]{-16842913}, new int[]{16842913}}, iArr);
        } catch (Exception e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public static boolean getTypeValueBoolean(Context context, int i2) {
        boolean z = false;
        try {
            int[] iArr = {i2};
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(new TypedValue().resourceId, iArr);
            z = obtainStyledAttributes.getBoolean(0, false);
            obtainStyledAttributes.recycle();
            return z;
        } catch (Exception e2) {
            e2.printStackTrace();
            return z;
        }
    }

    public static int getTypeValueColor(Context context, int i2) {
        int i3 = 0;
        try {
            int[] iArr = {i2};
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(new TypedValue().resourceId, iArr);
            i3 = obtainStyledAttributes.getColor(0, 0);
            obtainStyledAttributes.recycle();
            return i3;
        } catch (Exception e2) {
            e2.printStackTrace();
            return i3;
        }
    }

    public static ColorStateList getTypeValueColorStateList(Context context, int i2) {
        ColorStateList colorStateList = null;
        try {
            int[] iArr = {i2};
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(new TypedValue().resourceId, iArr);
            colorStateList = obtainStyledAttributes.getColorStateList(0);
            obtainStyledAttributes.recycle();
            return colorStateList;
        } catch (Exception e2) {
            e2.printStackTrace();
            return colorStateList;
        }
    }

    public static Drawable getTypeValueDrawable(Context context, int i2, int i3) {
        Drawable drawable = null;
        try {
            int[] iArr = {i2};
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(new TypedValue().resourceId, iArr);
            drawable = obtainStyledAttributes.getDrawable(0);
            obtainStyledAttributes.recycle();
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        if (drawable != null) {
            return drawable;
        }
        Object obj = a.f3266a;
        return context.getDrawable(i3);
    }

    public static float getTypeValueSize(Context context, int i2) {
        float f2 = 0.0f;
        try {
            int[] iArr = {i2};
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(new TypedValue().resourceId, iArr);
            f2 = (float) obtainStyledAttributes.getDimensionPixelSize(0, 0);
            obtainStyledAttributes.recycle();
            return f2;
        } catch (Exception e2) {
            e2.printStackTrace();
            return f2;
        }
    }

    public static int getTypeValueSizeForInt(Context context, int i2) {
        int i3 = 0;
        try {
            int[] iArr = {i2};
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(new TypedValue().resourceId, iArr);
            i3 = obtainStyledAttributes.getDimensionPixelSize(0, 0);
            obtainStyledAttributes.recycle();
            return i3;
        } catch (Exception e2) {
            e2.printStackTrace();
            return i3;
        }
    }
}
