package com.luck.picture.lib.tools;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Matrix;
import android.net.Uri;
import b.n.a.a;
import com.luck.picture.lib.config.PictureMimeType;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.InputStream;

public class BitmapUtils {
    public static int readPictureDegree(Context context, String str) {
        a aVar;
        int i2;
        InputStream inputStream = null;
        try {
            if (PictureMimeType.isContent(str)) {
                inputStream = context.getContentResolver().openInputStream(Uri.parse(str));
                aVar = new a(inputStream);
            } else {
                aVar = new a(str);
            }
            int m = aVar.m("Orientation", 1);
            if (m == 3) {
                i2 = 180;
            } else if (m == 6) {
                i2 = 90;
            } else if (m != 8) {
                return 0;
            } else {
                i2 = 270;
            }
            PictureFileUtils.close(inputStream);
            return i2;
        } catch (Exception e2) {
            e2.printStackTrace();
            return 0;
        } finally {
            PictureFileUtils.close(inputStream);
        }
    }

    public static void rotateImage(Context context, boolean z, String str) {
        if (z) {
            try {
                int readPictureDegree = readPictureDegree(context, str);
                if (readPictureDegree > 0) {
                    BitmapFactory.Options options = new BitmapFactory.Options();
                    options.inSampleSize = 2;
                    File file = new File(str);
                    Bitmap rotatingImage = rotatingImage(BitmapFactory.decodeFile(file.getAbsolutePath(), options), readPictureDegree);
                    if (rotatingImage != null) {
                        saveBitmapFile(rotatingImage, file);
                        rotatingImage.recycle();
                    }
                }
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    public static Bitmap rotatingImage(Bitmap bitmap, int i2) {
        Matrix matrix = new Matrix();
        matrix.postRotate((float) i2);
        return Bitmap.createBitmap(bitmap, 0, 0, bitmap.getWidth(), bitmap.getHeight(), matrix, true);
    }

    private static void saveBitmapFile(Bitmap bitmap, File file) {
        Throwable th;
        Exception e2;
        BufferedOutputStream bufferedOutputStream = null;
        try {
            BufferedOutputStream bufferedOutputStream2 = new BufferedOutputStream(new FileOutputStream(file));
            try {
                bitmap.compress(Bitmap.CompressFormat.JPEG, 80, bufferedOutputStream2);
                bufferedOutputStream2.flush();
                PictureFileUtils.close(bufferedOutputStream2);
            } catch (Exception e3) {
                e2 = e3;
                bufferedOutputStream = bufferedOutputStream2;
                try {
                    e2.printStackTrace();
                    PictureFileUtils.close(bufferedOutputStream);
                } catch (Throwable th2) {
                    th = th2;
                    PictureFileUtils.close(bufferedOutputStream);
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                bufferedOutputStream = bufferedOutputStream2;
                PictureFileUtils.close(bufferedOutputStream);
                throw th;
            }
        } catch (Exception e4) {
            e2 = e4;
            e2.printStackTrace();
            PictureFileUtils.close(bufferedOutputStream);
        }
    }
}
