package com.luck.picture.lib.tools;

import android.annotation.SuppressLint;
import android.content.Context;
import android.text.SpannableString;
import android.text.style.RelativeSizeSpan;
import android.widget.TextView;
import com.luck.picture.lib.R;
import com.luck.picture.lib.config.PictureMimeType;
import d.a.a.a.a;
import java.util.regex.Pattern;

public class StringUtils {
    public static String getEncryptionValue(long j2, int i2, int i3) {
        return j2 + "_" + i2 + i3;
    }

    @SuppressLint({"StringFormatMatches"})
    public static String getMsg(Context context, String str, int i2) {
        if (PictureMimeType.isHasVideo(str)) {
            return context.getString(R.string.picture_message_video_max_num, Integer.valueOf(i2));
        } else if (PictureMimeType.isHasAudio(str)) {
            return context.getString(R.string.picture_message_audio_max_num, Integer.valueOf(i2));
        } else {
            return context.getString(R.string.picture_message_max_num, Integer.valueOf(i2));
        }
    }

    public static String rename(String str) {
        String substring = str.substring(0, str.lastIndexOf("."));
        String substring2 = str.substring(str.lastIndexOf("."));
        StringBuilder F = a.F(substring, "_");
        F.append(DateUtils.getCreateFileName());
        F.append(substring2);
        return F.toString();
    }

    public static String renameSuffix(String str, String str2) {
        return a.s(str.substring(0, str.lastIndexOf(".")), str2);
    }

    public static int stringToInt(String str) {
        if (Pattern.compile("^[-\\+]?[\\d]+$").matcher(str).matches()) {
            return ValueOf.toInt(str);
        }
        return 0;
    }

    public static void tempTextFont(TextView textView, int i2) {
        String str;
        String trim = textView.getText().toString().trim();
        if (i2 == PictureMimeType.ofAudio()) {
            str = textView.getContext().getString(R.string.picture_empty_audio_title);
        } else {
            str = textView.getContext().getString(R.string.picture_empty_title);
        }
        String s = a.s(str, trim);
        SpannableString spannableString = new SpannableString(s);
        spannableString.setSpan(new RelativeSizeSpan(0.8f), str.length(), s.length(), 33);
        textView.setText(spannableString);
    }
}
