package com.lxj.xpopup.core;

import android.content.Context;
import android.graphics.Rect;
import android.net.Uri;
import android.os.Handler;
import android.os.Looper;
import android.provider.Settings;
import android.text.TextUtils;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.Window;
import android.view.WindowManager;
import android.view.animation.OvershootInterpolator;
import android.widget.EditText;
import android.widget.FrameLayout;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentActivity;
import androidx.fragment.app.FragmentManager;
import androidx.lifecycle.Lifecycle;
import androidx.lifecycle.LifecycleObserver;
import com.gyf.immersionbar.Constants;
import com.lxj.xpopup.enums.PopupAnimation;
import com.lxj.xpopup.enums.PopupStatus;
import com.lxj.xpopup.impl.FullScreenPopupView;
import com.lxj.xpopup.impl.PartShadowPopupView;
import d.l.b.g.c;
import d.l.b.g.g.a;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import java.util.Stack;

public abstract class BasePopupView extends FrameLayout implements d.l.b.g.g.c, LifecycleObserver {
    private static Stack<BasePopupView> stack = new Stack<>();
    private Runnable attachTask = new b();
    public d.l.b.c.a dialog;
    public Runnable dismissWithRunnable;
    private Runnable doAfterDismissTask = new f();
    private Runnable doAfterShowTask = new c();
    private Handler handler = new Handler(Looper.getMainLooper());
    private boolean hasMoveUp = false;
    private Runnable initTask = new a();
    private boolean isCreated = false;
    public d.l.b.b.b popupContentAnimator;
    public d.l.b.c.c popupInfo;
    public PopupStatus popupStatus = PopupStatus.Dismiss;
    public d.l.b.b.e shadowBgAnimator;
    private h showSoftInputTask;
    private int touchSlop;
    private float x;
    private float y;

    public class a implements Runnable {
        public a() {
        }

        public void run() {
            BasePopupView.this.applySize(false);
            BasePopupView.this.getPopupContentView().setAlpha(1.0f);
            BasePopupView.this.collectAnimator();
            Objects.requireNonNull(BasePopupView.this.popupInfo);
            BasePopupView.this.doShowAnimation();
            BasePopupView.this.doAfterShow();
        }
    }

    public class b implements Runnable {

        public class a implements c.a {
            public a() {
            }

            @Override // d.l.b.g.c.a
            public void a(int i2) {
                boolean z;
                if (i2 == 0) {
                    BasePopupView basePopupView = BasePopupView.this;
                    if (!(basePopupView instanceof PositionPopupView) && (((z = basePopupView instanceof PartShadowPopupView)) || !(basePopupView instanceof AttachPopupView))) {
                        if (z) {
                            if (z) {
                                Objects.requireNonNull((PartShadowPopupView) basePopupView);
                            }
                            basePopupView.getPopupImplView().animate().translationY(0.0f).setInterpolator(new OvershootInterpolator(0.0f)).setDuration(200).start();
                        } else {
                            basePopupView.getPopupContentView().animate().translationY(0.0f).setInterpolator(new OvershootInterpolator(0.0f)).setDuration(200).start();
                        }
                    }
                    BasePopupView.this.hasMoveUp = false;
                    return;
                }
                BasePopupView basePopupView2 = BasePopupView.this;
                if ((basePopupView2 instanceof FullScreenPopupView) && basePopupView2.popupStatus == PopupStatus.Showing) {
                    return;
                }
                if (!(basePopupView2 instanceof PartShadowPopupView) || basePopupView2.popupStatus != PopupStatus.Showing) {
                    d.l.b.g.e.n(i2, basePopupView2);
                    BasePopupView.this.hasMoveUp = true;
                }
            }
        }

        public b() {
        }

        public void run() {
            BasePopupView.this.attachDialog();
            if (BasePopupView.this.getContext() instanceof FragmentActivity) {
                ((FragmentActivity) BasePopupView.this.getContext()).getLifecycle().a(BasePopupView.this);
            }
            BasePopupView basePopupView = BasePopupView.this;
            basePopupView.popupInfo.f12220c = (ViewGroup) basePopupView.dialog.getWindow().getDecorView();
            Window window = BasePopupView.this.dialog.getWindow();
            BasePopupView basePopupView2 = BasePopupView.this;
            a aVar = new a();
            int i2 = d.l.b.g.c.f12254a;
            if ((window.getAttributes().flags & 512) != 0) {
                window.clearFlags(512);
            }
            d.l.b.g.c.f12254a = d.l.b.g.c.a(window);
            d.l.b.g.c.f12255b.put(basePopupView2, aVar);
            ((FrameLayout) window.findViewById(16908290)).getViewTreeObserver().addOnGlobalLayoutListener(new d.l.b.g.b(window));
            BasePopupView.this.init();
        }
    }

    public class c implements Runnable {
        public c() {
        }

        public void run() {
            BasePopupView basePopupView = BasePopupView.this;
            basePopupView.popupStatus = PopupStatus.Show;
            basePopupView.onShow();
            BasePopupView.this.focusAndProcessBackPress();
            d.l.b.c.c cVar = BasePopupView.this.popupInfo;
            if (cVar != null) {
                Objects.requireNonNull(cVar);
            }
            d.l.b.c.a aVar = BasePopupView.this.dialog;
            if (aVar != null && d.l.b.g.e.f(aVar.getWindow()) > 0 && !BasePopupView.this.hasMoveUp) {
                d.l.b.g.e.n(d.l.b.g.e.f(BasePopupView.this.dialog.getWindow()), BasePopupView.this);
            }
        }
    }

    public class d implements Runnable {
        public d() {
        }

        public void run() {
            BasePopupView.this.delayDismiss((long) (d.l.b.a.f12189b + 50));
        }
    }

    public class e implements Runnable {
        public e() {
        }

        public void run() {
            BasePopupView.this.dismiss();
        }
    }

    public class f implements Runnable {
        public f() {
        }

        public void run() {
            Objects.requireNonNull(BasePopupView.this.popupInfo);
            BasePopupView.this.onDismiss();
            d.l.b.c.c cVar = BasePopupView.this.popupInfo;
            if (cVar != null) {
                Objects.requireNonNull(cVar);
            }
            Runnable runnable = BasePopupView.this.dismissWithRunnable;
            if (runnable != null) {
                runnable.run();
                BasePopupView.this.dismissWithRunnable = null;
            }
            BasePopupView basePopupView = BasePopupView.this;
            basePopupView.popupStatus = PopupStatus.Dismiss;
            int i2 = d.l.b.g.g.a.f12277a;
            a.b.f12281a.a(basePopupView);
            if (!BasePopupView.stack.isEmpty()) {
                BasePopupView.stack.pop();
            }
            d.l.b.c.c cVar2 = BasePopupView.this.popupInfo;
            if (cVar2 != null) {
                Objects.requireNonNull(cVar2);
                if (!BasePopupView.stack.isEmpty()) {
                    ((BasePopupView) BasePopupView.stack.get(BasePopupView.stack.size() - 1)).focusAndProcessBackPress();
                } else {
                    View findViewById = BasePopupView.this.popupInfo.f12220c.findViewById(16908290);
                    if (findViewById != null) {
                        findViewById.setFocusable(true);
                        findViewById.setFocusableInTouchMode(true);
                    }
                }
            }
            BasePopupView basePopupView2 = BasePopupView.this;
            if (basePopupView2.popupInfo.f12220c != null) {
                basePopupView2.dialog.dismiss();
                BasePopupView basePopupView3 = BasePopupView.this;
                d.l.b.g.c.c(basePopupView3.popupInfo.f12220c, basePopupView3);
            }
        }
    }

    public class g implements View.OnKeyListener {
        public g() {
        }

        public boolean onKey(View view, int i2, KeyEvent keyEvent) {
            if (i2 != 4 || keyEvent.getAction() != 1) {
                return false;
            }
            Objects.requireNonNull(BasePopupView.this.popupInfo);
            Objects.requireNonNull(BasePopupView.this.popupInfo);
            BasePopupView.this.dismissOrHideSoftInput();
            return true;
        }
    }

    public static class h implements Runnable {
    }

    public BasePopupView(Context context) {
        super(context);
        this.touchSlop = ViewConfiguration.get(context).getScaledTouchSlop();
        this.shadowBgAnimator = new d.l.b.b.e(this);
        View inflate = LayoutInflater.from(context).inflate(getPopupLayoutId(), (ViewGroup) this, false);
        inflate.setAlpha(0.0f);
        addView(inflate);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void attachDialog() {
        if (this.dialog == null) {
            d.l.b.c.a aVar = new d.l.b.c.a(getContext());
            aVar.f12216d = this;
            this.dialog = aVar;
        }
        this.dialog.show();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void collectAnimator() {
        if (this.popupContentAnimator == null) {
            Objects.requireNonNull(this.popupInfo);
            d.l.b.b.b genAnimatorByPopupType = genAnimatorByPopupType();
            this.popupContentAnimator = genAnimatorByPopupType;
            if (genAnimatorByPopupType == null) {
                this.popupContentAnimator = getPopupAnimator();
            }
            this.shadowBgAnimator.f12192a.setBackgroundColor(0);
            d.l.b.b.b bVar = this.popupContentAnimator;
            if (bVar != null) {
                bVar.c();
            }
        }
    }

    public void applyDarkTheme() {
    }

    public void applyFull() {
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) getLayoutParams();
        layoutParams.topMargin = 0;
        layoutParams.leftMargin = 0;
        layoutParams.bottomMargin = 0;
        layoutParams.rightMargin = 0;
        setLayoutParams(layoutParams);
    }

    public void applySize(boolean z) {
        int h2 = d.l.b.g.e.h(this.dialog.getWindow());
        int i2 = 0;
        if (this.popupInfo.f12220c.getChildCount() > 0) {
            h2 = this.popupInfo.f12220c.getChildAt(0).getMeasuredHeight();
        }
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) getLayoutParams();
        int rotation = ((WindowManager) getContext().getSystemService("window")).getDefaultDisplay().getRotation();
        boolean m = d.l.b.g.e.m(this.dialog.getWindow());
        if (rotation == 0) {
            layoutParams.leftMargin = 0;
            layoutParams.rightMargin = 0;
            layoutParams.bottomMargin = 0;
        } else if (rotation == 1) {
            layoutParams.bottomMargin = 0;
            layoutParams.rightMargin = m ? d.l.b.g.e.h(this.dialog.getWindow()) - h2 : 0;
            layoutParams.leftMargin = 0;
        } else if (rotation == 3) {
            layoutParams.bottomMargin = 0;
            layoutParams.leftMargin = 0;
            if (m) {
                i2 = d.l.b.g.e.h(this.dialog.getWindow()) - h2;
            }
            layoutParams.rightMargin = i2;
        }
        setLayoutParams(layoutParams);
    }

    public void delayDismiss(long j2) {
        if (j2 < 0) {
            j2 = 0;
        }
        this.handler.postDelayed(new e(), j2);
    }

    public void delayDismissWith(long j2, Runnable runnable) {
        this.dismissWithRunnable = runnable;
        delayDismiss(j2);
    }

    public void destroy() {
        d.l.b.c.a aVar = this.dialog;
        if (aVar != null) {
            aVar.dismiss();
        }
        onDetachedFromWindow();
    }

    public void dismiss() {
        this.handler.removeCallbacks(this.attachTask);
        this.handler.removeCallbacks(this.initTask);
        PopupStatus popupStatus2 = this.popupStatus;
        PopupStatus popupStatus3 = PopupStatus.Dismissing;
        if (popupStatus2 != popupStatus3 && popupStatus2 != PopupStatus.Dismiss) {
            this.popupStatus = popupStatus3;
            clearFocus();
            doDismissAnimation();
            doAfterDismiss();
        }
    }

    public void dismissOrHideSoftInput() {
        if (d.l.b.g.c.f12254a == 0) {
            dismiss();
        } else {
            d.l.b.g.c.b(this);
        }
    }

    public void dismissWith(Runnable runnable) {
        this.dismissWithRunnable = runnable;
        dismiss();
    }

    public void doAfterDismiss() {
        d.l.b.c.c cVar = this.popupInfo;
        if (cVar != null && cVar.f12220c != null) {
            Objects.requireNonNull(cVar);
            this.handler.removeCallbacks(this.doAfterDismissTask);
            this.handler.postDelayed(this.doAfterDismissTask, (long) getAnimationDuration());
        }
    }

    public void doAfterShow() {
        this.handler.removeCallbacks(this.doAfterShowTask);
        this.handler.postDelayed(this.doAfterShowTask, (long) getAnimationDuration());
    }

    public void doDismissAnimation() {
        if (this.popupInfo.f12218a.booleanValue()) {
            this.shadowBgAnimator.a();
        }
        d.l.b.b.b bVar = this.popupContentAnimator;
        if (bVar != null) {
            bVar.a();
        }
    }

    public void doShowAnimation() {
        if (this.popupInfo.f12218a.booleanValue()) {
            this.shadowBgAnimator.b();
        }
        d.l.b.b.b bVar = this.popupContentAnimator;
        if (bVar != null) {
            bVar.b();
        }
    }

    public void focusAndProcessBackPress() {
        Objects.requireNonNull(this.popupInfo);
        setFocusableInTouchMode(true);
        requestFocus();
        if (!stack.contains(this)) {
            stack.push(this);
        }
        setOnKeyListener(new g());
        Objects.requireNonNull(this.popupInfo);
        ArrayList arrayList = new ArrayList();
        d.l.b.g.e.e(arrayList, (ViewGroup) getPopupContentView());
        for (int i2 = 0; i2 < arrayList.size(); i2++) {
            EditText editText = (EditText) arrayList.get(i2);
            editText.setOnKeyListener(new g());
            if (i2 == 0) {
                Objects.requireNonNull(this.popupInfo);
                editText.setFocusable(true);
                editText.setFocusableInTouchMode(true);
                editText.requestFocus();
                showSoftInput(editText);
            }
        }
    }

    public d.l.b.b.b genAnimatorByPopupType() {
        PopupAnimation popupAnimation;
        d.l.b.c.c cVar = this.popupInfo;
        if (cVar == null || (popupAnimation = cVar.f12219b) == null) {
            return null;
        }
        switch (popupAnimation.ordinal()) {
            case 0:
            case 1:
            case 2:
            case 3:
            case 4:
                return new d.l.b.b.c(getPopupContentView(), this.popupInfo.f12219b);
            case 5:
            case 6:
            case 7:
            case 8:
                return new d.l.b.b.f(getPopupContentView(), this.popupInfo.f12219b);
            case 9:
            case 10:
            case 11:
            case 12:
                return new d.l.b.b.g(getPopupContentView(), this.popupInfo.f12219b);
            case 13:
            case 14:
            case 15:
            case 16:
            case 17:
            case 18:
            case 19:
            case 20:
                return new d.l.b.b.d(getPopupContentView(), this.popupInfo.f12219b);
            case 21:
                return new d.l.b.b.a(getPopupContentView());
            default:
                return null;
        }
    }

    public int getAnimationDuration() {
        if (this.popupInfo.f12219b == PopupAnimation.NoAnimation) {
            return 10;
        }
        return 10 + d.l.b.a.f12189b;
    }

    public int getImplLayoutId() {
        return -1;
    }

    public List<String> getInternalFragmentNames() {
        return null;
    }

    public int getMaxHeight() {
        Objects.requireNonNull(this.popupInfo);
        return 0;
    }

    public int getMaxWidth() {
        return 0;
    }

    public d.l.b.b.b getPopupAnimator() {
        return null;
    }

    public View getPopupContentView() {
        return getChildAt(0);
    }

    public int getPopupHeight() {
        return 0;
    }

    public View getPopupImplView() {
        return ((ViewGroup) getPopupContentView()).getChildAt(0);
    }

    public abstract int getPopupLayoutId();

    public int getPopupWidth() {
        return 0;
    }

    public View getTargetSizeView() {
        return getPopupContentView();
    }

    public void init() {
        int i2 = d.l.b.g.g.a.f12277a;
        d.l.b.g.g.a aVar = a.b.f12281a;
        Context context = getContext();
        Objects.requireNonNull(aVar);
        aVar.f12279c = context.getApplicationContext();
        if (context.getContentResolver() != null && !aVar.f12280d.booleanValue()) {
            Uri uri = null;
            if (!TextUtils.isEmpty(d.l.b.g.g.b.P("ro.miui.ui.version.name", ""))) {
                uri = Settings.Global.getUriFor(Constants.IMMERSION_MIUI_NAVIGATION_BAR_HIDE_SHOW);
            } else if (d.l.b.g.g.b.T()) {
                if (!d.l.b.g.g.b.U()) {
                    uri = Settings.Global.getUriFor(Constants.IMMERSION_EMUI_NAVIGATION_BAR_HIDE_SHOW);
                } else {
                    uri = Settings.System.getUriFor(Constants.IMMERSION_EMUI_NAVIGATION_BAR_HIDE_SHOW);
                }
            }
            if (uri != null) {
                context.getContentResolver().registerContentObserver(uri, true, aVar);
                aVar.f12280d = Boolean.TRUE;
            }
        }
        Objects.requireNonNull(aVar);
        if (aVar.f12278b == null) {
            aVar.f12278b = new ArrayList<>();
        }
        if (!aVar.f12278b.contains(this)) {
            aVar.f12278b.add(this);
        }
        if (!this.isCreated) {
            initPopupContent();
        }
        if (!(this instanceof FullScreenPopupView) && !(this instanceof ImageViewerPopupView)) {
            d.l.b.g.e.o(getTargetSizeView(), (getMaxWidth() == 0 || getPopupWidth() <= getMaxWidth()) ? getPopupWidth() : getMaxWidth(), (getMaxHeight() == 0 || getPopupHeight() <= getMaxHeight()) ? getPopupHeight() : getMaxHeight());
        }
        if (!this.isCreated) {
            this.isCreated = true;
            onCreate();
            Objects.requireNonNull(this.popupInfo);
        }
        this.handler.postDelayed(this.initTask, 50);
    }

    public void initPopupContent() {
    }

    public boolean isDismiss() {
        return this.popupStatus == PopupStatus.Dismiss;
    }

    public boolean isShow() {
        return this.popupStatus != PopupStatus.Dismiss;
    }

    public void onCreate() {
    }

    @b.q.g(Lifecycle.Event.ON_DESTROY)
    public void onDestroy() {
        destroy();
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        stack.clear();
        this.handler.removeCallbacksAndMessages(null);
        int i2 = d.l.b.g.g.a.f12277a;
        a.b.f12281a.a(this);
        ViewGroup viewGroup = this.popupInfo.f12220c;
        if (viewGroup != null) {
            d.l.b.g.c.c(viewGroup, this);
        }
        this.popupStatus = PopupStatus.Dismiss;
        this.hasMoveUp = false;
    }

    public void onDismiss() {
        FragmentManager supportFragmentManager;
        List<Fragment> N;
        if ((getContext() instanceof FragmentActivity) && (N = (supportFragmentManager = ((FragmentActivity) getContext()).getSupportFragmentManager()).N()) != null && N.size() > 0 && getInternalFragmentNames() != null) {
            for (int i2 = 0; i2 < N.size(); i2++) {
                if (getInternalFragmentNames().contains(N.get(i2).getClass().getSimpleName())) {
                    b.o.a.a aVar = new b.o.a.a(supportFragmentManager);
                    aVar.j(N.get(i2));
                    aVar.d();
                }
            }
        }
    }

    @Override // d.l.b.g.g.c
    public void onNavigationBarChange(boolean z) {
        if (!z) {
            applyFull();
        } else {
            applySize(true);
        }
    }

    public void onShow() {
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        Rect rect = new Rect();
        getPopupContentView().getGlobalVisibleRect(rect);
        if (!d.l.b.g.e.l(motionEvent.getX(), motionEvent.getY(), rect)) {
            int action = motionEvent.getAction();
            if (action == 0) {
                this.x = motionEvent.getX();
                this.y = motionEvent.getY();
            } else if (action == 1) {
                float x2 = motionEvent.getX() - this.x;
                float y2 = motionEvent.getY() - this.y;
                if (((float) Math.sqrt(Math.pow((double) y2, 2.0d) + Math.pow((double) x2, 2.0d))) < ((float) this.touchSlop)) {
                    Objects.requireNonNull(this.popupInfo);
                    dismiss();
                }
                this.x = 0.0f;
                this.y = 0.0f;
            }
        }
        return true;
    }

    public BasePopupView show() {
        PopupStatus popupStatus2 = this.popupStatus;
        PopupStatus popupStatus3 = PopupStatus.Showing;
        if (popupStatus2 == popupStatus3) {
            return this;
        }
        this.popupStatus = popupStatus3;
        d.l.b.c.a aVar = this.dialog;
        if (aVar != null && aVar.isShowing()) {
            return this;
        }
        this.handler.post(this.attachTask);
        return this;
    }

    public void showSoftInput(View view) {
        Objects.requireNonNull(this.popupInfo);
    }

    public void smartDismiss() {
        this.handler.post(new d());
    }

    public void toggle() {
        if (isShow()) {
            dismiss();
        } else {
            show();
        }
    }
}
