package com.lxj.xpopup.widget;

import android.animation.ArgbEvaluator;
import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.view.View;
import d.l.b.g.e;

public class LoadingView extends View {
    private ArgbEvaluator argbEvaluator;
    public float avgAngle;
    public float centerX;
    public float centerY;
    private int endColor;
    public float endX;
    private Runnable increaseTask;
    public int lineCount;
    private Paint paint;
    private float radius;
    private float radiusOffset;
    private int startColor;
    public float startX;
    private float stokeWidth;
    public int time;

    public LoadingView(Context context) {
        this(context, null);
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        removeCallbacks(this.increaseTask);
    }

    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        for (int i2 = this.lineCount - 1; i2 >= 0; i2--) {
            int abs = Math.abs(this.time + i2);
            int i3 = this.lineCount;
            this.paint.setColor(((Integer) this.argbEvaluator.evaluate((((float) ((abs % i3) + 1)) * 1.0f) / ((float) i3), Integer.valueOf(this.startColor), Integer.valueOf(this.endColor))).intValue());
            float f2 = this.startX;
            float f3 = this.centerY;
            canvas.drawLine(f2, f3, this.endX, f3, this.paint);
            canvas.drawCircle(this.startX, this.centerY, this.stokeWidth / 2.0f, this.paint);
            canvas.drawCircle(this.endX, this.centerY, this.stokeWidth / 2.0f, this.paint);
            canvas.rotate(this.avgAngle, this.centerX, this.centerY);
        }
        postDelayed(this.increaseTask, 60);
    }

    public void onSizeChanged(int i2, int i3, int i4, int i5) {
        super.onSizeChanged(i2, i3, i4, i5);
        float measuredWidth = (float) (getMeasuredWidth() / 2);
        this.radius = measuredWidth;
        this.radiusOffset = measuredWidth / 2.5f;
        this.centerX = (float) (getMeasuredWidth() / 2);
        this.centerY = (float) (getMeasuredHeight() / 2);
        float measuredWidth2 = ((((float) getMeasuredWidth()) * 1.0f) / ((float) e.d(getContext(), 30.0f))) * this.stokeWidth;
        this.stokeWidth = measuredWidth2;
        this.paint.setStrokeWidth(measuredWidth2);
        float f2 = this.centerX + this.radiusOffset;
        this.startX = f2;
        this.endX = (this.radius / 3.0f) + f2;
        removeCallbacks(this.increaseTask);
    }

    public LoadingView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public LoadingView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.stokeWidth = 2.0f;
        this.argbEvaluator = new ArgbEvaluator();
        this.startColor = Color.parseColor("#CCCCCC");
        this.endColor = Color.parseColor("#333333");
        this.lineCount = 12;
        this.avgAngle = 360.0f / ((float) 12);
        this.time = 0;
        this.increaseTask = new Runnable() {
            /* class com.lxj.xpopup.widget.LoadingView.AnonymousClass1 */

            public void run() {
                LoadingView loadingView = LoadingView.this;
                loadingView.time++;
                loadingView.postInvalidate(0, 0, loadingView.getMeasuredWidth(), LoadingView.this.getMeasuredHeight());
            }
        };
        this.paint = new Paint(1);
        float d2 = (float) e.d(context, this.stokeWidth);
        this.stokeWidth = d2;
        this.paint.setStrokeWidth(d2);
    }
}
