package com.lxj.xpopup.widget;

import android.animation.ArgbEvaluator;
import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.HorizontalScrollView;
import androidx.core.view.ViewCompat;
import androidx.viewpager.widget.ViewPager;
import b.k.a.b;
import com.lxj.xpopup.enums.LayoutStatus;
import com.lxj.xpopup.enums.PopupPosition;
import d.l.b.a;
import d.l.b.b.e;
import java.util.concurrent.atomic.AtomicInteger;

public class PopupDrawerLayout extends FrameLayout {
    public ArgbEvaluator argbEvaluator;
    public e bgAnimator;
    public b.c callback;
    public boolean canChildScrollLeft;
    public int defaultColor;
    public b dragHelper;
    public boolean enableShadow;
    public float fraction;
    public boolean hasLayout;
    public boolean isCanClose;
    public boolean isDrawStatusBarShadow;
    public boolean isIntercept;
    public boolean isToLeft;
    private OnCloseListener listener;
    public View mChild;
    public Paint paint;
    public View placeHolder;
    public PopupPosition position;
    public Rect shadowRect;
    public LayoutStatus status;
    public float ty;
    public float x;
    public float y;

    public interface OnCloseListener {
        void onClose();

        void onDismissing(float f2);

        void onOpen();
    }

    public PopupDrawerLayout(Context context) {
        this(context, null);
    }

    private boolean canScroll(ViewGroup viewGroup, float f2, float f3, int i2) {
        for (int i3 = 0; i3 < viewGroup.getChildCount(); i3++) {
            View childAt = viewGroup.getChildAt(i3);
            int[] iArr = new int[2];
            childAt.getLocationInWindow(iArr);
            if (d.l.b.g.e.l(f2, f3, new Rect(iArr[0], iArr[1], childAt.getWidth() + iArr[0], childAt.getHeight() + iArr[1])) && (childAt instanceof ViewGroup)) {
                if (childAt instanceof ViewPager) {
                    ViewPager viewPager = (ViewPager) childAt;
                    if (i2 != 0) {
                        return viewPager.canScrollHorizontally(i2);
                    }
                    if (viewPager.canScrollHorizontally(-1) || viewPager.canScrollHorizontally(1)) {
                        return true;
                    }
                    return false;
                } else if (!(childAt instanceof HorizontalScrollView)) {
                    return canScroll((ViewGroup) childAt, f2, f3, i2);
                } else {
                    HorizontalScrollView horizontalScrollView = (HorizontalScrollView) childAt;
                    if (i2 != 0) {
                        return horizontalScrollView.canScrollHorizontally(i2);
                    }
                    if (horizontalScrollView.canScrollHorizontally(-1) || horizontalScrollView.canScrollHorizontally(1)) {
                        return true;
                    }
                    return false;
                }
            }
        }
        return false;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int fixLeft(int i2) {
        PopupPosition popupPosition = this.position;
        if (popupPosition == PopupPosition.Left) {
            if (i2 < (-this.mChild.getMeasuredWidth())) {
                i2 = -this.mChild.getMeasuredWidth();
            }
            if (i2 > 0) {
                return 0;
            }
            return i2;
        } else if (popupPosition != PopupPosition.Right) {
            return i2;
        } else {
            if (i2 < getMeasuredWidth() - this.mChild.getMeasuredWidth()) {
                i2 = getMeasuredWidth() - this.mChild.getMeasuredWidth();
            }
            return i2 > getMeasuredWidth() ? getMeasuredWidth() : i2;
        }
    }

    public void close() {
        if (!this.dragHelper.j(true) && this.isCanClose) {
            post(new Runnable() {
                /* class com.lxj.xpopup.widget.PopupDrawerLayout.AnonymousClass3 */

                public void run() {
                    PopupDrawerLayout popupDrawerLayout = PopupDrawerLayout.this;
                    b bVar = popupDrawerLayout.dragHelper;
                    View view = popupDrawerLayout.mChild;
                    bVar.z(view, popupDrawerLayout.position == PopupPosition.Left ? -view.getMeasuredWidth() : popupDrawerLayout.getMeasuredWidth(), 0);
                    PopupDrawerLayout popupDrawerLayout2 = PopupDrawerLayout.this;
                    AtomicInteger atomicInteger = ViewCompat.f1365a;
                    popupDrawerLayout2.postInvalidateOnAnimation();
                }
            });
        }
    }

    public void computeScroll() {
        super.computeScroll();
        if (this.dragHelper.j(false)) {
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            postInvalidateOnAnimation();
        }
    }

    public void dispatchDraw(Canvas canvas) {
        super.dispatchDraw(canvas);
        if (this.isDrawStatusBarShadow) {
            if (this.paint == null) {
                this.paint = new Paint();
                this.shadowRect = new Rect(0, 0, getMeasuredHeight(), d.l.b.g.e.i());
            }
            this.paint.setColor(((Integer) this.argbEvaluator.evaluate(this.fraction, Integer.valueOf(this.defaultColor), Integer.valueOf(a.f12190c))).intValue());
            canvas.drawRect(this.shadowRect, this.paint);
        }
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.ty = getTranslationY();
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        this.status = null;
        this.fraction = 0.0f;
        setTranslationY(this.ty);
    }

    public void onFinishInflate() {
        super.onFinishInflate();
        this.placeHolder = getChildAt(0);
        this.mChild = getChildAt(1);
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        this.isToLeft = motionEvent.getX() < this.x;
        this.x = motionEvent.getX();
        this.y = motionEvent.getY();
        this.canChildScrollLeft = canScroll(this, motionEvent.getX(), motionEvent.getY(), 1);
        if (motionEvent.getAction() == 1 || motionEvent.getAction() == 3) {
            this.x = 0.0f;
            this.y = 0.0f;
        }
        boolean y2 = this.dragHelper.y(motionEvent);
        this.isIntercept = y2;
        if (this.isToLeft && !this.canChildScrollLeft) {
            return y2;
        }
        if (!canScroll(this, motionEvent.getX(), motionEvent.getY())) {
            return this.isIntercept;
        }
        return super.onInterceptTouchEvent(motionEvent);
    }

    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        View view = this.placeHolder;
        view.layout(0, 0, view.getMeasuredWidth(), this.placeHolder.getMeasuredHeight());
        if (!this.hasLayout) {
            if (this.position == PopupPosition.Left) {
                View view2 = this.mChild;
                view2.layout(-view2.getMeasuredWidth(), 0, 0, getMeasuredHeight());
            } else {
                this.mChild.layout(getMeasuredWidth(), 0, this.mChild.getMeasuredWidth() + getMeasuredWidth(), getMeasuredHeight());
            }
            this.hasLayout = true;
            return;
        }
        View view3 = this.mChild;
        view3.layout(view3.getLeft(), this.mChild.getTop(), this.mChild.getRight(), this.mChild.getBottom());
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (this.dragHelper.j(true)) {
            return true;
        }
        this.dragHelper.r(motionEvent);
        return true;
    }

    public void open() {
        post(new Runnable() {
            /* class com.lxj.xpopup.widget.PopupDrawerLayout.AnonymousClass2 */

            public void run() {
                PopupDrawerLayout popupDrawerLayout = PopupDrawerLayout.this;
                b bVar = popupDrawerLayout.dragHelper;
                View view = popupDrawerLayout.mChild;
                bVar.z(view, popupDrawerLayout.position == PopupPosition.Left ? 0 : view.getLeft() - PopupDrawerLayout.this.mChild.getMeasuredWidth(), 0);
                PopupDrawerLayout popupDrawerLayout2 = PopupDrawerLayout.this;
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                popupDrawerLayout2.postInvalidateOnAnimation();
            }
        });
    }

    public void setDrawerPosition(PopupPosition popupPosition) {
        this.position = popupPosition;
    }

    public void setOnCloseListener(OnCloseListener onCloseListener) {
        this.listener = onCloseListener;
    }

    public PopupDrawerLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public PopupDrawerLayout(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.status = null;
        this.position = PopupPosition.Left;
        this.bgAnimator = new e();
        this.argbEvaluator = new ArgbEvaluator();
        this.defaultColor = 0;
        this.isDrawStatusBarShadow = false;
        this.fraction = 0.0f;
        this.enableShadow = true;
        this.hasLayout = false;
        this.isIntercept = false;
        AnonymousClass1 r1 = new b.c() {
            /* class com.lxj.xpopup.widget.PopupDrawerLayout.AnonymousClass1 */

            private void calcFraction(int i2) {
                LayoutStatus layoutStatus;
                PopupDrawerLayout popupDrawerLayout;
                LayoutStatus layoutStatus2;
                PopupDrawerLayout popupDrawerLayout2;
                LayoutStatus layoutStatus3;
                PopupDrawerLayout popupDrawerLayout3 = PopupDrawerLayout.this;
                PopupPosition popupPosition = popupDrawerLayout3.position;
                if (popupPosition == PopupPosition.Left) {
                    popupDrawerLayout3.fraction = (((float) (popupDrawerLayout3.mChild.getMeasuredWidth() + i2)) * 1.0f) / ((float) PopupDrawerLayout.this.mChild.getMeasuredWidth());
                    if (!(i2 != (-PopupDrawerLayout.this.mChild.getMeasuredWidth()) || PopupDrawerLayout.this.listener == null || (popupDrawerLayout2 = PopupDrawerLayout.this).status == (layoutStatus3 = LayoutStatus.Close))) {
                        popupDrawerLayout2.status = layoutStatus3;
                        popupDrawerLayout2.listener.onClose();
                    }
                } else if (popupPosition == PopupPosition.Right) {
                    popupDrawerLayout3.fraction = (((float) (popupDrawerLayout3.getMeasuredWidth() - i2)) * 1.0f) / ((float) PopupDrawerLayout.this.mChild.getMeasuredWidth());
                    if (!(i2 != PopupDrawerLayout.this.getMeasuredWidth() || PopupDrawerLayout.this.listener == null || (popupDrawerLayout = PopupDrawerLayout.this).status == (layoutStatus2 = LayoutStatus.Close))) {
                        popupDrawerLayout.status = layoutStatus2;
                        popupDrawerLayout.listener.onClose();
                    }
                }
                PopupDrawerLayout popupDrawerLayout4 = PopupDrawerLayout.this;
                if (popupDrawerLayout4.enableShadow) {
                    popupDrawerLayout4.setBackgroundColor(popupDrawerLayout4.bgAnimator.d(popupDrawerLayout4.fraction));
                }
                if (PopupDrawerLayout.this.listener != null) {
                    PopupDrawerLayout.this.listener.onDismissing(PopupDrawerLayout.this.fraction);
                    PopupDrawerLayout popupDrawerLayout5 = PopupDrawerLayout.this;
                    if (popupDrawerLayout5.fraction == 1.0f && popupDrawerLayout5.status != (layoutStatus = LayoutStatus.Open)) {
                        popupDrawerLayout5.status = layoutStatus;
                        popupDrawerLayout5.listener.onOpen();
                    }
                }
            }

            @Override // b.k.a.b.c
            public int clampViewPositionHorizontal(View view, int i2, int i3) {
                PopupDrawerLayout popupDrawerLayout = PopupDrawerLayout.this;
                if (view == popupDrawerLayout.placeHolder) {
                    return i2;
                }
                return popupDrawerLayout.fixLeft(i2);
            }

            @Override // b.k.a.b.c
            public int getViewHorizontalDragRange(View view) {
                return 1;
            }

            @Override // b.k.a.b.c
            public void onViewPositionChanged(View view, int i2, int i3, int i4, int i5) {
                super.onViewPositionChanged(view, i2, i3, i4, i5);
                View view2 = PopupDrawerLayout.this.placeHolder;
                if (view == view2) {
                    view2.layout(0, 0, view2.getMeasuredWidth(), PopupDrawerLayout.this.placeHolder.getMeasuredHeight());
                    PopupDrawerLayout popupDrawerLayout = PopupDrawerLayout.this;
                    int fixLeft = popupDrawerLayout.fixLeft(popupDrawerLayout.mChild.getLeft() + i4);
                    View view3 = PopupDrawerLayout.this.mChild;
                    view3.layout(fixLeft, view3.getTop(), PopupDrawerLayout.this.mChild.getMeasuredWidth() + fixLeft, PopupDrawerLayout.this.mChild.getBottom());
                    calcFraction(fixLeft);
                    return;
                }
                calcFraction(i2);
            }

            @Override // b.k.a.b.c
            public void onViewReleased(View view, float f2, float f3) {
                int i2;
                int measuredWidth;
                super.onViewReleased(view, f2, f3);
                PopupDrawerLayout popupDrawerLayout = PopupDrawerLayout.this;
                if (view == popupDrawerLayout.placeHolder && f2 == 0.0f) {
                    popupDrawerLayout.close();
                    return;
                }
                View view2 = popupDrawerLayout.mChild;
                if (view != view2 || !popupDrawerLayout.isToLeft || popupDrawerLayout.canChildScrollLeft || f2 >= -500.0f) {
                    if (popupDrawerLayout.position == PopupPosition.Left) {
                        if (f2 < -1000.0f) {
                            measuredWidth = view2.getMeasuredWidth();
                        } else {
                            if (PopupDrawerLayout.this.mChild.getLeft() < (-view2.getMeasuredWidth()) / 2) {
                                measuredWidth = PopupDrawerLayout.this.mChild.getMeasuredWidth();
                            } else {
                                i2 = 0;
                            }
                        }
                        i2 = -measuredWidth;
                    } else if (f2 > 1000.0f) {
                        i2 = popupDrawerLayout.getMeasuredWidth();
                    } else {
                        i2 = view.getLeft() < popupDrawerLayout.getMeasuredWidth() - (PopupDrawerLayout.this.mChild.getMeasuredWidth() / 2) ? PopupDrawerLayout.this.getMeasuredWidth() - PopupDrawerLayout.this.mChild.getMeasuredWidth() : PopupDrawerLayout.this.getMeasuredWidth();
                    }
                    PopupDrawerLayout popupDrawerLayout2 = PopupDrawerLayout.this;
                    popupDrawerLayout2.dragHelper.z(popupDrawerLayout2.mChild, i2, view.getTop());
                    PopupDrawerLayout popupDrawerLayout3 = PopupDrawerLayout.this;
                    AtomicInteger atomicInteger = ViewCompat.f1365a;
                    popupDrawerLayout3.postInvalidateOnAnimation();
                    return;
                }
                popupDrawerLayout.close();
            }

            @Override // b.k.a.b.c
            public boolean tryCaptureView(View view, int i2) {
                return !PopupDrawerLayout.this.dragHelper.j(true);
            }
        };
        this.callback = r1;
        this.isCanClose = true;
        this.dragHelper = new b(getContext(), this, r1);
    }

    private boolean canScroll(ViewGroup viewGroup, float f2, float f3) {
        return canScroll(viewGroup, f2, f3, 0);
    }
}
