package com.maning.updatelibrary.http;

import android.os.Handler;
import android.os.Looper;
import android.util.Log;
import d.a.a.a.a;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.security.KeyManagementException;
import java.security.NoSuchAlgorithmException;
import java.security.SecureRandom;
import java.security.cert.X509Certificate;
import java.util.HashMap;
import java.util.Map;
import java.util.Objects;
import java.util.concurrent.TimeUnit;
import javax.net.ssl.HostnameVerifier;
import javax.net.ssl.SSLContext;
import javax.net.ssl.SSLSession;
import javax.net.ssl.SSLSocketFactory;
import javax.net.ssl.TrustManager;
import javax.net.ssl.X509TrustManager;
import okhttp3.Call;
import okhttp3.Callback;
import okhttp3.Interceptor;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.Response;

public class DownloadFileUtils {
    private static final String TAG = "DownloadFileUtils";
    private static DownloadFileUtils instance;
    private static HashMap<Object, Call> mCallHashMap = new HashMap<>();
    private static Handler mUIHandler = new Handler(Looper.getMainLooper());
    private AbsFileProgressCallback defaultFileProgressCallback = new AbsFileProgressCallback() {
        /* class com.maning.updatelibrary.http.DownloadFileUtils.AnonymousClass1 */

        @Override // com.maning.updatelibrary.http.AbsFileProgressCallback
        public void onCancle() {
        }

        @Override // com.maning.updatelibrary.http.AbsFileProgressCallback
        public void onFailed(String str) {
        }

        @Override // com.maning.updatelibrary.http.AbsFileProgressCallback
        public void onProgress(long j2, long j3, boolean z) {
        }

        @Override // com.maning.updatelibrary.http.AbsFileProgressCallback
        public void onStart() {
        }

        @Override // com.maning.updatelibrary.http.AbsFileProgressCallback
        public void onSuccess(String str) {
        }
    };
    private DownloadModel downloadModel = new DownloadModel();

    private DownloadFileUtils() {
    }

    public static void cancle(Object obj) {
        Call call;
        try {
            HashMap<Object, Call> hashMap = mCallHashMap;
            if (hashMap != null && hashMap.size() > 0 && mCallHashMap.containsKey(obj) && (call = mCallHashMap.get(obj)) != null) {
                if (!call.isCanceled()) {
                    call.cancel();
                }
                mCallHashMap.remove(obj);
            }
        } catch (Exception unused) {
        }
    }

    public static void cancleAll() {
        try {
            HashMap<Object, Call> hashMap = mCallHashMap;
            if (hashMap != null && hashMap.size() > 0) {
                for (Map.Entry<Object, Call> entry : mCallHashMap.entrySet()) {
                    Object key = entry.getKey();
                    Call value = entry.getValue();
                    if (value != null) {
                        if (!value.isCanceled()) {
                            value.cancel();
                        }
                        mCallHashMap.remove(key);
                    }
                }
            }
        } catch (Exception unused) {
        }
    }

    /* access modifiers changed from: private */
    public static void checkDownloadFilePath(String str) {
        File file = new File(str.substring(0, str.lastIndexOf("/") + 1));
        File file2 = new File(str);
        if (!file.exists()) {
            file.mkdirs();
        }
        if (!file2.exists()) {
            try {
                file2.createNewFile();
            } catch (IOException e2) {
                e2.printStackTrace();
            }
        }
    }

    public static OkHttpClient.Builder getOkhttpDefaultBuilder() {
        SSLContext sSLContext;
        NoSuchAlgorithmException e2;
        KeyManagementException e3;
        AnonymousClass5 r0 = new X509TrustManager() {
            /* class com.maning.updatelibrary.http.DownloadFileUtils.AnonymousClass5 */

            @Override // javax.net.ssl.X509TrustManager
            public void checkClientTrusted(X509Certificate[] x509CertificateArr, String str) {
            }

            @Override // javax.net.ssl.X509TrustManager
            public void checkServerTrusted(X509Certificate[] x509CertificateArr, String str) {
            }

            public X509Certificate[] getAcceptedIssuers() {
                return new X509Certificate[0];
            }
        };
        try {
            sSLContext = SSLContext.getInstance("SSL");
            try {
                sSLContext.init(null, new TrustManager[]{r0}, new SecureRandom());
            } catch (NoSuchAlgorithmException e4) {
                e2 = e4;
            } catch (KeyManagementException e5) {
                e3 = e5;
                e3.printStackTrace();
                SSLSocketFactory socketFactory = sSLContext.getSocketFactory();
                AnonymousClass6 r2 = new HostnameVerifier() {
                    /* class com.maning.updatelibrary.http.DownloadFileUtils.AnonymousClass6 */

                    public boolean verify(String str, SSLSession sSLSession) {
                        return true;
                    }
                };
                OkHttpClient.Builder builder = new OkHttpClient.Builder();
                TimeUnit timeUnit = TimeUnit.MILLISECONDS;
                builder.connectTimeout(30000, timeUnit);
                builder.readTimeout(30000, timeUnit);
                builder.writeTimeout(30000, timeUnit);
                builder.sslSocketFactory(socketFactory, r0);
                builder.hostnameVerifier(r2);
                return builder;
            }
        } catch (NoSuchAlgorithmException e6) {
            sSLContext = null;
            e2 = e6;
            e2.printStackTrace();
            SSLSocketFactory socketFactory2 = sSLContext.getSocketFactory();
            AnonymousClass6 r22 = new HostnameVerifier() {
                /* class com.maning.updatelibrary.http.DownloadFileUtils.AnonymousClass6 */

                public boolean verify(String str, SSLSession sSLSession) {
                    return true;
                }
            };
            OkHttpClient.Builder builder2 = new OkHttpClient.Builder();
            TimeUnit timeUnit2 = TimeUnit.MILLISECONDS;
            builder2.connectTimeout(30000, timeUnit2);
            builder2.readTimeout(30000, timeUnit2);
            builder2.writeTimeout(30000, timeUnit2);
            builder2.sslSocketFactory(socketFactory2, r0);
            builder2.hostnameVerifier(r22);
            return builder2;
        } catch (KeyManagementException e7) {
            sSLContext = null;
            e3 = e7;
            e3.printStackTrace();
            SSLSocketFactory socketFactory22 = sSLContext.getSocketFactory();
            AnonymousClass6 r222 = new HostnameVerifier() {
                /* class com.maning.updatelibrary.http.DownloadFileUtils.AnonymousClass6 */

                public boolean verify(String str, SSLSession sSLSession) {
                    return true;
                }
            };
            OkHttpClient.Builder builder22 = new OkHttpClient.Builder();
            TimeUnit timeUnit22 = TimeUnit.MILLISECONDS;
            builder22.connectTimeout(30000, timeUnit22);
            builder22.readTimeout(30000, timeUnit22);
            builder22.writeTimeout(30000, timeUnit22);
            builder22.sslSocketFactory(socketFactory22, r0);
            builder22.hostnameVerifier(r222);
            return builder22;
        }
        SSLSocketFactory socketFactory222 = sSLContext.getSocketFactory();
        AnonymousClass6 r2222 = new HostnameVerifier() {
            /* class com.maning.updatelibrary.http.DownloadFileUtils.AnonymousClass6 */

            public boolean verify(String str, SSLSession sSLSession) {
                return true;
            }
        };
        OkHttpClient.Builder builder222 = new OkHttpClient.Builder();
        TimeUnit timeUnit222 = TimeUnit.MILLISECONDS;
        builder222.connectTimeout(30000, timeUnit222);
        builder222.readTimeout(30000, timeUnit222);
        builder222.writeTimeout(30000, timeUnit222);
        builder222.sslSocketFactory(socketFactory222, r0);
        builder222.hostnameVerifier(r2222);
        return builder222;
    }

    private void startDonwload() {
        DownloadModel downloadModel2 = this.downloadModel;
        Objects.requireNonNull(downloadModel2, "OkhttpRequestModel初始化失败");
        String httpUrl = downloadModel2.getHttpUrl();
        Object tag = this.downloadModel.getTag();
        if (tag == null) {
            tag = httpUrl;
        }
        Map<String, String> headersMap = this.downloadModel.getHeadersMap();
        final String downloadPath = this.downloadModel.getDownloadPath();
        final AbsFileProgressCallback fileProgressCallback = this.downloadModel.getFileProgressCallback();
        OkHttpClient.Builder okhttpDefaultBuilder = getOkhttpDefaultBuilder();
        Request.Builder builder = new Request.Builder();
        builder.url(httpUrl);
        if (headersMap != null && headersMap.size() > 0) {
            for (String str : headersMap.keySet()) {
                builder.addHeader(str, headersMap.get(str));
            }
        }
        okhttpDefaultBuilder.addNetworkInterceptor(new Interceptor() {
            /* class com.maning.updatelibrary.http.DownloadFileUtils.AnonymousClass2 */

            @Override // okhttp3.Interceptor
            public Response intercept(Interceptor.Chain chain) {
                Response proceed = chain.proceed(chain.request());
                return proceed.newBuilder().body(new ProgressResponseBody(proceed.body(), fileProgressCallback)).build();
            }
        });
        mUIHandler.post(new Runnable() {
            /* class com.maning.updatelibrary.http.DownloadFileUtils.AnonymousClass3 */

            public void run() {
                fileProgressCallback.onStart();
            }
        });
        Call newCall = okhttpDefaultBuilder.build().newCall(builder.get().build());
        mCallHashMap.put(tag, newCall);
        newCall.enqueue(new Callback() {
            /* class com.maning.updatelibrary.http.DownloadFileUtils.AnonymousClass4 */

            @Override // okhttp3.Callback
            public void onFailure(final Call call, final IOException iOException) {
                String str = DownloadFileUtils.TAG;
                StringBuilder B = a.B("onFailure:");
                B.append(iOException.toString());
                Log.e(str, B.toString());
                DownloadFileUtils.mUIHandler.post(new Runnable() {
                    /* class com.maning.updatelibrary.http.DownloadFileUtils.AnonymousClass4.AnonymousClass1 */

                    public void run() {
                        if (call.isCanceled()) {
                            fileProgressCallback.onCancle();
                        } else {
                            fileProgressCallback.onFailed(iOException.toString());
                        }
                    }
                });
            }

            /* JADX WARNING: Removed duplicated region for block: B:36:0x0083 A[SYNTHETIC, Splitter:B:36:0x0083] */
            /* JADX WARNING: Removed duplicated region for block: B:43:0x008f A[SYNTHETIC, Splitter:B:43:0x008f] */
            /* JADX WARNING: Removed duplicated region for block: B:47:0x0096 A[SYNTHETIC, Splitter:B:47:0x0096] */
            /* JADX WARNING: Removed duplicated region for block: B:54:? A[RETURN, SYNTHETIC] */
            @Override // okhttp3.Callback
            public void onResponse(Call call, Response response) {
                Throwable th;
                FileOutputStream fileOutputStream;
                final Exception e2;
                byte[] bArr = new byte[2048];
                DownloadFileUtils.checkDownloadFilePath(downloadPath);
                InputStream inputStream = null;
                try {
                    if (200 == response.code()) {
                        InputStream byteStream = response.body().byteStream();
                        try {
                            response.body().contentLength();
                            fileOutputStream = new FileOutputStream(new File(downloadPath));
                            while (true) {
                                try {
                                    int read = byteStream.read(bArr);
                                    if (read == -1) {
                                        break;
                                    }
                                    fileOutputStream.write(bArr, 0, read);
                                } catch (Exception e3) {
                                    e2 = e3;
                                    inputStream = byteStream;
                                    try {
                                        DownloadFileUtils.mUIHandler.post(new Runnable() {
                                            /* class com.maning.updatelibrary.http.DownloadFileUtils.AnonymousClass4.AnonymousClass4 */

                                            public void run() {
                                                String str = DownloadFileUtils.TAG;
                                                StringBuilder B = a.B("onFailure:");
                                                B.append(e2.getMessage());
                                                Log.e(str, B.toString());
                                                if (e2.getMessage().equals("Socket closed")) {
                                                    fileProgressCallback.onCancle();
                                                } else {
                                                    fileProgressCallback.onFailed(e2.toString());
                                                }
                                            }
                                        });
                                        if (inputStream != null) {
                                        }
                                        if (fileOutputStream == null) {
                                        }
                                        fileOutputStream.close();
                                    } catch (Throwable th2) {
                                        th = th2;
                                        if (inputStream != null) {
                                        }
                                        if (fileOutputStream != null) {
                                        }
                                        throw th;
                                    }
                                } catch (Throwable th3) {
                                    th = th3;
                                    inputStream = byteStream;
                                    if (inputStream != null) {
                                    }
                                    if (fileOutputStream != null) {
                                    }
                                    throw th;
                                }
                            }
                            fileOutputStream.flush();
                            DownloadFileUtils.mUIHandler.post(new Runnable() {
                                /* class com.maning.updatelibrary.http.DownloadFileUtils.AnonymousClass4.AnonymousClass2 */

                                public void run() {
                                    fileProgressCallback.onSuccess("");
                                }
                            });
                            inputStream = byteStream;
                        } catch (Exception e4) {
                            e2 = e4;
                            fileOutputStream = null;
                            inputStream = byteStream;
                            DownloadFileUtils.mUIHandler.post(new Runnable() {
                                /* class com.maning.updatelibrary.http.DownloadFileUtils.AnonymousClass4.AnonymousClass4 */

                                public void run() {
                                    String str = DownloadFileUtils.TAG;
                                    StringBuilder B = a.B("onFailure:");
                                    B.append(e2.getMessage());
                                    Log.e(str, B.toString());
                                    if (e2.getMessage().equals("Socket closed")) {
                                        fileProgressCallback.onCancle();
                                    } else {
                                        fileProgressCallback.onFailed(e2.toString());
                                    }
                                }
                            });
                            if (inputStream != null) {
                            }
                            if (fileOutputStream == null) {
                            }
                            fileOutputStream.close();
                        } catch (Throwable th4) {
                            th = th4;
                            fileOutputStream = null;
                            inputStream = byteStream;
                            if (inputStream != null) {
                            }
                            if (fileOutputStream != null) {
                            }
                            throw th;
                        }
                    } else {
                        DownloadFileUtils.mUIHandler.post(new Runnable() {
                            /* class com.maning.updatelibrary.http.DownloadFileUtils.AnonymousClass4.AnonymousClass3 */

                            public void run() {
                                fileProgressCallback.onFailed("下载失败");
                            }
                        });
                        fileOutputStream = null;
                    }
                    if (inputStream != null) {
                        try {
                            inputStream.close();
                        } catch (IOException unused) {
                        }
                    }
                    if (fileOutputStream == null) {
                        return;
                    }
                } catch (Exception e5) {
                    e2 = e5;
                    fileOutputStream = null;
                    DownloadFileUtils.mUIHandler.post(new Runnable() {
                        /* class com.maning.updatelibrary.http.DownloadFileUtils.AnonymousClass4.AnonymousClass4 */

                        public void run() {
                            String str = DownloadFileUtils.TAG;
                            StringBuilder B = a.B("onFailure:");
                            B.append(e2.getMessage());
                            Log.e(str, B.toString());
                            if (e2.getMessage().equals("Socket closed")) {
                                fileProgressCallback.onCancle();
                            } else {
                                fileProgressCallback.onFailed(e2.toString());
                            }
                        }
                    });
                    if (inputStream != null) {
                        try {
                            inputStream.close();
                        } catch (IOException unused2) {
                        }
                    }
                    if (fileOutputStream == null) {
                        return;
                    }
                    fileOutputStream.close();
                } catch (Throwable th5) {
                    th = th5;
                    fileOutputStream = null;
                    if (inputStream != null) {
                        try {
                            inputStream.close();
                        } catch (IOException unused3) {
                        }
                    }
                    if (fileOutputStream != null) {
                        try {
                            fileOutputStream.close();
                        } catch (IOException unused4) {
                        }
                    }
                    throw th;
                }
                try {
                    fileOutputStream.close();
                } catch (IOException unused5) {
                }
            }
        });
    }

    public static DownloadFileUtils with() {
        DownloadFileUtils downloadFileUtils = new DownloadFileUtils();
        instance = downloadFileUtils;
        return downloadFileUtils;
    }

    public DownloadFileUtils addHeader(String str, String str2) {
        this.downloadModel.getHeadersMap().put(str, str2);
        return instance;
    }

    public DownloadFileUtils downloadPath(String str) {
        this.downloadModel.setDownloadPath(str);
        return instance;
    }

    public void execute(AbsFileProgressCallback absFileProgressCallback) {
        if (absFileProgressCallback == null) {
            absFileProgressCallback = this.defaultFileProgressCallback;
        }
        this.downloadModel.setFileProgressCallback(absFileProgressCallback);
        startDonwload();
    }

    public DownloadFileUtils headers(Map<String, String> map) {
        this.downloadModel.setHeadersMap(map);
        return instance;
    }

    public DownloadFileUtils tag(Object obj) {
        this.downloadModel.setTag(obj);
        return instance;
    }

    public DownloadFileUtils url(String str) {
        this.downloadModel.setHttpUrl(str);
        return instance;
    }
}
