package com.shuyu.gsyvideoplayer.utils;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.media.ThumbnailUtils;
import com.shuyu.gsyvideoplayer.video.StandardGSYVideoPlayer;
import d.a.a.a.a;
import d.p.a.f.c;
import d.p.a.f.f;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import java.util.Timer;
import java.util.TimerTask;

public class GifCreateHelper {
    private int mDelay;
    private int mFrequencyCount;
    private c mGSYVideoGifSaveListener;
    private List<String> mPicList;
    private StandardGSYVideoPlayer mPlayer;
    private int mSampleSize;
    private boolean mSaveShotBitmapSuccess;
    private int mScaleSize;
    private Timer mTimer;
    private TaskLocal mTimerTask;
    private File mTmpPath;

    public class TaskLocal extends TimerTask {
        private TaskLocal() {
        }

        public void run() {
            if (GifCreateHelper.this.mSaveShotBitmapSuccess) {
                GifCreateHelper.this.mSaveShotBitmapSuccess = false;
                GifCreateHelper.this.startSaveBitmap();
            }
        }
    }

    public GifCreateHelper(StandardGSYVideoPlayer standardGSYVideoPlayer, c cVar) {
        this(standardGSYVideoPlayer, cVar, 0, 1, 5, 50);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void startSaveBitmap() {
        File file = this.mTmpPath;
        StringBuilder B = a.B("GSY-TMP-FRAME");
        B.append(System.currentTimeMillis());
        B.append(".tmp");
        this.mPlayer.saveFrame(new File(file, B.toString()), new f() {
            /* class com.shuyu.gsyvideoplayer.utils.GifCreateHelper.AnonymousClass2 */

            @Override // d.p.a.f.f
            public void result(boolean z, File file) {
                GifCreateHelper.this.mSaveShotBitmapSuccess = true;
                if (z) {
                    StringBuilder B = a.B(" SUCCESS CREATE FILE ");
                    B.append(file.getAbsolutePath());
                    Debuger.printfError(B.toString());
                    GifCreateHelper.this.mPicList.add(file.getAbsolutePath());
                }
            }
        });
    }

    public void cancelTask() {
        TaskLocal taskLocal = this.mTimerTask;
        if (taskLocal != null) {
            taskLocal.cancel();
            this.mTimerTask = null;
        }
    }

    public void createGif(File file, List<String> list, int i2, int i3, int i4, c cVar) {
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        AnimatedGifEncoder animatedGifEncoder = new AnimatedGifEncoder();
        animatedGifEncoder.start(byteArrayOutputStream);
        animatedGifEncoder.setRepeat(0);
        animatedGifEncoder.setDelay(i2);
        int i5 = 0;
        while (i5 < list.size()) {
            BitmapFactory.Options options = new BitmapFactory.Options();
            options.inSampleSize = i3;
            options.inJustDecodeBounds = true;
            BitmapFactory.decodeFile(list.get(i5), options);
            double d2 = (double) i4;
            double d3 = ((double) options.outWidth) / d2;
            double d4 = ((double) options.outHeight) / d2;
            options.inJustDecodeBounds = false;
            Bitmap decodeFile = BitmapFactory.decodeFile(list.get(i5), options);
            Bitmap extractThumbnail = ThumbnailUtils.extractThumbnail(decodeFile, (int) d3, (int) d4);
            animatedGifEncoder.addFrame(extractThumbnail);
            decodeFile.recycle();
            extractThumbnail.recycle();
            i5++;
            cVar.a(i5, list.size());
        }
        animatedGifEncoder.finish();
        try {
            FileOutputStream fileOutputStream = new FileOutputStream(file.getPath());
            byteArrayOutputStream.writeTo(fileOutputStream);
            byteArrayOutputStream.flush();
            fileOutputStream.flush();
            byteArrayOutputStream.close();
            fileOutputStream.close();
            cVar.result(true, file);
        } catch (IOException e2) {
            e2.printStackTrace();
            cVar.result(false, file);
        }
    }

    public void startGif(File file) {
        this.mTmpPath = file;
        cancelTask();
        this.mPicList.clear();
        TaskLocal taskLocal = new TaskLocal();
        this.mTimerTask = taskLocal;
        this.mTimer.schedule(taskLocal, 0, (long) this.mFrequencyCount);
    }

    public void stopGif(final File file) {
        cancelTask();
        this.mSaveShotBitmapSuccess = true;
        new Thread(new Runnable() {
            /* class com.shuyu.gsyvideoplayer.utils.GifCreateHelper.AnonymousClass1 */

            public void run() {
                if (GifCreateHelper.this.mPicList.size() > 2) {
                    GifCreateHelper gifCreateHelper = GifCreateHelper.this;
                    gifCreateHelper.createGif(file, gifCreateHelper.mPicList, GifCreateHelper.this.mDelay, GifCreateHelper.this.mSampleSize, GifCreateHelper.this.mScaleSize, GifCreateHelper.this.mGSYVideoGifSaveListener);
                    return;
                }
                GifCreateHelper.this.mGSYVideoGifSaveListener.result(false, null);
            }
        }).start();
    }

    public GifCreateHelper(StandardGSYVideoPlayer standardGSYVideoPlayer, c cVar, int i2, int i3, int i4, int i5) {
        this.mSaveShotBitmapSuccess = true;
        this.mTimer = new Timer();
        this.mPicList = new ArrayList();
        this.mDelay = 0;
        this.mSampleSize = 1;
        this.mScaleSize = 5;
        this.mFrequencyCount = 50;
        this.mPlayer = standardGSYVideoPlayer;
        this.mGSYVideoGifSaveListener = cVar;
        this.mDelay = i2;
        this.mSampleSize = i3;
        this.mScaleSize = i4;
        this.mFrequencyCount = i5;
    }
}
