package com.shuyu.gsyvideoplayer.video.base;

import android.content.Context;
import android.graphics.Bitmap;
import android.util.AttributeSet;
import android.view.Surface;
import android.view.TextureView;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import com.shuyu.gsyvideoplayer.render.view.GSYSurfaceView;
import com.shuyu.gsyvideoplayer.render.view.GSYTextureView;
import com.shuyu.gsyvideoplayer.render.view.GSYVideoGLView;
import com.shuyu.gsyvideoplayer.utils.GSYVideoType;
import com.shuyu.gsyvideoplayer.utils.MeasureHelper;
import d.p.a.i.b.a;
import d.p.a.i.c.b;
import d.p.a.i.d.b.c;
import java.util.Objects;

public abstract class GSYTextureRenderView extends FrameLayout implements c, MeasureHelper.MeasureFormVideoParamsListener {
    public GSYVideoGLView.c mEffectFilter = new a();
    public Bitmap mFullPauseBitmap;
    public float[] mMatrixGL = null;
    public int mMode = 0;
    public b mRenderer;
    public int mRotate;
    public Surface mSurface;
    public d.p.a.i.a mTextureView;
    public ViewGroup mTextureViewContainer;

    public GSYTextureRenderView(Context context) {
        super(context);
    }

    public void addTextureView() {
        d.p.a.i.a aVar = new d.p.a.i.a();
        this.mTextureView = aVar;
        Context context = getContext();
        ViewGroup viewGroup = this.mTextureViewContainer;
        int i2 = this.mRotate;
        GSYVideoGLView.c cVar = this.mEffectFilter;
        float[] fArr = this.mMatrixGL;
        b bVar = this.mRenderer;
        int i3 = this.mMode;
        Objects.requireNonNull(aVar);
        if (GSYVideoType.getRenderType() == 1) {
            int i4 = GSYSurfaceView.f7523d;
            if (viewGroup.getChildCount() > 0) {
                viewGroup.removeAllViews();
            }
            GSYSurfaceView gSYSurfaceView = new GSYSurfaceView(context);
            gSYSurfaceView.setIGSYSurfaceListener(this);
            gSYSurfaceView.setVideoParamsListener(this);
            gSYSurfaceView.setRotation((float) i2);
            d.p.a.i.a.a(viewGroup, gSYSurfaceView);
            aVar.f12537a = gSYSurfaceView;
        } else if (GSYVideoType.getRenderType() == 2) {
            aVar.f12537a = GSYVideoGLView.e(context, viewGroup, i2, this, this, cVar, fArr, bVar, i3);
        } else {
            int i5 = GSYTextureView.f7527d;
            if (viewGroup.getChildCount() > 0) {
                viewGroup.removeAllViews();
            }
            GSYTextureView gSYTextureView = new GSYTextureView(context);
            gSYTextureView.setIGSYSurfaceListener(this);
            gSYTextureView.setVideoParamsListener(this);
            gSYTextureView.setRotation((float) i2);
            d.p.a.i.a.a(viewGroup, gSYTextureView);
            aVar.f12537a = gSYTextureView;
        }
    }

    public void changeTextureViewShowType() {
        if (this.mTextureView != null) {
            int textureParams = getTextureParams();
            ViewGroup.LayoutParams layoutParams = this.mTextureView.f12537a.getRenderView().getLayoutParams();
            layoutParams.width = textureParams;
            layoutParams.height = textureParams;
            d.p.a.i.d.a aVar = this.mTextureView.f12537a;
            if (aVar != null) {
                aVar.getRenderView().setLayoutParams(layoutParams);
            }
        }
    }

    public GSYVideoGLView.c getEffectFilter() {
        return this.mEffectFilter;
    }

    public d.p.a.i.a getRenderProxy() {
        return this.mTextureView;
    }

    public int getTextureParams() {
        return GSYVideoType.getShowType() != 0 ? -2 : -1;
    }

    public void initCover() {
        d.p.a.i.a aVar = this.mTextureView;
        if (aVar != null) {
            d.p.a.i.d.a aVar2 = aVar.f12537a;
            this.mFullPauseBitmap = aVar2 != null ? aVar2.a() : null;
        }
    }

    @Override // d.p.a.i.d.b.c
    public void onSurfaceAvailable(Surface surface) {
        boolean z;
        d.p.a.i.a aVar = this.mTextureView;
        if (aVar != null) {
            d.p.a.i.d.a aVar2 = aVar.f12537a;
            if ((aVar2 != null ? aVar2.getRenderView() : null) instanceof TextureView) {
                z = true;
                pauseLogic(surface, z);
            }
        }
        z = false;
        pauseLogic(surface, z);
    }

    @Override // d.p.a.i.d.b.c
    public boolean onSurfaceDestroyed(Surface surface) {
        setDisplay(null);
        releaseSurface(surface);
        return true;
    }

    @Override // d.p.a.i.d.b.c
    public void onSurfaceSizeChanged(Surface surface, int i2, int i3) {
    }

    @Override // d.p.a.i.d.b.c
    public void onSurfaceUpdated(Surface surface) {
        releasePauseCover();
    }

    public void pauseLogic(Surface surface, boolean z) {
        this.mSurface = surface;
        if (z) {
            showPauseCover();
        }
        setDisplay(this.mSurface);
    }

    public abstract void releasePauseCover();

    public abstract void releaseSurface(Surface surface);

    public void setCustomGLRenderer(b bVar) {
        d.p.a.i.d.a aVar;
        this.mRenderer = bVar;
        d.p.a.i.a aVar2 = this.mTextureView;
        if (aVar2 != null && (aVar = aVar2.f12537a) != null) {
            aVar.setGLRenderer(bVar);
        }
    }

    public abstract void setDisplay(Surface surface);

    public void setEffectFilter(GSYVideoGLView.c cVar) {
        d.p.a.i.d.a aVar;
        this.mEffectFilter = cVar;
        d.p.a.i.a aVar2 = this.mTextureView;
        if (aVar2 != null && (aVar = aVar2.f12537a) != null) {
            aVar.setGLEffectFilter(cVar);
        }
    }

    public void setGLRenderMode(int i2) {
        d.p.a.i.d.a aVar;
        this.mMode = i2;
        d.p.a.i.a aVar2 = this.mTextureView;
        if (aVar2 != null && (aVar = aVar2.f12537a) != null) {
            aVar.setRenderMode(i2);
        }
    }

    public void setMatrixGL(float[] fArr) {
        d.p.a.i.d.a aVar;
        this.mMatrixGL = fArr;
        d.p.a.i.a aVar2 = this.mTextureView;
        if (aVar2 != null && (aVar = aVar2.f12537a) != null) {
            aVar.setGLMVPMatrix(fArr);
        }
    }

    public abstract void setSmallVideoTextureView();

    public void setSmallVideoTextureView(View.OnTouchListener onTouchListener) {
        this.mTextureViewContainer.setOnTouchListener(onTouchListener);
        this.mTextureViewContainer.setOnClickListener(null);
        setSmallVideoTextureView();
    }

    public abstract void showPauseCover();

    public GSYTextureRenderView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    public GSYTextureRenderView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
    }
}
