package com.shuyu.gsyvideoplayer.video.base;

import android.app.Activity;
import android.content.Context;
import android.media.AudioManager;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.GestureDetector;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.WindowManager;
import android.widget.ImageView;
import android.widget.ProgressBar;
import android.widget.RelativeLayout;
import android.widget.SeekBar;
import android.widget.TextView;
import com.shuyu.gsyvideoplayer.R$drawable;
import com.shuyu.gsyvideoplayer.R$id;
import com.shuyu.gsyvideoplayer.R$string;
import com.shuyu.gsyvideoplayer.utils.CommonUtil;
import com.shuyu.gsyvideoplayer.utils.Debuger;
import d.a.a.a.a;
import d.p.a.f.d;
import d.p.a.f.g;
import java.io.File;
import java.util.Map;

public abstract class GSYVideoControlView extends GSYVideoView implements View.OnClickListener, View.OnTouchListener, SeekBar.OnSeekBarChangeListener {
    public Runnable dismissControlTask = new Runnable() {
        /* class com.shuyu.gsyvideoplayer.video.base.GSYVideoControlView.AnonymousClass5 */

        public void run() {
            GSYVideoControlView gSYVideoControlView = GSYVideoControlView.this;
            int i2 = gSYVideoControlView.mCurrentState;
            if (i2 != 0 && i2 != 7 && i2 != 6) {
                if (gSYVideoControlView.getActivityContext() != null) {
                    GSYVideoControlView.this.hideAllWidget();
                    GSYVideoControlView gSYVideoControlView2 = GSYVideoControlView.this;
                    gSYVideoControlView2.setViewShowState(gSYVideoControlView2.mLockScreen, 8);
                    GSYVideoControlView gSYVideoControlView3 = GSYVideoControlView.this;
                    if (gSYVideoControlView3.mHideKey && gSYVideoControlView3.mIfCurrentIsFullscreen && gSYVideoControlView3.mShowVKey) {
                        CommonUtil.hideNavKey(gSYVideoControlView3.mContext);
                    }
                }
                GSYVideoControlView gSYVideoControlView4 = GSYVideoControlView.this;
                if (gSYVideoControlView4.mPostDismiss) {
                    gSYVideoControlView4.postDelayed(this, (long) gSYVideoControlView4.mDismissControlTime);
                }
            }
        }
    };
    public GestureDetector gestureDetector = new GestureDetector(getContext().getApplicationContext(), new GestureDetector.SimpleOnGestureListener() {
        /* class com.shuyu.gsyvideoplayer.video.base.GSYVideoControlView.AnonymousClass2 */

        public boolean onDoubleTap(MotionEvent motionEvent) {
            GSYVideoControlView.this.touchDoubleUp();
            return super.onDoubleTap(motionEvent);
        }

        public boolean onSingleTapConfirmed(MotionEvent motionEvent) {
            GSYVideoControlView gSYVideoControlView = GSYVideoControlView.this;
            if (!gSYVideoControlView.mChangePosition && !gSYVideoControlView.mChangeVolume && !gSYVideoControlView.mBrightness) {
                gSYVideoControlView.onClickUiToggle();
            }
            return super.onSingleTapConfirmed(motionEvent);
        }
    });
    public boolean isShowDragProgressTextOnSeekBar = false;
    public ImageView mBackButton;
    public ViewGroup mBottomContainer;
    public ProgressBar mBottomProgressBar;
    public boolean mBrightness = false;
    public float mBrightnessData = -1.0f;
    public boolean mChangePosition = false;
    public boolean mChangeVolume = false;
    public TextView mCurrentTimeTextView;
    public int mDismissControlTime = 2500;
    public int mDownPosition;
    public float mDownX;
    public float mDownY;
    public int mEnlargeImageRes = -1;
    public boolean mFirstTouch = false;
    public ImageView mFullscreenButton;
    public d mGSYVideoProgressListener;
    public int mGestureDownVolume;
    public boolean mHadSeekTouch = false;
    public boolean mHideKey = true;
    public boolean mIsTouchWiget = true;
    public boolean mIsTouchWigetFull = true;
    public View mLoadingProgressBar;
    public g mLockClickListener;
    public boolean mLockCurScreen;
    public ImageView mLockScreen;
    public float mMoveY;
    public boolean mNeedLockFull;
    public boolean mNeedShowWifiTip = true;
    public boolean mPostDismiss = false;
    public boolean mPostProgress = false;
    public SeekBar mProgressBar;
    public int mSeekEndOffset;
    public float mSeekRatio = 1.0f;
    public int mSeekTimePosition;
    public boolean mSetUpLazy = false;
    public boolean mShowVKey = false;
    public int mShrinkImageRes = -1;
    public View mStartButton;
    public int mThreshold = 80;
    public View mThumbImageView;
    public RelativeLayout mThumbImageViewLayout;
    public boolean mThumbPlay;
    public TextView mTitleTextView;
    public ViewGroup mTopContainer;
    public TextView mTotalTimeTextView;
    public boolean mTouchingProgressBar = false;
    public Runnable progressTask = new Runnable() {
        /* class com.shuyu.gsyvideoplayer.video.base.GSYVideoControlView.AnonymousClass4 */

        public void run() {
            GSYVideoControlView gSYVideoControlView = GSYVideoControlView.this;
            int i2 = gSYVideoControlView.mCurrentState;
            if (i2 == 2 || i2 == 5) {
                gSYVideoControlView.setTextAndProgress(0);
            }
            GSYVideoControlView gSYVideoControlView2 = GSYVideoControlView.this;
            if (gSYVideoControlView2.mPostProgress) {
                gSYVideoControlView2.postDelayed(this, 1000);
            }
        }
    };

    public GSYVideoControlView(Context context) {
        super(context);
    }

    public void cancelDismissControlViewTimer() {
        this.mPostDismiss = false;
        removeCallbacks(this.dismissControlTask);
    }

    public void cancelProgressTimer() {
        this.mPostProgress = false;
        removeCallbacks(this.progressTask);
    }

    public abstract void changeUiToCompleteShow();

    public abstract void changeUiToError();

    public abstract void changeUiToNormal();

    public abstract void changeUiToPauseShow();

    public abstract void changeUiToPlayingBufferingShow();

    public abstract void changeUiToPlayingShow();

    public abstract void changeUiToPreparingShow();

    public void clearThumbImageView() {
        RelativeLayout relativeLayout = this.mThumbImageViewLayout;
        if (relativeLayout != null) {
            relativeLayout.removeAllViews();
        }
    }

    public void clickStartIcon() {
        if (TextUtils.isEmpty(this.mUrl)) {
            StringBuilder B = a.B("********");
            B.append(getResources().getString(R$string.no_url));
            Debuger.printfError(B.toString());
            return;
        }
        int i2 = this.mCurrentState;
        if (i2 == 0 || i2 == 7) {
            if (isShowNetConfirm()) {
                showWifiDialog();
            } else {
                startButtonLogic();
            }
        } else if (i2 == 2) {
            try {
                onVideoPause();
            } catch (Exception e2) {
                e2.printStackTrace();
            }
            setStateAndUi(5);
            if (this.mVideoAllCallBack != null && isCurrentMediaListener()) {
                if (this.mIfCurrentIsFullscreen) {
                    Debuger.printfLog("onClickStopFullscreen");
                    this.mVideoAllCallBack.k(this.mOriginUrl, this.mTitle, this);
                    return;
                }
                Debuger.printfLog("onClickStop");
                this.mVideoAllCallBack.A(this.mOriginUrl, this.mTitle, this);
            }
        } else if (i2 == 5) {
            if (this.mVideoAllCallBack != null && isCurrentMediaListener()) {
                if (this.mIfCurrentIsFullscreen) {
                    Debuger.printfLog("onClickResumeFullscreen");
                    this.mVideoAllCallBack.u(this.mOriginUrl, this.mTitle, this);
                } else {
                    Debuger.printfLog("onClickResume");
                    this.mVideoAllCallBack.x(this.mOriginUrl, this.mTitle, this);
                }
            }
            if (!this.mHadPlay && !this.mStartAfterPrepared) {
                startAfterPrepared();
            }
            try {
                getGSYVideoManager().start();
            } catch (Exception e3) {
                e3.printStackTrace();
            }
            setStateAndUi(2);
        } else if (i2 == 6) {
            startButtonLogic();
        }
    }

    public abstract void dismissBrightnessDialog();

    public abstract void dismissProgressDialog();

    public abstract void dismissVolumeDialog();

    public ImageView getBackButton() {
        return this.mBackButton;
    }

    public int getDismissControlTime() {
        return this.mDismissControlTime;
    }

    public int getEnlargeImageRes() {
        int i2 = this.mEnlargeImageRes;
        return i2 == -1 ? R$drawable.video_enlarge : i2;
    }

    public ImageView getFullscreenButton() {
        return this.mFullscreenButton;
    }

    public float getSeekRatio() {
        return this.mSeekRatio;
    }

    public int getShrinkImageRes() {
        int i2 = this.mShrinkImageRes;
        return i2 == -1 ? R$drawable.video_shrink : i2;
    }

    public View getStartButton() {
        return this.mStartButton;
    }

    public View getThumbImageView() {
        return this.mThumbImageView;
    }

    public RelativeLayout getThumbImageViewLayout() {
        return this.mThumbImageViewLayout;
    }

    public TextView getTitleTextView() {
        return this.mTitleTextView;
    }

    public abstract void hideAllWidget();

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYVideoView
    public void init(Context context) {
        RelativeLayout relativeLayout;
        super.init(context);
        this.mStartButton = findViewById(R$id.start);
        this.mTitleTextView = (TextView) findViewById(R$id.title);
        this.mBackButton = (ImageView) findViewById(R$id.back);
        this.mFullscreenButton = (ImageView) findViewById(R$id.fullscreen);
        this.mProgressBar = (SeekBar) findViewById(R$id.progress);
        this.mCurrentTimeTextView = (TextView) findViewById(R$id.current);
        this.mTotalTimeTextView = (TextView) findViewById(R$id.total);
        this.mBottomContainer = (ViewGroup) findViewById(R$id.layout_bottom);
        this.mTopContainer = (ViewGroup) findViewById(R$id.layout_top);
        this.mBottomProgressBar = (ProgressBar) findViewById(R$id.bottom_progressbar);
        this.mThumbImageViewLayout = (RelativeLayout) findViewById(R$id.thumb);
        this.mLockScreen = (ImageView) findViewById(R$id.lock_screen);
        this.mLoadingProgressBar = findViewById(R$id.loading);
        if (!isInEditMode()) {
            View view = this.mStartButton;
            if (view != null) {
                view.setOnClickListener(this);
            }
            ImageView imageView = this.mFullscreenButton;
            if (imageView != null) {
                imageView.setOnClickListener(this);
                this.mFullscreenButton.setOnTouchListener(this);
            }
            SeekBar seekBar = this.mProgressBar;
            if (seekBar != null) {
                seekBar.setOnSeekBarChangeListener(this);
            }
            ViewGroup viewGroup = this.mBottomContainer;
            if (viewGroup != null) {
                viewGroup.setOnClickListener(this);
            }
            ViewGroup viewGroup2 = this.mTextureViewContainer;
            if (viewGroup2 != null) {
                viewGroup2.setOnClickListener(this);
                this.mTextureViewContainer.setOnTouchListener(this);
            }
            SeekBar seekBar2 = this.mProgressBar;
            if (seekBar2 != null) {
                seekBar2.setOnTouchListener(this);
            }
            RelativeLayout relativeLayout2 = this.mThumbImageViewLayout;
            if (relativeLayout2 != null) {
                relativeLayout2.setVisibility(8);
                this.mThumbImageViewLayout.setOnClickListener(this);
            }
            if (!(this.mThumbImageView == null || this.mIfCurrentIsFullscreen || (relativeLayout = this.mThumbImageViewLayout) == null)) {
                relativeLayout.removeAllViews();
                resolveThumbImage(this.mThumbImageView);
            }
            ImageView imageView2 = this.mBackButton;
            if (imageView2 != null) {
                imageView2.setOnClickListener(this);
            }
            ImageView imageView3 = this.mLockScreen;
            if (imageView3 != null) {
                imageView3.setVisibility(8);
                this.mLockScreen.setOnClickListener(new View.OnClickListener() {
                    /* class com.shuyu.gsyvideoplayer.video.base.GSYVideoControlView.AnonymousClass1 */

                    public void onClick(View view) {
                        GSYVideoControlView gSYVideoControlView = GSYVideoControlView.this;
                        int i2 = gSYVideoControlView.mCurrentState;
                        if (i2 != 6 && i2 != 7) {
                            gSYVideoControlView.lockTouchLogic();
                            GSYVideoControlView gSYVideoControlView2 = GSYVideoControlView.this;
                            g gVar = gSYVideoControlView2.mLockClickListener;
                            if (gVar != null) {
                                gVar.a(view, gSYVideoControlView2.mLockCurScreen);
                            }
                        }
                    }
                });
            }
            if (getActivityContext() != null) {
                this.mSeekEndOffset = CommonUtil.dip2px(getActivityContext(), 50.0f);
            }
        }
    }

    public void initUIState() {
        setStateAndUi(0);
    }

    public boolean isHideKey() {
        return this.mHideKey;
    }

    public boolean isNeedLockFull() {
        return this.mNeedLockFull;
    }

    public boolean isNeedShowWifiTip() {
        return this.mNeedShowWifiTip;
    }

    public boolean isShowDragProgressTextOnSeekBar() {
        return this.isShowDragProgressTextOnSeekBar;
    }

    public boolean isShowNetConfirm() {
        return !this.mOriginUrl.startsWith("file") && !this.mOriginUrl.startsWith("android.resource") && !CommonUtil.isWifiConnected(getContext()) && this.mNeedShowWifiTip && !getGSYVideoManager().cachePreview(this.mContext.getApplicationContext(), this.mCachePath, this.mOriginUrl);
    }

    public boolean isTouchWiget() {
        return this.mIsTouchWiget;
    }

    public boolean isTouchWigetFull() {
        return this.mIsTouchWigetFull;
    }

    public void lockTouchLogic() {
        if (this.mLockCurScreen) {
            this.mLockScreen.setImageResource(R$drawable.unlock);
            this.mLockCurScreen = false;
            return;
        }
        this.mLockScreen.setImageResource(R$drawable.lock);
        this.mLockCurScreen = true;
        hideAllWidget();
    }

    public void loopSetProgressAndTime() {
        SeekBar seekBar = this.mProgressBar;
        if (seekBar != null && this.mTotalTimeTextView != null && this.mCurrentTimeTextView != null) {
            seekBar.setProgress(0);
            this.mProgressBar.setSecondaryProgress(0);
            this.mCurrentTimeTextView.setText(CommonUtil.stringForTime(0));
            ProgressBar progressBar = this.mBottomProgressBar;
            if (progressBar != null) {
                progressBar.setProgress(0);
            }
        }
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYVideoView, d.p.a.f.a
    public void onAutoCompletion() {
        super.onAutoCompletion();
        if (this.mLockCurScreen) {
            lockTouchLogic();
            this.mLockScreen.setVisibility(8);
        }
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYVideoView, d.p.a.f.a
    public abstract /* synthetic */ void onBackFullscreen();

    public void onBrightnessSlide(float f2) {
        float f3 = ((Activity) this.mContext).getWindow().getAttributes().screenBrightness;
        this.mBrightnessData = f3;
        if (f3 <= 0.0f) {
            this.mBrightnessData = 0.5f;
        } else if (f3 < 0.01f) {
            this.mBrightnessData = 0.01f;
        }
        WindowManager.LayoutParams attributes = ((Activity) this.mContext).getWindow().getAttributes();
        float f4 = this.mBrightnessData + f2;
        attributes.screenBrightness = f4;
        if (f4 > 1.0f) {
            attributes.screenBrightness = 1.0f;
        } else if (f4 < 0.01f) {
            attributes.screenBrightness = 0.01f;
        }
        showBrightnessDialog(attributes.screenBrightness);
        ((Activity) this.mContext).getWindow().setAttributes(attributes);
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYVideoView, d.p.a.f.a
    public void onBufferingUpdate(final int i2) {
        post(new Runnable() {
            /* class com.shuyu.gsyvideoplayer.video.base.GSYVideoControlView.AnonymousClass3 */

            public void run() {
                GSYVideoControlView gSYVideoControlView = GSYVideoControlView.this;
                int i2 = gSYVideoControlView.mCurrentState;
                if (i2 != 0 && i2 != 1) {
                    int i3 = i2;
                    if (i3 != 0) {
                        gSYVideoControlView.setTextAndProgress(i3);
                        GSYVideoControlView.this.mBufferPoint = i2;
                        StringBuilder B = a.B("Net speed: ");
                        B.append(GSYVideoControlView.this.getNetSpeedText());
                        B.append(" percent ");
                        B.append(i2);
                        Debuger.printfLog(B.toString());
                    }
                    GSYVideoControlView gSYVideoControlView2 = GSYVideoControlView.this;
                    SeekBar seekBar = gSYVideoControlView2.mProgressBar;
                    if (seekBar != null && gSYVideoControlView2.mLooping && gSYVideoControlView2.mHadPlay && i2 == 0 && seekBar.getProgress() >= GSYVideoControlView.this.mProgressBar.getMax() - 1) {
                        GSYVideoControlView.this.loopSetProgressAndTime();
                    }
                }
            }
        });
    }

    public void onClick(View view) {
        int id = view.getId();
        if (this.mHideKey && this.mIfCurrentIsFullscreen) {
            CommonUtil.hideNavKey(this.mContext);
        }
        if (id == R$id.start) {
            clickStartIcon();
            return;
        }
        int i2 = R$id.surface_container;
        if (id == i2 && this.mCurrentState == 7) {
            if (this.mVideoAllCallBack != null) {
                Debuger.printfLog("onClickStartError");
                this.mVideoAllCallBack.q(this.mOriginUrl, this.mTitle, this);
            }
            prepareVideo();
        } else if (id == R$id.thumb) {
            if (this.mThumbPlay) {
                if (TextUtils.isEmpty(this.mUrl)) {
                    StringBuilder B = a.B("********");
                    B.append(getResources().getString(R$string.no_url));
                    Debuger.printfError(B.toString());
                    return;
                }
                int i3 = this.mCurrentState;
                if (i3 == 0) {
                    if (isShowNetConfirm()) {
                        showWifiDialog();
                    } else {
                        startPlayLogic();
                    }
                } else if (i3 == 6) {
                    onClickUiToggle();
                }
            }
        } else if (id == i2) {
            if (this.mVideoAllCallBack != null && isCurrentMediaListener()) {
                if (this.mIfCurrentIsFullscreen) {
                    Debuger.printfLog("onClickBlankFullscreen");
                    this.mVideoAllCallBack.f(this.mOriginUrl, this.mTitle, this);
                } else {
                    Debuger.printfLog("onClickBlank");
                    this.mVideoAllCallBack.z(this.mOriginUrl, this.mTitle, this);
                }
            }
            startDismissControlViewTimer();
        }
    }

    public abstract void onClickUiToggle();

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        Debuger.printfLog(hashCode() + "------------------------------ dismiss onDetachedFromWindow");
        cancelProgressTimer();
        cancelDismissControlViewTimer();
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYVideoView, d.p.a.f.a
    public void onError(int i2, int i3) {
        super.onError(i2, i3);
        if (this.mLockCurScreen) {
            lockTouchLogic();
            this.mLockScreen.setVisibility(8);
        }
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYVideoView, d.p.a.f.a
    public void onPrepared() {
        setTextAndProgress(0, true);
        super.onPrepared();
        if (this.mCurrentState == 1) {
            startProgressTimer();
            Debuger.printfLog(hashCode() + "------------------------------ surface_container onPrepared");
        }
    }

    public void onProgressChanged(SeekBar seekBar, int i2, boolean z) {
        showDragProgressTextOnSeekBar(z, i2);
    }

    public void onStartTrackingTouch(SeekBar seekBar) {
        this.mHadSeekTouch = true;
    }

    public void onStopTrackingTouch(SeekBar seekBar) {
        if (this.mVideoAllCallBack != null && isCurrentMediaListener()) {
            if (isIfCurrentIsFullscreen()) {
                Debuger.printfLog("onClickSeekbarFullscreen");
                this.mVideoAllCallBack.p(this.mOriginUrl, this.mTitle, this);
            } else {
                Debuger.printfLog("onClickSeekbar");
                this.mVideoAllCallBack.h(this.mOriginUrl, this.mTitle, this);
            }
        }
        if (getGSYVideoManager() != null && this.mHadPlay) {
            try {
                getGSYVideoManager().seekTo((long) ((seekBar.getProgress() * getDuration()) / 100));
            } catch (Exception e2) {
                Debuger.printfWarning(e2.toString());
            }
        }
        this.mHadSeekTouch = false;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:44:0x00a5, code lost:
        if (r8 != 2) goto L_0x00ed;
     */
    public boolean onTouch(View view, MotionEvent motionEvent) {
        int id = view.getId();
        float x = motionEvent.getX();
        float y = motionEvent.getY();
        if (this.mIfCurrentIsFullscreen && this.mLockCurScreen && this.mNeedLockFull) {
            onClickUiToggle();
            startDismissControlViewTimer();
            return true;
        } else if (id == R$id.fullscreen) {
            return false;
        } else {
            if (id == R$id.surface_container) {
                int action = motionEvent.getAction();
                if (action == 0) {
                    touchSurfaceDown(x, y);
                } else if (action == 1) {
                    startDismissControlViewTimer();
                    touchSurfaceUp();
                    Debuger.printfLog(hashCode() + "------------------------------ surface_container ACTION_UP");
                    startProgressTimer();
                    if (this.mHideKey && this.mShowVKey) {
                        return true;
                    }
                } else if (action == 2) {
                    float f2 = x - this.mDownX;
                    float f3 = y - this.mDownY;
                    float abs = Math.abs(f2);
                    float abs2 = Math.abs(f3);
                    boolean z = this.mIfCurrentIsFullscreen;
                    if (((z && this.mIsTouchWigetFull) || (this.mIsTouchWiget && !z)) && !this.mChangePosition && !this.mChangeVolume && !this.mBrightness) {
                        touchSurfaceMoveFullLogic(abs, abs2);
                    }
                    touchSurfaceMove(f2, f3, y);
                }
                this.gestureDetector.onTouchEvent(motionEvent);
            } else if (id == R$id.progress) {
                int action2 = motionEvent.getAction();
                if (action2 == 0) {
                    cancelDismissControlViewTimer();
                } else if (action2 == 1) {
                    startDismissControlViewTimer();
                    Debuger.printfLog(hashCode() + "------------------------------ progress ACTION_UP");
                    startProgressTimer();
                    for (ViewParent parent = getParent(); parent != null; parent = parent.getParent()) {
                        parent.requestDisallowInterceptTouchEvent(false);
                    }
                    this.mBrightnessData = -1.0f;
                }
                cancelProgressTimer();
                for (ViewParent parent2 = getParent(); parent2 != null; parent2 = parent2.getParent()) {
                    parent2.requestDisallowInterceptTouchEvent(true);
                }
            }
            return false;
        }
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYVideoView
    public void prepareVideo() {
        if (this.mSetUpLazy) {
            super.setUp(this.mOriginUrl, this.mCache, this.mCachePath, this.mMapHeadData, this.mTitle);
        }
        super.prepareVideo();
    }

    public void resetProgressAndTime() {
        SeekBar seekBar = this.mProgressBar;
        if (seekBar != null && this.mTotalTimeTextView != null && this.mCurrentTimeTextView != null) {
            seekBar.setProgress(0);
            this.mProgressBar.setSecondaryProgress(0);
            this.mCurrentTimeTextView.setText(CommonUtil.stringForTime(0));
            this.mTotalTimeTextView.setText(CommonUtil.stringForTime(0));
            ProgressBar progressBar = this.mBottomProgressBar;
            if (progressBar != null) {
                progressBar.setProgress(0);
                this.mBottomProgressBar.setSecondaryProgress(0);
            }
        }
    }

    public void resolveThumbImage(View view) {
        RelativeLayout relativeLayout = this.mThumbImageViewLayout;
        if (relativeLayout != null) {
            relativeLayout.removeAllViews();
            this.mThumbImageViewLayout.addView(view);
            ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
            layoutParams.height = -1;
            layoutParams.width = -1;
            view.setLayoutParams(layoutParams);
        }
    }

    public void resolveUIState(int i2) {
        if (i2 == 0) {
            changeUiToNormal();
            cancelDismissControlViewTimer();
        } else if (i2 == 1) {
            changeUiToPreparingShow();
            startDismissControlViewTimer();
        } else if (i2 == 2) {
            changeUiToPlayingShow();
            startDismissControlViewTimer();
        } else if (i2 == 3) {
            changeUiToPlayingBufferingShow();
        } else if (i2 == 5) {
            changeUiToPauseShow();
            cancelDismissControlViewTimer();
        } else if (i2 == 6) {
            changeUiToCompleteShow();
            cancelDismissControlViewTimer();
        } else if (i2 == 7) {
            changeUiToError();
        }
    }

    public void setDismissControlTime(int i2) {
        this.mDismissControlTime = i2;
    }

    public void setEnlargeImageRes(int i2) {
        this.mEnlargeImageRes = i2;
    }

    public void setGSYVideoProgressListener(d dVar) {
        this.mGSYVideoProgressListener = dVar;
    }

    public void setHideKey(boolean z) {
        this.mHideKey = z;
    }

    public void setIsTouchWiget(boolean z) {
        this.mIsTouchWiget = z;
    }

    public void setIsTouchWigetFull(boolean z) {
        this.mIsTouchWigetFull = z;
    }

    public void setLockClickListener(g gVar) {
        this.mLockClickListener = gVar;
    }

    public void setNeedLockFull(boolean z) {
        this.mNeedLockFull = z;
    }

    public void setNeedShowWifiTip(boolean z) {
        this.mNeedShowWifiTip = z;
    }

    public void setProgressAndTime(int i2, int i3, int i4, int i5, boolean z) {
        d dVar = this.mGSYVideoProgressListener;
        if (dVar != null && this.mCurrentState == 2) {
            dVar.onProgress(i2, i3, i4, i5);
        }
        SeekBar seekBar = this.mProgressBar;
        if (seekBar != null && this.mTotalTimeTextView != null && this.mCurrentTimeTextView != null && !this.mHadSeekTouch) {
            if (!this.mTouchingProgressBar && (i2 != 0 || z)) {
                seekBar.setProgress(i2);
            }
            if (getGSYVideoManager().getBufferedPercentage() > 0) {
                i3 = getGSYVideoManager().getBufferedPercentage();
            }
            if (i3 > 94) {
                i3 = 100;
            }
            setSecondaryProgress(i3);
            this.mTotalTimeTextView.setText(CommonUtil.stringForTime(i5));
            if (i4 > 0) {
                this.mCurrentTimeTextView.setText(CommonUtil.stringForTime(i4));
            }
            ProgressBar progressBar = this.mBottomProgressBar;
            if (progressBar != null) {
                if (i2 != 0 || z) {
                    progressBar.setProgress(i2);
                }
                setSecondaryProgress(i3);
            }
        }
    }

    public void setSecondaryProgress(int i2) {
        if (!(this.mProgressBar == null || i2 == 0 || getGSYVideoManager().isCacheFile())) {
            this.mProgressBar.setSecondaryProgress(i2);
        }
        if (this.mBottomProgressBar != null && i2 != 0 && !getGSYVideoManager().isCacheFile()) {
            this.mBottomProgressBar.setSecondaryProgress(i2);
        }
    }

    public void setSeekRatio(float f2) {
        if (f2 >= 0.0f) {
            this.mSeekRatio = f2;
        }
    }

    public void setShowDragProgressTextOnSeekBar(boolean z) {
        this.isShowDragProgressTextOnSeekBar = z;
    }

    public void setShrinkImageRes(int i2) {
        this.mShrinkImageRes = i2;
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYTextureRenderView
    public void setSmallVideoTextureView(View.OnTouchListener onTouchListener) {
        super.setSmallVideoTextureView(onTouchListener);
        RelativeLayout relativeLayout = this.mThumbImageViewLayout;
        if (relativeLayout != null) {
            relativeLayout.setOnTouchListener(onTouchListener);
        }
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYVideoView
    public void setStateAndUi(int i2) {
        TextView textView;
        this.mCurrentState = i2;
        if ((i2 == 0 && isCurrentMediaListener()) || i2 == 6 || i2 == 7) {
            this.mHadPrepared = false;
        }
        int i3 = this.mCurrentState;
        if (i3 == 0) {
            if (isCurrentMediaListener()) {
                Debuger.printfLog(hashCode() + "------------------------------ dismiss CURRENT_STATE_NORMAL");
                cancelProgressTimer();
                getGSYVideoManager().releaseMediaPlayer();
                releasePauseCover();
                this.mBufferPoint = 0;
                this.mSaveChangeViewTIme = 0;
                AudioManager audioManager = this.mAudioManager;
                if (audioManager != null) {
                    audioManager.abandonAudioFocus(this.onAudioFocusChangeListener);
                }
            }
            releaseNetWorkState();
        } else if (i3 == 1) {
            resetProgressAndTime();
        } else if (i3 != 2) {
            if (i3 == 5) {
                Debuger.printfLog(hashCode() + "------------------------------ CURRENT_STATE_PAUSE");
                startProgressTimer();
            } else if (i3 == 6) {
                Debuger.printfLog(hashCode() + "------------------------------ dismiss CURRENT_STATE_AUTO_COMPLETE");
                cancelProgressTimer();
                SeekBar seekBar = this.mProgressBar;
                if (seekBar != null) {
                    seekBar.setProgress(100);
                }
                TextView textView2 = this.mCurrentTimeTextView;
                if (!(textView2 == null || (textView = this.mTotalTimeTextView) == null)) {
                    textView2.setText(textView.getText());
                }
                ProgressBar progressBar = this.mBottomProgressBar;
                if (progressBar != null) {
                    progressBar.setProgress(100);
                }
            } else if (i3 == 7 && isCurrentMediaListener()) {
                getGSYVideoManager().releaseMediaPlayer();
            }
        } else if (isCurrentMediaListener()) {
            Debuger.printfLog(hashCode() + "------------------------------ CURRENT_STATE_PLAYING");
            startProgressTimer();
        }
        resolveUIState(i2);
    }

    public void setTextAndProgress(int i2) {
        setTextAndProgress(i2, false);
    }

    public void setThumbImageView(View view) {
        if (this.mThumbImageViewLayout != null) {
            this.mThumbImageView = view;
            resolveThumbImage(view);
        }
    }

    public void setThumbPlay(boolean z) {
        this.mThumbPlay = z;
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYVideoView
    public boolean setUp(String str, boolean z, String str2) {
        return setUp(str, z, null, str2);
    }

    public boolean setUpLazy(String str, boolean z, File file, Map<String, String> map, String str2) {
        this.mOriginUrl = str;
        this.mCache = z;
        this.mCachePath = file;
        this.mSetUpLazy = true;
        this.mTitle = str2;
        this.mMapHeadData = map;
        if (isCurrentMediaListener() && System.currentTimeMillis() - this.mSaveChangeViewTIme < 2000) {
            return false;
        }
        this.mUrl = "waiting";
        this.mCurrentState = 0;
        return true;
    }

    public void setViewShowState(View view, int i2) {
        if (view != null) {
            view.setVisibility(i2);
        }
    }

    public abstract void showBrightnessDialog(float f2);

    public void showDragProgressTextOnSeekBar(boolean z, int i2) {
        if (z && this.isShowDragProgressTextOnSeekBar) {
            int duration = getDuration();
            TextView textView = this.mCurrentTimeTextView;
            if (textView != null) {
                textView.setText(CommonUtil.stringForTime((i2 * duration) / 100));
            }
        }
    }

    public abstract void showProgressDialog(float f2, String str, int i2, String str2, int i3);

    public abstract void showVolumeDialog(float f2, int i2);

    public abstract void showWifiDialog();

    public void startDismissControlViewTimer() {
        cancelDismissControlViewTimer();
        this.mPostDismiss = true;
        postDelayed(this.dismissControlTask, (long) this.mDismissControlTime);
    }

    public void startProgressTimer() {
        cancelProgressTimer();
        this.mPostProgress = true;
        postDelayed(this.progressTask, 300);
    }

    public void touchDoubleUp() {
        if (this.mHadPlay) {
            clickStartIcon();
        }
    }

    public void touchSurfaceDown(float f2, float f3) {
        this.mTouchingProgressBar = true;
        this.mDownX = f2;
        this.mDownY = f3;
        this.mMoveY = 0.0f;
        this.mChangeVolume = false;
        this.mChangePosition = false;
        this.mShowVKey = false;
        this.mBrightness = false;
        this.mFirstTouch = true;
    }

    public void touchSurfaceMove(float f2, float f3, float f4) {
        int i2;
        int i3;
        if (getActivityContext() != null) {
            i3 = CommonUtil.getCurrentScreenLand((Activity) getActivityContext()) ? this.mScreenHeight : this.mScreenWidth;
            i2 = CommonUtil.getCurrentScreenLand((Activity) getActivityContext()) ? this.mScreenWidth : this.mScreenHeight;
        } else {
            i3 = 0;
            i2 = 0;
        }
        if (this.mChangePosition) {
            int duration = getDuration();
            int i4 = (int) ((((((float) duration) * f2) / ((float) i3)) / this.mSeekRatio) + ((float) this.mDownPosition));
            this.mSeekTimePosition = i4;
            if (i4 > duration) {
                this.mSeekTimePosition = duration;
            }
            showProgressDialog(f2, CommonUtil.stringForTime(this.mSeekTimePosition), this.mSeekTimePosition, CommonUtil.stringForTime(duration), duration);
        } else if (this.mChangeVolume) {
            float f5 = -f3;
            int streamMaxVolume = this.mAudioManager.getStreamMaxVolume(3);
            float f6 = (float) i2;
            this.mAudioManager.setStreamVolume(3, this.mGestureDownVolume + ((int) (((((float) streamMaxVolume) * f5) * 3.0f) / f6)), 0);
            showVolumeDialog(-f5, (int) ((((3.0f * f5) * 100.0f) / f6) + ((float) ((this.mGestureDownVolume * 100) / streamMaxVolume))));
        } else if (this.mBrightness && Math.abs(f3) > ((float) this.mThreshold)) {
            onBrightnessSlide((-f3) / ((float) i2));
            this.mDownY = f4;
        }
    }

    public void touchSurfaceMoveFullLogic(float f2, float f3) {
        int i2 = getActivityContext() != null ? CommonUtil.getCurrentScreenLand((Activity) getActivityContext()) ? this.mScreenHeight : this.mScreenWidth : 0;
        int i3 = this.mThreshold;
        if (f2 > ((float) i3) || f3 > ((float) i3)) {
            cancelProgressTimer();
            if (f2 < ((float) this.mThreshold)) {
                boolean z = Math.abs(((float) CommonUtil.getScreenHeight(getContext())) - this.mDownY) > ((float) this.mSeekEndOffset);
                if (this.mFirstTouch) {
                    this.mBrightness = this.mDownX < ((float) i2) * 0.5f && z;
                    this.mFirstTouch = false;
                }
                if (!this.mBrightness) {
                    this.mChangeVolume = z;
                    this.mGestureDownVolume = this.mAudioManager.getStreamVolume(3);
                }
                this.mShowVKey = !z;
            } else if (Math.abs(((float) CommonUtil.getScreenWidth(getContext())) - this.mDownX) > ((float) this.mSeekEndOffset)) {
                this.mChangePosition = true;
                this.mDownPosition = getCurrentPositionWhenPlaying();
            } else {
                this.mShowVKey = true;
            }
        }
    }

    public void touchSurfaceUp() {
        int i2;
        if (this.mChangePosition) {
            int duration = getDuration();
            int i3 = this.mSeekTimePosition * 100;
            if (duration == 0) {
                duration = 1;
            }
            int i4 = i3 / duration;
            ProgressBar progressBar = this.mBottomProgressBar;
            if (progressBar != null) {
                progressBar.setProgress(i4);
            }
        }
        this.mTouchingProgressBar = false;
        dismissProgressDialog();
        dismissVolumeDialog();
        dismissBrightnessDialog();
        if (this.mChangePosition && getGSYVideoManager() != null && ((i2 = this.mCurrentState) == 2 || i2 == 5)) {
            try {
                getGSYVideoManager().seekTo((long) this.mSeekTimePosition);
            } catch (Exception e2) {
                e2.printStackTrace();
            }
            int duration2 = getDuration();
            int i5 = this.mSeekTimePosition * 100;
            if (duration2 == 0) {
                duration2 = 1;
            }
            int i6 = i5 / duration2;
            SeekBar seekBar = this.mProgressBar;
            if (seekBar != null) {
                seekBar.setProgress(i6);
            }
            if (this.mVideoAllCallBack != null && isCurrentMediaListener()) {
                Debuger.printfLog("onTouchScreenSeekPosition");
                this.mVideoAllCallBack.a(this.mOriginUrl, this.mTitle, this);
            }
        } else if (this.mBrightness) {
            if (this.mVideoAllCallBack != null && isCurrentMediaListener()) {
                Debuger.printfLog("onTouchScreenSeekLight");
                this.mVideoAllCallBack.w(this.mOriginUrl, this.mTitle, this);
            }
        } else if (this.mChangeVolume && this.mVideoAllCallBack != null && isCurrentMediaListener()) {
            Debuger.printfLog("onTouchScreenSeekVolume");
            this.mVideoAllCallBack.y(this.mOriginUrl, this.mTitle, this);
        }
    }

    public void setTextAndProgress(int i2, boolean z) {
        int currentPositionWhenPlaying = getCurrentPositionWhenPlaying();
        int duration = getDuration();
        setProgressAndTime((currentPositionWhenPlaying * 100) / (duration == 0 ? 1 : duration), i2, currentPositionWhenPlaying, duration, z);
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYVideoView
    public boolean setUp(String str, boolean z, File file, String str2) {
        TextView textView;
        if (!super.setUp(str, z, file, str2)) {
            return false;
        }
        if (!(str2 == null || (textView = this.mTitleTextView) == null)) {
            textView.setText(str2);
        }
        if (this.mIfCurrentIsFullscreen) {
            ImageView imageView = this.mFullscreenButton;
            if (imageView == null) {
                return true;
            }
            imageView.setImageResource(getShrinkImageRes());
            return true;
        }
        ImageView imageView2 = this.mFullscreenButton;
        if (imageView2 == null) {
            return true;
        }
        imageView2.setImageResource(getEnlargeImageRes());
        return true;
    }

    public GSYVideoControlView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    public GSYVideoControlView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
    }

    public GSYVideoControlView(Context context, Boolean bool) {
        super(context, bool);
    }
}
