package com.shuyu.gsyvideoplayer.video.base;

import android.app.Activity;
import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.RectF;
import android.media.AudioManager;
import android.os.Handler;
import android.os.Looper;
import android.util.AttributeSet;
import android.view.InflateException;
import android.view.Surface;
import android.view.View;
import android.view.ViewGroup;
import com.shuyu.gsyvideoplayer.R$id;
import com.shuyu.gsyvideoplayer.utils.CommonUtil;
import com.shuyu.gsyvideoplayer.utils.Debuger;
import com.shuyu.gsyvideoplayer.utils.NetInfoModule;
import d.p.a.f.a;
import d.p.a.f.h;
import java.io.File;
import java.util.HashMap;
import java.util.Map;

public abstract class GSYVideoView extends GSYTextureRenderView implements a {
    public static final int CHANGE_DELAY_TIME = 2000;
    public static final int CURRENT_STATE_AUTO_COMPLETE = 6;
    public static final int CURRENT_STATE_ERROR = 7;
    public static final int CURRENT_STATE_NORMAL = 0;
    public static final int CURRENT_STATE_PAUSE = 5;
    public static final int CURRENT_STATE_PLAYING = 2;
    public static final int CURRENT_STATE_PLAYING_BUFFERING_START = 3;
    public static final int CURRENT_STATE_PREPAREING = 1;
    public AudioManager mAudioManager;
    public int mBackUpPlayingBufferState = -1;
    public int mBufferPoint;
    public boolean mCache = false;
    public File mCachePath;
    public Context mContext;
    public long mCurrentPosition;
    public int mCurrentState = -1;
    public boolean mHadPlay = false;
    public boolean mHadPrepared = false;
    public boolean mIfCurrentIsFullscreen = false;
    public boolean mLooping = false;
    public Map<String, String> mMapHeadData = new HashMap();
    public boolean mNetChanged = false;
    public NetInfoModule mNetInfoModule;
    public String mNetSate = "NORMAL";
    public String mOriginUrl;
    public String mOverrideExtension;
    public boolean mPauseBeforePrepared = false;
    public int mPlayPosition = -22;
    public String mPlayTag = "";
    public boolean mReleaseWhenLossAudio = true;
    public long mSaveChangeViewTIme = 0;
    public int mScreenHeight;
    public int mScreenWidth;
    public long mSeekOnStart = -1;
    public boolean mShowPauseCover = false;
    public boolean mSoundTouch = false;
    public float mSpeed = 1.0f;
    public boolean mStartAfterPrepared = true;
    public String mTitle;
    public String mUrl;
    public h mVideoAllCallBack;
    public AudioManager.OnAudioFocusChangeListener onAudioFocusChangeListener = new AudioManager.OnAudioFocusChangeListener() {
        /* class com.shuyu.gsyvideoplayer.video.base.GSYVideoView.AnonymousClass1 */

        public void onAudioFocusChange(int i2) {
            if (i2 == -3) {
                GSYVideoView.this.onLossTransientCanDuck();
            } else if (i2 == -2) {
                GSYVideoView.this.onLossTransientAudio();
            } else if (i2 == -1) {
                GSYVideoView.this.onLossAudio();
            } else if (i2 == 1) {
                GSYVideoView.this.onGankAudio();
            }
        }
    };

    public GSYVideoView(Context context) {
        super(context);
        init(context);
    }

    public abstract boolean backFromFull(Context context);

    public void clearCurrentCache() {
        if (getGSYVideoManager().isCacheFile() && this.mCache) {
            StringBuilder B = d.a.a.a.a.B("Play Error ");
            B.append(this.mUrl);
            Debuger.printfError(B.toString());
            this.mUrl = this.mOriginUrl;
            getGSYVideoManager().clearCache(this.mContext, this.mCachePath, this.mOriginUrl);
        } else if (this.mUrl.contains("127.0.0.1")) {
            getGSYVideoManager().clearCache(getContext(), this.mCachePath, this.mOriginUrl);
        }
    }

    public void createNetWorkState() {
        if (this.mNetInfoModule == null) {
            NetInfoModule netInfoModule = new NetInfoModule(this.mContext.getApplicationContext(), new NetInfoModule.NetChangeListener() {
                /* class com.shuyu.gsyvideoplayer.video.base.GSYVideoView.AnonymousClass4 */

                @Override // com.shuyu.gsyvideoplayer.utils.NetInfoModule.NetChangeListener
                public void changed(String str) {
                    if (!GSYVideoView.this.mNetSate.equals(str)) {
                        Debuger.printfError("******* change network state ******* " + str);
                        GSYVideoView.this.mNetChanged = true;
                    }
                    GSYVideoView.this.mNetSate = str;
                }
            });
            this.mNetInfoModule = netInfoModule;
            this.mNetSate = netInfoModule.getCurrentConnectionType();
        }
    }

    public void deleteCacheFileWhenError() {
        clearCurrentCache();
        Debuger.printfError("Link Or mCache Error, Please Try Again " + this.mOriginUrl);
        if (this.mCache) {
            StringBuilder B = d.a.a.a.a.B("mCache Link ");
            B.append(this.mUrl);
            Debuger.printfError(B.toString());
        }
        this.mUrl = this.mOriginUrl;
    }

    public Context getActivityContext() {
        return CommonUtil.getActivityContext(getContext());
    }

    public int getBuffterPoint() {
        return this.mBufferPoint;
    }

    public int getCurrentPositionWhenPlaying() {
        int i2 = this.mCurrentState;
        int i3 = 0;
        if (i2 == 2 || i2 == 5) {
            try {
                i3 = (int) getGSYVideoManager().getCurrentPosition();
            } catch (Exception e2) {
                e2.printStackTrace();
                return 0;
            }
        }
        if (i3 == 0) {
            long j2 = this.mCurrentPosition;
            if (j2 > 0) {
                return (int) j2;
            }
        }
        return i3;
    }

    public int getCurrentState() {
        return this.mCurrentState;
    }

    @Override // com.shuyu.gsyvideoplayer.utils.MeasureHelper.MeasureFormVideoParamsListener
    public int getCurrentVideoHeight() {
        if (getGSYVideoManager() != null) {
            return getGSYVideoManager().getVideoHeight();
        }
        return 0;
    }

    @Override // com.shuyu.gsyvideoplayer.utils.MeasureHelper.MeasureFormVideoParamsListener
    public int getCurrentVideoWidth() {
        if (getGSYVideoManager() != null) {
            return getGSYVideoManager().getVideoWidth();
        }
        return 0;
    }

    public int getDuration() {
        try {
            return (int) getGSYVideoManager().getDuration();
        } catch (Exception e2) {
            e2.printStackTrace();
            return 0;
        }
    }

    public abstract GSYVideoViewBridge getGSYVideoManager();

    public abstract int getLayoutId();

    public Map<String, String> getMapHeadData() {
        return this.mMapHeadData;
    }

    public long getNetSpeed() {
        return getGSYVideoManager().getNetSpeed();
    }

    public String getNetSpeedText() {
        return CommonUtil.getTextSpeed(getNetSpeed());
    }

    public String getOverrideExtension() {
        return this.mOverrideExtension;
    }

    public int getPlayPosition() {
        return this.mPlayPosition;
    }

    public String getPlayTag() {
        return this.mPlayTag;
    }

    public long getSeekOnStart() {
        return this.mSeekOnStart;
    }

    public float getSpeed() {
        return this.mSpeed;
    }

    @Override // com.shuyu.gsyvideoplayer.utils.MeasureHelper.MeasureFormVideoParamsListener
    public int getVideoSarDen() {
        if (getGSYVideoManager() != null) {
            return getGSYVideoManager().getVideoSarDen();
        }
        return 0;
    }

    @Override // com.shuyu.gsyvideoplayer.utils.MeasureHelper.MeasureFormVideoParamsListener
    public int getVideoSarNum() {
        if (getGSYVideoManager() != null) {
            return getGSYVideoManager().getVideoSarNum();
        }
        return 0;
    }

    public void init(Context context) {
        if (getActivityContext() != null) {
            this.mContext = getActivityContext();
        } else {
            this.mContext = context;
        }
        initInflate(this.mContext);
        this.mTextureViewContainer = (ViewGroup) findViewById(R$id.surface_container);
        if (!isInEditMode()) {
            this.mScreenWidth = this.mContext.getResources().getDisplayMetrics().widthPixels;
            this.mScreenHeight = this.mContext.getResources().getDisplayMetrics().heightPixels;
            this.mAudioManager = (AudioManager) this.mContext.getApplicationContext().getSystemService("audio");
        }
    }

    public void initInflate(Context context) {
        try {
            View.inflate(context, getLayoutId(), this);
        } catch (InflateException e2) {
            if (!e2.toString().contains("GSYImageCover")) {
                e2.printStackTrace();
                return;
            }
            Debuger.printfError("********************\n*****   注意   *************************\n*该版本需要清除布局文件中的GSYImageCover\n****  Attention  ***\n*Please remove GSYImageCover from Layout in this Version\n********************\n");
            e2.printStackTrace();
            throw new InflateException("该版本需要清除布局文件中的GSYImageCover，please remove GSYImageCover from your layout");
        }
    }

    public boolean isCurrentMediaListener() {
        return getGSYVideoManager().listener() != null && getGSYVideoManager().listener() == this;
    }

    public boolean isIfCurrentIsFullscreen() {
        return this.mIfCurrentIsFullscreen;
    }

    public boolean isInPlayingState() {
        int i2 = this.mCurrentState;
        return (i2 < 0 || i2 == 0 || i2 == 6 || i2 == 7) ? false : true;
    }

    public boolean isLooping() {
        return this.mLooping;
    }

    public boolean isReleaseWhenLossAudio() {
        return this.mReleaseWhenLossAudio;
    }

    public boolean isShowPauseCover() {
        return this.mShowPauseCover;
    }

    public boolean isStartAfterPrepared() {
        return this.mStartAfterPrepared;
    }

    public void listenerNetWorkState() {
        NetInfoModule netInfoModule = this.mNetInfoModule;
        if (netInfoModule != null) {
            netInfoModule.onHostResume();
        }
    }

    public void netWorkErrorLogic() {
        final long currentPositionWhenPlaying = (long) getCurrentPositionWhenPlaying();
        Debuger.printfError("******* Net State Changed. renew player to connect *******" + currentPositionWhenPlaying);
        getGSYVideoManager().releaseMediaPlayer();
        postDelayed(new Runnable() {
            /* class com.shuyu.gsyvideoplayer.video.base.GSYVideoView.AnonymousClass3 */

            public void run() {
                GSYVideoView.this.setSeekOnStart(currentPositionWhenPlaying);
                GSYVideoView.this.startPlayLogic();
            }
        }, 500);
    }

    @Override // d.p.a.f.a
    public void onAutoCompletion() {
        setStateAndUi(6);
        this.mSaveChangeViewTIme = 0;
        this.mCurrentPosition = 0;
        if (this.mTextureViewContainer.getChildCount() > 0) {
            this.mTextureViewContainer.removeAllViews();
        }
        if (!this.mIfCurrentIsFullscreen) {
            getGSYVideoManager().setLastListener(null);
        }
        this.mAudioManager.abandonAudioFocus(this.onAudioFocusChangeListener);
        Context context = this.mContext;
        if (context instanceof Activity) {
            try {
                ((Activity) context).getWindow().clearFlags(128);
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
        releaseNetWorkState();
        if (this.mVideoAllCallBack != null && isCurrentMediaListener()) {
            Debuger.printfLog("onAutoComplete");
            this.mVideoAllCallBack.l(this.mOriginUrl, this.mTitle, this);
        }
    }

    @Override // d.p.a.f.a
    public abstract /* synthetic */ void onBackFullscreen();

    @Override // d.p.a.f.a
    public abstract /* synthetic */ void onBufferingUpdate(int i2);

    @Override // d.p.a.f.a
    public void onCompletion() {
        setStateAndUi(0);
        this.mSaveChangeViewTIme = 0;
        this.mCurrentPosition = 0;
        if (this.mTextureViewContainer.getChildCount() > 0) {
            this.mTextureViewContainer.removeAllViews();
        }
        if (!this.mIfCurrentIsFullscreen) {
            getGSYVideoManager().setListener(null);
            getGSYVideoManager().setLastListener(null);
        }
        getGSYVideoManager().setCurrentVideoHeight(0);
        getGSYVideoManager().setCurrentVideoWidth(0);
        this.mAudioManager.abandonAudioFocus(this.onAudioFocusChangeListener);
        Context context = this.mContext;
        if (context instanceof Activity) {
            try {
                ((Activity) context).getWindow().clearFlags(128);
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
        releaseNetWorkState();
    }

    @Override // d.p.a.f.a
    public void onError(int i2, int i3) {
        if (this.mNetChanged) {
            this.mNetChanged = false;
            netWorkErrorLogic();
            h hVar = this.mVideoAllCallBack;
            if (hVar != null) {
                hVar.o(this.mOriginUrl, this.mTitle, this);
            }
        } else if (i2 != 38 && i2 != -38) {
            setStateAndUi(7);
            deleteCacheFileWhenError();
            h hVar2 = this.mVideoAllCallBack;
            if (hVar2 != null) {
                hVar2.o(this.mOriginUrl, this.mTitle, this);
            }
        }
    }

    public void onGankAudio() {
    }

    @Override // d.p.a.f.a
    public void onInfo(int i2, int i3) {
        int i4;
        if (i2 == 701) {
            int i5 = this.mCurrentState;
            this.mBackUpPlayingBufferState = i5;
            if (this.mHadPlay && i5 != 1 && i5 > 0) {
                setStateAndUi(3);
            }
        } else if (i2 == 702) {
            int i6 = this.mBackUpPlayingBufferState;
            if (i6 != -1) {
                if (i6 == 3) {
                    this.mBackUpPlayingBufferState = 2;
                }
                if (this.mHadPlay && (i4 = this.mCurrentState) != 1 && i4 > 0) {
                    setStateAndUi(this.mBackUpPlayingBufferState);
                }
                this.mBackUpPlayingBufferState = -1;
            }
        } else if (i2 == getGSYVideoManager().getRotateInfoFlag()) {
            this.mRotate = i3;
            Debuger.printfLog("Video Rotate Info " + i3);
            d.p.a.i.a aVar = this.mTextureView;
            if (aVar != null) {
                float f2 = (float) this.mRotate;
                d.p.a.i.d.a aVar2 = aVar.f12537a;
                if (aVar2 != null) {
                    aVar2.getRenderView().setRotation(f2);
                }
            }
        }
    }

    public void onLossAudio() {
        new Handler(Looper.getMainLooper()).post(new Runnable() {
            /* class com.shuyu.gsyvideoplayer.video.base.GSYVideoView.AnonymousClass2 */

            public void run() {
                GSYVideoView gSYVideoView = GSYVideoView.this;
                if (gSYVideoView.mReleaseWhenLossAudio) {
                    gSYVideoView.releaseVideos();
                } else {
                    gSYVideoView.onVideoPause();
                }
            }
        });
    }

    public void onLossTransientAudio() {
        try {
            onVideoPause();
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    public void onLossTransientCanDuck() {
    }

    @Override // d.p.a.f.a
    public void onPrepared() {
        if (this.mCurrentState == 1) {
            this.mHadPrepared = true;
            if (this.mVideoAllCallBack != null && isCurrentMediaListener()) {
                Debuger.printfLog("onPrepared");
                this.mVideoAllCallBack.i(this.mOriginUrl, this.mTitle, this);
            }
            if (!this.mStartAfterPrepared) {
                setStateAndUi(5);
                onVideoPause();
                return;
            }
            startAfterPrepared();
        }
    }

    @Override // d.p.a.f.a
    public void onSeekComplete() {
        Debuger.printfLog("onSeekComplete");
    }

    @Override // d.p.a.f.a
    public void onVideoPause() {
        if (this.mCurrentState == 1) {
            this.mPauseBeforePrepared = true;
        }
        try {
            if (getGSYVideoManager() != null && getGSYVideoManager().isPlaying()) {
                setStateAndUi(5);
                this.mCurrentPosition = getGSYVideoManager().getCurrentPosition();
                if (getGSYVideoManager() != null) {
                    getGSYVideoManager().pause();
                }
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    public void onVideoReset() {
        setStateAndUi(0);
    }

    @Override // d.p.a.f.a
    public void onVideoResume() {
        onVideoResume(true);
    }

    @Override // d.p.a.f.a
    public void onVideoSizeChanged() {
        d.p.a.i.a aVar;
        d.p.a.i.d.a aVar2;
        int currentVideoWidth = getGSYVideoManager().getCurrentVideoWidth();
        int currentVideoHeight = getGSYVideoManager().getCurrentVideoHeight();
        if (currentVideoWidth != 0 && currentVideoHeight != 0 && (aVar = this.mTextureView) != null && (aVar2 = aVar.f12537a) != null) {
            aVar2.getRenderView().requestLayout();
        }
    }

    public void prepareVideo() {
        startPrepare();
    }

    public void release() {
        this.mSaveChangeViewTIme = 0;
        if (isCurrentMediaListener() && System.currentTimeMillis() - this.mSaveChangeViewTIme > 2000) {
            releaseVideos();
        }
    }

    public void releaseNetWorkState() {
        NetInfoModule netInfoModule = this.mNetInfoModule;
        if (netInfoModule != null) {
            netInfoModule.onHostPause();
            this.mNetInfoModule = null;
        }
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYTextureRenderView
    public void releasePauseCover() {
        Bitmap bitmap;
        try {
            if (this.mCurrentState != 5 && (bitmap = this.mFullPauseBitmap) != null && !bitmap.isRecycled() && this.mShowPauseCover) {
                this.mFullPauseBitmap.recycle();
                this.mFullPauseBitmap = null;
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYTextureRenderView
    public void releaseSurface(Surface surface) {
        getGSYVideoManager().releaseSurface(surface);
    }

    public abstract void releaseVideos();

    public void seekTo(long j2) {
        try {
            if (getGSYVideoManager() != null && j2 > 0) {
                getGSYVideoManager().seekTo(j2);
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYTextureRenderView
    public void setDisplay(Surface surface) {
        getGSYVideoManager().setDisplay(surface);
    }

    public void setIfCurrentIsFullscreen(boolean z) {
        this.mIfCurrentIsFullscreen = z;
    }

    public void setLooping(boolean z) {
        this.mLooping = z;
    }

    public void setMapHeadData(Map<String, String> map) {
        if (map != null) {
            this.mMapHeadData = map;
        }
    }

    public void setOverrideExtension(String str) {
        this.mOverrideExtension = str;
    }

    public void setPlayPosition(int i2) {
        this.mPlayPosition = i2;
    }

    public void setPlayTag(String str) {
        this.mPlayTag = str;
    }

    public void setReleaseWhenLossAudio(boolean z) {
        this.mReleaseWhenLossAudio = z;
    }

    public void setSeekOnStart(long j2) {
        this.mSeekOnStart = j2;
    }

    public void setShowPauseCover(boolean z) {
        this.mShowPauseCover = z;
    }

    public void setSpeed(float f2) {
        setSpeed(f2, false);
    }

    public void setSpeedPlaying(float f2, boolean z) {
        setSpeed(f2, z);
        getGSYVideoManager().setSpeedPlaying(f2, z);
    }

    public void setStartAfterPrepared(boolean z) {
        this.mStartAfterPrepared = z;
    }

    public abstract void setStateAndUi(int i2);

    public boolean setUp(String str, boolean z, String str2) {
        return setUp(str, z, null, str2);
    }

    public void setVideoAllCallBack(h hVar) {
        this.mVideoAllCallBack = hVar;
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYTextureRenderView
    public void showPauseCover() {
        Bitmap bitmap;
        Surface surface;
        if (this.mCurrentState == 5 && (bitmap = this.mFullPauseBitmap) != null && !bitmap.isRecycled() && this.mShowPauseCover && (surface = this.mSurface) != null && surface.isValid() && getGSYVideoManager().isSurfaceSupportLockCanvas()) {
            try {
                d.p.a.i.d.a aVar = this.mTextureView.f12537a;
                float width = (float) (aVar != null ? aVar.getRenderView().getWidth() : 0);
                d.p.a.i.d.a aVar2 = this.mTextureView.f12537a;
                RectF rectF = new RectF(0.0f, 0.0f, width, (float) (aVar2 != null ? aVar2.getRenderView().getHeight() : 0));
                Surface surface2 = this.mSurface;
                d.p.a.i.d.a aVar3 = this.mTextureView.f12537a;
                int width2 = aVar3 != null ? aVar3.getRenderView().getWidth() : 0;
                d.p.a.i.d.a aVar4 = this.mTextureView.f12537a;
                Canvas lockCanvas = surface2.lockCanvas(new Rect(0, 0, width2, aVar4 != null ? aVar4.getRenderView().getHeight() : 0));
                if (lockCanvas != null) {
                    lockCanvas.drawBitmap(this.mFullPauseBitmap, (Rect) null, rectF, (Paint) null);
                    this.mSurface.unlockCanvasAndPost(lockCanvas);
                }
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    public void startAfterPrepared() {
        d.p.a.i.d.a aVar;
        if (!this.mHadPrepared) {
            prepareVideo();
        }
        try {
            if (getGSYVideoManager() != null) {
                getGSYVideoManager().start();
            }
            setStateAndUi(2);
            if (getGSYVideoManager() != null && this.mSeekOnStart > 0) {
                getGSYVideoManager().seekTo(this.mSeekOnStart);
                this.mSeekOnStart = 0;
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        addTextureView();
        createNetWorkState();
        listenerNetWorkState();
        this.mHadPlay = true;
        d.p.a.i.a aVar2 = this.mTextureView;
        if (!(aVar2 == null || (aVar = aVar2.f12537a) == null)) {
            aVar.c();
        }
        if (this.mPauseBeforePrepared) {
            onVideoPause();
            this.mPauseBeforePrepared = false;
        }
    }

    public void startButtonLogic() {
        h hVar = this.mVideoAllCallBack;
        if (hVar != null && this.mCurrentState == 0) {
            Debuger.printfLog("onClickStartIcon");
            this.mVideoAllCallBack.s(this.mOriginUrl, this.mTitle, this);
        } else if (hVar != null) {
            Debuger.printfLog("onClickStartError");
            this.mVideoAllCallBack.q(this.mOriginUrl, this.mTitle, this);
        }
        prepareVideo();
    }

    public abstract void startPlayLogic();

    public void startPrepare() {
        if (getGSYVideoManager().listener() != null) {
            getGSYVideoManager().listener().onCompletion();
        }
        if (this.mVideoAllCallBack != null) {
            Debuger.printfLog("onStartPrepared");
            this.mVideoAllCallBack.n(this.mOriginUrl, this.mTitle, this);
        }
        getGSYVideoManager().setListener(this);
        getGSYVideoManager().setPlayTag(this.mPlayTag);
        getGSYVideoManager().setPlayPosition(this.mPlayPosition);
        this.mAudioManager.requestAudioFocus(this.onAudioFocusChangeListener, 3, 2);
        try {
            Context context = this.mContext;
            if (context instanceof Activity) {
                ((Activity) context).getWindow().addFlags(128);
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        this.mBackUpPlayingBufferState = -1;
        GSYVideoViewBridge gSYVideoManager = getGSYVideoManager();
        String str = this.mUrl;
        Map<String, String> map = this.mMapHeadData;
        if (map == null) {
            map = new HashMap<>();
        }
        gSYVideoManager.prepare(str, map, this.mLooping, this.mSpeed, this.mCache, this.mCachePath, this.mOverrideExtension);
        setStateAndUi(1);
    }

    public void unListenerNetWorkState() {
        NetInfoModule netInfoModule = this.mNetInfoModule;
        if (netInfoModule != null) {
            netInfoModule.onHostPause();
        }
    }

    public void updatePauseCover() {
        Bitmap bitmap = this.mFullPauseBitmap;
        if ((bitmap == null || bitmap.isRecycled()) && this.mShowPauseCover) {
            try {
                initCover();
            } catch (Exception e2) {
                e2.printStackTrace();
                this.mFullPauseBitmap = null;
            }
        }
    }

    public void onVideoResume(boolean z) {
        this.mPauseBeforePrepared = false;
        if (this.mCurrentState == 5) {
            try {
                if (this.mCurrentPosition >= 0 && getGSYVideoManager() != null) {
                    if (z) {
                        getGSYVideoManager().seekTo(this.mCurrentPosition);
                    }
                    getGSYVideoManager().start();
                    setStateAndUi(2);
                    AudioManager audioManager = this.mAudioManager;
                    if (audioManager != null && !this.mReleaseWhenLossAudio) {
                        audioManager.requestAudioFocus(this.onAudioFocusChangeListener, 3, 2);
                    }
                    this.mCurrentPosition = 0;
                }
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    public void setSpeed(float f2, boolean z) {
        this.mSpeed = f2;
        this.mSoundTouch = z;
        if (getGSYVideoManager() != null) {
            getGSYVideoManager().setSpeed(f2, z);
        }
    }

    public boolean setUp(String str, boolean z, File file, Map<String, String> map, String str2) {
        if (!setUp(str, z, file, str2)) {
            return false;
        }
        Map<String, String> map2 = this.mMapHeadData;
        if (map2 != null) {
            map2.clear();
        } else {
            this.mMapHeadData = new HashMap();
        }
        if (map == null) {
            return true;
        }
        this.mMapHeadData.putAll(map);
        return true;
    }

    public boolean setUp(String str, boolean z, File file, String str2) {
        return setUp(str, z, file, str2, true);
    }

    public boolean setUp(String str, boolean z, File file, String str2, boolean z2) {
        this.mCache = z;
        this.mCachePath = file;
        this.mOriginUrl = str;
        if (isCurrentMediaListener() && System.currentTimeMillis() - this.mSaveChangeViewTIme < 2000) {
            return false;
        }
        this.mCurrentState = 0;
        this.mUrl = str;
        this.mTitle = str2;
        if (!z2) {
            return true;
        }
        setStateAndUi(0);
        return true;
    }

    public GSYVideoView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        init(context);
    }

    public GSYVideoView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        init(context);
    }

    public GSYVideoView(Context context, Boolean bool) {
        super(context);
        this.mIfCurrentIsFullscreen = bool.booleanValue();
        init(context);
    }
}
