package com.tbruyelle.rxpermissions2;

import d.a.a.a.a;
import f.a.b0.h;
import f.a.c0.e.d.b;
import f.a.c0.e.d.d;
import f.a.c0.e.d.e;
import f.a.c0.e.d.i;
import f.a.o;
import io.reactivex.internal.functions.Functions;
import java.util.List;
import java.util.Objects;

public class Permission {
    public final boolean granted;
    public final String name;
    public final boolean shouldShowRequestPermissionRationale;

    public Permission(String str, boolean z) {
        this(str, z, false);
    }

    private Boolean combineGranted(List<Permission> list) {
        Objects.requireNonNull(list, "source is null");
        return (Boolean) new b(new i(list), new f.a.b0.i<Permission>() {
            /* class com.tbruyelle.rxpermissions2.Permission.AnonymousClass3 */

            public boolean test(Permission permission) {
                return permission.granted;
            }
        }).b();
    }

    private String combineName(List<Permission> list) {
        Objects.requireNonNull(list, "source is null");
        o g2 = new i(list).g(new h<Permission, String>() {
            /* class com.tbruyelle.rxpermissions2.Permission.AnonymousClass2 */

            public String apply(Permission permission) {
                return permission.name;
            }
        });
        StringBuilder sb = new StringBuilder();
        return ((StringBuilder) new e(g2, new Functions.e(sb), new f.a.b0.b<StringBuilder, String>() {
            /* class com.tbruyelle.rxpermissions2.Permission.AnonymousClass1 */

            public void accept(StringBuilder sb, String str) {
                if (sb.length() == 0) {
                    sb.append(str);
                    return;
                }
                sb.append(", ");
                sb.append(str);
            }
        }).b()).toString();
    }

    private Boolean combineShouldShowRequestPermissionRationale(List<Permission> list) {
        Objects.requireNonNull(list, "source is null");
        return (Boolean) new d(new i(list), new f.a.b0.i<Permission>() {
            /* class com.tbruyelle.rxpermissions2.Permission.AnonymousClass4 */

            public boolean test(Permission permission) {
                return permission.shouldShowRequestPermissionRationale;
            }
        }).b();
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        Permission permission = (Permission) obj;
        if (this.granted == permission.granted && this.shouldShowRequestPermissionRationale == permission.shouldShowRequestPermissionRationale) {
            return this.name.equals(permission.name);
        }
        return false;
    }

    public int hashCode() {
        return (((this.name.hashCode() * 31) + (this.granted ? 1 : 0)) * 31) + (this.shouldShowRequestPermissionRationale ? 1 : 0);
    }

    public String toString() {
        StringBuilder B = a.B("Permission{name='");
        a.W(B, this.name, '\'', ", granted=");
        B.append(this.granted);
        B.append(", shouldShowRequestPermissionRationale=");
        B.append(this.shouldShowRequestPermissionRationale);
        B.append('}');
        return B.toString();
    }

    public Permission(String str, boolean z, boolean z2) {
        this.name = str;
        this.granted = z;
        this.shouldShowRequestPermissionRationale = z2;
    }

    public Permission(List<Permission> list) {
        this.name = combineName(list);
        this.granted = combineGranted(list).booleanValue();
        this.shouldShowRequestPermissionRationale = combineShouldShowRequestPermissionRationale(list).booleanValue();
    }
}
