package com.tbruyelle.rxpermissions2;

import android.annotation.TargetApi;
import android.app.Activity;
import android.os.Build;
import android.text.TextUtils;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentActivity;
import androidx.fragment.app.FragmentManager;
import b.o.a.a;
import f.a.b0.h;
import f.a.c0.e.d.g;
import f.a.c0.e.d.i;
import f.a.c0.e.d.m;
import f.a.o;
import f.a.r;
import f.a.s;
import io.reactivex.internal.functions.Functions;
import io.reactivex.internal.operators.observable.ObservableConcatMap;
import io.reactivex.internal.util.ErrorMode;
import io.reactivex.subjects.PublishSubject;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import org.dsq.library.widget.bigImage.SubsamplingScaleImageView;

public class RxPermissions {
    public static final String TAG = "RxPermissions";
    public static final Object TRIGGER = new Object();
    public Lazy<RxPermissionsFragment> mRxPermissionsFragment;

    @FunctionalInterface
    public interface Lazy<V> {
        V get();
    }

    public RxPermissions(FragmentActivity fragmentActivity) {
        this.mRxPermissionsFragment = getLazySingleton(fragmentActivity.getSupportFragmentManager());
    }

    private RxPermissionsFragment findRxPermissionsFragment(FragmentManager fragmentManager) {
        return (RxPermissionsFragment) fragmentManager.I(TAG);
    }

    private Lazy<RxPermissionsFragment> getLazySingleton(final FragmentManager fragmentManager) {
        return new Lazy<RxPermissionsFragment>() {
            /* class com.tbruyelle.rxpermissions2.RxPermissions.AnonymousClass1 */
            private RxPermissionsFragment rxPermissionsFragment;

            @Override // com.tbruyelle.rxpermissions2.RxPermissions.Lazy
            public synchronized RxPermissionsFragment get() {
                if (this.rxPermissionsFragment == null) {
                    this.rxPermissionsFragment = RxPermissions.this.getRxPermissionsFragment(fragmentManager);
                }
                return this.rxPermissionsFragment;
            }
        };
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private RxPermissionsFragment getRxPermissionsFragment(FragmentManager fragmentManager) {
        RxPermissionsFragment findRxPermissionsFragment = findRxPermissionsFragment(fragmentManager);
        if (!(findRxPermissionsFragment == null)) {
            return findRxPermissionsFragment;
        }
        RxPermissionsFragment rxPermissionsFragment = new RxPermissionsFragment();
        a aVar = new a(fragmentManager);
        aVar.h(0, rxPermissionsFragment, TAG, 1);
        aVar.e();
        return rxPermissionsFragment;
    }

    private o<?> oneOf(o<?> oVar, o<?> oVar2) {
        if (oVar == null) {
            return o.f(TRIGGER);
        }
        Objects.requireNonNull(oVar2, "source2 is null");
        return o.d(oVar, oVar2).c(Functions.f13354a, false, 2);
    }

    private o<?> pending(String... strArr) {
        for (String str : strArr) {
            if (!this.mRxPermissionsFragment.get().containsByPermission(str)) {
                return g.f13014d;
            }
        }
        return o.f(TRIGGER);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    @TargetApi(23)
    private o<Permission> requestImplementation(String... strArr) {
        ArrayList arrayList = new ArrayList(strArr.length);
        ArrayList arrayList2 = new ArrayList();
        for (String str : strArr) {
            this.mRxPermissionsFragment.get().log("Requesting permission " + str);
            if (isGranted(str)) {
                arrayList.add(new m(new Permission(str, true, false)));
            } else if (isRevoked(str)) {
                arrayList.add(new m(new Permission(str, false, false)));
            } else {
                PublishSubject<Permission> subjectByPermission = this.mRxPermissionsFragment.get().getSubjectByPermission(str);
                if (subjectByPermission == null) {
                    arrayList2.add(str);
                    subjectByPermission = new PublishSubject<>();
                    this.mRxPermissionsFragment.get().setSubjectForPermission(str, subjectByPermission);
                }
                arrayList.add(subjectByPermission);
            }
        }
        if (!arrayList2.isEmpty()) {
            requestPermissionsFromFragment((String[]) arrayList2.toArray(new String[arrayList2.size()]));
        }
        i iVar = new i(arrayList);
        int i2 = f.a.g.f13146d;
        f.a.c0.b.a.b(i2, "prefetch");
        return new ObservableConcatMap(iVar, Functions.f13354a, i2, ErrorMode.IMMEDIATE);
    }

    @TargetApi(23)
    private boolean shouldShowRequestPermissionRationaleImplementation(Activity activity, String... strArr) {
        for (String str : strArr) {
            if (!(isGranted(str) || activity.shouldShowRequestPermissionRationale(str))) {
                return false;
            }
        }
        return true;
    }

    public <T> s<T, Boolean> ensure(final String... strArr) {
        return new s<T, Boolean>() {
            /* class com.tbruyelle.rxpermissions2.RxPermissions.AnonymousClass2 */

            @Override // f.a.s
            public r<Boolean> apply(o<T> oVar) {
                return RxPermissions.this.request(oVar, strArr).a(strArr.length).c(new h<List<Permission>, r<Boolean>>() {
                    /* class com.tbruyelle.rxpermissions2.RxPermissions.AnonymousClass2.AnonymousClass1 */

                    public r<Boolean> apply(List<Permission> list) {
                        if (list.isEmpty()) {
                            return g.f13014d;
                        }
                        for (Permission permission : list) {
                            if (!permission.granted) {
                                return o.f(Boolean.FALSE);
                            }
                        }
                        return o.f(Boolean.TRUE);
                    }
                }, false, SubsamplingScaleImageView.TILE_SIZE_AUTO);
            }
        };
    }

    public <T> s<T, Permission> ensureEach(final String... strArr) {
        return new s<T, Permission>() {
            /* class com.tbruyelle.rxpermissions2.RxPermissions.AnonymousClass3 */

            @Override // f.a.s
            public r<Permission> apply(o<T> oVar) {
                return RxPermissions.this.request(oVar, strArr);
            }
        };
    }

    public <T> s<T, Permission> ensureEachCombined(final String... strArr) {
        return new s<T, Permission>() {
            /* class com.tbruyelle.rxpermissions2.RxPermissions.AnonymousClass4 */

            @Override // f.a.s
            public r<Permission> apply(o<T> oVar) {
                return RxPermissions.this.request(oVar, strArr).a(strArr.length).c(new h<List<Permission>, r<Permission>>() {
                    /* class com.tbruyelle.rxpermissions2.RxPermissions.AnonymousClass4.AnonymousClass1 */

                    public r<Permission> apply(List<Permission> list) {
                        if (list.isEmpty()) {
                            return g.f13014d;
                        }
                        return new m(new Permission(list));
                    }
                }, false, SubsamplingScaleImageView.TILE_SIZE_AUTO);
            }
        };
    }

    public boolean isGranted(String str) {
        return !isMarshmallow() || this.mRxPermissionsFragment.get().isGranted(str);
    }

    public boolean isMarshmallow() {
        return Build.VERSION.SDK_INT >= 23;
    }

    public boolean isRevoked(String str) {
        return isMarshmallow() && this.mRxPermissionsFragment.get().isRevoked(str);
    }

    public void onRequestPermissionsResult(String[] strArr, int[] iArr) {
        this.mRxPermissionsFragment.get().onRequestPermissionsResult(strArr, iArr, new boolean[strArr.length]);
    }

    public o<Boolean> request(String... strArr) {
        return o.f(TRIGGER).b(ensure(strArr));
    }

    public o<Permission> requestEach(String... strArr) {
        return o.f(TRIGGER).b(ensureEach(strArr));
    }

    public o<Permission> requestEachCombined(String... strArr) {
        return o.f(TRIGGER).b(ensureEachCombined(strArr));
    }

    @TargetApi(23)
    public void requestPermissionsFromFragment(String[] strArr) {
        StringBuilder B = d.a.a.a.a.B("requestPermissionsFromFragment ");
        B.append(TextUtils.join(", ", strArr));
        this.mRxPermissionsFragment.get().log(B.toString());
        this.mRxPermissionsFragment.get().requestPermissions(strArr);
    }

    public void setLogging(boolean z) {
        this.mRxPermissionsFragment.get().setLogging(z);
    }

    public o<Boolean> shouldShowRequestPermissionRationale(Activity activity, String... strArr) {
        if (!isMarshmallow()) {
            return o.f(Boolean.FALSE);
        }
        return o.f(Boolean.valueOf(shouldShowRequestPermissionRationaleImplementation(activity, strArr)));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private o<Permission> request(o<?> oVar, final String... strArr) {
        if (strArr != null && strArr.length != 0) {
            return oneOf(oVar, pending(strArr)).c(new h<Object, o<Permission>>() {
                /* class com.tbruyelle.rxpermissions2.RxPermissions.AnonymousClass5 */

                @Override // f.a.b0.h
                public o<Permission> apply(Object obj) {
                    return RxPermissions.this.requestImplementation(strArr);
                }
            }, false, SubsamplingScaleImageView.TILE_SIZE_AUTO);
        }
        throw new IllegalArgumentException("RxPermissions.request/requestEach requires at least one input permission");
    }

    public RxPermissions(Fragment fragment) {
        this.mRxPermissionsFragment = getLazySingleton(fragment.getChildFragmentManager());
    }
}
