package com.yalantis.ucrop;

import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.os.Environment;
import android.text.TextUtils;
import android.view.View;
import android.view.animation.AnimationUtils;
import android.widget.FrameLayout;
import android.widget.RelativeLayout;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.recyclerview.widget.SimpleItemAnimator;
import com.luck.picture.lib.R;
import com.luck.picture.lib.config.PictureMimeType;
import com.luck.picture.lib.entity.LocalMedia;
import com.luck.picture.lib.tools.DateUtils;
import com.luck.picture.lib.tools.ScreenUtils;
import com.luck.picture.lib.tools.SdkVersionUtils;
import d.a.a.a.a;
import d.l.b.g.g.b;
import java.io.File;
import java.util.ArrayList;
import java.util.Objects;

public class PictureMultiCuttingActivity extends UCropActivity {
    public RecyclerView U;
    public PicturePhotoGalleryAdapter V;
    public final ArrayList<LocalMedia> W = new ArrayList<>();
    public boolean X;
    public int Y;
    public int Z;
    public String a0;
    public boolean b0;
    public boolean c0;

    @Override // com.yalantis.ucrop.UCropActivity
    public void I(Uri uri, float f2, int i2, int i3, int i4, int i5) {
        try {
            int size = this.W.size();
            int i6 = this.Y;
            if (size < i6) {
                onBackPressed();
                return;
            }
            LocalMedia localMedia = this.W.get(i6);
            localMedia.setCutPath(uri.getPath());
            localMedia.setCut(true);
            localMedia.setCropResultAspectRatio(f2);
            localMedia.setCropOffsetX(i2);
            localMedia.setCropOffsetY(i3);
            localMedia.setCropImageWidth(i4);
            localMedia.setCropImageHeight(i5);
            localMedia.setAndroidQToPath(SdkVersionUtils.checkedAndroid_Q() ? localMedia.getCutPath() : localMedia.getAndroidQToPath());
            localMedia.setSize(!TextUtils.isEmpty(localMedia.getCutPath()) ? new File(localMedia.getCutPath()).length() : localMedia.getSize());
            O();
            int i7 = this.Y + 1;
            this.Y = i7;
            if (this.X && i7 < this.W.size() && PictureMimeType.isHasVideo(this.W.get(this.Y).getMimeType())) {
                while (true) {
                    if (this.Y >= this.W.size()) {
                        break;
                    } else if (PictureMimeType.isHasImage(this.W.get(this.Y).getMimeType())) {
                        break;
                    } else {
                        this.Y++;
                    }
                }
            }
            int i8 = this.Y;
            this.Z = i8;
            if (i8 >= this.W.size()) {
                for (int i9 = 0; i9 < this.W.size(); i9++) {
                    LocalMedia localMedia2 = this.W.get(i9);
                    localMedia2.setCut(!TextUtils.isEmpty(localMedia2.getCutPath()));
                }
                setResult(-1, new Intent().putExtra("com.yalantis.ucrop.OutputUriList", this.W));
                onBackPressed();
                return;
            }
            M();
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    public final void L(boolean z) {
        if (this.U.getLayoutParams() != null) {
            if (z) {
                ((RelativeLayout.LayoutParams) this.U.getLayoutParams()).addRule(12, 0);
                ((RelativeLayout.LayoutParams) this.U.getLayoutParams()).addRule(2, R.id.wrapper_controls);
                return;
            }
            ((RelativeLayout.LayoutParams) this.U.getLayoutParams()).addRule(12);
            ((RelativeLayout.LayoutParams) this.U.getLayoutParams()).addRule(2, 0);
        }
    }

    public void M() {
        Uri uri;
        String str;
        this.v.removeView(this.U);
        View view = this.J;
        if (view != null) {
            this.v.removeView(view);
        }
        setContentView(R.layout.ucrop_activity_photobox);
        this.v = (RelativeLayout) findViewById(R.id.ucrop_photobox);
        B();
        Intent intent = getIntent();
        Bundle extras = intent.getExtras();
        if (extras == null) {
            extras = new Bundle();
        }
        LocalMedia localMedia = this.W.get(this.Y);
        String path = localMedia.getPath();
        boolean isHasHttp = PictureMimeType.isHasHttp(path);
        String lastImgType = PictureMimeType.getLastImgType(PictureMimeType.isContent(path) ? b.L(this, Uri.parse(path)) : path);
        if (!TextUtils.isEmpty(localMedia.getAndroidQToPath())) {
            uri = Uri.fromFile(new File(localMedia.getAndroidQToPath()));
        } else {
            uri = (isHasHttp || PictureMimeType.isContent(path)) ? Uri.parse(path) : Uri.fromFile(new File(path));
        }
        extras.putParcelable("com.yalantis.ucrop.InputUri", uri);
        File externalFilesDir = Environment.getExternalStorageState().equals("mounted") ? getExternalFilesDir(Environment.DIRECTORY_PICTURES) : getCacheDir();
        if (TextUtils.isEmpty(this.a0)) {
            str = DateUtils.getCreateFileName("IMG_CROP_") + lastImgType;
        } else if (this.b0) {
            str = this.a0;
        } else {
            String str2 = this.a0;
            String substring = str2.substring(0, str2.lastIndexOf("."));
            String substring2 = str2.substring(str2.lastIndexOf("."));
            StringBuilder F = a.F(substring, "_");
            F.append(DateUtils.getCreateFileName());
            F.append(substring2);
            str = F.toString();
        }
        extras.putParcelable("com.yalantis.ucrop.OutputUri", Uri.fromFile(new File(externalFilesDir, str)));
        intent.putExtras(extras);
        K(intent);
        N();
        this.W.get(this.Y).setCut(true);
        this.V.notifyItemChanged(this.Y);
        this.v.addView(this.U);
        L(this.t);
        ((RelativeLayout.LayoutParams) ((FrameLayout) findViewById(R.id.ucrop_frame)).getLayoutParams()).addRule(2, R.id.id_recycler);
        ((RelativeLayout.LayoutParams) this.U.getLayoutParams()).addRule(2, R.id.controls_wrapper);
        F(intent);
        G();
        double dip2px = (double) (ScreenUtils.dip2px(this, 60.0f) * this.Y);
        int i2 = this.f7573j;
        if (dip2px > ((double) i2) * 0.8d) {
            this.U.scrollBy(ScreenUtils.dip2px(this, 60.0f), 0);
        } else if (dip2px < ((double) i2) * 0.4d) {
            this.U.scrollBy(ScreenUtils.dip2px(this, -60.0f), 0);
        }
    }

    public final void N() {
        int size = this.W.size();
        for (int i2 = 0; i2 < size; i2++) {
            this.W.get(i2).setCut(false);
        }
    }

    public final void O() {
        int i2;
        int size = this.W.size();
        if (size > 1 && size > (i2 = this.Z)) {
            this.W.get(i2).setCut(false);
            this.V.notifyItemChanged(this.Y);
        }
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.yalantis.ucrop.UCropActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        Intent intent = getIntent();
        this.a0 = intent.getStringExtra("com.yalantis.ucrop.RenameCropFileName");
        this.b0 = intent.getBooleanExtra("com.yalantis.ucrop.isCamera", false);
        this.X = intent.getBooleanExtra("com.yalantis.ucrop.isWithVideoImage", false);
        ArrayList parcelableArrayListExtra = getIntent().getParcelableArrayListExtra("com.yalantis.ucrop.cuts");
        this.c0 = getIntent().getBooleanExtra(".isMultipleAnimation", true);
        if (parcelableArrayListExtra == null || parcelableArrayListExtra.size() == 0) {
            onBackPressed();
            return;
        }
        this.W.addAll(parcelableArrayListExtra);
        if (this.W.size() > 1) {
            ArrayList<LocalMedia> arrayList = this.W;
            if (arrayList == null || arrayList.size() == 0) {
                onBackPressed();
            } else {
                int size = this.W.size();
                if (this.X) {
                    int i2 = 0;
                    while (true) {
                        if (i2 < size) {
                            LocalMedia localMedia = this.W.get(i2);
                            if (localMedia != null && PictureMimeType.isHasImage(localMedia.getMimeType())) {
                                this.Y = i2;
                                break;
                            }
                            i2++;
                        } else {
                            break;
                        }
                    }
                }
            }
            boolean booleanExtra = getIntent().getBooleanExtra("com.yalantis.ucrop.skip_multiple_crop", true);
            RecyclerView recyclerView = new RecyclerView(this);
            this.U = recyclerView;
            int i3 = R.id.id_recycler;
            recyclerView.setId(i3);
            this.U.setBackgroundColor(b.j.b.a.b(this, R.color.ucrop_color_widget_background));
            this.U.setLayoutParams(new RelativeLayout.LayoutParams(-1, ScreenUtils.dip2px(this, 80.0f)));
            LinearLayoutManager linearLayoutManager = new LinearLayoutManager(this);
            linearLayoutManager.setOrientation(0);
            if (this.c0) {
                this.U.setLayoutAnimation(AnimationUtils.loadLayoutAnimation(getApplicationContext(), R.anim.ucrop_layout_animation_fall_down));
            }
            this.U.setLayoutManager(linearLayoutManager);
            RecyclerView.ItemAnimator itemAnimator = this.U.getItemAnimator();
            Objects.requireNonNull(itemAnimator);
            ((SimpleItemAnimator) itemAnimator).f1901g = false;
            N();
            this.W.get(this.Y).setCut(true);
            PicturePhotoGalleryAdapter picturePhotoGalleryAdapter = new PicturePhotoGalleryAdapter(this.W);
            this.V = picturePhotoGalleryAdapter;
            this.U.setAdapter(picturePhotoGalleryAdapter);
            if (booleanExtra) {
                this.V.f7566b = new d.r.a.a(this);
            }
            this.v.addView(this.U);
            L(this.t);
            ((RelativeLayout.LayoutParams) ((FrameLayout) findViewById(R.id.ucrop_frame)).getLayoutParams()).addRule(2, i3);
            ((RelativeLayout.LayoutParams) this.U.getLayoutParams()).addRule(2, R.id.controls_wrapper);
        }
    }

    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onDestroy() {
        PicturePhotoGalleryAdapter picturePhotoGalleryAdapter = this.V;
        if (picturePhotoGalleryAdapter != null) {
            picturePhotoGalleryAdapter.f7566b = null;
        }
        super.onDestroy();
    }
}
