package com.yanzhenjie.recyclerview;

import android.view.View;
import android.widget.OverScroller;
import com.yanzhenjie.recyclerview.Horizontal;

public class RightHorizontal extends Horizontal {
    public RightHorizontal(View view) {
        super(-1, view);
    }

    @Override // com.yanzhenjie.recyclerview.Horizontal
    public void autoCloseMenu(OverScroller overScroller, int i2, int i3) {
        overScroller.startScroll(-Math.abs(i2), 0, Math.abs(i2), 0, i3);
    }

    @Override // com.yanzhenjie.recyclerview.Horizontal
    public void autoOpenMenu(OverScroller overScroller, int i2, int i3) {
        overScroller.startScroll(Math.abs(i2), 0, getMenuView().getWidth() - Math.abs(i2), 0, i3);
    }

    @Override // com.yanzhenjie.recyclerview.Horizontal
    public Horizontal.Checker checkXY(int i2, int i3) {
        Horizontal.Checker checker = this.mChecker;
        checker.x = i2;
        checker.y = i3;
        checker.shouldResetSwipe = false;
        if (i2 == 0) {
            checker.shouldResetSwipe = true;
        }
        if (i2 < 0) {
            checker.x = 0;
        }
        if (checker.x > getMenuView().getWidth()) {
            this.mChecker.x = getMenuView().getWidth();
        }
        return this.mChecker;
    }

    @Override // com.yanzhenjie.recyclerview.Horizontal
    public boolean isClickOnContentView(int i2, float f2) {
        return f2 < ((float) (i2 - getMenuView().getWidth()));
    }

    @Override // com.yanzhenjie.recyclerview.Horizontal
    public boolean isMenuOpen(int i2) {
        int direction = getDirection() * (-getMenuView().getWidth());
        return i2 >= direction && direction != 0;
    }

    @Override // com.yanzhenjie.recyclerview.Horizontal
    public boolean isMenuOpenNotEqual(int i2) {
        return i2 > getDirection() * (-getMenuView().getWidth());
    }
}
