package com.yanzhenjie.recyclerview;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Typeface;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import b.j.b.a;

public class SwipeMenuItem {
    private Drawable background;
    private int height = -2;
    private Drawable icon;
    private Context mContext;
    private int textAppearance;
    private Typeface textTypeface;
    private String title;
    private ColorStateList titleColor;
    private int titleSize;
    private int weight = 0;
    private int width = -2;

    public SwipeMenuItem(Context context) {
        this.mContext = context;
    }

    public Drawable getBackground() {
        return this.background;
    }

    public int getHeight() {
        return this.height;
    }

    public Drawable getImage() {
        return this.icon;
    }

    public String getText() {
        return this.title;
    }

    public int getTextAppearance() {
        return this.textAppearance;
    }

    public int getTextSize() {
        return this.titleSize;
    }

    public Typeface getTextTypeface() {
        return this.textTypeface;
    }

    public ColorStateList getTitleColor() {
        return this.titleColor;
    }

    public int getWeight() {
        return this.weight;
    }

    public int getWidth() {
        return this.width;
    }

    public SwipeMenuItem setBackground(int i2) {
        Context context = this.mContext;
        Object obj = a.f3266a;
        return setBackground(context.getDrawable(i2));
    }

    public SwipeMenuItem setBackgroundColor(int i2) {
        this.background = new ColorDrawable(i2);
        return this;
    }

    public SwipeMenuItem setBackgroundColorResource(int i2) {
        return setBackgroundColor(a.b(this.mContext, i2));
    }

    public SwipeMenuItem setHeight(int i2) {
        this.height = i2;
        return this;
    }

    public SwipeMenuItem setImage(int i2) {
        Context context = this.mContext;
        Object obj = a.f3266a;
        return setImage(context.getDrawable(i2));
    }

    public SwipeMenuItem setText(int i2) {
        return setText(this.mContext.getString(i2));
    }

    public SwipeMenuItem setTextAppearance(int i2) {
        this.textAppearance = i2;
        return this;
    }

    public SwipeMenuItem setTextColor(int i2) {
        this.titleColor = ColorStateList.valueOf(i2);
        return this;
    }

    public SwipeMenuItem setTextColorResource(int i2) {
        return setTextColor(a.b(this.mContext, i2));
    }

    public SwipeMenuItem setTextSize(int i2) {
        this.titleSize = i2;
        return this;
    }

    public SwipeMenuItem setTextTypeface(Typeface typeface) {
        this.textTypeface = typeface;
        return this;
    }

    public SwipeMenuItem setWeight(int i2) {
        this.weight = i2;
        return this;
    }

    public SwipeMenuItem setWidth(int i2) {
        this.width = i2;
        return this;
    }

    public SwipeMenuItem setText(String str) {
        this.title = str;
        return this;
    }

    public SwipeMenuItem setBackground(Drawable drawable) {
        this.background = drawable;
        return this;
    }

    public SwipeMenuItem setImage(Drawable drawable) {
        this.icon = drawable;
        return this;
    }
}
