package com.yanzhenjie.recyclerview.widget;

import android.graphics.Canvas;
import android.graphics.Rect;
import android.view.View;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.recyclerview.widget.StaggeredGridLayoutManager;

public class DefaultItemDecoration extends RecyclerView.k {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    private final Drawer mDrawer;
    private final int mHeight;
    private final int mWidth;

    public DefaultItemDecoration(int i2) {
        this(i2, 4, 4);
    }

    private void drawHorizontal(Canvas canvas, View view, int i2, int i3, int i4) {
        boolean isFirstRaw = isFirstRaw(0, i2, i3, i4);
        boolean isLastRaw = isLastRaw(0, i2, i3, i4);
        boolean isFirstColumn = isFirstColumn(0, i2, i3, i4);
        boolean isLastColumn = isLastColumn(0, i2, i3, i4);
        if (i3 == 1) {
            if (isFirstRaw && isLastColumn) {
                return;
            }
            if (isFirstColumn) {
                this.mDrawer.drawRight(view, canvas);
            } else if (isLastColumn) {
                this.mDrawer.drawLeft(view, canvas);
            } else {
                this.mDrawer.drawLeft(view, canvas);
                this.mDrawer.drawRight(view, canvas);
            }
        } else if (isFirstColumn && isFirstRaw) {
            this.mDrawer.drawRight(view, canvas);
            this.mDrawer.drawBottom(view, canvas);
        } else if (isFirstColumn && isLastRaw) {
            this.mDrawer.drawTop(view, canvas);
            this.mDrawer.drawRight(view, canvas);
        } else if (isLastColumn && isFirstRaw) {
            this.mDrawer.drawLeft(view, canvas);
            this.mDrawer.drawBottom(view, canvas);
        } else if (isLastColumn && isLastRaw) {
            this.mDrawer.drawLeft(view, canvas);
            this.mDrawer.drawTop(view, canvas);
        } else if (isFirstColumn) {
            this.mDrawer.drawTop(view, canvas);
            this.mDrawer.drawRight(view, canvas);
            this.mDrawer.drawBottom(view, canvas);
        } else if (isLastColumn) {
            this.mDrawer.drawLeft(view, canvas);
            this.mDrawer.drawTop(view, canvas);
            this.mDrawer.drawBottom(view, canvas);
        } else if (isFirstRaw) {
            this.mDrawer.drawLeft(view, canvas);
            this.mDrawer.drawRight(view, canvas);
            this.mDrawer.drawBottom(view, canvas);
        } else if (isLastRaw) {
            this.mDrawer.drawLeft(view, canvas);
            this.mDrawer.drawTop(view, canvas);
            this.mDrawer.drawRight(view, canvas);
        } else {
            this.mDrawer.drawLeft(view, canvas);
            this.mDrawer.drawTop(view, canvas);
            this.mDrawer.drawRight(view, canvas);
            this.mDrawer.drawBottom(view, canvas);
        }
    }

    private void drawVertical(Canvas canvas, View view, int i2, int i3, int i4) {
        boolean isFirstRaw = isFirstRaw(1, i2, i3, i4);
        boolean isLastRaw = isLastRaw(1, i2, i3, i4);
        boolean isFirstColumn = isFirstColumn(1, i2, i3, i4);
        boolean isLastColumn = isLastColumn(1, i2, i3, i4);
        if (i3 == 1) {
            if (isFirstRaw && isLastRaw) {
                return;
            }
            if (isFirstRaw) {
                this.mDrawer.drawBottom(view, canvas);
            } else if (isLastRaw) {
                this.mDrawer.drawTop(view, canvas);
            } else {
                this.mDrawer.drawTop(view, canvas);
                this.mDrawer.drawBottom(view, canvas);
            }
        } else if (isFirstRaw && isFirstColumn) {
            this.mDrawer.drawRight(view, canvas);
            this.mDrawer.drawBottom(view, canvas);
        } else if (isFirstRaw && isLastColumn) {
            this.mDrawer.drawLeft(view, canvas);
            this.mDrawer.drawBottom(view, canvas);
        } else if (isLastRaw && isFirstColumn) {
            this.mDrawer.drawTop(view, canvas);
            this.mDrawer.drawRight(view, canvas);
        } else if (isLastRaw && isLastColumn) {
            this.mDrawer.drawLeft(view, canvas);
            this.mDrawer.drawTop(view, canvas);
        } else if (isFirstRaw) {
            this.mDrawer.drawLeft(view, canvas);
            this.mDrawer.drawRight(view, canvas);
            this.mDrawer.drawBottom(view, canvas);
        } else if (isLastRaw) {
            this.mDrawer.drawLeft(view, canvas);
            this.mDrawer.drawTop(view, canvas);
            this.mDrawer.drawRight(view, canvas);
        } else if (isFirstColumn) {
            this.mDrawer.drawTop(view, canvas);
            this.mDrawer.drawRight(view, canvas);
            this.mDrawer.drawBottom(view, canvas);
        } else if (isLastColumn) {
            this.mDrawer.drawLeft(view, canvas);
            this.mDrawer.drawTop(view, canvas);
            this.mDrawer.drawBottom(view, canvas);
        } else {
            this.mDrawer.drawLeft(view, canvas);
            this.mDrawer.drawTop(view, canvas);
            this.mDrawer.drawRight(view, canvas);
            this.mDrawer.drawBottom(view, canvas);
        }
    }

    private int getOrientation(RecyclerView.LayoutManager layoutManager) {
        if (layoutManager instanceof LinearLayoutManager) {
            return ((LinearLayoutManager) layoutManager).getOrientation();
        }
        if (layoutManager instanceof StaggeredGridLayoutManager) {
            return ((StaggeredGridLayoutManager) layoutManager).f1914e;
        }
        return 1;
    }

    private int getSpanCount(RecyclerView.LayoutManager layoutManager) {
        if (layoutManager instanceof GridLayoutManager) {
            return ((GridLayoutManager) layoutManager).getSpanCount();
        }
        if (layoutManager instanceof StaggeredGridLayoutManager) {
            return ((StaggeredGridLayoutManager) layoutManager).f1910a;
        }
        return 1;
    }

    private boolean isFirstColumn(int i2, int i3, int i4, int i5) {
        return i2 == 1 ? i4 == 1 || i3 % i4 == 0 : i3 < i4;
    }

    private boolean isFirstRaw(int i2, int i3, int i4, int i5) {
        return i2 == 1 ? i3 < i4 : i4 == 1 || i3 % i4 == 0;
    }

    private boolean isLastColumn(int i2, int i3, int i4, int i5) {
        if (i2 == 1) {
            return i4 == 1 || (i3 + 1) % i4 == 0;
        }
        if (i4 == 1) {
            return i3 + 1 == i5;
        }
        int i6 = i5 % i4;
        int i7 = ((i5 - i6) / i4) + (i6 > 0 ? 1 : 0);
        int i8 = i3 + 1;
        int i9 = i8 % i4;
        if (i9 == 0) {
            if (i7 == i8 / i4) {
                return true;
            }
            return false;
        } else if (i7 == ((i8 - i9) / i4) + 1) {
            return true;
        } else {
            return false;
        }
    }

    private boolean isLastRaw(int i2, int i3, int i4, int i5) {
        if (i2 == 1) {
            if (i4 == 1) {
                return i3 + 1 == i5;
            }
            int i6 = i5 % i4;
            int i7 = ((i5 - i6) / i4) + (i6 > 0 ? 1 : 0);
            int i8 = i3 + 1;
            int i9 = i8 % i4;
            if (i9 == 0) {
                if (i7 == i8 / i4) {
                    return true;
                }
                return false;
            } else if (i7 == ((i8 - i9) / i4) + 1) {
                return true;
            } else {
                return false;
            }
        } else if (i4 == 1 || (i3 + 1) % i4 == 0) {
            return true;
        } else {
            return false;
        }
    }

    private void offsetHorizontal(Rect rect, int i2, int i3, int i4) {
        boolean isFirstRaw = isFirstRaw(0, i2, i3, i4);
        boolean isLastRaw = isLastRaw(0, i2, i3, i4);
        boolean isFirstColumn = isFirstColumn(0, i2, i3, i4);
        boolean isLastColumn = isLastColumn(0, i2, i3, i4);
        if (i3 == 1) {
            if (isFirstColumn && isLastColumn) {
                rect.set(0, 0, 0, 0);
            } else if (isFirstColumn) {
                rect.set(0, 0, this.mWidth, 0);
            } else if (isLastColumn) {
                rect.set(this.mWidth, 0, 0, 0);
            } else {
                int i5 = this.mWidth;
                rect.set(i5, 0, i5, 0);
            }
        } else if (isFirstColumn && isFirstRaw) {
            rect.set(0, 0, this.mWidth, this.mHeight);
        } else if (isFirstColumn && isLastRaw) {
            rect.set(0, this.mHeight, this.mWidth, 0);
        } else if (isLastColumn && isFirstRaw) {
            rect.set(this.mWidth, 0, 0, this.mHeight);
        } else if (isLastColumn && isLastRaw) {
            rect.set(this.mWidth, this.mHeight, 0, 0);
        } else if (isFirstColumn) {
            int i6 = this.mHeight;
            rect.set(0, i6, this.mWidth, i6);
        } else if (isLastColumn) {
            int i7 = this.mWidth;
            int i8 = this.mHeight;
            rect.set(i7, i8, 0, i8);
        } else if (isFirstRaw) {
            int i9 = this.mWidth;
            rect.set(i9, 0, i9, this.mHeight);
        } else if (isLastRaw) {
            int i10 = this.mWidth;
            rect.set(i10, this.mHeight, i10, 0);
        } else {
            int i11 = this.mWidth;
            int i12 = this.mHeight;
            rect.set(i11, i12, i11, i12);
        }
    }

    private void offsetVertical(Rect rect, int i2, int i3, int i4) {
        boolean isFirstRaw = isFirstRaw(1, i2, i3, i4);
        boolean isLastRaw = isLastRaw(1, i2, i3, i4);
        boolean isFirstColumn = isFirstColumn(1, i2, i3, i4);
        boolean isLastColumn = isLastColumn(1, i2, i3, i4);
        if (i3 == 1) {
            if (isFirstRaw && isLastRaw) {
                rect.set(0, 0, 0, 0);
            } else if (isFirstRaw) {
                rect.set(0, 0, 0, this.mHeight);
            } else if (isLastRaw) {
                rect.set(0, this.mHeight, 0, 0);
            } else {
                int i5 = this.mHeight;
                rect.set(0, i5, 0, i5);
            }
        } else if (isFirstRaw && isFirstColumn) {
            rect.set(0, 0, this.mWidth, this.mHeight);
        } else if (isFirstRaw && isLastColumn) {
            rect.set(this.mWidth, 0, 0, this.mHeight);
        } else if (isLastRaw && isFirstColumn) {
            rect.set(0, this.mHeight, this.mWidth, 0);
        } else if (isLastRaw && isLastColumn) {
            rect.set(this.mWidth, this.mHeight, 0, 0);
        } else if (isFirstRaw) {
            int i6 = this.mWidth;
            rect.set(i6, 0, i6, this.mHeight);
        } else if (isLastRaw) {
            int i7 = this.mWidth;
            rect.set(i7, this.mHeight, i7, 0);
        } else if (isFirstColumn) {
            int i8 = this.mHeight;
            rect.set(0, i8, this.mWidth, i8);
        } else if (isLastColumn) {
            int i9 = this.mWidth;
            int i10 = this.mHeight;
            rect.set(i9, i10, 0, i10);
        } else {
            int i11 = this.mWidth;
            int i12 = this.mHeight;
            rect.set(i11, i12, i11, i12);
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.k
    public void getItemOffsets(Rect rect, View view, RecyclerView recyclerView, RecyclerView.r rVar) {
        RecyclerView.LayoutManager layoutManager = recyclerView.getLayoutManager();
        if (layoutManager instanceof LinearLayoutManager) {
            int orientation = getOrientation(layoutManager);
            int childLayoutPosition = recyclerView.getChildLayoutPosition(view);
            int spanCount = getSpanCount(layoutManager);
            int itemCount = layoutManager.getItemCount();
            if (orientation == 1) {
                offsetVertical(rect, childLayoutPosition, spanCount, itemCount);
            } else {
                offsetHorizontal(rect, childLayoutPosition, spanCount, itemCount);
            }
        } else if (layoutManager instanceof StaggeredGridLayoutManager) {
            int i2 = this.mWidth;
            int i3 = this.mHeight;
            rect.set(i2, i3, i2, i3);
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.k
    public void onDraw(Canvas canvas, RecyclerView recyclerView, RecyclerView.r rVar) {
        RecyclerView.LayoutManager layoutManager = recyclerView.getLayoutManager();
        int orientation = getOrientation(layoutManager);
        int spanCount = getSpanCount(layoutManager);
        int childCount = layoutManager.getChildCount();
        if (layoutManager instanceof LinearLayoutManager) {
            canvas.save();
            for (int i2 = 0; i2 < childCount; i2++) {
                View childAt = layoutManager.getChildAt(i2);
                int childLayoutPosition = recyclerView.getChildLayoutPosition(childAt);
                if (orientation == 1) {
                    drawVertical(canvas, childAt, childLayoutPosition, spanCount, childCount);
                } else {
                    drawHorizontal(canvas, childAt, childLayoutPosition, spanCount, childCount);
                }
            }
            canvas.restore();
        } else if (layoutManager instanceof StaggeredGridLayoutManager) {
            canvas.save();
            for (int i3 = 0; i3 < childCount; i3++) {
                View childAt2 = layoutManager.getChildAt(i3);
                this.mDrawer.drawLeft(childAt2, canvas);
                this.mDrawer.drawTop(childAt2, canvas);
                this.mDrawer.drawRight(childAt2, canvas);
                this.mDrawer.drawBottom(childAt2, canvas);
            }
            canvas.restore();
        }
    }

    public DefaultItemDecoration(int i2, int i3, int i4) {
        int round = Math.round(((float) i3) / 2.0f);
        this.mWidth = round;
        int round2 = Math.round(((float) i4) / 2.0f);
        this.mHeight = round2;
        this.mDrawer = new ColorDrawer(i2, round, round2);
    }
}
