package com.yanzhenjie.recyclerview.widget;

import android.graphics.Canvas;
import android.graphics.drawable.Drawable;
import android.view.View;

public class Drawer {
    private final Drawable mDivider;
    private final int mHeight;
    private final int mWidth;

    public Drawer(Drawable drawable, int i2, int i3) {
        this.mDivider = drawable;
        this.mWidth = i2;
        this.mHeight = i3;
    }

    public void drawBottom(View view, Canvas canvas) {
        int left = view.getLeft() - this.mWidth;
        int bottom = view.getBottom();
        this.mDivider.setBounds(left, bottom, view.getRight() + this.mWidth, this.mHeight + bottom);
        this.mDivider.draw(canvas);
    }

    public void drawLeft(View view, Canvas canvas) {
        int left = view.getLeft() - this.mWidth;
        int bottom = view.getBottom() + this.mHeight;
        this.mDivider.setBounds(left, view.getTop() - this.mHeight, this.mWidth + left, bottom);
        this.mDivider.draw(canvas);
    }

    public void drawRight(View view, Canvas canvas) {
        int right = view.getRight();
        int bottom = view.getBottom() + this.mHeight;
        this.mDivider.setBounds(right, view.getTop() - this.mHeight, this.mWidth + right, bottom);
        this.mDivider.draw(canvas);
    }

    public void drawTop(View view, Canvas canvas) {
        int left = view.getLeft() - this.mWidth;
        int top = view.getTop() - this.mHeight;
        this.mDivider.setBounds(left, top, view.getRight() + this.mWidth, this.mHeight + top);
        this.mDivider.draw(canvas);
    }
}
