package com.youth.banner.indicator;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.RectF;
import android.util.AttributeSet;

public class RectangleIndicator extends BaseIndicator {
    public RectF rectF;

    public RectangleIndicator(Context context) {
        this(context, null);
    }

    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        int indicatorSize = this.config.getIndicatorSize();
        if (indicatorSize > 1) {
            int i2 = 0;
            float f2 = 0.0f;
            while (i2 < indicatorSize) {
                this.mPaint.setColor(this.config.getCurrentPosition() == i2 ? this.config.getSelectedColor() : this.config.getNormalColor());
                int selectedWidth = this.config.getCurrentPosition() == i2 ? this.config.getSelectedWidth() : this.config.getNormalWidth();
                this.rectF.set(f2, 0.0f, ((float) selectedWidth) + f2, (float) this.config.getHeight());
                f2 += (float) (this.config.getIndicatorSpace() + selectedWidth);
                canvas.drawRoundRect(this.rectF, (float) this.config.getRadius(), (float) this.config.getRadius(), this.mPaint);
                i2++;
            }
        }
    }

    public void onMeasure(int i2, int i3) {
        super.onMeasure(i2, i3);
        int indicatorSize = this.config.getIndicatorSize();
        if (indicatorSize > 1) {
            int i4 = indicatorSize - 1;
            int normalWidth = this.config.getNormalWidth() * i4;
            setMeasuredDimension(this.config.getSelectedWidth() + normalWidth + (this.config.getIndicatorSpace() * i4), this.config.getHeight());
        }
    }

    public RectangleIndicator(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public RectangleIndicator(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.rectF = new RectF();
    }
}
