package com.youth.banner.itemdecoration;

import android.graphics.Rect;
import android.view.View;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

public class MarginDecoration extends RecyclerView.k {
    private int mMarginPx;

    public MarginDecoration(int i2) {
        this.mMarginPx = i2;
    }

    private LinearLayoutManager requireLinearLayoutManager(RecyclerView recyclerView) {
        RecyclerView.LayoutManager layoutManager = recyclerView.getLayoutManager();
        if (layoutManager instanceof LinearLayoutManager) {
            return (LinearLayoutManager) layoutManager;
        }
        throw new IllegalStateException("The layoutManager must be LinearLayoutManager");
    }

    @Override // androidx.recyclerview.widget.RecyclerView.k
    public void getItemOffsets(Rect rect, View view, RecyclerView recyclerView, RecyclerView.r rVar) {
        if (requireLinearLayoutManager(recyclerView).getOrientation() == 1) {
            int i2 = this.mMarginPx;
            rect.top = i2;
            rect.bottom = i2;
            return;
        }
        int i3 = this.mMarginPx;
        rect.left = i3;
        rect.right = i3;
    }
}
