package com.youth.banner.transformer;

import android.view.View;

public class DepthPageTransformer extends BasePageTransformer {
    private static final float DEFAULT_MIN_SCALE = 0.75f;
    private float mMinScale = DEFAULT_MIN_SCALE;

    public DepthPageTransformer() {
    }

    @Override // androidx.viewpager2.widget.ViewPager2.PageTransformer
    public void transformPage(View view, float f2) {
        int width = view.getWidth();
        if (f2 < -1.0f) {
            view.setAlpha(0.0f);
        } else if (f2 <= 0.0f) {
            view.setAlpha(1.0f);
            view.setTranslationX(0.0f);
            view.setScaleX(1.0f);
            view.setScaleY(1.0f);
        } else if (f2 <= 1.0f) {
            view.setVisibility(0);
            view.setAlpha(1.0f - f2);
            view.setTranslationX(((float) width) * (-f2));
            float f3 = this.mMinScale;
            float abs = ((1.0f - Math.abs(f2)) * (1.0f - f3)) + f3;
            view.setScaleX(abs);
            view.setScaleY(abs);
            if (f2 == 1.0f) {
                view.setVisibility(4);
            }
        } else {
            view.setAlpha(0.0f);
        }
    }

    public DepthPageTransformer(float f2) {
        this.mMinScale = f2;
    }
}
