package com.youth.banner.transformer;

import android.view.View;

public class ScaleInTransformer extends BasePageTransformer {
    private static final float DEFAULT_MIN_SCALE = 0.85f;
    private float mMinScale = DEFAULT_MIN_SCALE;

    public ScaleInTransformer() {
    }

    @Override // androidx.viewpager2.widget.ViewPager2.PageTransformer
    public void transformPage(View view, float f2) {
        int width = view.getWidth();
        view.setPivotY((float) (view.getHeight() / 2));
        view.setPivotX((float) (width / 2));
        if (f2 < -1.0f) {
            view.setScaleX(this.mMinScale);
            view.setScaleY(this.mMinScale);
            view.setPivotX((float) width);
        } else if (f2 > 1.0f) {
            view.setPivotX(0.0f);
            view.setScaleX(this.mMinScale);
            view.setScaleY(this.mMinScale);
        } else if (f2 < 0.0f) {
            float f3 = this.mMinScale;
            float f4 = ((1.0f - f3) * (f2 + 1.0f)) + f3;
            view.setScaleX(f4);
            view.setScaleY(f4);
            view.setPivotX((((-f2) * 0.5f) + 0.5f) * ((float) width));
        } else {
            float f5 = 1.0f - f2;
            float f6 = this.mMinScale;
            float f7 = ((1.0f - f6) * f5) + f6;
            view.setScaleX(f7);
            view.setScaleY(f7);
            view.setPivotX(f5 * 0.5f * ((float) width));
        }
    }

    public ScaleInTransformer(float f2) {
        this.mMinScale = f2;
    }
}
