package freemarker.core;

import e.b.b1;
import e.b.c1;
import e.b.d1;
import e.b.p;
import e.b.y0;
import e.f.b0;
import e.f.e;
import e.f.l;
import e.f.l0;
import freemarker.template.SimpleHash;
import freemarker.template.SimpleSequence;
import freemarker.template.TemplateException;

public class APINotSupportedTemplateException extends TemplateException {
    public APINotSupportedTemplateException(Environment environment, p pVar, b0 b0Var) {
        super(null, environment, pVar, buildDescription(environment, pVar, b0Var));
    }

    public static d1 buildDescription(Environment environment, p pVar, b0 b0Var) {
        d1 d1Var = new d1("The value doesn't support ?api. See requirements in the FreeMarker Manual. (FTL type: ", new y0(b0Var), ", TemplateModel class: ", new b1(b0Var.getClass()), ", ObjectWapper: ", new c1(environment.b()), ")");
        d1Var.f12672d = pVar;
        if (pVar.k()) {
            d1Var.d("Only adapted Java objects can possibly have API, not values created inside templates.");
        } else {
            l b2 = environment.b();
            if ((b2 instanceof e) && ((b0Var instanceof SimpleHash) || (b0Var instanceof SimpleSequence))) {
                e eVar = (e) b2;
                if (!eVar.A) {
                    d1Var.d(new Object[]{"In the FreeMarker configuration, \"", "object_wrapper", "\" is a DefaultObjectWrapper with its \"useAdaptersForContainers\" property set to false. Setting it to true might solves this problem."});
                    if (eVar.v.intValue() < l0.f12904e) {
                        d1Var.d("Setting DefaultObjectWrapper's \"incompatibleImprovements\" to 2.3.22 or higher will change the default value of \"useAdaptersForContainers\" to true.");
                    }
                } else if ((b0Var instanceof SimpleSequence) && eVar.B) {
                    d1Var.d(new Object[]{"In the FreeMarker configuration, \"", "object_wrapper", "\" is a DefaultObjectWrapper with its \"forceLegacyNonListCollections\" property set to true. If you are trying to access the API of a non-List Collection, setting the \"forceLegacyNonListCollections\" property to false might solves this problem."});
                }
            }
        }
        return d1Var;
    }
}
