package freemarker.core;

public final class BoundedRangeModel extends RangeModel {
    private final boolean affectedByStringSlicingBug;
    private final boolean rightAdaptive;
    private final int size;
    private final int step;

    public BoundedRangeModel(int i2, int i3, boolean z, boolean z2) {
        super(i2);
        this.step = i2 <= i3 ? 1 : -1;
        this.size = Math.abs(i3 - i2) + (z ? 1 : 0);
        this.rightAdaptive = z2;
        this.affectedByStringSlicingBug = z;
    }

    @Override // freemarker.core.RangeModel
    public int getStep() {
        return this.step;
    }

    @Override // freemarker.core.RangeModel
    public boolean isAffectedByStringSlicingBug() {
        return this.affectedByStringSlicingBug;
    }

    @Override // freemarker.core.RangeModel
    public boolean isRightAdaptive() {
        return this.rightAdaptive;
    }

    @Override // freemarker.core.RangeModel
    public boolean isRightUnbounded() {
        return false;
    }

    @Override // e.f.i0, freemarker.core.RangeModel
    public int size() {
        return this.size;
    }
}
