package freemarker.core;

import e.b.a0;
import e.b.j1;
import e.b.m0;
import e.b.n;
import e.f.b0;
import e.f.m0.l;
import e.f.q;
import e.f.t;
import e.f.x;
import freemarker.template.SimpleHash;
import freemarker.template.Template;
import freemarker.template.TemplateModelException;
import java.io.IOException;
import java.io.Writer;
import java.text.DecimalFormat;
import java.text.DecimalFormatSymbols;
import java.util.Locale;
import java.util.Map;
import java.util.Objects;

public final class Environment extends Configurable {
    public static final ThreadLocal O = new ThreadLocal();
    public static final e.e.a P = e.e.a.j("freemarker.runtime");
    public static final e.e.a Q = e.e.a.j("freemarker.runtime.attempt");
    public static final DecimalFormat R;
    public static final b0[] S = new b0[0];
    public static final Writer T = new a();
    public m0[] U;
    public int V;
    public Namespace W;
    public boolean X;

    public enum InitializationStatus {
        UNINITIALIZED,
        INITIALIZING,
        INITIALIZED,
        FAILED
    }

    public class LazilyInitializedNamespace extends Namespace {
        private final Object customLookupCondition;
        private final String encoding;
        private final Locale locale;
        private InitializationStatus status;
        private final String templateName;

        public /* synthetic */ LazilyInitializedNamespace(Environment environment, String str, n nVar) {
            this(str);
        }

        private void ensureInitializedRTE() {
            try {
                ensureInitializedTME();
            } catch (TemplateModelException e2) {
                throw new RuntimeException(e2.getMessage(), e2.getCause());
            }
        }

        /* access modifiers changed from: private */
        public void ensureInitializedTME() {
            InitializationStatus initializationStatus;
            InitializationStatus initializationStatus2 = this.status;
            InitializationStatus initializationStatus3 = InitializationStatus.INITIALIZED;
            if (initializationStatus2 != initializationStatus3 && initializationStatus2 != (initializationStatus = InitializationStatus.INITIALIZING)) {
                InitializationStatus initializationStatus4 = InitializationStatus.FAILED;
                if (initializationStatus2 != initializationStatus4) {
                    try {
                        this.status = initializationStatus;
                        initialize();
                        this.status = initializationStatus3;
                        if (initializationStatus3 != initializationStatus3) {
                            this.status = initializationStatus4;
                        }
                    } catch (Exception e2) {
                        throw new TemplateModelException("Lazy initialization of the imported namespace for " + l.i(this.templateName) + " has failed; see cause exception", e2);
                    } catch (Throwable th) {
                        if (this.status != InitializationStatus.INITIALIZED) {
                            this.status = InitializationStatus.FAILED;
                        }
                        throw th;
                    }
                } else {
                    StringBuilder B = d.a.a.a.a.B("Lazy initialization of the imported namespace for ");
                    B.append(l.i(this.templateName));
                    B.append(" has already failed earlier; won't retry it.");
                    throw new TemplateModelException(B.toString());
                }
            }
        }

        private void initialize() {
            Environment environment = Environment.this;
            ThreadLocal threadLocal = Environment.O;
            Objects.requireNonNull(environment);
            throw null;
        }

        @Override // freemarker.template.SimpleHash
        public boolean containsKey(String str) {
            ensureInitializedRTE();
            return super.containsKey(str);
        }

        @Override // freemarker.template.SimpleHash
        public Map copyMap(Map map) {
            ensureInitializedRTE();
            return super.copyMap(map);
        }

        @Override // e.f.w, freemarker.template.SimpleHash
        public b0 get(String str) {
            ensureInitializedTME();
            return super.get(str);
        }

        @Override // freemarker.core.Environment.Namespace
        public Template getTemplate() {
            ensureInitializedRTE();
            return super.getTemplate();
        }

        @Override // e.f.w, freemarker.template.SimpleHash
        public boolean isEmpty() {
            ensureInitializedRTE();
            return super.isEmpty();
        }

        @Override // freemarker.template.SimpleHash
        public x keyValuePairIterator() {
            ensureInitializedRTE();
            return super.keyValuePairIterator();
        }

        @Override // freemarker.template.SimpleHash, e.f.y
        public q keys() {
            ensureInitializedRTE();
            return super.keys();
        }

        @Override // freemarker.template.SimpleHash
        public void put(String str, Object obj) {
            ensureInitializedRTE();
            super.put(str, obj);
        }

        @Override // freemarker.template.SimpleHash
        public void putAll(Map map) {
            ensureInitializedRTE();
            super.putAll(map);
        }

        @Override // freemarker.template.SimpleHash
        public void remove(String str) {
            ensureInitializedRTE();
            super.remove(str);
        }

        @Override // freemarker.template.SimpleHash, e.f.y
        public int size() {
            ensureInitializedRTE();
            return super.size();
        }

        @Override // freemarker.template.SimpleHash
        public Map toMap() {
            ensureInitializedTME();
            return super.toMap();
        }

        @Override // freemarker.template.SimpleHash
        public String toString() {
            ensureInitializedRTE();
            return super.toString();
        }

        @Override // freemarker.template.SimpleHash
        public q values() {
            ensureInitializedRTE();
            return super.values();
        }

        private LazilyInitializedNamespace(String str) {
            super(null);
            this.status = InitializationStatus.UNINITIALIZED;
            this.templateName = str;
            this.locale = Environment.this.a();
            Configurable configurable = Environment.this.f13186j;
            String str2 = ((Template) configurable).P;
            if (str2 != null) {
                this.encoding = str2;
                this.customLookupCondition = ((Template) configurable).R;
                return;
            }
            Environment.this.a();
            throw null;
        }

        @Override // freemarker.template.SimpleHash
        public void put(String str, boolean z) {
            ensureInitializedRTE();
            super.put(str, z);
        }
    }

    public static class a extends Writer {
        @Override // java.io.Closeable, java.io.Writer, java.lang.AutoCloseable
        public void close() {
        }

        @Override // java.io.Writer, java.io.Flushable
        public void flush() {
        }

        @Override // java.io.Writer
        public void write(char[] cArr, int i2, int i3) {
            if (i3 > 0) {
                throw new IOException("This transform does not allow nested content.");
            }
        }
    }

    public final class b implements t {

        /* renamed from: a  reason: collision with root package name */
        public final m0[] f13200a;
    }

    static {
        DecimalFormat decimalFormat = new DecimalFormat("0.################", new DecimalFormatSymbols(Locale.US));
        R = decimalFormat;
        decimalFormat.setGroupingUsed(false);
        decimalFormat.setDecimalSeparatorAlwaysShown(false);
    }

    public static Environment e() {
        return (Environment) O.get();
    }

    public static String h(m0 m0Var) {
        boolean z;
        String str;
        a0 a0Var;
        StringBuilder sb = new StringBuilder();
        String k2 = m0Var.k(false);
        int indexOf = k2.indexOf(10);
        boolean z2 = true;
        if (indexOf != -1) {
            k2 = k2.substring(0, indexOf);
            z = true;
        } else {
            z = false;
        }
        int indexOf2 = k2.indexOf(13);
        if (indexOf2 != -1) {
            k2 = k2.substring(0, indexOf2);
            z = true;
        }
        if (k2.length() > 40) {
            k2 = k2.substring(0, 37);
        } else {
            z2 = z;
        }
        if (z2) {
            if (!k2.endsWith(".")) {
                k2 = d.a.a.a.a.s(k2, "...");
            } else if (!k2.endsWith("..")) {
                k2 = d.a.a.a.a.s(k2, "..");
            } else if (!k2.endsWith("...")) {
                k2 = d.a.a.a.a.s(k2, ".");
            }
        }
        sb.append(k2);
        sb.append("  [");
        m0 m0Var2 = m0Var;
        while (true) {
            str = null;
            if (m0Var2 == null) {
                a0Var = null;
                break;
            } else if (m0Var2 instanceof a0) {
                a0Var = (a0) m0Var2;
                break;
            } else {
                m0Var2 = m0Var2.m;
            }
        }
        if (a0Var != null) {
            int i2 = m0Var.f12714j;
            int i3 = m0Var.f12713h;
            Template template = a0Var.f12712d;
            if (template != null) {
                str = template.f();
            }
            sb.append(j1.b("at", str, a0Var.r, a0Var.v, i2, i3));
        } else {
            sb.append(j1.c(m0Var.f12712d, m0Var.f12714j, m0Var.f12713h));
        }
        sb.append("]");
        return sb.toString();
    }

    public String f() {
        return this.W.getTemplate().Q;
    }

    public String g(String str) {
        Template template = this.W.getTemplate();
        Objects.requireNonNull(template);
        if (!str.equals("")) {
            return (String) template.W.get(str);
        }
        String str2 = template.Q;
        if (str2 == null) {
            return "";
        }
        return str2;
    }

    public class Namespace extends SimpleHash {
        private Template template;

        public Namespace() {
            this.template = (Template) Environment.this.f13186j;
        }

        public Template getTemplate() {
            Template template2 = this.template;
            return template2 == null ? (Template) Environment.this.f13186j : template2;
        }

        public void setTemplate(Template template2) {
            this.template = template2;
        }

        public Namespace(Template template2) {
            this.template = template2;
        }
    }
}
