package freemarker.core;

import e.b.d1;
import e.f.b0;
import e.f.g0;
import e.f.h0;
import e.f.p;
import e.f.s;

public class NonStringException extends UnexpectedTypeException {
    private static final String DEFAULT_DESCRIPTION = "Expecting string or something automatically convertible to string (number, date or boolean) value here";
    public static final Class[] STRING_COERCABLE_TYPES = {h0.class, g0.class, s.class, p.class};
    public static final String STRING_COERCABLE_TYPES_DESC = "string or something automatically convertible to string (number, date or boolean)";

    public NonStringException(Environment environment) {
        super(environment, DEFAULT_DESCRIPTION);
    }

    public NonStringException(String str, Environment environment) {
        super(environment, str);
    }

    public NonStringException(Environment environment, d1 d1Var) {
        super(environment, d1Var);
    }

    public NonStringException(e.b.p pVar, b0 b0Var, Environment environment) {
        super(pVar, b0Var, STRING_COERCABLE_TYPES_DESC, STRING_COERCABLE_TYPES, environment);
    }

    public NonStringException(e.b.p pVar, b0 b0Var, String str, Environment environment) {
        super(pVar, b0Var, STRING_COERCABLE_TYPES_DESC, STRING_COERCABLE_TYPES, str, environment);
    }

    public NonStringException(e.b.p pVar, b0 b0Var, String[] strArr, Environment environment) {
        super(pVar, b0Var, STRING_COERCABLE_TYPES_DESC, STRING_COERCABLE_TYPES, strArr, environment);
    }
}
