package freemarker.core;

import e.b.d1;
import e.b.p;
import e.b.p0;
import e.f.b0;

public class NonStringOrTemplateOutputException extends UnexpectedTypeException {
    private static final String DEFAULT_DESCRIPTION = "Expecting string or something automatically convertible to string (number, date or boolean), or \"template output\"  value here";
    public static final Class[] STRING_COERCABLE_TYPES_AND_TOM = new Class[(NonStringException.STRING_COERCABLE_TYPES.length + 1)];
    public static final String STRING_COERCABLE_TYPES_OR_TOM_DESC = "string or something automatically convertible to string (number, date or boolean), or \"template output\" ";

    static {
        int i2 = 0;
        while (true) {
            Class[] clsArr = NonStringException.STRING_COERCABLE_TYPES;
            if (i2 < clsArr.length) {
                STRING_COERCABLE_TYPES_AND_TOM[i2] = clsArr[i2];
                i2++;
            } else {
                STRING_COERCABLE_TYPES_AND_TOM[i2] = p0.class;
                return;
            }
        }
    }

    public NonStringOrTemplateOutputException(Environment environment) {
        super(environment, DEFAULT_DESCRIPTION);
    }

    public NonStringOrTemplateOutputException(String str, Environment environment) {
        super(environment, str);
    }

    public NonStringOrTemplateOutputException(Environment environment, d1 d1Var) {
        super(environment, d1Var);
    }

    public NonStringOrTemplateOutputException(p pVar, b0 b0Var, Environment environment) {
        super(pVar, b0Var, STRING_COERCABLE_TYPES_OR_TOM_DESC, STRING_COERCABLE_TYPES_AND_TOM, environment);
    }

    public NonStringOrTemplateOutputException(p pVar, b0 b0Var, String str, Environment environment) {
        super(pVar, b0Var, STRING_COERCABLE_TYPES_OR_TOM_DESC, STRING_COERCABLE_TYPES_AND_TOM, str, environment);
    }

    public NonStringOrTemplateOutputException(p pVar, b0 b0Var, String[] strArr, Environment environment) {
        super(pVar, b0Var, STRING_COERCABLE_TYPES_OR_TOM_DESC, STRING_COERCABLE_TYPES_AND_TOM, strArr, environment);
    }
}
