package freemarker.core;

import d.a.a.a.a;
import e.b.j1;
import e.b.q0;
import e.b.r;
import e.f.m0.j;
import e.f.m0.l;
import freemarker.template.Template;
import java.io.IOException;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;

public class ParseException extends IOException implements r {
    private static volatile Boolean jbossToolsMode;
    public int columnNumber;
    public Token currentToken;
    private String description;
    public int endColumnNumber;
    public int endLineNumber;
    public String eol;
    public int[][] expectedTokenSequences;
    public int lineNumber;
    private String message;
    private boolean messageAndDescriptionRendered;
    @Deprecated
    public boolean specialConstructor;
    private String templateName;
    public String[] tokenImage;

    public ParseException(Token token, int[][] iArr, String[] strArr) {
        super("");
        this.eol = j.a("line.separator", "\n");
        this.currentToken = token;
        this.specialConstructor = true;
        this.expectedTokenSequences = iArr;
        this.tokenImage = strArr;
        Token token2 = token.next;
        this.lineNumber = token2.beginLine;
        this.columnNumber = token2.beginColumn;
        this.endLineNumber = token2.endLine;
        this.endColumnNumber = token2.endColumn;
    }

    private String concatWithOrs(Set set) {
        StringBuilder sb = new StringBuilder();
        Iterator it = set.iterator();
        while (it.hasNext()) {
            String str = (String) it.next();
            if (sb.length() != 0) {
                sb.append(" or ");
            }
            sb.append(str);
        }
        return sb.toString();
    }

    private String getCustomTokenErrorDescription() {
        Token token = this.currentToken.next;
        int i2 = token.kind;
        if (i2 == 0) {
            HashSet hashSet = new HashSet();
            int i3 = 0;
            while (true) {
                int[][] iArr = this.expectedTokenSequences;
                if (i3 < iArr.length) {
                    int[] iArr2 = iArr[i3];
                    for (int i4 : iArr2) {
                        if (i4 == 36) {
                            hashSet.add("#if");
                        } else if (i4 == 37) {
                            hashSet.add("#list");
                        } else if (i4 == 71) {
                            hashSet.add("#escape");
                        } else if (i4 == 73) {
                            hashSet.add("#noescape");
                        } else if (i4 == 75) {
                            hashSet.add("@...");
                        } else if (i4 == 134) {
                            hashSet.add("\"[\"");
                        } else if (i4 == 136) {
                            hashSet.add("\"(\"");
                        } else if (i4 != 138) {
                            switch (i4) {
                                case 41:
                                    hashSet.add("#attempt");
                                    break;
                                case 42:
                                    hashSet.add("#foreach");
                                    break;
                                case 43:
                                    hashSet.add("#local");
                                    break;
                                case 44:
                                    hashSet.add("#global");
                                    break;
                                case 45:
                                    hashSet.add("#assign");
                                    break;
                                case 47:
                                    hashSet.add("#macro");
                                case 46:
                                    hashSet.add("#function");
                                    break;
                                default:
                                    switch (i4) {
                                        case 51:
                                            hashSet.add("#compress");
                                            break;
                                        case 52:
                                            hashSet.add("#transform");
                                            break;
                                        case 53:
                                            hashSet.add("#switch");
                                            break;
                                    }
                            }
                        } else {
                            hashSet.add("\"{\"");
                        }
                    }
                    i3++;
                } else {
                    StringBuilder B = a.B("Unexpected end of file reached.");
                    B.append(hashSet.size() == 0 ? "" : a.y(a.B(" You have an unclosed "), concatWithOrs(hashSet), "."));
                    return B.toString();
                }
            }
        } else if (i2 == 54) {
            return "Unexpected directive, \"#else\". Check if you have a valid #if-#elseif-#else or #list-#else structure.";
        } else {
            if (!(i2 == 36 || i2 == 9)) {
                return null;
            }
            StringBuilder B2 = a.B("Unexpected directive, ");
            B2.append(l.h(token));
            B2.append(". Check if you have a valid #if-#elseif-#else structure.");
            return B2.toString();
        }
    }

    private String getDescription() {
        String str;
        synchronized (this) {
            if (this.messageAndDescriptionRendered) {
                return this.description;
            }
            renderMessageAndDescription();
            synchronized (this) {
                str = this.description;
            }
            return str;
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:10:0x0010, code lost:
        if (r0 != null) goto L_?;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:11:0x0012, code lost:
        r0 = new java.lang.StringBuilder();
        r2 = 0;
        r3 = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:13:0x001d, code lost:
        if (r2 >= r7.expectedTokenSequences.length) goto L_0x0057;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:14:0x001f, code lost:
        if (r2 == 0) goto L_0x0026;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:15:0x0021, code lost:
        r0.append(r7.eol);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:16:0x0026, code lost:
        r0.append("    ");
        r4 = r7.expectedTokenSequences;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:17:0x0030, code lost:
        if (r3 >= r4[r2].length) goto L_0x0035;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:18:0x0032, code lost:
        r3 = r4[r2].length;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:19:0x0035, code lost:
        r4 = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:21:0x003b, code lost:
        if (r4 >= r7.expectedTokenSequences[r2].length) goto L_0x0054;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:22:0x003d, code lost:
        if (r4 == 0) goto L_0x0044;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:23:0x003f, code lost:
        r0.append(' ');
     */
    /* JADX WARNING: Code restructure failed: missing block: B:24:0x0044, code lost:
        r0.append(r7.tokenImage[r7.expectedTokenSequences[r2][r4]]);
        r4 = r4 + 1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:25:0x0054, code lost:
        r2 = r2 + 1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:26:0x0057, code lost:
        r2 = "Encountered \"";
        r4 = r7.currentToken.next;
        r5 = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:27:0x005e, code lost:
        if (r5 >= r3) goto L_0x0092;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:28:0x0060, code lost:
        if (r5 == 0) goto L_0x0068;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:29:0x0062, code lost:
        r2 = d.a.a.a.a.s(r2, " ");
     */
    /* JADX WARNING: Code restructure failed: missing block: B:31:0x006a, code lost:
        if (r4.kind != 0) goto L_0x007c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:32:0x006c, code lost:
        r2 = d.a.a.a.a.B(r2);
        r2.append(r7.tokenImage[0]);
        r2 = r2.toString();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:33:0x007c, code lost:
        r2 = d.a.a.a.a.B(r2);
        r2.append(add_escapes(r4.image));
        r2 = r2.toString();
        r4 = r4.next;
        r5 = r5 + 1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:34:0x0092, code lost:
        r1 = d.a.a.a.a.s(r2, "\", but ");
     */
    /* JADX WARNING: Code restructure failed: missing block: B:35:0x009c, code lost:
        if (r7.expectedTokenSequences.length != 1) goto L_0x00ae;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:36:0x009e, code lost:
        r1 = d.a.a.a.a.F(r1, "was expecting:");
        r1.append(r7.eol);
        r1 = r1.toString();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:37:0x00ae, code lost:
        r1 = d.a.a.a.a.F(r1, "was expecting one of:");
        r1.append(r7.eol);
        r1 = r1.toString();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:39:0x00cd, code lost:
        return null;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:49:?, code lost:
        return r0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:50:?, code lost:
        return r1 + ((java.lang.Object) r0);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:8:0x000a, code lost:
        if (r7.currentToken == null) goto L_0x00cd;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:9:0x000c, code lost:
        r0 = getCustomTokenErrorDescription();
     */
    private String getOrRenderDescription() {
        synchronized (this) {
            String str = this.description;
            if (str != null) {
                return str;
            }
        }
    }

    private boolean isInJBossToolsMode() {
        if (jbossToolsMode == null) {
            try {
                jbossToolsMode = Boolean.valueOf(ParseException.class.getClassLoader().toString().indexOf("[org.jboss.ide.eclipse.freemarker:") != -1);
            } catch (Throwable unused) {
                jbossToolsMode = Boolean.FALSE;
            }
        }
        return jbossToolsMode.booleanValue();
    }

    private void renderMessageAndDescription() {
        String str;
        String orRenderDescription = getOrRenderDescription();
        if (!isInJBossToolsMode()) {
            str = a.y(a.B("Syntax error "), j1.b("in", this.templateName, null, false, this.lineNumber, this.columnNumber), ":\n");
        } else {
            str = a.v(a.B("[col. "), this.columnNumber, "] ");
        }
        String s = a.s(str, orRenderDescription);
        String substring = s.substring(str.length());
        synchronized (this) {
            this.message = s;
            this.description = substring;
            this.messageAndDescriptionRendered = true;
        }
    }

    public String add_escapes(String str) {
        StringBuilder sb = new StringBuilder();
        for (int i2 = 0; i2 < str.length(); i2++) {
            char charAt = str.charAt(i2);
            if (charAt != 0) {
                if (charAt == '\"') {
                    sb.append("\\\"");
                } else if (charAt == '\'') {
                    sb.append("\\'");
                } else if (charAt == '\\') {
                    sb.append("\\\\");
                } else if (charAt == '\f') {
                    sb.append("\\f");
                } else if (charAt != '\r') {
                    switch (charAt) {
                        case '\b':
                            sb.append("\\b");
                            continue;
                        case '\t':
                            sb.append("\\t");
                            continue;
                        case '\n':
                            sb.append("\\n");
                            continue;
                        default:
                            char charAt2 = str.charAt(i2);
                            if (charAt2 < ' ' || charAt2 > '~') {
                                StringBuilder B = a.B("0000");
                                B.append(Integer.toString(charAt2, 16));
                                String sb2 = B.toString();
                                StringBuilder B2 = a.B("\\u");
                                B2.append(sb2.substring(sb2.length() - 4, sb2.length()));
                                sb.append(B2.toString());
                                break;
                            } else {
                                sb.append(charAt2);
                                continue;
                            }
                    }
                } else {
                    sb.append("\\r");
                }
            }
        }
        return sb.toString();
    }

    public int getColumnNumber() {
        return this.columnNumber;
    }

    public String getEditorMessage() {
        return getDescription();
    }

    public int getEndColumnNumber() {
        return this.endColumnNumber;
    }

    public int getEndLineNumber() {
        return this.endLineNumber;
    }

    public int getLineNumber() {
        return this.lineNumber;
    }

    public String getMessage() {
        String str;
        synchronized (this) {
            if (this.messageAndDescriptionRendered) {
                return this.message;
            }
            renderMessageAndDescription();
            synchronized (this) {
                str = this.message;
            }
            return str;
        }
    }

    public String getTemplateName() {
        return this.templateName;
    }

    public void setTemplateName(String str) {
        this.templateName = str;
        synchronized (this) {
            this.messageAndDescriptionRendered = false;
            this.message = null;
        }
    }

    @Deprecated
    public ParseException() {
        this.eol = j.a("line.separator", "\n");
    }

    @Deprecated
    public ParseException(String str, int i2, int i3) {
        this(str, null, i2, i3, null);
    }

    public ParseException(String str, Template template, int i2, int i3, int i4, int i5) {
        this(str, template, i2, i3, i4, i5, (Throwable) null);
    }

    /* JADX INFO: this call moved to the top of the method (can break code semantics) */
    public ParseException(String str, Template template, int i2, int i3, int i4, int i5, Throwable th) {
        this(str, template == null ? null : template.f(), i2, i3, i4, i5, th);
    }

    @Deprecated
    public ParseException(String str, Template template, int i2, int i3) {
        this(str, template, i2, i3, null);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public ParseException(String str, q0 q0Var, Throwable th) {
        this(str, r0, q0Var.f12714j, q0Var.f12713h, q0Var.f12716l, q0Var.f12715k, th);
        String str2;
        Template template = q0Var.f12712d;
        if (template == null) {
            str2 = null;
        } else {
            str2 = template.f();
        }
    }

    /* JADX INFO: this call moved to the top of the method (can break code semantics) */
    @Deprecated
    public ParseException(String str, Template template, int i2, int i3, Throwable th) {
        this(str, template == null ? null : template.f(), i2, i3, 0, 0, th);
    }

    public ParseException(String str, Template template, Token token) {
        this(str, template, token, (Throwable) null);
    }

    /* JADX INFO: this call moved to the top of the method (can break code semantics) */
    public ParseException(String str, Template template, Token token, Throwable th) {
        this(str, template == null ? null : template.f(), token.beginLine, token.beginColumn, token.endLine, token.endColumn, th);
    }

    public ParseException(String str, q0 q0Var) {
        this(str, q0Var, (Throwable) null);
    }

    private ParseException(String str, String str2, int i2, int i3, int i4, int i5, Throwable th) {
        super(str);
        this.eol = j.a("line.separator", "\n");
        try {
            initCause(th);
        } catch (Exception unused) {
        }
        this.description = str;
        this.templateName = str2;
        this.lineNumber = i2;
        this.columnNumber = i3;
        this.endLineNumber = i4;
        this.endColumnNumber = i5;
    }
}
