package freemarker.core;

import e.f.b0;
import e.f.i0;
import freemarker.template.SimpleNumber;
import java.io.Serializable;

public abstract class RangeModel implements i0, Serializable {
    private final int begin;

    public RangeModel(int i2) {
        this.begin = i2;
    }

    @Override // e.f.i0
    public final b0 get(int i2) {
        if (i2 < 0 || i2 >= size()) {
            throw new _TemplateModelException("Range item index ", Integer.valueOf(i2), " is out of bounds.");
        }
        long step = (((long) getStep()) * ((long) i2)) + ((long) this.begin);
        return step <= 2147483647L ? new SimpleNumber((int) step) : new SimpleNumber(step);
    }

    public final int getBegining() {
        return this.begin;
    }

    public abstract int getStep();

    public abstract boolean isAffectedByStringSlicingBug();

    public abstract boolean isRightAdaptive();

    public abstract boolean isRightUnbounded();

    @Override // e.f.i0
    public abstract /* synthetic */ int size();
}
