package freemarker.core;

import freemarker.template.TemplateException;
import java.io.PrintStream;
import java.io.PrintWriter;

public class StopException extends TemplateException {
    public StopException(Environment environment) {
        super(environment);
    }

    @Override // java.lang.Throwable, freemarker.template.TemplateException
    public void printStackTrace(PrintWriter printWriter) {
        synchronized (printWriter) {
            String message = getMessage();
            printWriter.print("Encountered stop instruction");
            if (message == null || message.equals("")) {
                printWriter.println();
            } else {
                printWriter.println("\nCause given: " + message);
            }
            super.printStackTrace(printWriter);
        }
    }

    public StopException(Environment environment, String str) {
        super(str, environment);
    }

    @Override // java.lang.Throwable, freemarker.template.TemplateException
    public void printStackTrace(PrintStream printStream) {
        synchronized (printStream) {
            String message = getMessage();
            printStream.print("Encountered stop instruction");
            if (message == null || message.equals("")) {
                printStream.println();
            } else {
                printStream.println("\nCause given: " + message);
            }
            super.printStackTrace(printStream);
        }
    }
}
