package freemarker.ext.beans;

public abstract class OverloadedNumberUtil$NumberWithFallbackType extends Number implements Comparable {
    public byte byteValue() {
        return getSourceNumber().byteValue();
    }

    @Override // java.lang.Comparable
    public int compareTo(Object obj) {
        Number sourceNumber = getSourceNumber();
        if (sourceNumber instanceof Comparable) {
            return ((Comparable) sourceNumber).compareTo(obj);
        }
        throw new ClassCastException(sourceNumber.getClass().getName() + " is not Comparable.");
    }

    public double doubleValue() {
        return getSourceNumber().doubleValue();
    }

    public boolean equals(Object obj) {
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        return getSourceNumber().equals(((OverloadedNumberUtil$NumberWithFallbackType) obj).getSourceNumber());
    }

    public float floatValue() {
        return getSourceNumber().floatValue();
    }

    public abstract Number getSourceNumber();

    public int hashCode() {
        return getSourceNumber().hashCode();
    }

    public int intValue() {
        return getSourceNumber().intValue();
    }

    public long longValue() {
        return getSourceNumber().longValue();
    }

    public short shortValue() {
        return getSourceNumber().shortValue();
    }

    public String toString() {
        return getSourceNumber().toString();
    }
}
