package freemarker.ext.dom;

import androidx.constraintlayout.core.motion.utils.TypedValues;
import d.l.b.g.g.b;
import e.b.k1;
import e.d.b.e;
import e.d.b.g;
import e.d.b.k;
import e.f.b0;
import e.f.e0;
import e.f.g0;
import e.f.h0;
import e.f.i0;
import e.f.l;
import e.f.p;
import e.f.s;
import e.f.w;
import freemarker.core.Environment;
import freemarker.template.SimpleScalar;
import freemarker.template.SimpleSequence;
import freemarker.template.TemplateModelException;
import java.util.ArrayList;
import java.util.List;
import org.w3c.dom.NamedNodeMap;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

public class NodeListModel extends SimpleSequence implements w, k1 {
    private static final l NODE_WRAPPER = new a();
    public g contextNode;
    public k xpathSupport;

    public static class a implements l {
        @Override // e.f.l
        public b0 c(Object obj) {
            if (obj instanceof g) {
                return (g) obj;
            }
            return g.n((Node) obj);
        }
    }

    public NodeListModel(Node node) {
        this(g.n(node));
    }

    private Object[] newTypeErrorExplanation(String str) {
        int size = size();
        Object[] objArr = new Object[6];
        objArr[0] = "This XML query result can't be used as ";
        objArr[1] = str;
        objArr[2] = " because for that it had to contain exactly 1 XML node, but it contains ";
        objArr[3] = Integer.valueOf(size);
        objArr[4] = " nodes. That is, the constructing XML query has found ";
        objArr[5] = size == 0 ? "no matches." : "multiple matches.";
        return objArr;
    }

    private List rawNodeList() {
        int size = size();
        ArrayList arrayList = new ArrayList(size);
        for (int i2 = 0; i2 < size; i2++) {
            arrayList.add(((g) get(i2)).m);
        }
        return arrayList;
    }

    @Override // e.b.k1
    public Object[] explainTypeError(Class[] clsArr) {
        for (Class cls : clsArr) {
            if (h0.class.isAssignableFrom(cls) || s.class.isAssignableFrom(cls) || g0.class.isAssignableFrom(cls) || p.class.isAssignableFrom(cls)) {
                return newTypeErrorExplanation(TypedValues.Custom.S_STRING);
            }
            if (e0.class.isAssignableFrom(cls)) {
                return newTypeErrorExplanation("node");
            }
        }
        return null;
    }

    public NodeListModel filterByName(String str) {
        NodeListModel nodeListModel = new NodeListModel(this.contextNode);
        int size = size();
        if (size == 0) {
            return nodeListModel;
        }
        Environment e2 = Environment.e();
        for (int i2 = 0; i2 < size; i2++) {
            g gVar = (g) get(i2);
            if (gVar instanceof e) {
                e eVar = (e) gVar;
                if (b.g0(str, eVar.a(), eVar.b(), e2)) {
                    nodeListModel.add(gVar);
                }
            }
        }
        return nodeListModel;
    }

    @Override // e.f.w
    public b0 get(String str) {
        i0 i0Var;
        List list;
        int size = size();
        if (size == 1) {
            return ((g) get(0)).get(str);
        }
        if (str.startsWith("@@")) {
            if (str.equals(AtAtKey.MARKUP.getKey()) || str.equals(AtAtKey.NESTED_MARKUP.getKey()) || str.equals(AtAtKey.TEXT.getKey())) {
                StringBuilder sb = new StringBuilder();
                for (int i2 = 0; i2 < size; i2++) {
                    sb.append(((h0) ((g) get(i2)).get(str)).getAsString());
                }
                return new SimpleScalar(sb.toString());
            } else if (str.length() != 2) {
                if (AtAtKey.containsKey(str)) {
                    StringBuilder G = d.a.a.a.a.G("\"", str, "\" is only applicable to a single XML node, but it was applied on ");
                    G.append(size != 0 ? size + " XML nodes (multiple matches)." : "an empty list of XML nodes (no matches).");
                    throw new TemplateModelException(G.toString());
                }
                throw new TemplateModelException(d.a.a.a.a.s("Unsupported @@ key: ", str));
            }
        }
        if (b.b0(str, 0) || ((str.startsWith("@") && (b.b0(str, 1) || str.equals("@@") || str.equals("@*"))) || str.equals("*") || str.equals("**"))) {
            NodeListModel nodeListModel = new NodeListModel(this.contextNode);
            for (int i3 = 0; i3 < size; i3++) {
                g gVar = (g) get(i3);
                if ((gVar instanceof e) && (i0Var = (i0) ((e) gVar).get(str)) != null) {
                    int size2 = i0Var.size();
                    for (int i4 = 0; i4 < size2; i4++) {
                        nodeListModel.add(i0Var.get(i4));
                    }
                }
            }
            return nodeListModel.size() == 1 ? nodeListModel.get(0) : nodeListModel;
        }
        k xPathSupport = getXPathSupport();
        if (xPathSupport != null) {
            if (size == 0) {
                list = null;
            } else {
                list = rawNodeList();
            }
            return xPathSupport.a(list, str);
        }
        throw new TemplateModelException(d.a.a.a.a.s("No XPath support is available (add Apache Xalan or Jaxen as dependency). This is either malformed, or an XPath expression: ", str));
    }

    public k getXPathSupport() {
        if (this.xpathSupport == null) {
            g gVar = this.contextNode;
            if (gVar != null) {
                this.xpathSupport = gVar.i();
            } else if (size() > 0) {
                this.xpathSupport = ((g) get(0)).i();
            }
        }
        return this.xpathSupport;
    }

    @Override // e.f.w
    public boolean isEmpty() {
        return size() == 0;
    }

    public NodeListModel(g gVar) {
        super(NODE_WRAPPER);
        this.contextNode = gVar;
    }

    public NodeListModel(NodeList nodeList, g gVar) {
        super(NODE_WRAPPER);
        for (int i2 = 0; i2 < nodeList.getLength(); i2++) {
            this.list.add(nodeList.item(i2));
        }
        this.contextNode = gVar;
    }

    public NodeListModel(NamedNodeMap namedNodeMap, g gVar) {
        super(NODE_WRAPPER);
        for (int i2 = 0; i2 < namedNodeMap.getLength(); i2++) {
            this.list.add(namedNodeMap.item(i2));
        }
        this.contextNode = gVar;
    }

    public NodeListModel(List list, g gVar) {
        super(list, NODE_WRAPPER);
        this.contextNode = gVar;
    }
}
