package freemarker.template;

import e.d.a.g;
import e.d.a.i;
import e.f.b0;
import e.f.d0;
import e.f.i0;
import e.f.k0;
import e.f.l;
import e.f.p;
import e.f.q;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

public class SimpleSequence extends k0 implements i0, Serializable {
    public final List list;
    private List unwrappedList;

    public class SynchronizedSequence extends SimpleSequence {
        private SynchronizedSequence() {
        }

        @Override // freemarker.template.SimpleSequence
        public void add(Object obj) {
            synchronized (SimpleSequence.this) {
                SimpleSequence.this.add(obj);
            }
        }

        @Override // e.f.i0, freemarker.template.SimpleSequence
        public b0 get(int i2) {
            b0 b0Var;
            synchronized (SimpleSequence.this) {
                b0Var = SimpleSequence.this.get(i2);
            }
            return b0Var;
        }

        @Override // e.f.i0, freemarker.template.SimpleSequence
        public int size() {
            int size;
            synchronized (SimpleSequence.this) {
                size = SimpleSequence.this.size();
            }
            return size;
        }

        @Override // freemarker.template.SimpleSequence
        public List toList() {
            List list;
            synchronized (SimpleSequence.this) {
                list = SimpleSequence.this.toList();
            }
            return list;
        }
    }

    @Deprecated
    public SimpleSequence() {
        this((l) null);
    }

    public void add(Object obj) {
        this.list.add(obj);
        this.unwrappedList = null;
    }

    @Override // e.f.i0
    public b0 get(int i2) {
        try {
            Object obj = this.list.get(i2);
            if (obj instanceof b0) {
                return (b0) obj;
            }
            b0 wrap = wrap(obj);
            this.list.set(i2, wrap);
            return wrap;
        } catch (IndexOutOfBoundsException unused) {
            return null;
        }
    }

    @Override // e.f.i0
    public int size() {
        return this.list.size();
    }

    public SimpleSequence synchronizedWrapper() {
        return new SynchronizedSequence();
    }

    @Deprecated
    public List toList() {
        if (this.unwrappedList == null) {
            Class<?> cls = this.list.getClass();
            try {
                List list2 = (List) cls.newInstance();
                e.e.a aVar = g.f12747e;
                g gVar = i.f12762a;
                for (int i2 = 0; i2 < this.list.size(); i2++) {
                    Object obj = this.list.get(i2);
                    if (obj instanceof b0) {
                        obj = gVar.b((b0) obj);
                    }
                    list2.add(obj);
                }
                this.unwrappedList = list2;
            } catch (Exception e2) {
                StringBuilder B = d.a.a.a.a.B("Error instantiating an object of type ");
                B.append(cls.getName());
                throw new TemplateModelException(B.toString(), e2);
            }
        }
        return this.unwrappedList;
    }

    public String toString() {
        return this.list.toString();
    }

    @Deprecated
    public SimpleSequence(int i2) {
        this.list = new ArrayList(i2);
    }

    @Deprecated
    public void add(boolean z) {
        add(z ? p.f12944c : p.f12943b);
    }

    @Deprecated
    public SimpleSequence(Collection collection) {
        this(collection, (l) null);
    }

    public SimpleSequence(q qVar) {
        ArrayList arrayList = new ArrayList();
        d0 it = qVar.iterator();
        while (it.hasNext()) {
            arrayList.add(it.next());
        }
        arrayList.trimToSize();
        this.list = arrayList;
    }

    public SimpleSequence(l lVar) {
        super(lVar);
        this.list = new ArrayList();
    }

    public SimpleSequence(int i2, l lVar) {
        super(lVar);
        this.list = new ArrayList(i2);
    }

    public SimpleSequence(Collection collection, l lVar) {
        super(lVar);
        this.list = new ArrayList(collection);
    }
}
