package freemarker.template;

import e.b.d1;
import freemarker.core.Environment;

public class TemplateModelException extends TemplateException {
    private final boolean replaceWithCause;

    public TemplateModelException() {
        this((String) null, (Exception) null);
    }

    public boolean getReplaceWithCause() {
        return this.replaceWithCause;
    }

    public TemplateModelException(String str) {
        this(str, (Exception) null);
    }

    public TemplateModelException(Exception exc) {
        this((String) null, exc);
    }

    public TemplateModelException(Throwable th) {
        this((String) null, th);
    }

    public TemplateModelException(String str, Exception exc) {
        this(str, (Throwable) exc);
    }

    public TemplateModelException(String str, Throwable th) {
        this(str, false, th);
    }

    public TemplateModelException(String str, boolean z, Throwable th) {
        super(str, th, (Environment) null);
        this.replaceWithCause = z;
    }

    public TemplateModelException(Throwable th, Environment environment, String str, boolean z) {
        super(str, th, environment);
        this.replaceWithCause = false;
    }

    public TemplateModelException(Throwable th, Environment environment, d1 d1Var, boolean z) {
        super(th, environment, null, d1Var);
        this.replaceWithCause = false;
    }
}
