package io.reactivex.disposables;

import f.a.z.b;
import java.util.concurrent.Future;
import java.util.concurrent.atomic.AtomicReference;

public final class FutureDisposable extends AtomicReference<Future<?>> implements b {
    private static final long serialVersionUID = 6545242830671168775L;
    private final boolean allowInterrupt;

    public FutureDisposable(Future<?> future, boolean z) {
        super(future);
        this.allowInterrupt = z;
    }

    @Override // f.a.z.b
    public void dispose() {
        Future future = (Future) getAndSet(null);
        if (future != null) {
            future.cancel(this.allowInterrupt);
        }
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        Future future = (Future) get();
        return future == null || future.isDone();
    }
}
