package io.reactivex.internal.disposables;

import f.a.z.b;
import java.util.concurrent.atomic.AtomicReferenceArray;

public final class ArrayCompositeDisposable extends AtomicReferenceArray<b> implements b {
    private static final long serialVersionUID = 2746389416410565408L;

    public ArrayCompositeDisposable(int i2) {
        super(i2);
    }

    @Override // f.a.z.b
    public void dispose() {
        b bVar;
        if (get(0) != DisposableHelper.DISPOSED) {
            int length = length();
            for (int i2 = 0; i2 < length; i2++) {
                b bVar2 = (b) get(i2);
                DisposableHelper disposableHelper = DisposableHelper.DISPOSED;
                if (!(bVar2 == disposableHelper || (bVar = (b) getAndSet(i2, disposableHelper)) == disposableHelper || bVar == null)) {
                    bVar.dispose();
                }
            }
        }
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return get(0) == DisposableHelper.DISPOSED;
    }

    public b replaceResource(int i2, b bVar) {
        b bVar2;
        do {
            bVar2 = (b) get(i2);
            if (bVar2 == DisposableHelper.DISPOSED) {
                bVar.dispose();
                return null;
            }
        } while (!compareAndSet(i2, bVar2, bVar));
        return bVar2;
    }

    public boolean setResource(int i2, b bVar) {
        b bVar2;
        do {
            bVar2 = (b) get(i2);
            if (bVar2 == DisposableHelper.DISPOSED) {
                bVar.dispose();
                return false;
            }
        } while (!compareAndSet(i2, bVar2, bVar));
        if (bVar2 == null) {
            return true;
        }
        bVar2.dispose();
        return true;
    }
}
