package io.reactivex.internal.observers;

import f.a.w;
import f.a.z.b;
import io.reactivex.exceptions.CompositeException;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.atomic.AtomicReference;

public final class BiConsumerSingleObserver<T> extends AtomicReference<b> implements w<T>, b {
    private static final long serialVersionUID = 4943102778943297569L;
    public final f.a.b0.b<? super T, ? super Throwable> onCallback;

    public BiConsumerSingleObserver(f.a.b0.b<? super T, ? super Throwable> bVar) {
        this.onCallback = bVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this);
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return get() == DisposableHelper.DISPOSED;
    }

    @Override // f.a.w
    public void onError(Throwable th) {
        try {
            lazySet(DisposableHelper.DISPOSED);
            this.onCallback.accept(null, th);
        } catch (Throwable th2) {
            d.l.b.g.g.b.D0(th2);
            d.l.b.g.g.b.q0(new CompositeException(th, th2));
        }
    }

    @Override // f.a.w
    public void onSubscribe(b bVar) {
        DisposableHelper.setOnce(this, bVar);
    }

    @Override // f.a.w
    public void onSuccess(T t) {
        try {
            lazySet(DisposableHelper.DISPOSED);
            this.onCallback.accept(t, null);
        } catch (Throwable th) {
            d.l.b.g.g.b.D0(th);
            d.l.b.g.g.b.q0(th);
        }
    }
}
