package io.reactivex.internal.observers;

import f.a.t;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.util.NotificationLite;
import java.util.Queue;
import java.util.concurrent.atomic.AtomicReference;

public final class BlockingObserver<T> extends AtomicReference<b> implements t<T>, b {
    public static final Object TERMINATED = new Object();
    private static final long serialVersionUID = -4875965440900746268L;
    public final Queue<Object> queue;

    public BlockingObserver(Queue<Object> queue2) {
        this.queue = queue2;
    }

    @Override // f.a.z.b
    public void dispose() {
        if (DisposableHelper.dispose(this)) {
            this.queue.offer(TERMINATED);
        }
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return get() == DisposableHelper.DISPOSED;
    }

    @Override // f.a.t
    public void onComplete() {
        this.queue.offer(NotificationLite.complete());
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        this.queue.offer(NotificationLite.error(th));
    }

    @Override // f.a.t
    public void onNext(T t) {
        this.queue.offer(NotificationLite.next(t));
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        DisposableHelper.setOnce(this, bVar);
    }
}
