package io.reactivex.internal.observers;

import f.a.b0.a;
import f.a.b0.g;
import f.a.c;
import f.a.z.b;
import io.reactivex.exceptions.OnErrorNotImplementedException;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.atomic.AtomicReference;

public final class CallbackCompletableObserver extends AtomicReference<b> implements c, b, g<Throwable> {
    private static final long serialVersionUID = -4361286194466301354L;
    public final a onComplete;
    public final g<? super Throwable> onError;

    public CallbackCompletableObserver(a aVar) {
        this.onError = this;
        this.onComplete = aVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this);
    }

    public boolean hasCustomOnError() {
        return this.onError != this;
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return get() == DisposableHelper.DISPOSED;
    }

    @Override // f.a.c
    public void onComplete() {
        try {
            this.onComplete.run();
        } catch (Throwable th) {
            d.l.b.g.g.b.D0(th);
            d.l.b.g.g.b.q0(th);
        }
        lazySet(DisposableHelper.DISPOSED);
    }

    @Override // f.a.c
    public void onError(Throwable th) {
        try {
            this.onError.accept(th);
        } catch (Throwable th2) {
            d.l.b.g.g.b.D0(th2);
            d.l.b.g.g.b.q0(th2);
        }
        lazySet(DisposableHelper.DISPOSED);
    }

    @Override // f.a.c
    public void onSubscribe(b bVar) {
        DisposableHelper.setOnce(this, bVar);
    }

    public void accept(Throwable th) {
        d.l.b.g.g.b.q0(new OnErrorNotImplementedException(th));
    }

    public CallbackCompletableObserver(g<? super Throwable> gVar, a aVar) {
        this.onError = gVar;
        this.onComplete = aVar;
    }
}
