package io.reactivex.internal.observers;

import d.l.b.g.g.b;
import f.a.t;

public class DeferredScalarDisposable<T> extends BasicIntQueueDisposable<T> {
    public static final int DISPOSED = 4;
    public static final int FUSED_CONSUMED = 32;
    public static final int FUSED_EMPTY = 8;
    public static final int FUSED_READY = 16;
    public static final int TERMINATED = 2;
    private static final long serialVersionUID = -5502432239815349361L;
    public final t<? super T> downstream;
    public T value;

    public DeferredScalarDisposable(t<? super T> tVar) {
        this.downstream = tVar;
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.observers.BasicIntQueueDisposable
    public final void clear() {
        lazySet(32);
        this.value = null;
    }

    public final void complete(T t) {
        int i2 = get();
        if ((i2 & 54) == 0) {
            t<? super T> tVar = this.downstream;
            if (i2 == 8) {
                this.value = t;
                lazySet(16);
                tVar.onNext(null);
            } else {
                lazySet(2);
                tVar.onNext(t);
            }
            if (get() != 4) {
                tVar.onComplete();
            }
        }
    }

    @Override // f.a.z.b, io.reactivex.internal.observers.BasicIntQueueDisposable
    public void dispose() {
        set(4);
        this.value = null;
    }

    public final void error(Throwable th) {
        if ((get() & 54) != 0) {
            b.q0(th);
            return;
        }
        lazySet(2);
        this.downstream.onError(th);
    }

    @Override // f.a.z.b, io.reactivex.internal.observers.BasicIntQueueDisposable
    public final boolean isDisposed() {
        return get() == 4;
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.observers.BasicIntQueueDisposable
    public final boolean isEmpty() {
        return get() != 16;
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.observers.BasicIntQueueDisposable
    public final T poll() {
        if (get() != 16) {
            return null;
        }
        T t = this.value;
        this.value = null;
        lazySet(32);
        return t;
    }

    @Override // f.a.c0.c.c, io.reactivex.internal.observers.BasicIntQueueDisposable
    public final int requestFusion(int i2) {
        if ((i2 & 2) == 0) {
            return 0;
        }
        lazySet(8);
        return 2;
    }

    public final boolean tryDispose() {
        return getAndSet(4) != 4;
    }

    public final void complete() {
        if ((get() & 54) == 0) {
            lazySet(2);
            this.downstream.onComplete();
        }
    }
}
