package io.reactivex.internal.observers;

import f.a.t;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;

public abstract class DeferredScalarObserver<T, R> extends DeferredScalarDisposable<R> implements t<T> {
    private static final long serialVersionUID = -266195175408988651L;
    public b upstream;

    public DeferredScalarObserver(t<? super R> tVar) {
        super(tVar);
    }

    @Override // f.a.z.b, io.reactivex.internal.observers.DeferredScalarDisposable, io.reactivex.internal.observers.BasicIntQueueDisposable
    public void dispose() {
        super.dispose();
        this.upstream.dispose();
    }

    @Override // f.a.t
    public void onComplete() {
        T t = this.value;
        if (t != null) {
            this.value = null;
            complete(t);
            return;
        }
        complete();
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        this.value = null;
        error(th);
    }

    @Override // f.a.t
    public abstract /* synthetic */ void onNext(T t);

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        if (DisposableHelper.validate(this.upstream, bVar)) {
            this.upstream = bVar;
            this.downstream.onSubscribe(this);
        }
    }
}
