package io.reactivex.internal.observers;

import f.a.c0.c.g;
import f.a.c0.d.d;
import f.a.c0.f.a;
import f.a.t;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.queue.SpscArrayQueue;
import java.util.concurrent.atomic.AtomicReference;

public final class InnerQueuedObserver<T> extends AtomicReference<b> implements t<T>, b {
    private static final long serialVersionUID = -5417183359794346637L;
    public volatile boolean done;
    public int fusionMode;
    public final d<T> parent;
    public final int prefetch;
    public g<T> queue;

    public InnerQueuedObserver(d<T> dVar, int i2) {
        this.parent = dVar;
        this.prefetch = i2;
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this);
    }

    public int fusionMode() {
        return this.fusionMode;
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed((b) get());
    }

    public boolean isDone() {
        return this.done;
    }

    @Override // f.a.t
    public void onComplete() {
        this.parent.innerComplete(this);
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        this.parent.innerError(this, th);
    }

    @Override // f.a.t
    public void onNext(T t) {
        if (this.fusionMode == 0) {
            this.parent.innerNext(this, t);
        } else {
            this.parent.drain();
        }
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        g<T> gVar;
        if (DisposableHelper.setOnce(this, bVar)) {
            if (bVar instanceof f.a.c0.c.b) {
                f.a.c0.c.b bVar2 = (f.a.c0.c.b) bVar;
                int requestFusion = bVar2.requestFusion(3);
                if (requestFusion == 1) {
                    this.fusionMode = requestFusion;
                    this.queue = bVar2;
                    this.done = true;
                    this.parent.innerComplete(this);
                    return;
                } else if (requestFusion == 2) {
                    this.fusionMode = requestFusion;
                    this.queue = bVar2;
                    return;
                }
            }
            int i2 = -this.prefetch;
            if (i2 < 0) {
                gVar = new a<>(-i2);
            } else {
                gVar = new SpscArrayQueue<>(i2);
            }
            this.queue = gVar;
        }
    }

    public g<T> queue() {
        return this.queue;
    }

    public void setDone() {
        this.done = true;
    }
}
