package io.reactivex.internal.operators.completable;

import f.a.c;
import f.a.c0.c.g;
import f.a.c0.f.a;
import f.a.e;
import f.a.j;
import f.a.z.b;
import io.reactivex.exceptions.MissingBackpressureException;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.queue.SpscArrayQueue;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicReference;
import k.c.d;

public final class CompletableConcat$CompletableConcatSubscriber extends AtomicInteger implements j<e>, b {
    private static final long serialVersionUID = 9032184911934499404L;
    public volatile boolean active;
    public int consumed;
    public volatile boolean done;
    public final c downstream;
    public final ConcatInnerObserver inner = new ConcatInnerObserver(this);
    public final int limit;
    public final AtomicBoolean once = new AtomicBoolean();
    public final int prefetch;
    public g<e> queue;
    public int sourceFused;
    public d upstream;

    public static final class ConcatInnerObserver extends AtomicReference<b> implements c {
        private static final long serialVersionUID = -5454794857847146511L;
        public final CompletableConcat$CompletableConcatSubscriber parent;

        public ConcatInnerObserver(CompletableConcat$CompletableConcatSubscriber completableConcat$CompletableConcatSubscriber) {
            this.parent = completableConcat$CompletableConcatSubscriber;
        }

        @Override // f.a.c
        public void onComplete() {
            this.parent.innerComplete();
        }

        @Override // f.a.c
        public void onError(Throwable th) {
            this.parent.innerError(th);
        }

        @Override // f.a.c
        public void onSubscribe(b bVar) {
            DisposableHelper.replace(this, bVar);
        }
    }

    public CompletableConcat$CompletableConcatSubscriber(c cVar, int i2) {
        this.downstream = cVar;
        this.prefetch = i2;
        this.limit = i2 - (i2 >> 2);
    }

    @Override // f.a.z.b
    public void dispose() {
        this.upstream.cancel();
        DisposableHelper.dispose(this.inner);
    }

    public void drain() {
        if (getAndIncrement() == 0) {
            while (!isDisposed()) {
                if (!this.active) {
                    boolean z = this.done;
                    try {
                        e poll = this.queue.poll();
                        boolean z2 = poll == null;
                        if (!z || !z2) {
                            if (!z2) {
                                this.active = true;
                                poll.a(this.inner);
                                request();
                            }
                        } else if (this.once.compareAndSet(false, true)) {
                            this.downstream.onComplete();
                            return;
                        } else {
                            return;
                        }
                    } catch (Throwable th) {
                        d.l.b.g.g.b.D0(th);
                        innerError(th);
                        return;
                    }
                }
                if (decrementAndGet() == 0) {
                    return;
                }
            }
        }
    }

    public void innerComplete() {
        this.active = false;
        drain();
    }

    public void innerError(Throwable th) {
        if (this.once.compareAndSet(false, true)) {
            this.upstream.cancel();
            this.downstream.onError(th);
            return;
        }
        d.l.b.g.g.b.q0(th);
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed((b) this.inner.get());
    }

    @Override // k.c.c
    public void onComplete() {
        this.done = true;
        drain();
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        if (this.once.compareAndSet(false, true)) {
            DisposableHelper.dispose(this.inner);
            this.downstream.onError(th);
            return;
        }
        d.l.b.g.g.b.q0(th);
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            int i2 = this.prefetch;
            long j2 = i2 == Integer.MAX_VALUE ? Long.MAX_VALUE : (long) i2;
            if (dVar instanceof f.a.c0.c.d) {
                f.a.c0.c.d dVar2 = (f.a.c0.c.d) dVar;
                int requestFusion = dVar2.requestFusion(3);
                if (requestFusion == 1) {
                    this.sourceFused = requestFusion;
                    this.queue = dVar2;
                    this.done = true;
                    this.downstream.onSubscribe(this);
                    drain();
                    return;
                } else if (requestFusion == 2) {
                    this.sourceFused = requestFusion;
                    this.queue = dVar2;
                    this.downstream.onSubscribe(this);
                    dVar.request(j2);
                    return;
                }
            }
            if (this.prefetch == Integer.MAX_VALUE) {
                this.queue = new a(f.a.g.f13146d);
            } else {
                this.queue = new SpscArrayQueue(this.prefetch);
            }
            this.downstream.onSubscribe(this);
            dVar.request(j2);
        }
    }

    public void request() {
        if (this.sourceFused != 1) {
            int i2 = this.consumed + 1;
            if (i2 == this.limit) {
                this.consumed = 0;
                this.upstream.request((long) i2);
                return;
            }
            this.consumed = i2;
        }
    }

    public void onNext(e eVar) {
        if (this.sourceFused != 0 || this.queue.offer(eVar)) {
            drain();
        } else {
            onError(new MissingBackpressureException());
        }
    }
}
