package io.reactivex.internal.operators.completable;

import f.a.c;
import f.a.e;
import f.a.j;
import f.a.z.a;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import io.reactivex.internal.util.AtomicThrowable;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicReference;
import k.c.d;

public final class CompletableMerge$CompletableMergeSubscriber extends AtomicInteger implements j<e>, b {
    private static final long serialVersionUID = -2108443387387077490L;
    public final boolean delayErrors;
    public final c downstream;
    public final AtomicThrowable error = new AtomicThrowable();
    public final int maxConcurrency;
    public final a set = new a();
    public d upstream;

    public final class MergeInnerObserver extends AtomicReference<b> implements c, b {
        private static final long serialVersionUID = 251330541679988317L;

        public MergeInnerObserver() {
        }

        @Override // f.a.z.b
        public void dispose() {
            DisposableHelper.dispose(this);
        }

        @Override // f.a.z.b
        public boolean isDisposed() {
            return DisposableHelper.isDisposed((b) get());
        }

        @Override // f.a.c
        public void onComplete() {
            CompletableMerge$CompletableMergeSubscriber.this.innerComplete(this);
        }

        @Override // f.a.c
        public void onError(Throwable th) {
            CompletableMerge$CompletableMergeSubscriber.this.innerError(this, th);
        }

        @Override // f.a.c
        public void onSubscribe(b bVar) {
            DisposableHelper.setOnce(this, bVar);
        }
    }

    public CompletableMerge$CompletableMergeSubscriber(c cVar, int i2, boolean z) {
        this.downstream = cVar;
        this.maxConcurrency = i2;
        this.delayErrors = z;
        lazySet(1);
    }

    @Override // f.a.z.b
    public void dispose() {
        this.upstream.cancel();
        this.set.dispose();
    }

    public void innerComplete(MergeInnerObserver mergeInnerObserver) {
        this.set.a(mergeInnerObserver);
        if (decrementAndGet() == 0) {
            Throwable th = (Throwable) this.error.get();
            if (th != null) {
                this.downstream.onError(th);
            } else {
                this.downstream.onComplete();
            }
        } else if (this.maxConcurrency != Integer.MAX_VALUE) {
            this.upstream.request(1);
        }
    }

    public void innerError(MergeInnerObserver mergeInnerObserver, Throwable th) {
        this.set.a(mergeInnerObserver);
        if (!this.delayErrors) {
            this.upstream.cancel();
            this.set.dispose();
            if (!this.error.addThrowable(th)) {
                d.l.b.g.g.b.q0(th);
            } else if (getAndSet(0) > 0) {
                this.downstream.onError(this.error.terminate());
            }
        } else if (!this.error.addThrowable(th)) {
            d.l.b.g.g.b.q0(th);
        } else if (decrementAndGet() == 0) {
            this.downstream.onError(this.error.terminate());
        } else if (this.maxConcurrency != Integer.MAX_VALUE) {
            this.upstream.request(1);
        }
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return this.set.f13172h;
    }

    @Override // k.c.c
    public void onComplete() {
        if (decrementAndGet() != 0) {
            return;
        }
        if (((Throwable) this.error.get()) != null) {
            this.downstream.onError(this.error.terminate());
        } else {
            this.downstream.onComplete();
        }
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        if (!this.delayErrors) {
            this.set.dispose();
            if (!this.error.addThrowable(th)) {
                d.l.b.g.g.b.q0(th);
            } else if (getAndSet(0) > 0) {
                this.downstream.onError(this.error.terminate());
            }
        } else if (!this.error.addThrowable(th)) {
            d.l.b.g.g.b.q0(th);
        } else if (decrementAndGet() == 0) {
            this.downstream.onError(this.error.terminate());
        }
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            this.downstream.onSubscribe(this);
            int i2 = this.maxConcurrency;
            if (i2 == Integer.MAX_VALUE) {
                dVar.request(Long.MAX_VALUE);
            } else {
                dVar.request((long) i2);
            }
        }
    }

    public void onNext(e eVar) {
        getAndIncrement();
        MergeInnerObserver mergeInnerObserver = new MergeInnerObserver();
        this.set.c(mergeInnerObserver);
        eVar.a(mergeInnerObserver);
    }
}
