package io.reactivex.internal.operators.completable;

import f.a.b0.h;
import f.a.c;
import f.a.e;
import f.a.z.b;
import io.reactivex.exceptions.CompositeException;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicReference;

public final class CompletableResumeNext$ResumeNextObserver extends AtomicReference<b> implements c, b {
    private static final long serialVersionUID = 5018523762564524046L;
    public final c downstream;
    public final h<? super Throwable, ? extends e> errorMapper;
    public boolean once;

    public CompletableResumeNext$ResumeNextObserver(c cVar, h<? super Throwable, ? extends e> hVar) {
        this.downstream = cVar;
        this.errorMapper = hVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this);
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed((b) get());
    }

    @Override // f.a.c
    public void onComplete() {
        this.downstream.onComplete();
    }

    @Override // f.a.c
    public void onError(Throwable th) {
        if (this.once) {
            this.downstream.onError(th);
            return;
        }
        this.once = true;
        try {
            Object apply = this.errorMapper.apply(th);
            Objects.requireNonNull(apply, "The errorMapper returned a null CompletableSource");
            ((e) apply).a(this);
        } catch (Throwable th2) {
            d.l.b.g.g.b.D0(th2);
            this.downstream.onError(new CompositeException(th, th2));
        }
    }

    @Override // f.a.c
    public void onSubscribe(b bVar) {
        DisposableHelper.replace(this, bVar);
    }
}
