package io.reactivex.internal.operators.completable;

import f.a.b0.g;
import f.a.c;
import f.a.z.b;
import io.reactivex.exceptions.CompositeException;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.atomic.AtomicReference;

public final class CompletableUsing$UsingObserver<R> extends AtomicReference<Object> implements c, b {
    private static final long serialVersionUID = -674404550052917487L;
    public final g<? super R> disposer;
    public final c downstream;
    public final boolean eager;
    public b upstream;

    public CompletableUsing$UsingObserver(c cVar, R r, g<? super R> gVar, boolean z) {
        super(r);
        this.downstream = cVar;
        this.disposer = gVar;
        this.eager = z;
    }

    @Override // f.a.z.b
    public void dispose() {
        this.upstream.dispose();
        this.upstream = DisposableHelper.DISPOSED;
        disposeResourceAfter();
    }

    public void disposeResourceAfter() {
        Object andSet = getAndSet(this);
        if (andSet != this) {
            try {
                this.disposer.accept(andSet);
            } catch (Throwable th) {
                d.l.b.g.g.b.D0(th);
                d.l.b.g.g.b.q0(th);
            }
        }
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return this.upstream.isDisposed();
    }

    @Override // f.a.c
    public void onComplete() {
        this.upstream = DisposableHelper.DISPOSED;
        if (this.eager) {
            Object andSet = getAndSet(this);
            if (andSet != this) {
                try {
                    this.disposer.accept(andSet);
                } catch (Throwable th) {
                    d.l.b.g.g.b.D0(th);
                    this.downstream.onError(th);
                    return;
                }
            } else {
                return;
            }
        }
        this.downstream.onComplete();
        if (!this.eager) {
            disposeResourceAfter();
        }
    }

    @Override // f.a.c
    public void onError(Throwable th) {
        this.upstream = DisposableHelper.DISPOSED;
        if (this.eager) {
            Object andSet = getAndSet(this);
            if (andSet != this) {
                try {
                    this.disposer.accept(andSet);
                } catch (Throwable th2) {
                    d.l.b.g.g.b.D0(th2);
                    th = new CompositeException(th, th2);
                }
            } else {
                return;
            }
        }
        this.downstream.onError(th);
        if (!this.eager) {
            disposeResourceAfter();
        }
    }

    @Override // f.a.c
    public void onSubscribe(b bVar) {
        if (DisposableHelper.validate(this.upstream, bVar)) {
            this.upstream = bVar;
            this.downstream.onSubscribe(this);
        }
    }
}
