package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import f.a.b0.e;
import f.a.j;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.ArrayDeque;
import java.util.Collection;
import java.util.Iterator;
import java.util.Objects;
import java.util.concurrent.Callable;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicLong;
import k.c.c;
import k.c.d;

public final class FlowableBuffer$PublisherBufferOverlappingSubscriber<T, C extends Collection<? super T>> extends AtomicLong implements j<T>, d, e {
    private static final long serialVersionUID = -7370244972039324525L;
    public final Callable<C> bufferSupplier;
    public final ArrayDeque<C> buffers = new ArrayDeque<>();
    public volatile boolean cancelled;
    public boolean done;
    public final c<? super C> downstream;
    public int index;
    public final AtomicBoolean once = new AtomicBoolean();
    public long produced;
    public final int size;
    public final int skip;
    public d upstream;

    public FlowableBuffer$PublisherBufferOverlappingSubscriber(c<? super C> cVar, int i2, int i3, Callable<C> callable) {
        this.downstream = cVar;
        this.size = i2;
        this.skip = i3;
        this.bufferSupplier = callable;
    }

    @Override // k.c.d
    public void cancel() {
        this.cancelled = true;
        this.upstream.cancel();
    }

    @Override // f.a.b0.e
    public boolean getAsBoolean() {
        return this.cancelled;
    }

    @Override // k.c.c
    public void onComplete() {
        long j2;
        long j3;
        if (!this.done) {
            this.done = true;
            long j4 = this.produced;
            if (j4 != 0) {
                b.v0(this, j4);
            }
            c<? super C> cVar = this.downstream;
            ArrayDeque<C> arrayDeque = this.buffers;
            if (arrayDeque.isEmpty()) {
                cVar.onComplete();
            } else if (!f.a.c0.i.c.a(get(), cVar, arrayDeque, this, this)) {
                do {
                    j2 = get();
                    if ((j2 & Long.MIN_VALUE) == 0) {
                        j3 = Long.MIN_VALUE | j2;
                    } else {
                        return;
                    }
                } while (!compareAndSet(j2, j3));
                if (j2 != 0) {
                    f.a.c0.i.c.a(j3, cVar, arrayDeque, this, this);
                }
            }
        }
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        if (this.done) {
            b.q0(th);
            return;
        }
        this.done = true;
        this.buffers.clear();
        this.downstream.onError(th);
    }

    @Override // k.c.c
    public void onNext(T t) {
        if (!this.done) {
            ArrayDeque<C> arrayDeque = this.buffers;
            int i2 = this.index;
            int i3 = i2 + 1;
            if (i2 == 0) {
                try {
                    C call = this.bufferSupplier.call();
                    Objects.requireNonNull(call, "The bufferSupplier returned a null buffer");
                    arrayDeque.offer(call);
                } catch (Throwable th) {
                    b.D0(th);
                    cancel();
                    onError(th);
                    return;
                }
            }
            C peek = arrayDeque.peek();
            if (peek != null && peek.size() + 1 == this.size) {
                arrayDeque.poll();
                peek.add(t);
                this.produced++;
                this.downstream.onNext(peek);
            }
            Iterator<C> it = arrayDeque.iterator();
            while (it.hasNext()) {
                it.next().add(t);
            }
            if (i3 == this.skip) {
                i3 = 0;
            }
            this.index = i3;
        }
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            this.downstream.onSubscribe(this);
        }
    }

    @Override // k.c.d
    public void request(long j2) {
        long j3;
        boolean z;
        if (SubscriptionHelper.validate(j2)) {
            c<? super C> cVar = this.downstream;
            ArrayDeque<C> arrayDeque = this.buffers;
            do {
                j3 = get();
            } while (!compareAndSet(j3, b.d(Long.MAX_VALUE & j3, j2) | (j3 & Long.MIN_VALUE)));
            if (j3 == Long.MIN_VALUE) {
                f.a.c0.i.c.a(j2 | Long.MIN_VALUE, cVar, arrayDeque, this, this);
                z = true;
            } else {
                z = false;
            }
            if (!z) {
                if (this.once.get() || !this.once.compareAndSet(false, true)) {
                    this.upstream.request(b.j0((long) this.skip, j2));
                    return;
                }
                this.upstream.request(b.d((long) this.size, b.j0((long) this.skip, j2 - 1)));
            }
        }
    }
}
