package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import f.a.b0.h;
import f.a.c0.f.a;
import io.reactivex.internal.subscriptions.BasicIntQueueSubscription;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import io.reactivex.internal.util.ExceptionHelper;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicLong;
import java.util.concurrent.atomic.AtomicReference;
import k.c.c;

public final class FlowableCombineLatest$CombineLatestCoordinator<T, R> extends BasicIntQueueSubscription<R> {
    private static final long serialVersionUID = -5082275438355852221L;
    public volatile boolean cancelled;
    public final h<? super Object[], ? extends R> combiner;
    public int completedSources;
    public final boolean delayErrors;
    public volatile boolean done;
    public final c<? super R> downstream;
    public final AtomicReference<Throwable> error;
    public final Object[] latest;
    public int nonEmptySources;
    public boolean outputFused;
    public final a<Object> queue;
    public final AtomicLong requested;
    public final FlowableCombineLatest$CombineLatestInnerSubscriber<T>[] subscribers;

    public FlowableCombineLatest$CombineLatestCoordinator(c<? super R> cVar, h<? super Object[], ? extends R> hVar, int i2, int i3, boolean z) {
        this.downstream = cVar;
        this.combiner = hVar;
        FlowableCombineLatest$CombineLatestInnerSubscriber<T>[] flowableCombineLatest$CombineLatestInnerSubscriberArr = new FlowableCombineLatest$CombineLatestInnerSubscriber[i2];
        for (int i4 = 0; i4 < i2; i4++) {
            flowableCombineLatest$CombineLatestInnerSubscriberArr[i4] = new FlowableCombineLatest$CombineLatestInnerSubscriber<>(this, i4, i3);
        }
        this.subscribers = flowableCombineLatest$CombineLatestInnerSubscriberArr;
        this.latest = new Object[i2];
        this.queue = new a<>(i3);
        this.requested = new AtomicLong();
        this.error = new AtomicReference<>();
        this.delayErrors = z;
    }

    @Override // k.c.d, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public void cancel() {
        this.cancelled = true;
        cancelAll();
    }

    public void cancelAll() {
        for (FlowableCombineLatest$CombineLatestInnerSubscriber<T> flowableCombineLatest$CombineLatestInnerSubscriber : this.subscribers) {
            flowableCombineLatest$CombineLatestInnerSubscriber.cancel();
        }
    }

    public boolean checkTerminated(boolean z, boolean z2, c<?> cVar, a<?> aVar) {
        if (this.cancelled) {
            cancelAll();
            aVar.clear();
            return true;
        } else if (!z) {
            return false;
        } else {
            if (!this.delayErrors) {
                Throwable b2 = ExceptionHelper.b(this.error);
                if (b2 != null && b2 != ExceptionHelper.f13426a) {
                    cancelAll();
                    aVar.clear();
                    cVar.onError(b2);
                    return true;
                } else if (!z2) {
                    return false;
                } else {
                    cancelAll();
                    cVar.onComplete();
                    return true;
                }
            } else if (!z2) {
                return false;
            } else {
                cancelAll();
                Throwable b3 = ExceptionHelper.b(this.error);
                if (b3 == null || b3 == ExceptionHelper.f13426a) {
                    cVar.onComplete();
                } else {
                    cVar.onError(b3);
                }
                return true;
            }
        }
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public void clear() {
        this.queue.clear();
    }

    public void drain() {
        if (getAndIncrement() == 0) {
            if (this.outputFused) {
                drainOutput();
            } else {
                drainAsync();
            }
        }
    }

    public void drainAsync() {
        int i2;
        c<? super R> cVar = this.downstream;
        a<?> aVar = this.queue;
        int i3 = 1;
        do {
            long j2 = this.requested.get();
            long j3 = 0;
            while (true) {
                i2 = (j3 > j2 ? 1 : (j3 == j2 ? 0 : -1));
                if (i2 == 0) {
                    break;
                }
                boolean z = this.done;
                Object poll = aVar.poll();
                boolean z2 = poll == null;
                if (!checkTerminated(z, z2, cVar, aVar)) {
                    if (z2) {
                        break;
                    }
                    try {
                        Object obj = (Object) this.combiner.apply((Object[]) aVar.poll());
                        Objects.requireNonNull(obj, "The combiner returned a null value");
                        cVar.onNext(obj);
                        ((FlowableCombineLatest$CombineLatestInnerSubscriber) poll).requestOne();
                        j3++;
                    } catch (Throwable th) {
                        b.D0(th);
                        cancelAll();
                        ExceptionHelper.a(this.error, th);
                        cVar.onError(ExceptionHelper.b(this.error));
                        return;
                    }
                } else {
                    return;
                }
            }
            if (i2 != 0 || !checkTerminated(this.done, aVar.isEmpty(), cVar, aVar)) {
                if (!(j3 == 0 || j2 == Long.MAX_VALUE)) {
                    this.requested.addAndGet(-j3);
                }
                i3 = addAndGet(-i3);
            } else {
                return;
            }
        } while (i3 != 0);
    }

    public void drainOutput() {
        c<? super R> cVar = this.downstream;
        a<Object> aVar = this.queue;
        int i2 = 1;
        while (!this.cancelled) {
            Throwable th = this.error.get();
            if (th != null) {
                aVar.clear();
                cVar.onError(th);
                return;
            }
            boolean z = this.done;
            boolean isEmpty = aVar.isEmpty();
            if (!isEmpty) {
                cVar.onNext(null);
            }
            if (!z || !isEmpty) {
                i2 = addAndGet(-i2);
                if (i2 == 0) {
                    return;
                }
            } else {
                cVar.onComplete();
                return;
            }
        }
        aVar.clear();
    }

    public void innerComplete(int i2) {
        synchronized (this) {
            Object[] objArr = this.latest;
            if (objArr[i2] != null) {
                int i3 = this.completedSources + 1;
                if (i3 == objArr.length) {
                    this.done = true;
                } else {
                    this.completedSources = i3;
                    return;
                }
            } else {
                this.done = true;
            }
            drain();
        }
    }

    public void innerError(int i2, Throwable th) {
        if (!ExceptionHelper.a(this.error, th)) {
            b.q0(th);
        } else if (!this.delayErrors) {
            cancelAll();
            this.done = true;
            drain();
        } else {
            innerComplete(i2);
        }
    }

    public void innerValue(int i2, T t) {
        boolean z;
        synchronized (this) {
            Object[] objArr = this.latest;
            int i3 = this.nonEmptySources;
            if (objArr[i2] == null) {
                i3++;
                this.nonEmptySources = i3;
            }
            objArr[i2] = t;
            if (objArr.length == i3) {
                this.queue.c(this.subscribers[i2], objArr.clone());
                z = false;
            } else {
                z = true;
            }
        }
        if (z) {
            this.subscribers[i2].requestOne();
        } else {
            drain();
        }
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public boolean isEmpty() {
        return this.queue.isEmpty();
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public R poll() {
        Object poll = this.queue.poll();
        if (poll == null) {
            return null;
        }
        R r = (R) this.combiner.apply((Object[]) this.queue.poll());
        Objects.requireNonNull(r, "The combiner returned a null value");
        ((FlowableCombineLatest$CombineLatestInnerSubscriber) poll).requestOne();
        return r;
    }

    @Override // k.c.d, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            b.b(this.requested, j2);
            drain();
        }
    }

    @Override // f.a.c0.c.c, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public int requestFusion(int i2) {
        boolean z = false;
        if ((i2 & 4) != 0) {
            return 0;
        }
        int i3 = i2 & 2;
        if (i3 != 0) {
            z = true;
        }
        this.outputFused = z;
        return i3;
    }

    public void subscribe(k.c.b<? extends T>[] bVarArr, int i2) {
        FlowableCombineLatest$CombineLatestInnerSubscriber<T>[] flowableCombineLatest$CombineLatestInnerSubscriberArr = this.subscribers;
        for (int i3 = 0; i3 < i2 && !this.done && !this.cancelled; i3++) {
            bVarArr[i3].subscribe(flowableCombineLatest$CombineLatestInnerSubscriberArr[i3]);
        }
    }
}
