package io.reactivex.internal.operators.flowable;

import f.a.j;
import io.reactivex.exceptions.CompositeException;
import io.reactivex.internal.subscriptions.SubscriptionArbiter;
import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.atomic.AtomicInteger;
import k.c.b;
import k.c.c;
import k.c.d;

public final class FlowableConcatArray$ConcatArraySubscriber<T> extends SubscriptionArbiter implements j<T> {
    private static final long serialVersionUID = -8158322871608889516L;
    public final boolean delayError;
    public final c<? super T> downstream;
    public List<Throwable> errors;
    public int index;
    public long produced;
    public final b<? extends T>[] sources;
    public final AtomicInteger wip = new AtomicInteger();

    public FlowableConcatArray$ConcatArraySubscriber(b<? extends T>[] bVarArr, boolean z, c<? super T> cVar) {
        super(false);
        this.downstream = cVar;
        this.sources = bVarArr;
        this.delayError = z;
    }

    @Override // k.c.c
    public void onComplete() {
        if (this.wip.getAndIncrement() == 0) {
            b<? extends T>[] bVarArr = this.sources;
            int length = bVarArr.length;
            int i2 = this.index;
            while (i2 != length) {
                b<? extends T> bVar = bVarArr[i2];
                if (bVar == null) {
                    NullPointerException nullPointerException = new NullPointerException("A Publisher entry is null");
                    if (this.delayError) {
                        List list = this.errors;
                        if (list == null) {
                            list = new ArrayList((length - i2) + 1);
                            this.errors = list;
                        }
                        list.add(nullPointerException);
                        i2++;
                    } else {
                        this.downstream.onError(nullPointerException);
                        return;
                    }
                } else {
                    long j2 = this.produced;
                    if (j2 != 0) {
                        this.produced = 0;
                        produced(j2);
                    }
                    bVar.subscribe(this);
                    i2++;
                    this.index = i2;
                    if (this.wip.decrementAndGet() == 0) {
                        return;
                    }
                }
            }
            List<Throwable> list2 = this.errors;
            if (list2 == null) {
                this.downstream.onComplete();
            } else if (list2.size() == 1) {
                this.downstream.onError(list2.get(0));
            } else {
                this.downstream.onError(new CompositeException(list2));
            }
        }
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        if (this.delayError) {
            List list = this.errors;
            if (list == null) {
                list = new ArrayList((this.sources.length - this.index) + 1);
                this.errors = list;
            }
            list.add(th);
            onComplete();
            return;
        }
        this.downstream.onError(th);
    }

    @Override // k.c.c
    public void onNext(T t) {
        this.produced++;
        this.downstream.onNext(t);
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        setSubscription(dVar);
    }
}
