package io.reactivex.internal.operators.flowable;

import f.a.b0.h;
import f.a.c0.c.g;
import f.a.c0.e.b.c;
import f.a.j;
import io.reactivex.internal.queue.SpscArrayQueue;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import io.reactivex.internal.util.AtomicThrowable;
import java.util.concurrent.atomic.AtomicInteger;
import k.c.b;
import k.c.d;

public abstract class FlowableConcatMap$BaseConcatMapSubscriber<T, R> extends AtomicInteger implements j<T>, c<R>, d {
    private static final long serialVersionUID = -3511336836796789179L;
    public volatile boolean active;
    public volatile boolean cancelled;
    public int consumed;
    public volatile boolean done;
    public final AtomicThrowable errors = new AtomicThrowable();
    public final FlowableConcatMap$ConcatMapInner<R> inner = new FlowableConcatMap$ConcatMapInner<>(this);
    public final int limit;
    public final h<? super T, ? extends b<? extends R>> mapper;
    public final int prefetch;
    public g<T> queue;
    public int sourceMode;
    public d upstream;

    public FlowableConcatMap$BaseConcatMapSubscriber(h<? super T, ? extends b<? extends R>> hVar, int i2) {
        this.mapper = hVar;
        this.prefetch = i2;
        this.limit = i2 - (i2 >> 2);
    }

    @Override // k.c.d
    public abstract /* synthetic */ void cancel();

    public abstract void drain();

    @Override // f.a.c0.e.b.c
    public final void innerComplete() {
        this.active = false;
        drain();
    }

    @Override // f.a.c0.e.b.c
    public abstract /* synthetic */ void innerError(Throwable th);

    @Override // f.a.c0.e.b.c
    public abstract /* synthetic */ void innerNext(T t);

    @Override // k.c.c
    public final void onComplete() {
        this.done = true;
        drain();
    }

    @Override // k.c.c
    public abstract /* synthetic */ void onError(Throwable th);

    @Override // k.c.c
    public final void onNext(T t) {
        if (this.sourceMode == 2 || this.queue.offer(t)) {
            drain();
            return;
        }
        this.upstream.cancel();
        onError(new IllegalStateException("Queue full?!"));
    }

    @Override // f.a.j, k.c.c
    public final void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            if (dVar instanceof f.a.c0.c.d) {
                f.a.c0.c.d dVar2 = (f.a.c0.c.d) dVar;
                int requestFusion = dVar2.requestFusion(7);
                if (requestFusion == 1) {
                    this.sourceMode = requestFusion;
                    this.queue = dVar2;
                    this.done = true;
                    subscribeActual();
                    drain();
                    return;
                } else if (requestFusion == 2) {
                    this.sourceMode = requestFusion;
                    this.queue = dVar2;
                    subscribeActual();
                    dVar.request((long) this.prefetch);
                    return;
                }
            }
            this.queue = new SpscArrayQueue(this.prefetch);
            subscribeActual();
            dVar.request((long) this.prefetch);
        }
    }

    @Override // k.c.d
    public abstract /* synthetic */ void request(long j2);

    public abstract void subscribeActual();
}
