package io.reactivex.internal.operators.flowable;

import f.a.b0.h;
import f.a.c0.c.g;
import f.a.c0.h.a;
import f.a.j;
import io.reactivex.exceptions.MissingBackpressureException;
import io.reactivex.internal.subscribers.InnerQueuedSubscriber;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import io.reactivex.internal.util.AtomicThrowable;
import io.reactivex.internal.util.ErrorMode;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;
import k.c.b;
import k.c.c;
import k.c.d;

public final class FlowableConcatMapEager$ConcatMapEagerDelayErrorSubscriber<T, R> extends AtomicInteger implements j<T>, d, a<R> {
    private static final long serialVersionUID = -4255299542215038287L;
    public volatile boolean cancelled;
    public volatile InnerQueuedSubscriber<R> current;
    public volatile boolean done;
    public final c<? super R> downstream;
    public final ErrorMode errorMode;
    public final AtomicThrowable errors = new AtomicThrowable();
    public final h<? super T, ? extends b<? extends R>> mapper;
    public final int maxConcurrency;
    public final int prefetch;
    public final AtomicLong requested = new AtomicLong();
    public final f.a.c0.f.a<InnerQueuedSubscriber<R>> subscribers;
    public d upstream;

    public FlowableConcatMapEager$ConcatMapEagerDelayErrorSubscriber(c<? super R> cVar, h<? super T, ? extends b<? extends R>> hVar, int i2, int i3, ErrorMode errorMode2) {
        this.downstream = cVar;
        this.mapper = hVar;
        this.maxConcurrency = i2;
        this.prefetch = i3;
        this.errorMode = errorMode2;
        this.subscribers = new f.a.c0.f.a<>(Math.min(i3, i2));
    }

    @Override // k.c.d
    public void cancel() {
        if (!this.cancelled) {
            this.cancelled = true;
            this.upstream.cancel();
            drainAndCancel();
        }
    }

    public void cancelAll() {
        while (true) {
            InnerQueuedSubscriber<R> poll = this.subscribers.poll();
            if (poll != null) {
                poll.cancel();
            } else {
                return;
            }
        }
    }

    @Override // f.a.c0.h.a
    public void drain() {
        InnerQueuedSubscriber<R> innerQueuedSubscriber;
        int i2;
        long j2;
        boolean z;
        g<R> queue;
        int i3;
        if (getAndIncrement() == 0) {
            InnerQueuedSubscriber<R> innerQueuedSubscriber2 = this.current;
            c<? super R> cVar = this.downstream;
            ErrorMode errorMode2 = this.errorMode;
            int i4 = 1;
            while (true) {
                long j3 = this.requested.get();
                if (innerQueuedSubscriber2 != null) {
                    innerQueuedSubscriber = innerQueuedSubscriber2;
                } else if (errorMode2 == ErrorMode.END || ((Throwable) this.errors.get()) == null) {
                    boolean z2 = this.done;
                    innerQueuedSubscriber = this.subscribers.poll();
                    if (z2 && innerQueuedSubscriber == null) {
                        Throwable terminate = this.errors.terminate();
                        if (terminate != null) {
                            cVar.onError(terminate);
                            return;
                        } else {
                            cVar.onComplete();
                            return;
                        }
                    } else if (innerQueuedSubscriber != null) {
                        this.current = innerQueuedSubscriber;
                    }
                } else {
                    cancelAll();
                    cVar.onError(this.errors.terminate());
                    return;
                }
                if (innerQueuedSubscriber == null || (queue = innerQueuedSubscriber.queue()) == null) {
                    i2 = i4;
                    j2 = 0;
                    z = false;
                } else {
                    i2 = i4;
                    j2 = 0;
                    while (true) {
                        i3 = (j2 > j3 ? 1 : (j2 == j3 ? 0 : -1));
                        if (i3 == 0) {
                            break;
                        } else if (this.cancelled) {
                            cancelAll();
                            return;
                        } else if (errorMode2 != ErrorMode.IMMEDIATE || ((Throwable) this.errors.get()) == null) {
                            boolean isDone = innerQueuedSubscriber.isDone();
                            try {
                                R poll = queue.poll();
                                boolean z3 = poll == null;
                                if (isDone && z3) {
                                    this.current = null;
                                    this.upstream.request(1);
                                    innerQueuedSubscriber = null;
                                    z = true;
                                    break;
                                } else if (z3) {
                                    break;
                                } else {
                                    cVar.onNext(poll);
                                    j2++;
                                    innerQueuedSubscriber.requestOne();
                                }
                            } catch (Throwable th) {
                                d.l.b.g.g.b.D0(th);
                                this.current = null;
                                innerQueuedSubscriber.cancel();
                                cancelAll();
                                cVar.onError(th);
                                return;
                            }
                        } else {
                            this.current = null;
                            innerQueuedSubscriber.cancel();
                            cancelAll();
                            cVar.onError(this.errors.terminate());
                            return;
                        }
                    }
                    z = false;
                    if (i3 == 0) {
                        if (this.cancelled) {
                            cancelAll();
                            return;
                        } else if (errorMode2 != ErrorMode.IMMEDIATE || ((Throwable) this.errors.get()) == null) {
                            boolean isDone2 = innerQueuedSubscriber.isDone();
                            boolean isEmpty = queue.isEmpty();
                            if (isDone2 && isEmpty) {
                                this.current = null;
                                this.upstream.request(1);
                                innerQueuedSubscriber = null;
                                z = true;
                            }
                        } else {
                            this.current = null;
                            innerQueuedSubscriber.cancel();
                            cancelAll();
                            cVar.onError(this.errors.terminate());
                            return;
                        }
                    }
                }
                if (!(j2 == 0 || j3 == Long.MAX_VALUE)) {
                    this.requested.addAndGet(-j2);
                }
                if (z) {
                    innerQueuedSubscriber2 = innerQueuedSubscriber;
                    i4 = i2;
                } else {
                    i4 = addAndGet(-i2);
                    if (i4 != 0) {
                        innerQueuedSubscriber2 = innerQueuedSubscriber;
                    } else {
                        return;
                    }
                }
            }
        }
    }

    public void drainAndCancel() {
        if (getAndIncrement() == 0) {
            do {
                cancelAll();
            } while (decrementAndGet() != 0);
        }
    }

    @Override // f.a.c0.h.a
    public void innerComplete(InnerQueuedSubscriber<R> innerQueuedSubscriber) {
        innerQueuedSubscriber.setDone();
        drain();
    }

    @Override // f.a.c0.h.a
    public void innerError(InnerQueuedSubscriber<R> innerQueuedSubscriber, Throwable th) {
        if (this.errors.addThrowable(th)) {
            innerQueuedSubscriber.setDone();
            if (this.errorMode != ErrorMode.END) {
                this.upstream.cancel();
            }
            drain();
            return;
        }
        d.l.b.g.g.b.q0(th);
    }

    @Override // f.a.c0.h.a
    public void innerNext(InnerQueuedSubscriber<R> innerQueuedSubscriber, R r) {
        if (innerQueuedSubscriber.queue().offer(r)) {
            drain();
            return;
        }
        innerQueuedSubscriber.cancel();
        innerError(innerQueuedSubscriber, new MissingBackpressureException());
    }

    @Override // k.c.c
    public void onComplete() {
        this.done = true;
        drain();
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        if (this.errors.addThrowable(th)) {
            this.done = true;
            drain();
            return;
        }
        d.l.b.g.g.b.q0(th);
    }

    @Override // k.c.c
    public void onNext(T t) {
        try {
            Object apply = this.mapper.apply(t);
            Objects.requireNonNull(apply, "The mapper returned a null Publisher");
            b bVar = (b) apply;
            InnerQueuedSubscriber<R> innerQueuedSubscriber = new InnerQueuedSubscriber<>(this, this.prefetch);
            if (!this.cancelled) {
                this.subscribers.offer(innerQueuedSubscriber);
                bVar.subscribe(innerQueuedSubscriber);
                if (this.cancelled) {
                    innerQueuedSubscriber.cancel();
                    drainAndCancel();
                }
            }
        } catch (Throwable th) {
            d.l.b.g.g.b.D0(th);
            this.upstream.cancel();
            onError(th);
        }
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            this.downstream.onSubscribe(this);
            int i2 = this.maxConcurrency;
            dVar.request(i2 == Integer.MAX_VALUE ? Long.MAX_VALUE : (long) i2);
        }
    }

    @Override // k.c.d
    public void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            d.l.b.g.g.b.b(this.requested, j2);
            drain();
        }
    }
}
