package io.reactivex.internal.operators.flowable;

import f.a.c;
import f.a.e;
import f.a.j;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.atomic.AtomicReference;
import k.c.d;

public final class FlowableConcatWithCompletable$ConcatWithSubscriber<T> extends AtomicReference<b> implements j<T>, c, d {
    private static final long serialVersionUID = -7346385463600070225L;
    public final k.c.c<? super T> downstream;
    public boolean inCompletable;
    public e other;
    public d upstream;

    public FlowableConcatWithCompletable$ConcatWithSubscriber(k.c.c<? super T> cVar, e eVar) {
        this.downstream = cVar;
        this.other = eVar;
    }

    @Override // k.c.d
    public void cancel() {
        this.upstream.cancel();
        DisposableHelper.dispose(this);
    }

    @Override // f.a.c, k.c.c
    public void onComplete() {
        if (this.inCompletable) {
            this.downstream.onComplete();
            return;
        }
        this.inCompletable = true;
        this.upstream = SubscriptionHelper.CANCELLED;
        e eVar = this.other;
        this.other = null;
        eVar.a(this);
    }

    @Override // f.a.c, k.c.c
    public void onError(Throwable th) {
        this.downstream.onError(th);
    }

    @Override // k.c.c
    public void onNext(T t) {
        this.downstream.onNext(t);
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            this.downstream.onSubscribe(this);
        }
    }

    @Override // k.c.d
    public void request(long j2) {
        this.upstream.request(j2);
    }

    @Override // f.a.c
    public void onSubscribe(b bVar) {
        DisposableHelper.setOnce(this, bVar);
    }
}
