package io.reactivex.internal.operators.flowable;

import f.a.l;
import f.a.m;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.subscribers.SinglePostCompleteSubscriber;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.atomic.AtomicReference;
import k.c.c;

public final class FlowableConcatWithMaybe$ConcatWithSubscriber<T> extends SinglePostCompleteSubscriber<T, T> implements l<T> {
    private static final long serialVersionUID = -7346385463600070225L;
    public boolean inMaybe;
    public m<? extends T> other;
    public final AtomicReference<b> otherDisposable = new AtomicReference<>();

    public FlowableConcatWithMaybe$ConcatWithSubscriber(c<? super T> cVar, m<? extends T> mVar) {
        super(cVar);
        this.other = mVar;
    }

    @Override // io.reactivex.internal.subscribers.SinglePostCompleteSubscriber, k.c.d
    public void cancel() {
        super.cancel();
        DisposableHelper.dispose(this.otherDisposable);
    }

    @Override // io.reactivex.internal.subscribers.SinglePostCompleteSubscriber, f.a.l, k.c.c
    public void onComplete() {
        if (this.inMaybe) {
            this.downstream.onComplete();
            return;
        }
        this.inMaybe = true;
        this.upstream = SubscriptionHelper.CANCELLED;
        m<? extends T> mVar = this.other;
        this.other = null;
        mVar.a(this);
    }

    @Override // io.reactivex.internal.subscribers.SinglePostCompleteSubscriber, f.a.l, k.c.c
    public void onError(Throwable th) {
        this.downstream.onError(th);
    }

    @Override // io.reactivex.internal.subscribers.SinglePostCompleteSubscriber, k.c.c
    public void onNext(T t) {
        this.produced++;
        this.downstream.onNext(t);
    }

    @Override // f.a.l
    public void onSubscribe(b bVar) {
        DisposableHelper.setOnce(this.otherDisposable, bVar);
    }

    @Override // f.a.l
    public void onSuccess(T t) {
        complete(t);
    }
}
