package io.reactivex.internal.operators.flowable;

import f.a.j;
import f.a.u;
import f.a.z.b;
import io.reactivex.exceptions.MissingBackpressureException;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicLong;
import k.c.c;
import k.c.d;

public final class FlowableDebounceTimed$DebounceTimedSubscriber<T> extends AtomicLong implements j<T>, d {
    private static final long serialVersionUID = -9102637559663639004L;
    public boolean done;
    public final c<? super T> downstream;
    public volatile long index;
    public final long timeout;
    public b timer;
    public final TimeUnit unit;
    public d upstream;
    public final u.c worker;

    public FlowableDebounceTimed$DebounceTimedSubscriber(c<? super T> cVar, long j2, TimeUnit timeUnit, u.c cVar2) {
        this.downstream = cVar;
        this.timeout = j2;
        this.unit = timeUnit;
        this.worker = cVar2;
    }

    @Override // k.c.d
    public void cancel() {
        this.upstream.cancel();
        this.worker.dispose();
    }

    public void emit(long j2, T t, FlowableDebounceTimed$DebounceEmitter<T> flowableDebounceTimed$DebounceEmitter) {
        if (j2 != this.index) {
            return;
        }
        if (get() != 0) {
            this.downstream.onNext(t);
            d.l.b.g.g.b.v0(this, 1);
            flowableDebounceTimed$DebounceEmitter.dispose();
            return;
        }
        cancel();
        this.downstream.onError(new MissingBackpressureException("Could not deliver value due to lack of requests"));
    }

    @Override // k.c.c
    public void onComplete() {
        if (!this.done) {
            this.done = true;
            b bVar = this.timer;
            if (bVar != null) {
                bVar.dispose();
            }
            FlowableDebounceTimed$DebounceEmitter flowableDebounceTimed$DebounceEmitter = (FlowableDebounceTimed$DebounceEmitter) bVar;
            if (flowableDebounceTimed$DebounceEmitter != null) {
                flowableDebounceTimed$DebounceEmitter.emit();
            }
            this.downstream.onComplete();
            this.worker.dispose();
        }
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        if (this.done) {
            d.l.b.g.g.b.q0(th);
            return;
        }
        this.done = true;
        b bVar = this.timer;
        if (bVar != null) {
            bVar.dispose();
        }
        this.downstream.onError(th);
        this.worker.dispose();
    }

    @Override // k.c.c
    public void onNext(T t) {
        if (!this.done) {
            long j2 = this.index + 1;
            this.index = j2;
            b bVar = this.timer;
            if (bVar != null) {
                bVar.dispose();
            }
            FlowableDebounceTimed$DebounceEmitter flowableDebounceTimed$DebounceEmitter = new FlowableDebounceTimed$DebounceEmitter(t, j2, this);
            this.timer = flowableDebounceTimed$DebounceEmitter;
            flowableDebounceTimed$DebounceEmitter.setResource(this.worker.c(flowableDebounceTimed$DebounceEmitter, this.timeout, this.unit));
        }
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            this.downstream.onSubscribe(this);
            dVar.request(Long.MAX_VALUE);
        }
    }

    @Override // k.c.d
    public void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            d.l.b.g.g.b.b(this, j2);
        }
    }
}
