package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import f.a.j;
import io.reactivex.internal.subscriptions.DeferredScalarSubscription;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.NoSuchElementException;
import k.c.c;
import k.c.d;

public final class FlowableElementAt$ElementAtSubscriber<T> extends DeferredScalarSubscription<T> implements j<T> {
    private static final long serialVersionUID = 4066607327284737757L;
    public long count;
    public final T defaultValue;
    public boolean done;
    public final boolean errorOnFewer;
    public final long index;
    public d upstream;

    public FlowableElementAt$ElementAtSubscriber(c<? super T> cVar, long j2, T t, boolean z) {
        super(cVar);
        this.index = j2;
        this.defaultValue = t;
        this.errorOnFewer = z;
    }

    @Override // io.reactivex.internal.subscriptions.DeferredScalarSubscription, k.c.d, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public void cancel() {
        super.cancel();
        this.upstream.cancel();
    }

    @Override // k.c.c
    public void onComplete() {
        if (!this.done) {
            this.done = true;
            T t = this.defaultValue;
            if (t != null) {
                complete(t);
            } else if (this.errorOnFewer) {
                this.downstream.onError(new NoSuchElementException());
            } else {
                this.downstream.onComplete();
            }
        }
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        if (this.done) {
            b.q0(th);
            return;
        }
        this.done = true;
        this.downstream.onError(th);
    }

    @Override // k.c.c
    public void onNext(T t) {
        if (!this.done) {
            long j2 = this.count;
            if (j2 == this.index) {
                this.done = true;
                this.upstream.cancel();
                complete(t);
                return;
            }
            this.count = j2 + 1;
        }
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            this.downstream.onSubscribe(this);
            dVar.request(Long.MAX_VALUE);
        }
    }
}
