package io.reactivex.internal.operators.flowable;

import f.a.c0.c.g;
import f.a.j;
import f.a.z.b;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.atomic.AtomicReference;
import k.c.d;

public final class FlowableFlatMap$InnerSubscriber<T, U> extends AtomicReference<d> implements j<U>, b {
    private static final long serialVersionUID = -4606175640614850599L;
    public final int bufferSize;
    public volatile boolean done;
    public int fusionMode;
    public final long id;
    public final int limit;
    public final FlowableFlatMap$MergeSubscriber<T, U> parent;
    public long produced;
    public volatile g<U> queue;

    public FlowableFlatMap$InnerSubscriber(FlowableFlatMap$MergeSubscriber<T, U> flowableFlatMap$MergeSubscriber, long j2) {
        this.id = j2;
        this.parent = flowableFlatMap$MergeSubscriber;
        int i2 = flowableFlatMap$MergeSubscriber.bufferSize;
        this.bufferSize = i2;
        this.limit = i2 >> 2;
    }

    @Override // f.a.z.b
    public void dispose() {
        SubscriptionHelper.cancel(this);
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return get() == SubscriptionHelper.CANCELLED;
    }

    @Override // k.c.c
    public void onComplete() {
        this.done = true;
        this.parent.drain();
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        lazySet(SubscriptionHelper.CANCELLED);
        this.parent.innerError(this, th);
    }

    @Override // k.c.c
    public void onNext(U u) {
        if (this.fusionMode != 2) {
            this.parent.tryEmit(u, this);
        } else {
            this.parent.drain();
        }
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.setOnce(this, dVar)) {
            if (dVar instanceof f.a.c0.c.d) {
                f.a.c0.c.d dVar2 = (f.a.c0.c.d) dVar;
                int requestFusion = dVar2.requestFusion(7);
                if (requestFusion == 1) {
                    this.fusionMode = requestFusion;
                    this.queue = dVar2;
                    this.done = true;
                    this.parent.drain();
                    return;
                } else if (requestFusion == 2) {
                    this.fusionMode = requestFusion;
                    this.queue = dVar2;
                }
            }
            dVar.request((long) this.bufferSize);
        }
    }

    public void requestMore(long j2) {
        if (this.fusionMode != 1) {
            long j3 = this.produced + j2;
            if (j3 >= ((long) this.limit)) {
                this.produced = 0;
                ((d) get()).request(j3);
                return;
            }
            this.produced = j3;
        }
    }
}
