package io.reactivex.internal.operators.flowable;

import f.a.b0.h;
import f.a.e;
import f.a.j;
import f.a.z.a;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.subscriptions.BasicIntQueueSubscription;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import io.reactivex.internal.util.AtomicThrowable;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicReference;
import k.c.c;
import k.c.d;

public final class FlowableFlatMapCompletable$FlatMapCompletableMainSubscriber<T> extends BasicIntQueueSubscription<T> implements j<T> {
    private static final long serialVersionUID = 8443155186132538303L;
    public volatile boolean cancelled;
    public final boolean delayErrors;
    public final c<? super T> downstream;
    public final AtomicThrowable errors = new AtomicThrowable();
    public final h<? super T, ? extends e> mapper;
    public final int maxConcurrency;
    public final a set = new a();
    public d upstream;

    public final class InnerConsumer extends AtomicReference<b> implements f.a.c, b {
        private static final long serialVersionUID = 8606673141535671828L;

        public InnerConsumer() {
        }

        @Override // f.a.z.b
        public void dispose() {
            DisposableHelper.dispose(this);
        }

        @Override // f.a.z.b
        public boolean isDisposed() {
            return DisposableHelper.isDisposed((b) get());
        }

        @Override // f.a.c
        public void onComplete() {
            FlowableFlatMapCompletable$FlatMapCompletableMainSubscriber.this.innerComplete(this);
        }

        @Override // f.a.c
        public void onError(Throwable th) {
            FlowableFlatMapCompletable$FlatMapCompletableMainSubscriber.this.innerError(this, th);
        }

        @Override // f.a.c
        public void onSubscribe(b bVar) {
            DisposableHelper.setOnce(this, bVar);
        }
    }

    public FlowableFlatMapCompletable$FlatMapCompletableMainSubscriber(c<? super T> cVar, h<? super T, ? extends e> hVar, boolean z, int i2) {
        this.downstream = cVar;
        this.mapper = hVar;
        this.delayErrors = z;
        this.maxConcurrency = i2;
        lazySet(1);
    }

    @Override // k.c.d, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public void cancel() {
        this.cancelled = true;
        this.upstream.cancel();
        this.set.dispose();
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public void clear() {
    }

    public void innerComplete(FlowableFlatMapCompletable$FlatMapCompletableMainSubscriber<T>.InnerConsumer innerConsumer) {
        this.set.a(innerConsumer);
        onComplete();
    }

    public void innerError(FlowableFlatMapCompletable$FlatMapCompletableMainSubscriber<T>.InnerConsumer innerConsumer, Throwable th) {
        this.set.a(innerConsumer);
        onError(th);
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public boolean isEmpty() {
        return true;
    }

    @Override // k.c.c
    public void onComplete() {
        if (decrementAndGet() == 0) {
            Throwable terminate = this.errors.terminate();
            if (terminate != null) {
                this.downstream.onError(terminate);
            } else {
                this.downstream.onComplete();
            }
        } else if (this.maxConcurrency != Integer.MAX_VALUE) {
            this.upstream.request(1);
        }
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        if (!this.errors.addThrowable(th)) {
            d.l.b.g.g.b.q0(th);
        } else if (!this.delayErrors) {
            cancel();
            if (getAndSet(0) > 0) {
                this.downstream.onError(this.errors.terminate());
            }
        } else if (decrementAndGet() == 0) {
            this.downstream.onError(this.errors.terminate());
        } else if (this.maxConcurrency != Integer.MAX_VALUE) {
            this.upstream.request(1);
        }
    }

    @Override // k.c.c
    public void onNext(T t) {
        try {
            Object apply = this.mapper.apply(t);
            Objects.requireNonNull(apply, "The mapper returned a null CompletableSource");
            e eVar = (e) apply;
            getAndIncrement();
            InnerConsumer innerConsumer = new InnerConsumer();
            if (!this.cancelled && this.set.c(innerConsumer)) {
                eVar.a(innerConsumer);
            }
        } catch (Throwable th) {
            d.l.b.g.g.b.D0(th);
            this.upstream.cancel();
            onError(th);
        }
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            this.downstream.onSubscribe(this);
            int i2 = this.maxConcurrency;
            if (i2 == Integer.MAX_VALUE) {
                dVar.request(Long.MAX_VALUE);
            } else {
                dVar.request((long) i2);
            }
        }
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public T poll() {
        return null;
    }

    @Override // k.c.d, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public void request(long j2) {
    }

    @Override // f.a.c0.c.c, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public int requestFusion(int i2) {
        return i2 & 2;
    }
}
