package io.reactivex.internal.operators.flowable;

import f.a.b0.h;
import f.a.c0.f.a;
import f.a.g;
import f.a.j;
import f.a.w;
import f.a.x;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import io.reactivex.internal.util.AtomicThrowable;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;
import java.util.concurrent.atomic.AtomicReference;
import k.c.c;
import k.c.d;

public final class FlowableFlatMapSingle$FlatMapSingleSubscriber<T, R> extends AtomicInteger implements j<T>, d {
    private static final long serialVersionUID = 8600231336733376951L;
    public final AtomicInteger active = new AtomicInteger(1);
    public volatile boolean cancelled;
    public final boolean delayErrors;
    public final c<? super R> downstream;
    public final AtomicThrowable errors = new AtomicThrowable();
    public final h<? super T, ? extends x<? extends R>> mapper;
    public final int maxConcurrency;
    public final AtomicReference<a<R>> queue = new AtomicReference<>();
    public final AtomicLong requested = new AtomicLong();
    public final f.a.z.a set = new f.a.z.a();
    public d upstream;

    public final class InnerObserver extends AtomicReference<b> implements w<R>, b {
        private static final long serialVersionUID = -502562646270949838L;

        public InnerObserver() {
        }

        @Override // f.a.z.b
        public void dispose() {
            DisposableHelper.dispose(this);
        }

        @Override // f.a.z.b
        public boolean isDisposed() {
            return DisposableHelper.isDisposed((b) get());
        }

        @Override // f.a.w
        public void onError(Throwable th) {
            FlowableFlatMapSingle$FlatMapSingleSubscriber.this.innerError(this, th);
        }

        @Override // f.a.w
        public void onSubscribe(b bVar) {
            DisposableHelper.setOnce(this, bVar);
        }

        @Override // f.a.w
        public void onSuccess(R r) {
            FlowableFlatMapSingle$FlatMapSingleSubscriber.this.innerSuccess(this, r);
        }
    }

    public FlowableFlatMapSingle$FlatMapSingleSubscriber(c<? super R> cVar, h<? super T, ? extends x<? extends R>> hVar, boolean z, int i2) {
        this.downstream = cVar;
        this.mapper = hVar;
        this.delayErrors = z;
        this.maxConcurrency = i2;
    }

    @Override // k.c.d
    public void cancel() {
        this.cancelled = true;
        this.upstream.cancel();
        this.set.dispose();
    }

    public void clear() {
        a<R> aVar = this.queue.get();
        if (aVar != null) {
            aVar.clear();
        }
    }

    public void drain() {
        if (getAndIncrement() == 0) {
            drainLoop();
        }
    }

    public void drainLoop() {
        boolean z;
        int i2;
        c<? super R> cVar = this.downstream;
        AtomicInteger atomicInteger = this.active;
        AtomicReference<a<R>> atomicReference = this.queue;
        int i3 = 1;
        do {
            long j2 = this.requested.get();
            long j3 = 0;
            while (true) {
                z = false;
                i2 = (j3 > j2 ? 1 : (j3 == j2 ? 0 : -1));
                if (i2 == 0) {
                    break;
                } else if (this.cancelled) {
                    clear();
                    return;
                } else if (this.delayErrors || ((Throwable) this.errors.get()) == null) {
                    boolean z2 = atomicInteger.get() == 0;
                    a<R> aVar = atomicReference.get();
                    R poll = aVar != null ? aVar.poll() : null;
                    boolean z3 = poll == null;
                    if (z2 && z3) {
                        Throwable terminate = this.errors.terminate();
                        if (terminate != null) {
                            cVar.onError(terminate);
                            return;
                        } else {
                            cVar.onComplete();
                            return;
                        }
                    } else if (z3) {
                        break;
                    } else {
                        cVar.onNext(poll);
                        j3++;
                    }
                } else {
                    Throwable terminate2 = this.errors.terminate();
                    clear();
                    cVar.onError(terminate2);
                    return;
                }
            }
            if (i2 == 0) {
                if (this.cancelled) {
                    clear();
                    return;
                } else if (this.delayErrors || ((Throwable) this.errors.get()) == null) {
                    boolean z4 = atomicInteger.get() == 0;
                    a<R> aVar2 = atomicReference.get();
                    if (aVar2 == null || aVar2.isEmpty()) {
                        z = true;
                    }
                    if (z4 && z) {
                        Throwable terminate3 = this.errors.terminate();
                        if (terminate3 != null) {
                            cVar.onError(terminate3);
                            return;
                        } else {
                            cVar.onComplete();
                            return;
                        }
                    }
                } else {
                    Throwable terminate4 = this.errors.terminate();
                    clear();
                    cVar.onError(terminate4);
                    return;
                }
            }
            if (j3 != 0) {
                d.l.b.g.g.b.v0(this.requested, j3);
                if (this.maxConcurrency != Integer.MAX_VALUE) {
                    this.upstream.request(j3);
                }
            }
            i3 = addAndGet(-i3);
        } while (i3 != 0);
    }

    public a<R> getOrCreateQueue() {
        a<R> aVar;
        do {
            a<R> aVar2 = this.queue.get();
            if (aVar2 != null) {
                return aVar2;
            }
            aVar = new a<>(g.f13146d);
        } while (!this.queue.compareAndSet(null, aVar));
        return aVar;
    }

    public void innerError(FlowableFlatMapSingle$FlatMapSingleSubscriber<T, R>.InnerObserver innerObserver, Throwable th) {
        this.set.a(innerObserver);
        if (this.errors.addThrowable(th)) {
            if (!this.delayErrors) {
                this.upstream.cancel();
                this.set.dispose();
            } else if (this.maxConcurrency != Integer.MAX_VALUE) {
                this.upstream.request(1);
            }
            this.active.decrementAndGet();
            drain();
            return;
        }
        d.l.b.g.g.b.q0(th);
    }

    public void innerSuccess(FlowableFlatMapSingle$FlatMapSingleSubscriber<T, R>.InnerObserver innerObserver, R r) {
        this.set.a(innerObserver);
        if (get() == 0) {
            boolean z = false;
            if (compareAndSet(0, 1)) {
                if (this.active.decrementAndGet() == 0) {
                    z = true;
                }
                if (this.requested.get() != 0) {
                    this.downstream.onNext(r);
                    a<R> aVar = this.queue.get();
                    if (!z || (aVar != null && !aVar.isEmpty())) {
                        d.l.b.g.g.b.v0(this.requested, 1);
                        if (this.maxConcurrency != Integer.MAX_VALUE) {
                            this.upstream.request(1);
                        }
                    } else {
                        Throwable terminate = this.errors.terminate();
                        if (terminate != null) {
                            this.downstream.onError(terminate);
                            return;
                        } else {
                            this.downstream.onComplete();
                            return;
                        }
                    }
                } else {
                    a<R> orCreateQueue = getOrCreateQueue();
                    synchronized (orCreateQueue) {
                        orCreateQueue.offer(r);
                    }
                }
                if (decrementAndGet() == 0) {
                    return;
                }
                drainLoop();
            }
        }
        a<R> orCreateQueue2 = getOrCreateQueue();
        synchronized (orCreateQueue2) {
            orCreateQueue2.offer(r);
        }
        this.active.decrementAndGet();
        if (getAndIncrement() != 0) {
            return;
        }
        drainLoop();
    }

    @Override // k.c.c
    public void onComplete() {
        this.active.decrementAndGet();
        drain();
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        this.active.decrementAndGet();
        if (this.errors.addThrowable(th)) {
            if (!this.delayErrors) {
                this.set.dispose();
            }
            drain();
            return;
        }
        d.l.b.g.g.b.q0(th);
    }

    @Override // k.c.c
    public void onNext(T t) {
        try {
            Object apply = this.mapper.apply(t);
            Objects.requireNonNull(apply, "The mapper returned a null SingleSource");
            x xVar = (x) apply;
            this.active.getAndIncrement();
            InnerObserver innerObserver = new InnerObserver();
            if (!this.cancelled && this.set.c(innerObserver)) {
                xVar.a(innerObserver);
            }
        } catch (Throwable th) {
            d.l.b.g.g.b.D0(th);
            this.upstream.cancel();
            onError(th);
        }
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            this.downstream.onSubscribe(this);
            int i2 = this.maxConcurrency;
            if (i2 == Integer.MAX_VALUE) {
                dVar.request(Long.MAX_VALUE);
            } else {
                dVar.request((long) i2);
            }
        }
    }

    @Override // k.c.d
    public void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            d.l.b.g.g.b.b(this.requested, j2);
            drain();
        }
    }
}
