package io.reactivex.internal.operators.flowable;

import k.c.c;

public final class FlowableFromArray$ArraySubscription<T> extends FlowableFromArray$BaseArraySubscription<T> {
    private static final long serialVersionUID = 2587302975077663557L;
    public final c<? super T> downstream;

    public FlowableFromArray$ArraySubscription(c<? super T> cVar, T[] tArr) {
        super(tArr);
        this.downstream = cVar;
    }

    @Override // io.reactivex.internal.operators.flowable.FlowableFromArray$BaseArraySubscription
    public void fastPath() {
        T[] tArr = this.array;
        int length = tArr.length;
        c<? super T> cVar = this.downstream;
        for (int i2 = this.index; i2 != length; i2++) {
            if (!this.cancelled) {
                T t = tArr[i2];
                if (t == null) {
                    cVar.onError(new NullPointerException("array element is null"));
                    return;
                } else {
                    cVar.onNext(t);
                }
            } else {
                return;
            }
        }
        if (!this.cancelled) {
            cVar.onComplete();
        }
    }

    @Override // io.reactivex.internal.operators.flowable.FlowableFromArray$BaseArraySubscription
    public void slowPath(long j2) {
        T[] tArr = this.array;
        int length = tArr.length;
        int i2 = this.index;
        c<? super T> cVar = this.downstream;
        do {
            long j3 = 0;
            while (true) {
                if (j3 == j2 || i2 == length) {
                    if (i2 != length) {
                        j2 = get();
                        if (j3 == j2) {
                            this.index = i2;
                            j2 = addAndGet(-j3);
                        }
                    } else if (!this.cancelled) {
                        cVar.onComplete();
                        return;
                    } else {
                        return;
                    }
                } else if (!this.cancelled) {
                    T t = tArr[i2];
                    if (t == null) {
                        cVar.onError(new NullPointerException("array element is null"));
                        return;
                    }
                    cVar.onNext(t);
                    j3++;
                    i2++;
                } else {
                    return;
                }
            }
        } while (j2 != 0);
    }
}
