package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import io.reactivex.internal.subscriptions.BasicQueueSubscription;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.Objects;

public abstract class FlowableFromArray$BaseArraySubscription<T> extends BasicQueueSubscription<T> {
    private static final long serialVersionUID = -2252972430506210021L;
    public final T[] array;
    public volatile boolean cancelled;
    public int index;

    public FlowableFromArray$BaseArraySubscription(T[] tArr) {
        this.array = tArr;
    }

    @Override // io.reactivex.internal.subscriptions.BasicQueueSubscription, k.c.d
    public final void cancel() {
        this.cancelled = true;
    }

    @Override // io.reactivex.internal.subscriptions.BasicQueueSubscription, f.a.c0.c.g
    public final void clear() {
        this.index = this.array.length;
    }

    public abstract void fastPath();

    @Override // io.reactivex.internal.subscriptions.BasicQueueSubscription, f.a.c0.c.g
    public final boolean isEmpty() {
        return this.index == this.array.length;
    }

    @Override // io.reactivex.internal.subscriptions.BasicQueueSubscription, f.a.c0.c.g
    public final T poll() {
        int i2 = this.index;
        T[] tArr = this.array;
        if (i2 == tArr.length) {
            return null;
        }
        this.index = i2 + 1;
        T t = tArr[i2];
        Objects.requireNonNull(t, "array element is null");
        return t;
    }

    @Override // io.reactivex.internal.subscriptions.BasicQueueSubscription, k.c.d
    public final void request(long j2) {
        if (SubscriptionHelper.validate(j2) && b.b(this, j2) == 0) {
            if (j2 == Long.MAX_VALUE) {
                fastPath();
            } else {
                slowPath(j2);
            }
        }
    }

    @Override // f.a.c0.c.c, io.reactivex.internal.subscriptions.BasicQueueSubscription
    public final int requestFusion(int i2) {
        return i2 & 1;
    }

    public abstract void slowPath(long j2);
}
