package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import io.reactivex.internal.subscriptions.BasicQueueSubscription;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.Iterator;
import java.util.Objects;

public abstract class FlowableFromIterable$BaseRangeSubscription<T> extends BasicQueueSubscription<T> {
    private static final long serialVersionUID = -2252972430506210021L;
    public volatile boolean cancelled;
    public Iterator<? extends T> it;
    public boolean once;

    public FlowableFromIterable$BaseRangeSubscription(Iterator<? extends T> it2) {
        this.it = it2;
    }

    @Override // io.reactivex.internal.subscriptions.BasicQueueSubscription, k.c.d
    public final void cancel() {
        this.cancelled = true;
    }

    @Override // io.reactivex.internal.subscriptions.BasicQueueSubscription, f.a.c0.c.g
    public final void clear() {
        this.it = null;
    }

    public abstract void fastPath();

    @Override // io.reactivex.internal.subscriptions.BasicQueueSubscription, f.a.c0.c.g
    public final boolean isEmpty() {
        Iterator<? extends T> it2 = this.it;
        return it2 == null || !it2.hasNext();
    }

    @Override // io.reactivex.internal.subscriptions.BasicQueueSubscription, f.a.c0.c.g
    public final T poll() {
        Iterator<? extends T> it2 = this.it;
        if (it2 == null) {
            return null;
        }
        if (!this.once) {
            this.once = true;
        } else if (!it2.hasNext()) {
            return null;
        }
        T t = (T) this.it.next();
        Objects.requireNonNull(t, "Iterator.next() returned a null value");
        return t;
    }

    @Override // io.reactivex.internal.subscriptions.BasicQueueSubscription, k.c.d
    public final void request(long j2) {
        if (SubscriptionHelper.validate(j2) && b.b(this, j2) == 0) {
            if (j2 == Long.MAX_VALUE) {
                fastPath();
            } else {
                slowPath(j2);
            }
        }
    }

    @Override // f.a.c0.c.c, io.reactivex.internal.subscriptions.BasicQueueSubscription
    public final int requestFusion(int i2) {
        return i2 & 1;
    }

    public abstract void slowPath(long j2);
}
