package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import java.util.Iterator;
import k.c.c;

public final class FlowableFromIterable$IteratorSubscription<T> extends FlowableFromIterable$BaseRangeSubscription<T> {
    private static final long serialVersionUID = -6022804456014692607L;
    public final c<? super T> downstream;

    public FlowableFromIterable$IteratorSubscription(c<? super T> cVar, Iterator<? extends T> it) {
        super(it);
        this.downstream = cVar;
    }

    @Override // io.reactivex.internal.operators.flowable.FlowableFromIterable$BaseRangeSubscription
    public void fastPath() {
        Iterator<? extends T> it = this.it;
        c<? super T> cVar = this.downstream;
        while (!this.cancelled) {
            try {
                Object obj = (Object) it.next();
                if (!this.cancelled) {
                    if (obj == 0) {
                        cVar.onError(new NullPointerException("Iterator.next() returned a null value"));
                        return;
                    }
                    cVar.onNext(obj);
                    if (!this.cancelled) {
                        try {
                            if (!it.hasNext()) {
                                if (!this.cancelled) {
                                    cVar.onComplete();
                                    return;
                                }
                                return;
                            }
                        } catch (Throwable th) {
                            b.D0(th);
                            cVar.onError(th);
                            return;
                        }
                    } else {
                        return;
                    }
                } else {
                    return;
                }
            } catch (Throwable th2) {
                b.D0(th2);
                cVar.onError(th2);
                return;
            }
        }
    }

    @Override // io.reactivex.internal.operators.flowable.FlowableFromIterable$BaseRangeSubscription
    public void slowPath(long j2) {
        Iterator<? extends T> it = this.it;
        c<? super T> cVar = this.downstream;
        do {
            long j3 = 0;
            while (true) {
                if (j3 == j2) {
                    j2 = get();
                    if (j3 == j2) {
                        j2 = addAndGet(-j3);
                    }
                } else if (!this.cancelled) {
                    try {
                        Object obj = (Object) it.next();
                        if (!this.cancelled) {
                            if (obj == 0) {
                                cVar.onError(new NullPointerException("Iterator.next() returned a null value"));
                                return;
                            }
                            cVar.onNext(obj);
                            if (!this.cancelled) {
                                try {
                                    if (it.hasNext()) {
                                        j3++;
                                    } else if (!this.cancelled) {
                                        cVar.onComplete();
                                        return;
                                    } else {
                                        return;
                                    }
                                } catch (Throwable th) {
                                    b.D0(th);
                                    cVar.onError(th);
                                    return;
                                }
                            } else {
                                return;
                            }
                        } else {
                            return;
                        }
                    } catch (Throwable th2) {
                        b.D0(th2);
                        cVar.onError(th2);
                        return;
                    }
                } else {
                    return;
                }
            }
        } while (j2 != 0);
    }
}
