package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import f.a.b0.g;
import f.a.f;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.atomic.AtomicLong;
import k.c.c;
import k.c.d;

public final class FlowableGenerate$GeneratorSubscription<T, S> extends AtomicLong implements f<T>, d {
    private static final long serialVersionUID = 7565982551505011832L;
    public volatile boolean cancelled;
    public final g<? super S> disposeState;
    public final c<? super T> downstream;
    public final f.a.b0.c<S, ? super f<T>, S> generator;
    public boolean hasNext;
    public S state;
    public boolean terminate;

    public FlowableGenerate$GeneratorSubscription(c<? super T> cVar, f.a.b0.c<S, ? super f<T>, S> cVar2, g<? super S> gVar, S s) {
        this.downstream = cVar;
        this.generator = cVar2;
        this.disposeState = gVar;
        this.state = s;
    }

    private void dispose(S s) {
        try {
            this.disposeState.accept(s);
        } catch (Throwable th) {
            b.D0(th);
            b.q0(th);
        }
    }

    @Override // k.c.d
    public void cancel() {
        if (!this.cancelled) {
            this.cancelled = true;
            if (b.b(this, 1) == 0) {
                S s = this.state;
                this.state = null;
                dispose(s);
            }
        }
    }

    @Override // f.a.f
    public void onComplete() {
        if (!this.terminate) {
            this.terminate = true;
            this.downstream.onComplete();
        }
    }

    @Override // f.a.f
    public void onError(Throwable th) {
        if (this.terminate) {
            b.q0(th);
            return;
        }
        if (th == null) {
            th = new NullPointerException("onError called with null. Null values are generally not allowed in 2.x operators and sources.");
        }
        this.terminate = true;
        this.downstream.onError(th);
    }

    @Override // f.a.f
    public void onNext(T t) {
        if (this.terminate) {
            return;
        }
        if (this.hasNext) {
            onError(new IllegalStateException("onNext already called in this generate turn"));
        } else if (t == null) {
            onError(new NullPointerException("onNext called with null. Null values are generally not allowed in 2.x operators and sources."));
        } else {
            this.hasNext = true;
            this.downstream.onNext(t);
        }
    }

    @Override // k.c.d
    public void request(long j2) {
        if (SubscriptionHelper.validate(j2) && b.b(this, j2) == 0) {
            S s = this.state;
            f.a.b0.c<S, ? super f<T>, S> cVar = this.generator;
            do {
                long j3 = 0;
                while (true) {
                    if (j3 == j2) {
                        j2 = get();
                        if (j3 == j2) {
                            this.state = s;
                            j2 = addAndGet(-j3);
                        }
                    } else if (this.cancelled) {
                        this.state = null;
                        dispose(s);
                        return;
                    } else {
                        this.hasNext = false;
                        try {
                            s = cVar.apply(s, this);
                            if (this.terminate) {
                                this.cancelled = true;
                                this.state = null;
                                dispose(s);
                                return;
                            }
                            j3++;
                        } catch (Throwable th) {
                            b.D0(th);
                            this.cancelled = true;
                            this.state = null;
                            onError(th);
                            dispose(s);
                            return;
                        }
                    }
                }
            } while (j2 != 0);
        }
    }
}
