package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import f.a.a0.a;
import f.a.b0.h;
import f.a.c0.e.b.e;
import f.a.j;
import io.reactivex.internal.subscriptions.BasicIntQueueSubscription;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.Map;
import java.util.Objects;
import java.util.Queue;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;
import k.c.c;
import k.c.d;

public final class FlowableGroupBy$GroupBySubscriber<T, K, V> extends BasicIntQueueSubscription<a<K, V>> implements j<T> {
    public static final Object NULL_KEY = new Object();
    private static final long serialVersionUID = -3688291656102519502L;
    public final int bufferSize;
    public final AtomicBoolean cancelled = new AtomicBoolean();
    public final boolean delayError;
    public boolean done;
    public final c<? super a<K, V>> downstream;
    public Throwable error;
    public final Queue<e<K, V>> evictedGroups;
    public volatile boolean finished;
    public final AtomicInteger groupCount = new AtomicInteger(1);
    public final Map<Object, e<K, V>> groups;
    public final h<? super T, ? extends K> keySelector;
    public boolean outputFused;
    public final f.a.c0.f.a<a<K, V>> queue;
    public final AtomicLong requested = new AtomicLong();
    public d upstream;
    public final h<? super T, ? extends V> valueSelector;

    public FlowableGroupBy$GroupBySubscriber(c<? super a<K, V>> cVar, h<? super T, ? extends K> hVar, h<? super T, ? extends V> hVar2, int i2, boolean z, Map<Object, e<K, V>> map, Queue<e<K, V>> queue2) {
        this.downstream = cVar;
        this.keySelector = hVar;
        this.valueSelector = hVar2;
        this.bufferSize = i2;
        this.delayError = z;
        this.groups = map;
        this.evictedGroups = queue2;
        this.queue = new f.a.c0.f.a<>(i2);
    }

    private void completeEvictions() {
        if (this.evictedGroups != null) {
            int i2 = 0;
            while (true) {
                e<K, V> poll = this.evictedGroups.poll();
                if (poll == null) {
                    break;
                }
                poll.f12970k.onComplete();
                i2++;
            }
            if (i2 != 0) {
                this.groupCount.addAndGet(-i2);
            }
        }
    }

    @Override // k.c.d, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public void cancel() {
        if (this.cancelled.compareAndSet(false, true)) {
            completeEvictions();
            if (this.groupCount.decrementAndGet() == 0) {
                this.upstream.cancel();
            }
        }
    }

    public boolean checkTerminated(boolean z, boolean z2, c<?> cVar, f.a.c0.f.a<?> aVar) {
        if (this.cancelled.get()) {
            aVar.clear();
            return true;
        } else if (this.delayError) {
            if (!z || !z2) {
                return false;
            }
            Throwable th = this.error;
            if (th != null) {
                cVar.onError(th);
            } else {
                cVar.onComplete();
            }
            return true;
        } else if (!z) {
            return false;
        } else {
            Throwable th2 = this.error;
            if (th2 != null) {
                aVar.clear();
                cVar.onError(th2);
                return true;
            } else if (!z2) {
                return false;
            } else {
                cVar.onComplete();
                return true;
            }
        }
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public void clear() {
        this.queue.clear();
    }

    public void drain() {
        if (getAndIncrement() == 0) {
            if (this.outputFused) {
                drainFused();
            } else {
                drainNormal();
            }
        }
    }

    public void drainFused() {
        Throwable th;
        f.a.c0.f.a<a<K, V>> aVar = this.queue;
        c<? super a<K, V>> cVar = this.downstream;
        int i2 = 1;
        while (!this.cancelled.get()) {
            boolean z = this.finished;
            if (!z || this.delayError || (th = this.error) == null) {
                cVar.onNext(null);
                if (z) {
                    Throwable th2 = this.error;
                    if (th2 != null) {
                        cVar.onError(th2);
                        return;
                    } else {
                        cVar.onComplete();
                        return;
                    }
                } else {
                    i2 = addAndGet(-i2);
                    if (i2 == 0) {
                        return;
                    }
                }
            } else {
                aVar.clear();
                cVar.onError(th);
                return;
            }
        }
        aVar.clear();
    }

    public void drainNormal() {
        int i2;
        f.a.c0.f.a<a<K, V>> aVar = this.queue;
        c<? super a<K, V>> cVar = this.downstream;
        int i3 = 1;
        do {
            long j2 = this.requested.get();
            long j3 = 0;
            while (true) {
                i2 = (j3 > j2 ? 1 : (j3 == j2 ? 0 : -1));
                if (i2 == 0) {
                    break;
                }
                boolean z = this.finished;
                a<K, V> poll = aVar.poll();
                boolean z2 = poll == null;
                if (!checkTerminated(z, z2, cVar, aVar)) {
                    if (z2) {
                        break;
                    }
                    cVar.onNext(poll);
                    j3++;
                } else {
                    return;
                }
            }
            if (i2 != 0 || !checkTerminated(this.finished, aVar.isEmpty(), cVar, aVar)) {
                if (j3 != 0) {
                    if (j2 != Long.MAX_VALUE) {
                        this.requested.addAndGet(-j3);
                    }
                    this.upstream.request(j3);
                }
                i3 = addAndGet(-i3);
            } else {
                return;
            }
        } while (i3 != 0);
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public boolean isEmpty() {
        return this.queue.isEmpty();
    }

    @Override // k.c.c
    public void onComplete() {
        if (!this.done) {
            for (e<K, V> eVar : this.groups.values()) {
                eVar.f12970k.onComplete();
            }
            this.groups.clear();
            Queue<e<K, V>> queue2 = this.evictedGroups;
            if (queue2 != null) {
                queue2.clear();
            }
            this.done = true;
            this.finished = true;
            drain();
        }
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        if (this.done) {
            b.q0(th);
            return;
        }
        this.done = true;
        for (e<K, V> eVar : this.groups.values()) {
            eVar.f12970k.onError(th);
        }
        this.groups.clear();
        Queue<e<K, V>> queue2 = this.evictedGroups;
        if (queue2 != null) {
            queue2.clear();
        }
        this.error = th;
        this.finished = true;
        drain();
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v4, resolved type: io.reactivex.internal.operators.flowable.FlowableGroupBy$State<T, K> */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // k.c.c
    public void onNext(T t) {
        Object obj;
        if (!this.done) {
            f.a.c0.f.a<a<K, V>> aVar = this.queue;
            try {
                Object apply = this.keySelector.apply(t);
                boolean z = false;
                if (apply != null) {
                    obj = apply;
                } else {
                    obj = NULL_KEY;
                }
                e<K, V> eVar = this.groups.get(obj);
                if (eVar == null) {
                    if (!this.cancelled.get()) {
                        int i2 = this.bufferSize;
                        boolean z2 = this.delayError;
                        int i3 = e.f12969j;
                        eVar = new e<>(apply, new FlowableGroupBy$State(i2, this, apply, z2));
                        this.groups.put(obj, eVar);
                        this.groupCount.getAndIncrement();
                        z = true;
                    } else {
                        return;
                    }
                }
                try {
                    Object apply2 = this.valueSelector.apply(t);
                    Objects.requireNonNull(apply2, "The valueSelector returned null");
                    eVar.f12970k.onNext(apply2);
                    completeEvictions();
                    if (z) {
                        aVar.offer(eVar);
                        drain();
                    }
                } catch (Throwable th) {
                    b.D0(th);
                    this.upstream.cancel();
                    onError(th);
                }
            } catch (Throwable th2) {
                b.D0(th2);
                this.upstream.cancel();
                onError(th2);
            }
        }
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            this.downstream.onSubscribe(this);
            dVar.request((long) this.bufferSize);
        }
    }

    @Override // k.c.d, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            b.b(this.requested, j2);
            drain();
        }
    }

    @Override // f.a.c0.c.c, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public int requestFusion(int i2) {
        if ((i2 & 2) == 0) {
            return 0;
        }
        this.outputFused = true;
        return 2;
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public a<K, V> poll() {
        return this.queue.poll();
    }

    public void cancel(K k2) {
        if (k2 == null) {
            k2 = (K) NULL_KEY;
        }
        this.groups.remove(k2);
        if (this.groupCount.decrementAndGet() == 0) {
            this.upstream.cancel();
            if (getAndIncrement() == 0) {
                this.queue.clear();
            }
        }
    }
}
