package io.reactivex.internal.operators.flowable;

import d.a.a.a.a;
import f.a.z.b;
import io.reactivex.exceptions.MissingBackpressureException;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.atomic.AtomicLong;
import java.util.concurrent.atomic.AtomicReference;
import k.c.c;
import k.c.d;

public final class FlowableIntervalRange$IntervalRangeSubscriber extends AtomicLong implements d, Runnable {
    private static final long serialVersionUID = -2809475196591179431L;
    public long count;
    public final c<? super Long> downstream;
    public final long end;
    public final AtomicReference<b> resource = new AtomicReference<>();

    public FlowableIntervalRange$IntervalRangeSubscriber(c<? super Long> cVar, long j2, long j3) {
        this.downstream = cVar;
        this.count = j2;
        this.end = j3;
    }

    @Override // k.c.d
    public void cancel() {
        DisposableHelper.dispose(this.resource);
    }

    @Override // k.c.d
    public void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            d.l.b.g.g.b.b(this, j2);
        }
    }

    public void run() {
        b bVar = this.resource.get();
        DisposableHelper disposableHelper = DisposableHelper.DISPOSED;
        if (bVar != disposableHelper) {
            long j2 = get();
            if (j2 != 0) {
                long j3 = this.count;
                this.downstream.onNext(Long.valueOf(j3));
                if (j3 == this.end) {
                    if (this.resource.get() != disposableHelper) {
                        this.downstream.onComplete();
                    }
                    DisposableHelper.dispose(this.resource);
                    return;
                }
                this.count = j3 + 1;
                if (j2 != Long.MAX_VALUE) {
                    decrementAndGet();
                    return;
                }
                return;
            }
            c<? super Long> cVar = this.downstream;
            StringBuilder B = a.B("Can't deliver value ");
            B.append(this.count);
            B.append(" due to lack of requests");
            cVar.onError(new MissingBackpressureException(B.toString()));
            DisposableHelper.dispose(this.resource);
        }
    }

    public void setResource(b bVar) {
        DisposableHelper.setOnce(this.resource, bVar);
    }
}
