package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import f.a.j;
import io.reactivex.internal.subscriptions.EmptySubscription;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.atomic.AtomicLong;
import k.c.c;
import k.c.d;

public final class FlowableLimit$LimitSubscriber<T> extends AtomicLong implements j<T>, d {
    private static final long serialVersionUID = 2288246011222124525L;
    public final c<? super T> downstream;
    public long remaining;
    public d upstream;

    public FlowableLimit$LimitSubscriber(c<? super T> cVar, long j2) {
        this.downstream = cVar;
        this.remaining = j2;
        lazySet(j2);
    }

    @Override // k.c.d
    public void cancel() {
        this.upstream.cancel();
    }

    @Override // k.c.c
    public void onComplete() {
        if (this.remaining > 0) {
            this.remaining = 0;
            this.downstream.onComplete();
        }
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        if (this.remaining > 0) {
            this.remaining = 0;
            this.downstream.onError(th);
            return;
        }
        b.q0(th);
    }

    @Override // k.c.c
    public void onNext(T t) {
        long j2 = this.remaining;
        if (j2 > 0) {
            long j3 = j2 - 1;
            this.remaining = j3;
            this.downstream.onNext(t);
            if (j3 == 0) {
                this.upstream.cancel();
                this.downstream.onComplete();
            }
        }
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (!SubscriptionHelper.validate(this.upstream, dVar)) {
            return;
        }
        if (this.remaining == 0) {
            dVar.cancel();
            EmptySubscription.complete(this.downstream);
            return;
        }
        this.upstream = dVar;
        this.downstream.onSubscribe(this);
    }

    @Override // k.c.d
    public void request(long j2) {
        long j3;
        long j4;
        if (SubscriptionHelper.validate(j2)) {
            do {
                j3 = get();
                if (j3 != 0) {
                    j4 = j3 <= j2 ? j3 : j2;
                } else {
                    return;
                }
            } while (!compareAndSet(j3, j3 - j4));
            this.upstream.request(j4);
        }
    }
}
