package io.reactivex.internal.operators.flowable;

import f.a.j;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import io.reactivex.internal.util.AtomicThrowable;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;
import java.util.concurrent.atomic.AtomicReference;
import k.c.c;
import k.c.d;

public final class FlowableMergeWithCompletable$MergeWithSubscriber<T> extends AtomicInteger implements j<T>, d {
    private static final long serialVersionUID = -4592979584110982903L;
    public final c<? super T> downstream;
    public final AtomicThrowable error = new AtomicThrowable();
    public volatile boolean mainDone;
    public final AtomicReference<d> mainSubscription = new AtomicReference<>();
    public volatile boolean otherDone;
    public final OtherObserver otherObserver = new OtherObserver(this);
    public final AtomicLong requested = new AtomicLong();

    public static final class OtherObserver extends AtomicReference<b> implements f.a.c {
        private static final long serialVersionUID = -2935427570954647017L;
        public final FlowableMergeWithCompletable$MergeWithSubscriber<?> parent;

        public OtherObserver(FlowableMergeWithCompletable$MergeWithSubscriber<?> flowableMergeWithCompletable$MergeWithSubscriber) {
            this.parent = flowableMergeWithCompletable$MergeWithSubscriber;
        }

        @Override // f.a.c
        public void onComplete() {
            this.parent.otherComplete();
        }

        @Override // f.a.c
        public void onError(Throwable th) {
            this.parent.otherError(th);
        }

        @Override // f.a.c
        public void onSubscribe(b bVar) {
            DisposableHelper.setOnce(this, bVar);
        }
    }

    public FlowableMergeWithCompletable$MergeWithSubscriber(c<? super T> cVar) {
        this.downstream = cVar;
    }

    @Override // k.c.d
    public void cancel() {
        SubscriptionHelper.cancel(this.mainSubscription);
        DisposableHelper.dispose(this.otherObserver);
    }

    @Override // k.c.c
    public void onComplete() {
        this.mainDone = true;
        if (this.otherDone) {
            d.l.b.g.g.b.o0(this.downstream, this, this.error);
        }
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        SubscriptionHelper.cancel(this.mainSubscription);
        d.l.b.g.g.b.r0(this.downstream, th, this, this.error);
    }

    @Override // k.c.c
    public void onNext(T t) {
        d.l.b.g.g.b.t0(this.downstream, t, this, this.error);
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        SubscriptionHelper.deferredSetOnce(this.mainSubscription, this.requested, dVar);
    }

    public void otherComplete() {
        this.otherDone = true;
        if (this.mainDone) {
            d.l.b.g.g.b.o0(this.downstream, this, this.error);
        }
    }

    public void otherError(Throwable th) {
        SubscriptionHelper.cancel(this.mainSubscription);
        d.l.b.g.g.b.r0(this.downstream, th, this, this.error);
    }

    @Override // k.c.d
    public void request(long j2) {
        SubscriptionHelper.deferredRequest(this.mainSubscription, this.requested, j2);
    }
}
