package io.reactivex.internal.operators.flowable;

import f.a.c0.c.f;
import f.a.g;
import f.a.j;
import f.a.l;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.queue.SpscArrayQueue;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import io.reactivex.internal.util.AtomicThrowable;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;
import java.util.concurrent.atomic.AtomicReference;
import k.c.c;
import k.c.d;

public final class FlowableMergeWithMaybe$MergeWithObserver<T> extends AtomicInteger implements j<T>, d {
    public static final int OTHER_STATE_CONSUMED_OR_EMPTY = 2;
    public static final int OTHER_STATE_HAS_VALUE = 1;
    private static final long serialVersionUID = -4592979584110982903L;
    public volatile boolean cancelled;
    public int consumed;
    public final c<? super T> downstream;
    public long emitted;
    public final AtomicThrowable error = new AtomicThrowable();
    public final int limit;
    public volatile boolean mainDone;
    public final AtomicReference<d> mainSubscription = new AtomicReference<>();
    public final OtherObserver<T> otherObserver = new OtherObserver<>(this);
    public volatile int otherState;
    public final int prefetch;
    public volatile f<T> queue;
    public final AtomicLong requested = new AtomicLong();
    public T singleItem;

    public static final class OtherObserver<T> extends AtomicReference<b> implements l<T> {
        private static final long serialVersionUID = -2935427570954647017L;
        public final FlowableMergeWithMaybe$MergeWithObserver<T> parent;

        public OtherObserver(FlowableMergeWithMaybe$MergeWithObserver<T> flowableMergeWithMaybe$MergeWithObserver) {
            this.parent = flowableMergeWithMaybe$MergeWithObserver;
        }

        @Override // f.a.l
        public void onComplete() {
            this.parent.otherComplete();
        }

        @Override // f.a.l
        public void onError(Throwable th) {
            this.parent.otherError(th);
        }

        @Override // f.a.l
        public void onSubscribe(b bVar) {
            DisposableHelper.setOnce(this, bVar);
        }

        @Override // f.a.l
        public void onSuccess(T t) {
            this.parent.otherSuccess(t);
        }
    }

    public FlowableMergeWithMaybe$MergeWithObserver(c<? super T> cVar) {
        this.downstream = cVar;
        int i2 = g.f13146d;
        this.prefetch = i2;
        this.limit = i2 - (i2 >> 2);
    }

    @Override // k.c.d
    public void cancel() {
        this.cancelled = true;
        SubscriptionHelper.cancel(this.mainSubscription);
        DisposableHelper.dispose(this.otherObserver);
        if (getAndIncrement() == 0) {
            this.queue = null;
            this.singleItem = null;
        }
    }

    public void drain() {
        if (getAndIncrement() == 0) {
            drainLoop();
        }
    }

    public void drainLoop() {
        int i2;
        c<? super T> cVar = this.downstream;
        long j2 = this.emitted;
        int i3 = this.consumed;
        int i4 = this.limit;
        int i5 = 1;
        int i6 = 1;
        while (true) {
            long j3 = this.requested.get();
            while (true) {
                i2 = (j2 > j3 ? 1 : (j2 == j3 ? 0 : -1));
                if (i2 == 0) {
                    break;
                } else if (this.cancelled) {
                    this.singleItem = null;
                    this.queue = null;
                    return;
                } else if (this.error.get() != null) {
                    this.singleItem = null;
                    this.queue = null;
                    cVar.onError(this.error.terminate());
                    return;
                } else {
                    int i7 = this.otherState;
                    if (i7 == i5) {
                        T t = this.singleItem;
                        this.singleItem = null;
                        this.otherState = 2;
                        cVar.onNext(t);
                        j2++;
                    } else {
                        boolean z = this.mainDone;
                        f<T> fVar = this.queue;
                        T poll = fVar != null ? fVar.poll() : null;
                        boolean z2 = poll == null;
                        if (z && z2 && i7 == 2) {
                            this.queue = null;
                            cVar.onComplete();
                            return;
                        } else if (z2) {
                            break;
                        } else {
                            cVar.onNext(poll);
                            j2++;
                            i3++;
                            if (i3 == i4) {
                                this.mainSubscription.get().request((long) i4);
                                i3 = 0;
                            }
                            i5 = 1;
                        }
                    }
                }
            }
            if (i2 == 0) {
                if (this.cancelled) {
                    this.singleItem = null;
                    this.queue = null;
                    return;
                } else if (this.error.get() != null) {
                    this.singleItem = null;
                    this.queue = null;
                    cVar.onError(this.error.terminate());
                    return;
                } else {
                    boolean z3 = this.mainDone;
                    f<T> fVar2 = this.queue;
                    boolean z4 = fVar2 == null || fVar2.isEmpty();
                    if (z3 && z4 && this.otherState == 2) {
                        this.queue = null;
                        cVar.onComplete();
                        return;
                    }
                }
            }
            this.emitted = j2;
            this.consumed = i3;
            i6 = addAndGet(-i6);
            if (i6 != 0) {
                i5 = 1;
            } else {
                return;
            }
        }
    }

    public f<T> getOrCreateQueue() {
        f<T> fVar = this.queue;
        if (fVar != null) {
            return fVar;
        }
        SpscArrayQueue spscArrayQueue = new SpscArrayQueue(g.f13146d);
        this.queue = spscArrayQueue;
        return spscArrayQueue;
    }

    @Override // k.c.c
    public void onComplete() {
        this.mainDone = true;
        drain();
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        if (this.error.addThrowable(th)) {
            SubscriptionHelper.cancel(this.mainSubscription);
            drain();
            return;
        }
        d.l.b.g.g.b.q0(th);
    }

    @Override // k.c.c
    public void onNext(T t) {
        if (compareAndSet(0, 1)) {
            long j2 = this.emitted;
            if (this.requested.get() != j2) {
                f<T> fVar = this.queue;
                if (fVar == null || fVar.isEmpty()) {
                    this.emitted = j2 + 1;
                    this.downstream.onNext(t);
                    int i2 = this.consumed + 1;
                    if (i2 == this.limit) {
                        this.consumed = 0;
                        this.mainSubscription.get().request((long) i2);
                    } else {
                        this.consumed = i2;
                    }
                } else {
                    fVar.offer(t);
                }
            } else {
                getOrCreateQueue().offer(t);
            }
            if (decrementAndGet() == 0) {
                return;
            }
        } else {
            getOrCreateQueue().offer(t);
            if (getAndIncrement() != 0) {
                return;
            }
        }
        drainLoop();
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        SubscriptionHelper.setOnce(this.mainSubscription, dVar, (long) this.prefetch);
    }

    public void otherComplete() {
        this.otherState = 2;
        drain();
    }

    public void otherError(Throwable th) {
        if (this.error.addThrowable(th)) {
            SubscriptionHelper.cancel(this.mainSubscription);
            drain();
            return;
        }
        d.l.b.g.g.b.q0(th);
    }

    public void otherSuccess(T t) {
        if (compareAndSet(0, 1)) {
            long j2 = this.emitted;
            if (this.requested.get() != j2) {
                this.emitted = j2 + 1;
                this.downstream.onNext(t);
                this.otherState = 2;
            } else {
                this.singleItem = t;
                this.otherState = 1;
                if (decrementAndGet() == 0) {
                    return;
                }
            }
        } else {
            this.singleItem = t;
            this.otherState = 1;
            if (getAndIncrement() != 0) {
                return;
            }
        }
        drainLoop();
    }

    @Override // k.c.d
    public void request(long j2) {
        d.l.b.g.g.b.b(this.requested, j2);
        drain();
    }
}
