package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import f.a.c0.c.g;
import f.a.j;
import f.a.u;
import io.reactivex.exceptions.MissingBackpressureException;
import io.reactivex.internal.subscriptions.BasicIntQueueSubscription;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.atomic.AtomicLong;
import k.c.c;
import k.c.d;

public abstract class FlowableObserveOn$BaseObserveOnSubscriber<T> extends BasicIntQueueSubscription<T> implements j<T>, Runnable {
    private static final long serialVersionUID = -8241002408341274697L;
    public volatile boolean cancelled;
    public final boolean delayError;
    public volatile boolean done;
    public Throwable error;
    public final int limit;
    public boolean outputFused;
    public final int prefetch;
    public long produced;
    public g<T> queue;
    public final AtomicLong requested = new AtomicLong();
    public int sourceMode;
    public d upstream;
    public final u.c worker;

    public FlowableObserveOn$BaseObserveOnSubscriber(u.c cVar, boolean z, int i2) {
        this.worker = cVar;
        this.delayError = z;
        this.prefetch = i2;
        this.limit = i2 - (i2 >> 2);
    }

    @Override // k.c.d, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public final void cancel() {
        if (!this.cancelled) {
            this.cancelled = true;
            this.upstream.cancel();
            this.worker.dispose();
            if (getAndIncrement() == 0) {
                this.queue.clear();
            }
        }
    }

    public final boolean checkTerminated(boolean z, boolean z2, c<?> cVar) {
        if (this.cancelled) {
            clear();
            return true;
        } else if (!z) {
            return false;
        } else {
            if (!this.delayError) {
                Throwable th = this.error;
                if (th != null) {
                    this.cancelled = true;
                    clear();
                    cVar.onError(th);
                    this.worker.dispose();
                    return true;
                } else if (!z2) {
                    return false;
                } else {
                    this.cancelled = true;
                    cVar.onComplete();
                    this.worker.dispose();
                    return true;
                }
            } else if (!z2) {
                return false;
            } else {
                this.cancelled = true;
                Throwable th2 = this.error;
                if (th2 != null) {
                    cVar.onError(th2);
                } else {
                    cVar.onComplete();
                }
                this.worker.dispose();
                return true;
            }
        }
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public final void clear() {
        this.queue.clear();
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public final boolean isEmpty() {
        return this.queue.isEmpty();
    }

    @Override // k.c.c
    public final void onComplete() {
        if (!this.done) {
            this.done = true;
            trySchedule();
        }
    }

    @Override // k.c.c
    public final void onError(Throwable th) {
        if (this.done) {
            b.q0(th);
            return;
        }
        this.error = th;
        this.done = true;
        trySchedule();
    }

    @Override // k.c.c
    public final void onNext(T t) {
        if (!this.done) {
            if (this.sourceMode == 2) {
                trySchedule();
                return;
            }
            if (!this.queue.offer(t)) {
                this.upstream.cancel();
                this.error = new MissingBackpressureException("Queue is full?!");
                this.done = true;
            }
            trySchedule();
        }
    }

    @Override // f.a.j, k.c.c
    public abstract /* synthetic */ void onSubscribe(d dVar);

    @Override // f.a.c0.c.g, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public abstract /* synthetic */ T poll();

    @Override // k.c.d, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public final void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            b.b(this.requested, j2);
            trySchedule();
        }
    }

    @Override // f.a.c0.c.c, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public final int requestFusion(int i2) {
        if ((i2 & 2) == 0) {
            return 0;
        }
        this.outputFused = true;
        return 2;
    }

    public final void run() {
        if (this.outputFused) {
            runBackfused();
        } else if (this.sourceMode == 1) {
            runSync();
        } else {
            runAsync();
        }
    }

    public abstract void runAsync();

    public abstract void runBackfused();

    public abstract void runSync();

    public final void trySchedule() {
        if (getAndIncrement() == 0) {
            this.worker.b(this);
        }
    }
}
