package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import f.a.c0.c.a;
import f.a.c0.c.g;
import f.a.u;
import io.reactivex.internal.queue.SpscArrayQueue;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import k.c.d;

public final class FlowableObserveOn$ObserveOnConditionalSubscriber<T> extends FlowableObserveOn$BaseObserveOnSubscriber<T> {
    private static final long serialVersionUID = 644624475404284533L;
    public long consumed;
    public final a<? super T> downstream;

    public FlowableObserveOn$ObserveOnConditionalSubscriber(a<? super T> aVar, u.c cVar, boolean z, int i2) {
        super(cVar, z, i2);
        this.downstream = aVar;
    }

    @Override // f.a.j, k.c.c, io.reactivex.internal.operators.flowable.FlowableObserveOn$BaseObserveOnSubscriber
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            if (dVar instanceof f.a.c0.c.d) {
                f.a.c0.c.d dVar2 = (f.a.c0.c.d) dVar;
                int requestFusion = dVar2.requestFusion(7);
                if (requestFusion == 1) {
                    this.sourceMode = 1;
                    this.queue = dVar2;
                    this.done = true;
                    this.downstream.onSubscribe(this);
                    return;
                } else if (requestFusion == 2) {
                    this.sourceMode = 2;
                    this.queue = dVar2;
                    this.downstream.onSubscribe(this);
                    dVar.request((long) this.prefetch);
                    return;
                }
            }
            this.queue = new SpscArrayQueue(this.prefetch);
            this.downstream.onSubscribe(this);
            dVar.request((long) this.prefetch);
        }
    }

    @Override // io.reactivex.internal.subscriptions.BasicIntQueueSubscription, io.reactivex.internal.operators.flowable.FlowableObserveOn$BaseObserveOnSubscriber, f.a.c0.c.g
    public T poll() {
        T poll = this.queue.poll();
        if (!(poll == null || this.sourceMode == 1)) {
            long j2 = this.consumed + 1;
            if (j2 == ((long) this.limit)) {
                this.consumed = 0;
                this.upstream.request(j2);
            } else {
                this.consumed = j2;
            }
        }
        return poll;
    }

    @Override // io.reactivex.internal.operators.flowable.FlowableObserveOn$BaseObserveOnSubscriber
    public void runAsync() {
        int i2;
        a<? super T> aVar = this.downstream;
        g<T> gVar = this.queue;
        long j2 = this.produced;
        long j3 = this.consumed;
        int i3 = 1;
        while (true) {
            long j4 = this.requested.get();
            while (true) {
                i2 = (j2 > j4 ? 1 : (j2 == j4 ? 0 : -1));
                if (i2 == 0) {
                    break;
                }
                boolean z = this.done;
                try {
                    T poll = gVar.poll();
                    boolean z2 = poll == null;
                    if (!checkTerminated(z, z2, aVar)) {
                        if (z2) {
                            break;
                        }
                        if (aVar.tryOnNext(poll)) {
                            j2++;
                        }
                        j3++;
                        if (j3 == ((long) this.limit)) {
                            this.upstream.request(j3);
                            j3 = 0;
                        }
                    } else {
                        return;
                    }
                } catch (Throwable th) {
                    b.D0(th);
                    this.cancelled = true;
                    this.upstream.cancel();
                    gVar.clear();
                    aVar.onError(th);
                    this.worker.dispose();
                    return;
                }
            }
            if (i2 != 0 || !checkTerminated(this.done, gVar.isEmpty(), aVar)) {
                int i4 = get();
                if (i3 == i4) {
                    this.produced = j2;
                    this.consumed = j3;
                    i3 = addAndGet(-i3);
                    if (i3 == 0) {
                        return;
                    }
                } else {
                    i3 = i4;
                }
            } else {
                return;
            }
        }
    }

    @Override // io.reactivex.internal.operators.flowable.FlowableObserveOn$BaseObserveOnSubscriber
    public void runBackfused() {
        int i2 = 1;
        while (!this.cancelled) {
            boolean z = this.done;
            this.downstream.onNext(null);
            if (z) {
                this.cancelled = true;
                Throwable th = this.error;
                if (th != null) {
                    this.downstream.onError(th);
                } else {
                    this.downstream.onComplete();
                }
                this.worker.dispose();
                return;
            }
            i2 = addAndGet(-i2);
            if (i2 == 0) {
                return;
            }
        }
    }

    @Override // io.reactivex.internal.operators.flowable.FlowableObserveOn$BaseObserveOnSubscriber
    public void runSync() {
        a<? super T> aVar = this.downstream;
        g<T> gVar = this.queue;
        long j2 = this.produced;
        int i2 = 1;
        while (true) {
            long j3 = this.requested.get();
            while (j2 != j3) {
                try {
                    T poll = gVar.poll();
                    if (!this.cancelled) {
                        if (poll == null) {
                            this.cancelled = true;
                            aVar.onComplete();
                            this.worker.dispose();
                            return;
                        } else if (aVar.tryOnNext(poll)) {
                            j2++;
                        }
                    } else {
                        return;
                    }
                } catch (Throwable th) {
                    b.D0(th);
                    this.cancelled = true;
                    this.upstream.cancel();
                    aVar.onError(th);
                    this.worker.dispose();
                    return;
                }
            }
            if (!this.cancelled) {
                if (gVar.isEmpty()) {
                    this.cancelled = true;
                    aVar.onComplete();
                    this.worker.dispose();
                    return;
                }
                int i3 = get();
                if (i2 == i3) {
                    this.produced = j2;
                    i2 = addAndGet(-i2);
                    if (i2 == 0) {
                        return;
                    }
                } else {
                    i2 = i3;
                }
            } else {
                return;
            }
        }
    }
}
