package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import f.a.b0.g;
import f.a.j;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.atomic.AtomicLong;
import k.c.c;
import k.c.d;

public final class FlowableOnBackpressureDrop$BackpressureDropSubscriber<T> extends AtomicLong implements j<T>, d {
    private static final long serialVersionUID = -6246093802440953054L;
    public boolean done;
    public final c<? super T> downstream;
    public final g<? super T> onDrop;
    public d upstream;

    public FlowableOnBackpressureDrop$BackpressureDropSubscriber(c<? super T> cVar, g<? super T> gVar) {
        this.downstream = cVar;
        this.onDrop = gVar;
    }

    @Override // k.c.d
    public void cancel() {
        this.upstream.cancel();
    }

    @Override // k.c.c
    public void onComplete() {
        if (!this.done) {
            this.done = true;
            this.downstream.onComplete();
        }
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        if (this.done) {
            b.q0(th);
            return;
        }
        this.done = true;
        this.downstream.onError(th);
    }

    @Override // k.c.c
    public void onNext(T t) {
        if (!this.done) {
            if (get() != 0) {
                this.downstream.onNext(t);
                b.v0(this, 1);
                return;
            }
            try {
                this.onDrop.accept(t);
            } catch (Throwable th) {
                b.D0(th);
                cancel();
                onError(th);
            }
        }
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            this.downstream.onSubscribe(this);
            dVar.request(Long.MAX_VALUE);
        }
    }

    @Override // k.c.d
    public void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            b.b(this, j2);
        }
    }
}
