package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import f.a.j;
import io.reactivex.exceptions.MissingBackpressureException;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.atomic.AtomicLong;
import k.c.c;
import k.c.d;

public final class FlowableOnBackpressureError$BackpressureErrorSubscriber<T> extends AtomicLong implements j<T>, d {
    private static final long serialVersionUID = -3176480756392482682L;
    public boolean done;
    public final c<? super T> downstream;
    public d upstream;

    public FlowableOnBackpressureError$BackpressureErrorSubscriber(c<? super T> cVar) {
        this.downstream = cVar;
    }

    @Override // k.c.d
    public void cancel() {
        this.upstream.cancel();
    }

    @Override // k.c.c
    public void onComplete() {
        if (!this.done) {
            this.done = true;
            this.downstream.onComplete();
        }
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        if (this.done) {
            b.q0(th);
            return;
        }
        this.done = true;
        this.downstream.onError(th);
    }

    @Override // k.c.c
    public void onNext(T t) {
        if (!this.done) {
            if (get() != 0) {
                this.downstream.onNext(t);
                b.v0(this, 1);
                return;
            }
            onError(new MissingBackpressureException("could not emit value due to lack of requests"));
        }
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            this.downstream.onSubscribe(this);
            dVar.request(Long.MAX_VALUE);
        }
    }

    @Override // k.c.d
    public void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            b.b(this, j2);
        }
    }
}
