package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import f.a.j;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;
import java.util.concurrent.atomic.AtomicReference;
import k.c.c;
import k.c.d;

public final class FlowableOnBackpressureLatest$BackpressureLatestSubscriber<T> extends AtomicInteger implements j<T>, d {
    private static final long serialVersionUID = 163080509307634843L;
    public volatile boolean cancelled;
    public final AtomicReference<T> current = new AtomicReference<>();
    public volatile boolean done;
    public final c<? super T> downstream;
    public Throwable error;
    public final AtomicLong requested = new AtomicLong();
    public d upstream;

    public FlowableOnBackpressureLatest$BackpressureLatestSubscriber(c<? super T> cVar) {
        this.downstream = cVar;
    }

    @Override // k.c.d
    public void cancel() {
        if (!this.cancelled) {
            this.cancelled = true;
            this.upstream.cancel();
            if (getAndIncrement() == 0) {
                this.current.lazySet(null);
            }
        }
    }

    public boolean checkTerminated(boolean z, boolean z2, c<?> cVar, AtomicReference<T> atomicReference) {
        if (this.cancelled) {
            atomicReference.lazySet(null);
            return true;
        } else if (!z) {
            return false;
        } else {
            Throwable th = this.error;
            if (th != null) {
                atomicReference.lazySet(null);
                cVar.onError(th);
                return true;
            } else if (!z2) {
                return false;
            } else {
                cVar.onComplete();
                return true;
            }
        }
    }

    public void drain() {
        boolean z;
        if (getAndIncrement() == 0) {
            c<? super T> cVar = this.downstream;
            AtomicLong atomicLong = this.requested;
            AtomicReference<T> atomicReference = this.current;
            int i2 = 1;
            do {
                long j2 = 0;
                while (true) {
                    z = false;
                    if (j2 == atomicLong.get()) {
                        break;
                    }
                    boolean z2 = this.done;
                    T andSet = atomicReference.getAndSet(null);
                    boolean z3 = andSet == null;
                    if (!checkTerminated(z2, z3, cVar, atomicReference)) {
                        if (z3) {
                            break;
                        }
                        cVar.onNext(andSet);
                        j2++;
                    } else {
                        return;
                    }
                }
                if (j2 == atomicLong.get()) {
                    boolean z4 = this.done;
                    if (atomicReference.get() == null) {
                        z = true;
                    }
                    if (checkTerminated(z4, z, cVar, atomicReference)) {
                        return;
                    }
                }
                if (j2 != 0) {
                    b.v0(atomicLong, j2);
                }
                i2 = addAndGet(-i2);
            } while (i2 != 0);
        }
    }

    @Override // k.c.c
    public void onComplete() {
        this.done = true;
        drain();
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        this.error = th;
        this.done = true;
        drain();
    }

    @Override // k.c.c
    public void onNext(T t) {
        this.current.lazySet(t);
        drain();
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            this.downstream.onSubscribe(this);
            dVar.request(Long.MAX_VALUE);
        }
    }

    @Override // k.c.d
    public void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            b.b(this.requested, j2);
            drain();
        }
    }
}
