package io.reactivex.internal.operators.flowable;

import f.a.b0.h;
import f.a.j;
import io.reactivex.exceptions.CompositeException;
import io.reactivex.internal.subscriptions.SubscriptionArbiter;
import java.util.Objects;
import k.c.b;
import k.c.c;
import k.c.d;

public final class FlowableOnErrorNext$OnErrorNextSubscriber<T> extends SubscriptionArbiter implements j<T> {
    private static final long serialVersionUID = 4063763155303814625L;
    public final boolean allowFatal;
    public boolean done;
    public final c<? super T> downstream;
    public final h<? super Throwable, ? extends b<? extends T>> nextSupplier;
    public boolean once;
    public long produced;

    public FlowableOnErrorNext$OnErrorNextSubscriber(c<? super T> cVar, h<? super Throwable, ? extends b<? extends T>> hVar, boolean z) {
        super(false);
        this.downstream = cVar;
        this.nextSupplier = hVar;
        this.allowFatal = z;
    }

    @Override // k.c.c
    public void onComplete() {
        if (!this.done) {
            this.done = true;
            this.once = true;
            this.downstream.onComplete();
        }
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        if (!this.once) {
            this.once = true;
            if (!this.allowFatal || (th instanceof Exception)) {
                try {
                    Object apply = this.nextSupplier.apply(th);
                    Objects.requireNonNull(apply, "The nextSupplier returned a null Publisher");
                    b bVar = (b) apply;
                    long j2 = this.produced;
                    if (j2 != 0) {
                        produced(j2);
                    }
                    bVar.subscribe(this);
                } catch (Throwable th2) {
                    d.l.b.g.g.b.D0(th2);
                    this.downstream.onError(new CompositeException(th, th2));
                }
            } else {
                this.downstream.onError(th);
            }
        } else if (this.done) {
            d.l.b.g.g.b.q0(th);
        } else {
            this.downstream.onError(th);
        }
    }

    @Override // k.c.c
    public void onNext(T t) {
        if (!this.done) {
            if (!this.once) {
                this.produced++;
            }
            this.downstream.onNext(t);
        }
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        setSubscription(dVar);
    }
}
