package io.reactivex.internal.operators.flowable;

import f.a.g;
import f.a.j;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicReference;
import k.c.c;
import k.c.d;

public final class FlowableRefCount<T> extends g<T> {

    public static final class RefConnection extends AtomicReference<b> implements Runnable, f.a.b0.g<b> {
        private static final long serialVersionUID = -4552101107598366241L;
        public boolean connected;
        public boolean disconnectedEarly;
        public final FlowableRefCount<?> parent;
        public long subscriberCount;
        public b timer;

        public RefConnection(FlowableRefCount<?> flowableRefCount) {
        }

        public void run() {
            throw null;
        }

        public void accept(b bVar) {
            DisposableHelper.replace(this, bVar);
            throw null;
        }
    }

    public static final class RefCountSubscriber<T> extends AtomicBoolean implements j<T>, d {
        private static final long serialVersionUID = -7419642935409022375L;
        public final RefConnection connection;
        public final c<? super T> downstream;
        public final FlowableRefCount<T> parent;
        public d upstream;

        public RefCountSubscriber(c<? super T> cVar, FlowableRefCount<T> flowableRefCount, RefConnection refConnection) {
            this.downstream = cVar;
            this.connection = refConnection;
        }

        @Override // k.c.d
        public void cancel() {
            this.upstream.cancel();
            if (compareAndSet(false, true)) {
                throw null;
            }
        }

        @Override // k.c.c
        public void onComplete() {
            if (compareAndSet(false, true)) {
                throw null;
            }
        }

        @Override // k.c.c
        public void onError(Throwable th) {
            if (!compareAndSet(false, true)) {
                d.l.b.g.g.b.q0(th);
            } else {
                Objects.requireNonNull(this.parent);
                throw null;
            }
        }

        @Override // k.c.c
        public void onNext(T t) {
            this.downstream.onNext(t);
        }

        @Override // f.a.j, k.c.c
        public void onSubscribe(d dVar) {
            if (SubscriptionHelper.validate(this.upstream, dVar)) {
                this.upstream = dVar;
                this.downstream.onSubscribe(this);
            }
        }

        @Override // k.c.d
        public void request(long j2) {
            this.upstream.request(j2);
        }
    }
}
