package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import f.a.j;
import f.a.u;
import io.reactivex.exceptions.MissingBackpressureException;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.disposables.SequentialDisposable;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicLong;
import java.util.concurrent.atomic.AtomicReference;
import k.c.c;
import k.c.d;

public abstract class FlowableSampleTimed$SampleTimedSubscriber<T> extends AtomicReference<T> implements j<T>, d, Runnable {
    private static final long serialVersionUID = -3517602651313910099L;
    public final c<? super T> downstream;
    public final long period;
    public final AtomicLong requested = new AtomicLong();
    public final u scheduler;
    public final SequentialDisposable timer = new SequentialDisposable();
    public final TimeUnit unit;
    public d upstream;

    public FlowableSampleTimed$SampleTimedSubscriber(c<? super T> cVar, long j2, TimeUnit timeUnit, u uVar) {
        this.downstream = cVar;
        this.period = j2;
        this.unit = timeUnit;
        this.scheduler = uVar;
    }

    @Override // k.c.d
    public void cancel() {
        cancelTimer();
        this.upstream.cancel();
    }

    public void cancelTimer() {
        DisposableHelper.dispose(this.timer);
    }

    public abstract void complete();

    public void emit() {
        Object andSet = getAndSet(null);
        if (andSet == null) {
            return;
        }
        if (this.requested.get() != 0) {
            this.downstream.onNext(andSet);
            b.v0(this.requested, 1);
            return;
        }
        cancel();
        this.downstream.onError(new MissingBackpressureException("Couldn't emit value due to lack of requests!"));
    }

    @Override // k.c.c
    public void onComplete() {
        cancelTimer();
        complete();
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        cancelTimer();
        this.downstream.onError(th);
    }

    @Override // k.c.c
    public void onNext(T t) {
        lazySet(t);
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            this.downstream.onSubscribe(this);
            SequentialDisposable sequentialDisposable = this.timer;
            u uVar = this.scheduler;
            long j2 = this.period;
            sequentialDisposable.replace(uVar.e(this, j2, j2, this.unit));
            dVar.request(Long.MAX_VALUE);
        }
    }

    @Override // k.c.d
    public void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            b.b(this.requested, j2);
        }
    }
}
