package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import f.a.b0.c;
import f.a.c0.c.f;
import f.a.j;
import io.reactivex.internal.queue.SpscArrayQueue;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;
import k.c.d;

public final class FlowableScanSeed$ScanSeedSubscriber<T, R> extends AtomicInteger implements j<T>, d {
    private static final long serialVersionUID = -1776795561228106469L;
    public final c<R, ? super T, R> accumulator;
    public volatile boolean cancelled;
    public int consumed;
    public volatile boolean done;
    public final k.c.c<? super R> downstream;
    public Throwable error;
    public final int limit;
    public final int prefetch;
    public final f<R> queue;
    public final AtomicLong requested = new AtomicLong();
    public d upstream;
    public R value;

    public FlowableScanSeed$ScanSeedSubscriber(k.c.c<? super R> cVar, c<R, ? super T, R> cVar2, R r, int i2) {
        this.downstream = cVar;
        this.accumulator = cVar2;
        this.value = r;
        this.prefetch = i2;
        this.limit = i2 - (i2 >> 2);
        SpscArrayQueue spscArrayQueue = new SpscArrayQueue(i2);
        this.queue = spscArrayQueue;
        spscArrayQueue.offer(r);
    }

    @Override // k.c.d
    public void cancel() {
        this.cancelled = true;
        this.upstream.cancel();
        if (getAndIncrement() == 0) {
            this.queue.clear();
        }
    }

    public void drain() {
        int i2;
        Throwable th;
        if (getAndIncrement() == 0) {
            k.c.c<? super R> cVar = this.downstream;
            f<R> fVar = this.queue;
            int i3 = this.limit;
            int i4 = this.consumed;
            int i5 = 1;
            do {
                long j2 = this.requested.get();
                long j3 = 0;
                while (true) {
                    i2 = (j3 > j2 ? 1 : (j3 == j2 ? 0 : -1));
                    if (i2 == 0) {
                        break;
                    } else if (this.cancelled) {
                        fVar.clear();
                        return;
                    } else {
                        boolean z = this.done;
                        if (!z || (th = this.error) == null) {
                            R poll = fVar.poll();
                            boolean z2 = poll == null;
                            if (z && z2) {
                                cVar.onComplete();
                                return;
                            } else if (z2) {
                                break;
                            } else {
                                cVar.onNext(poll);
                                j3++;
                                i4++;
                                if (i4 == i3) {
                                    this.upstream.request((long) i3);
                                    i4 = 0;
                                }
                            }
                        } else {
                            fVar.clear();
                            cVar.onError(th);
                            return;
                        }
                    }
                }
                if (i2 == 0 && this.done) {
                    Throwable th2 = this.error;
                    if (th2 != null) {
                        fVar.clear();
                        cVar.onError(th2);
                        return;
                    } else if (fVar.isEmpty()) {
                        cVar.onComplete();
                        return;
                    }
                }
                if (j3 != 0) {
                    b.v0(this.requested, j3);
                }
                this.consumed = i4;
                i5 = addAndGet(-i5);
            } while (i5 != 0);
        }
    }

    @Override // k.c.c
    public void onComplete() {
        if (!this.done) {
            this.done = true;
            drain();
        }
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        if (this.done) {
            b.q0(th);
            return;
        }
        this.error = th;
        this.done = true;
        drain();
    }

    @Override // k.c.c
    public void onNext(T t) {
        if (!this.done) {
            try {
                R apply = this.accumulator.apply(this.value, t);
                Objects.requireNonNull(apply, "The accumulator returned a null value");
                this.value = apply;
                this.queue.offer(apply);
                drain();
            } catch (Throwable th) {
                b.D0(th);
                this.upstream.cancel();
                onError(th);
            }
        }
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            this.downstream.onSubscribe(this);
            dVar.request((long) (this.prefetch - 1));
        }
    }

    @Override // k.c.d
    public void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            b.b(this.requested, j2);
            drain();
        }
    }
}
