package io.reactivex.internal.operators.flowable;

import f.a.c0.c.g;
import f.a.j;
import io.reactivex.exceptions.MissingBackpressureException;
import io.reactivex.internal.queue.SpscArrayQueue;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.atomic.AtomicReference;
import k.c.d;

public final class FlowableSequenceEqual$EqualSubscriber<T> extends AtomicReference<d> implements j<T> {
    private static final long serialVersionUID = 4804128302091633067L;
    public volatile boolean done;
    public final int limit;
    public final f.a.c0.e.b.j parent;
    public final int prefetch;
    public long produced;
    public volatile g<T> queue;
    public int sourceMode;

    public FlowableSequenceEqual$EqualSubscriber(f.a.c0.e.b.j jVar, int i2) {
        this.parent = jVar;
        this.limit = i2 - (i2 >> 2);
        this.prefetch = i2;
    }

    public void cancel() {
        SubscriptionHelper.cancel(this);
    }

    public void clear() {
        g<T> gVar = this.queue;
        if (gVar != null) {
            gVar.clear();
        }
    }

    @Override // k.c.c
    public void onComplete() {
        this.done = true;
        this.parent.drain();
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        this.parent.innerError(th);
    }

    @Override // k.c.c
    public void onNext(T t) {
        if (this.sourceMode != 0 || this.queue.offer(t)) {
            this.parent.drain();
        } else {
            onError(new MissingBackpressureException());
        }
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.setOnce(this, dVar)) {
            if (dVar instanceof f.a.c0.c.d) {
                f.a.c0.c.d dVar2 = (f.a.c0.c.d) dVar;
                int requestFusion = dVar2.requestFusion(3);
                if (requestFusion == 1) {
                    this.sourceMode = requestFusion;
                    this.queue = dVar2;
                    this.done = true;
                    this.parent.drain();
                    return;
                } else if (requestFusion == 2) {
                    this.sourceMode = requestFusion;
                    this.queue = dVar2;
                    dVar.request((long) this.prefetch);
                    return;
                }
            }
            this.queue = new SpscArrayQueue(this.prefetch);
            dVar.request((long) this.prefetch);
        }
    }

    public void request() {
        if (this.sourceMode != 1) {
            long j2 = this.produced + 1;
            if (j2 >= ((long) this.limit)) {
                this.produced = 0;
                ((d) get()).request(j2);
                return;
            }
            this.produced = j2;
        }
    }
}
