package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import f.a.c0.f.a;
import f.a.j;
import f.a.u;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;
import k.c.c;
import k.c.d;

public final class FlowableSkipLastTimed$SkipLastTimedSubscriber<T> extends AtomicInteger implements j<T>, d {
    private static final long serialVersionUID = -5677354903406201275L;
    public volatile boolean cancelled;
    public final boolean delayError;
    public volatile boolean done;
    public final c<? super T> downstream;
    public Throwable error;
    public final a<Object> queue;
    public final AtomicLong requested = new AtomicLong();
    public final u scheduler;
    public final long time;
    public final TimeUnit unit;
    public d upstream;

    public FlowableSkipLastTimed$SkipLastTimedSubscriber(c<? super T> cVar, long j2, TimeUnit timeUnit, u uVar, int i2, boolean z) {
        this.downstream = cVar;
        this.time = j2;
        this.unit = timeUnit;
        this.scheduler = uVar;
        this.queue = new a<>(i2);
        this.delayError = z;
    }

    @Override // k.c.d
    public void cancel() {
        if (!this.cancelled) {
            this.cancelled = true;
            this.upstream.cancel();
            if (getAndIncrement() == 0) {
                this.queue.clear();
            }
        }
    }

    public boolean checkTerminated(boolean z, boolean z2, c<? super T> cVar, boolean z3) {
        if (this.cancelled) {
            this.queue.clear();
            return true;
        } else if (!z) {
            return false;
        } else {
            if (!z3) {
                Throwable th = this.error;
                if (th != null) {
                    this.queue.clear();
                    cVar.onError(th);
                    return true;
                } else if (!z2) {
                    return false;
                } else {
                    cVar.onComplete();
                    return true;
                }
            } else if (!z2) {
                return false;
            } else {
                Throwable th2 = this.error;
                if (th2 != null) {
                    cVar.onError(th2);
                } else {
                    cVar.onComplete();
                }
                return true;
            }
        }
    }

    public void drain() {
        if (getAndIncrement() == 0) {
            c<? super T> cVar = this.downstream;
            a<Object> aVar = this.queue;
            boolean z = this.delayError;
            TimeUnit timeUnit = this.unit;
            u uVar = this.scheduler;
            long j2 = this.time;
            int i2 = 1;
            do {
                long j3 = this.requested.get();
                long j4 = 0;
                while (j4 != j3) {
                    boolean z2 = this.done;
                    Long l2 = (Long) aVar.peek();
                    boolean z3 = l2 == null;
                    boolean z4 = (z3 || l2.longValue() <= uVar.b(timeUnit) - j2) ? z3 : true;
                    if (!checkTerminated(z2, z4, cVar, z)) {
                        if (z4) {
                            break;
                        }
                        aVar.poll();
                        cVar.onNext(aVar.poll());
                        j4++;
                    } else {
                        return;
                    }
                }
                if (j4 != 0) {
                    b.v0(this.requested, j4);
                }
                i2 = addAndGet(-i2);
            } while (i2 != 0);
        }
    }

    @Override // k.c.c
    public void onComplete() {
        this.done = true;
        drain();
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        this.error = th;
        this.done = true;
        drain();
    }

    @Override // k.c.c
    public void onNext(T t) {
        this.queue.c(Long.valueOf(this.scheduler.b(this.unit)), t);
        drain();
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            this.downstream.onSubscribe(this);
            dVar.request(Long.MAX_VALUE);
        }
    }

    @Override // k.c.d
    public void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            b.b(this.requested, j2);
            drain();
        }
    }
}
