package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import f.a.j;
import io.reactivex.internal.subscriptions.EmptySubscription;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.atomic.AtomicBoolean;
import k.c.c;
import k.c.d;

public final class FlowableTake$TakeSubscriber<T> extends AtomicBoolean implements j<T>, d {
    private static final long serialVersionUID = -5636543848937116287L;
    public boolean done;
    public final c<? super T> downstream;
    public final long limit;
    public long remaining;
    public d upstream;

    public FlowableTake$TakeSubscriber(c<? super T> cVar, long j2) {
        this.downstream = cVar;
        this.limit = j2;
        this.remaining = j2;
    }

    @Override // k.c.d
    public void cancel() {
        this.upstream.cancel();
    }

    @Override // k.c.c
    public void onComplete() {
        if (!this.done) {
            this.done = true;
            this.downstream.onComplete();
        }
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        if (!this.done) {
            this.done = true;
            this.upstream.cancel();
            this.downstream.onError(th);
            return;
        }
        b.q0(th);
    }

    @Override // k.c.c
    public void onNext(T t) {
        if (!this.done) {
            long j2 = this.remaining;
            long j3 = j2 - 1;
            this.remaining = j3;
            if (j2 > 0) {
                boolean z = j3 == 0;
                this.downstream.onNext(t);
                if (z) {
                    this.upstream.cancel();
                    onComplete();
                }
            }
        }
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            if (this.limit == 0) {
                dVar.cancel();
                this.done = true;
                EmptySubscription.complete(this.downstream);
                return;
            }
            this.downstream.onSubscribe(this);
        }
    }

    @Override // k.c.d
    public void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            if (get() || !compareAndSet(false, true) || j2 < this.limit) {
                this.upstream.request(j2);
            } else {
                this.upstream.request(Long.MAX_VALUE);
            }
        }
    }
}
