package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import f.a.j;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.ArrayDeque;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;
import k.c.c;
import k.c.d;

public final class FlowableTakeLast$TakeLastSubscriber<T> extends ArrayDeque<T> implements j<T>, d {
    private static final long serialVersionUID = 7240042530241604978L;
    public volatile boolean cancelled;
    public final int count;
    public volatile boolean done;
    public final c<? super T> downstream;
    public final AtomicLong requested = new AtomicLong();
    public d upstream;
    public final AtomicInteger wip = new AtomicInteger();

    public FlowableTakeLast$TakeLastSubscriber(c<? super T> cVar, int i2) {
        this.downstream = cVar;
        this.count = i2;
    }

    @Override // k.c.d
    public void cancel() {
        this.cancelled = true;
        this.upstream.cancel();
    }

    public void drain() {
        if (this.wip.getAndIncrement() == 0) {
            c<? super T> cVar = this.downstream;
            long j2 = this.requested.get();
            while (!this.cancelled) {
                if (this.done) {
                    long j3 = 0;
                    while (j3 != j2) {
                        if (!this.cancelled) {
                            Object obj = (Object) poll();
                            if (obj == 0) {
                                cVar.onComplete();
                                return;
                            } else {
                                cVar.onNext(obj);
                                j3++;
                            }
                        } else {
                            return;
                        }
                    }
                    if (!(j3 == 0 || j2 == Long.MAX_VALUE)) {
                        j2 = this.requested.addAndGet(-j3);
                    }
                }
                if (this.wip.decrementAndGet() == 0) {
                    return;
                }
            }
        }
    }

    @Override // k.c.c
    public void onComplete() {
        this.done = true;
        drain();
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        this.downstream.onError(th);
    }

    @Override // k.c.c
    public void onNext(T t) {
        if (this.count == size()) {
            poll();
        }
        offer(t);
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            this.downstream.onSubscribe(this);
            dVar.request(Long.MAX_VALUE);
        }
    }

    @Override // k.c.d
    public void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            b.b(this.requested, j2);
            drain();
        }
    }
}
