package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import f.a.c0.f.a;
import f.a.j;
import f.a.u;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;
import k.c.c;
import k.c.d;

public final class FlowableTakeLastTimed$TakeLastTimedSubscriber<T> extends AtomicInteger implements j<T>, d {
    private static final long serialVersionUID = -5677354903406201275L;
    public volatile boolean cancelled;
    public final long count;
    public final boolean delayError;
    public volatile boolean done;
    public final c<? super T> downstream;
    public Throwable error;
    public final a<Object> queue;
    public final AtomicLong requested = new AtomicLong();
    public final u scheduler;
    public final long time;
    public final TimeUnit unit;
    public d upstream;

    public FlowableTakeLastTimed$TakeLastTimedSubscriber(c<? super T> cVar, long j2, long j3, TimeUnit timeUnit, u uVar, int i2, boolean z) {
        this.downstream = cVar;
        this.count = j2;
        this.time = j3;
        this.unit = timeUnit;
        this.scheduler = uVar;
        this.queue = new a<>(i2);
        this.delayError = z;
    }

    @Override // k.c.d
    public void cancel() {
        if (!this.cancelled) {
            this.cancelled = true;
            this.upstream.cancel();
            if (getAndIncrement() == 0) {
                this.queue.clear();
            }
        }
    }

    public boolean checkTerminated(boolean z, c<? super T> cVar, boolean z2) {
        if (this.cancelled) {
            this.queue.clear();
            return true;
        } else if (!z2) {
            Throwable th = this.error;
            if (th != null) {
                this.queue.clear();
                cVar.onError(th);
                return true;
            } else if (!z) {
                return false;
            } else {
                cVar.onComplete();
                return true;
            }
        } else if (!z) {
            return false;
        } else {
            Throwable th2 = this.error;
            if (th2 != null) {
                cVar.onError(th2);
            } else {
                cVar.onComplete();
            }
            return true;
        }
    }

    public void drain() {
        if (getAndIncrement() == 0) {
            c<? super T> cVar = this.downstream;
            a<Object> aVar = this.queue;
            boolean z = this.delayError;
            int i2 = 1;
            do {
                if (this.done) {
                    if (!checkTerminated(aVar.isEmpty(), cVar, z)) {
                        long j2 = this.requested.get();
                        long j3 = 0;
                        while (true) {
                            if (!checkTerminated(aVar.peek() == null, cVar, z)) {
                                if (j2 != j3) {
                                    aVar.poll();
                                    cVar.onNext(aVar.poll());
                                    j3++;
                                } else if (j3 != 0) {
                                    b.v0(this.requested, j3);
                                }
                            } else {
                                return;
                            }
                        }
                    } else {
                        return;
                    }
                }
                i2 = addAndGet(-i2);
            } while (i2 != 0);
        }
    }

    @Override // k.c.c
    public void onComplete() {
        trim(this.scheduler.b(this.unit), this.queue);
        this.done = true;
        drain();
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        if (this.delayError) {
            trim(this.scheduler.b(this.unit), this.queue);
        }
        this.error = th;
        this.done = true;
        drain();
    }

    @Override // k.c.c
    public void onNext(T t) {
        a<Object> aVar = this.queue;
        long b2 = this.scheduler.b(this.unit);
        aVar.c(Long.valueOf(b2), t);
        trim(b2, aVar);
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            this.downstream.onSubscribe(this);
            dVar.request(Long.MAX_VALUE);
        }
    }

    @Override // k.c.d
    public void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            b.b(this.requested, j2);
            drain();
        }
    }

    public void trim(long j2, a<Object> aVar) {
        long j3 = this.time;
        long j4 = this.count;
        boolean z = j4 == Long.MAX_VALUE;
        while (!aVar.isEmpty()) {
            if (((Long) aVar.peek()).longValue() < j2 - j3 || (!z && ((long) (aVar.d() >> 1)) > j4)) {
                aVar.poll();
                aVar.poll();
            } else {
                return;
            }
        }
    }
}
