package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import f.a.j;
import f.a.u;
import io.reactivex.exceptions.MissingBackpressureException;
import io.reactivex.internal.disposables.SequentialDisposable;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicLong;
import k.c.c;
import k.c.d;

public final class FlowableThrottleFirstTimed$DebounceTimedSubscriber<T> extends AtomicLong implements j<T>, d, Runnable {
    private static final long serialVersionUID = -9102637559663639004L;
    public boolean done;
    public final c<? super T> downstream;
    public volatile boolean gate;
    public final long timeout;
    public final SequentialDisposable timer = new SequentialDisposable();
    public final TimeUnit unit;
    public d upstream;
    public final u.c worker;

    public FlowableThrottleFirstTimed$DebounceTimedSubscriber(c<? super T> cVar, long j2, TimeUnit timeUnit, u.c cVar2) {
        this.downstream = cVar;
        this.timeout = j2;
        this.unit = timeUnit;
        this.worker = cVar2;
    }

    @Override // k.c.d
    public void cancel() {
        this.upstream.cancel();
        this.worker.dispose();
    }

    @Override // k.c.c
    public void onComplete() {
        if (!this.done) {
            this.done = true;
            this.downstream.onComplete();
            this.worker.dispose();
        }
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        if (this.done) {
            b.q0(th);
            return;
        }
        this.done = true;
        this.downstream.onError(th);
        this.worker.dispose();
    }

    @Override // k.c.c
    public void onNext(T t) {
        if (!this.done && !this.gate) {
            this.gate = true;
            if (get() != 0) {
                this.downstream.onNext(t);
                b.v0(this, 1);
                f.a.z.b bVar = (f.a.z.b) this.timer.get();
                if (bVar != null) {
                    bVar.dispose();
                }
                this.timer.replace(this.worker.c(this, this.timeout, this.unit));
                return;
            }
            this.done = true;
            cancel();
            this.downstream.onError(new MissingBackpressureException("Could not deliver value due to lack of requests"));
        }
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            this.downstream.onSubscribe(this);
            dVar.request(Long.MAX_VALUE);
        }
    }

    @Override // k.c.d
    public void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            b.b(this, j2);
        }
    }

    public void run() {
        this.gate = false;
    }
}
