package io.reactivex.internal.operators.flowable;

import f.a.z.b;
import io.reactivex.exceptions.MissingBackpressureException;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.disposables.EmptyDisposable;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.atomic.AtomicReference;
import k.c.c;
import k.c.d;

public final class FlowableTimer$TimerSubscriber extends AtomicReference<b> implements d, Runnable {
    private static final long serialVersionUID = -2809475196591179431L;
    public final c<? super Long> downstream;
    public volatile boolean requested;

    public FlowableTimer$TimerSubscriber(c<? super Long> cVar) {
        this.downstream = cVar;
    }

    @Override // k.c.d
    public void cancel() {
        DisposableHelper.dispose(this);
    }

    @Override // k.c.d
    public void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            this.requested = true;
        }
    }

    public void run() {
        if (get() == DisposableHelper.DISPOSED) {
            return;
        }
        if (this.requested) {
            this.downstream.onNext(0L);
            lazySet(EmptyDisposable.INSTANCE);
            this.downstream.onComplete();
            return;
        }
        lazySet(EmptyDisposable.INSTANCE);
        this.downstream.onError(new MissingBackpressureException("Can't deliver value due to lack of requests"));
    }

    public void setResource(b bVar) {
        DisposableHelper.trySet(this, bVar);
    }
}
