package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import f.a.b0.g;
import f.a.j;
import io.reactivex.exceptions.CompositeException;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.atomic.AtomicBoolean;
import k.c.c;
import k.c.d;

public final class FlowableUsing$UsingSubscriber<T, D> extends AtomicBoolean implements j<T>, d {
    private static final long serialVersionUID = 5904473792286235046L;
    public final g<? super D> disposer;
    public final c<? super T> downstream;
    public final boolean eager;
    public final D resource;
    public d upstream;

    public FlowableUsing$UsingSubscriber(c<? super T> cVar, D d2, g<? super D> gVar, boolean z) {
        this.downstream = cVar;
        this.resource = d2;
        this.disposer = gVar;
        this.eager = z;
    }

    @Override // k.c.d
    public void cancel() {
        disposeAfter();
        this.upstream.cancel();
    }

    public void disposeAfter() {
        if (compareAndSet(false, true)) {
            try {
                this.disposer.accept(this.resource);
            } catch (Throwable th) {
                b.D0(th);
                b.q0(th);
            }
        }
    }

    @Override // k.c.c
    public void onComplete() {
        if (this.eager) {
            if (compareAndSet(false, true)) {
                try {
                    this.disposer.accept(this.resource);
                } catch (Throwable th) {
                    b.D0(th);
                    this.downstream.onError(th);
                    return;
                }
            }
            this.upstream.cancel();
            this.downstream.onComplete();
            return;
        }
        this.downstream.onComplete();
        this.upstream.cancel();
        disposeAfter();
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        if (this.eager) {
            Throwable th2 = null;
            if (compareAndSet(false, true)) {
                try {
                    this.disposer.accept(this.resource);
                } catch (Throwable th3) {
                    th2 = th3;
                    b.D0(th2);
                }
            }
            this.upstream.cancel();
            if (th2 != null) {
                this.downstream.onError(new CompositeException(th, th2));
                return;
            }
            this.downstream.onError(th);
            return;
        }
        this.downstream.onError(th);
        this.upstream.cancel();
        disposeAfter();
    }

    @Override // k.c.c
    public void onNext(T t) {
        this.downstream.onNext(t);
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            this.downstream.onSubscribe(this);
        }
    }

    @Override // k.c.d
    public void request(long j2) {
        this.upstream.request(j2);
    }
}
