package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import f.a.c0.f.a;
import f.a.g;
import f.a.j;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import io.reactivex.processors.UnicastProcessor;
import java.util.ArrayDeque;
import java.util.Iterator;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;
import k.c.c;
import k.c.d;

public final class FlowableWindow$WindowOverlapSubscriber<T> extends AtomicInteger implements j<T>, d, Runnable {
    private static final long serialVersionUID = 2428527070996323976L;
    public final int bufferSize;
    public volatile boolean cancelled;
    public volatile boolean done;
    public final c<? super g<T>> downstream;
    public Throwable error;
    public final AtomicBoolean firstRequest = new AtomicBoolean();
    public long index;
    public final AtomicBoolean once = new AtomicBoolean();
    public long produced;
    public final a<UnicastProcessor<T>> queue;
    public final AtomicLong requested = new AtomicLong();
    public final long size;
    public final long skip;
    public d upstream;
    public final ArrayDeque<UnicastProcessor<T>> windows = new ArrayDeque<>();
    public final AtomicInteger wip = new AtomicInteger();

    public FlowableWindow$WindowOverlapSubscriber(c<? super g<T>> cVar, long j2, long j3, int i2) {
        super(1);
        this.downstream = cVar;
        this.size = j2;
        this.skip = j3;
        this.queue = new a<>(i2);
        this.bufferSize = i2;
    }

    @Override // k.c.d
    public void cancel() {
        this.cancelled = true;
        if (this.once.compareAndSet(false, true)) {
            run();
        }
    }

    public boolean checkTerminated(boolean z, boolean z2, c<?> cVar, a<?> aVar) {
        if (this.cancelled) {
            aVar.clear();
            return true;
        } else if (!z) {
            return false;
        } else {
            Throwable th = this.error;
            if (th != null) {
                aVar.clear();
                cVar.onError(th);
                return true;
            } else if (!z2) {
                return false;
            } else {
                cVar.onComplete();
                return true;
            }
        }
    }

    public void drain() {
        int i2;
        if (this.wip.getAndIncrement() == 0) {
            c<? super g<T>> cVar = this.downstream;
            a<UnicastProcessor<T>> aVar = this.queue;
            int i3 = 1;
            do {
                long j2 = this.requested.get();
                long j3 = 0;
                while (true) {
                    i2 = (j3 > j2 ? 1 : (j3 == j2 ? 0 : -1));
                    if (i2 == 0) {
                        break;
                    }
                    boolean z = this.done;
                    UnicastProcessor<T> poll = aVar.poll();
                    boolean z2 = poll == null;
                    if (!checkTerminated(z, z2, cVar, aVar)) {
                        if (z2) {
                            break;
                        }
                        cVar.onNext(poll);
                        j3++;
                    } else {
                        return;
                    }
                }
                if (i2 != 0 || !checkTerminated(this.done, aVar.isEmpty(), cVar, aVar)) {
                    if (!(j3 == 0 || j2 == Long.MAX_VALUE)) {
                        this.requested.addAndGet(-j3);
                    }
                    i3 = this.wip.addAndGet(-i3);
                } else {
                    return;
                }
            } while (i3 != 0);
        }
    }

    @Override // k.c.c
    public void onComplete() {
        if (!this.done) {
            Iterator<UnicastProcessor<T>> it = this.windows.iterator();
            while (it.hasNext()) {
                it.next().onComplete();
            }
            this.windows.clear();
            this.done = true;
            drain();
        }
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        if (this.done) {
            b.q0(th);
            return;
        }
        Iterator<UnicastProcessor<T>> it = this.windows.iterator();
        while (it.hasNext()) {
            it.next().onError(th);
        }
        this.windows.clear();
        this.error = th;
        this.done = true;
        drain();
    }

    @Override // k.c.c
    public void onNext(T t) {
        if (!this.done) {
            long j2 = this.index;
            if (j2 == 0 && !this.cancelled) {
                getAndIncrement();
                int i2 = this.bufferSize;
                int i3 = UnicastProcessor.f13428h;
                UnicastProcessor<T> unicastProcessor = new UnicastProcessor<>(i2, this, true);
                this.windows.offer(unicastProcessor);
                this.queue.offer(unicastProcessor);
                drain();
            }
            long j3 = j2 + 1;
            Iterator<UnicastProcessor<T>> it = this.windows.iterator();
            while (it.hasNext()) {
                it.next().onNext(t);
            }
            long j4 = this.produced + 1;
            if (j4 == this.size) {
                this.produced = j4 - this.skip;
                UnicastProcessor<T> poll = this.windows.poll();
                if (poll != null) {
                    poll.onComplete();
                }
            } else {
                this.produced = j4;
            }
            if (j3 == this.skip) {
                this.index = 0;
            } else {
                this.index = j3;
            }
        }
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            this.downstream.onSubscribe(this);
        }
    }

    @Override // k.c.d
    public void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            b.b(this.requested, j2);
            if (this.firstRequest.get() || !this.firstRequest.compareAndSet(false, true)) {
                this.upstream.request(b.j0(this.skip, j2));
            } else {
                this.upstream.request(b.d(this.size, b.j0(this.skip, j2 - 1)));
            }
            drain();
        }
    }

    public void run() {
        if (decrementAndGet() == 0) {
            this.upstream.cancel();
        }
    }
}
