package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import f.a.g;
import f.a.j;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import io.reactivex.processors.UnicastProcessor;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicInteger;
import k.c.c;
import k.c.d;

public final class FlowableWindow$WindowSkipSubscriber<T> extends AtomicInteger implements j<T>, d, Runnable {
    private static final long serialVersionUID = -8792836352386833856L;
    public final int bufferSize;
    public final c<? super g<T>> downstream;
    public final AtomicBoolean firstRequest = new AtomicBoolean();
    public long index;
    public final AtomicBoolean once = new AtomicBoolean();
    public final long size;
    public final long skip;
    public d upstream;
    public UnicastProcessor<T> window;

    public FlowableWindow$WindowSkipSubscriber(c<? super g<T>> cVar, long j2, long j3, int i2) {
        super(1);
        this.downstream = cVar;
        this.size = j2;
        this.skip = j3;
        this.bufferSize = i2;
    }

    @Override // k.c.d
    public void cancel() {
        if (this.once.compareAndSet(false, true)) {
            run();
        }
    }

    @Override // k.c.c
    public void onComplete() {
        UnicastProcessor<T> unicastProcessor = this.window;
        if (unicastProcessor != null) {
            this.window = null;
            unicastProcessor.onComplete();
        }
        this.downstream.onComplete();
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        UnicastProcessor<T> unicastProcessor = this.window;
        if (unicastProcessor != null) {
            this.window = null;
            unicastProcessor.onError(th);
        }
        this.downstream.onError(th);
    }

    @Override // k.c.c
    public void onNext(T t) {
        long j2 = this.index;
        UnicastProcessor<T> unicastProcessor = this.window;
        if (j2 == 0) {
            getAndIncrement();
            int i2 = this.bufferSize;
            int i3 = UnicastProcessor.f13428h;
            UnicastProcessor<T> unicastProcessor2 = new UnicastProcessor<>(i2, this, true);
            this.window = unicastProcessor2;
            this.downstream.onNext(unicastProcessor2);
            unicastProcessor = unicastProcessor2;
        }
        long j3 = j2 + 1;
        if (unicastProcessor != null) {
            unicastProcessor.onNext(t);
        }
        if (j3 == this.size) {
            this.window = null;
            unicastProcessor.onComplete();
        }
        if (j3 == this.skip) {
            this.index = 0;
        } else {
            this.index = j3;
        }
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            this.downstream.onSubscribe(this);
        }
    }

    @Override // k.c.d
    public void request(long j2) {
        if (!SubscriptionHelper.validate(j2)) {
            return;
        }
        if (this.firstRequest.get() || !this.firstRequest.compareAndSet(false, true)) {
            this.upstream.request(b.j0(this.skip, j2));
            return;
        }
        this.upstream.request(b.d(b.j0(this.size, j2), b.j0(this.skip - this.size, j2 - 1)));
    }

    public void run() {
        if (decrementAndGet() == 0) {
            this.upstream.cancel();
        }
    }
}
