package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import f.a.b0.h;
import f.a.c0.c.a;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import io.reactivex.internal.util.AtomicThrowable;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;
import java.util.concurrent.atomic.AtomicReference;
import java.util.concurrent.atomic.AtomicReferenceArray;
import k.c.c;
import k.c.d;

public final class FlowableWithLatestFromMany$WithLatestFromSubscriber<T, R> extends AtomicInteger implements a<T>, d {
    private static final long serialVersionUID = 1577321883966341961L;
    public final h<? super Object[], R> combiner;
    public volatile boolean done;
    public final c<? super R> downstream;
    public final AtomicThrowable error;
    public final AtomicLong requested;
    public final FlowableWithLatestFromMany$WithLatestInnerSubscriber[] subscribers;
    public final AtomicReference<d> upstream;
    public final AtomicReferenceArray<Object> values;

    public FlowableWithLatestFromMany$WithLatestFromSubscriber(c<? super R> cVar, h<? super Object[], R> hVar, int i2) {
        this.downstream = cVar;
        this.combiner = hVar;
        FlowableWithLatestFromMany$WithLatestInnerSubscriber[] flowableWithLatestFromMany$WithLatestInnerSubscriberArr = new FlowableWithLatestFromMany$WithLatestInnerSubscriber[i2];
        for (int i3 = 0; i3 < i2; i3++) {
            flowableWithLatestFromMany$WithLatestInnerSubscriberArr[i3] = new FlowableWithLatestFromMany$WithLatestInnerSubscriber(this, i3);
        }
        this.subscribers = flowableWithLatestFromMany$WithLatestInnerSubscriberArr;
        this.values = new AtomicReferenceArray<>(i2);
        this.upstream = new AtomicReference<>();
        this.requested = new AtomicLong();
        this.error = new AtomicThrowable();
    }

    @Override // k.c.d
    public void cancel() {
        SubscriptionHelper.cancel(this.upstream);
        for (FlowableWithLatestFromMany$WithLatestInnerSubscriber flowableWithLatestFromMany$WithLatestInnerSubscriber : this.subscribers) {
            flowableWithLatestFromMany$WithLatestInnerSubscriber.dispose();
        }
    }

    public void cancelAllBut(int i2) {
        FlowableWithLatestFromMany$WithLatestInnerSubscriber[] flowableWithLatestFromMany$WithLatestInnerSubscriberArr = this.subscribers;
        for (int i3 = 0; i3 < flowableWithLatestFromMany$WithLatestInnerSubscriberArr.length; i3++) {
            if (i3 != i2) {
                flowableWithLatestFromMany$WithLatestInnerSubscriberArr[i3].dispose();
            }
        }
    }

    public void innerComplete(int i2, boolean z) {
        if (!z) {
            this.done = true;
            SubscriptionHelper.cancel(this.upstream);
            cancelAllBut(i2);
            b.o0(this.downstream, this, this.error);
        }
    }

    public void innerError(int i2, Throwable th) {
        this.done = true;
        SubscriptionHelper.cancel(this.upstream);
        cancelAllBut(i2);
        b.r0(this.downstream, th, this, this.error);
    }

    public void innerNext(int i2, Object obj) {
        this.values.set(i2, obj);
    }

    @Override // k.c.c
    public void onComplete() {
        if (!this.done) {
            this.done = true;
            cancelAllBut(-1);
            b.o0(this.downstream, this, this.error);
        }
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        if (this.done) {
            b.q0(th);
            return;
        }
        this.done = true;
        cancelAllBut(-1);
        b.r0(this.downstream, th, this, this.error);
    }

    @Override // k.c.c
    public void onNext(T t) {
        if (!tryOnNext(t) && !this.done) {
            this.upstream.get().request(1);
        }
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        SubscriptionHelper.deferredSetOnce(this.upstream, this.requested, dVar);
    }

    @Override // k.c.d
    public void request(long j2) {
        SubscriptionHelper.deferredRequest(this.upstream, this.requested, j2);
    }

    public void subscribe(k.c.b<?>[] bVarArr, int i2) {
        FlowableWithLatestFromMany$WithLatestInnerSubscriber[] flowableWithLatestFromMany$WithLatestInnerSubscriberArr = this.subscribers;
        AtomicReference<d> atomicReference = this.upstream;
        for (int i3 = 0; i3 < i2 && atomicReference.get() != SubscriptionHelper.CANCELLED; i3++) {
            bVarArr[i3].subscribe(flowableWithLatestFromMany$WithLatestInnerSubscriberArr[i3]);
        }
    }

    @Override // f.a.c0.c.a
    public boolean tryOnNext(T t) {
        if (this.done) {
            return false;
        }
        AtomicReferenceArray<Object> atomicReferenceArray = this.values;
        int length = atomicReferenceArray.length();
        Object[] objArr = new Object[(length + 1)];
        objArr[0] = t;
        int i2 = 0;
        while (i2 < length) {
            Object obj = atomicReferenceArray.get(i2);
            if (obj == null) {
                return false;
            }
            i2++;
            objArr[i2] = obj;
        }
        try {
            R apply = this.combiner.apply(objArr);
            Objects.requireNonNull(apply, "The combiner returned a null value");
            b.t0(this.downstream, apply, this, this.error);
            return true;
        } catch (Throwable th) {
            b.D0(th);
            cancel();
            onError(th);
            return false;
        }
    }
}
