package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import f.a.b0.h;
import f.a.c0.c.g;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import io.reactivex.internal.util.AtomicThrowable;
import java.util.Arrays;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;
import k.c.c;
import k.c.d;

public final class FlowableZip$ZipCoordinator<T, R> extends AtomicInteger implements d {
    private static final long serialVersionUID = -2434867452883857743L;
    public volatile boolean cancelled;
    public final Object[] current;
    public final boolean delayErrors;
    public final c<? super R> downstream;
    public final AtomicThrowable errors;
    public final AtomicLong requested;
    public final FlowableZip$ZipSubscriber<T, R>[] subscribers;
    public final h<? super Object[], ? extends R> zipper;

    public FlowableZip$ZipCoordinator(c<? super R> cVar, h<? super Object[], ? extends R> hVar, int i2, int i3, boolean z) {
        this.downstream = cVar;
        this.zipper = hVar;
        this.delayErrors = z;
        FlowableZip$ZipSubscriber<T, R>[] flowableZip$ZipSubscriberArr = new FlowableZip$ZipSubscriber[i2];
        for (int i4 = 0; i4 < i2; i4++) {
            flowableZip$ZipSubscriberArr[i4] = new FlowableZip$ZipSubscriber<>(this, i3);
        }
        this.current = new Object[i2];
        this.subscribers = flowableZip$ZipSubscriberArr;
        this.requested = new AtomicLong();
        this.errors = new AtomicThrowable();
    }

    @Override // k.c.d
    public void cancel() {
        if (!this.cancelled) {
            this.cancelled = true;
            cancelAll();
        }
    }

    public void cancelAll() {
        for (FlowableZip$ZipSubscriber<T, R> flowableZip$ZipSubscriber : this.subscribers) {
            flowableZip$ZipSubscriber.cancel();
        }
    }

    public void drain() {
        int i2;
        if (getAndIncrement() == 0) {
            c<? super R> cVar = this.downstream;
            FlowableZip$ZipSubscriber<T, R>[] flowableZip$ZipSubscriberArr = this.subscribers;
            int length = flowableZip$ZipSubscriberArr.length;
            Object[] objArr = this.current;
            int i3 = 1;
            do {
                long j2 = this.requested.get();
                long j3 = 0;
                while (true) {
                    i2 = (j2 > j3 ? 1 : (j2 == j3 ? 0 : -1));
                    if (i2 == 0) {
                        break;
                    } else if (this.cancelled) {
                        return;
                    } else {
                        if (this.delayErrors || this.errors.get() == null) {
                            boolean z = false;
                            for (int i4 = 0; i4 < length; i4++) {
                                FlowableZip$ZipSubscriber<T, R> flowableZip$ZipSubscriber = flowableZip$ZipSubscriberArr[i4];
                                if (objArr[i4] == null) {
                                    try {
                                        boolean z2 = flowableZip$ZipSubscriber.done;
                                        g<T> gVar = flowableZip$ZipSubscriber.queue;
                                        T poll = gVar != null ? gVar.poll() : null;
                                        boolean z3 = poll == null;
                                        if (!z2 || !z3) {
                                            if (!z3) {
                                                objArr[i4] = poll;
                                            }
                                            z = true;
                                        } else {
                                            cancelAll();
                                            if (((Throwable) this.errors.get()) != null) {
                                                cVar.onError(this.errors.terminate());
                                                return;
                                            } else {
                                                cVar.onComplete();
                                                return;
                                            }
                                        }
                                    } catch (Throwable th) {
                                        b.D0(th);
                                        this.errors.addThrowable(th);
                                        if (!this.delayErrors) {
                                            cancelAll();
                                            cVar.onError(this.errors.terminate());
                                            return;
                                        }
                                    }
                                }
                            }
                            if (z) {
                                break;
                            }
                            try {
                                Object obj = (Object) this.zipper.apply(objArr.clone());
                                Objects.requireNonNull(obj, "The zipper returned a null value");
                                cVar.onNext(obj);
                                j3++;
                                Arrays.fill(objArr, (Object) null);
                            } catch (Throwable th2) {
                                b.D0(th2);
                                cancelAll();
                                this.errors.addThrowable(th2);
                                cVar.onError(this.errors.terminate());
                                return;
                            }
                        } else {
                            cancelAll();
                            cVar.onError(this.errors.terminate());
                            return;
                        }
                    }
                }
                if (i2 == 0) {
                    if (this.cancelled) {
                        return;
                    }
                    if (this.delayErrors || this.errors.get() == null) {
                        for (int i5 = 0; i5 < length; i5++) {
                            FlowableZip$ZipSubscriber<T, R> flowableZip$ZipSubscriber2 = flowableZip$ZipSubscriberArr[i5];
                            if (objArr[i5] == null) {
                                try {
                                    boolean z4 = flowableZip$ZipSubscriber2.done;
                                    g<T> gVar2 = flowableZip$ZipSubscriber2.queue;
                                    T poll2 = gVar2 != null ? gVar2.poll() : null;
                                    boolean z5 = poll2 == null;
                                    if (z4 && z5) {
                                        cancelAll();
                                        if (((Throwable) this.errors.get()) != null) {
                                            cVar.onError(this.errors.terminate());
                                            return;
                                        } else {
                                            cVar.onComplete();
                                            return;
                                        }
                                    } else if (!z5) {
                                        objArr[i5] = poll2;
                                    }
                                } catch (Throwable th3) {
                                    b.D0(th3);
                                    this.errors.addThrowable(th3);
                                    if (!this.delayErrors) {
                                        cancelAll();
                                        cVar.onError(this.errors.terminate());
                                        return;
                                    }
                                }
                            }
                        }
                    } else {
                        cancelAll();
                        cVar.onError(this.errors.terminate());
                        return;
                    }
                }
                if (j3 != 0) {
                    for (FlowableZip$ZipSubscriber<T, R> flowableZip$ZipSubscriber3 : flowableZip$ZipSubscriberArr) {
                        flowableZip$ZipSubscriber3.request(j3);
                    }
                    if (j2 != Long.MAX_VALUE) {
                        this.requested.addAndGet(-j3);
                    }
                }
                i3 = addAndGet(-i3);
            } while (i3 != 0);
        }
    }

    public void error(FlowableZip$ZipSubscriber<T, R> flowableZip$ZipSubscriber, Throwable th) {
        if (this.errors.addThrowable(th)) {
            flowableZip$ZipSubscriber.done = true;
            drain();
            return;
        }
        b.q0(th);
    }

    @Override // k.c.d
    public void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            b.b(this.requested, j2);
            drain();
        }
    }

    public void subscribe(k.c.b<? extends T>[] bVarArr, int i2) {
        FlowableZip$ZipSubscriber<T, R>[] flowableZip$ZipSubscriberArr = this.subscribers;
        for (int i3 = 0; i3 < i2 && !this.cancelled; i3++) {
            if (this.delayErrors || this.errors.get() == null) {
                bVarArr[i3].subscribe(flowableZip$ZipSubscriberArr[i3]);
            } else {
                return;
            }
        }
    }
}
