package io.reactivex.internal.operators.flowable;

import f.a.c0.c.g;
import f.a.j;
import io.reactivex.internal.queue.SpscArrayQueue;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.atomic.AtomicReference;
import k.c.d;

public final class FlowableZip$ZipSubscriber<T, R> extends AtomicReference<d> implements j<T>, d {
    private static final long serialVersionUID = -4627193790118206028L;
    public volatile boolean done;
    public final int limit;
    public final FlowableZip$ZipCoordinator<T, R> parent;
    public final int prefetch;
    public long produced;
    public g<T> queue;
    public int sourceMode;

    public FlowableZip$ZipSubscriber(FlowableZip$ZipCoordinator<T, R> flowableZip$ZipCoordinator, int i2) {
        this.parent = flowableZip$ZipCoordinator;
        this.prefetch = i2;
        this.limit = i2 - (i2 >> 2);
    }

    @Override // k.c.d
    public void cancel() {
        SubscriptionHelper.cancel(this);
    }

    @Override // k.c.c
    public void onComplete() {
        this.done = true;
        this.parent.drain();
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        this.parent.error(this, th);
    }

    @Override // k.c.c
    public void onNext(T t) {
        if (this.sourceMode != 2) {
            this.queue.offer(t);
        }
        this.parent.drain();
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.setOnce(this, dVar)) {
            if (dVar instanceof f.a.c0.c.d) {
                f.a.c0.c.d dVar2 = (f.a.c0.c.d) dVar;
                int requestFusion = dVar2.requestFusion(7);
                if (requestFusion == 1) {
                    this.sourceMode = requestFusion;
                    this.queue = dVar2;
                    this.done = true;
                    this.parent.drain();
                    return;
                } else if (requestFusion == 2) {
                    this.sourceMode = requestFusion;
                    this.queue = dVar2;
                    dVar.request((long) this.prefetch);
                    return;
                }
            }
            this.queue = new SpscArrayQueue(this.prefetch);
            dVar.request((long) this.prefetch);
        }
    }

    @Override // k.c.d
    public void request(long j2) {
        if (this.sourceMode != 1) {
            long j3 = this.produced + j2;
            if (j3 >= ((long) this.limit)) {
                this.produced = 0;
                ((d) get()).request(j3);
                return;
            }
            this.produced = j3;
        }
    }
}
