package io.reactivex.internal.operators.maybe;

import d.l.b.g.g.b;
import f.a.l;
import f.a.m;
import io.reactivex.internal.disposables.SequentialDisposable;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import io.reactivex.internal.util.AtomicThrowable;
import io.reactivex.internal.util.NotificationLite;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;
import java.util.concurrent.atomic.AtomicReference;
import k.c.c;
import k.c.d;

public final class MaybeConcatArrayDelayError$ConcatMaybeObserver<T> extends AtomicInteger implements l<T>, d {
    private static final long serialVersionUID = 3520831347801429610L;
    public final AtomicReference<Object> current = new AtomicReference<>(NotificationLite.COMPLETE);
    public final SequentialDisposable disposables = new SequentialDisposable();
    public final c<? super T> downstream;
    public final AtomicThrowable errors = new AtomicThrowable();
    public int index;
    public long produced;
    public final AtomicLong requested = new AtomicLong();
    public final m<? extends T>[] sources;

    public MaybeConcatArrayDelayError$ConcatMaybeObserver(c<? super T> cVar, m<? extends T>[] mVarArr) {
        this.downstream = cVar;
        this.sources = mVarArr;
    }

    @Override // k.c.d
    public void cancel() {
        this.disposables.dispose();
    }

    public void drain() {
        if (getAndIncrement() == 0) {
            AtomicReference<Object> atomicReference = this.current;
            c<? super T> cVar = this.downstream;
            SequentialDisposable sequentialDisposable = this.disposables;
            while (!sequentialDisposable.isDisposed()) {
                Object obj = atomicReference.get();
                if (obj != null) {
                    boolean z = true;
                    if (obj != NotificationLite.COMPLETE) {
                        long j2 = this.produced;
                        if (j2 != this.requested.get()) {
                            this.produced = j2 + 1;
                            atomicReference.lazySet(null);
                            cVar.onNext(obj);
                        } else {
                            z = false;
                        }
                    } else {
                        atomicReference.lazySet(null);
                    }
                    if (z && !sequentialDisposable.isDisposed()) {
                        int i2 = this.index;
                        m<? extends T>[] mVarArr = this.sources;
                        if (i2 != mVarArr.length) {
                            this.index = i2 + 1;
                            mVarArr[i2].a(this);
                        } else if (((Throwable) this.errors.get()) != null) {
                            cVar.onError(this.errors.terminate());
                            return;
                        } else {
                            cVar.onComplete();
                            return;
                        }
                    }
                }
                if (decrementAndGet() == 0) {
                    return;
                }
            }
            atomicReference.lazySet(null);
        }
    }

    @Override // f.a.l
    public void onComplete() {
        this.current.lazySet(NotificationLite.COMPLETE);
        drain();
    }

    @Override // f.a.l
    public void onError(Throwable th) {
        this.current.lazySet(NotificationLite.COMPLETE);
        if (this.errors.addThrowable(th)) {
            drain();
        } else {
            b.q0(th);
        }
    }

    @Override // f.a.l
    public void onSubscribe(f.a.z.b bVar) {
        this.disposables.replace(bVar);
    }

    @Override // f.a.l
    public void onSuccess(T t) {
        this.current.lazySet(t);
        drain();
    }

    @Override // k.c.d
    public void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            b.b(this.requested, j2);
            drain();
        }
    }
}
