package io.reactivex.internal.operators.maybe;

import d.l.b.g.g.b;
import f.a.l;
import f.a.m;
import io.reactivex.internal.disposables.SequentialDisposable;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import io.reactivex.internal.util.NotificationLite;
import java.util.Iterator;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;
import java.util.concurrent.atomic.AtomicReference;
import k.c.c;
import k.c.d;

public final class MaybeConcatIterable$ConcatMaybeObserver<T> extends AtomicInteger implements l<T>, d {
    private static final long serialVersionUID = 3520831347801429610L;
    public final AtomicReference<Object> current = new AtomicReference<>(NotificationLite.COMPLETE);
    public final SequentialDisposable disposables = new SequentialDisposable();
    public final c<? super T> downstream;
    public long produced;
    public final AtomicLong requested = new AtomicLong();
    public final Iterator<? extends m<? extends T>> sources;

    public MaybeConcatIterable$ConcatMaybeObserver(c<? super T> cVar, Iterator<? extends m<? extends T>> it) {
        this.downstream = cVar;
        this.sources = it;
    }

    @Override // k.c.d
    public void cancel() {
        this.disposables.dispose();
    }

    public void drain() {
        if (getAndIncrement() == 0) {
            AtomicReference<Object> atomicReference = this.current;
            c<? super T> cVar = this.downstream;
            SequentialDisposable sequentialDisposable = this.disposables;
            while (!sequentialDisposable.isDisposed()) {
                Object obj = atomicReference.get();
                if (obj != null) {
                    boolean z = true;
                    if (obj != NotificationLite.COMPLETE) {
                        long j2 = this.produced;
                        if (j2 != this.requested.get()) {
                            this.produced = j2 + 1;
                            atomicReference.lazySet(null);
                            cVar.onNext(obj);
                        } else {
                            z = false;
                        }
                    } else {
                        atomicReference.lazySet(null);
                    }
                    if (z && !sequentialDisposable.isDisposed()) {
                        try {
                            if (this.sources.hasNext()) {
                                try {
                                    Object next = this.sources.next();
                                    Objects.requireNonNull(next, "The source Iterator returned a null MaybeSource");
                                    ((m) next).a(this);
                                } catch (Throwable th) {
                                    b.D0(th);
                                    cVar.onError(th);
                                    return;
                                }
                            } else {
                                cVar.onComplete();
                            }
                        } catch (Throwable th2) {
                            b.D0(th2);
                            cVar.onError(th2);
                            return;
                        }
                    }
                }
                if (decrementAndGet() == 0) {
                    return;
                }
            }
            atomicReference.lazySet(null);
        }
    }

    @Override // f.a.l
    public void onComplete() {
        this.current.lazySet(NotificationLite.COMPLETE);
        drain();
    }

    @Override // f.a.l
    public void onError(Throwable th) {
        this.downstream.onError(th);
    }

    @Override // f.a.l
    public void onSubscribe(f.a.z.b bVar) {
        this.disposables.replace(bVar);
    }

    @Override // f.a.l
    public void onSuccess(T t) {
        this.current.lazySet(t);
        drain();
    }

    @Override // k.c.d
    public void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            b.b(this.requested, j2);
            drain();
        }
    }
}
