package io.reactivex.internal.operators.maybe;

import f.a.b0.f;
import f.a.l;
import f.a.z.b;
import io.reactivex.internal.disposables.CancellableDisposable;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.atomic.AtomicReference;

public final class MaybeCreate$Emitter<T> extends AtomicReference<b> implements b {
    private static final long serialVersionUID = -2467358622224974244L;
    public final l<? super T> downstream;

    public MaybeCreate$Emitter(l<? super T> lVar) {
        this.downstream = lVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this);
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed((b) get());
    }

    public void onComplete() {
        b bVar;
        Object obj = get();
        DisposableHelper disposableHelper = DisposableHelper.DISPOSED;
        if (obj != disposableHelper && (bVar = (b) getAndSet(disposableHelper)) != disposableHelper) {
            try {
                this.downstream.onComplete();
            } finally {
                if (bVar != null) {
                    bVar.dispose();
                }
            }
        }
    }

    public void onError(Throwable th) {
        if (!tryOnError(th)) {
            d.l.b.g.g.b.q0(th);
        }
    }

    public void onSuccess(T t) {
        b bVar;
        Object obj = get();
        DisposableHelper disposableHelper = DisposableHelper.DISPOSED;
        if (obj != disposableHelper && (bVar = (b) getAndSet(disposableHelper)) != disposableHelper) {
            if (t == null) {
                try {
                    this.downstream.onError(new NullPointerException("onSuccess called with null. Null values are generally not allowed in 2.x operators and sources."));
                } catch (Throwable th) {
                    if (bVar != null) {
                        bVar.dispose();
                    }
                    throw th;
                }
            } else {
                this.downstream.onSuccess(t);
            }
            if (bVar != null) {
                bVar.dispose();
            }
        }
    }

    public void setCancellable(f fVar) {
        setDisposable(new CancellableDisposable(fVar));
    }

    public void setDisposable(b bVar) {
        DisposableHelper.set(this, bVar);
    }

    public String toString() {
        return String.format("%s{%s}", MaybeCreate$Emitter.class.getSimpleName(), super.toString());
    }

    public boolean tryOnError(Throwable th) {
        b bVar;
        if (th == null) {
            th = new NullPointerException("onError called with null. Null values are generally not allowed in 2.x operators and sources.");
        }
        Object obj = get();
        DisposableHelper disposableHelper = DisposableHelper.DISPOSED;
        if (obj == disposableHelper || (bVar = (b) getAndSet(disposableHelper)) == disposableHelper) {
            return false;
        }
        try {
            this.downstream.onError(th);
        } finally {
            if (bVar != null) {
                bVar.dispose();
            }
        }
    }
}
