package io.reactivex.internal.operators.maybe;

import f.a.l;
import f.a.u;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicReference;

public final class MaybeDelay$DelayMaybeObserver<T> extends AtomicReference<b> implements l<T>, b, Runnable {
    private static final long serialVersionUID = 5566860102500855068L;
    public final long delay;
    public final l<? super T> downstream;
    public Throwable error;
    public final u scheduler;
    public final TimeUnit unit;
    public T value;

    public MaybeDelay$DelayMaybeObserver(l<? super T> lVar, long j2, TimeUnit timeUnit, u uVar) {
        this.downstream = lVar;
        this.delay = j2;
        this.unit = timeUnit;
        this.scheduler = uVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this);
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed((b) get());
    }

    @Override // f.a.l
    public void onComplete() {
        schedule();
    }

    @Override // f.a.l
    public void onError(Throwable th) {
        this.error = th;
        schedule();
    }

    @Override // f.a.l
    public void onSubscribe(b bVar) {
        if (DisposableHelper.setOnce(this, bVar)) {
            this.downstream.onSubscribe(this);
        }
    }

    @Override // f.a.l
    public void onSuccess(T t) {
        this.value = t;
        schedule();
    }

    public void run() {
        Throwable th = this.error;
        if (th != null) {
            this.downstream.onError(th);
            return;
        }
        T t = this.value;
        if (t != null) {
            this.downstream.onSuccess(t);
        } else {
            this.downstream.onComplete();
        }
    }

    public void schedule() {
        DisposableHelper.replace(this, this.scheduler.d(this, this.delay, this.unit));
    }
}
