package io.reactivex.internal.operators.maybe;

import f.a.j;
import f.a.l;
import io.reactivex.exceptions.CompositeException;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.atomic.AtomicReference;
import k.c.d;

public final class MaybeDelayOtherPublisher$OtherSubscriber<T> extends AtomicReference<d> implements j<Object> {
    private static final long serialVersionUID = -1215060610805418006L;
    public final l<? super T> downstream;
    public Throwable error;
    public T value;

    public MaybeDelayOtherPublisher$OtherSubscriber(l<? super T> lVar) {
        this.downstream = lVar;
    }

    @Override // k.c.c
    public void onComplete() {
        Throwable th = this.error;
        if (th != null) {
            this.downstream.onError(th);
            return;
        }
        T t = this.value;
        if (t != null) {
            this.downstream.onSuccess(t);
        } else {
            this.downstream.onComplete();
        }
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        Throwable th2 = this.error;
        if (th2 == null) {
            this.downstream.onError(th);
            return;
        }
        this.downstream.onError(new CompositeException(th2, th));
    }

    @Override // k.c.c
    public void onNext(Object obj) {
        d dVar = (d) get();
        SubscriptionHelper subscriptionHelper = SubscriptionHelper.CANCELLED;
        if (dVar != subscriptionHelper) {
            lazySet(subscriptionHelper);
            dVar.cancel();
            onComplete();
        }
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        SubscriptionHelper.setOnce(this, dVar, Long.MAX_VALUE);
    }
}
