package io.reactivex.internal.operators.maybe;

import f.a.b0.h;
import f.a.l;
import f.a.m;
import f.a.z.b;
import io.reactivex.exceptions.CompositeException;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.Objects;
import java.util.concurrent.Callable;
import java.util.concurrent.atomic.AtomicReference;

public final class MaybeFlatMapNotification$FlatMapMaybeObserver<T, R> extends AtomicReference<b> implements l<T>, b {
    private static final long serialVersionUID = 4375739915521278546L;
    public final l<? super R> downstream;
    public final Callable<? extends m<? extends R>> onCompleteSupplier;
    public final h<? super Throwable, ? extends m<? extends R>> onErrorMapper;
    public final h<? super T, ? extends m<? extends R>> onSuccessMapper;
    public b upstream;

    public final class a implements l<R> {
        public a() {
        }

        @Override // f.a.l
        public void onComplete() {
            MaybeFlatMapNotification$FlatMapMaybeObserver.this.downstream.onComplete();
        }

        @Override // f.a.l
        public void onError(Throwable th) {
            MaybeFlatMapNotification$FlatMapMaybeObserver.this.downstream.onError(th);
        }

        @Override // f.a.l
        public void onSubscribe(b bVar) {
            DisposableHelper.setOnce(MaybeFlatMapNotification$FlatMapMaybeObserver.this, bVar);
        }

        @Override // f.a.l
        public void onSuccess(R r) {
            MaybeFlatMapNotification$FlatMapMaybeObserver.this.downstream.onSuccess(r);
        }
    }

    public MaybeFlatMapNotification$FlatMapMaybeObserver(l<? super R> lVar, h<? super T, ? extends m<? extends R>> hVar, h<? super Throwable, ? extends m<? extends R>> hVar2, Callable<? extends m<? extends R>> callable) {
        this.downstream = lVar;
        this.onSuccessMapper = hVar;
        this.onErrorMapper = hVar2;
        this.onCompleteSupplier = callable;
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this);
        this.upstream.dispose();
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed((b) get());
    }

    @Override // f.a.l
    public void onComplete() {
        try {
            Object call = this.onCompleteSupplier.call();
            Objects.requireNonNull(call, "The onCompleteSupplier returned a null MaybeSource");
            ((m) call).a(new a());
        } catch (Exception e2) {
            d.l.b.g.g.b.D0(e2);
            this.downstream.onError(e2);
        }
    }

    @Override // f.a.l
    public void onError(Throwable th) {
        try {
            Object apply = this.onErrorMapper.apply(th);
            Objects.requireNonNull(apply, "The onErrorMapper returned a null MaybeSource");
            ((m) apply).a(new a());
        } catch (Exception e2) {
            d.l.b.g.g.b.D0(e2);
            this.downstream.onError(new CompositeException(th, e2));
        }
    }

    @Override // f.a.l
    public void onSubscribe(b bVar) {
        if (DisposableHelper.validate(this.upstream, bVar)) {
            this.upstream = bVar;
            this.downstream.onSubscribe(this);
        }
    }

    @Override // f.a.l
    public void onSuccess(T t) {
        try {
            Object apply = this.onSuccessMapper.apply(t);
            Objects.requireNonNull(apply, "The onSuccessMapper returned a null MaybeSource");
            ((m) apply).a(new a());
        } catch (Exception e2) {
            d.l.b.g.g.b.D0(e2);
            this.downstream.onError(e2);
        }
    }
}
