package io.reactivex.internal.operators.maybe;

import d.l.b.g.g.b;
import f.a.c0.e.c.d;
import f.a.l;
import f.a.z.a;
import io.reactivex.internal.subscriptions.BasicIntQueueSubscription;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import io.reactivex.internal.util.AtomicThrowable;
import io.reactivex.internal.util.NotificationLite;
import java.util.concurrent.atomic.AtomicLong;
import k.c.c;

public final class MaybeMergeArray$MergeMaybeObserver<T> extends BasicIntQueueSubscription<T> implements l<T> {
    private static final long serialVersionUID = -660395290758764731L;
    public volatile boolean cancelled;
    public long consumed;
    public final c<? super T> downstream;
    public final AtomicThrowable error = new AtomicThrowable();
    public boolean outputFused;
    public final d<Object> queue;
    public final AtomicLong requested = new AtomicLong();
    public final a set = new a();
    public final int sourceCount;

    public MaybeMergeArray$MergeMaybeObserver(c<? super T> cVar, int i2, d<Object> dVar) {
        this.downstream = cVar;
        this.sourceCount = i2;
        this.queue = dVar;
    }

    @Override // k.c.d, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public void cancel() {
        if (!this.cancelled) {
            this.cancelled = true;
            this.set.dispose();
            if (getAndIncrement() == 0) {
                this.queue.clear();
            }
        }
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public void clear() {
        this.queue.clear();
    }

    public void drain() {
        if (getAndIncrement() == 0) {
            if (this.outputFused) {
                drainFused();
            } else {
                drainNormal();
            }
        }
    }

    public void drainFused() {
        c<? super T> cVar = this.downstream;
        d<Object> dVar = this.queue;
        int i2 = 1;
        while (!this.cancelled) {
            Throwable th = (Throwable) this.error.get();
            if (th != null) {
                dVar.clear();
                cVar.onError(th);
                return;
            }
            boolean z = dVar.producerIndex() == this.sourceCount;
            if (!dVar.isEmpty()) {
                cVar.onNext(null);
            }
            if (z) {
                cVar.onComplete();
                return;
            }
            i2 = addAndGet(-i2);
            if (i2 == 0) {
                return;
            }
        }
        dVar.clear();
    }

    public void drainNormal() {
        int i2;
        c<? super T> cVar = this.downstream;
        d<Object> dVar = this.queue;
        long j2 = this.consumed;
        int i3 = 1;
        do {
            long j3 = this.requested.get();
            while (true) {
                i2 = (j2 > j3 ? 1 : (j2 == j3 ? 0 : -1));
                if (i2 == 0) {
                    break;
                } else if (this.cancelled) {
                    dVar.clear();
                    return;
                } else if (((Throwable) this.error.get()) != null) {
                    dVar.clear();
                    cVar.onError(this.error.terminate());
                    return;
                } else if (dVar.consumerIndex() == this.sourceCount) {
                    cVar.onComplete();
                    return;
                } else {
                    Object poll = dVar.poll();
                    if (poll == null) {
                        break;
                    } else if (poll != NotificationLite.COMPLETE) {
                        cVar.onNext(poll);
                        j2++;
                    }
                }
            }
            if (i2 == 0) {
                if (((Throwable) this.error.get()) != null) {
                    dVar.clear();
                    cVar.onError(this.error.terminate());
                    return;
                }
                while (dVar.peek() == NotificationLite.COMPLETE) {
                    dVar.drop();
                }
                if (dVar.consumerIndex() == this.sourceCount) {
                    cVar.onComplete();
                    return;
                }
            }
            this.consumed = j2;
            i3 = addAndGet(-i3);
        } while (i3 != 0);
    }

    public boolean isCancelled() {
        return this.cancelled;
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public boolean isEmpty() {
        return this.queue.isEmpty();
    }

    @Override // f.a.l
    public void onComplete() {
        this.queue.offer(NotificationLite.COMPLETE);
        drain();
    }

    @Override // f.a.l
    public void onError(Throwable th) {
        if (this.error.addThrowable(th)) {
            this.set.dispose();
            this.queue.offer(NotificationLite.COMPLETE);
            drain();
            return;
        }
        b.q0(th);
    }

    @Override // f.a.l
    public void onSubscribe(f.a.z.b bVar) {
        this.set.c(bVar);
    }

    @Override // f.a.l
    public void onSuccess(T t) {
        this.queue.offer(t);
        drain();
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public T poll() {
        T t;
        do {
            t = (T) this.queue.poll();
        } while (t == NotificationLite.COMPLETE);
        return t;
    }

    @Override // k.c.d, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            b.b(this.requested, j2);
            drain();
        }
    }

    @Override // f.a.c0.c.c, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public int requestFusion(int i2) {
        if ((i2 & 2) == 0) {
            return 0;
        }
        this.outputFused = true;
        return 2;
    }
}
