package io.reactivex.internal.operators.maybe;

import f.a.l;
import f.a.u;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.atomic.AtomicReference;

public final class MaybeObserveOn$ObserveOnMaybeObserver<T> extends AtomicReference<b> implements l<T>, b, Runnable {
    private static final long serialVersionUID = 8571289934935992137L;
    public final l<? super T> downstream;
    public Throwable error;
    public final u scheduler;
    public T value;

    public MaybeObserveOn$ObserveOnMaybeObserver(l<? super T> lVar, u uVar) {
        this.downstream = lVar;
        this.scheduler = uVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this);
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed((b) get());
    }

    @Override // f.a.l
    public void onComplete() {
        DisposableHelper.replace(this, this.scheduler.c(this));
    }

    @Override // f.a.l
    public void onError(Throwable th) {
        this.error = th;
        DisposableHelper.replace(this, this.scheduler.c(this));
    }

    @Override // f.a.l
    public void onSubscribe(b bVar) {
        if (DisposableHelper.setOnce(this, bVar)) {
            this.downstream.onSubscribe(this);
        }
    }

    @Override // f.a.l
    public void onSuccess(T t) {
        this.value = t;
        DisposableHelper.replace(this, this.scheduler.c(this));
    }

    public void run() {
        Throwable th = this.error;
        if (th != null) {
            this.error = null;
            this.downstream.onError(th);
            return;
        }
        T t = this.value;
        if (t != null) {
            this.value = null;
            this.downstream.onSuccess(t);
            return;
        }
        this.downstream.onComplete();
    }
}
