package io.reactivex.internal.operators.maybe;

import f.a.b0.g;
import f.a.l;
import f.a.z.b;
import io.reactivex.exceptions.CompositeException;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.atomic.AtomicReference;

public final class MaybeUsing$UsingObserver<T, D> extends AtomicReference<Object> implements l<T>, b {
    private static final long serialVersionUID = -674404550052917487L;
    public final g<? super D> disposer;
    public final l<? super T> downstream;
    public final boolean eager;
    public b upstream;

    public MaybeUsing$UsingObserver(l<? super T> lVar, D d2, g<? super D> gVar, boolean z) {
        super(d2);
        this.downstream = lVar;
        this.disposer = gVar;
        this.eager = z;
    }

    @Override // f.a.z.b
    public void dispose() {
        this.upstream.dispose();
        this.upstream = DisposableHelper.DISPOSED;
        disposeResourceAfter();
    }

    public void disposeResourceAfter() {
        Object andSet = getAndSet(this);
        if (andSet != this) {
            try {
                this.disposer.accept(andSet);
            } catch (Throwable th) {
                d.l.b.g.g.b.D0(th);
                d.l.b.g.g.b.q0(th);
            }
        }
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return this.upstream.isDisposed();
    }

    @Override // f.a.l
    public void onComplete() {
        this.upstream = DisposableHelper.DISPOSED;
        if (this.eager) {
            Object andSet = getAndSet(this);
            if (andSet != this) {
                try {
                    this.disposer.accept(andSet);
                } catch (Throwable th) {
                    d.l.b.g.g.b.D0(th);
                    this.downstream.onError(th);
                    return;
                }
            } else {
                return;
            }
        }
        this.downstream.onComplete();
        if (!this.eager) {
            disposeResourceAfter();
        }
    }

    @Override // f.a.l
    public void onError(Throwable th) {
        this.upstream = DisposableHelper.DISPOSED;
        if (this.eager) {
            Object andSet = getAndSet(this);
            if (andSet != this) {
                try {
                    this.disposer.accept(andSet);
                } catch (Throwable th2) {
                    d.l.b.g.g.b.D0(th2);
                    th = new CompositeException(th, th2);
                }
            } else {
                return;
            }
        }
        this.downstream.onError(th);
        if (!this.eager) {
            disposeResourceAfter();
        }
    }

    @Override // f.a.l
    public void onSubscribe(b bVar) {
        if (DisposableHelper.validate(this.upstream, bVar)) {
            this.upstream = bVar;
            this.downstream.onSubscribe(this);
        }
    }

    @Override // f.a.l
    public void onSuccess(T t) {
        this.upstream = DisposableHelper.DISPOSED;
        if (this.eager) {
            Object andSet = getAndSet(this);
            if (andSet != this) {
                try {
                    this.disposer.accept(andSet);
                } catch (Throwable th) {
                    d.l.b.g.g.b.D0(th);
                    this.downstream.onError(th);
                    return;
                }
            } else {
                return;
            }
        }
        this.downstream.onSuccess(t);
        if (!this.eager) {
            disposeResourceAfter();
        }
    }
}
