package io.reactivex.internal.operators.mixed;

import f.a.c;
import f.a.j;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.atomic.AtomicLong;
import java.util.concurrent.atomic.AtomicReference;
import k.c.b;
import k.c.d;

public final class CompletableAndThenPublisher$AndThenPublisherSubscriber<R> extends AtomicReference<d> implements j<R>, c, d {
    private static final long serialVersionUID = -8948264376121066672L;
    public final k.c.c<? super R> downstream;
    public b<? extends R> other;
    public final AtomicLong requested = new AtomicLong();
    public f.a.z.b upstream;

    public CompletableAndThenPublisher$AndThenPublisherSubscriber(k.c.c<? super R> cVar, b<? extends R> bVar) {
        this.downstream = cVar;
        this.other = bVar;
    }

    @Override // k.c.d
    public void cancel() {
        this.upstream.dispose();
        SubscriptionHelper.cancel(this);
    }

    @Override // f.a.c, k.c.c
    public void onComplete() {
        b<? extends R> bVar = this.other;
        if (bVar == null) {
            this.downstream.onComplete();
            return;
        }
        this.other = null;
        bVar.subscribe(this);
    }

    @Override // f.a.c, k.c.c
    public void onError(Throwable th) {
        this.downstream.onError(th);
    }

    @Override // k.c.c
    public void onNext(R r) {
        this.downstream.onNext(r);
    }

    @Override // f.a.c
    public void onSubscribe(f.a.z.b bVar) {
        if (DisposableHelper.validate(this.upstream, bVar)) {
            this.upstream = bVar;
            this.downstream.onSubscribe(this);
        }
    }

    @Override // k.c.d
    public void request(long j2) {
        SubscriptionHelper.deferredRequest(this, this.requested, j2);
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        SubscriptionHelper.deferredSetOnce(this, this.requested, dVar);
    }
}
