package io.reactivex.internal.operators.mixed;

import f.a.b0.h;
import f.a.l;
import f.a.r;
import f.a.t;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicReference;

public final class MaybeFlatMapObservable$FlatMapObserver<T, R> extends AtomicReference<b> implements t<R>, l<T>, b {
    private static final long serialVersionUID = -8948264376121066672L;
    public final t<? super R> downstream;
    public final h<? super T, ? extends r<? extends R>> mapper;

    public MaybeFlatMapObservable$FlatMapObserver(t<? super R> tVar, h<? super T, ? extends r<? extends R>> hVar) {
        this.downstream = tVar;
        this.mapper = hVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this);
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed((b) get());
    }

    @Override // f.a.l, f.a.t
    public void onComplete() {
        this.downstream.onComplete();
    }

    @Override // f.a.l, f.a.t
    public void onError(Throwable th) {
        this.downstream.onError(th);
    }

    @Override // f.a.t
    public void onNext(R r) {
        this.downstream.onNext(r);
    }

    @Override // f.a.l, f.a.t
    public void onSubscribe(b bVar) {
        DisposableHelper.replace(this, bVar);
    }

    @Override // f.a.l
    public void onSuccess(T t) {
        try {
            Object apply = this.mapper.apply(t);
            Objects.requireNonNull(apply, "The mapper returned a null Publisher");
            ((r) apply).subscribe(this);
        } catch (Throwable th) {
            d.l.b.g.g.b.D0(th);
            this.downstream.onError(th);
        }
    }
}
