package io.reactivex.internal.operators.mixed;

import f.a.b0.h;
import f.a.c;
import f.a.c0.c.g;
import f.a.c0.f.a;
import f.a.e;
import f.a.t;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.util.AtomicThrowable;
import io.reactivex.internal.util.ErrorMode;
import io.reactivex.internal.util.ExceptionHelper;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicReference;

public final class ObservableConcatMapCompletable$ConcatMapCompletableObserver<T> extends AtomicInteger implements t<T>, b {
    private static final long serialVersionUID = 3610901111000061034L;
    public volatile boolean active;
    public volatile boolean disposed;
    public volatile boolean done;
    public final c downstream;
    public final ErrorMode errorMode;
    public final AtomicThrowable errors = new AtomicThrowable();
    public final ConcatMapInnerObserver inner = new ConcatMapInnerObserver(this);
    public final h<? super T, ? extends e> mapper;
    public final int prefetch;
    public g<T> queue;
    public b upstream;

    public static final class ConcatMapInnerObserver extends AtomicReference<b> implements c {
        private static final long serialVersionUID = 5638352172918776687L;
        public final ObservableConcatMapCompletable$ConcatMapCompletableObserver<?> parent;

        public ConcatMapInnerObserver(ObservableConcatMapCompletable$ConcatMapCompletableObserver<?> observableConcatMapCompletable$ConcatMapCompletableObserver) {
            this.parent = observableConcatMapCompletable$ConcatMapCompletableObserver;
        }

        public void dispose() {
            DisposableHelper.dispose(this);
        }

        @Override // f.a.c
        public void onComplete() {
            this.parent.innerComplete();
        }

        @Override // f.a.c
        public void onError(Throwable th) {
            this.parent.innerError(th);
        }

        @Override // f.a.c
        public void onSubscribe(b bVar) {
            DisposableHelper.replace(this, bVar);
        }
    }

    public ObservableConcatMapCompletable$ConcatMapCompletableObserver(c cVar, h<? super T, ? extends e> hVar, ErrorMode errorMode2, int i2) {
        this.downstream = cVar;
        this.mapper = hVar;
        this.errorMode = errorMode2;
        this.prefetch = i2;
    }

    @Override // f.a.z.b
    public void dispose() {
        this.disposed = true;
        this.upstream.dispose();
        this.inner.dispose();
        if (getAndIncrement() == 0) {
            this.queue.clear();
        }
    }

    public void drain() {
        boolean z;
        if (getAndIncrement() == 0) {
            AtomicThrowable atomicThrowable = this.errors;
            ErrorMode errorMode2 = this.errorMode;
            while (!this.disposed) {
                if (!this.active) {
                    if (errorMode2 != ErrorMode.BOUNDARY || atomicThrowable.get() == null) {
                        boolean z2 = this.done;
                        e eVar = null;
                        try {
                            T poll = this.queue.poll();
                            if (poll != null) {
                                Object apply = this.mapper.apply(poll);
                                Objects.requireNonNull(apply, "The mapper returned a null CompletableSource");
                                eVar = (e) apply;
                                z = false;
                            } else {
                                z = true;
                            }
                            if (z2 && z) {
                                this.disposed = true;
                                Throwable terminate = atomicThrowable.terminate();
                                if (terminate != null) {
                                    this.downstream.onError(terminate);
                                    return;
                                } else {
                                    this.downstream.onComplete();
                                    return;
                                }
                            } else if (!z) {
                                this.active = true;
                                eVar.a(this.inner);
                            }
                        } catch (Throwable th) {
                            d.l.b.g.g.b.D0(th);
                            this.disposed = true;
                            this.queue.clear();
                            this.upstream.dispose();
                            atomicThrowable.addThrowable(th);
                            this.downstream.onError(atomicThrowable.terminate());
                            return;
                        }
                    } else {
                        this.disposed = true;
                        this.queue.clear();
                        this.downstream.onError(atomicThrowable.terminate());
                        return;
                    }
                }
                if (decrementAndGet() == 0) {
                    return;
                }
            }
            this.queue.clear();
        }
    }

    public void innerComplete() {
        this.active = false;
        drain();
    }

    public void innerError(Throwable th) {
        if (!this.errors.addThrowable(th)) {
            d.l.b.g.g.b.q0(th);
        } else if (this.errorMode == ErrorMode.IMMEDIATE) {
            this.disposed = true;
            this.upstream.dispose();
            Throwable terminate = this.errors.terminate();
            if (terminate != ExceptionHelper.f13426a) {
                this.downstream.onError(terminate);
            }
            if (getAndIncrement() == 0) {
                this.queue.clear();
            }
        } else {
            this.active = false;
            drain();
        }
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return this.disposed;
    }

    @Override // f.a.t
    public void onComplete() {
        this.done = true;
        drain();
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        if (!this.errors.addThrowable(th)) {
            d.l.b.g.g.b.q0(th);
        } else if (this.errorMode == ErrorMode.IMMEDIATE) {
            this.disposed = true;
            this.inner.dispose();
            Throwable terminate = this.errors.terminate();
            if (terminate != ExceptionHelper.f13426a) {
                this.downstream.onError(terminate);
            }
            if (getAndIncrement() == 0) {
                this.queue.clear();
            }
        } else {
            this.done = true;
            drain();
        }
    }

    @Override // f.a.t
    public void onNext(T t) {
        if (t != null) {
            this.queue.offer(t);
        }
        drain();
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        if (DisposableHelper.validate(this.upstream, bVar)) {
            this.upstream = bVar;
            if (bVar instanceof f.a.c0.c.b) {
                f.a.c0.c.b bVar2 = (f.a.c0.c.b) bVar;
                int requestFusion = bVar2.requestFusion(3);
                if (requestFusion == 1) {
                    this.queue = bVar2;
                    this.done = true;
                    this.downstream.onSubscribe(this);
                    drain();
                    return;
                } else if (requestFusion == 2) {
                    this.queue = bVar2;
                    this.downstream.onSubscribe(this);
                    return;
                }
            }
            this.queue = new a(this.prefetch);
            this.downstream.onSubscribe(this);
        }
    }
}
