package io.reactivex.internal.operators.observable;

import f.a.b0.h;
import f.a.c0.f.a;
import f.a.r;
import f.a.t;
import f.a.z.b;
import io.reactivex.internal.util.AtomicThrowable;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;

public final class ObservableCombineLatest$LatestCoordinator<T, R> extends AtomicInteger implements b {
    private static final long serialVersionUID = 8567835998786448817L;
    public int active;
    public volatile boolean cancelled;
    public final h<? super Object[], ? extends R> combiner;
    public int complete;
    public final boolean delayError;
    public volatile boolean done;
    public final t<? super R> downstream;
    public final AtomicThrowable errors = new AtomicThrowable();
    public Object[] latest;
    public final ObservableCombineLatest$CombinerObserver<T, R>[] observers;
    public final a<Object[]> queue;

    public ObservableCombineLatest$LatestCoordinator(t<? super R> tVar, h<? super Object[], ? extends R> hVar, int i2, int i3, boolean z) {
        this.downstream = tVar;
        this.combiner = hVar;
        this.delayError = z;
        this.latest = new Object[i2];
        ObservableCombineLatest$CombinerObserver<T, R>[] observableCombineLatest$CombinerObserverArr = new ObservableCombineLatest$CombinerObserver[i2];
        for (int i4 = 0; i4 < i2; i4++) {
            observableCombineLatest$CombinerObserverArr[i4] = new ObservableCombineLatest$CombinerObserver<>(this, i4);
        }
        this.observers = observableCombineLatest$CombinerObserverArr;
        this.queue = new a<>(i3);
    }

    public void cancelSources() {
        for (ObservableCombineLatest$CombinerObserver<T, R> observableCombineLatest$CombinerObserver : this.observers) {
            observableCombineLatest$CombinerObserver.dispose();
        }
    }

    public void clear(a<?> aVar) {
        synchronized (this) {
            this.latest = null;
        }
        aVar.clear();
    }

    @Override // f.a.z.b
    public void dispose() {
        if (!this.cancelled) {
            this.cancelled = true;
            cancelSources();
            if (getAndIncrement() == 0) {
                clear(this.queue);
            }
        }
    }

    public void drain() {
        if (getAndIncrement() == 0) {
            a<Object[]> aVar = this.queue;
            t<? super R> tVar = this.downstream;
            boolean z = this.delayError;
            int i2 = 1;
            while (!this.cancelled) {
                if (z || this.errors.get() == null) {
                    boolean z2 = this.done;
                    Object[] poll = aVar.poll();
                    boolean z3 = poll == null;
                    if (z2 && z3) {
                        clear(aVar);
                        Throwable terminate = this.errors.terminate();
                        if (terminate == null) {
                            tVar.onComplete();
                            return;
                        } else {
                            tVar.onError(terminate);
                            return;
                        }
                    } else if (z3) {
                        i2 = addAndGet(-i2);
                        if (i2 == 0) {
                            return;
                        }
                    } else {
                        try {
                            Object obj = (Object) this.combiner.apply(poll);
                            Objects.requireNonNull(obj, "The combiner returned a null value");
                            tVar.onNext(obj);
                        } catch (Throwable th) {
                            d.l.b.g.g.b.D0(th);
                            this.errors.addThrowable(th);
                            cancelSources();
                            clear(aVar);
                            tVar.onError(this.errors.terminate());
                            return;
                        }
                    }
                } else {
                    cancelSources();
                    clear(aVar);
                    tVar.onError(this.errors.terminate());
                    return;
                }
            }
            clear(aVar);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:12:0x0017, code lost:
        if (r2 == r0.length) goto L_0x0019;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:15:0x001c, code lost:
        if (r4 == false) goto L_0x0021;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:16:0x001e, code lost:
        cancelSources();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:17:0x0021, code lost:
        drain();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:18:0x0024, code lost:
        return;
     */
    public void innerComplete(int i2) {
        synchronized (this) {
            Object[] objArr = this.latest;
            if (objArr != null) {
                boolean z = objArr[i2] == null;
                if (!z) {
                    int i3 = this.complete + 1;
                    this.complete = i3;
                }
                this.done = true;
            }
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:16:0x0023, code lost:
        if (r1 == r4.length) goto L_0x0025;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:19:0x0028, code lost:
        r0 = r3;
     */
    public void innerError(int i2, Throwable th) {
        if (this.errors.addThrowable(th)) {
            boolean z = true;
            if (this.delayError) {
                synchronized (this) {
                    Object[] objArr = this.latest;
                    if (objArr != null) {
                        boolean z2 = objArr[i2] == null;
                        if (!z2) {
                            int i3 = this.complete + 1;
                            this.complete = i3;
                        }
                        this.done = true;
                    } else {
                        return;
                    }
                }
            }
            if (z) {
                cancelSources();
            }
            drain();
            return;
        }
        d.l.b.g.g.b.q0(th);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r4v5, resolved type: f.a.c0.f.a<java.lang.Object[]> */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARNING: Code restructure failed: missing block: B:14:0x0023, code lost:
        if (r4 == false) goto L_?;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:15:0x0025, code lost:
        drain();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:19:?, code lost:
        return;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:20:?, code lost:
        return;
     */
    public void innerNext(int i2, T t) {
        boolean z;
        synchronized (this) {
            Object[] objArr = this.latest;
            if (objArr != null) {
                Object obj = objArr[i2];
                int i3 = this.active;
                if (obj == null) {
                    i3++;
                    this.active = i3;
                }
                objArr[i2] = t;
                if (i3 == objArr.length) {
                    this.queue.offer(objArr.clone());
                    z = true;
                } else {
                    z = false;
                }
            }
        }
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return this.cancelled;
    }

    public void subscribe(r<? extends T>[] rVarArr) {
        ObservableCombineLatest$CombinerObserver<T, R>[] observableCombineLatest$CombinerObserverArr = this.observers;
        int length = observableCombineLatest$CombinerObserverArr.length;
        this.downstream.onSubscribe(this);
        for (int i2 = 0; i2 < length && !this.done && !this.cancelled; i2++) {
            rVarArr[i2].subscribe(observableCombineLatest$CombinerObserverArr[i2]);
        }
    }
}
