package io.reactivex.internal.operators.observable;

import f.a.b0.h;
import f.a.c0.c.g;
import f.a.c0.d.d;
import f.a.c0.f.a;
import f.a.r;
import f.a.t;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.observers.InnerQueuedObserver;
import io.reactivex.internal.util.AtomicThrowable;
import io.reactivex.internal.util.ErrorMode;
import java.util.ArrayDeque;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;

public final class ObservableConcatMapEager$ConcatMapEagerMainObserver<T, R> extends AtomicInteger implements t<T>, b, d<R> {
    private static final long serialVersionUID = 8080567949447303262L;
    public int activeCount;
    public volatile boolean cancelled;
    public InnerQueuedObserver<R> current;
    public volatile boolean done;
    public final t<? super R> downstream;
    public final AtomicThrowable error = new AtomicThrowable();
    public final ErrorMode errorMode;
    public final h<? super T, ? extends r<? extends R>> mapper;
    public final int maxConcurrency;
    public final ArrayDeque<InnerQueuedObserver<R>> observers = new ArrayDeque<>();
    public final int prefetch;
    public g<T> queue;
    public int sourceMode;
    public b upstream;

    public ObservableConcatMapEager$ConcatMapEagerMainObserver(t<? super R> tVar, h<? super T, ? extends r<? extends R>> hVar, int i2, int i3, ErrorMode errorMode2) {
        this.downstream = tVar;
        this.mapper = hVar;
        this.maxConcurrency = i2;
        this.prefetch = i3;
        this.errorMode = errorMode2;
    }

    @Override // f.a.z.b
    public void dispose() {
        this.cancelled = true;
        if (getAndIncrement() == 0) {
            this.queue.clear();
            disposeAll();
        }
    }

    public void disposeAll() {
        InnerQueuedObserver<R> innerQueuedObserver = this.current;
        if (innerQueuedObserver != null) {
            innerQueuedObserver.dispose();
        }
        while (true) {
            InnerQueuedObserver<R> poll = this.observers.poll();
            if (poll != null) {
                poll.dispose();
            } else {
                return;
            }
        }
    }

    @Override // f.a.c0.d.d
    public void drain() {
        if (getAndIncrement() == 0) {
            g<T> gVar = this.queue;
            ArrayDeque<InnerQueuedObserver<R>> arrayDeque = this.observers;
            t<? super R> tVar = this.downstream;
            ErrorMode errorMode2 = this.errorMode;
            int i2 = 1;
            while (true) {
                int i3 = this.activeCount;
                while (true) {
                    if (i3 == this.maxConcurrency) {
                        break;
                    } else if (this.cancelled) {
                        gVar.clear();
                        disposeAll();
                        return;
                    } else if (errorMode2 != ErrorMode.IMMEDIATE || ((Throwable) this.error.get()) == null) {
                        try {
                            T poll = gVar.poll();
                            if (poll == null) {
                                break;
                            }
                            Object apply = this.mapper.apply(poll);
                            Objects.requireNonNull(apply, "The mapper returned a null ObservableSource");
                            r rVar = (r) apply;
                            InnerQueuedObserver<R> innerQueuedObserver = new InnerQueuedObserver<>(this, this.prefetch);
                            arrayDeque.offer(innerQueuedObserver);
                            rVar.subscribe(innerQueuedObserver);
                            i3++;
                        } catch (Throwable th) {
                            d.l.b.g.g.b.D0(th);
                            this.upstream.dispose();
                            gVar.clear();
                            disposeAll();
                            this.error.addThrowable(th);
                            tVar.onError(this.error.terminate());
                            return;
                        }
                    } else {
                        gVar.clear();
                        disposeAll();
                        tVar.onError(this.error.terminate());
                        return;
                    }
                }
                this.activeCount = i3;
                if (this.cancelled) {
                    gVar.clear();
                    disposeAll();
                    return;
                } else if (errorMode2 != ErrorMode.IMMEDIATE || ((Throwable) this.error.get()) == null) {
                    InnerQueuedObserver<R> innerQueuedObserver2 = this.current;
                    if (innerQueuedObserver2 == null) {
                        if (errorMode2 != ErrorMode.BOUNDARY || ((Throwable) this.error.get()) == null) {
                            boolean z = this.done;
                            InnerQueuedObserver<R> poll2 = arrayDeque.poll();
                            boolean z2 = poll2 == null;
                            if (!z || !z2) {
                                if (!z2) {
                                    this.current = poll2;
                                }
                                innerQueuedObserver2 = poll2;
                            } else if (((Throwable) this.error.get()) != null) {
                                gVar.clear();
                                disposeAll();
                                tVar.onError(this.error.terminate());
                                return;
                            } else {
                                tVar.onComplete();
                                return;
                            }
                        } else {
                            gVar.clear();
                            disposeAll();
                            tVar.onError(this.error.terminate());
                            return;
                        }
                    }
                    if (innerQueuedObserver2 != null) {
                        g<R> queue2 = innerQueuedObserver2.queue();
                        while (!this.cancelled) {
                            boolean isDone = innerQueuedObserver2.isDone();
                            if (errorMode2 != ErrorMode.IMMEDIATE || ((Throwable) this.error.get()) == null) {
                                try {
                                    R poll3 = queue2.poll();
                                    boolean z3 = poll3 == null;
                                    if (isDone && z3) {
                                        this.current = null;
                                        this.activeCount--;
                                    } else if (!z3) {
                                        tVar.onNext(poll3);
                                    }
                                } catch (Throwable th2) {
                                    d.l.b.g.g.b.D0(th2);
                                    this.error.addThrowable(th2);
                                    this.current = null;
                                    this.activeCount--;
                                }
                            } else {
                                gVar.clear();
                                disposeAll();
                                tVar.onError(this.error.terminate());
                                return;
                            }
                        }
                        gVar.clear();
                        disposeAll();
                        return;
                    }
                    i2 = addAndGet(-i2);
                    if (i2 == 0) {
                        return;
                    }
                } else {
                    gVar.clear();
                    disposeAll();
                    tVar.onError(this.error.terminate());
                    return;
                }
            }
        }
    }

    @Override // f.a.c0.d.d
    public void innerComplete(InnerQueuedObserver<R> innerQueuedObserver) {
        innerQueuedObserver.setDone();
        drain();
    }

    @Override // f.a.c0.d.d
    public void innerError(InnerQueuedObserver<R> innerQueuedObserver, Throwable th) {
        if (this.error.addThrowable(th)) {
            if (this.errorMode == ErrorMode.IMMEDIATE) {
                this.upstream.dispose();
            }
            innerQueuedObserver.setDone();
            drain();
            return;
        }
        d.l.b.g.g.b.q0(th);
    }

    @Override // f.a.c0.d.d
    public void innerNext(InnerQueuedObserver<R> innerQueuedObserver, R r) {
        innerQueuedObserver.queue().offer(r);
        drain();
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return this.cancelled;
    }

    @Override // f.a.t
    public void onComplete() {
        this.done = true;
        drain();
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        if (this.error.addThrowable(th)) {
            this.done = true;
            drain();
            return;
        }
        d.l.b.g.g.b.q0(th);
    }

    @Override // f.a.t
    public void onNext(T t) {
        if (this.sourceMode == 0) {
            this.queue.offer(t);
        }
        drain();
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        if (DisposableHelper.validate(this.upstream, bVar)) {
            this.upstream = bVar;
            if (bVar instanceof f.a.c0.c.b) {
                f.a.c0.c.b bVar2 = (f.a.c0.c.b) bVar;
                int requestFusion = bVar2.requestFusion(3);
                if (requestFusion == 1) {
                    this.sourceMode = requestFusion;
                    this.queue = bVar2;
                    this.done = true;
                    this.downstream.onSubscribe(this);
                    drain();
                    return;
                } else if (requestFusion == 2) {
                    this.sourceMode = requestFusion;
                    this.queue = bVar2;
                    this.downstream.onSubscribe(this);
                    return;
                }
            }
            this.queue = new a(this.prefetch);
            this.downstream.onSubscribe(this);
        }
    }
}
