package io.reactivex.internal.operators.observable;

import f.a.b0.a;
import f.a.c0.c.b;
import f.a.t;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.observers.BasicIntQueueDisposable;

public final class ObservableDoFinally$DoFinallyObserver<T> extends BasicIntQueueDisposable<T> implements t<T> {
    private static final long serialVersionUID = 4109457741734051389L;
    public final t<? super T> downstream;
    public final a onFinally;
    public b<T> qd;
    public boolean syncFused;
    public f.a.z.b upstream;

    public ObservableDoFinally$DoFinallyObserver(t<? super T> tVar, a aVar) {
        this.downstream = tVar;
        this.onFinally = aVar;
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.observers.BasicIntQueueDisposable
    public void clear() {
        this.qd.clear();
    }

    @Override // f.a.z.b, io.reactivex.internal.observers.BasicIntQueueDisposable
    public void dispose() {
        this.upstream.dispose();
        runFinally();
    }

    @Override // f.a.z.b, io.reactivex.internal.observers.BasicIntQueueDisposable
    public boolean isDisposed() {
        return this.upstream.isDisposed();
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.observers.BasicIntQueueDisposable
    public boolean isEmpty() {
        return this.qd.isEmpty();
    }

    @Override // f.a.t
    public void onComplete() {
        this.downstream.onComplete();
        runFinally();
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        this.downstream.onError(th);
        runFinally();
    }

    @Override // f.a.t
    public void onNext(T t) {
        this.downstream.onNext(t);
    }

    @Override // f.a.t
    public void onSubscribe(f.a.z.b bVar) {
        if (DisposableHelper.validate(this.upstream, bVar)) {
            this.upstream = bVar;
            if (bVar instanceof b) {
                this.qd = (b) bVar;
            }
            this.downstream.onSubscribe(this);
        }
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.observers.BasicIntQueueDisposable
    public T poll() {
        T poll = this.qd.poll();
        if (poll == null && this.syncFused) {
            runFinally();
        }
        return poll;
    }

    @Override // f.a.c0.c.c, io.reactivex.internal.observers.BasicIntQueueDisposable
    public int requestFusion(int i2) {
        b<T> bVar = this.qd;
        boolean z = false;
        if (bVar == null || (i2 & 4) != 0) {
            return 0;
        }
        int requestFusion = bVar.requestFusion(i2);
        if (requestFusion != 0) {
            if (requestFusion == 1) {
                z = true;
            }
            this.syncFused = z;
        }
        return requestFusion;
    }

    public void runFinally() {
        if (compareAndSet(0, 1)) {
            try {
                this.onFinally.run();
            } catch (Throwable th) {
                d.l.b.g.g.b.D0(th);
                d.l.b.g.g.b.q0(th);
            }
        }
    }
}
