package io.reactivex.internal.operators.observable;

import f.a.b0.h;
import f.a.c0.f.a;
import f.a.g;
import f.a.t;
import f.a.w;
import f.a.x;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.util.AtomicThrowable;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicReference;

public final class ObservableFlatMapSingle$FlatMapSingleObserver<T, R> extends AtomicInteger implements t<T>, b {
    private static final long serialVersionUID = 8600231336733376951L;
    public final AtomicInteger active = new AtomicInteger(1);
    public volatile boolean cancelled;
    public final boolean delayErrors;
    public final t<? super R> downstream;
    public final AtomicThrowable errors = new AtomicThrowable();
    public final h<? super T, ? extends x<? extends R>> mapper;
    public final AtomicReference<a<R>> queue = new AtomicReference<>();
    public final f.a.z.a set = new f.a.z.a();
    public b upstream;

    public final class InnerObserver extends AtomicReference<b> implements w<R>, b {
        private static final long serialVersionUID = -502562646270949838L;

        public InnerObserver() {
        }

        @Override // f.a.z.b
        public void dispose() {
            DisposableHelper.dispose(this);
        }

        @Override // f.a.z.b
        public boolean isDisposed() {
            return DisposableHelper.isDisposed((b) get());
        }

        @Override // f.a.w
        public void onError(Throwable th) {
            ObservableFlatMapSingle$FlatMapSingleObserver.this.innerError(this, th);
        }

        @Override // f.a.w
        public void onSubscribe(b bVar) {
            DisposableHelper.setOnce(this, bVar);
        }

        @Override // f.a.w
        public void onSuccess(R r) {
            ObservableFlatMapSingle$FlatMapSingleObserver.this.innerSuccess(this, r);
        }
    }

    public ObservableFlatMapSingle$FlatMapSingleObserver(t<? super R> tVar, h<? super T, ? extends x<? extends R>> hVar, boolean z) {
        this.downstream = tVar;
        this.mapper = hVar;
        this.delayErrors = z;
    }

    public void clear() {
        a<R> aVar = this.queue.get();
        if (aVar != null) {
            aVar.clear();
        }
    }

    @Override // f.a.z.b
    public void dispose() {
        this.cancelled = true;
        this.upstream.dispose();
        this.set.dispose();
    }

    public void drain() {
        if (getAndIncrement() == 0) {
            drainLoop();
        }
    }

    public void drainLoop() {
        t<? super R> tVar = this.downstream;
        AtomicInteger atomicInteger = this.active;
        AtomicReference<a<R>> atomicReference = this.queue;
        int i2 = 1;
        while (!this.cancelled) {
            if (this.delayErrors || ((Throwable) this.errors.get()) == null) {
                boolean z = false;
                boolean z2 = atomicInteger.get() == 0;
                a<R> aVar = atomicReference.get();
                R poll = aVar != null ? aVar.poll() : null;
                if (poll == null) {
                    z = true;
                }
                if (z2 && z) {
                    Throwable terminate = this.errors.terminate();
                    if (terminate != null) {
                        tVar.onError(terminate);
                        return;
                    } else {
                        tVar.onComplete();
                        return;
                    }
                } else if (z) {
                    i2 = addAndGet(-i2);
                    if (i2 == 0) {
                        return;
                    }
                } else {
                    tVar.onNext(poll);
                }
            } else {
                Throwable terminate2 = this.errors.terminate();
                clear();
                tVar.onError(terminate2);
                return;
            }
        }
        clear();
    }

    public a<R> getOrCreateQueue() {
        a<R> aVar;
        do {
            a<R> aVar2 = this.queue.get();
            if (aVar2 != null) {
                return aVar2;
            }
            aVar = new a<>(g.f13146d);
        } while (!this.queue.compareAndSet(null, aVar));
        return aVar;
    }

    public void innerError(ObservableFlatMapSingle$FlatMapSingleObserver<T, R>.InnerObserver innerObserver, Throwable th) {
        this.set.a(innerObserver);
        if (this.errors.addThrowable(th)) {
            if (!this.delayErrors) {
                this.upstream.dispose();
                this.set.dispose();
            }
            this.active.decrementAndGet();
            drain();
            return;
        }
        d.l.b.g.g.b.q0(th);
    }

    public void innerSuccess(ObservableFlatMapSingle$FlatMapSingleObserver<T, R>.InnerObserver innerObserver, R r) {
        this.set.a(innerObserver);
        if (get() == 0) {
            boolean z = false;
            if (compareAndSet(0, 1)) {
                this.downstream.onNext(r);
                if (this.active.decrementAndGet() == 0) {
                    z = true;
                }
                a<R> aVar = this.queue.get();
                if (!z || (aVar != null && !aVar.isEmpty())) {
                    if (decrementAndGet() == 0) {
                        return;
                    }
                    drainLoop();
                }
                Throwable terminate = this.errors.terminate();
                if (terminate != null) {
                    this.downstream.onError(terminate);
                    return;
                } else {
                    this.downstream.onComplete();
                    return;
                }
            }
        }
        a<R> orCreateQueue = getOrCreateQueue();
        synchronized (orCreateQueue) {
            orCreateQueue.offer(r);
        }
        this.active.decrementAndGet();
        if (getAndIncrement() != 0) {
            return;
        }
        drainLoop();
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return this.cancelled;
    }

    @Override // f.a.t
    public void onComplete() {
        this.active.decrementAndGet();
        drain();
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        this.active.decrementAndGet();
        if (this.errors.addThrowable(th)) {
            if (!this.delayErrors) {
                this.set.dispose();
            }
            drain();
            return;
        }
        d.l.b.g.g.b.q0(th);
    }

    @Override // f.a.t
    public void onNext(T t) {
        try {
            Object apply = this.mapper.apply(t);
            Objects.requireNonNull(apply, "The mapper returned a null SingleSource");
            x xVar = (x) apply;
            this.active.getAndIncrement();
            InnerObserver innerObserver = new InnerObserver();
            if (!this.cancelled && this.set.c(innerObserver)) {
                xVar.a(innerObserver);
            }
        } catch (Throwable th) {
            d.l.b.g.g.b.D0(th);
            this.upstream.dispose();
            onError(th);
        }
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        if (DisposableHelper.validate(this.upstream, bVar)) {
            this.upstream = bVar;
            this.downstream.onSubscribe(this);
        }
    }
}
