package io.reactivex.internal.operators.observable;

import f.a.c0.f.a;
import f.a.r;
import f.a.t;
import f.a.z.b;
import io.reactivex.internal.disposables.EmptyDisposable;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicReference;

public final class ObservableGroupBy$State<T, K> extends AtomicInteger implements b, r<T> {
    private static final long serialVersionUID = -3852313036005250360L;
    public final AtomicReference<t<? super T>> actual = new AtomicReference<>();
    public final AtomicBoolean cancelled = new AtomicBoolean();
    public final boolean delayError;
    public volatile boolean done;
    public Throwable error;
    public final K key;
    public final AtomicBoolean once = new AtomicBoolean();
    public final ObservableGroupBy$GroupByObserver<?, K, T> parent;
    public final a<T> queue;

    public ObservableGroupBy$State(int i2, ObservableGroupBy$GroupByObserver<?, K, T> observableGroupBy$GroupByObserver, K k2, boolean z) {
        this.queue = new a<>(i2);
        this.parent = observableGroupBy$GroupByObserver;
        this.key = k2;
        this.delayError = z;
    }

    public boolean checkTerminated(boolean z, boolean z2, t<? super T> tVar, boolean z3) {
        if (this.cancelled.get()) {
            this.queue.clear();
            this.parent.cancel(this.key);
            this.actual.lazySet(null);
            return true;
        } else if (!z) {
            return false;
        } else {
            if (!z3) {
                Throwable th = this.error;
                if (th != null) {
                    this.queue.clear();
                    this.actual.lazySet(null);
                    tVar.onError(th);
                    return true;
                } else if (!z2) {
                    return false;
                } else {
                    this.actual.lazySet(null);
                    tVar.onComplete();
                    return true;
                }
            } else if (!z2) {
                return false;
            } else {
                Throwable th2 = this.error;
                this.actual.lazySet(null);
                if (th2 != null) {
                    tVar.onError(th2);
                } else {
                    tVar.onComplete();
                }
                return true;
            }
        }
    }

    @Override // f.a.z.b
    public void dispose() {
        if (this.cancelled.compareAndSet(false, true) && getAndIncrement() == 0) {
            this.actual.lazySet(null);
            this.parent.cancel(this.key);
        }
    }

    public void drain() {
        if (getAndIncrement() == 0) {
            a<T> aVar = this.queue;
            boolean z = this.delayError;
            t<? super T> tVar = this.actual.get();
            int i2 = 1;
            while (true) {
                if (tVar != null) {
                    while (true) {
                        boolean z2 = this.done;
                        T poll = aVar.poll();
                        boolean z3 = poll == null;
                        if (!checkTerminated(z2, z3, tVar, z)) {
                            if (z3) {
                                break;
                            }
                            tVar.onNext(poll);
                        } else {
                            return;
                        }
                    }
                }
                i2 = addAndGet(-i2);
                if (i2 != 0) {
                    if (tVar == null) {
                        tVar = this.actual.get();
                    }
                } else {
                    return;
                }
            }
        }
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return this.cancelled.get();
    }

    public void onComplete() {
        this.done = true;
        drain();
    }

    public void onError(Throwable th) {
        this.error = th;
        this.done = true;
        drain();
    }

    public void onNext(T t) {
        this.queue.offer(t);
        drain();
    }

    @Override // f.a.r
    public void subscribe(t<? super T> tVar) {
        if (this.once.compareAndSet(false, true)) {
            tVar.onSubscribe(this);
            this.actual.lazySet(tVar);
            if (this.cancelled.get()) {
                this.actual.lazySet(null);
            } else {
                drain();
            }
        } else {
            EmptyDisposable.error(new IllegalStateException("Only one Observer allowed!"), tVar);
        }
    }
}
