package io.reactivex.internal.operators.observable;

import f.a.c;
import f.a.t;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.util.AtomicThrowable;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicReference;

public final class ObservableMergeWithCompletable$MergeWithObserver<T> extends AtomicInteger implements t<T>, b {
    private static final long serialVersionUID = -4592979584110982903L;
    public final t<? super T> downstream;
    public final AtomicThrowable error = new AtomicThrowable();
    public final AtomicReference<b> mainDisposable = new AtomicReference<>();
    public volatile boolean mainDone;
    public volatile boolean otherDone;
    public final OtherObserver otherObserver = new OtherObserver(this);

    public static final class OtherObserver extends AtomicReference<b> implements c {
        private static final long serialVersionUID = -2935427570954647017L;
        public final ObservableMergeWithCompletable$MergeWithObserver<?> parent;

        public OtherObserver(ObservableMergeWithCompletable$MergeWithObserver<?> observableMergeWithCompletable$MergeWithObserver) {
            this.parent = observableMergeWithCompletable$MergeWithObserver;
        }

        @Override // f.a.c
        public void onComplete() {
            this.parent.otherComplete();
        }

        @Override // f.a.c
        public void onError(Throwable th) {
            this.parent.otherError(th);
        }

        @Override // f.a.c
        public void onSubscribe(b bVar) {
            DisposableHelper.setOnce(this, bVar);
        }
    }

    public ObservableMergeWithCompletable$MergeWithObserver(t<? super T> tVar) {
        this.downstream = tVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this.mainDisposable);
        DisposableHelper.dispose(this.otherObserver);
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed(this.mainDisposable.get());
    }

    @Override // f.a.t
    public void onComplete() {
        this.mainDone = true;
        if (this.otherDone) {
            d.l.b.g.g.b.n0(this.downstream, this, this.error);
        }
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        DisposableHelper.dispose(this.mainDisposable);
        d.l.b.g.g.b.p0(this.downstream, th, this, this.error);
    }

    @Override // f.a.t
    public void onNext(T t) {
        d.l.b.g.g.b.s0(this.downstream, t, this, this.error);
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        DisposableHelper.setOnce(this.mainDisposable, bVar);
    }

    public void otherComplete() {
        this.otherDone = true;
        if (this.mainDone) {
            d.l.b.g.g.b.n0(this.downstream, this, this.error);
        }
    }

    public void otherError(Throwable th) {
        DisposableHelper.dispose(this.mainDisposable);
        d.l.b.g.g.b.p0(this.downstream, th, this, this.error);
    }
}
