package io.reactivex.internal.operators.observable;

import f.a.c0.c.f;
import f.a.c0.f.a;
import f.a.g;
import f.a.t;
import f.a.w;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.util.AtomicThrowable;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicReference;

public final class ObservableMergeWithSingle$MergeWithObserver<T> extends AtomicInteger implements t<T>, b {
    public static final int OTHER_STATE_CONSUMED_OR_EMPTY = 2;
    public static final int OTHER_STATE_HAS_VALUE = 1;
    private static final long serialVersionUID = -4592979584110982903L;
    public volatile boolean disposed;
    public final t<? super T> downstream;
    public final AtomicThrowable error = new AtomicThrowable();
    public final AtomicReference<b> mainDisposable = new AtomicReference<>();
    public volatile boolean mainDone;
    public final OtherObserver<T> otherObserver = new OtherObserver<>(this);
    public volatile int otherState;
    public volatile f<T> queue;
    public T singleItem;

    public static final class OtherObserver<T> extends AtomicReference<b> implements w<T> {
        private static final long serialVersionUID = -2935427570954647017L;
        public final ObservableMergeWithSingle$MergeWithObserver<T> parent;

        public OtherObserver(ObservableMergeWithSingle$MergeWithObserver<T> observableMergeWithSingle$MergeWithObserver) {
            this.parent = observableMergeWithSingle$MergeWithObserver;
        }

        @Override // f.a.w
        public void onError(Throwable th) {
            this.parent.otherError(th);
        }

        @Override // f.a.w
        public void onSubscribe(b bVar) {
            DisposableHelper.setOnce(this, bVar);
        }

        @Override // f.a.w
        public void onSuccess(T t) {
            this.parent.otherSuccess(t);
        }
    }

    public ObservableMergeWithSingle$MergeWithObserver(t<? super T> tVar) {
        this.downstream = tVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        this.disposed = true;
        DisposableHelper.dispose(this.mainDisposable);
        DisposableHelper.dispose(this.otherObserver);
        if (getAndIncrement() == 0) {
            this.queue = null;
            this.singleItem = null;
        }
    }

    public void drain() {
        if (getAndIncrement() == 0) {
            drainLoop();
        }
    }

    public void drainLoop() {
        t<? super T> tVar = this.downstream;
        int i2 = 1;
        while (!this.disposed) {
            if (this.error.get() != null) {
                this.singleItem = null;
                this.queue = null;
                tVar.onError(this.error.terminate());
                return;
            }
            int i3 = this.otherState;
            if (i3 == 1) {
                T t = this.singleItem;
                this.singleItem = null;
                this.otherState = 2;
                tVar.onNext(t);
                i3 = 2;
            }
            boolean z = this.mainDone;
            f<T> fVar = this.queue;
            T poll = fVar != null ? fVar.poll() : null;
            boolean z2 = poll == null;
            if (z && z2 && i3 == 2) {
                this.queue = null;
                tVar.onComplete();
                return;
            } else if (z2) {
                i2 = addAndGet(-i2);
                if (i2 == 0) {
                    return;
                }
            } else {
                tVar.onNext(poll);
            }
        }
        this.singleItem = null;
        this.queue = null;
    }

    public f<T> getOrCreateQueue() {
        f<T> fVar = this.queue;
        if (fVar != null) {
            return fVar;
        }
        a aVar = new a(g.f13146d);
        this.queue = aVar;
        return aVar;
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed(this.mainDisposable.get());
    }

    @Override // f.a.t
    public void onComplete() {
        this.mainDone = true;
        drain();
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        if (this.error.addThrowable(th)) {
            DisposableHelper.dispose(this.mainDisposable);
            drain();
            return;
        }
        d.l.b.g.g.b.q0(th);
    }

    @Override // f.a.t
    public void onNext(T t) {
        if (compareAndSet(0, 1)) {
            this.downstream.onNext(t);
            if (decrementAndGet() == 0) {
                return;
            }
        } else {
            getOrCreateQueue().offer(t);
            if (getAndIncrement() != 0) {
                return;
            }
        }
        drainLoop();
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        DisposableHelper.setOnce(this.mainDisposable, bVar);
    }

    public void otherError(Throwable th) {
        if (this.error.addThrowable(th)) {
            DisposableHelper.dispose(this.mainDisposable);
            drain();
            return;
        }
        d.l.b.g.g.b.q0(th);
    }

    public void otherSuccess(T t) {
        if (compareAndSet(0, 1)) {
            this.downstream.onNext(t);
            this.otherState = 2;
        } else {
            this.singleItem = t;
            this.otherState = 1;
            if (getAndIncrement() != 0) {
                return;
            }
        }
        drainLoop();
    }
}
