package io.reactivex.internal.operators.observable;

import f.a.t;
import io.reactivex.internal.observers.BasicIntQueueDisposable;

public final class ObservableRangeLong$RangeDisposable extends BasicIntQueueDisposable<Long> {
    private static final long serialVersionUID = 396518478098735504L;
    public final t<? super Long> downstream;
    public final long end;
    public boolean fused;
    public long index;

    public ObservableRangeLong$RangeDisposable(t<? super Long> tVar, long j2, long j3) {
        this.downstream = tVar;
        this.index = j2;
        this.end = j3;
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.observers.BasicIntQueueDisposable
    public void clear() {
        this.index = this.end;
        lazySet(1);
    }

    @Override // f.a.z.b, io.reactivex.internal.observers.BasicIntQueueDisposable
    public void dispose() {
        set(1);
    }

    @Override // f.a.z.b, io.reactivex.internal.observers.BasicIntQueueDisposable
    public boolean isDisposed() {
        return get() != 0;
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.observers.BasicIntQueueDisposable
    public boolean isEmpty() {
        return this.index == this.end;
    }

    @Override // f.a.c0.c.c, io.reactivex.internal.observers.BasicIntQueueDisposable
    public int requestFusion(int i2) {
        if ((i2 & 1) == 0) {
            return 0;
        }
        this.fused = true;
        return 1;
    }

    public void run() {
        if (!this.fused) {
            t<? super Long> tVar = this.downstream;
            long j2 = this.end;
            for (long j3 = this.index; j3 != j2 && get() == 0; j3++) {
                tVar.onNext(Long.valueOf(j3));
            }
            if (get() == 0) {
                lazySet(1);
                tVar.onComplete();
            }
        }
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.observers.BasicIntQueueDisposable
    public Long poll() {
        long j2 = this.index;
        if (j2 != this.end) {
            this.index = 1 + j2;
            return Long.valueOf(j2);
        }
        lazySet(1);
        return null;
    }
}
