package io.reactivex.internal.operators.observable;

import f.a.r;
import f.a.t;
import f.a.z.b;
import io.reactivex.internal.disposables.SequentialDisposable;
import java.util.concurrent.atomic.AtomicInteger;

public final class ObservableRepeat$RepeatObserver<T> extends AtomicInteger implements t<T> {
    private static final long serialVersionUID = -7098360935104053232L;
    public final t<? super T> downstream;
    public long remaining;
    public final SequentialDisposable sd;
    public final r<? extends T> source;

    public ObservableRepeat$RepeatObserver(t<? super T> tVar, long j2, SequentialDisposable sequentialDisposable, r<? extends T> rVar) {
        this.downstream = tVar;
        this.sd = sequentialDisposable;
        this.source = rVar;
        this.remaining = j2;
    }

    @Override // f.a.t
    public void onComplete() {
        long j2 = this.remaining;
        if (j2 != Long.MAX_VALUE) {
            this.remaining = j2 - 1;
        }
        if (j2 != 0) {
            subscribeNext();
        } else {
            this.downstream.onComplete();
        }
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        this.downstream.onError(th);
    }

    @Override // f.a.t
    public void onNext(T t) {
        this.downstream.onNext(t);
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        this.sd.replace(bVar);
    }

    public void subscribeNext() {
        if (getAndIncrement() == 0) {
            int i2 = 1;
            while (!this.sd.isDisposed()) {
                this.source.subscribe(this);
                i2 = addAndGet(-i2);
                if (i2 == 0) {
                    return;
                }
            }
        }
    }
}
