package io.reactivex.internal.operators.observable;

import d.l.b.g.g.b;
import f.a.b0.e;
import f.a.r;
import f.a.t;
import io.reactivex.internal.disposables.SequentialDisposable;
import java.util.concurrent.atomic.AtomicInteger;

public final class ObservableRepeatUntil$RepeatUntilObserver<T> extends AtomicInteger implements t<T> {
    private static final long serialVersionUID = -7098360935104053232L;
    public final t<? super T> downstream;
    public final r<? extends T> source;
    public final e stop;
    public final SequentialDisposable upstream;

    public ObservableRepeatUntil$RepeatUntilObserver(t<? super T> tVar, e eVar, SequentialDisposable sequentialDisposable, r<? extends T> rVar) {
        this.downstream = tVar;
        this.upstream = sequentialDisposable;
        this.source = rVar;
        this.stop = eVar;
    }

    @Override // f.a.t
    public void onComplete() {
        try {
            if (this.stop.getAsBoolean()) {
                this.downstream.onComplete();
            } else {
                subscribeNext();
            }
        } catch (Throwable th) {
            b.D0(th);
            this.downstream.onError(th);
        }
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        this.downstream.onError(th);
    }

    @Override // f.a.t
    public void onNext(T t) {
        this.downstream.onNext(t);
    }

    @Override // f.a.t
    public void onSubscribe(f.a.z.b bVar) {
        this.upstream.replace(bVar);
    }

    public void subscribeNext() {
        if (getAndIncrement() == 0) {
            int i2 = 1;
            do {
                this.source.subscribe(this);
                i2 = addAndGet(-i2);
            } while (i2 != 0);
        }
    }
}
