package io.reactivex.internal.operators.observable;

import d.l.b.g.g.b;
import f.a.b0.i;
import f.a.r;
import f.a.t;
import io.reactivex.exceptions.CompositeException;
import io.reactivex.internal.disposables.SequentialDisposable;
import java.util.concurrent.atomic.AtomicInteger;

public final class ObservableRetryPredicate$RepeatObserver<T> extends AtomicInteger implements t<T> {
    private static final long serialVersionUID = -7098360935104053232L;
    public final t<? super T> downstream;
    public final i<? super Throwable> predicate;
    public long remaining;
    public final r<? extends T> source;
    public final SequentialDisposable upstream;

    public ObservableRetryPredicate$RepeatObserver(t<? super T> tVar, long j2, i<? super Throwable> iVar, SequentialDisposable sequentialDisposable, r<? extends T> rVar) {
        this.downstream = tVar;
        this.upstream = sequentialDisposable;
        this.source = rVar;
        this.predicate = iVar;
        this.remaining = j2;
    }

    @Override // f.a.t
    public void onComplete() {
        this.downstream.onComplete();
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        long j2 = this.remaining;
        if (j2 != Long.MAX_VALUE) {
            this.remaining = j2 - 1;
        }
        if (j2 == 0) {
            this.downstream.onError(th);
            return;
        }
        try {
            if (!this.predicate.test(th)) {
                this.downstream.onError(th);
            } else {
                subscribeNext();
            }
        } catch (Throwable th2) {
            b.D0(th2);
            this.downstream.onError(new CompositeException(th, th2));
        }
    }

    @Override // f.a.t
    public void onNext(T t) {
        this.downstream.onNext(t);
    }

    @Override // f.a.t
    public void onSubscribe(f.a.z.b bVar) {
        this.upstream.replace(bVar);
    }

    public void subscribeNext() {
        if (getAndIncrement() == 0) {
            int i2 = 1;
            while (!this.upstream.isDisposed()) {
                this.source.subscribe(this);
                i2 = addAndGet(-i2);
                if (i2 == 0) {
                    return;
                }
            }
        }
    }
}
