package io.reactivex.internal.operators.observable;

import f.a.t;
import f.a.u;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicReference;

public abstract class ObservableSampleTimed$SampleTimedObserver<T> extends AtomicReference<T> implements t<T>, b, Runnable {
    private static final long serialVersionUID = -3517602651313910099L;
    public final t<? super T> downstream;
    public final long period;
    public final u scheduler;
    public final AtomicReference<b> timer = new AtomicReference<>();
    public final TimeUnit unit;
    public b upstream;

    public ObservableSampleTimed$SampleTimedObserver(t<? super T> tVar, long j2, TimeUnit timeUnit, u uVar) {
        this.downstream = tVar;
        this.period = j2;
        this.unit = timeUnit;
        this.scheduler = uVar;
    }

    public void cancelTimer() {
        DisposableHelper.dispose(this.timer);
    }

    public abstract void complete();

    @Override // f.a.z.b
    public void dispose() {
        cancelTimer();
        this.upstream.dispose();
    }

    public void emit() {
        Object andSet = getAndSet(null);
        if (andSet != null) {
            this.downstream.onNext(andSet);
        }
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return this.upstream.isDisposed();
    }

    @Override // f.a.t
    public void onComplete() {
        cancelTimer();
        complete();
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        cancelTimer();
        this.downstream.onError(th);
    }

    @Override // f.a.t
    public void onNext(T t) {
        lazySet(t);
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        if (DisposableHelper.validate(this.upstream, bVar)) {
            this.upstream = bVar;
            this.downstream.onSubscribe(this);
            u uVar = this.scheduler;
            long j2 = this.period;
            DisposableHelper.replace(this.timer, uVar.e(this, j2, j2, this.unit));
        }
    }
}
