package io.reactivex.internal.operators.observable;

import f.a.c0.e.d.q;
import f.a.r;
import f.a.t;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.atomic.AtomicReference;

public abstract class ObservableSampleWithObservable$SampleMainObserver<T> extends AtomicReference<T> implements t<T>, b {
    private static final long serialVersionUID = -3517602651313910099L;
    public final t<? super T> downstream;
    public final AtomicReference<b> other = new AtomicReference<>();
    public final r<?> sampler;
    public b upstream;

    public ObservableSampleWithObservable$SampleMainObserver(t<? super T> tVar, r<?> rVar) {
        this.downstream = tVar;
        this.sampler = rVar;
    }

    public void complete() {
        this.upstream.dispose();
        completeOther();
    }

    public abstract void completeMain();

    public abstract void completeOther();

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this.other);
        this.upstream.dispose();
    }

    public void emit() {
        Object andSet = getAndSet(null);
        if (andSet != null) {
            this.downstream.onNext(andSet);
        }
    }

    public void error(Throwable th) {
        this.upstream.dispose();
        this.downstream.onError(th);
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return this.other.get() == DisposableHelper.DISPOSED;
    }

    @Override // f.a.t
    public void onComplete() {
        DisposableHelper.dispose(this.other);
        completeMain();
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        DisposableHelper.dispose(this.other);
        this.downstream.onError(th);
    }

    @Override // f.a.t
    public void onNext(T t) {
        lazySet(t);
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        if (DisposableHelper.validate(this.upstream, bVar)) {
            this.upstream = bVar;
            this.downstream.onSubscribe(this);
            if (this.other.get() == null) {
                this.sampler.subscribe(new q(this));
            }
        }
    }

    public abstract void run();

    public boolean setOther(b bVar) {
        return DisposableHelper.setOnce(this.other, bVar);
    }
}
