package io.reactivex.internal.operators.observable;

import f.a.b0.d;
import f.a.c0.b.a;
import f.a.c0.e.d.t;
import f.a.c0.f.a;
import f.a.r;
import f.a.w;
import f.a.z.b;
import io.reactivex.internal.disposables.ArrayCompositeDisposable;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;

public final class ObservableSequenceEqualSingle$EqualCoordinator<T> extends AtomicInteger implements b {
    private static final long serialVersionUID = -6178010334400373240L;
    public volatile boolean cancelled;
    public final d<? super T, ? super T> comparer;
    public final w<? super Boolean> downstream;
    public final r<? extends T> first;
    public final t<T>[] observers;
    public final ArrayCompositeDisposable resources = new ArrayCompositeDisposable(2);
    public final r<? extends T> second;
    public T v1;
    public T v2;

    public ObservableSequenceEqualSingle$EqualCoordinator(w<? super Boolean> wVar, int i2, r<? extends T> rVar, r<? extends T> rVar2, d<? super T, ? super T> dVar) {
        this.downstream = wVar;
        this.first = rVar;
        this.second = rVar2;
        this.comparer = dVar;
        t<T>[] tVarArr = new t[2];
        this.observers = tVarArr;
        tVarArr[0] = new t<>(this, 0, i2);
        tVarArr[1] = new t<>(this, 1, i2);
    }

    public void cancel(a<T> aVar, a<T> aVar2) {
        this.cancelled = true;
        aVar.clear();
        aVar2.clear();
    }

    @Override // f.a.z.b
    public void dispose() {
        if (!this.cancelled) {
            this.cancelled = true;
            this.resources.dispose();
            if (getAndIncrement() == 0) {
                t<T>[] tVarArr = this.observers;
                tVarArr[0].f13043h.clear();
                tVarArr[1].f13043h.clear();
            }
        }
    }

    public void drain() {
        Throwable th;
        Throwable th2;
        if (getAndIncrement() == 0) {
            t<T>[] tVarArr = this.observers;
            t<T> tVar = tVarArr[0];
            a<T> aVar = tVar.f13043h;
            t<T> tVar2 = tVarArr[1];
            a<T> aVar2 = tVar2.f13043h;
            int i2 = 1;
            while (!this.cancelled) {
                boolean z = tVar.f13045k;
                if (!z || (th2 = tVar.f13046l) == null) {
                    boolean z2 = tVar2.f13045k;
                    if (!z2 || (th = tVar2.f13046l) == null) {
                        if (this.v1 == null) {
                            this.v1 = aVar.poll();
                        }
                        boolean z3 = this.v1 == null;
                        if (this.v2 == null) {
                            this.v2 = aVar2.poll();
                        }
                        T t = this.v2;
                        boolean z4 = t == null;
                        if (z && z2 && z3 && z4) {
                            this.downstream.onSuccess(Boolean.TRUE);
                            return;
                        } else if (!z || !z2 || z3 == z4) {
                            if (!z3 && !z4) {
                                try {
                                    d<? super T, ? super T> dVar = this.comparer;
                                    T t2 = this.v1;
                                    Objects.requireNonNull((a.C0118a) dVar);
                                    if (!f.a.c0.b.a.a(t2, t)) {
                                        cancel(aVar, aVar2);
                                        this.downstream.onSuccess(Boolean.FALSE);
                                        return;
                                    }
                                    this.v1 = null;
                                    this.v2 = null;
                                } catch (Throwable th3) {
                                    d.l.b.g.g.b.D0(th3);
                                    cancel(aVar, aVar2);
                                    this.downstream.onError(th3);
                                    return;
                                }
                            }
                            if ((z3 || z4) && (i2 = addAndGet(-i2)) == 0) {
                                return;
                            }
                        } else {
                            cancel(aVar, aVar2);
                            this.downstream.onSuccess(Boolean.FALSE);
                            return;
                        }
                    } else {
                        cancel(aVar, aVar2);
                        this.downstream.onError(th);
                        return;
                    }
                } else {
                    cancel(aVar, aVar2);
                    this.downstream.onError(th2);
                    return;
                }
            }
            aVar.clear();
            aVar2.clear();
        }
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return this.cancelled;
    }

    public boolean setDisposable(b bVar, int i2) {
        return this.resources.setResource(i2, bVar);
    }

    public void subscribe() {
        t<T>[] tVarArr = this.observers;
        this.first.subscribe(tVarArr[0]);
        this.second.subscribe(tVarArr[1]);
    }
}
