package io.reactivex.internal.operators.observable;

import f.a.c0.f.a;
import f.a.t;
import f.a.u;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicInteger;

public final class ObservableSkipLastTimed$SkipLastTimedObserver<T> extends AtomicInteger implements t<T>, b {
    private static final long serialVersionUID = -5677354903406201275L;
    public volatile boolean cancelled;
    public final boolean delayError;
    public volatile boolean done;
    public final t<? super T> downstream;
    public Throwable error;
    public final a<Object> queue;
    public final u scheduler;
    public final long time;
    public final TimeUnit unit;
    public b upstream;

    public ObservableSkipLastTimed$SkipLastTimedObserver(t<? super T> tVar, long j2, TimeUnit timeUnit, u uVar, int i2, boolean z) {
        this.downstream = tVar;
        this.time = j2;
        this.unit = timeUnit;
        this.scheduler = uVar;
        this.queue = new a<>(i2);
        this.delayError = z;
    }

    @Override // f.a.z.b
    public void dispose() {
        if (!this.cancelled) {
            this.cancelled = true;
            this.upstream.dispose();
            if (getAndIncrement() == 0) {
                this.queue.clear();
            }
        }
    }

    public void drain() {
        if (getAndIncrement() == 0) {
            t<? super T> tVar = this.downstream;
            a<Object> aVar = this.queue;
            boolean z = this.delayError;
            TimeUnit timeUnit = this.unit;
            u uVar = this.scheduler;
            long j2 = this.time;
            int i2 = 1;
            while (!this.cancelled) {
                boolean z2 = this.done;
                Long l2 = (Long) aVar.peek();
                boolean z3 = l2 == null;
                long b2 = uVar.b(timeUnit);
                if (!z3 && l2.longValue() > b2 - j2) {
                    z3 = true;
                }
                if (z2) {
                    if (!z) {
                        Throwable th = this.error;
                        if (th != null) {
                            this.queue.clear();
                            tVar.onError(th);
                            return;
                        } else if (z3) {
                            tVar.onComplete();
                            return;
                        }
                    } else if (z3) {
                        Throwable th2 = this.error;
                        if (th2 != null) {
                            tVar.onError(th2);
                            return;
                        } else {
                            tVar.onComplete();
                            return;
                        }
                    }
                }
                if (z3) {
                    i2 = addAndGet(-i2);
                    if (i2 == 0) {
                        return;
                    }
                } else {
                    aVar.poll();
                    tVar.onNext(aVar.poll());
                }
            }
            this.queue.clear();
        }
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return this.cancelled;
    }

    @Override // f.a.t
    public void onComplete() {
        this.done = true;
        drain();
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        this.error = th;
        this.done = true;
        drain();
    }

    @Override // f.a.t
    public void onNext(T t) {
        this.queue.c(Long.valueOf(this.scheduler.b(this.unit)), t);
        drain();
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        if (DisposableHelper.validate(this.upstream, bVar)) {
            this.upstream = bVar;
            this.downstream.onSubscribe(this);
        }
    }
}
