package io.reactivex.internal.operators.observable;

import f.a.t;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.ArrayDeque;

public final class ObservableTakeLast$TakeLastObserver<T> extends ArrayDeque<T> implements t<T>, b {
    private static final long serialVersionUID = 7240042530241604978L;
    public volatile boolean cancelled;
    public final int count;
    public final t<? super T> downstream;
    public b upstream;

    public ObservableTakeLast$TakeLastObserver(t<? super T> tVar, int i2) {
        this.downstream = tVar;
        this.count = i2;
    }

    @Override // f.a.z.b
    public void dispose() {
        if (!this.cancelled) {
            this.cancelled = true;
            this.upstream.dispose();
        }
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return this.cancelled;
    }

    @Override // f.a.t
    public void onComplete() {
        t<? super T> tVar = this.downstream;
        while (!this.cancelled) {
            Object obj = (Object) poll();
            if (obj != 0) {
                tVar.onNext(obj);
            } else if (!this.cancelled) {
                tVar.onComplete();
                return;
            } else {
                return;
            }
        }
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        this.downstream.onError(th);
    }

    @Override // f.a.t
    public void onNext(T t) {
        if (this.count == size()) {
            poll();
        }
        offer(t);
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        if (DisposableHelper.validate(this.upstream, bVar)) {
            this.upstream = bVar;
            this.downstream.onSubscribe(this);
        }
    }
}
