package io.reactivex.internal.operators.observable;

import f.a.c0.f.a;
import f.a.t;
import f.a.u;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicBoolean;

public final class ObservableTakeLastTimed$TakeLastTimedObserver<T> extends AtomicBoolean implements t<T>, b {
    private static final long serialVersionUID = -5677354903406201275L;
    public volatile boolean cancelled;
    public final long count;
    public final boolean delayError;
    public final t<? super T> downstream;
    public Throwable error;
    public final a<Object> queue;
    public final u scheduler;
    public final long time;
    public final TimeUnit unit;
    public b upstream;

    public ObservableTakeLastTimed$TakeLastTimedObserver(t<? super T> tVar, long j2, long j3, TimeUnit timeUnit, u uVar, int i2, boolean z) {
        this.downstream = tVar;
        this.count = j2;
        this.time = j3;
        this.unit = timeUnit;
        this.scheduler = uVar;
        this.queue = new a<>(i2);
        this.delayError = z;
    }

    @Override // f.a.z.b
    public void dispose() {
        if (!this.cancelled) {
            this.cancelled = true;
            this.upstream.dispose();
            if (compareAndSet(false, true)) {
                this.queue.clear();
            }
        }
    }

    public void drain() {
        Throwable th;
        if (compareAndSet(false, true)) {
            t<? super T> tVar = this.downstream;
            a<Object> aVar = this.queue;
            boolean z = this.delayError;
            while (!this.cancelled) {
                if (z || (th = this.error) == null) {
                    Object poll = aVar.poll();
                    if (poll == null) {
                        Throwable th2 = this.error;
                        if (th2 != null) {
                            tVar.onError(th2);
                            return;
                        } else {
                            tVar.onComplete();
                            return;
                        }
                    } else {
                        Object poll2 = aVar.poll();
                        if (((Long) poll).longValue() >= this.scheduler.b(this.unit) - this.time) {
                            tVar.onNext(poll2);
                        }
                    }
                } else {
                    aVar.clear();
                    tVar.onError(th);
                    return;
                }
            }
            aVar.clear();
        }
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return this.cancelled;
    }

    @Override // f.a.t
    public void onComplete() {
        drain();
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        this.error = th;
        drain();
    }

    @Override // f.a.t
    public void onNext(T t) {
        a<Object> aVar = this.queue;
        long b2 = this.scheduler.b(this.unit);
        long j2 = this.time;
        long j3 = this.count;
        boolean z = j3 == Long.MAX_VALUE;
        aVar.c(Long.valueOf(b2), t);
        while (!aVar.isEmpty()) {
            if (((Long) aVar.peek()).longValue() <= b2 - j2 || (!z && ((long) (aVar.d() >> 1)) > j3)) {
                aVar.poll();
                aVar.poll();
            } else {
                return;
            }
        }
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        if (DisposableHelper.validate(this.upstream, bVar)) {
            this.upstream = bVar;
            this.downstream.onSubscribe(this);
        }
    }
}
