package io.reactivex.internal.operators.observable;

import f.a.t;
import f.a.u;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicReference;

public final class ObservableThrottleFirstTimed$DebounceTimedObserver<T> extends AtomicReference<b> implements t<T>, b, Runnable {
    private static final long serialVersionUID = 786994795061867455L;
    public boolean done;
    public final t<? super T> downstream;
    public volatile boolean gate;
    public final long timeout;
    public final TimeUnit unit;
    public b upstream;
    public final u.c worker;

    public ObservableThrottleFirstTimed$DebounceTimedObserver(t<? super T> tVar, long j2, TimeUnit timeUnit, u.c cVar) {
        this.downstream = tVar;
        this.timeout = j2;
        this.unit = timeUnit;
        this.worker = cVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        this.upstream.dispose();
        this.worker.dispose();
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return this.worker.isDisposed();
    }

    @Override // f.a.t
    public void onComplete() {
        if (!this.done) {
            this.done = true;
            this.downstream.onComplete();
            this.worker.dispose();
        }
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        if (this.done) {
            d.l.b.g.g.b.q0(th);
            return;
        }
        this.done = true;
        this.downstream.onError(th);
        this.worker.dispose();
    }

    @Override // f.a.t
    public void onNext(T t) {
        if (!this.gate && !this.done) {
            this.gate = true;
            this.downstream.onNext(t);
            b bVar = (b) get();
            if (bVar != null) {
                bVar.dispose();
            }
            DisposableHelper.replace(this, this.worker.c(this, this.timeout, this.unit));
        }
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        if (DisposableHelper.validate(this.upstream, bVar)) {
            this.upstream = bVar;
            this.downstream.onSubscribe(this);
        }
    }

    public void run() {
        this.gate = false;
    }
}
