package io.reactivex.internal.operators.observable;

import f.a.t;
import f.a.u;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicReference;

public final class ObservableThrottleLatest$ThrottleLatestObserver<T> extends AtomicInteger implements t<T>, b, Runnable {
    private static final long serialVersionUID = -8296689127439125014L;
    public volatile boolean cancelled;
    public volatile boolean done;
    public final t<? super T> downstream;
    public final boolean emitLast;
    public Throwable error;
    public final AtomicReference<T> latest = new AtomicReference<>();
    public final long timeout;
    public volatile boolean timerFired;
    public boolean timerRunning;
    public final TimeUnit unit;
    public b upstream;
    public final u.c worker;

    public ObservableThrottleLatest$ThrottleLatestObserver(t<? super T> tVar, long j2, TimeUnit timeUnit, u.c cVar, boolean z) {
        this.downstream = tVar;
        this.timeout = j2;
        this.unit = timeUnit;
        this.worker = cVar;
        this.emitLast = z;
    }

    @Override // f.a.z.b
    public void dispose() {
        this.cancelled = true;
        this.upstream.dispose();
        this.worker.dispose();
        if (getAndIncrement() == 0) {
            this.latest.lazySet(null);
        }
    }

    public void drain() {
        if (getAndIncrement() == 0) {
            AtomicReference<T> atomicReference = this.latest;
            t<? super T> tVar = this.downstream;
            int i2 = 1;
            while (!this.cancelled) {
                boolean z = this.done;
                if (!z || this.error == null) {
                    boolean z2 = atomicReference.get() == null;
                    if (z) {
                        T andSet = atomicReference.getAndSet(null);
                        if (!z2 && this.emitLast) {
                            tVar.onNext(andSet);
                        }
                        tVar.onComplete();
                        this.worker.dispose();
                        return;
                    }
                    if (z2) {
                        if (this.timerFired) {
                            this.timerRunning = false;
                            this.timerFired = false;
                        }
                    } else if (!this.timerRunning || this.timerFired) {
                        tVar.onNext(atomicReference.getAndSet(null));
                        this.timerFired = false;
                        this.timerRunning = true;
                        this.worker.c(this, this.timeout, this.unit);
                    }
                    i2 = addAndGet(-i2);
                    if (i2 == 0) {
                        return;
                    }
                } else {
                    atomicReference.lazySet(null);
                    tVar.onError(this.error);
                    this.worker.dispose();
                    return;
                }
            }
            atomicReference.lazySet(null);
        }
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return this.cancelled;
    }

    @Override // f.a.t
    public void onComplete() {
        this.done = true;
        drain();
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        this.error = th;
        this.done = true;
        drain();
    }

    @Override // f.a.t
    public void onNext(T t) {
        this.latest.set(t);
        drain();
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        if (DisposableHelper.validate(this.upstream, bVar)) {
            this.upstream = bVar;
            this.downstream.onSubscribe(this);
        }
    }

    public void run() {
        this.timerFired = true;
        drain();
    }
}
