package io.reactivex.internal.operators.observable;

import f.a.b0.h;
import f.a.c0.e.d.v;
import f.a.c0.e.d.w;
import f.a.r;
import f.a.t;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.disposables.SequentialDisposable;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicLong;
import java.util.concurrent.atomic.AtomicReference;

public final class ObservableTimeout$TimeoutFallbackObserver<T> extends AtomicReference<b> implements t<T>, b, v {
    private static final long serialVersionUID = -7508389464265974549L;
    public final t<? super T> downstream;
    public r<? extends T> fallback;
    public final AtomicLong index;
    public final h<? super T, ? extends r<?>> itemTimeoutIndicator;
    public final SequentialDisposable task = new SequentialDisposable();
    public final AtomicReference<b> upstream;

    public ObservableTimeout$TimeoutFallbackObserver(t<? super T> tVar, h<? super T, ? extends r<?>> hVar, r<? extends T> rVar) {
        this.downstream = tVar;
        this.itemTimeoutIndicator = hVar;
        this.fallback = rVar;
        this.index = new AtomicLong();
        this.upstream = new AtomicReference<>();
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this.upstream);
        DisposableHelper.dispose(this);
        this.task.dispose();
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed((b) get());
    }

    @Override // f.a.t
    public void onComplete() {
        if (this.index.getAndSet(Long.MAX_VALUE) != Long.MAX_VALUE) {
            this.task.dispose();
            this.downstream.onComplete();
            this.task.dispose();
        }
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        if (this.index.getAndSet(Long.MAX_VALUE) != Long.MAX_VALUE) {
            this.task.dispose();
            this.downstream.onError(th);
            this.task.dispose();
            return;
        }
        d.l.b.g.g.b.q0(th);
    }

    @Override // f.a.t
    public void onNext(T t) {
        long j2 = this.index.get();
        if (j2 != Long.MAX_VALUE) {
            long j3 = 1 + j2;
            if (this.index.compareAndSet(j2, j3)) {
                b bVar = (b) this.task.get();
                if (bVar != null) {
                    bVar.dispose();
                }
                this.downstream.onNext(t);
                try {
                    Object apply = this.itemTimeoutIndicator.apply(t);
                    Objects.requireNonNull(apply, "The itemTimeoutIndicator returned a null ObservableSource.");
                    r rVar = (r) apply;
                    ObservableTimeout$TimeoutConsumer observableTimeout$TimeoutConsumer = new ObservableTimeout$TimeoutConsumer(j3, this);
                    if (this.task.replace(observableTimeout$TimeoutConsumer)) {
                        rVar.subscribe(observableTimeout$TimeoutConsumer);
                    }
                } catch (Throwable th) {
                    d.l.b.g.g.b.D0(th);
                    this.upstream.get().dispose();
                    this.index.getAndSet(Long.MAX_VALUE);
                    this.downstream.onError(th);
                }
            }
        }
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        DisposableHelper.setOnce(this.upstream, bVar);
    }

    @Override // f.a.c0.e.d.x
    public void onTimeout(long j2) {
        if (this.index.compareAndSet(j2, Long.MAX_VALUE)) {
            DisposableHelper.dispose(this.upstream);
            r<? extends T> rVar = this.fallback;
            this.fallback = null;
            rVar.subscribe(new w(this.downstream, this));
        }
    }

    @Override // f.a.c0.e.d.v
    public void onTimeoutError(long j2, Throwable th) {
        if (this.index.compareAndSet(j2, Long.MAX_VALUE)) {
            DisposableHelper.dispose(this);
            this.downstream.onError(th);
            return;
        }
        d.l.b.g.g.b.q0(th);
    }

    public void startFirstTimeout(r<?> rVar) {
        if (rVar != null) {
            ObservableTimeout$TimeoutConsumer observableTimeout$TimeoutConsumer = new ObservableTimeout$TimeoutConsumer(0, this);
            if (this.task.replace(observableTimeout$TimeoutConsumer)) {
                rVar.subscribe(observableTimeout$TimeoutConsumer);
            }
        }
    }
}
