package io.reactivex.internal.operators.observable;

import f.a.c0.e.d.w;
import f.a.c0.e.d.x;
import f.a.c0.e.d.y;
import f.a.r;
import f.a.t;
import f.a.u;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.disposables.SequentialDisposable;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicLong;
import java.util.concurrent.atomic.AtomicReference;

public final class ObservableTimeoutTimed$TimeoutFallbackObserver<T> extends AtomicReference<b> implements t<T>, b, x {
    private static final long serialVersionUID = 3764492702657003550L;
    public final t<? super T> downstream;
    public r<? extends T> fallback;
    public final AtomicLong index = new AtomicLong();
    public final SequentialDisposable task = new SequentialDisposable();
    public final long timeout;
    public final TimeUnit unit;
    public final AtomicReference<b> upstream = new AtomicReference<>();
    public final u.c worker;

    public ObservableTimeoutTimed$TimeoutFallbackObserver(t<? super T> tVar, long j2, TimeUnit timeUnit, u.c cVar, r<? extends T> rVar) {
        this.downstream = tVar;
        this.timeout = j2;
        this.unit = timeUnit;
        this.worker = cVar;
        this.fallback = rVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this.upstream);
        DisposableHelper.dispose(this);
        this.worker.dispose();
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed((b) get());
    }

    @Override // f.a.t
    public void onComplete() {
        if (this.index.getAndSet(Long.MAX_VALUE) != Long.MAX_VALUE) {
            this.task.dispose();
            this.downstream.onComplete();
            this.worker.dispose();
        }
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        if (this.index.getAndSet(Long.MAX_VALUE) != Long.MAX_VALUE) {
            this.task.dispose();
            this.downstream.onError(th);
            this.worker.dispose();
            return;
        }
        d.l.b.g.g.b.q0(th);
    }

    @Override // f.a.t
    public void onNext(T t) {
        long j2 = this.index.get();
        if (j2 != Long.MAX_VALUE) {
            long j3 = 1 + j2;
            if (this.index.compareAndSet(j2, j3)) {
                ((b) this.task.get()).dispose();
                this.downstream.onNext(t);
                startTimeout(j3);
            }
        }
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        DisposableHelper.setOnce(this.upstream, bVar);
    }

    @Override // f.a.c0.e.d.x
    public void onTimeout(long j2) {
        if (this.index.compareAndSet(j2, Long.MAX_VALUE)) {
            DisposableHelper.dispose(this.upstream);
            r<? extends T> rVar = this.fallback;
            this.fallback = null;
            rVar.subscribe(new w(this.downstream, this));
            this.worker.dispose();
        }
    }

    public void startTimeout(long j2) {
        this.task.replace(this.worker.c(new y(j2, this), this.timeout, this.unit));
    }
}
