package io.reactivex.internal.operators.observable;

import f.a.b0.g;
import f.a.t;
import f.a.z.b;
import io.reactivex.exceptions.CompositeException;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.atomic.AtomicBoolean;

public final class ObservableUsing$UsingObserver<T, D> extends AtomicBoolean implements t<T>, b {
    private static final long serialVersionUID = 5904473792286235046L;
    public final g<? super D> disposer;
    public final t<? super T> downstream;
    public final boolean eager;
    public final D resource;
    public b upstream;

    public ObservableUsing$UsingObserver(t<? super T> tVar, D d2, g<? super D> gVar, boolean z) {
        this.downstream = tVar;
        this.resource = d2;
        this.disposer = gVar;
        this.eager = z;
    }

    @Override // f.a.z.b
    public void dispose() {
        disposeAfter();
        this.upstream.dispose();
    }

    public void disposeAfter() {
        if (compareAndSet(false, true)) {
            try {
                this.disposer.accept(this.resource);
            } catch (Throwable th) {
                d.l.b.g.g.b.D0(th);
                d.l.b.g.g.b.q0(th);
            }
        }
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return get();
    }

    @Override // f.a.t
    public void onComplete() {
        if (this.eager) {
            if (compareAndSet(false, true)) {
                try {
                    this.disposer.accept(this.resource);
                } catch (Throwable th) {
                    d.l.b.g.g.b.D0(th);
                    this.downstream.onError(th);
                    return;
                }
            }
            this.upstream.dispose();
            this.downstream.onComplete();
            return;
        }
        this.downstream.onComplete();
        this.upstream.dispose();
        disposeAfter();
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        if (this.eager) {
            if (compareAndSet(false, true)) {
                try {
                    this.disposer.accept(this.resource);
                } catch (Throwable th2) {
                    d.l.b.g.g.b.D0(th2);
                    th = new CompositeException(th, th2);
                }
            }
            this.upstream.dispose();
            this.downstream.onError(th);
            return;
        }
        this.downstream.onError(th);
        this.upstream.dispose();
        disposeAfter();
    }

    @Override // f.a.t
    public void onNext(T t) {
        this.downstream.onNext(t);
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        if (DisposableHelper.validate(this.upstream, bVar)) {
            this.upstream = bVar;
            this.downstream.onSubscribe(this);
        }
    }
}
