package io.reactivex.internal.operators.observable;

import f.a.o;
import f.a.t;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.subjects.UnicastSubject;
import java.util.ArrayDeque;
import java.util.Iterator;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicInteger;

public final class ObservableWindow$WindowSkipObserver<T> extends AtomicBoolean implements t<T>, b, Runnable {
    private static final long serialVersionUID = 3366976432059579510L;
    public volatile boolean cancelled;
    public final int capacityHint;
    public final long count;
    public final t<? super o<T>> downstream;
    public long firstEmission;
    public long index;
    public final long skip;
    public b upstream;
    public final ArrayDeque<UnicastSubject<T>> windows;
    public final AtomicInteger wip = new AtomicInteger();

    public ObservableWindow$WindowSkipObserver(t<? super o<T>> tVar, long j2, long j3, int i2) {
        this.downstream = tVar;
        this.count = j2;
        this.skip = j3;
        this.capacityHint = i2;
        this.windows = new ArrayDeque<>();
    }

    @Override // f.a.z.b
    public void dispose() {
        this.cancelled = true;
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return this.cancelled;
    }

    @Override // f.a.t
    public void onComplete() {
        ArrayDeque<UnicastSubject<T>> arrayDeque = this.windows;
        while (!arrayDeque.isEmpty()) {
            arrayDeque.poll().onComplete();
        }
        this.downstream.onComplete();
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        ArrayDeque<UnicastSubject<T>> arrayDeque = this.windows;
        while (!arrayDeque.isEmpty()) {
            arrayDeque.poll().onError(th);
        }
        this.downstream.onError(th);
    }

    @Override // f.a.t
    public void onNext(T t) {
        ArrayDeque<UnicastSubject<T>> arrayDeque = this.windows;
        long j2 = this.index;
        long j3 = this.skip;
        if (j2 % j3 == 0 && !this.cancelled) {
            this.wip.getAndIncrement();
            UnicastSubject<T> l2 = UnicastSubject.l(this.capacityHint, this);
            arrayDeque.offer(l2);
            this.downstream.onNext(l2);
        }
        long j4 = this.firstEmission + 1;
        Iterator<UnicastSubject<T>> it = arrayDeque.iterator();
        while (it.hasNext()) {
            it.next().onNext(t);
        }
        if (j4 >= this.count) {
            arrayDeque.poll().onComplete();
            if (!arrayDeque.isEmpty() || !this.cancelled) {
                this.firstEmission = j4 - j3;
            } else {
                this.upstream.dispose();
                return;
            }
        } else {
            this.firstEmission = j4;
        }
        this.index = j2 + 1;
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        if (DisposableHelper.validate(this.upstream, bVar)) {
            this.upstream = bVar;
            this.downstream.onSubscribe(this);
        }
    }

    public void run() {
        if (this.wip.decrementAndGet() == 0 && this.cancelled) {
            this.upstream.dispose();
        }
    }
}
