package io.reactivex.internal.operators.observable;

import f.a.b0.c;
import f.a.t;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicReference;

public final class ObservableWithLatestFrom$WithLatestFromObserver<T, U, R> extends AtomicReference<U> implements t<T>, b {
    private static final long serialVersionUID = -312246233408980075L;
    public final c<? super T, ? super U, ? extends R> combiner;
    public final t<? super R> downstream;
    public final AtomicReference<b> other = new AtomicReference<>();
    public final AtomicReference<b> upstream = new AtomicReference<>();

    public ObservableWithLatestFrom$WithLatestFromObserver(t<? super R> tVar, c<? super T, ? super U, ? extends R> cVar) {
        this.downstream = tVar;
        this.combiner = cVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this.upstream);
        DisposableHelper.dispose(this.other);
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed(this.upstream.get());
    }

    @Override // f.a.t
    public void onComplete() {
        DisposableHelper.dispose(this.other);
        this.downstream.onComplete();
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        DisposableHelper.dispose(this.other);
        this.downstream.onError(th);
    }

    @Override // f.a.t
    public void onNext(T t) {
        Object obj = get();
        if (obj != null) {
            try {
                Object apply = this.combiner.apply(t, obj);
                Objects.requireNonNull(apply, "The combiner returned a null value");
                this.downstream.onNext(apply);
            } catch (Throwable th) {
                d.l.b.g.g.b.D0(th);
                dispose();
                this.downstream.onError(th);
            }
        }
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        DisposableHelper.setOnce(this.upstream, bVar);
    }

    public void otherError(Throwable th) {
        DisposableHelper.dispose(this.upstream);
        this.downstream.onError(th);
    }

    public boolean setOther(b bVar) {
        return DisposableHelper.setOnce(this.other, bVar);
    }
}
