package io.reactivex.internal.operators.observable;

import f.a.b0.h;
import f.a.r;
import f.a.t;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.util.AtomicThrowable;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicReference;
import java.util.concurrent.atomic.AtomicReferenceArray;

public final class ObservableWithLatestFromMany$WithLatestFromObserver<T, R> extends AtomicInteger implements t<T>, b {
    private static final long serialVersionUID = 1577321883966341961L;
    public final h<? super Object[], R> combiner;
    public volatile boolean done;
    public final t<? super R> downstream;
    public final AtomicThrowable error;
    public final ObservableWithLatestFromMany$WithLatestInnerObserver[] observers;
    public final AtomicReference<b> upstream;
    public final AtomicReferenceArray<Object> values;

    public ObservableWithLatestFromMany$WithLatestFromObserver(t<? super R> tVar, h<? super Object[], R> hVar, int i2) {
        this.downstream = tVar;
        this.combiner = hVar;
        ObservableWithLatestFromMany$WithLatestInnerObserver[] observableWithLatestFromMany$WithLatestInnerObserverArr = new ObservableWithLatestFromMany$WithLatestInnerObserver[i2];
        for (int i3 = 0; i3 < i2; i3++) {
            observableWithLatestFromMany$WithLatestInnerObserverArr[i3] = new ObservableWithLatestFromMany$WithLatestInnerObserver(this, i3);
        }
        this.observers = observableWithLatestFromMany$WithLatestInnerObserverArr;
        this.values = new AtomicReferenceArray<>(i2);
        this.upstream = new AtomicReference<>();
        this.error = new AtomicThrowable();
    }

    public void cancelAllBut(int i2) {
        ObservableWithLatestFromMany$WithLatestInnerObserver[] observableWithLatestFromMany$WithLatestInnerObserverArr = this.observers;
        for (int i3 = 0; i3 < observableWithLatestFromMany$WithLatestInnerObserverArr.length; i3++) {
            if (i3 != i2) {
                observableWithLatestFromMany$WithLatestInnerObserverArr[i3].dispose();
            }
        }
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this.upstream);
        for (ObservableWithLatestFromMany$WithLatestInnerObserver observableWithLatestFromMany$WithLatestInnerObserver : this.observers) {
            observableWithLatestFromMany$WithLatestInnerObserver.dispose();
        }
    }

    public void innerComplete(int i2, boolean z) {
        if (!z) {
            this.done = true;
            cancelAllBut(i2);
            d.l.b.g.g.b.n0(this.downstream, this, this.error);
        }
    }

    public void innerError(int i2, Throwable th) {
        this.done = true;
        DisposableHelper.dispose(this.upstream);
        cancelAllBut(i2);
        d.l.b.g.g.b.p0(this.downstream, th, this, this.error);
    }

    public void innerNext(int i2, Object obj) {
        this.values.set(i2, obj);
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed(this.upstream.get());
    }

    @Override // f.a.t
    public void onComplete() {
        if (!this.done) {
            this.done = true;
            cancelAllBut(-1);
            d.l.b.g.g.b.n0(this.downstream, this, this.error);
        }
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        if (this.done) {
            d.l.b.g.g.b.q0(th);
            return;
        }
        this.done = true;
        cancelAllBut(-1);
        d.l.b.g.g.b.p0(this.downstream, th, this, this.error);
    }

    @Override // f.a.t
    public void onNext(T t) {
        if (!this.done) {
            AtomicReferenceArray<Object> atomicReferenceArray = this.values;
            int length = atomicReferenceArray.length();
            Object[] objArr = new Object[(length + 1)];
            int i2 = 0;
            objArr[0] = t;
            while (i2 < length) {
                Object obj = atomicReferenceArray.get(i2);
                if (obj != null) {
                    i2++;
                    objArr[i2] = obj;
                } else {
                    return;
                }
            }
            try {
                R apply = this.combiner.apply(objArr);
                Objects.requireNonNull(apply, "combiner returned a null value");
                d.l.b.g.g.b.s0(this.downstream, apply, this, this.error);
            } catch (Throwable th) {
                d.l.b.g.g.b.D0(th);
                dispose();
                onError(th);
            }
        }
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        DisposableHelper.setOnce(this.upstream, bVar);
    }

    public void subscribe(r<?>[] rVarArr, int i2) {
        ObservableWithLatestFromMany$WithLatestInnerObserver[] observableWithLatestFromMany$WithLatestInnerObserverArr = this.observers;
        AtomicReference<b> atomicReference = this.upstream;
        for (int i3 = 0; i3 < i2 && !DisposableHelper.isDisposed(atomicReference.get()) && !this.done; i3++) {
            rVarArr[i3].subscribe(observableWithLatestFromMany$WithLatestInnerObserverArr[i3]);
        }
    }
}
