package io.reactivex.internal.operators.observable;

import f.a.b0.h;
import f.a.c0.e.d.b0;
import f.a.r;
import f.a.t;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.Arrays;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;

public final class ObservableZip$ZipCoordinator<T, R> extends AtomicInteger implements b {
    private static final long serialVersionUID = 2983708048395377667L;
    public volatile boolean cancelled;
    public final boolean delayError;
    public final t<? super R> downstream;
    public final b0<T, R>[] observers;
    public final T[] row;
    public final h<? super Object[], ? extends R> zipper;

    public ObservableZip$ZipCoordinator(t<? super R> tVar, h<? super Object[], ? extends R> hVar, int i2, boolean z) {
        this.downstream = tVar;
        this.zipper = hVar;
        this.observers = new b0[i2];
        this.row = (T[]) new Object[i2];
        this.delayError = z;
    }

    public void cancel() {
        clear();
        cancelSources();
    }

    public void cancelSources() {
        for (b0<T, R> b0Var : this.observers) {
            DisposableHelper.dispose(b0Var.f12999l);
        }
    }

    public boolean checkTerminated(boolean z, boolean z2, t<? super R> tVar, boolean z3, b0<?, ?> b0Var) {
        if (this.cancelled) {
            cancel();
            return true;
        } else if (!z) {
            return false;
        } else {
            if (!z3) {
                Throwable th = b0Var.f12998k;
                if (th != null) {
                    cancel();
                    tVar.onError(th);
                    return true;
                } else if (!z2) {
                    return false;
                } else {
                    cancel();
                    tVar.onComplete();
                    return true;
                }
            } else if (!z2) {
                return false;
            } else {
                Throwable th2 = b0Var.f12998k;
                cancel();
                if (th2 != null) {
                    tVar.onError(th2);
                } else {
                    tVar.onComplete();
                }
                return true;
            }
        }
    }

    public void clear() {
        for (b0<T, R> b0Var : this.observers) {
            b0Var.f12996h.clear();
        }
    }

    @Override // f.a.z.b
    public void dispose() {
        if (!this.cancelled) {
            this.cancelled = true;
            cancelSources();
            if (getAndIncrement() == 0) {
                clear();
            }
        }
    }

    public void drain() {
        Throwable th;
        if (getAndIncrement() == 0) {
            b0<T, R>[] b0VarArr = this.observers;
            t<? super R> tVar = this.downstream;
            T[] tArr = this.row;
            boolean z = this.delayError;
            int i2 = 1;
            while (true) {
                int i3 = 0;
                int i4 = 0;
                for (b0<T, R> b0Var : b0VarArr) {
                    if (tArr[i4] == null) {
                        boolean z2 = b0Var.f12997j;
                        T poll = b0Var.f12996h.poll();
                        boolean z3 = poll == null;
                        if (checkTerminated(z2, z3, tVar, z, b0Var)) {
                            return;
                        }
                        if (!z3) {
                            tArr[i4] = poll;
                        } else {
                            i3++;
                        }
                    } else if (b0Var.f12997j && !z && (th = b0Var.f12998k) != null) {
                        cancel();
                        tVar.onError(th);
                        return;
                    }
                    i4++;
                }
                if (i3 != 0) {
                    i2 = addAndGet(-i2);
                    if (i2 == 0) {
                        return;
                    }
                } else {
                    try {
                        Object obj = (Object) this.zipper.apply(tArr.clone());
                        Objects.requireNonNull(obj, "The zipper returned a null value");
                        tVar.onNext(obj);
                        Arrays.fill(tArr, (Object) null);
                    } catch (Throwable th2) {
                        d.l.b.g.g.b.D0(th2);
                        cancel();
                        tVar.onError(th2);
                        return;
                    }
                }
            }
        }
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return this.cancelled;
    }

    public void subscribe(r<? extends T>[] rVarArr, int i2) {
        b0<T, R>[] b0VarArr = this.observers;
        int length = b0VarArr.length;
        for (int i3 = 0; i3 < length; i3++) {
            b0VarArr[i3] = new b0<>(this, i2);
        }
        lazySet(0);
        this.downstream.onSubscribe(this);
        for (int i4 = 0; i4 < length && !this.cancelled; i4++) {
            rVarArr[i4].subscribe(b0VarArr[i4]);
        }
    }
}
