package io.reactivex.internal.operators.parallel;

import f.a.b0.b;
import io.reactivex.internal.subscribers.DeferredScalarSubscriber;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import k.c.c;
import k.c.d;

public final class ParallelCollect$ParallelCollectSubscriber<T, C> extends DeferredScalarSubscriber<T, C> {
    private static final long serialVersionUID = -4767392946044436228L;
    public C collection;
    public final b<? super C, ? super T> collector;
    public boolean done;

    public ParallelCollect$ParallelCollectSubscriber(c<? super C> cVar, C c2, b<? super C, ? super T> bVar) {
        super(cVar);
        this.collection = c2;
        this.collector = bVar;
    }

    @Override // io.reactivex.internal.subscribers.DeferredScalarSubscriber, io.reactivex.internal.subscriptions.DeferredScalarSubscription, k.c.d, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public void cancel() {
        super.cancel();
        this.upstream.cancel();
    }

    @Override // io.reactivex.internal.subscribers.DeferredScalarSubscriber, k.c.c
    public void onComplete() {
        if (!this.done) {
            this.done = true;
            C c2 = this.collection;
            this.collection = null;
            complete(c2);
        }
    }

    @Override // io.reactivex.internal.subscribers.DeferredScalarSubscriber, k.c.c
    public void onError(Throwable th) {
        if (this.done) {
            d.l.b.g.g.b.q0(th);
            return;
        }
        this.done = true;
        this.collection = null;
        this.downstream.onError(th);
    }

    @Override // io.reactivex.internal.subscribers.DeferredScalarSubscriber, k.c.c
    public void onNext(T t) {
        if (!this.done) {
            try {
                this.collector.accept(this.collection, t);
            } catch (Throwable th) {
                d.l.b.g.g.b.D0(th);
                cancel();
                onError(th);
            }
        }
    }

    @Override // io.reactivex.internal.subscribers.DeferredScalarSubscriber, f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            this.downstream.onSubscribe(this);
            dVar.request(Long.MAX_VALUE);
        }
    }
}
