package io.reactivex.internal.operators.parallel;

import d.l.b.g.g.b;
import f.a.j;
import f.a.u;
import io.reactivex.exceptions.MissingBackpressureException;
import io.reactivex.internal.queue.SpscArrayQueue;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;
import k.c.d;

public abstract class ParallelRunOn$BaseRunOnSubscriber<T> extends AtomicInteger implements j<T>, d, Runnable {
    private static final long serialVersionUID = 9222303586456402150L;
    public volatile boolean cancelled;
    public int consumed;
    public volatile boolean done;
    public Throwable error;
    public final int limit;
    public final int prefetch;
    public final SpscArrayQueue<T> queue;
    public final AtomicLong requested = new AtomicLong();
    public d upstream;
    public final u.c worker;

    public ParallelRunOn$BaseRunOnSubscriber(int i2, SpscArrayQueue<T> spscArrayQueue, u.c cVar) {
        this.prefetch = i2;
        this.queue = spscArrayQueue;
        this.limit = i2 - (i2 >> 2);
        this.worker = cVar;
    }

    @Override // k.c.d
    public final void cancel() {
        if (!this.cancelled) {
            this.cancelled = true;
            this.upstream.cancel();
            this.worker.dispose();
            if (getAndIncrement() == 0) {
                this.queue.clear();
            }
        }
    }

    @Override // k.c.c
    public final void onComplete() {
        if (!this.done) {
            this.done = true;
            schedule();
        }
    }

    @Override // k.c.c
    public final void onError(Throwable th) {
        if (this.done) {
            b.q0(th);
            return;
        }
        this.error = th;
        this.done = true;
        schedule();
    }

    @Override // k.c.c
    public final void onNext(T t) {
        if (!this.done) {
            if (!this.queue.offer(t)) {
                this.upstream.cancel();
                onError(new MissingBackpressureException("Queue is full?!"));
                return;
            }
            schedule();
        }
    }

    @Override // f.a.j, k.c.c
    public abstract /* synthetic */ void onSubscribe(d dVar);

    @Override // k.c.d
    public final void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            b.b(this.requested, j2);
            schedule();
        }
    }

    public final void schedule() {
        if (getAndIncrement() == 0) {
            this.worker.b(this);
        }
    }
}
