package io.reactivex.internal.operators.single;

import f.a.b0.h;
import f.a.w;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.subscriptions.BasicIntQueueSubscription;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.Iterator;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicLong;
import k.c.c;

public final class SingleFlatMapIterableFlowable$FlatMapIterableObserver<T, R> extends BasicIntQueueSubscription<R> implements w<T> {
    private static final long serialVersionUID = -8938804753851907758L;
    public volatile boolean cancelled;
    public final c<? super R> downstream;
    public volatile Iterator<? extends R> it;
    public final h<? super T, ? extends Iterable<? extends R>> mapper;
    public boolean outputFused;
    public final AtomicLong requested = new AtomicLong();
    public b upstream;

    public SingleFlatMapIterableFlowable$FlatMapIterableObserver(c<? super R> cVar, h<? super T, ? extends Iterable<? extends R>> hVar) {
        this.downstream = cVar;
        this.mapper = hVar;
    }

    @Override // k.c.d, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public void cancel() {
        this.cancelled = true;
        this.upstream.dispose();
        this.upstream = DisposableHelper.DISPOSED;
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public void clear() {
        this.it = null;
    }

    public void drain() {
        if (getAndIncrement() == 0) {
            c<? super R> cVar = this.downstream;
            Iterator<? extends R> it2 = this.it;
            if (!this.outputFused || it2 == null) {
                int i2 = 1;
                while (true) {
                    if (it2 != null) {
                        long j2 = this.requested.get();
                        if (j2 == Long.MAX_VALUE) {
                            slowPath(cVar, it2);
                            return;
                        }
                        long j3 = 0;
                        while (j3 != j2) {
                            if (!this.cancelled) {
                                try {
                                    Object obj = (Object) it2.next();
                                    Objects.requireNonNull(obj, "The iterator returned a null value");
                                    cVar.onNext(obj);
                                    if (!this.cancelled) {
                                        j3++;
                                        try {
                                            if (!it2.hasNext()) {
                                                cVar.onComplete();
                                                return;
                                            }
                                        } catch (Throwable th) {
                                            d.l.b.g.g.b.D0(th);
                                            cVar.onError(th);
                                            return;
                                        }
                                    } else {
                                        return;
                                    }
                                } catch (Throwable th2) {
                                    d.l.b.g.g.b.D0(th2);
                                    cVar.onError(th2);
                                    return;
                                }
                            } else {
                                return;
                            }
                        }
                        if (j3 != 0) {
                            d.l.b.g.g.b.v0(this.requested, j3);
                        }
                    }
                    i2 = addAndGet(-i2);
                    if (i2 != 0) {
                        if (it2 == null) {
                            it2 = this.it;
                        }
                    } else {
                        return;
                    }
                }
            } else {
                cVar.onNext(null);
                cVar.onComplete();
            }
        }
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public boolean isEmpty() {
        return this.it == null;
    }

    @Override // f.a.w
    public void onError(Throwable th) {
        this.upstream = DisposableHelper.DISPOSED;
        this.downstream.onError(th);
    }

    @Override // f.a.w
    public void onSubscribe(b bVar) {
        if (DisposableHelper.validate(this.upstream, bVar)) {
            this.upstream = bVar;
            this.downstream.onSubscribe(this);
        }
    }

    @Override // f.a.w
    public void onSuccess(T t) {
        try {
            Iterator<T> it2 = ((Iterable) this.mapper.apply(t)).iterator();
            if (!it2.hasNext()) {
                this.downstream.onComplete();
                return;
            }
            this.it = it2;
            drain();
        } catch (Throwable th) {
            d.l.b.g.g.b.D0(th);
            this.downstream.onError(th);
        }
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public R poll() {
        Iterator<? extends R> it2 = this.it;
        if (it2 == null) {
            return null;
        }
        R r = (R) it2.next();
        Objects.requireNonNull(r, "The iterator returned a null value");
        if (!it2.hasNext()) {
            this.it = null;
        }
        return r;
    }

    @Override // k.c.d, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            d.l.b.g.g.b.b(this.requested, j2);
            drain();
        }
    }

    @Override // f.a.c0.c.c, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public int requestFusion(int i2) {
        if ((i2 & 2) == 0) {
            return 0;
        }
        this.outputFused = true;
        return 2;
    }

    public void slowPath(c<? super R> cVar, Iterator<? extends R> it2) {
        while (!this.cancelled) {
            try {
                cVar.onNext((Object) it2.next());
                if (!this.cancelled) {
                    try {
                        if (!it2.hasNext()) {
                            cVar.onComplete();
                            return;
                        }
                    } catch (Throwable th) {
                        d.l.b.g.g.b.D0(th);
                        cVar.onError(th);
                        return;
                    }
                } else {
                    return;
                }
            } catch (Throwable th2) {
                d.l.b.g.g.b.D0(th2);
                cVar.onError(th2);
                return;
            }
        }
    }
}
