package io.reactivex.internal.operators.single;

import f.a.b0.h;
import f.a.t;
import f.a.w;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.observers.BasicIntQueueDisposable;
import java.util.Iterator;
import java.util.Objects;

public final class SingleFlatMapIterableObservable$FlatMapIterableObserver<T, R> extends BasicIntQueueDisposable<R> implements w<T> {
    private static final long serialVersionUID = -8938804753851907758L;
    public volatile boolean cancelled;
    public final t<? super R> downstream;
    public volatile Iterator<? extends R> it;
    public final h<? super T, ? extends Iterable<? extends R>> mapper;
    public boolean outputFused;
    public b upstream;

    public SingleFlatMapIterableObservable$FlatMapIterableObserver(t<? super R> tVar, h<? super T, ? extends Iterable<? extends R>> hVar) {
        this.downstream = tVar;
        this.mapper = hVar;
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.observers.BasicIntQueueDisposable
    public void clear() {
        this.it = null;
    }

    @Override // f.a.z.b, io.reactivex.internal.observers.BasicIntQueueDisposable
    public void dispose() {
        this.cancelled = true;
        this.upstream.dispose();
        this.upstream = DisposableHelper.DISPOSED;
    }

    @Override // f.a.z.b, io.reactivex.internal.observers.BasicIntQueueDisposable
    public boolean isDisposed() {
        return this.cancelled;
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.observers.BasicIntQueueDisposable
    public boolean isEmpty() {
        return this.it == null;
    }

    @Override // f.a.w
    public void onError(Throwable th) {
        this.upstream = DisposableHelper.DISPOSED;
        this.downstream.onError(th);
    }

    @Override // f.a.w
    public void onSubscribe(b bVar) {
        if (DisposableHelper.validate(this.upstream, bVar)) {
            this.upstream = bVar;
            this.downstream.onSubscribe(this);
        }
    }

    @Override // f.a.w
    public void onSuccess(T t) {
        t<? super R> tVar = this.downstream;
        try {
            Iterator<T> it2 = ((Iterable) this.mapper.apply(t)).iterator();
            if (!it2.hasNext()) {
                tVar.onComplete();
            } else if (this.outputFused) {
                this.it = it2;
                tVar.onNext(null);
                tVar.onComplete();
            } else {
                while (!this.cancelled) {
                    try {
                        tVar.onNext(it2.next());
                        if (!this.cancelled) {
                            try {
                                if (!it2.hasNext()) {
                                    tVar.onComplete();
                                    return;
                                }
                            } catch (Throwable th) {
                                d.l.b.g.g.b.D0(th);
                                tVar.onError(th);
                                return;
                            }
                        } else {
                            return;
                        }
                    } catch (Throwable th2) {
                        d.l.b.g.g.b.D0(th2);
                        tVar.onError(th2);
                        return;
                    }
                }
            }
        } catch (Throwable th3) {
            d.l.b.g.g.b.D0(th3);
            this.downstream.onError(th3);
        }
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.observers.BasicIntQueueDisposable
    public R poll() {
        Iterator<? extends R> it2 = this.it;
        if (it2 == null) {
            return null;
        }
        R r = (R) it2.next();
        Objects.requireNonNull(r, "The iterator returned a null value");
        if (!it2.hasNext()) {
            this.it = null;
        }
        return r;
    }

    @Override // f.a.c0.c.c, io.reactivex.internal.observers.BasicIntQueueDisposable
    public int requestFusion(int i2) {
        if ((i2 & 2) == 0) {
            return 0;
        }
        this.outputFused = true;
        return 2;
    }
}
