package io.reactivex.internal.operators.single;

import f.a.u;
import f.a.w;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.atomic.AtomicReference;

public final class SingleObserveOn$ObserveOnSingleObserver<T> extends AtomicReference<b> implements w<T>, b, Runnable {
    private static final long serialVersionUID = 3528003840217436037L;
    public final w<? super T> downstream;
    public Throwable error;
    public final u scheduler;
    public T value;

    public SingleObserveOn$ObserveOnSingleObserver(w<? super T> wVar, u uVar) {
        this.downstream = wVar;
        this.scheduler = uVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this);
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed((b) get());
    }

    @Override // f.a.w
    public void onError(Throwable th) {
        this.error = th;
        DisposableHelper.replace(this, this.scheduler.c(this));
    }

    @Override // f.a.w
    public void onSubscribe(b bVar) {
        if (DisposableHelper.setOnce(this, bVar)) {
            this.downstream.onSubscribe(this);
        }
    }

    @Override // f.a.w
    public void onSuccess(T t) {
        this.value = t;
        DisposableHelper.replace(this, this.scheduler.c(this));
    }

    public void run() {
        Throwable th = this.error;
        if (th != null) {
            this.downstream.onError(th);
        } else {
            this.downstream.onSuccess(this.value);
        }
    }
}
