package io.reactivex.internal.operators.single;

import f.a.b0.h;
import f.a.c0.d.e;
import f.a.w;
import f.a.x;
import f.a.z.b;
import io.reactivex.exceptions.CompositeException;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicReference;

public final class SingleResumeNext$ResumeMainSingleObserver<T> extends AtomicReference<b> implements w<T>, b {
    private static final long serialVersionUID = -5314538511045349925L;
    public final w<? super T> downstream;
    public final h<? super Throwable, ? extends x<? extends T>> nextFunction;

    public SingleResumeNext$ResumeMainSingleObserver(w<? super T> wVar, h<? super Throwable, ? extends x<? extends T>> hVar) {
        this.downstream = wVar;
        this.nextFunction = hVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this);
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed((b) get());
    }

    @Override // f.a.w
    public void onError(Throwable th) {
        try {
            Object apply = this.nextFunction.apply(th);
            Objects.requireNonNull(apply, "The nextFunction returned a null SingleSource.");
            ((x) apply).a(new e(this, this.downstream));
        } catch (Throwable th2) {
            d.l.b.g.g.b.D0(th2);
            this.downstream.onError(new CompositeException(th, th2));
        }
    }

    @Override // f.a.w
    public void onSubscribe(b bVar) {
        if (DisposableHelper.setOnce(this, bVar)) {
            this.downstream.onSubscribe(this);
        }
    }

    @Override // f.a.w
    public void onSuccess(T t) {
        this.downstream.onSuccess(t);
    }
}
