package io.reactivex.internal.operators.single;

import f.a.w;
import f.a.x;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.util.ExceptionHelper;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import java.util.concurrent.atomic.AtomicReference;

public final class SingleTimeout$TimeoutMainObserver<T> extends AtomicReference<b> implements w<T>, Runnable, b {
    private static final long serialVersionUID = 37497744973048446L;
    public final w<? super T> downstream;
    public final TimeoutFallbackObserver<T> fallback;
    public x<? extends T> other;
    public final AtomicReference<b> task = new AtomicReference<>();
    public final long timeout;
    public final TimeUnit unit;

    public static final class TimeoutFallbackObserver<T> extends AtomicReference<b> implements w<T> {
        private static final long serialVersionUID = 2071387740092105509L;
        public final w<? super T> downstream;

        public TimeoutFallbackObserver(w<? super T> wVar) {
            this.downstream = wVar;
        }

        @Override // f.a.w
        public void onError(Throwable th) {
            this.downstream.onError(th);
        }

        @Override // f.a.w
        public void onSubscribe(b bVar) {
            DisposableHelper.setOnce(this, bVar);
        }

        @Override // f.a.w
        public void onSuccess(T t) {
            this.downstream.onSuccess(t);
        }
    }

    public SingleTimeout$TimeoutMainObserver(w<? super T> wVar, x<? extends T> xVar, long j2, TimeUnit timeUnit) {
        this.downstream = wVar;
        this.other = xVar;
        this.timeout = j2;
        this.unit = timeUnit;
        if (xVar != null) {
            this.fallback = new TimeoutFallbackObserver<>(wVar);
        } else {
            this.fallback = null;
        }
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this);
        DisposableHelper.dispose(this.task);
        TimeoutFallbackObserver<T> timeoutFallbackObserver = this.fallback;
        if (timeoutFallbackObserver != null) {
            DisposableHelper.dispose(timeoutFallbackObserver);
        }
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed((b) get());
    }

    @Override // f.a.w
    public void onError(Throwable th) {
        b bVar = (b) get();
        DisposableHelper disposableHelper = DisposableHelper.DISPOSED;
        if (bVar == disposableHelper || !compareAndSet(bVar, disposableHelper)) {
            d.l.b.g.g.b.q0(th);
            return;
        }
        DisposableHelper.dispose(this.task);
        this.downstream.onError(th);
    }

    @Override // f.a.w
    public void onSubscribe(b bVar) {
        DisposableHelper.setOnce(this, bVar);
    }

    @Override // f.a.w
    public void onSuccess(T t) {
        b bVar = (b) get();
        DisposableHelper disposableHelper = DisposableHelper.DISPOSED;
        if (bVar != disposableHelper && compareAndSet(bVar, disposableHelper)) {
            DisposableHelper.dispose(this.task);
            this.downstream.onSuccess(t);
        }
    }

    public void run() {
        b bVar = (b) get();
        DisposableHelper disposableHelper = DisposableHelper.DISPOSED;
        if (bVar != disposableHelper && compareAndSet(bVar, disposableHelper)) {
            if (bVar != null) {
                bVar.dispose();
            }
            x<? extends T> xVar = this.other;
            if (xVar == null) {
                this.downstream.onError(new TimeoutException(ExceptionHelper.c(this.timeout, this.unit)));
                return;
            }
            this.other = null;
            xVar.a(this.fallback);
        }
    }
}
