package io.reactivex.internal.operators.single;

import f.a.b0.g;
import f.a.w;
import f.a.z.b;
import io.reactivex.exceptions.CompositeException;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.atomic.AtomicReference;

public final class SingleUsing$UsingSingleObserver<T, U> extends AtomicReference<Object> implements w<T>, b {
    private static final long serialVersionUID = -5331524057054083935L;
    public final g<? super U> disposer;
    public final w<? super T> downstream;
    public final boolean eager;
    public b upstream;

    public SingleUsing$UsingSingleObserver(w<? super T> wVar, U u, boolean z, g<? super U> gVar) {
        super(u);
        this.downstream = wVar;
        this.eager = z;
        this.disposer = gVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        this.upstream.dispose();
        this.upstream = DisposableHelper.DISPOSED;
        disposeAfter();
    }

    public void disposeAfter() {
        Object andSet = getAndSet(this);
        if (andSet != this) {
            try {
                this.disposer.accept(andSet);
            } catch (Throwable th) {
                d.l.b.g.g.b.D0(th);
                d.l.b.g.g.b.q0(th);
            }
        }
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return this.upstream.isDisposed();
    }

    @Override // f.a.w
    public void onError(Throwable th) {
        this.upstream = DisposableHelper.DISPOSED;
        if (this.eager) {
            Object andSet = getAndSet(this);
            if (andSet != this) {
                try {
                    this.disposer.accept(andSet);
                } catch (Throwable th2) {
                    d.l.b.g.g.b.D0(th2);
                    th = new CompositeException(th, th2);
                }
            } else {
                return;
            }
        }
        this.downstream.onError(th);
        if (!this.eager) {
            disposeAfter();
        }
    }

    @Override // f.a.w
    public void onSubscribe(b bVar) {
        if (DisposableHelper.validate(this.upstream, bVar)) {
            this.upstream = bVar;
            this.downstream.onSubscribe(this);
        }
    }

    @Override // f.a.w
    public void onSuccess(T t) {
        this.upstream = DisposableHelper.DISPOSED;
        if (this.eager) {
            Object andSet = getAndSet(this);
            if (andSet != this) {
                try {
                    this.disposer.accept(andSet);
                } catch (Throwable th) {
                    d.l.b.g.g.b.D0(th);
                    this.downstream.onError(th);
                    return;
                }
            } else {
                return;
            }
        }
        this.downstream.onSuccess(t);
        if (!this.eager) {
            disposeAfter();
        }
    }
}
