package io.reactivex.internal.schedulers;

import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.disposables.SequentialDisposable;
import io.reactivex.internal.functions.Functions;
import java.util.concurrent.atomic.AtomicReference;

public final class ExecutorScheduler$DelayedRunnable extends AtomicReference<Runnable> implements Runnable, b {
    private static final long serialVersionUID = -4101336210206799084L;
    public final SequentialDisposable direct = new SequentialDisposable();
    public final SequentialDisposable timed = new SequentialDisposable();

    public ExecutorScheduler$DelayedRunnable(Runnable runnable) {
        super(runnable);
    }

    @Override // f.a.z.b
    public void dispose() {
        if (getAndSet(null) != null) {
            this.timed.dispose();
            this.direct.dispose();
        }
    }

    public Runnable getWrappedRunnable() {
        Runnable runnable = (Runnable) get();
        return runnable != null ? runnable : Functions.f13355b;
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return get() == null;
    }

    public void run() {
        Runnable runnable = (Runnable) get();
        if (runnable != null) {
            try {
                runnable.run();
                lazySet(null);
                SequentialDisposable sequentialDisposable = this.timed;
                DisposableHelper disposableHelper = DisposableHelper.DISPOSED;
                sequentialDisposable.lazySet(disposableHelper);
                this.direct.lazySet(disposableHelper);
            } catch (Throwable th) {
                lazySet(null);
                this.timed.lazySet(DisposableHelper.DISPOSED);
                this.direct.lazySet(DisposableHelper.DISPOSED);
                throw th;
            }
        }
    }
}
