package io.reactivex.internal.subscribers;

import f.a.b0.a;
import f.a.b0.g;
import f.a.b0.i;
import f.a.j;
import f.a.z.b;
import io.reactivex.exceptions.CompositeException;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.atomic.AtomicReference;
import k.c.d;

public final class ForEachWhileSubscriber<T> extends AtomicReference<d> implements j<T>, b {
    private static final long serialVersionUID = -4403180040475402120L;
    public boolean done;
    public final a onComplete;
    public final g<? super Throwable> onError;
    public final i<? super T> onNext;

    public ForEachWhileSubscriber(i<? super T> iVar, g<? super Throwable> gVar, a aVar) {
        this.onNext = iVar;
        this.onError = gVar;
        this.onComplete = aVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        SubscriptionHelper.cancel(this);
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return get() == SubscriptionHelper.CANCELLED;
    }

    @Override // k.c.c
    public void onComplete() {
        if (!this.done) {
            this.done = true;
            try {
                this.onComplete.run();
            } catch (Throwable th) {
                d.l.b.g.g.b.D0(th);
                d.l.b.g.g.b.q0(th);
            }
        }
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        if (this.done) {
            d.l.b.g.g.b.q0(th);
            return;
        }
        this.done = true;
        try {
            this.onError.accept(th);
        } catch (Throwable th2) {
            d.l.b.g.g.b.D0(th2);
            d.l.b.g.g.b.q0(new CompositeException(th, th2));
        }
    }

    @Override // k.c.c
    public void onNext(T t) {
        if (!this.done) {
            try {
                if (!this.onNext.test(t)) {
                    dispose();
                    onComplete();
                }
            } catch (Throwable th) {
                d.l.b.g.g.b.D0(th);
                dispose();
                onError(th);
            }
        }
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        SubscriptionHelper.setOnce(this, dVar, Long.MAX_VALUE);
    }
}
