package io.reactivex.internal.subscribers;

import f.a.c0.c.g;
import f.a.c0.h.a;
import f.a.j;
import io.reactivex.internal.queue.SpscArrayQueue;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.atomic.AtomicReference;
import k.c.d;

public final class InnerQueuedSubscriber<T> extends AtomicReference<d> implements j<T>, d {
    private static final long serialVersionUID = 22876611072430776L;
    public volatile boolean done;
    public int fusionMode;
    public final int limit;
    public final a<T> parent;
    public final int prefetch;
    public long produced;
    public volatile g<T> queue;

    public InnerQueuedSubscriber(a<T> aVar, int i2) {
        this.parent = aVar;
        this.prefetch = i2;
        this.limit = i2 - (i2 >> 2);
    }

    @Override // k.c.d
    public void cancel() {
        SubscriptionHelper.cancel(this);
    }

    public boolean isDone() {
        return this.done;
    }

    @Override // k.c.c
    public void onComplete() {
        this.parent.innerComplete(this);
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        this.parent.innerError(this, th);
    }

    @Override // k.c.c
    public void onNext(T t) {
        if (this.fusionMode == 0) {
            this.parent.innerNext(this, t);
        } else {
            this.parent.drain();
        }
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        g<T> gVar;
        if (SubscriptionHelper.setOnce(this, dVar)) {
            long j2 = Long.MAX_VALUE;
            if (dVar instanceof f.a.c0.c.d) {
                f.a.c0.c.d dVar2 = (f.a.c0.c.d) dVar;
                int requestFusion = dVar2.requestFusion(3);
                if (requestFusion == 1) {
                    this.fusionMode = requestFusion;
                    this.queue = dVar2;
                    this.done = true;
                    this.parent.innerComplete(this);
                    return;
                } else if (requestFusion == 2) {
                    this.fusionMode = requestFusion;
                    this.queue = dVar2;
                    int i2 = this.prefetch;
                    if (i2 >= 0) {
                        j2 = (long) i2;
                    }
                    dVar.request(j2);
                    return;
                }
            }
            int i3 = this.prefetch;
            if (i3 < 0) {
                gVar = new f.a.c0.f.a<>(-i3);
            } else {
                gVar = new SpscArrayQueue<>(i3);
            }
            this.queue = gVar;
            int i4 = this.prefetch;
            if (i4 >= 0) {
                j2 = (long) i4;
            }
            dVar.request(j2);
        }
    }

    public g<T> queue() {
        return this.queue;
    }

    @Override // k.c.d
    public void request(long j2) {
        if (this.fusionMode != 1) {
            long j3 = this.produced + j2;
            if (j3 >= ((long) this.limit)) {
                this.produced = 0;
                ((d) get()).request(j3);
                return;
            }
            this.produced = j3;
        }
    }

    public void requestOne() {
        if (this.fusionMode != 1) {
            long j2 = this.produced + 1;
            if (j2 == ((long) this.limit)) {
                this.produced = 0;
                ((d) get()).request(j2);
                return;
            }
            this.produced = j2;
        }
    }

    public void setDone() {
        this.done = true;
    }
}
