package io.reactivex.internal.subscriptions;

import f.a.z.b;
import java.util.concurrent.atomic.AtomicReferenceArray;
import k.c.d;

public final class ArrayCompositeSubscription extends AtomicReferenceArray<d> implements b {
    private static final long serialVersionUID = 2746389416410565408L;

    public ArrayCompositeSubscription(int i2) {
        super(i2);
    }

    @Override // f.a.z.b
    public void dispose() {
        d dVar;
        if (get(0) != SubscriptionHelper.CANCELLED) {
            int length = length();
            for (int i2 = 0; i2 < length; i2++) {
                d dVar2 = (d) get(i2);
                SubscriptionHelper subscriptionHelper = SubscriptionHelper.CANCELLED;
                if (!(dVar2 == subscriptionHelper || (dVar = (d) getAndSet(i2, subscriptionHelper)) == subscriptionHelper || dVar == null)) {
                    dVar.cancel();
                }
            }
        }
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return get(0) == SubscriptionHelper.CANCELLED;
    }

    public d replaceResource(int i2, d dVar) {
        d dVar2;
        do {
            dVar2 = (d) get(i2);
            if (dVar2 == SubscriptionHelper.CANCELLED) {
                if (dVar == null) {
                    return null;
                }
                dVar.cancel();
                return null;
            }
        } while (!compareAndSet(i2, dVar2, dVar));
        return dVar2;
    }

    public boolean setResource(int i2, d dVar) {
        d dVar2;
        do {
            dVar2 = (d) get(i2);
            if (dVar2 == SubscriptionHelper.CANCELLED) {
                if (dVar == null) {
                    return false;
                }
                dVar.cancel();
                return false;
            }
        } while (!compareAndSet(i2, dVar2, dVar));
        if (dVar2 == null) {
            return true;
        }
        dVar2.cancel();
        return true;
    }
}
