package io.reactivex.processors;

import f.a.e0.a;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicLong;
import k.c.c;
import k.c.d;

public final class MulticastProcessor<T> extends a<T> {

    public static final class MulticastSubscription<T> extends AtomicLong implements d {
        private static final long serialVersionUID = -363282618957264509L;
        public final c<? super T> downstream;
        public long emitted;
        public final MulticastProcessor<T> parent;

        public MulticastSubscription(c<? super T> cVar, MulticastProcessor<T> multicastProcessor) {
            this.downstream = cVar;
        }

        @Override // k.c.d
        public void cancel() {
            if (getAndSet(Long.MIN_VALUE) != Long.MIN_VALUE) {
                throw null;
            }
        }

        public void onComplete() {
            if (get() != Long.MIN_VALUE) {
                this.downstream.onComplete();
            }
        }

        public void onError(Throwable th) {
            if (get() != Long.MIN_VALUE) {
                this.downstream.onError(th);
            }
        }

        public void onNext(T t) {
            if (get() != Long.MIN_VALUE) {
                this.emitted++;
                this.downstream.onNext(t);
            }
        }

        @Override // k.c.d
        public void request(long j2) {
            long j3;
            long j4;
            if (SubscriptionHelper.validate(j2)) {
                do {
                    j3 = get();
                    if (j3 != Long.MIN_VALUE) {
                        j4 = Long.MAX_VALUE;
                        if (j3 != Long.MAX_VALUE) {
                            long j5 = j3 + j2;
                            if (j5 >= 0) {
                                j4 = j5;
                            }
                        } else {
                            return;
                        }
                    } else {
                        return;
                    }
                } while (!compareAndSet(j3, j4));
                Objects.requireNonNull(this.parent);
                throw null;
            }
        }
    }
}
