package kotlin.coroutines;

import com.lzy.okgo.cache.CacheEntity;
import d.a.a.a.a;
import h.k;
import h.m.c;
import h.p.a.p;
import h.p.b.m;
import h.p.b.o;
import java.io.Serializable;
import java.util.Objects;
import kotlin.jvm.internal.Ref$IntRef;

/* compiled from: CoroutineContextImpl.kt */
public final class CombinedContext implements c, Serializable {
    private final c.a element;
    private final c left;

    /* compiled from: CoroutineContextImpl.kt */
    public static final class Serialized implements Serializable {
        public static final a Companion = new a(null);
        private static final long serialVersionUID = 0;
        private final c[] elements;

        /* compiled from: CoroutineContextImpl.kt */
        public static final class a {
            public a(m mVar) {
            }
        }

        public Serialized(c[] cVarArr) {
            o.e(cVarArr, "elements");
            this.elements = cVarArr;
        }

        private final Object readResolve() {
            c[] cVarArr = this.elements;
            c cVar = EmptyCoroutineContext.INSTANCE;
            for (c cVar2 : cVarArr) {
                cVar = cVar.plus(cVar2);
            }
            return cVar;
        }

        public final c[] getElements() {
            return this.elements;
        }
    }

    public CombinedContext(c cVar, c.a aVar) {
        o.e(cVar, "left");
        o.e(aVar, "element");
        this.left = cVar;
        this.element = aVar;
    }

    private final boolean contains(c.a aVar) {
        return o.a(get(aVar.getKey()), aVar);
    }

    private final boolean containsAll(CombinedContext combinedContext) {
        while (contains(combinedContext.element)) {
            c cVar = combinedContext.left;
            if (cVar instanceof CombinedContext) {
                combinedContext = (CombinedContext) cVar;
            } else {
                Objects.requireNonNull(cVar, "null cannot be cast to non-null type kotlin.coroutines.CoroutineContext.Element");
                return contains((c.a) cVar);
            }
        }
        return false;
    }

    private final int size() {
        int i2 = 2;
        CombinedContext combinedContext = this;
        while (true) {
            c cVar = combinedContext.left;
            if (!(cVar instanceof CombinedContext)) {
                cVar = null;
            }
            combinedContext = (CombinedContext) cVar;
            if (combinedContext == null) {
                return i2;
            }
            i2++;
        }
    }

    private final Object writeReplace() {
        int size = size();
        c[] cVarArr = new c[size];
        Ref$IntRef ref$IntRef = new Ref$IntRef();
        boolean z = false;
        ref$IntRef.element = 0;
        fold(k.f13253a, new CombinedContext$writeReplace$1(cVarArr, ref$IntRef));
        if (ref$IntRef.element == size) {
            z = true;
        }
        if (z) {
            return new Serialized(cVarArr);
        }
        throw new IllegalStateException("Check failed.".toString());
    }

    public boolean equals(Object obj) {
        if (this != obj) {
            if (obj instanceof CombinedContext) {
                CombinedContext combinedContext = (CombinedContext) obj;
                if (combinedContext.size() != size() || !combinedContext.containsAll(this)) {
                    return false;
                }
            }
            return false;
        }
        return true;
    }

    @Override // h.m.c
    public <R> R fold(R r, p<? super R, ? super c.a, ? extends R> pVar) {
        o.e(pVar, "operation");
        return (R) pVar.invoke((Object) this.left.fold(r, pVar), this.element);
    }

    @Override // h.m.c
    public <E extends c.a> E get(c.b<E> bVar) {
        o.e(bVar, CacheEntity.KEY);
        CombinedContext combinedContext = this;
        while (true) {
            E e2 = (E) combinedContext.element.get(bVar);
            if (e2 != null) {
                return e2;
            }
            c cVar = combinedContext.left;
            if (!(cVar instanceof CombinedContext)) {
                return (E) cVar.get(bVar);
            }
            combinedContext = (CombinedContext) cVar;
        }
    }

    public int hashCode() {
        return this.element.hashCode() + this.left.hashCode();
    }

    @Override // h.m.c
    public c minusKey(c.b<?> bVar) {
        o.e(bVar, CacheEntity.KEY);
        if (this.element.get(bVar) != null) {
            return this.left;
        }
        c minusKey = this.left.minusKey(bVar);
        if (minusKey == this.left) {
            return this;
        }
        if (minusKey == EmptyCoroutineContext.INSTANCE) {
            return this.element;
        }
        return new CombinedContext(minusKey, this.element);
    }

    @Override // h.m.c
    public c plus(c cVar) {
        o.e(cVar, "context");
        o.e(cVar, "context");
        return cVar == EmptyCoroutineContext.INSTANCE ? this : (c) cVar.fold(this, CoroutineContext$plus$1.INSTANCE);
    }

    public String toString() {
        return a.y(a.B("["), (String) fold("", CombinedContext$toString$1.INSTANCE), "]");
    }
}
