package kotlin.coroutines.jvm.internal;

import androidx.constraintlayout.core.motion.utils.TypedValues;
import com.lzy.okgo.cookie.SerializableCookie;
import h.k;
import h.m.a;
import h.m.c;
import h.m.d.a.b;
import h.m.d.a.d;
import h.p.b.o;
import java.io.Serializable;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
import kotlin.Result;
import kotlin.coroutines.intrinsics.CoroutineSingletons;

/* compiled from: ContinuationImpl.kt */
public abstract class BaseContinuationImpl implements a<Object>, b, Serializable {
    private final a<Object> completion;

    public BaseContinuationImpl(a<Object> aVar) {
        this.completion = aVar;
    }

    public a<k> create(a<?> aVar) {
        o.e(aVar, "completion");
        throw new UnsupportedOperationException("create(Continuation) has not been overridden");
    }

    public b getCallerFrame() {
        a<Object> aVar = this.completion;
        if (!(aVar instanceof b)) {
            aVar = null;
        }
        return (b) aVar;
    }

    public final a<Object> getCompletion() {
        return this.completion;
    }

    @Override // h.m.a
    public abstract /* synthetic */ c getContext();

    public StackTraceElement getStackTraceElement() {
        int i2;
        String str;
        Method method;
        Object invoke;
        Method method2;
        Object invoke2;
        o.e(this, "$this$getStackTraceElementImpl");
        h.m.d.a.c cVar = (h.m.d.a.c) getClass().getAnnotation(h.m.d.a.c.class);
        String str2 = null;
        if (cVar == null) {
            return null;
        }
        int v = cVar.v();
        if (v <= 1) {
            int i3 = -1;
            try {
                Field declaredField = getClass().getDeclaredField("label");
                o.d(declaredField, "field");
                declaredField.setAccessible(true);
                Object obj = declaredField.get(this);
                if (!(obj instanceof Integer)) {
                    obj = null;
                }
                Integer num = (Integer) obj;
                i2 = (num != null ? num.intValue() : 0) - 1;
            } catch (Exception unused) {
                i2 = -1;
            }
            if (i2 >= 0) {
                i3 = cVar.l()[i2];
            }
            o.e(this, "continuation");
            d.a aVar = d.f13281b;
            if (aVar == null) {
                try {
                    d.a aVar2 = new d.a(Class.class.getDeclaredMethod("getModule", new Class[0]), getClass().getClassLoader().loadClass("java.lang.Module").getDeclaredMethod("getDescriptor", new Class[0]), getClass().getClassLoader().loadClass("java.lang.module.ModuleDescriptor").getDeclaredMethod(SerializableCookie.NAME, new Class[0]));
                    d.f13281b = aVar2;
                    aVar = aVar2;
                } catch (Exception unused2) {
                    aVar = d.f13280a;
                    d.f13281b = aVar;
                }
            }
            if (!(aVar == d.f13280a || (method = aVar.f13283a) == null || (invoke = method.invoke(getClass(), new Object[0])) == null || (method2 = aVar.f13284b) == null || (invoke2 = method2.invoke(invoke, new Object[0])) == null)) {
                Method method3 = aVar.f13285c;
                Object invoke3 = method3 != null ? method3.invoke(invoke2, new Object[0]) : null;
                if (invoke3 instanceof String) {
                    str2 = invoke3;
                }
                str2 = str2;
            }
            if (str2 == null) {
                str = cVar.c();
            } else {
                str = str2 + '/' + cVar.c();
            }
            return new StackTraceElement(str, cVar.m(), cVar.f(), i3);
        }
        throw new IllegalStateException(d.a.a.a.a.n("Debug metadata version mismatch. Expected: ", 1, ", got ", v, ". Please update the Kotlin standard library.").toString());
    }

    public abstract Object invokeSuspend(Object obj);

    public void releaseIntercepted() {
    }

    @Override // h.m.a
    public final void resumeWith(Object obj) {
        BaseContinuationImpl baseContinuationImpl = this;
        while (true) {
            o.e(baseContinuationImpl, TypedValues.Attributes.S_FRAME);
            a<Object> aVar = baseContinuationImpl.completion;
            o.c(aVar);
            try {
                Object invokeSuspend = baseContinuationImpl.invokeSuspend(obj);
                if (invokeSuspend != CoroutineSingletons.COROUTINE_SUSPENDED) {
                    obj = Result.m8constructorimpl(invokeSuspend);
                    baseContinuationImpl.releaseIntercepted();
                    if (aVar instanceof BaseContinuationImpl) {
                        baseContinuationImpl = (BaseContinuationImpl) aVar;
                    } else {
                        aVar.resumeWith(obj);
                        return;
                    }
                } else {
                    return;
                }
            } catch (Throwable th) {
                o.e(th, "exception");
                obj = Result.m8constructorimpl(new Result.Failure(th));
            }
        }
    }

    public String toString() {
        StringBuilder B = d.a.a.a.a.B("Continuation at ");
        Object stackTraceElement = getStackTraceElement();
        if (stackTraceElement == null) {
            stackTraceElement = getClass().getName();
        }
        B.append(stackTraceElement);
        return B.toString();
    }

    public a<k> create(Object obj, a<?> aVar) {
        o.e(aVar, "completion");
        throw new UnsupportedOperationException("create(Any?;Continuation) has not been overridden");
    }
}
