package kotlin.random;

import d.a.a.a.a;
import h.n.b;
import h.p.b.m;
import h.p.b.o;
import java.io.Serializable;

/* compiled from: Random.kt */
public abstract class Random {
    public static final Default Default = new Default(null);
    private static final Random defaultRandom = b.f13287a.b();

    /* compiled from: Random.kt */
    public static final class Default extends Random implements Serializable {

        /* compiled from: Random.kt */
        public static final class Serialized implements Serializable {
            public static final Serialized INSTANCE = new Serialized();
            private static final long serialVersionUID = 0;

            private Serialized() {
            }

            private final Object readResolve() {
                return Random.Default;
            }
        }

        private Default() {
        }

        private final Object writeReplace() {
            return Serialized.INSTANCE;
        }

        @Override // kotlin.random.Random
        public int nextBits(int i2) {
            return Random.defaultRandom.nextBits(i2);
        }

        @Override // kotlin.random.Random
        public boolean nextBoolean() {
            return Random.defaultRandom.nextBoolean();
        }

        @Override // kotlin.random.Random
        public byte[] nextBytes(byte[] bArr) {
            o.e(bArr, "array");
            return Random.defaultRandom.nextBytes(bArr);
        }

        @Override // kotlin.random.Random
        public double nextDouble() {
            return Random.defaultRandom.nextDouble();
        }

        @Override // kotlin.random.Random
        public float nextFloat() {
            return Random.defaultRandom.nextFloat();
        }

        @Override // kotlin.random.Random
        public int nextInt() {
            return Random.defaultRandom.nextInt();
        }

        @Override // kotlin.random.Random
        public long nextLong() {
            return Random.defaultRandom.nextLong();
        }

        public /* synthetic */ Default(m mVar) {
            this();
        }

        @Override // kotlin.random.Random
        public byte[] nextBytes(int i2) {
            return Random.defaultRandom.nextBytes(i2);
        }

        @Override // kotlin.random.Random
        public double nextDouble(double d2) {
            return Random.defaultRandom.nextDouble(d2);
        }

        @Override // kotlin.random.Random
        public int nextInt(int i2) {
            return Random.defaultRandom.nextInt(i2);
        }

        @Override // kotlin.random.Random
        public long nextLong(long j2) {
            return Random.defaultRandom.nextLong(j2);
        }

        @Override // kotlin.random.Random
        public byte[] nextBytes(byte[] bArr, int i2, int i3) {
            o.e(bArr, "array");
            return Random.defaultRandom.nextBytes(bArr, i2, i3);
        }

        @Override // kotlin.random.Random
        public double nextDouble(double d2, double d3) {
            return Random.defaultRandom.nextDouble(d2, d3);
        }

        @Override // kotlin.random.Random
        public int nextInt(int i2, int i3) {
            return Random.defaultRandom.nextInt(i2, i3);
        }

        @Override // kotlin.random.Random
        public long nextLong(long j2, long j3) {
            return Random.defaultRandom.nextLong(j2, j3);
        }
    }

    public static /* synthetic */ byte[] nextBytes$default(Random random, byte[] bArr, int i2, int i3, int i4, Object obj) {
        if (obj == null) {
            if ((i4 & 2) != 0) {
                i2 = 0;
            }
            if ((i4 & 4) != 0) {
                i3 = bArr.length;
            }
            return random.nextBytes(bArr, i2, i3);
        }
        throw new UnsupportedOperationException("Super calls with default arguments not supported in this target, function: nextBytes");
    }

    public abstract int nextBits(int i2);

    public boolean nextBoolean() {
        return nextBits(1) != 0;
    }

    /* JADX WARNING: Removed duplicated region for block: B:10:0x001a  */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x0070  */
    public byte[] nextBytes(byte[] bArr, int i2, int i3) {
        boolean z;
        o.e(bArr, "array");
        int length = bArr.length;
        boolean z2 = true;
        if (i2 >= 0 && length >= i2) {
            int length2 = bArr.length;
            if (i3 >= 0 && length2 >= i3) {
                z = true;
                if (!z) {
                    if (i2 > i3) {
                        z2 = false;
                    }
                    if (z2) {
                        int i4 = (i3 - i2) / 4;
                        for (int i5 = 0; i5 < i4; i5++) {
                            int nextInt = nextInt();
                            bArr[i2] = (byte) nextInt;
                            bArr[i2 + 1] = (byte) (nextInt >>> 8);
                            bArr[i2 + 2] = (byte) (nextInt >>> 16);
                            bArr[i2 + 3] = (byte) (nextInt >>> 24);
                            i2 += 4;
                        }
                        int i6 = i3 - i2;
                        int nextBits = nextBits(i6 * 8);
                        for (int i7 = 0; i7 < i6; i7++) {
                            bArr[i2 + i7] = (byte) (nextBits >>> (i7 * 8));
                        }
                        return bArr;
                    }
                    throw new IllegalArgumentException(a.n("fromIndex (", i2, ") must be not greater than toIndex (", i3, ").").toString());
                }
                throw new IllegalArgumentException(a.u(a.D("fromIndex (", i2, ") or toIndex (", i3, ") are out of range: 0.."), bArr.length, '.').toString());
            }
        }
        z = false;
        if (!z) {
        }
    }

    public double nextDouble() {
        return ((double) ((((long) nextBits(26)) << 27) + ((long) nextBits(27)))) / ((double) 9007199254740992L);
    }

    public float nextFloat() {
        return ((float) nextBits(24)) / ((float) 16777216);
    }

    public abstract int nextInt();

    public int nextInt(int i2) {
        return nextInt(0, i2);
    }

    public long nextLong() {
        return (((long) nextInt()) << 32) + ((long) nextInt());
    }

    public double nextDouble(double d2) {
        return nextDouble(0.0d, d2);
    }

    public int nextInt(int i2, int i3) {
        int i4;
        int nextInt;
        int i5;
        if (i3 > i2) {
            int i6 = i3 - i2;
            if (i6 > 0 || i6 == Integer.MIN_VALUE) {
                if (((-i6) & i6) == i6) {
                    i4 = nextBits(d.l.b.g.g.b.A(i6));
                } else {
                    do {
                        nextInt = nextInt() >>> 1;
                        i5 = nextInt % i6;
                    } while ((i6 - 1) + (nextInt - i5) < 0);
                    i4 = i5;
                }
                return i2 + i4;
            }
            while (true) {
                int nextInt2 = nextInt();
                if (i2 <= nextInt2 && i3 > nextInt2) {
                    return nextInt2;
                }
            }
        } else {
            throw new IllegalArgumentException(d.l.b.g.g.b.k(Integer.valueOf(i2), Integer.valueOf(i3)).toString());
        }
    }

    public long nextLong(long j2) {
        return nextLong(0, j2);
    }

    /* JADX WARNING: Removed duplicated region for block: B:24:0x004f  */
    /* JADX WARNING: Removed duplicated region for block: B:28:? A[RETURN, SYNTHETIC] */
    public double nextDouble(double d2, double d3) {
        double d4;
        boolean z = true;
        if (d3 > d2) {
            double d5 = d3 - d2;
            if (Double.isInfinite(d5)) {
                if (!Double.isInfinite(d2) && !Double.isNaN(d2)) {
                    if (Double.isInfinite(d3) || Double.isNaN(d3)) {
                        z = false;
                    }
                    if (z) {
                        double d6 = (double) 2;
                        double nextDouble = ((d3 / d6) - (d2 / d6)) * nextDouble();
                        d4 = d2 + nextDouble + nextDouble;
                        return d4 < d3 ? Math.nextAfter(d3, Double.NEGATIVE_INFINITY) : d4;
                    }
                }
            }
            d4 = d2 + (nextDouble() * d5);
            if (d4 < d3) {
            }
        } else {
            throw new IllegalArgumentException(d.l.b.g.g.b.k(Double.valueOf(d2), Double.valueOf(d3)).toString());
        }
    }

    public long nextLong(long j2, long j3) {
        long j4;
        long nextLong;
        long j5;
        int nextInt;
        if (j3 > j2) {
            long j6 = j3 - j2;
            if (j6 > 0) {
                if (((-j6) & j6) == j6) {
                    int i2 = (int) j6;
                    int i3 = (int) (j6 >>> 32);
                    if (i2 != 0) {
                        nextInt = nextBits(d.l.b.g.g.b.A(i2));
                    } else if (i3 == 1) {
                        nextInt = nextInt();
                    } else {
                        j4 = (((long) nextBits(d.l.b.g.g.b.A(i3))) << 32) + ((long) nextInt());
                    }
                    j4 = ((long) nextInt) & 4294967295L;
                } else {
                    do {
                        nextLong = nextLong() >>> 1;
                        j5 = nextLong % j6;
                    } while ((j6 - 1) + (nextLong - j5) < 0);
                    j4 = j5;
                }
                return j2 + j4;
            }
            while (true) {
                long nextLong2 = nextLong();
                if (j2 <= nextLong2 && j3 > nextLong2) {
                    return nextLong2;
                }
            }
        } else {
            throw new IllegalArgumentException(d.l.b.g.g.b.k(Long.valueOf(j2), Long.valueOf(j3)).toString());
        }
    }

    public byte[] nextBytes(byte[] bArr) {
        o.e(bArr, "array");
        return nextBytes(bArr, 0, bArr.length);
    }

    public byte[] nextBytes(int i2) {
        return nextBytes(new byte[i2]);
    }
}
