package kotlin.text;

import h.p.a.l;
import h.p.b.m;
import h.p.b.o;
import h.t.b;
import h.t.e;
import h.u.d;
import h.u.i;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Collections;
import java.util.EnumSet;
import java.util.Iterator;
import java.util.List;
import java.util.Objects;
import java.util.Set;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/* compiled from: Regex.kt */
public final class Regex implements Serializable {
    public static final a Companion = new a(null);
    private Set<? extends RegexOption> _options;
    private final Pattern nativePattern;

    /* compiled from: Regex.kt */
    public static final class Serialized implements Serializable {
        public static final a Companion = new a(null);
        private static final long serialVersionUID = 0;
        private final int flags;
        private final String pattern;

        /* compiled from: Regex.kt */
        public static final class a {
            public a(m mVar) {
            }
        }

        public Serialized(String str, int i2) {
            o.e(str, "pattern");
            this.pattern = str;
            this.flags = i2;
        }

        private final Object readResolve() {
            Pattern compile = Pattern.compile(this.pattern, this.flags);
            o.d(compile, "Pattern.compile(pattern, flags)");
            return new Regex(compile);
        }

        public final int getFlags() {
            return this.flags;
        }

        public final String getPattern() {
            return this.pattern;
        }
    }

    /* compiled from: Regex.kt */
    public static final class a {
        public a(m mVar) {
        }
    }

    public Regex(Pattern pattern) {
        o.e(pattern, "nativePattern");
        this.nativePattern = pattern;
    }

    public static /* synthetic */ d find$default(Regex regex, CharSequence charSequence, int i2, int i3, Object obj) {
        if ((i3 & 2) != 0) {
            i2 = 0;
        }
        return regex.find(charSequence, i2);
    }

    public static /* synthetic */ b findAll$default(Regex regex, CharSequence charSequence, int i2, int i3, Object obj) {
        if ((i3 & 2) != 0) {
            i2 = 0;
        }
        return regex.findAll(charSequence, i2);
    }

    public static /* synthetic */ List split$default(Regex regex, CharSequence charSequence, int i2, int i3, Object obj) {
        if ((i3 & 2) != 0) {
            i2 = 0;
        }
        return regex.split(charSequence, i2);
    }

    public static /* synthetic */ b splitToSequence$default(Regex regex, CharSequence charSequence, int i2, int i3, Object obj) {
        if ((i3 & 2) != 0) {
            i2 = 0;
        }
        return regex.splitToSequence(charSequence, i2);
    }

    private final Object writeReplace() {
        String pattern = this.nativePattern.pattern();
        o.d(pattern, "nativePattern.pattern()");
        return new Serialized(pattern, this.nativePattern.flags());
    }

    public final boolean containsMatchIn(CharSequence charSequence) {
        o.e(charSequence, "input");
        return this.nativePattern.matcher(charSequence).find();
    }

    public final d find(CharSequence charSequence, int i2) {
        o.e(charSequence, "input");
        Matcher matcher = this.nativePattern.matcher(charSequence);
        o.d(matcher, "nativePattern.matcher(input)");
        if (!matcher.find(i2)) {
            return null;
        }
        return new MatcherMatchResult(matcher, charSequence);
    }

    public final b<d> findAll(CharSequence charSequence, int i2) {
        o.e(charSequence, "input");
        if (i2 < 0 || i2 > charSequence.length()) {
            StringBuilder C = d.a.a.a.a.C("Start index out of bounds: ", i2, ", input length: ");
            C.append(charSequence.length());
            throw new IndexOutOfBoundsException(C.toString());
        }
        Regex$findAll$1 regex$findAll$1 = new Regex$findAll$1(this, charSequence, i2);
        Regex$findAll$2 regex$findAll$2 = Regex$findAll$2.INSTANCE;
        o.e(regex$findAll$1, "seedFunction");
        o.e(regex$findAll$2, "nextFunction");
        return new h.t.a(regex$findAll$1, regex$findAll$2);
    }

    /* JADX DEBUG: Type inference failed for r0v0. Raw type applied. Possible types: java.util.Set<? extends kotlin.text.RegexOption>, java.util.Set<kotlin.text.RegexOption> */
    public final Set<RegexOption> getOptions() {
        Set set = this._options;
        if (set != null) {
            return set;
        }
        int flags = this.nativePattern.flags();
        EnumSet allOf = EnumSet.allOf(RegexOption.class);
        Regex$fromInt$$inlined$apply$lambda$1 regex$fromInt$$inlined$apply$lambda$1 = new Regex$fromInt$$inlined$apply$lambda$1(flags);
        o.e(allOf, "$this$retainAll");
        o.e(regex$fromInt$$inlined$apply$lambda$1, "predicate");
        Iterator it = allOf.iterator();
        while (it.hasNext()) {
            if (!((Boolean) regex$fromInt$$inlined$apply$lambda$1.invoke(it.next())).booleanValue()) {
                it.remove();
            }
        }
        Set<RegexOption> unmodifiableSet = Collections.unmodifiableSet(allOf);
        o.d(unmodifiableSet, "Collections.unmodifiable…mask == it.value }\n    })");
        this._options = unmodifiableSet;
        return unmodifiableSet;
    }

    public final String getPattern() {
        String pattern = this.nativePattern.pattern();
        o.d(pattern, "nativePattern.pattern()");
        return pattern;
    }

    public final d matchAt(CharSequence charSequence, int i2) {
        o.e(charSequence, "input");
        Matcher region = this.nativePattern.matcher(charSequence).useAnchoringBounds(false).useTransparentBounds(true).region(i2, charSequence.length());
        if (!region.lookingAt()) {
            return null;
        }
        o.d(region, "this");
        return new MatcherMatchResult(region, charSequence);
    }

    public final d matchEntire(CharSequence charSequence) {
        o.e(charSequence, "input");
        Matcher matcher = this.nativePattern.matcher(charSequence);
        o.d(matcher, "nativePattern.matcher(input)");
        if (!matcher.matches()) {
            return null;
        }
        return new MatcherMatchResult(matcher, charSequence);
    }

    public final boolean matches(CharSequence charSequence) {
        o.e(charSequence, "input");
        return this.nativePattern.matcher(charSequence).matches();
    }

    public final boolean matchesAt(CharSequence charSequence, int i2) {
        o.e(charSequence, "input");
        return this.nativePattern.matcher(charSequence).useAnchoringBounds(false).useTransparentBounds(true).region(i2, charSequence.length()).lookingAt();
    }

    public final String replace(CharSequence charSequence, String str) {
        o.e(charSequence, "input");
        o.e(str, "replacement");
        String replaceAll = this.nativePattern.matcher(charSequence).replaceAll(str);
        o.d(replaceAll, "nativePattern.matcher(in…).replaceAll(replacement)");
        return replaceAll;
    }

    public final String replaceFirst(CharSequence charSequence, String str) {
        o.e(charSequence, "input");
        o.e(str, "replacement");
        String replaceFirst = this.nativePattern.matcher(charSequence).replaceFirst(str);
        o.d(replaceFirst, "nativePattern.matcher(in…replaceFirst(replacement)");
        return replaceFirst;
    }

    public final List<String> split(CharSequence charSequence, int i2) {
        o.e(charSequence, "input");
        i.m(i2);
        Matcher matcher = this.nativePattern.matcher(charSequence);
        if (i2 == 1 || !matcher.find()) {
            List<String> singletonList = Collections.singletonList(charSequence.toString());
            o.d(singletonList, "java.util.Collections.singletonList(element)");
            return singletonList;
        }
        int i3 = 10;
        if (i2 > 0 && i2 <= 10) {
            i3 = i2;
        }
        ArrayList arrayList = new ArrayList(i3);
        int i4 = 0;
        int i5 = i2 - 1;
        do {
            arrayList.add(charSequence.subSequence(i4, matcher.start()).toString());
            i4 = matcher.end();
            if (i5 >= 0 && arrayList.size() == i5) {
                break;
            }
        } while (matcher.find());
        arrayList.add(charSequence.subSequence(i4, charSequence.length()).toString());
        return arrayList;
    }

    public final b<String> splitToSequence(CharSequence charSequence, int i2) {
        o.e(charSequence, "input");
        i.m(i2);
        Regex$splitToSequence$1 regex$splitToSequence$1 = new Regex$splitToSequence$1(this, charSequence, i2, null);
        o.e(regex$splitToSequence$1, "block");
        return new e(regex$splitToSequence$1);
    }

    public final Pattern toPattern() {
        return this.nativePattern;
    }

    public String toString() {
        String pattern = this.nativePattern.toString();
        o.d(pattern, "nativePattern.toString()");
        return pattern;
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public Regex(String str) {
        this(r2);
        o.e(str, "pattern");
        Pattern compile = Pattern.compile(str);
        o.d(compile, "Pattern.compile(pattern)");
    }

    public final String replace(CharSequence charSequence, l<? super d, ? extends CharSequence> lVar) {
        o.e(charSequence, "input");
        o.e(lVar, "transform");
        int i2 = 0;
        d find$default = find$default(this, charSequence, 0, 2, null);
        if (find$default == null) {
            return charSequence.toString();
        }
        int length = charSequence.length();
        StringBuilder sb = new StringBuilder(length);
        do {
            o.c(find$default);
            sb.append(charSequence, i2, find$default.a().a().intValue());
            sb.append((CharSequence) lVar.invoke(find$default));
            i2 = Integer.valueOf(find$default.a().f13320h).intValue() + 1;
            find$default = find$default.next();
            if (i2 >= length) {
                break;
            }
        } while (find$default != null);
        if (i2 < length) {
            sb.append(charSequence, i2, length);
        }
        String sb2 = sb.toString();
        o.d(sb2, "sb.toString()");
        return sb2;
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public Regex(String str, RegexOption regexOption) {
        this(r2);
        o.e(str, "pattern");
        o.e(regexOption, "option");
        a aVar = Companion;
        int value = regexOption.getValue();
        Objects.requireNonNull(aVar);
        Pattern compile = Pattern.compile(str, (value & 2) != 0 ? value | 64 : value);
        o.d(compile, "Pattern.compile(pattern,…nicodeCase(option.value))");
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public Regex(String str, Set<? extends RegexOption> set) {
        this(r4);
        o.e(str, "pattern");
        o.e(set, "options");
        a aVar = Companion;
        Iterator<T> it = set.iterator();
        int i2 = 0;
        while (it.hasNext()) {
            i2 |= it.next().getValue();
        }
        Objects.requireNonNull(aVar);
        Pattern compile = Pattern.compile(str, (i2 & 2) != 0 ? i2 | 64 : i2);
        o.d(compile, "Pattern.compile(pattern,…odeCase(options.toInt()))");
    }
}
