package okhttp3.internal.cache2;

import java.io.EOFException;
import java.nio.ByteBuffer;
import java.nio.channels.FileChannel;
import okio.Buffer;

public final class FileOperator {
    private static final int BUFFER_SIZE = 8192;
    private final byte[] byteArray;
    private final ByteBuffer byteBuffer;
    private final FileChannel fileChannel;

    public FileOperator(FileChannel fileChannel2) {
        byte[] bArr = new byte[8192];
        this.byteArray = bArr;
        this.byteBuffer = ByteBuffer.wrap(bArr);
        this.fileChannel = fileChannel2;
    }

    public void read(long j2, Buffer buffer, long j3) {
        if (j3 >= 0) {
            while (j3 > 0) {
                try {
                    this.byteBuffer.limit((int) Math.min(8192L, j3));
                    if (this.fileChannel.read(this.byteBuffer, j2) != -1) {
                        int position = this.byteBuffer.position();
                        buffer.write(this.byteArray, 0, position);
                        long j4 = (long) position;
                        j2 += j4;
                        j3 -= j4;
                    } else {
                        throw new EOFException();
                    }
                } finally {
                    this.byteBuffer.clear();
                }
            }
            return;
        }
        throw new IndexOutOfBoundsException();
    }

    public void write(long j2, Buffer buffer, long j3) {
        if (j3 < 0 || j3 > buffer.size()) {
            throw new IndexOutOfBoundsException();
        }
        while (j3 > 0) {
            try {
                int min = (int) Math.min(8192L, j3);
                buffer.read(this.byteArray, 0, min);
                this.byteBuffer.limit(min);
                do {
                    j2 += (long) this.fileChannel.write(this.byteBuffer, j2);
                } while (this.byteBuffer.hasRemaining());
                j3 -= (long) min;
            } finally {
                this.byteBuffer.clear();
            }
        }
    }
}
