package okio;

import androidx.constraintlayout.core.motion.utils.TypedValues;
import com.lzy.okgo.cache.CacheEntity;
import com.shuyu.gsyvideoplayer.utils.NeuQuant;
import d.a.a.a.a;
import h.l.h;
import h.p.b.o;
import java.io.Closeable;
import java.io.EOFException;
import java.io.InputStream;
import java.io.OutputStream;
import java.nio.ByteBuffer;
import java.nio.channels.ByteChannel;
import java.nio.charset.Charset;
import java.security.InvalidKeyException;
import java.security.MessageDigest;
import javax.crypto.Mac;
import javax.crypto.spec.SecretKeySpec;
import okio.internal._BufferKt;
import org.dsq.library.widget.bigImage.SubsamplingScaleImageView;

/* compiled from: Buffer.kt */
public final class Buffer implements BufferedSource, BufferedSink, Cloneable, ByteChannel {
    public Segment head;
    private long size;

    /* compiled from: Buffer.kt */
    public static final class UnsafeCursor implements Closeable {
        public Buffer buffer;
        public byte[] data;
        public int end = -1;
        public long offset = -1;
        public boolean readWrite;
        private Segment segment;
        public int start = -1;

        @Override // java.io.Closeable, java.lang.AutoCloseable
        public void close() {
            if (this.buffer != null) {
                this.buffer = null;
                setSegment$okio(null);
                this.offset = -1;
                this.data = null;
                this.start = -1;
                this.end = -1;
                return;
            }
            throw new IllegalStateException("not attached to a buffer".toString());
        }

        public final long expandBuffer(int i2) {
            boolean z = true;
            if (i2 > 0) {
                if (i2 > 8192) {
                    z = false;
                }
                if (z) {
                    Buffer buffer2 = this.buffer;
                    if (buffer2 == null) {
                        throw new IllegalStateException("not attached to a buffer".toString());
                    } else if (this.readWrite) {
                        long size = buffer2.size();
                        Segment writableSegment$okio = buffer2.writableSegment$okio(i2);
                        int i3 = 8192 - writableSegment$okio.limit;
                        writableSegment$okio.limit = 8192;
                        long j2 = (long) i3;
                        buffer2.setSize$okio(size + j2);
                        setSegment$okio(writableSegment$okio);
                        this.offset = size;
                        this.data = writableSegment$okio.data;
                        this.start = 8192 - i3;
                        this.end = 8192;
                        return j2;
                    } else {
                        throw new IllegalStateException("expandBuffer() only permitted for read/write buffers".toString());
                    }
                } else {
                    throw new IllegalArgumentException(a.k("minByteCount > Segment.SIZE: ", i2).toString());
                }
            } else {
                throw new IllegalArgumentException(a.k("minByteCount <= 0: ", i2).toString());
            }
        }

        public final Segment getSegment$okio() {
            return this.segment;
        }

        public final int next() {
            long j2 = this.offset;
            Buffer buffer2 = this.buffer;
            o.c(buffer2);
            if (j2 != buffer2.size()) {
                long j3 = this.offset;
                return seek(j3 == -1 ? 0 : j3 + ((long) (this.end - this.start)));
            }
            throw new IllegalStateException("no more bytes".toString());
        }

        public final long resizeBuffer(long j2) {
            Buffer buffer2 = this.buffer;
            if (buffer2 == null) {
                throw new IllegalStateException("not attached to a buffer".toString());
            } else if (this.readWrite) {
                long size = buffer2.size();
                int i2 = 1;
                int i3 = (j2 > size ? 1 : (j2 == size ? 0 : -1));
                if (i3 <= 0) {
                    if (j2 >= 0) {
                        long j3 = size - j2;
                        while (true) {
                            if (j3 <= 0) {
                                break;
                            }
                            Segment segment2 = buffer2.head;
                            o.c(segment2);
                            Segment segment3 = segment2.prev;
                            o.c(segment3);
                            int i4 = segment3.limit;
                            long j4 = (long) (i4 - segment3.pos);
                            if (j4 > j3) {
                                segment3.limit = i4 - ((int) j3);
                                break;
                            }
                            buffer2.head = segment3.pop();
                            SegmentPool.recycle(segment3);
                            j3 -= j4;
                        }
                        setSegment$okio(null);
                        this.offset = j2;
                        this.data = null;
                        this.start = -1;
                        this.end = -1;
                    } else {
                        throw new IllegalArgumentException(a.o("newSize < 0: ", j2).toString());
                    }
                } else if (i3 > 0) {
                    long j5 = j2 - size;
                    boolean z = true;
                    while (j5 > 0) {
                        Segment writableSegment$okio = buffer2.writableSegment$okio(i2);
                        int min = (int) Math.min(j5, (long) (8192 - writableSegment$okio.limit));
                        writableSegment$okio.limit += min;
                        j5 -= (long) min;
                        if (z) {
                            setSegment$okio(writableSegment$okio);
                            this.offset = size;
                            this.data = writableSegment$okio.data;
                            int i5 = writableSegment$okio.limit;
                            this.start = i5 - min;
                            this.end = i5;
                            z = false;
                        }
                        i2 = 1;
                    }
                }
                buffer2.setSize$okio(j2);
                return size;
            } else {
                throw new IllegalStateException("resizeBuffer() only permitted for read/write buffers".toString());
            }
        }

        public final int seek(long j2) {
            Segment segment2;
            Buffer buffer2 = this.buffer;
            if (buffer2 == null) {
                throw new IllegalStateException("not attached to a buffer".toString());
            } else if (j2 < ((long) -1) || j2 > buffer2.size()) {
                StringBuilder E = a.E("offset=", j2, " > size=");
                E.append(buffer2.size());
                throw new ArrayIndexOutOfBoundsException(E.toString());
            } else if (j2 == -1 || j2 == buffer2.size()) {
                setSegment$okio(null);
                this.offset = j2;
                this.data = null;
                this.start = -1;
                this.end = -1;
                return -1;
            } else {
                long j3 = 0;
                long size = buffer2.size();
                Segment segment3 = buffer2.head;
                if (getSegment$okio() != null) {
                    long j4 = this.offset;
                    int i2 = this.start;
                    Segment segment$okio = getSegment$okio();
                    o.c(segment$okio);
                    long j5 = j4 - ((long) (i2 - segment$okio.pos));
                    if (j5 > j2) {
                        segment2 = getSegment$okio();
                        size = j5;
                    } else {
                        segment3 = getSegment$okio();
                        j3 = j5;
                        segment2 = segment3;
                    }
                } else {
                    segment2 = segment3;
                }
                if (size - j2 > j2 - j3) {
                    while (true) {
                        o.c(segment3);
                        int i3 = segment3.limit;
                        int i4 = segment3.pos;
                        if (j2 < ((long) (i3 - i4)) + j3) {
                            break;
                        }
                        j3 += (long) (i3 - i4);
                        segment3 = segment3.next;
                    }
                } else {
                    while (size > j2) {
                        o.c(segment2);
                        segment2 = segment2.prev;
                        o.c(segment2);
                        size -= (long) (segment2.limit - segment2.pos);
                    }
                    j3 = size;
                    segment3 = segment2;
                }
                if (this.readWrite) {
                    o.c(segment3);
                    if (segment3.shared) {
                        Segment unsharedCopy = segment3.unsharedCopy();
                        if (buffer2.head == segment3) {
                            buffer2.head = unsharedCopy;
                        }
                        segment3 = segment3.push(unsharedCopy);
                        Segment segment4 = segment3.prev;
                        o.c(segment4);
                        segment4.pop();
                    }
                }
                setSegment$okio(segment3);
                this.offset = j2;
                o.c(segment3);
                this.data = segment3.data;
                int i5 = segment3.pos + ((int) (j2 - j3));
                this.start = i5;
                int i6 = segment3.limit;
                this.end = i6;
                return i6 - i5;
            }
        }

        public final void setSegment$okio(Segment segment2) {
            this.segment = segment2;
        }
    }

    public static /* synthetic */ Buffer copyTo$default(Buffer buffer, OutputStream outputStream, long j2, long j3, int i2, Object obj) {
        if ((i2 & 2) != 0) {
            j2 = 0;
        }
        if ((i2 & 4) != 0) {
            j3 = buffer.size - j2;
        }
        return buffer.copyTo(outputStream, j2, j3);
    }

    public static /* synthetic */ Buffer copyTo$default(Buffer buffer, Buffer buffer2, long j2, int i2, Object obj) {
        if ((i2 & 2) != 0) {
            j2 = 0;
        }
        return buffer.copyTo(buffer2, j2);
    }

    public static /* synthetic */ Buffer copyTo$default(Buffer buffer, Buffer buffer2, long j2, long j3, int i2, Object obj) {
        if ((i2 & 2) != 0) {
            j2 = 0;
        }
        return buffer.copyTo(buffer2, j2, j3);
    }

    private final ByteString digest(String str) {
        MessageDigest instance = MessageDigest.getInstance(str);
        Segment segment = this.head;
        if (segment != null) {
            byte[] bArr = segment.data;
            int i2 = segment.pos;
            instance.update(bArr, i2, segment.limit - i2);
            Segment segment2 = segment.next;
            o.c(segment2);
            while (segment2 != segment) {
                byte[] bArr2 = segment2.data;
                int i3 = segment2.pos;
                instance.update(bArr2, i3, segment2.limit - i3);
                segment2 = segment2.next;
                o.c(segment2);
            }
        }
        byte[] digest = instance.digest();
        o.d(digest, "messageDigest.digest()");
        return new ByteString(digest);
    }

    private final ByteString hmac(String str, ByteString byteString) {
        try {
            Mac instance = Mac.getInstance(str);
            instance.init(new SecretKeySpec(byteString.internalArray$okio(), str));
            Segment segment = this.head;
            if (segment != null) {
                byte[] bArr = segment.data;
                int i2 = segment.pos;
                instance.update(bArr, i2, segment.limit - i2);
                Segment segment2 = segment.next;
                o.c(segment2);
                while (segment2 != segment) {
                    byte[] bArr2 = segment2.data;
                    int i3 = segment2.pos;
                    instance.update(bArr2, i3, segment2.limit - i3);
                    segment2 = segment2.next;
                    o.c(segment2);
                }
            }
            byte[] doFinal = instance.doFinal();
            o.d(doFinal, "mac.doFinal()");
            return new ByteString(doFinal);
        } catch (InvalidKeyException e2) {
            throw new IllegalArgumentException(e2);
        }
    }

    public static /* synthetic */ UnsafeCursor readAndWriteUnsafe$default(Buffer buffer, UnsafeCursor unsafeCursor, int i2, Object obj) {
        if ((i2 & 1) != 0) {
            unsafeCursor = new UnsafeCursor();
        }
        return buffer.readAndWriteUnsafe(unsafeCursor);
    }

    public static /* synthetic */ UnsafeCursor readUnsafe$default(Buffer buffer, UnsafeCursor unsafeCursor, int i2, Object obj) {
        if ((i2 & 1) != 0) {
            unsafeCursor = new UnsafeCursor();
        }
        return buffer.readUnsafe(unsafeCursor);
    }

    public static /* synthetic */ Buffer writeTo$default(Buffer buffer, OutputStream outputStream, long j2, int i2, Object obj) {
        if ((i2 & 2) != 0) {
            j2 = buffer.size;
        }
        return buffer.writeTo(outputStream, j2);
    }

    /* renamed from: -deprecated_getByte  reason: not valid java name */
    public final byte m18deprecated_getByte(long j2) {
        return getByte(j2);
    }

    /* renamed from: -deprecated_size  reason: not valid java name */
    public final long m19deprecated_size() {
        return this.size;
    }

    @Override // okio.BufferedSource, okio.BufferedSink
    public Buffer buffer() {
        return this;
    }

    public final void clear() {
        skip(size());
    }

    @Override // okio.Source, java.lang.AutoCloseable, okio.Sink, java.io.Closeable, java.nio.channels.Channel
    public void close() {
    }

    public final long completeSegmentByteCount() {
        long size2 = size();
        if (size2 == 0) {
            return 0;
        }
        Segment segment = this.head;
        o.c(segment);
        Segment segment2 = segment.prev;
        o.c(segment2);
        int i2 = segment2.limit;
        if (i2 < 8192 && segment2.owner) {
            size2 -= (long) (i2 - segment2.pos);
        }
        return size2;
    }

    public final Buffer copy() {
        Buffer buffer = new Buffer();
        if (size() != 0) {
            Segment segment = this.head;
            o.c(segment);
            Segment sharedCopy = segment.sharedCopy();
            buffer.head = sharedCopy;
            sharedCopy.prev = sharedCopy;
            sharedCopy.next = sharedCopy;
            for (Segment segment2 = segment.next; segment2 != segment; segment2 = segment2.next) {
                Segment segment3 = sharedCopy.prev;
                o.c(segment3);
                o.c(segment2);
                segment3.push(segment2.sharedCopy());
            }
            buffer.setSize$okio(size());
        }
        return buffer;
    }

    public final Buffer copyTo(OutputStream outputStream) {
        return copyTo$default(this, outputStream, 0, 0, 6, (Object) null);
    }

    public final Buffer copyTo(OutputStream outputStream, long j2) {
        return copyTo$default(this, outputStream, j2, 0, 4, (Object) null);
    }

    public final Buffer copyTo(OutputStream outputStream, long j2, long j3) {
        o.e(outputStream, "out");
        _UtilKt.checkOffsetAndCount(this.size, j2, j3);
        if (j3 == 0) {
            return this;
        }
        Segment segment = this.head;
        while (true) {
            o.c(segment);
            int i2 = segment.limit;
            int i3 = segment.pos;
            if (j2 < ((long) (i2 - i3))) {
                break;
            }
            j2 -= (long) (i2 - i3);
            segment = segment.next;
        }
        while (j3 > 0) {
            o.c(segment);
            int i4 = (int) (((long) segment.pos) + j2);
            int min = (int) Math.min((long) (segment.limit - i4), j3);
            outputStream.write(segment.data, i4, min);
            j3 -= (long) min;
            segment = segment.next;
            j2 = 0;
        }
        return this;
    }

    @Override // okio.Source
    public /* synthetic */ Cursor cursor() {
        return j.a.a(this);
    }

    @Override // okio.BufferedSink
    public Buffer emit() {
        return this;
    }

    @Override // okio.BufferedSink
    public Buffer emitCompleteSegments() {
        return this;
    }

    public boolean equals(Object obj) {
        if (this != obj) {
            if (!(obj instanceof Buffer)) {
                return false;
            }
            Buffer buffer = (Buffer) obj;
            if (size() != buffer.size()) {
                return false;
            }
            if (size() != 0) {
                Segment segment = this.head;
                o.c(segment);
                Segment segment2 = buffer.head;
                o.c(segment2);
                int i2 = segment.pos;
                int i3 = segment2.pos;
                long j2 = 0;
                while (j2 < size()) {
                    long min = (long) Math.min(segment.limit - i2, segment2.limit - i3);
                    long j3 = 0;
                    while (j3 < min) {
                        int i4 = i2 + 1;
                        int i5 = i3 + 1;
                        if (segment.data[i2] != segment2.data[i3]) {
                            return false;
                        }
                        j3++;
                        i2 = i4;
                        i3 = i5;
                    }
                    if (i2 == segment.limit) {
                        segment = segment.next;
                        o.c(segment);
                        i2 = segment.pos;
                    }
                    if (i3 == segment2.limit) {
                        segment2 = segment2.next;
                        o.c(segment2);
                        i3 = segment2.pos;
                    }
                    j2 += min;
                }
            }
        }
        return true;
    }

    @Override // okio.BufferedSource
    public boolean exhausted() {
        return this.size == 0;
    }

    @Override // okio.Sink, okio.BufferedSink, java.io.Flushable
    public void flush() {
    }

    @Override // okio.BufferedSource, okio.BufferedSink
    public Buffer getBuffer() {
        return this;
    }

    public final byte getByte(long j2) {
        _UtilKt.checkOffsetAndCount(size(), j2, 1);
        Segment segment = this.head;
        if (segment == null) {
            Segment segment2 = null;
            o.c(null);
            return segment2.data[(int) ((((long) segment2.pos) + j2) - -1)];
        } else if (size() - j2 < j2) {
            long size2 = size();
            while (size2 > j2) {
                segment = segment.prev;
                o.c(segment);
                size2 -= (long) (segment.limit - segment.pos);
            }
            o.c(segment);
            return segment.data[(int) ((((long) segment.pos) + j2) - size2)];
        } else {
            long j3 = 0;
            while (true) {
                long j4 = ((long) (segment.limit - segment.pos)) + j3;
                if (j4 > j2) {
                    o.c(segment);
                    return segment.data[(int) ((((long) segment.pos) + j2) - j3)];
                }
                segment = segment.next;
                o.c(segment);
                j3 = j4;
            }
        }
    }

    public int hashCode() {
        Segment segment = this.head;
        if (segment == null) {
            return 0;
        }
        int i2 = 1;
        do {
            int i3 = segment.limit;
            for (int i4 = segment.pos; i4 < i3; i4++) {
                i2 = (i2 * 31) + segment.data[i4];
            }
            segment = segment.next;
            o.c(segment);
        } while (segment != this.head);
        return i2;
    }

    public final ByteString hmacSha1(ByteString byteString) {
        o.e(byteString, CacheEntity.KEY);
        return hmac("HmacSHA1", byteString);
    }

    public final ByteString hmacSha256(ByteString byteString) {
        o.e(byteString, CacheEntity.KEY);
        return hmac("HmacSHA256", byteString);
    }

    public final ByteString hmacSha512(ByteString byteString) {
        o.e(byteString, CacheEntity.KEY);
        return hmac("HmacSHA512", byteString);
    }

    @Override // okio.BufferedSource
    public long indexOf(byte b2) {
        return indexOf(b2, 0, Long.MAX_VALUE);
    }

    @Override // okio.BufferedSource
    public long indexOfElement(ByteString byteString) {
        o.e(byteString, "targetBytes");
        return indexOfElement(byteString, 0);
    }

    @Override // okio.BufferedSource
    public InputStream inputStream() {
        return new Buffer$inputStream$1(this);
    }

    public boolean isOpen() {
        return true;
    }

    public final ByteString md5() {
        return digest("MD5");
    }

    @Override // okio.BufferedSink
    public OutputStream outputStream() {
        return new Buffer$outputStream$1(this);
    }

    @Override // okio.BufferedSource
    public BufferedSource peek() {
        return Okio.buffer(new PeekSource(this));
    }

    @Override // okio.BufferedSource
    public boolean rangeEquals(long j2, ByteString byteString) {
        o.e(byteString, "bytes");
        return rangeEquals(j2, byteString, 0, byteString.size());
    }

    @Override // java.nio.channels.ReadableByteChannel
    public int read(ByteBuffer byteBuffer) {
        o.e(byteBuffer, "sink");
        Segment segment = this.head;
        if (segment == null) {
            return -1;
        }
        int min = Math.min(byteBuffer.remaining(), segment.limit - segment.pos);
        byteBuffer.put(segment.data, segment.pos, min);
        int i2 = segment.pos + min;
        segment.pos = i2;
        this.size -= (long) min;
        if (i2 == segment.limit) {
            this.head = segment.pop();
            SegmentPool.recycle(segment);
        }
        return min;
    }

    @Override // okio.BufferedSource
    public long readAll(Sink sink) {
        o.e(sink, "sink");
        long size2 = size();
        if (size2 > 0) {
            sink.write(this, size2);
        }
        return size2;
    }

    public final UnsafeCursor readAndWriteUnsafe() {
        return readAndWriteUnsafe$default(this, null, 1, null);
    }

    public final UnsafeCursor readAndWriteUnsafe(UnsafeCursor unsafeCursor) {
        o.e(unsafeCursor, "unsafeCursor");
        return _BufferKt.commonReadAndWriteUnsafe(this, unsafeCursor);
    }

    @Override // okio.BufferedSource
    public byte readByte() {
        if (size() != 0) {
            Segment segment = this.head;
            o.c(segment);
            int i2 = segment.pos;
            int i3 = segment.limit;
            int i4 = i2 + 1;
            byte b2 = segment.data[i2];
            setSize$okio(size() - 1);
            if (i4 == i3) {
                this.head = segment.pop();
                SegmentPool.recycle(segment);
            } else {
                segment.pos = i4;
            }
            return b2;
        }
        throw new EOFException();
    }

    @Override // okio.BufferedSource
    public byte[] readByteArray() {
        return readByteArray(size());
    }

    @Override // okio.BufferedSource
    public ByteString readByteString() {
        return readByteString(size());
    }

    /* JADX WARNING: Code restructure failed: missing block: B:16:0x0050, code lost:
        if (r6 != false) goto L_0x0055;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:17:0x0052, code lost:
        r1.readByte();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:18:0x0055, code lost:
        r3 = d.a.a.a.a.B("Number too large: ");
        r3.append(r1.readUtf8());
     */
    /* JADX WARNING: Code restructure failed: missing block: B:19:0x006b, code lost:
        throw new java.lang.NumberFormatException(r3.toString());
     */
    @Override // okio.BufferedSource
    public long readDecimalLong() {
        long j2 = 0;
        if (size() != 0) {
            long j3 = -7;
            int i2 = 0;
            boolean z = false;
            boolean z2 = false;
            loop0:
            do {
                Segment segment = this.head;
                o.c(segment);
                byte[] bArr = segment.data;
                int i3 = segment.pos;
                int i4 = segment.limit;
                while (true) {
                    if (i3 >= i4) {
                        break;
                    }
                    byte b2 = bArr[i3];
                    byte b3 = (byte) 48;
                    if (b2 >= b3 && b2 <= ((byte) 57)) {
                        int i5 = b3 - b2;
                        int i6 = (j2 > _BufferKt.OVERFLOW_ZONE ? 1 : (j2 == _BufferKt.OVERFLOW_ZONE ? 0 : -1));
                        if (i6 < 0 || (i6 == 0 && ((long) i5) < j3)) {
                            Buffer writeByte = new Buffer().writeDecimalLong(j2).writeByte((int) b2);
                        } else {
                            j2 = (j2 * 10) + ((long) i5);
                        }
                    } else if (b2 == ((byte) 45) && i2 == 0) {
                        j3--;
                        z = true;
                    } else if (i2 != 0) {
                        z2 = true;
                    } else {
                        StringBuilder B = a.B("Expected leading [0-9] or '-' character but was 0x");
                        B.append(_UtilKt.toHexString(b2));
                        throw new NumberFormatException(B.toString());
                    }
                    i3++;
                    i2++;
                }
                if (i3 == i4) {
                    this.head = segment.pop();
                    SegmentPool.recycle(segment);
                } else {
                    segment.pos = i3;
                }
                if (z2) {
                    break;
                }
            } while (this.head != null);
            setSize$okio(size() - ((long) i2));
            return z ? j2 : -j2;
        }
        throw new EOFException();
    }

    public final Buffer readFrom(InputStream inputStream) {
        o.e(inputStream, "input");
        readFrom(inputStream, Long.MAX_VALUE, true);
        return this;
    }

    @Override // okio.BufferedSource
    public void readFully(Buffer buffer, long j2) {
        o.e(buffer, "sink");
        if (size() >= j2) {
            buffer.write(this, j2);
        } else {
            buffer.write(this, size());
            throw new EOFException();
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:28:0x0091, code lost:
        if (r8 != r9) goto L_0x009d;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:29:0x0093, code lost:
        r15.head = r6.pop();
        okio.SegmentPool.recycle(r6);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:30:0x009d, code lost:
        r6.pos = r8;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:31:0x009f, code lost:
        if (r1 != false) goto L_0x00a5;
     */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x0078  */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x007a A[SYNTHETIC] */
    @Override // okio.BufferedSource
    public long readHexadecimalUnsignedLong() {
        int i2;
        if (size() != 0) {
            int i3 = 0;
            boolean z = false;
            long j2 = 0;
            do {
                Segment segment = this.head;
                o.c(segment);
                byte[] bArr = segment.data;
                int i4 = segment.pos;
                int i5 = segment.limit;
                while (true) {
                    if (i4 >= i5) {
                        break;
                    }
                    byte b2 = bArr[i4];
                    byte b3 = (byte) 48;
                    if (b2 < b3 || b2 > ((byte) 57)) {
                        byte b4 = (byte) 97;
                        if ((b2 >= b4 && b2 <= ((byte) 102)) || (b2 >= (b4 = (byte) 65) && b2 <= ((byte) 70))) {
                            i2 = (b2 - b4) + 10;
                        } else if (i3 == 0) {
                            z = true;
                        } else {
                            StringBuilder B = a.B("Expected leading [0-9a-fA-F] character but was 0x");
                            B.append(_UtilKt.toHexString(b2));
                            throw new NumberFormatException(B.toString());
                        }
                    } else {
                        i2 = b2 - b3;
                    }
                    if ((-1152921504606846976L & j2) == 0) {
                        j2 = (j2 << 4) | ((long) i2);
                        i4++;
                        i3++;
                    } else {
                        Buffer writeByte = new Buffer().writeHexadecimalUnsignedLong(j2).writeByte((int) b2);
                        StringBuilder B2 = a.B("Number too large: ");
                        B2.append(writeByte.readUtf8());
                        throw new NumberFormatException(B2.toString());
                    }
                }
                if (i3 == 0) {
                }
            } while (this.head != null);
            setSize$okio(size() - ((long) i3));
            return j2;
        }
        throw new EOFException();
    }

    @Override // okio.BufferedSource
    public int readInt() {
        if (size() >= 4) {
            Segment segment = this.head;
            o.c(segment);
            int i2 = segment.pos;
            int i3 = segment.limit;
            if (((long) (i3 - i2)) < 4) {
                return ((readByte() & 255) << 24) | ((readByte() & 255) << 16) | ((readByte() & 255) << 8) | (readByte() & 255);
            }
            byte[] bArr = segment.data;
            int i4 = i2 + 1;
            int i5 = i4 + 1;
            int i6 = ((bArr[i2] & 255) << 24) | ((bArr[i4] & 255) << 16);
            int i7 = i5 + 1;
            int i8 = i6 | ((bArr[i5] & 255) << 8);
            int i9 = i7 + 1;
            int i10 = i8 | (bArr[i7] & 255);
            setSize$okio(size() - 4);
            if (i9 == i3) {
                this.head = segment.pop();
                SegmentPool.recycle(segment);
            } else {
                segment.pos = i9;
            }
            return i10;
        }
        throw new EOFException();
    }

    @Override // okio.BufferedSource
    public int readIntLe() {
        return _UtilKt.reverseBytes(readInt());
    }

    @Override // okio.BufferedSource
    public long readLong() {
        if (size() >= 8) {
            Segment segment = this.head;
            o.c(segment);
            int i2 = segment.pos;
            int i3 = segment.limit;
            if (((long) (i3 - i2)) < 8) {
                return ((((long) readInt()) & 4294967295L) << 32) | (4294967295L & ((long) readInt()));
            }
            byte[] bArr = segment.data;
            int i4 = i2 + 1;
            int i5 = i4 + 1;
            int i6 = i5 + 1;
            long j2 = ((((long) bArr[i2]) & 255) << 56) | ((((long) bArr[i4]) & 255) << 48) | ((((long) bArr[i5]) & 255) << 40);
            int i7 = i6 + 1;
            long j3 = ((((long) bArr[i6]) & 255) << 32) | j2;
            int i8 = i7 + 1;
            int i9 = i8 + 1;
            long j4 = j3 | ((((long) bArr[i7]) & 255) << 24) | ((((long) bArr[i8]) & 255) << 16);
            int i10 = i9 + 1;
            int i11 = i10 + 1;
            long j5 = j4 | ((((long) bArr[i9]) & 255) << 8) | (((long) bArr[i10]) & 255);
            setSize$okio(size() - 8);
            if (i11 == i3) {
                this.head = segment.pop();
                SegmentPool.recycle(segment);
            } else {
                segment.pos = i11;
            }
            return j5;
        }
        throw new EOFException();
    }

    @Override // okio.BufferedSource
    public long readLongLe() {
        return _UtilKt.reverseBytes(readLong());
    }

    @Override // okio.BufferedSource
    public short readShort() {
        if (size() >= 2) {
            Segment segment = this.head;
            o.c(segment);
            int i2 = segment.pos;
            int i3 = segment.limit;
            if (i3 - i2 < 2) {
                return (short) (((readByte() & 255) << 8) | (readByte() & 255));
            }
            byte[] bArr = segment.data;
            int i4 = i2 + 1;
            int i5 = i4 + 1;
            int i6 = ((bArr[i2] & 255) << 8) | (bArr[i4] & 255);
            setSize$okio(size() - 2);
            if (i5 == i3) {
                this.head = segment.pop();
                SegmentPool.recycle(segment);
            } else {
                segment.pos = i5;
            }
            return (short) i6;
        }
        throw new EOFException();
    }

    @Override // okio.BufferedSource
    public short readShortLe() {
        return _UtilKt.reverseBytes(readShort());
    }

    @Override // okio.BufferedSource
    public String readString(Charset charset) {
        o.e(charset, "charset");
        return readString(this.size, charset);
    }

    public final UnsafeCursor readUnsafe() {
        return readUnsafe$default(this, null, 1, null);
    }

    public final UnsafeCursor readUnsafe(UnsafeCursor unsafeCursor) {
        o.e(unsafeCursor, "unsafeCursor");
        return _BufferKt.commonReadUnsafe(this, unsafeCursor);
    }

    @Override // okio.BufferedSource
    public String readUtf8() {
        return readString(this.size, h.u.a.f13344a);
    }

    @Override // okio.BufferedSource
    public int readUtf8CodePoint() {
        int i2;
        int i3;
        int i4;
        if (size() != 0) {
            byte b2 = getByte(0);
            if ((b2 & 128) == 0) {
                i4 = b2 & Byte.MAX_VALUE;
                i3 = 1;
                i2 = 0;
            } else if ((b2 & 224) == 192) {
                i4 = b2 & 31;
                i3 = 2;
                i2 = 128;
            } else if ((b2 & 240) == 224) {
                i4 = b2 & 15;
                i3 = 3;
                i2 = 2048;
            } else if ((b2 & 248) == 240) {
                i4 = b2 & 7;
                i3 = 4;
                i2 = 65536;
            } else {
                skip(1);
                return Utf8.REPLACEMENT_CODE_POINT;
            }
            long j2 = (long) i3;
            if (size() >= j2) {
                for (int i5 = 1; i5 < i3; i5++) {
                    long j3 = (long) i5;
                    byte b3 = getByte(j3);
                    if ((b3 & 192) == 128) {
                        i4 = (i4 << 6) | (b3 & Utf8.REPLACEMENT_BYTE);
                    } else {
                        skip(j3);
                        return Utf8.REPLACEMENT_CODE_POINT;
                    }
                }
                skip(j2);
                if (i4 > 1114111) {
                    return Utf8.REPLACEMENT_CODE_POINT;
                }
                if ((55296 <= i4 && 57343 >= i4) || i4 < i2) {
                    return Utf8.REPLACEMENT_CODE_POINT;
                }
                return i4;
            }
            StringBuilder C = a.C("size < ", i3, ": ");
            C.append(size());
            C.append(" (to read code point prefixed 0x");
            C.append(_UtilKt.toHexString(b2));
            C.append(')');
            throw new EOFException(C.toString());
        }
        throw new EOFException();
    }

    @Override // okio.BufferedSource
    public String readUtf8Line() {
        long indexOf = indexOf((byte) 10);
        if (indexOf != -1) {
            return _BufferKt.readUtf8Line(this, indexOf);
        }
        if (size() != 0) {
            return readUtf8(size());
        }
        return null;
    }

    @Override // okio.BufferedSource
    public String readUtf8LineStrict() {
        return readUtf8LineStrict(Long.MAX_VALUE);
    }

    @Override // okio.BufferedSource
    public boolean request(long j2) {
        return this.size >= j2;
    }

    @Override // okio.BufferedSource
    public void require(long j2) {
        if (this.size < j2) {
            throw new EOFException();
        }
    }

    @Override // okio.BufferedSource
    public int select(Options options) {
        o.e(options, "options");
        int selectPrefix$default = _BufferKt.selectPrefix$default(this, options, false, 2, null);
        if (selectPrefix$default == -1) {
            return -1;
        }
        skip((long) options.getByteStrings$okio()[selectPrefix$default].size());
        return selectPrefix$default;
    }

    public final void setSize$okio(long j2) {
        this.size = j2;
    }

    public final ByteString sha1() {
        return digest("SHA-1");
    }

    public final ByteString sha256() {
        return digest("SHA-256");
    }

    public final ByteString sha512() {
        return digest("SHA-512");
    }

    public final long size() {
        return this.size;
    }

    @Override // okio.BufferedSource
    public void skip(long j2) {
        while (j2 > 0) {
            Segment segment = this.head;
            if (segment != null) {
                int min = (int) Math.min(j2, (long) (segment.limit - segment.pos));
                long j3 = (long) min;
                setSize$okio(size() - j3);
                j2 -= j3;
                int i2 = segment.pos + min;
                segment.pos = i2;
                if (i2 == segment.limit) {
                    this.head = segment.pop();
                    SegmentPool.recycle(segment);
                }
            } else {
                throw new EOFException();
            }
        }
    }

    public final ByteString snapshot() {
        if (size() <= ((long) SubsamplingScaleImageView.TILE_SIZE_AUTO)) {
            return snapshot((int) size());
        }
        StringBuilder B = a.B("size > Int.MAX_VALUE: ");
        B.append(size());
        throw new IllegalStateException(B.toString().toString());
    }

    @Override // okio.Source, okio.Sink
    public Timeout timeout() {
        return Timeout.NONE;
    }

    public String toString() {
        return snapshot().toString();
    }

    public final Segment writableSegment$okio(int i2) {
        boolean z = true;
        if (i2 < 1 || i2 > 8192) {
            z = false;
        }
        if (z) {
            Segment segment = this.head;
            if (segment == null) {
                Segment take = SegmentPool.take();
                this.head = take;
                take.prev = take;
                take.next = take;
                return take;
            }
            o.c(segment);
            Segment segment2 = segment.prev;
            o.c(segment2);
            return (segment2.limit + i2 > 8192 || !segment2.owner) ? segment2.push(SegmentPool.take()) : segment2;
        }
        throw new IllegalArgumentException("unexpected capacity".toString());
    }

    @Override // okio.BufferedSink
    public long writeAll(Source source) {
        o.e(source, "source");
        long j2 = 0;
        while (true) {
            long read = source.read(this, (long) 8192);
            if (read == -1) {
                return j2;
            }
            j2 += read;
        }
    }

    public final Buffer writeTo(OutputStream outputStream) {
        return writeTo$default(this, outputStream, 0, 2, null);
    }

    public final Buffer writeTo(OutputStream outputStream, long j2) {
        o.e(outputStream, "out");
        _UtilKt.checkOffsetAndCount(this.size, 0, j2);
        Segment segment = this.head;
        while (j2 > 0) {
            o.c(segment);
            int min = (int) Math.min(j2, (long) (segment.limit - segment.pos));
            outputStream.write(segment.data, segment.pos, min);
            int i2 = segment.pos + min;
            segment.pos = i2;
            long j3 = (long) min;
            this.size -= j3;
            j2 -= j3;
            if (i2 == segment.limit) {
                Segment pop = segment.pop();
                this.head = pop;
                SegmentPool.recycle(segment);
                segment = pop;
            }
        }
        return this;
    }

    @Override // java.lang.Object
    public Buffer clone() {
        return copy();
    }

    @Override // okio.BufferedSource
    public long indexOf(byte b2, long j2) {
        return indexOf(b2, j2, Long.MAX_VALUE);
    }

    @Override // okio.BufferedSource
    public long indexOfElement(ByteString byteString, long j2) {
        int i2;
        int i3;
        o.e(byteString, "targetBytes");
        long j3 = 0;
        if (j2 >= 0) {
            Segment segment = this.head;
            if (segment == null) {
                return -1;
            }
            if (size() - j2 < j2) {
                j3 = size();
                while (j3 > j2) {
                    segment = segment.prev;
                    o.c(segment);
                    j3 -= (long) (segment.limit - segment.pos);
                }
                if (byteString.size() == 2) {
                    byte b2 = byteString.getByte(0);
                    byte b3 = byteString.getByte(1);
                    while (j3 < size()) {
                        byte[] bArr = segment.data;
                        i2 = (int) ((((long) segment.pos) + j2) - j3);
                        int i4 = segment.limit;
                        while (i2 < i4) {
                            byte b4 = bArr[i2];
                            if (!(b4 == b2 || b4 == b3)) {
                                i2++;
                            }
                        }
                        j3 += (long) (segment.limit - segment.pos);
                        segment = segment.next;
                        o.c(segment);
                        j2 = j3;
                    }
                    return -1;
                }
                byte[] internalArray$okio = byteString.internalArray$okio();
                while (j3 < size()) {
                    byte[] bArr2 = segment.data;
                    i2 = (int) ((((long) segment.pos) + j2) - j3);
                    int i5 = segment.limit;
                    while (i2 < i5) {
                        byte b5 = bArr2[i2];
                        for (byte b6 : internalArray$okio) {
                            if (b5 == b6) {
                                i3 = segment.pos;
                                return ((long) (i2 - i3)) + j3;
                            }
                        }
                        i2++;
                    }
                    j3 += (long) (segment.limit - segment.pos);
                    segment = segment.next;
                    o.c(segment);
                    j2 = j3;
                }
                return -1;
            }
            while (true) {
                long j4 = ((long) (segment.limit - segment.pos)) + j3;
                if (j4 > j2) {
                    break;
                }
                segment = segment.next;
                o.c(segment);
                j3 = j4;
            }
            if (byteString.size() == 2) {
                byte b7 = byteString.getByte(0);
                byte b8 = byteString.getByte(1);
                while (j3 < size()) {
                    byte[] bArr3 = segment.data;
                    i2 = (int) ((((long) segment.pos) + j2) - j3);
                    int i6 = segment.limit;
                    while (i2 < i6) {
                        byte b9 = bArr3[i2];
                        if (!(b9 == b7 || b9 == b8)) {
                            i2++;
                        }
                    }
                    j3 += (long) (segment.limit - segment.pos);
                    segment = segment.next;
                    o.c(segment);
                    j2 = j3;
                }
                return -1;
            }
            byte[] internalArray$okio2 = byteString.internalArray$okio();
            while (j3 < size()) {
                byte[] bArr4 = segment.data;
                i2 = (int) ((((long) segment.pos) + j2) - j3);
                int i7 = segment.limit;
                while (i2 < i7) {
                    byte b10 = bArr4[i2];
                    for (byte b11 : internalArray$okio2) {
                        if (b10 == b11) {
                            i3 = segment.pos;
                            return ((long) (i2 - i3)) + j3;
                        }
                    }
                    i2++;
                }
                j3 += (long) (segment.limit - segment.pos);
                segment = segment.next;
                o.c(segment);
                j2 = j3;
            }
            return -1;
            i3 = segment.pos;
            return ((long) (i2 - i3)) + j3;
        }
        throw new IllegalArgumentException(a.o("fromIndex < 0: ", j2).toString());
    }

    @Override // okio.BufferedSource
    public boolean rangeEquals(long j2, ByteString byteString, int i2, int i3) {
        o.e(byteString, "bytes");
        if (j2 < 0 || i2 < 0 || i3 < 0 || size() - j2 < ((long) i3) || byteString.size() - i2 < i3) {
            return false;
        }
        for (int i4 = 0; i4 < i3; i4++) {
            if (getByte(((long) i4) + j2) != byteString.getByte(i2 + i4)) {
                return false;
            }
        }
        return true;
    }

    @Override // okio.BufferedSource
    public byte[] readByteArray(long j2) {
        if (!(j2 >= 0 && j2 <= ((long) SubsamplingScaleImageView.TILE_SIZE_AUTO))) {
            throw new IllegalArgumentException(a.o("byteCount: ", j2).toString());
        } else if (size() >= j2) {
            byte[] bArr = new byte[((int) j2)];
            readFully(bArr);
            return bArr;
        } else {
            throw new EOFException();
        }
    }

    @Override // okio.BufferedSource
    public ByteString readByteString(long j2) {
        if (!(j2 >= 0 && j2 <= ((long) SubsamplingScaleImageView.TILE_SIZE_AUTO))) {
            throw new IllegalArgumentException(a.o("byteCount: ", j2).toString());
        } else if (size() < j2) {
            throw new EOFException();
        } else if (j2 < ((long) 4096)) {
            return new ByteString(readByteArray(j2));
        } else {
            ByteString snapshot = snapshot((int) j2);
            skip(j2);
            return snapshot;
        }
    }

    public final Buffer readFrom(InputStream inputStream, long j2) {
        o.e(inputStream, "input");
        if (j2 >= 0) {
            readFrom(inputStream, j2, false);
            return this;
        }
        throw new IllegalArgumentException(a.o("byteCount < 0: ", j2).toString());
    }

    @Override // okio.BufferedSource
    public String readString(long j2, Charset charset) {
        o.e(charset, "charset");
        int i2 = (j2 > 0 ? 1 : (j2 == 0 ? 0 : -1));
        if (!(i2 >= 0 && j2 <= ((long) SubsamplingScaleImageView.TILE_SIZE_AUTO))) {
            throw new IllegalArgumentException(a.o("byteCount: ", j2).toString());
        } else if (this.size < j2) {
            throw new EOFException();
        } else if (i2 == 0) {
            return "";
        } else {
            Segment segment = this.head;
            o.c(segment);
            int i3 = segment.pos;
            if (((long) i3) + j2 > ((long) segment.limit)) {
                return new String(readByteArray(j2), charset);
            }
            int i4 = (int) j2;
            String str = new String(segment.data, i3, i4, charset);
            int i5 = segment.pos + i4;
            segment.pos = i5;
            this.size -= j2;
            if (i5 == segment.limit) {
                this.head = segment.pop();
                SegmentPool.recycle(segment);
            }
            return str;
        }
    }

    @Override // okio.BufferedSource
    public String readUtf8(long j2) {
        return readString(j2, h.u.a.f13344a);
    }

    @Override // okio.BufferedSource
    public String readUtf8LineStrict(long j2) {
        if (j2 >= 0) {
            long j3 = Long.MAX_VALUE;
            if (j2 != Long.MAX_VALUE) {
                j3 = j2 + 1;
            }
            byte b2 = (byte) 10;
            long indexOf = indexOf(b2, 0, j3);
            if (indexOf != -1) {
                return _BufferKt.readUtf8Line(this, indexOf);
            }
            if (j3 < size() && getByte(j3 - 1) == ((byte) 13) && getByte(j3) == b2) {
                return _BufferKt.readUtf8Line(this, j3);
            }
            Buffer buffer = new Buffer();
            copyTo(buffer, 0, Math.min((long) 32, size()));
            StringBuilder B = a.B("\\n not found: limit=");
            B.append(Math.min(size(), j2));
            B.append(" content=");
            B.append(buffer.readByteString().hex());
            B.append((char) 8230);
            throw new EOFException(B.toString());
        }
        throw new IllegalArgumentException(a.o("limit < 0: ", j2).toString());
    }

    @Override // okio.BufferedSink
    public Buffer writeByte(int i2) {
        Segment writableSegment$okio = writableSegment$okio(1);
        byte[] bArr = writableSegment$okio.data;
        int i3 = writableSegment$okio.limit;
        writableSegment$okio.limit = i3 + 1;
        bArr[i3] = (byte) i2;
        setSize$okio(size() + 1);
        return this;
    }

    @Override // okio.BufferedSink
    public Buffer writeDecimalLong(long j2) {
        int i2 = (j2 > 0 ? 1 : (j2 == 0 ? 0 : -1));
        if (i2 == 0) {
            return writeByte(48);
        }
        boolean z = false;
        int i3 = 1;
        if (i2 < 0) {
            j2 = -j2;
            if (j2 < 0) {
                return writeUtf8("-9223372036854775808");
            }
            z = true;
        }
        if (j2 >= 100000000) {
            i3 = j2 < 1000000000000L ? j2 < 10000000000L ? j2 < 1000000000 ? 9 : 10 : j2 < 100000000000L ? 11 : 12 : j2 < 1000000000000000L ? j2 < 10000000000000L ? 13 : j2 < 100000000000000L ? 14 : 15 : j2 < 100000000000000000L ? j2 < 10000000000000000L ? 16 : 17 : j2 < 1000000000000000000L ? 18 : 19;
        } else if (j2 >= 10000) {
            i3 = j2 < 1000000 ? j2 < 100000 ? 5 : 6 : j2 < 10000000 ? 7 : 8;
        } else if (j2 >= 100) {
            i3 = j2 < 1000 ? 3 : 4;
        } else if (j2 >= 10) {
            i3 = 2;
        }
        if (z) {
            i3++;
        }
        Segment writableSegment$okio = writableSegment$okio(i3);
        byte[] bArr = writableSegment$okio.data;
        int i4 = writableSegment$okio.limit + i3;
        while (j2 != 0) {
            long j3 = (long) 10;
            i4--;
            bArr[i4] = _BufferKt.getHEX_DIGIT_BYTES()[(int) (j2 % j3)];
            j2 /= j3;
        }
        if (z) {
            bArr[i4 - 1] = (byte) 45;
        }
        writableSegment$okio.limit += i3;
        setSize$okio(size() + ((long) i3));
        return this;
    }

    @Override // okio.BufferedSink
    public Buffer writeHexadecimalUnsignedLong(long j2) {
        if (j2 == 0) {
            return writeByte(48);
        }
        long j3 = (j2 >>> 1) | j2;
        long j4 = j3 | (j3 >>> 2);
        long j5 = j4 | (j4 >>> 4);
        long j6 = j5 | (j5 >>> 8);
        long j7 = j6 | (j6 >>> 16);
        long j8 = j7 | (j7 >>> 32);
        long j9 = j8 - ((j8 >>> 1) & 6148914691236517205L);
        long j10 = ((j9 >>> 2) & 3689348814741910323L) + (j9 & 3689348814741910323L);
        long j11 = ((j10 >>> 4) + j10) & 1085102592571150095L;
        long j12 = j11 + (j11 >>> 8);
        long j13 = j12 + (j12 >>> 16);
        int i2 = (int) ((((j13 & 63) + ((j13 >>> 32) & 63)) + ((long) 3)) / ((long) 4));
        Segment writableSegment$okio = writableSegment$okio(i2);
        byte[] bArr = writableSegment$okio.data;
        int i3 = writableSegment$okio.limit;
        for (int i4 = (i3 + i2) - 1; i4 >= i3; i4--) {
            bArr[i4] = _BufferKt.getHEX_DIGIT_BYTES()[(int) (15 & j2)];
            j2 >>>= 4;
        }
        writableSegment$okio.limit += i2;
        setSize$okio(size() + ((long) i2));
        return this;
    }

    @Override // okio.BufferedSink
    public Buffer writeInt(int i2) {
        Segment writableSegment$okio = writableSegment$okio(4);
        byte[] bArr = writableSegment$okio.data;
        int i3 = writableSegment$okio.limit;
        int i4 = i3 + 1;
        bArr[i3] = (byte) ((i2 >>> 24) & NeuQuant.maxnetpos);
        int i5 = i4 + 1;
        bArr[i4] = (byte) ((i2 >>> 16) & NeuQuant.maxnetpos);
        int i6 = i5 + 1;
        bArr[i5] = (byte) ((i2 >>> 8) & NeuQuant.maxnetpos);
        bArr[i6] = (byte) (i2 & NeuQuant.maxnetpos);
        writableSegment$okio.limit = i6 + 1;
        setSize$okio(size() + 4);
        return this;
    }

    @Override // okio.BufferedSink
    public Buffer writeIntLe(int i2) {
        return writeInt(_UtilKt.reverseBytes(i2));
    }

    @Override // okio.BufferedSink
    public Buffer writeLong(long j2) {
        Segment writableSegment$okio = writableSegment$okio(8);
        byte[] bArr = writableSegment$okio.data;
        int i2 = writableSegment$okio.limit;
        int i3 = i2 + 1;
        bArr[i2] = (byte) ((int) ((j2 >>> 56) & 255));
        int i4 = i3 + 1;
        bArr[i3] = (byte) ((int) ((j2 >>> 48) & 255));
        int i5 = i4 + 1;
        bArr[i4] = (byte) ((int) ((j2 >>> 40) & 255));
        int i6 = i5 + 1;
        bArr[i5] = (byte) ((int) ((j2 >>> 32) & 255));
        int i7 = i6 + 1;
        bArr[i6] = (byte) ((int) ((j2 >>> 24) & 255));
        int i8 = i7 + 1;
        bArr[i7] = (byte) ((int) ((j2 >>> 16) & 255));
        int i9 = i8 + 1;
        bArr[i8] = (byte) ((int) ((j2 >>> 8) & 255));
        bArr[i9] = (byte) ((int) (j2 & 255));
        writableSegment$okio.limit = i9 + 1;
        setSize$okio(size() + 8);
        return this;
    }

    @Override // okio.BufferedSink
    public Buffer writeLongLe(long j2) {
        return writeLong(_UtilKt.reverseBytes(j2));
    }

    @Override // okio.BufferedSink
    public Buffer writeShort(int i2) {
        Segment writableSegment$okio = writableSegment$okio(2);
        byte[] bArr = writableSegment$okio.data;
        int i3 = writableSegment$okio.limit;
        int i4 = i3 + 1;
        bArr[i3] = (byte) ((i2 >>> 8) & NeuQuant.maxnetpos);
        bArr[i4] = (byte) (i2 & NeuQuant.maxnetpos);
        writableSegment$okio.limit = i4 + 1;
        setSize$okio(size() + 2);
        return this;
    }

    @Override // okio.BufferedSink
    public Buffer writeShortLe(int i2) {
        return writeShort((int) _UtilKt.reverseBytes((short) i2));
    }

    @Override // okio.BufferedSink
    public Buffer writeUtf8CodePoint(int i2) {
        if (i2 < 128) {
            writeByte(i2);
        } else if (i2 < 2048) {
            Segment writableSegment$okio = writableSegment$okio(2);
            byte[] bArr = writableSegment$okio.data;
            int i3 = writableSegment$okio.limit;
            bArr[i3] = (byte) ((i2 >> 6) | 192);
            bArr[i3 + 1] = (byte) ((i2 & 63) | 128);
            writableSegment$okio.limit = i3 + 2;
            setSize$okio(size() + 2);
        } else if (55296 <= i2 && 57343 >= i2) {
            writeByte(63);
        } else if (i2 < 65536) {
            Segment writableSegment$okio2 = writableSegment$okio(3);
            byte[] bArr2 = writableSegment$okio2.data;
            int i4 = writableSegment$okio2.limit;
            bArr2[i4] = (byte) ((i2 >> 12) | 224);
            bArr2[i4 + 1] = (byte) (((i2 >> 6) & 63) | 128);
            bArr2[i4 + 2] = (byte) ((i2 & 63) | 128);
            writableSegment$okio2.limit = i4 + 3;
            setSize$okio(size() + 3);
        } else if (i2 <= 1114111) {
            Segment writableSegment$okio3 = writableSegment$okio(4);
            byte[] bArr3 = writableSegment$okio3.data;
            int i5 = writableSegment$okio3.limit;
            bArr3[i5] = (byte) ((i2 >> 18) | 240);
            bArr3[i5 + 1] = (byte) (((i2 >> 12) & 63) | 128);
            bArr3[i5 + 2] = (byte) (((i2 >> 6) & 63) | 128);
            bArr3[i5 + 3] = (byte) ((i2 & 63) | 128);
            writableSegment$okio3.limit = i5 + 4;
            setSize$okio(size() + 4);
        } else {
            StringBuilder B = a.B("Unexpected code point: 0x");
            B.append(_UtilKt.toHexString(i2));
            throw new IllegalArgumentException(B.toString());
        }
        return this;
    }

    @Override // okio.BufferedSource
    public long indexOf(ByteString byteString) {
        o.e(byteString, "bytes");
        return indexOf(byteString, 0);
    }

    @Override // okio.BufferedSink
    public Buffer writeString(String str, Charset charset) {
        o.e(str, TypedValues.Custom.S_STRING);
        o.e(charset, "charset");
        return writeString(str, 0, str.length(), charset);
    }

    @Override // okio.BufferedSink
    public Buffer writeUtf8(String str) {
        o.e(str, TypedValues.Custom.S_STRING);
        return writeUtf8(str, 0, str.length());
    }

    private final void readFrom(InputStream inputStream, long j2, boolean z) {
        while (true) {
            if (j2 > 0 || z) {
                Segment writableSegment$okio = writableSegment$okio(1);
                int read = inputStream.read(writableSegment$okio.data, writableSegment$okio.limit, (int) Math.min(j2, (long) (8192 - writableSegment$okio.limit)));
                if (read == -1) {
                    if (writableSegment$okio.pos == writableSegment$okio.limit) {
                        this.head = writableSegment$okio.pop();
                        SegmentPool.recycle(writableSegment$okio);
                    }
                    if (!z) {
                        throw new EOFException();
                    }
                    return;
                }
                writableSegment$okio.limit += read;
                long j3 = (long) read;
                this.size += j3;
                j2 -= j3;
            } else {
                return;
            }
        }
    }

    @Override // okio.BufferedSource
    public long indexOf(byte b2, long j2, long j3) {
        Segment segment;
        int i2;
        long j4 = 0;
        if (0 <= j2 && j3 >= j2) {
            if (j3 > size()) {
                j3 = size();
            }
            if (j2 == j3 || (segment = this.head) == null) {
                return -1;
            }
            if (size() - j2 < j2) {
                j4 = size();
                while (j4 > j2) {
                    segment = segment.prev;
                    o.c(segment);
                    j4 -= (long) (segment.limit - segment.pos);
                }
                while (j4 < j3) {
                    byte[] bArr = segment.data;
                    int min = (int) Math.min((long) segment.limit, (((long) segment.pos) + j3) - j4);
                    i2 = (int) ((((long) segment.pos) + j2) - j4);
                    while (i2 < min) {
                        if (bArr[i2] != b2) {
                            i2++;
                        }
                    }
                    j4 += (long) (segment.limit - segment.pos);
                    segment = segment.next;
                    o.c(segment);
                    j2 = j4;
                }
                return -1;
            }
            while (true) {
                long j5 = ((long) (segment.limit - segment.pos)) + j4;
                if (j5 > j2) {
                    break;
                }
                segment = segment.next;
                o.c(segment);
                j4 = j5;
            }
            while (j4 < j3) {
                byte[] bArr2 = segment.data;
                int min2 = (int) Math.min((long) segment.limit, (((long) segment.pos) + j3) - j4);
                i2 = (int) ((((long) segment.pos) + j2) - j4);
                while (i2 < min2) {
                    if (bArr2[i2] != b2) {
                        i2++;
                    }
                }
                j4 += (long) (segment.limit - segment.pos);
                segment = segment.next;
                o.c(segment);
                j2 = j4;
            }
            return -1;
            return ((long) (i2 - segment.pos)) + j4;
        }
        StringBuilder B = a.B("size=");
        B.append(size());
        B.append(" fromIndex=");
        B.append(j2);
        B.append(" toIndex=");
        B.append(j3);
        throw new IllegalArgumentException(B.toString().toString());
    }

    public final ByteString snapshot(int i2) {
        if (i2 == 0) {
            return ByteString.EMPTY;
        }
        _UtilKt.checkOffsetAndCount(size(), 0, (long) i2);
        Segment segment = this.head;
        int i3 = 0;
        int i4 = 0;
        int i5 = 0;
        while (i4 < i2) {
            o.c(segment);
            int i6 = segment.limit;
            int i7 = segment.pos;
            if (i6 != i7) {
                i4 += i6 - i7;
                i5++;
                segment = segment.next;
            } else {
                throw new AssertionError("s.limit == s.pos");
            }
        }
        byte[][] bArr = new byte[i5][];
        int[] iArr = new int[(i5 * 2)];
        Segment segment2 = this.head;
        int i8 = 0;
        while (i3 < i2) {
            o.c(segment2);
            bArr[i8] = segment2.data;
            i3 += segment2.limit - segment2.pos;
            iArr[i8] = Math.min(i3, i2);
            iArr[i8 + i5] = segment2.pos;
            segment2.shared = true;
            i8++;
            segment2 = segment2.next;
        }
        return new SegmentedByteString(bArr, iArr);
    }

    @Override // okio.BufferedSink
    public Buffer writeUtf8(String str, int i2, int i3) {
        char charAt;
        o.e(str, TypedValues.Custom.S_STRING);
        if (i2 >= 0) {
            if (i3 >= i2) {
                if (i3 <= str.length()) {
                    while (i2 < i3) {
                        char charAt2 = str.charAt(i2);
                        if (charAt2 < 128) {
                            Segment writableSegment$okio = writableSegment$okio(1);
                            byte[] bArr = writableSegment$okio.data;
                            int i4 = writableSegment$okio.limit - i2;
                            int min = Math.min(i3, 8192 - i4);
                            int i5 = i2 + 1;
                            bArr[i2 + i4] = (byte) charAt2;
                            while (true) {
                                i2 = i5;
                                if (i2 >= min || (charAt = str.charAt(i2)) >= 128) {
                                    int i6 = writableSegment$okio.limit;
                                    int i7 = (i4 + i2) - i6;
                                    writableSegment$okio.limit = i6 + i7;
                                    setSize$okio(size() + ((long) i7));
                                } else {
                                    i5 = i2 + 1;
                                    bArr[i2 + i4] = (byte) charAt;
                                }
                            }
                            int i62 = writableSegment$okio.limit;
                            int i72 = (i4 + i2) - i62;
                            writableSegment$okio.limit = i62 + i72;
                            setSize$okio(size() + ((long) i72));
                        } else {
                            if (charAt2 < 2048) {
                                Segment writableSegment$okio2 = writableSegment$okio(2);
                                byte[] bArr2 = writableSegment$okio2.data;
                                int i8 = writableSegment$okio2.limit;
                                bArr2[i8] = (byte) ((charAt2 >> 6) | 192);
                                bArr2[i8 + 1] = (byte) ((charAt2 & '?') | 128);
                                writableSegment$okio2.limit = i8 + 2;
                                setSize$okio(size() + 2);
                            } else if (charAt2 < 55296 || charAt2 > 57343) {
                                Segment writableSegment$okio3 = writableSegment$okio(3);
                                byte[] bArr3 = writableSegment$okio3.data;
                                int i9 = writableSegment$okio3.limit;
                                bArr3[i9] = (byte) ((charAt2 >> '\f') | 224);
                                bArr3[i9 + 1] = (byte) ((63 & (charAt2 >> 6)) | 128);
                                bArr3[i9 + 2] = (byte) ((charAt2 & '?') | 128);
                                writableSegment$okio3.limit = i9 + 3;
                                setSize$okio(size() + 3);
                            } else {
                                int i10 = i2 + 1;
                                char charAt3 = i10 < i3 ? str.charAt(i10) : 0;
                                if (charAt2 > 56319 || 56320 > charAt3 || 57343 < charAt3) {
                                    writeByte(63);
                                    i2 = i10;
                                } else {
                                    int i11 = (((charAt2 & 1023) << 10) | (charAt3 & 1023)) + 65536;
                                    Segment writableSegment$okio4 = writableSegment$okio(4);
                                    byte[] bArr4 = writableSegment$okio4.data;
                                    int i12 = writableSegment$okio4.limit;
                                    bArr4[i12] = (byte) ((i11 >> 18) | 240);
                                    bArr4[i12 + 1] = (byte) (((i11 >> 12) & 63) | 128);
                                    bArr4[i12 + 2] = (byte) (((i11 >> 6) & 63) | 128);
                                    bArr4[i12 + 3] = (byte) ((i11 & 63) | 128);
                                    writableSegment$okio4.limit = i12 + 4;
                                    setSize$okio(size() + 4);
                                    i2 += 2;
                                }
                            }
                            i2++;
                        }
                    }
                    return this;
                }
                StringBuilder C = a.C("endIndex > string.length: ", i3, " > ");
                C.append(str.length());
                throw new IllegalArgumentException(C.toString().toString());
            }
            throw new IllegalArgumentException(("endIndex < beginIndex: " + i3 + " < " + i2).toString());
        }
        throw new IllegalArgumentException(a.k("beginIndex < 0: ", i2).toString());
    }

    @Override // okio.BufferedSource
    public void readFully(byte[] bArr) {
        o.e(bArr, "sink");
        int i2 = 0;
        while (i2 < bArr.length) {
            int read = read(bArr, i2, bArr.length - i2);
            if (read != -1) {
                i2 += read;
            } else {
                throw new EOFException();
            }
        }
    }

    @Override // okio.BufferedSink
    public Buffer writeString(String str, int i2, int i3, Charset charset) {
        o.e(str, TypedValues.Custom.S_STRING);
        o.e(charset, "charset");
        boolean z = true;
        if (i2 >= 0) {
            if (i3 >= i2) {
                if (i3 > str.length()) {
                    z = false;
                }
                if (!z) {
                    StringBuilder C = a.C("endIndex > string.length: ", i3, " > ");
                    C.append(str.length());
                    throw new IllegalArgumentException(C.toString().toString());
                } else if (o.a(charset, h.u.a.f13344a)) {
                    return writeUtf8(str, i2, i3);
                } else {
                    String substring = str.substring(i2, i3);
                    o.d(substring, "(this as java.lang.Strin…ing(startIndex, endIndex)");
                    byte[] bytes = substring.getBytes(charset);
                    o.d(bytes, "(this as java.lang.String).getBytes(charset)");
                    return write(bytes, 0, bytes.length);
                }
            } else {
                throw new IllegalArgumentException(("endIndex < beginIndex: " + i3 + " < " + i2).toString());
            }
        } else {
            throw new IllegalArgumentException(a.k("beginIndex < 0: ", i2).toString());
        }
    }

    @Override // java.nio.channels.WritableByteChannel
    public int write(ByteBuffer byteBuffer) {
        o.e(byteBuffer, "source");
        int remaining = byteBuffer.remaining();
        int i2 = remaining;
        while (i2 > 0) {
            Segment writableSegment$okio = writableSegment$okio(1);
            int min = Math.min(i2, 8192 - writableSegment$okio.limit);
            byteBuffer.get(writableSegment$okio.data, writableSegment$okio.limit, min);
            i2 -= min;
            writableSegment$okio.limit += min;
        }
        this.size += (long) remaining;
        return remaining;
    }

    @Override // okio.BufferedSource
    public int read(byte[] bArr) {
        o.e(bArr, "sink");
        return read(bArr, 0, bArr.length);
    }

    public final Buffer copyTo(Buffer buffer, long j2) {
        o.e(buffer, "out");
        return copyTo(buffer, j2, this.size - j2);
    }

    @Override // okio.BufferedSource
    public int read(byte[] bArr, int i2, int i3) {
        o.e(bArr, "sink");
        _UtilKt.checkOffsetAndCount((long) bArr.length, (long) i2, (long) i3);
        Segment segment = this.head;
        if (segment == null) {
            return -1;
        }
        int min = Math.min(i3, segment.limit - segment.pos);
        byte[] bArr2 = segment.data;
        int i4 = segment.pos;
        h.a(bArr2, bArr, i2, i4, i4 + min);
        segment.pos += min;
        setSize$okio(size() - ((long) min));
        if (segment.pos != segment.limit) {
            return min;
        }
        this.head = segment.pop();
        SegmentPool.recycle(segment);
        return min;
    }

    public final Buffer copyTo(Buffer buffer, long j2, long j3) {
        o.e(buffer, "out");
        _UtilKt.checkOffsetAndCount(size(), j2, j3);
        if (j3 != 0) {
            buffer.setSize$okio(buffer.size() + j3);
            Segment segment = this.head;
            while (true) {
                o.c(segment);
                int i2 = segment.limit;
                int i3 = segment.pos;
                if (j2 < ((long) (i2 - i3))) {
                    break;
                }
                j2 -= (long) (i2 - i3);
                segment = segment.next;
            }
            while (j3 > 0) {
                o.c(segment);
                Segment sharedCopy = segment.sharedCopy();
                int i4 = sharedCopy.pos + ((int) j2);
                sharedCopy.pos = i4;
                sharedCopy.limit = Math.min(i4 + ((int) j3), sharedCopy.limit);
                Segment segment2 = buffer.head;
                if (segment2 == null) {
                    sharedCopy.prev = sharedCopy;
                    sharedCopy.next = sharedCopy;
                    buffer.head = sharedCopy;
                } else {
                    o.c(segment2);
                    Segment segment3 = segment2.prev;
                    o.c(segment3);
                    segment3.push(sharedCopy);
                }
                j3 -= (long) (sharedCopy.limit - sharedCopy.pos);
                segment = segment.next;
                j2 = 0;
            }
        }
        return this;
    }

    @Override // okio.BufferedSink
    public Buffer write(ByteString byteString) {
        o.e(byteString, "byteString");
        byteString.write$okio(this, 0, byteString.size());
        return this;
    }

    @Override // okio.BufferedSink
    public Buffer write(ByteString byteString, int i2, int i3) {
        o.e(byteString, "byteString");
        byteString.write$okio(this, i2, i3);
        return this;
    }

    @Override // okio.BufferedSink
    public Buffer write(byte[] bArr) {
        o.e(bArr, "source");
        return write(bArr, 0, bArr.length);
    }

    @Override // okio.BufferedSink
    public Buffer write(byte[] bArr, int i2, int i3) {
        o.e(bArr, "source");
        long j2 = (long) i3;
        _UtilKt.checkOffsetAndCount((long) bArr.length, (long) i2, j2);
        int i4 = i3 + i2;
        while (i2 < i4) {
            Segment writableSegment$okio = writableSegment$okio(1);
            int min = Math.min(i4 - i2, 8192 - writableSegment$okio.limit);
            int i5 = i2 + min;
            h.a(bArr, writableSegment$okio.data, writableSegment$okio.limit, i2, i5);
            writableSegment$okio.limit += min;
            i2 = i5;
        }
        setSize$okio(size() + j2);
        return this;
    }

    @Override // okio.Source
    public long read(Buffer buffer, long j2) {
        o.e(buffer, "sink");
        if (!(j2 >= 0)) {
            throw new IllegalArgumentException(a.o("byteCount < 0: ", j2).toString());
        } else if (size() == 0) {
            return -1;
        } else {
            if (j2 > size()) {
                j2 = size();
            }
            buffer.write(this, j2);
            return j2;
        }
    }

    @Override // okio.BufferedSink
    public Buffer write(Source source, long j2) {
        o.e(source, "source");
        while (j2 > 0) {
            long read = source.read(this, j2);
            if (read != -1) {
                j2 -= read;
            } else {
                throw new EOFException();
            }
        }
        return this;
    }

    @Override // okio.BufferedSource
    public long indexOf(ByteString byteString, long j2) {
        int i2;
        o.e(byteString, "bytes");
        if (byteString.size() > 0) {
            long j3 = 0;
            if (j2 >= 0) {
                Segment segment = this.head;
                if (segment != null) {
                    if (size() - j2 < j2) {
                        j3 = size();
                        while (j3 > j2) {
                            segment = segment.prev;
                            o.c(segment);
                            j3 -= (long) (segment.limit - segment.pos);
                        }
                        byte[] internalArray$okio = byteString.internalArray$okio();
                        byte b2 = internalArray$okio[0];
                        int size2 = byteString.size();
                        long size3 = (size() - ((long) size2)) + 1;
                        while (j3 < size3) {
                            byte[] bArr = segment.data;
                            int min = (int) Math.min((long) segment.limit, (((long) segment.pos) + size3) - j3);
                            i2 = (int) ((((long) segment.pos) + j2) - j3);
                            while (i2 < min) {
                                if (bArr[i2] != b2 || !_BufferKt.rangeEquals(segment, i2 + 1, internalArray$okio, 1, size2)) {
                                    i2++;
                                }
                            }
                            j3 += (long) (segment.limit - segment.pos);
                            segment = segment.next;
                            o.c(segment);
                            j2 = j3;
                        }
                    } else {
                        while (true) {
                            long j4 = ((long) (segment.limit - segment.pos)) + j3;
                            if (j4 > j2) {
                                break;
                            }
                            segment = segment.next;
                            o.c(segment);
                            j3 = j4;
                        }
                        byte[] internalArray$okio2 = byteString.internalArray$okio();
                        byte b3 = internalArray$okio2[0];
                        int size4 = byteString.size();
                        long size5 = (size() - ((long) size4)) + 1;
                        while (j3 < size5) {
                            byte[] bArr2 = segment.data;
                            int min2 = (int) Math.min((long) segment.limit, (((long) segment.pos) + size5) - j3);
                            i2 = (int) ((((long) segment.pos) + j2) - j3);
                            while (i2 < min2) {
                                if (bArr2[i2] != b3 || !_BufferKt.rangeEquals(segment, i2 + 1, internalArray$okio2, 1, size4)) {
                                    i2++;
                                }
                            }
                            j3 += (long) (segment.limit - segment.pos);
                            segment = segment.next;
                            o.c(segment);
                            j2 = j3;
                        }
                    }
                    return ((long) (i2 - segment.pos)) + j3;
                }
                return -1;
            }
            throw new IllegalArgumentException(a.o("fromIndex < 0: ", j2).toString());
        }
        throw new IllegalArgumentException("bytes is empty".toString());
    }

    @Override // okio.Sink
    public void write(Buffer buffer, long j2) {
        Segment segment;
        o.e(buffer, "source");
        if (buffer != this) {
            _UtilKt.checkOffsetAndCount(buffer.size(), 0, j2);
            while (j2 > 0) {
                Segment segment2 = buffer.head;
                o.c(segment2);
                int i2 = segment2.limit;
                Segment segment3 = buffer.head;
                o.c(segment3);
                if (j2 < ((long) (i2 - segment3.pos))) {
                    Segment segment4 = this.head;
                    if (segment4 != null) {
                        o.c(segment4);
                        segment = segment4.prev;
                    } else {
                        segment = null;
                    }
                    if (segment != null && segment.owner) {
                        if ((((long) segment.limit) + j2) - ((long) (segment.shared ? 0 : segment.pos)) <= ((long) 8192)) {
                            Segment segment5 = buffer.head;
                            o.c(segment5);
                            segment5.writeTo(segment, (int) j2);
                            buffer.setSize$okio(buffer.size() - j2);
                            setSize$okio(size() + j2);
                            return;
                        }
                    }
                    Segment segment6 = buffer.head;
                    o.c(segment6);
                    buffer.head = segment6.split((int) j2);
                }
                Segment segment7 = buffer.head;
                o.c(segment7);
                long j3 = (long) (segment7.limit - segment7.pos);
                buffer.head = segment7.pop();
                Segment segment8 = this.head;
                if (segment8 == null) {
                    this.head = segment7;
                    segment7.prev = segment7;
                    segment7.next = segment7;
                } else {
                    o.c(segment8);
                    Segment segment9 = segment8.prev;
                    o.c(segment9);
                    segment9.push(segment7).compact();
                }
                buffer.setSize$okio(buffer.size() - j3);
                setSize$okio(size() + j3);
                j2 -= j3;
            }
            return;
        }
        throw new IllegalArgumentException("source == this".toString());
    }
}
