package okio;

import d.a.a.a.a;
import h.l.h;
import h.p.b.o;
import java.util.ArrayList;

@ExperimentalFileSystem
/* compiled from: FileMetadata.kt */
public final class FileMetadata {
    private final Long createdAtMillis;
    private final boolean isDirectory;
    private final boolean isRegularFile;
    private final Long lastAccessedAtMillis;
    private final Long lastModifiedAtMillis;
    private final Long size;

    public FileMetadata(boolean z, boolean z2, Long l2, Long l3, Long l4, Long l5) {
        this.isRegularFile = z;
        this.isDirectory = z2;
        this.size = l2;
        this.createdAtMillis = l3;
        this.lastModifiedAtMillis = l4;
        this.lastAccessedAtMillis = l5;
    }

    public boolean equals(Object obj) {
        return (obj instanceof FileMetadata) && o.a(toString(), obj.toString());
    }

    public final Long getCreatedAtMillis() {
        return this.createdAtMillis;
    }

    public final Long getLastAccessedAtMillis() {
        return this.lastAccessedAtMillis;
    }

    public final Long getLastModifiedAtMillis() {
        return this.lastModifiedAtMillis;
    }

    public final Long getSize() {
        return this.size;
    }

    public int hashCode() {
        return toString().hashCode();
    }

    public final boolean isDirectory() {
        return this.isDirectory;
    }

    public final boolean isRegularFile() {
        return this.isRegularFile;
    }

    public String toString() {
        ArrayList arrayList = new ArrayList();
        if (this.isRegularFile) {
            arrayList.add("isRegularFile");
        }
        if (this.isDirectory) {
            arrayList.add("isDirectory");
        }
        if (this.size != null) {
            StringBuilder B = a.B("byteCount=");
            B.append(this.size);
            arrayList.add(B.toString());
        }
        if (this.createdAtMillis != null) {
            StringBuilder B2 = a.B("createdAt=");
            B2.append(this.createdAtMillis);
            arrayList.add(B2.toString());
        }
        if (this.lastModifiedAtMillis != null) {
            StringBuilder B3 = a.B("lastModifiedAt=");
            B3.append(this.lastModifiedAtMillis);
            arrayList.add(B3.toString());
        }
        if (this.lastAccessedAtMillis != null) {
            StringBuilder B4 = a.B("lastAccessedAt=");
            B4.append(this.lastAccessedAtMillis);
            arrayList.add(B4.toString());
        }
        return h.f(arrayList, ", ", "FileMetadata(", ")", 0, null, null, 56);
    }
}
