package okio;

import h.p.b.o;
import j.a;
import java.io.IOException;
import java.io.InputStream;

/* compiled from: JvmOkio.kt */
public class InputStreamSource implements Source {
    private final InputStream input;
    private final Timeout timeout;

    public InputStreamSource(InputStream inputStream, Timeout timeout2) {
        o.e(inputStream, "input");
        o.e(timeout2, "timeout");
        this.input = inputStream;
        this.timeout = timeout2;
    }

    @Override // okio.Source, java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        this.input.close();
    }

    @Override // okio.Source
    public /* synthetic */ Cursor cursor() {
        return a.a(this);
    }

    @Override // okio.Source
    public long read(Buffer buffer, long j2) {
        o.e(buffer, "sink");
        int i2 = (j2 > 0 ? 1 : (j2 == 0 ? 0 : -1));
        if (i2 == 0) {
            return 0;
        }
        if (i2 >= 0) {
            try {
                this.timeout.throwIfReached();
                Segment writableSegment$okio = buffer.writableSegment$okio(1);
                int read = this.input.read(writableSegment$okio.data, writableSegment$okio.limit, (int) Math.min(j2, (long) (8192 - writableSegment$okio.limit)));
                if (read != -1) {
                    writableSegment$okio.limit += read;
                    long j3 = (long) read;
                    buffer.setSize$okio(buffer.size() + j3);
                    return j3;
                } else if (writableSegment$okio.pos != writableSegment$okio.limit) {
                    return -1;
                } else {
                    buffer.head = writableSegment$okio.pop();
                    SegmentPool.recycle(writableSegment$okio);
                    return -1;
                }
            } catch (AssertionError e2) {
                if (Okio.isAndroidGetsocknameError(e2)) {
                    throw new IOException(e2);
                }
                throw e2;
            }
        } else {
            throw new IllegalArgumentException(d.a.a.a.a.o("byteCount < 0: ", j2).toString());
        }
    }

    @Override // okio.Source
    public Timeout timeout() {
        return this.timeout;
    }

    public String toString() {
        StringBuilder B = d.a.a.a.a.B("source(");
        B.append(this.input);
        B.append(')');
        return B.toString();
    }
}
