package okio;

import d.a.a.a.a;
import h.l.b;
import h.l.e;
import h.p.b.m;
import h.p.b.o;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Objects;
import java.util.RandomAccess;

/* compiled from: Options.kt */
public final class Options extends b<ByteString> implements RandomAccess {
    public static final Companion Companion = new Companion(null);
    private final ByteString[] byteStrings;
    private final int[] trie;

    /* compiled from: Options.kt */
    public static final class Companion {
        private Companion() {
        }

        private final void buildTrieRecursive(long j2, Buffer buffer, int i2, List<? extends ByteString> list, int i3, int i4, List<Integer> list2) {
            int i5;
            int i6;
            int i7;
            int i8;
            Buffer buffer2;
            int i9 = i2;
            if (i3 < i4) {
                for (int i10 = i3; i10 < i4; i10++) {
                    if (!(((ByteString) list.get(i10)).size() >= i9)) {
                        throw new IllegalArgumentException("Failed requirement.".toString());
                    }
                }
                ByteString byteString = (ByteString) list.get(i3);
                ByteString byteString2 = (ByteString) list.get(i4 - 1);
                if (i9 == byteString.size()) {
                    int i11 = i3 + 1;
                    i5 = i11;
                    i6 = list2.get(i3).intValue();
                    byteString = (ByteString) list.get(i11);
                } else {
                    i5 = i3;
                    i6 = -1;
                }
                if (byteString.getByte(i9) != byteString2.getByte(i9)) {
                    int i12 = 1;
                    for (int i13 = i5 + 1; i13 < i4; i13++) {
                        if (((ByteString) list.get(i13 - 1)).getByte(i9) != ((ByteString) list.get(i13)).getByte(i9)) {
                            i12++;
                        }
                    }
                    long intCount = j2 + getIntCount(buffer) + ((long) 2) + ((long) (i12 * 2));
                    buffer.writeInt(i12);
                    buffer.writeInt(i6);
                    for (int i14 = i5; i14 < i4; i14++) {
                        byte b2 = ((ByteString) list.get(i14)).getByte(i9);
                        if (i14 == i5 || b2 != ((ByteString) list.get(i14 - 1)).getByte(i9)) {
                            buffer.writeInt(b2 & 255);
                        }
                    }
                    Buffer buffer3 = new Buffer();
                    while (i5 < i4) {
                        byte b3 = ((ByteString) list.get(i5)).getByte(i9);
                        int i15 = i5 + 1;
                        int i16 = i15;
                        while (true) {
                            if (i16 >= i4) {
                                i7 = i4;
                                break;
                            } else if (b3 != ((ByteString) list.get(i16)).getByte(i9)) {
                                i7 = i16;
                                break;
                            } else {
                                i16++;
                            }
                        }
                        if (i15 == i7 && i9 + 1 == ((ByteString) list.get(i5)).size()) {
                            buffer.writeInt(list2.get(i5).intValue());
                            i8 = i7;
                            buffer2 = buffer3;
                        } else {
                            buffer.writeInt(((int) (intCount + getIntCount(buffer3))) * -1);
                            i8 = i7;
                            buffer2 = buffer3;
                            buildTrieRecursive(intCount, buffer3, i9 + 1, list, i5, i7, list2);
                        }
                        buffer3 = buffer2;
                        i5 = i8;
                    }
                    buffer.writeAll(buffer3);
                    return;
                }
                int min = Math.min(byteString.size(), byteString2.size());
                int i17 = i9;
                int i18 = 0;
                while (i17 < min && byteString.getByte(i17) == byteString2.getByte(i17)) {
                    i18++;
                    i17++;
                }
                long intCount2 = j2 + getIntCount(buffer) + ((long) 2) + ((long) i18) + 1;
                buffer.writeInt(-i18);
                buffer.writeInt(i6);
                int i19 = i9 + i18;
                while (i9 < i19) {
                    buffer.writeInt(byteString.getByte(i9) & 255);
                    i9++;
                }
                if (i5 + 1 == i4) {
                    if (i19 == ((ByteString) list.get(i5)).size()) {
                        buffer.writeInt(list2.get(i5).intValue());
                        return;
                    }
                    throw new IllegalStateException("Check failed.".toString());
                }
                Buffer buffer4 = new Buffer();
                buffer.writeInt(((int) (getIntCount(buffer4) + intCount2)) * -1);
                buildTrieRecursive(intCount2, buffer4, i19, list, i5, i4, list2);
                buffer.writeAll(buffer4);
                return;
            }
            throw new IllegalArgumentException("Failed requirement.".toString());
        }

        public static /* synthetic */ void buildTrieRecursive$default(Companion companion, long j2, Buffer buffer, int i2, List list, int i3, int i4, List list2, int i5, Object obj) {
            companion.buildTrieRecursive((i5 & 1) != 0 ? 0 : j2, buffer, (i5 & 4) != 0 ? 0 : i2, list, (i5 & 16) != 0 ? 0 : i3, (i5 & 32) != 0 ? list.size() : i4, list2);
        }

        private final long getIntCount(Buffer buffer) {
            return buffer.size() / ((long) 4);
        }

        public final Options of(ByteString... byteStringArr) {
            int i2;
            o.e(byteStringArr, "byteStrings");
            int i3 = 0;
            if (byteStringArr.length == 0) {
                return new Options(new ByteString[0], new int[]{0, -1}, null);
            }
            o.e(byteStringArr, "$this$toMutableList");
            o.e(byteStringArr, "$this$asCollection");
            ArrayList arrayList = new ArrayList(new e(byteStringArr, false));
            d.l.b.g.g.b.C0(arrayList);
            ArrayList arrayList2 = new ArrayList(byteStringArr.length);
            for (ByteString byteString : byteStringArr) {
                arrayList2.add(-1);
            }
            Object[] array = arrayList2.toArray(new Integer[0]);
            Objects.requireNonNull(array, "null cannot be cast to non-null type kotlin.Array<T>");
            Integer[] numArr = (Integer[]) array;
            Integer[] numArr2 = (Integer[]) Arrays.copyOf(numArr, numArr.length);
            o.e(numArr2, "elements");
            ArrayList arrayList3 = numArr2.length == 0 ? new ArrayList() : new ArrayList(new e(numArr2, true));
            int length = byteStringArr.length;
            int i4 = 0;
            int i5 = 0;
            while (i4 < length) {
                ByteString byteString2 = byteStringArr[i4];
                int i6 = i5 + 1;
                int size = arrayList.size();
                o.e(arrayList, "$this$binarySearch");
                int size2 = arrayList.size();
                if (size < 0) {
                    throw new IllegalArgumentException(a.n("fromIndex (", 0, ") is greater than toIndex (", size, ")."));
                } else if (size <= size2) {
                    int i7 = size - 1;
                    int i8 = 0;
                    while (true) {
                        if (i8 > i7) {
                            i2 = -(i8 + 1);
                            break;
                        }
                        i2 = (i8 + i7) >>> 1;
                        int r = d.l.b.g.g.b.r((Comparable) arrayList.get(i2), byteString2);
                        if (r >= 0) {
                            if (r <= 0) {
                                break;
                            }
                            i7 = i2 - 1;
                        } else {
                            i8 = i2 + 1;
                        }
                    }
                    arrayList3.set(i2, Integer.valueOf(i5));
                    i4++;
                    i5 = i6;
                } else {
                    throw new IndexOutOfBoundsException(a.n("toIndex (", size, ") is greater than size (", size2, ")."));
                }
            }
            if (((ByteString) arrayList.get(0)).size() > 0) {
                int i9 = 0;
                while (i9 < arrayList.size()) {
                    ByteString byteString3 = (ByteString) arrayList.get(i9);
                    int i10 = i9 + 1;
                    int i11 = i10;
                    while (i11 < arrayList.size()) {
                        ByteString byteString4 = (ByteString) arrayList.get(i11);
                        if (!byteString4.startsWith(byteString3)) {
                            continue;
                            break;
                        }
                        if (!(byteString4.size() != byteString3.size())) {
                            throw new IllegalArgumentException(("duplicate option: " + byteString4).toString());
                        } else if (((Number) arrayList3.get(i11)).intValue() > ((Number) arrayList3.get(i9)).intValue()) {
                            arrayList.remove(i11);
                            arrayList3.remove(i11);
                        } else {
                            i11++;
                        }
                    }
                    i9 = i10;
                }
                Buffer buffer = new Buffer();
                buildTrieRecursive$default(this, 0, buffer, 0, arrayList, 0, 0, arrayList3, 53, null);
                int[] iArr = new int[((int) getIntCount(buffer))];
                while (!buffer.exhausted()) {
                    iArr[i3] = buffer.readInt();
                    i3++;
                }
                Object[] copyOf = Arrays.copyOf(byteStringArr, byteStringArr.length);
                o.d(copyOf, "java.util.Arrays.copyOf(this, size)");
                return new Options((ByteString[]) copyOf, iArr, null);
            }
            throw new IllegalArgumentException("the empty byte string is not a supported option".toString());
        }

        public /* synthetic */ Companion(m mVar) {
            this();
        }
    }

    public /* synthetic */ Options(ByteString[] byteStringArr, int[] iArr, m mVar) {
        this(byteStringArr, iArr);
    }

    public static final Options of(ByteString... byteStringArr) {
        return Companion.of(byteStringArr);
    }

    @Override // kotlin.collections.AbstractCollection
    public final /* bridge */ boolean contains(Object obj) {
        if (obj instanceof ByteString) {
            return contains((ByteString) obj);
        }
        return false;
    }

    public final ByteString[] getByteStrings$okio() {
        return this.byteStrings;
    }

    @Override // h.l.b, kotlin.collections.AbstractCollection
    public int getSize() {
        return this.byteStrings.length;
    }

    public final int[] getTrie$okio() {
        return this.trie;
    }

    @Override // h.l.b
    public final /* bridge */ int indexOf(Object obj) {
        if (obj instanceof ByteString) {
            return indexOf((ByteString) obj);
        }
        return -1;
    }

    @Override // h.l.b
    public final /* bridge */ int lastIndexOf(Object obj) {
        if (obj instanceof ByteString) {
            return lastIndexOf((ByteString) obj);
        }
        return -1;
    }

    private Options(ByteString[] byteStringArr, int[] iArr) {
        this.byteStrings = byteStringArr;
        this.trie = iArr;
    }

    public /* bridge */ boolean contains(ByteString byteString) {
        return super.contains((Object) byteString);
    }

    @Override // java.util.List, h.l.b
    public ByteString get(int i2) {
        return this.byteStrings[i2];
    }

    public /* bridge */ int indexOf(ByteString byteString) {
        return super.indexOf((Object) byteString);
    }

    public /* bridge */ int lastIndexOf(ByteString byteString) {
        return super.lastIndexOf((Object) byteString);
    }
}
