package okio;

import d.a.a.a.a;
import h.p.b.o;
import java.io.OutputStream;

/* compiled from: JvmOkio.kt */
public final class OutputStreamSink implements Sink {
    private final OutputStream out;
    private final Timeout timeout;

    public OutputStreamSink(OutputStream outputStream, Timeout timeout2) {
        o.e(outputStream, "out");
        o.e(timeout2, "timeout");
        this.out = outputStream;
        this.timeout = timeout2;
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable, okio.Sink
    public void close() {
        this.out.close();
    }

    @Override // okio.Sink, java.io.Flushable
    public void flush() {
        this.out.flush();
    }

    @Override // okio.Sink
    public Timeout timeout() {
        return this.timeout;
    }

    public String toString() {
        StringBuilder B = a.B("sink(");
        B.append(this.out);
        B.append(')');
        return B.toString();
    }

    @Override // okio.Sink
    public void write(Buffer buffer, long j2) {
        o.e(buffer, "source");
        _UtilKt.checkOffsetAndCount(buffer.size(), 0, j2);
        while (j2 > 0) {
            this.timeout.throwIfReached();
            Segment segment = buffer.head;
            o.c(segment);
            int min = (int) Math.min(j2, (long) (segment.limit - segment.pos));
            this.out.write(segment.data, segment.pos, min);
            segment.pos += min;
            long j3 = (long) min;
            j2 -= j3;
            buffer.setSize$okio(buffer.size() - j3);
            if (segment.pos == segment.limit) {
                buffer.head = segment.pop();
                SegmentPool.recycle(segment);
            }
        }
    }
}
