package okio;

import h.p.b.m;
import h.p.b.o;
import java.io.File;
import java.nio.file.Paths;
import okio.internal._PathKt;
import org.codehaus.mojo.animal_sniffer.IgnoreJRERequirement;

@ExperimentalFileSystem
/* compiled from: Path.kt */
public final class Path implements Comparable<Path> {
    public static final Companion Companion = new Companion(null);
    public static final String DIRECTORY_SEPARATOR;
    private final ByteString bytes;

    /* compiled from: Path.kt */
    public static final class Companion {
        private Companion() {
        }

        public final Path get(String str) {
            o.e(str, "$this$toPath");
            return _PathKt.commonToPath(str);
        }

        public /* synthetic */ Companion(m mVar) {
            this();
        }

        public final Path get(File file) {
            o.e(file, "$this$toOkioPath");
            String file2 = file.toString();
            o.d(file2, "toString()");
            return get(file2);
        }

        @IgnoreJRERequirement
        public final Path get(java.nio.file.Path path) {
            o.e(path, "$this$toOkioPath");
            return get(path.toString());
        }
    }

    static {
        String str = File.separator;
        o.d(str, "File.separator");
        DIRECTORY_SEPARATOR = str;
    }

    public Path(ByteString byteString) {
        o.e(byteString, "bytes");
        this.bytes = byteString;
    }

    public static final Path get(File file) {
        return Companion.get(file);
    }

    public static final Path get(String str) {
        return Companion.get(str);
    }

    @IgnoreJRERequirement
    public static final Path get(java.nio.file.Path path) {
        return Companion.get(path);
    }

    public boolean equals(Object obj) {
        return (obj instanceof Path) && o.a(((Path) obj).getBytes$okio(), getBytes$okio());
    }

    public final ByteString getBytes$okio() {
        return this.bytes;
    }

    public int hashCode() {
        return getBytes$okio().hashCode();
    }

    public final boolean isAbsolute() {
        return getBytes$okio().startsWith(_PathKt.access$getSLASH$p()) || getBytes$okio().startsWith(_PathKt.access$getBACKSLASH$p()) || (volumeLetter() != null && getBytes$okio().size() > 2 && getBytes$okio().getByte(2) == ((byte) 92));
    }

    public final boolean isRelative() {
        return !isAbsolute();
    }

    public final boolean isRoot() {
        return parent() == null && isAbsolute();
    }

    public final String name() {
        return nameBytes().utf8();
    }

    public final ByteString nameBytes() {
        int access$getIndexOfLastSlash$p = _PathKt.access$getIndexOfLastSlash$p(this);
        if (access$getIndexOfLastSlash$p != -1) {
            return ByteString.substring$default(getBytes$okio(), access$getIndexOfLastSlash$p + 1, 0, 2, null);
        }
        if (volumeLetter() == null || getBytes$okio().size() != 2) {
            return getBytes$okio();
        }
        return ByteString.EMPTY;
    }

    public final Path parent() {
        Path path;
        if (o.a(getBytes$okio(), _PathKt.access$getDOT$p()) || o.a(getBytes$okio(), _PathKt.access$getSLASH$p()) || o.a(getBytes$okio(), _PathKt.access$getBACKSLASH$p()) || _PathKt.access$lastSegmentIsDotDot(this)) {
            return null;
        }
        int access$getIndexOfLastSlash$p = _PathKt.access$getIndexOfLastSlash$p(this);
        if (access$getIndexOfLastSlash$p != 2 || volumeLetter() == null) {
            if (access$getIndexOfLastSlash$p == 1 && getBytes$okio().startsWith(_PathKt.access$getBACKSLASH$p())) {
                return null;
            }
            if (access$getIndexOfLastSlash$p != -1 || volumeLetter() == null) {
                if (access$getIndexOfLastSlash$p == -1) {
                    return new Path(_PathKt.access$getDOT$p());
                }
                if (access$getIndexOfLastSlash$p != 0) {
                    return new Path(ByteString.substring$default(getBytes$okio(), 0, access$getIndexOfLastSlash$p, 1, null));
                }
                path = new Path(ByteString.substring$default(getBytes$okio(), 0, 1, 1, null));
            } else if (getBytes$okio().size() == 2) {
                return null;
            } else {
                path = new Path(ByteString.substring$default(getBytes$okio(), 0, 2, 1, null));
            }
        } else if (getBytes$okio().size() == 3) {
            return null;
        } else {
            path = new Path(ByteString.substring$default(getBytes$okio(), 0, 3, 1, null));
        }
        return path;
    }

    public final Path resolve(String str) {
        o.e(str, "child");
        return resolve(_PathKt.toPath(new Buffer().writeUtf8(str)));
    }

    public final File toFile() {
        return new File(toString());
    }

    @IgnoreJRERequirement
    public final java.nio.file.Path toNioPath() {
        java.nio.file.Path path = Paths.get(toString(), new String[0]);
        o.d(path, "Paths.get(toString())");
        return path;
    }

    public String toString() {
        return getBytes$okio().utf8();
    }

    public final Character volumeLetter() {
        if (ByteString.indexOf$default(getBytes$okio(), _PathKt.access$getSLASH$p(), 0, 2, (Object) null) != -1 || getBytes$okio().size() < 2 || getBytes$okio().getByte(1) != ((byte) 58)) {
            return null;
        }
        char c2 = (char) getBytes$okio().getByte(0);
        if (('a' > c2 || 'z' < c2) && ('A' > c2 || 'Z' < c2)) {
            return null;
        }
        return Character.valueOf(c2);
    }

    public int compareTo(Path path) {
        o.e(path, "other");
        return getBytes$okio().compareTo(path.getBytes$okio());
    }

    public final Path resolve(Path path) {
        ByteString byteString;
        o.e(path, "child");
        if (path.isAbsolute() || path.volumeLetter() != null) {
            return path;
        }
        if (ByteString.indexOf$default(getBytes$okio(), _PathKt.access$getSLASH$p(), 0, 2, (Object) null) != -1) {
            byteString = _PathKt.access$getSLASH$p();
        } else if (ByteString.indexOf$default(getBytes$okio(), _PathKt.access$getBACKSLASH$p(), 0, 2, (Object) null) != -1) {
            byteString = _PathKt.access$getBACKSLASH$p();
        } else if (ByteString.indexOf$default(path.getBytes$okio(), _PathKt.access$getSLASH$p(), 0, 2, (Object) null) != -1) {
            byteString = _PathKt.access$getSLASH$p();
        } else if (ByteString.indexOf$default(path.getBytes$okio(), _PathKt.access$getBACKSLASH$p(), 0, 2, (Object) null) != -1) {
            byteString = _PathKt.access$getBACKSLASH$p();
        } else {
            byteString = _PathKt.access$toSlash(DIRECTORY_SEPARATOR);
        }
        Buffer buffer = new Buffer();
        buffer.write(getBytes$okio());
        if (buffer.size() > 0) {
            buffer.write(byteString);
        }
        buffer.write(path.getBytes$okio());
        return _PathKt.toPath(buffer);
    }
}
