package okio;

import com.lzy.okgo.cache.CacheEntity;
import h.l.h;
import h.p.b.m;
import h.p.b.o;
import java.util.Arrays;

/* compiled from: Segment.kt */
public final class Segment {
    public static final Companion Companion = new Companion(null);
    public static final int SHARE_MINIMUM = 1024;
    public static final int SIZE = 8192;
    public final byte[] data;
    public int limit;
    public Segment next;
    public boolean owner;
    public int pos;
    public Segment prev;
    public boolean shared;

    /* compiled from: Segment.kt */
    public static final class Companion {
        private Companion() {
        }

        public /* synthetic */ Companion(m mVar) {
            this();
        }
    }

    public Segment() {
        this.data = new byte[8192];
        this.owner = true;
        this.shared = false;
    }

    public final void compact() {
        Segment segment = this.prev;
        int i2 = 0;
        if (segment != this) {
            o.c(segment);
            if (segment.owner) {
                int i3 = this.limit - this.pos;
                Segment segment2 = this.prev;
                o.c(segment2);
                int i4 = 8192 - segment2.limit;
                Segment segment3 = this.prev;
                o.c(segment3);
                if (!segment3.shared) {
                    Segment segment4 = this.prev;
                    o.c(segment4);
                    i2 = segment4.pos;
                }
                if (i3 <= i4 + i2) {
                    Segment segment5 = this.prev;
                    o.c(segment5);
                    writeTo(segment5, i3);
                    pop();
                    SegmentPool.recycle(this);
                    return;
                }
                return;
            }
            return;
        }
        throw new IllegalStateException("cannot compact".toString());
    }

    public final Segment pop() {
        Segment segment = this.next;
        if (segment == this) {
            segment = null;
        }
        Segment segment2 = this.prev;
        o.c(segment2);
        segment2.next = this.next;
        Segment segment3 = this.next;
        o.c(segment3);
        segment3.prev = this.prev;
        this.next = null;
        this.prev = null;
        return segment;
    }

    public final Segment push(Segment segment) {
        o.e(segment, "segment");
        segment.prev = this;
        segment.next = this.next;
        Segment segment2 = this.next;
        o.c(segment2);
        segment2.prev = segment;
        this.next = segment;
        return segment;
    }

    public final Segment sharedCopy() {
        this.shared = true;
        return new Segment(this.data, this.pos, this.limit, true, false);
    }

    public final Segment split(int i2) {
        Segment segment;
        if (i2 > 0 && i2 <= this.limit - this.pos) {
            if (i2 >= 1024) {
                segment = sharedCopy();
            } else {
                segment = SegmentPool.take();
                byte[] bArr = this.data;
                byte[] bArr2 = segment.data;
                int i3 = this.pos;
                h.c(bArr, bArr2, 0, i3, i3 + i2, 2);
            }
            segment.limit = segment.pos + i2;
            this.pos += i2;
            Segment segment2 = this.prev;
            o.c(segment2);
            segment2.push(segment);
            return segment;
        }
        throw new IllegalArgumentException("byteCount out of range".toString());
    }

    public final Segment unsharedCopy() {
        byte[] bArr = this.data;
        byte[] copyOf = Arrays.copyOf(bArr, bArr.length);
        o.d(copyOf, "java.util.Arrays.copyOf(this, size)");
        return new Segment(copyOf, this.pos, this.limit, false, true);
    }

    public final void writeTo(Segment segment, int i2) {
        o.e(segment, "sink");
        if (segment.owner) {
            int i3 = segment.limit;
            if (i3 + i2 > 8192) {
                if (!segment.shared) {
                    int i4 = segment.pos;
                    if ((i3 + i2) - i4 <= 8192) {
                        byte[] bArr = segment.data;
                        h.c(bArr, bArr, 0, i4, i3, 2);
                        segment.limit -= segment.pos;
                        segment.pos = 0;
                    } else {
                        throw new IllegalArgumentException();
                    }
                } else {
                    throw new IllegalArgumentException();
                }
            }
            byte[] bArr2 = this.data;
            byte[] bArr3 = segment.data;
            int i5 = segment.limit;
            int i6 = this.pos;
            h.a(bArr2, bArr3, i5, i6, i6 + i2);
            segment.limit += i2;
            this.pos += i2;
            return;
        }
        throw new IllegalStateException("only owner can write".toString());
    }

    public Segment(byte[] bArr, int i2, int i3, boolean z, boolean z2) {
        o.e(bArr, CacheEntity.DATA);
        this.data = bArr;
        this.pos = i2;
        this.limit = i3;
        this.shared = z;
        this.owner = z2;
    }
}
