package okio;

import d.a.a.a.a;
import h.p.b.o;
import java.io.IOException;
import java.net.Socket;
import java.net.SocketTimeoutException;
import java.util.logging.Level;
import java.util.logging.Logger;

/* compiled from: JvmOkio.kt */
public final class SocketAsyncTimeout extends AsyncTimeout {
    private final Socket socket;

    public SocketAsyncTimeout(Socket socket2) {
        o.e(socket2, "socket");
        this.socket = socket2;
    }

    @Override // okio.AsyncTimeout
    public IOException newTimeoutException(IOException iOException) {
        SocketTimeoutException socketTimeoutException = new SocketTimeoutException("timeout");
        if (iOException != null) {
            socketTimeoutException.initCause(iOException);
        }
        return socketTimeoutException;
    }

    @Override // okio.AsyncTimeout
    public void timedOut() {
        try {
            this.socket.close();
        } catch (Exception e2) {
            Logger logger = Okio__JvmOkioKt.logger;
            Level level = Level.WARNING;
            StringBuilder B = a.B("Failed to close timed out socket ");
            B.append(this.socket);
            logger.log(level, B.toString(), (Throwable) e2);
        } catch (AssertionError e3) {
            if (Okio.isAndroidGetsocknameError(e3)) {
                Logger logger2 = Okio__JvmOkioKt.logger;
                Level level2 = Level.WARNING;
                StringBuilder B2 = a.B("Failed to close timed out socket ");
                B2.append(this.socket);
                logger2.log(level2, B2.toString(), (Throwable) e3);
                return;
            }
            throw e3;
        }
    }
}
