package okio;

import android.support.v4.media.session.PlaybackStateCompat;
import h.p.b.o;

/* compiled from: Throttler.kt */
public final class Throttler {
    private long allocatedUntil;
    private long bytesPerSecond;
    private long maxByteCount;
    private long waitByteCount;

    public Throttler(long j2) {
        this.allocatedUntil = j2;
        this.waitByteCount = 8192;
        this.maxByteCount = PlaybackStateCompat.ACTION_SET_REPEAT_MODE;
    }

    public static /* synthetic */ void bytesPerSecond$default(Throttler throttler, long j2, long j3, long j4, int i2, Object obj) {
        if ((i2 & 2) != 0) {
            j3 = throttler.waitByteCount;
        }
        if ((i2 & 4) != 0) {
            j4 = throttler.maxByteCount;
        }
        throttler.bytesPerSecond(j2, j3, j4);
    }

    private final long bytesToNanos(long j2) {
        return (j2 * 1000000000) / this.bytesPerSecond;
    }

    private final long nanosToBytes(long j2) {
        return (j2 * this.bytesPerSecond) / 1000000000;
    }

    private final void waitNanos(long j2) {
        long j3 = j2 / 1000000;
        wait(j3, (int) (j2 - (1000000 * j3)));
    }

    public final long byteCountOrWaitNanos$okio(long j2, long j3) {
        if (this.bytesPerSecond == 0) {
            return j3;
        }
        long max = Math.max(this.allocatedUntil - j2, 0L);
        long nanosToBytes = this.maxByteCount - nanosToBytes(max);
        if (nanosToBytes >= j3) {
            this.allocatedUntil = j2 + max + bytesToNanos(j3);
            return j3;
        }
        long j4 = this.waitByteCount;
        if (nanosToBytes >= j4) {
            this.allocatedUntil = j2 + bytesToNanos(this.maxByteCount);
            return nanosToBytes;
        }
        long min = Math.min(j4, j3);
        long bytesToNanos = max + bytesToNanos(min - this.maxByteCount);
        if (bytesToNanos != 0) {
            return -bytesToNanos;
        }
        this.allocatedUntil = j2 + bytesToNanos(this.maxByteCount);
        return min;
    }

    public final void bytesPerSecond(long j2) {
        bytesPerSecond$default(this, j2, 0, 0, 6, null);
    }

    public final void bytesPerSecond(long j2, long j3) {
        bytesPerSecond$default(this, j2, j3, 0, 4, null);
    }

    public final void bytesPerSecond(long j2, long j3, long j4) {
        synchronized (this) {
            boolean z = true;
            if (j2 >= 0) {
                if (j3 > 0) {
                    if (j4 < j3) {
                        z = false;
                    }
                    if (z) {
                        this.bytesPerSecond = j2;
                        this.waitByteCount = j3;
                        this.maxByteCount = j4;
                        notifyAll();
                    } else {
                        throw new IllegalArgumentException("Failed requirement.".toString());
                    }
                } else {
                    throw new IllegalArgumentException("Failed requirement.".toString());
                }
            } else {
                throw new IllegalArgumentException("Failed requirement.".toString());
            }
        }
    }

    public final Sink sink(Sink sink) {
        o.e(sink, "sink");
        return new Throttler$sink$1(this, sink, sink);
    }

    public final Source source(Source source) {
        o.e(source, "source");
        return new Throttler$source$1(this, source, source);
    }

    public final long take$okio(long j2) {
        long byteCountOrWaitNanos$okio;
        if (j2 > 0) {
            synchronized (this) {
                while (true) {
                    byteCountOrWaitNanos$okio = byteCountOrWaitNanos$okio(System.nanoTime(), j2);
                    if (byteCountOrWaitNanos$okio < 0) {
                        waitNanos(-byteCountOrWaitNanos$okio);
                    }
                }
            }
            return byteCountOrWaitNanos$okio;
        }
        throw new IllegalArgumentException("Failed requirement.".toString());
    }

    public Throttler() {
        this(System.nanoTime());
    }
}
