package okio;

import d.a.a.a.a;
import h.k;
import h.p.a.l;
import h.p.b.o;

public final class Utf8 {
    public static final int HIGH_SURROGATE_HEADER;
    public static final int LOG_SURROGATE_HEADER;
    public static final int MASK_2BYTES;
    public static final int MASK_3BYTES;
    public static final int MASK_4BYTES;
    public static final byte REPLACEMENT_BYTE;
    public static final char REPLACEMENT_CHARACTER;
    public static final int REPLACEMENT_CODE_POINT;

    public static final boolean isIsoControl(int i2) {
        return (i2 >= 0 && 31 >= i2) || (127 <= i2 && 159 >= i2);
    }

    public static final boolean isUtf8Continuation(byte b2) {
        return (b2 & 192) == 128;
    }

    public static final int process2Utf8Bytes(byte[] bArr, int i2, int i3, l<? super Integer, k> lVar) {
        o.e(bArr, "$this$process2Utf8Bytes");
        o.e(lVar, "yield");
        int i4 = i2 + 1;
        Integer valueOf = Integer.valueOf((int) REPLACEMENT_CODE_POINT);
        if (i3 <= i4) {
            lVar.invoke(valueOf);
            return 1;
        }
        byte b2 = bArr[i2];
        byte b3 = bArr[i4];
        if (!((b3 & 192) == 128)) {
            lVar.invoke(valueOf);
            return 1;
        }
        int i5 = (b3 ^ 3968) ^ (b2 << 6);
        if (i5 < 128) {
            lVar.invoke(valueOf);
            return 2;
        }
        lVar.invoke(Integer.valueOf(i5));
        return 2;
    }

    public static final int process3Utf8Bytes(byte[] bArr, int i2, int i3, l<? super Integer, k> lVar) {
        o.e(bArr, "$this$process3Utf8Bytes");
        o.e(lVar, "yield");
        int i4 = i2 + 2;
        boolean z = false;
        Integer valueOf = Integer.valueOf((int) REPLACEMENT_CODE_POINT);
        if (i3 <= i4) {
            lVar.invoke(valueOf);
            int i5 = i2 + 1;
            if (i3 > i5) {
                if ((bArr[i5] & 192) == 128) {
                    z = true;
                }
                return !z ? 1 : 2;
            }
        }
        byte b2 = bArr[i2];
        byte b3 = bArr[i2 + 1];
        if (!((b3 & 192) == 128)) {
            lVar.invoke(valueOf);
            return 1;
        }
        byte b4 = bArr[i4];
        if ((b4 & 192) == 128) {
            z = true;
        }
        if (!z) {
            lVar.invoke(valueOf);
            return 2;
        }
        int i6 = ((b4 ^ -123008) ^ (b3 << 6)) ^ (b2 << 12);
        if (i6 < 2048) {
            lVar.invoke(valueOf);
            return 3;
        } else if (55296 <= i6 && 57343 >= i6) {
            lVar.invoke(valueOf);
            return 3;
        } else {
            lVar.invoke(Integer.valueOf(i6));
            return 3;
        }
    }

    public static final int process4Utf8Bytes(byte[] bArr, int i2, int i3, l<? super Integer, k> lVar) {
        o.e(bArr, "$this$process4Utf8Bytes");
        o.e(lVar, "yield");
        int i4 = i2 + 3;
        boolean z = false;
        Integer valueOf = Integer.valueOf((int) REPLACEMENT_CODE_POINT);
        if (i3 <= i4) {
            lVar.invoke(valueOf);
            int i5 = i2 + 1;
            if (i3 > i5) {
                if ((bArr[i5] & 192) == 128) {
                    int i6 = i2 + 2;
                    if (i3 > i6) {
                        if ((bArr[i6] & 192) == 128) {
                            z = true;
                        }
                        return !z ? 2 : 3;
                    }
                }
            }
            return 1;
        }
        byte b2 = bArr[i2];
        byte b3 = bArr[i2 + 1];
        if (!((b3 & 192) == 128)) {
            lVar.invoke(valueOf);
            return 1;
        }
        byte b4 = bArr[i2 + 2];
        if (!((b4 & 192) == 128)) {
            lVar.invoke(valueOf);
            return 2;
        }
        byte b5 = bArr[i4];
        if ((b5 & 192) == 128) {
            z = true;
        }
        if (!z) {
            lVar.invoke(valueOf);
            return 3;
        }
        int i7 = (((b5 ^ 3678080) ^ (b4 << 6)) ^ (b3 << 12)) ^ (b2 << 18);
        if (i7 > 1114111) {
            lVar.invoke(valueOf);
            return 4;
        } else if (55296 <= i7 && 57343 >= i7) {
            lVar.invoke(valueOf);
            return 4;
        } else if (i7 < 65536) {
            lVar.invoke(valueOf);
            return 4;
        } else {
            lVar.invoke(Integer.valueOf(i7));
            return 4;
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:35:0x0092, code lost:
        if (r8 == false) goto L_0x004e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:71:0x010b, code lost:
        if (r8 == false) goto L_0x006d;
     */
    public static final void processUtf16Chars(byte[] bArr, int i2, int i3, l<? super Character, k> lVar) {
        int i4;
        o.e(bArr, "$this$processUtf16Chars");
        o.e(lVar, "yield");
        int i5 = i2;
        while (i5 < i3) {
            byte b2 = bArr[i5];
            if (b2 >= 0) {
                lVar.invoke(Character.valueOf((char) b2));
                i5++;
                while (i5 < i3 && bArr[i5] >= 0) {
                    lVar.invoke(Character.valueOf((char) bArr[i5]));
                    i5++;
                }
            } else {
                boolean z = false;
                if ((b2 >> 5) == -2) {
                    int i6 = i5 + 1;
                    if (i3 > i6) {
                        byte b3 = bArr[i5];
                        byte b4 = bArr[i6];
                        if ((b4 & 192) == 128) {
                            z = true;
                        }
                        if (z) {
                            int i7 = (b4 ^ 3968) ^ (b3 << 6);
                            lVar.invoke(Character.valueOf(i7 < 128 ? (char) REPLACEMENT_CODE_POINT : (char) i7));
                            i4 = 2;
                            i5 += i4;
                        }
                    }
                    lVar.invoke(Character.valueOf((char) REPLACEMENT_CODE_POINT));
                } else {
                    if ((b2 >> 4) == -2) {
                        int i8 = i5 + 2;
                        if (i3 <= i8) {
                            lVar.invoke(Character.valueOf((char) REPLACEMENT_CODE_POINT));
                            int i9 = i5 + 1;
                            if (i3 > i9) {
                                if ((bArr[i9] & 192) == 128) {
                                    z = true;
                                }
                            }
                        } else {
                            byte b5 = bArr[i5];
                            byte b6 = bArr[i5 + 1];
                            if (!((b6 & 192) == 128)) {
                                lVar.invoke(Character.valueOf((char) REPLACEMENT_CODE_POINT));
                            } else {
                                byte b7 = bArr[i8];
                                if ((b7 & 192) == 128) {
                                    z = true;
                                }
                                if (!z) {
                                    lVar.invoke(Character.valueOf((char) REPLACEMENT_CODE_POINT));
                                    i4 = 2;
                                    i5 += i4;
                                } else {
                                    int i10 = ((b7 ^ -123008) ^ (b6 << 6)) ^ (b5 << 12);
                                    lVar.invoke(Character.valueOf((i10 >= 2048 && (55296 > i10 || 57343 < i10)) ? (char) i10 : (char) REPLACEMENT_CODE_POINT));
                                }
                            }
                        }
                    } else if ((b2 >> 3) == -2) {
                        int i11 = i5 + 3;
                        if (i3 <= i11) {
                            lVar.invoke(Character.valueOf(REPLACEMENT_CHARACTER));
                            int i12 = i5 + 1;
                            if (i3 > i12) {
                                if ((bArr[i12] & 192) == 128) {
                                    int i13 = i5 + 2;
                                    if (i3 > i13) {
                                        if ((bArr[i13] & 192) == 128) {
                                            z = true;
                                        }
                                    }
                                    i4 = 2;
                                    i5 += i4;
                                }
                            }
                        } else {
                            byte b8 = bArr[i5];
                            byte b9 = bArr[i5 + 1];
                            if (!((b9 & 192) == 128)) {
                                lVar.invoke(Character.valueOf(REPLACEMENT_CHARACTER));
                            } else {
                                byte b10 = bArr[i5 + 2];
                                if (!((b10 & 192) == 128)) {
                                    lVar.invoke(Character.valueOf(REPLACEMENT_CHARACTER));
                                    i4 = 2;
                                    i5 += i4;
                                } else {
                                    byte b11 = bArr[i11];
                                    if ((b11 & 192) == 128) {
                                        z = true;
                                    }
                                    if (!z) {
                                        lVar.invoke(Character.valueOf(REPLACEMENT_CHARACTER));
                                    } else {
                                        int i14 = (((b11 ^ 3678080) ^ (b10 << 6)) ^ (b9 << 12)) ^ (b8 << 18);
                                        if (i14 <= 1114111 && ((55296 > i14 || 57343 < i14) && i14 >= 65536 && i14 != 65533)) {
                                            lVar.invoke(Character.valueOf((char) ((i14 >>> 10) + HIGH_SURROGATE_HEADER)));
                                            lVar.invoke(Character.valueOf((char) ((i14 & 1023) + LOG_SURROGATE_HEADER)));
                                        } else {
                                            lVar.invoke(Character.valueOf(REPLACEMENT_CHARACTER));
                                        }
                                        i4 = 4;
                                        i5 += i4;
                                    }
                                }
                            }
                        }
                    } else {
                        lVar.invoke(Character.valueOf(REPLACEMENT_CHARACTER));
                        i5++;
                    }
                    i4 = 3;
                    i5 += i4;
                }
                i4 = 1;
                i5 += i4;
            }
        }
    }

    public static final void processUtf8Bytes(String str, int i2, int i3, l<? super Byte, k> lVar) {
        int i4;
        char charAt;
        o.e(str, "$this$processUtf8Bytes");
        o.e(lVar, "yield");
        while (i2 < i3) {
            char charAt2 = str.charAt(i2);
            if (o.g(charAt2, 128) < 0) {
                lVar.invoke(Byte.valueOf((byte) charAt2));
                i2++;
                while (i2 < i3 && o.g(str.charAt(i2), 128) < 0) {
                    lVar.invoke(Byte.valueOf((byte) str.charAt(i2)));
                    i2++;
                }
            } else {
                if (o.g(charAt2, 2048) < 0) {
                    lVar.invoke(Byte.valueOf((byte) ((charAt2 >> 6) | 192)));
                    lVar.invoke(Byte.valueOf((byte) ((charAt2 & '?') | 128)));
                } else if (55296 > charAt2 || 57343 < charAt2) {
                    lVar.invoke(Byte.valueOf((byte) ((charAt2 >> '\f') | 224)));
                    lVar.invoke(Byte.valueOf((byte) (((charAt2 >> 6) & 63) | 128)));
                    lVar.invoke(Byte.valueOf((byte) ((charAt2 & '?') | 128)));
                } else if (o.g(charAt2, 56319) > 0 || i3 <= (i4 = i2 + 1) || 56320 > (charAt = str.charAt(i4)) || 57343 < charAt) {
                    lVar.invoke(Byte.valueOf((byte) REPLACEMENT_BYTE));
                } else {
                    int charAt3 = (str.charAt(i4) + (charAt2 << '\n')) - 56613888;
                    lVar.invoke(Byte.valueOf((byte) ((charAt3 >> 18) | 240)));
                    lVar.invoke(Byte.valueOf((byte) (((charAt3 >> 12) & 63) | 128)));
                    lVar.invoke(Byte.valueOf((byte) (((charAt3 >> 6) & 63) | 128)));
                    lVar.invoke(Byte.valueOf((byte) ((charAt3 & 63) | 128)));
                    i2 += 2;
                }
                i2++;
            }
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:35:0x0090, code lost:
        if (r8 == false) goto L_0x004b;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:71:0x0109, code lost:
        if (r8 == false) goto L_0x006c;
     */
    public static final void processUtf8CodePoints(byte[] bArr, int i2, int i3, l<? super Integer, k> lVar) {
        int i4;
        o.e(bArr, "$this$processUtf8CodePoints");
        o.e(lVar, "yield");
        int i5 = i2;
        while (i5 < i3) {
            byte b2 = bArr[i5];
            if (b2 >= 0) {
                lVar.invoke(Integer.valueOf(b2));
                i5++;
                while (i5 < i3 && bArr[i5] >= 0) {
                    lVar.invoke(Integer.valueOf(bArr[i5]));
                    i5++;
                }
            } else {
                boolean z = false;
                if ((b2 >> 5) == -2) {
                    int i6 = i5 + 1;
                    if (i3 > i6) {
                        byte b3 = bArr[i5];
                        byte b4 = bArr[i6];
                        if ((b4 & 192) == 128) {
                            z = true;
                        }
                        if (z) {
                            int i7 = (b4 ^ 3968) ^ (b3 << 6);
                            lVar.invoke(i7 < 128 ? Integer.valueOf((int) REPLACEMENT_CODE_POINT) : Integer.valueOf(i7));
                            i4 = 2;
                            i5 += i4;
                        }
                    }
                    lVar.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                } else {
                    if ((b2 >> 4) == -2) {
                        int i8 = i5 + 2;
                        if (i3 <= i8) {
                            lVar.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                            int i9 = i5 + 1;
                            if (i3 > i9) {
                                if ((bArr[i9] & 192) == 128) {
                                    z = true;
                                }
                            }
                        } else {
                            byte b5 = bArr[i5];
                            byte b6 = bArr[i5 + 1];
                            if (!((b6 & 192) == 128)) {
                                lVar.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                            } else {
                                byte b7 = bArr[i8];
                                if ((b7 & 192) == 128) {
                                    z = true;
                                }
                                if (!z) {
                                    lVar.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                                    i4 = 2;
                                    i5 += i4;
                                } else {
                                    int i10 = ((b7 ^ -123008) ^ (b6 << 6)) ^ (b5 << 12);
                                    lVar.invoke((i10 >= 2048 && (55296 > i10 || 57343 < i10)) ? Integer.valueOf(i10) : Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                                }
                            }
                        }
                    } else if ((b2 >> 3) == -2) {
                        int i11 = i5 + 3;
                        if (i3 <= i11) {
                            lVar.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                            int i12 = i5 + 1;
                            if (i3 > i12) {
                                if ((bArr[i12] & 192) == 128) {
                                    int i13 = i5 + 2;
                                    if (i3 > i13) {
                                        if ((bArr[i13] & 192) == 128) {
                                            z = true;
                                        }
                                    }
                                    i4 = 2;
                                    i5 += i4;
                                }
                            }
                        } else {
                            byte b8 = bArr[i5];
                            byte b9 = bArr[i5 + 1];
                            if (!((b9 & 192) == 128)) {
                                lVar.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                            } else {
                                byte b10 = bArr[i5 + 2];
                                if (!((b10 & 192) == 128)) {
                                    lVar.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                                    i4 = 2;
                                    i5 += i4;
                                } else {
                                    byte b11 = bArr[i11];
                                    if ((b11 & 192) == 128) {
                                        z = true;
                                    }
                                    if (!z) {
                                        lVar.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                                    } else {
                                        int i14 = (((b11 ^ 3678080) ^ (b10 << 6)) ^ (b9 << 12)) ^ (b8 << 18);
                                        lVar.invoke((i14 <= 1114111 && (55296 > i14 || 57343 < i14) && i14 >= 65536) ? Integer.valueOf(i14) : Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                                        i4 = 4;
                                        i5 += i4;
                                    }
                                }
                            }
                        }
                    } else {
                        lVar.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                        i5++;
                    }
                    i4 = 3;
                    i5 += i4;
                }
                i4 = 1;
                i5 += i4;
            }
        }
    }

    public static final long size(String str) {
        return size$default(str, 0, 0, 3, null);
    }

    public static final long size(String str, int i2) {
        return size$default(str, i2, 0, 2, null);
    }

    public static final long size(String str, int i2, int i3) {
        int i4;
        o.e(str, "$this$utf8Size");
        boolean z = true;
        if (i2 >= 0) {
            if (i3 >= i2) {
                if (i3 > str.length()) {
                    z = false;
                }
                if (z) {
                    long j2 = 0;
                    while (i2 < i3) {
                        char charAt = str.charAt(i2);
                        if (charAt < 128) {
                            j2++;
                        } else {
                            if (charAt < 2048) {
                                i4 = 2;
                            } else if (charAt < 55296 || charAt > 57343) {
                                i4 = 3;
                            } else {
                                int i5 = i2 + 1;
                                char charAt2 = i5 < i3 ? str.charAt(i5) : 0;
                                if (charAt > 56319 || charAt2 < 56320 || charAt2 > 57343) {
                                    j2++;
                                    i2 = i5;
                                } else {
                                    j2 += (long) 4;
                                    i2 += 2;
                                }
                            }
                            j2 += (long) i4;
                        }
                        i2++;
                    }
                    return j2;
                }
                StringBuilder C = a.C("endIndex > string.length: ", i3, " > ");
                C.append(str.length());
                throw new IllegalArgumentException(C.toString().toString());
            }
            throw new IllegalArgumentException(("endIndex < beginIndex: " + i3 + " < " + i2).toString());
        }
        throw new IllegalArgumentException(a.k("beginIndex < 0: ", i2).toString());
    }

    public static /* synthetic */ long size$default(String str, int i2, int i3, int i4, Object obj) {
        if ((i4 & 1) != 0) {
            i2 = 0;
        }
        if ((i4 & 2) != 0) {
            i3 = str.length();
        }
        return size(str, i2, i3);
    }
}
