package okio.internal;

import androidx.constraintlayout.core.motion.utils.TypedValues;
import d.l.b.g.g.b;
import h.l.f;
import h.p.b.o;
import java.io.FileNotFoundException;
import java.util.Iterator;
import java.util.List;
import kotlin.collections.EmptyList;
import okio.BufferedSink;
import okio.ExperimentalFileSystem;
import okio.FileMetadata;
import okio.FileSystem;
import okio.Okio;
import okio.Path;
import okio.Source;

/* compiled from: -FileSystem.kt */
public final class _FileSystemKt {
    @ExperimentalFileSystem
    public static final void commonCopy(FileSystem fileSystem, Path path, Path path2) {
        Long l2;
        Throwable th;
        Long l3;
        o.e(fileSystem, "$this$commonCopy");
        o.e(path, "source");
        o.e(path2, TypedValues.Attributes.S_TARGET);
        Source source = fileSystem.source(path);
        Throwable th2 = null;
        try {
            BufferedSink buffer = Okio.buffer(fileSystem.sink(path2));
            try {
                l3 = Long.valueOf(buffer.writeAll(source));
                th = null;
            } catch (Throwable th3) {
                th = th3;
                l3 = null;
            }
            if (buffer != null) {
                try {
                    buffer.close();
                } catch (Throwable th4) {
                    if (th == null) {
                        th = th4;
                    } else {
                        b.e(th, th4);
                    }
                }
            }
            if (th == null) {
                o.c(l3);
                l2 = Long.valueOf(l3.longValue());
                if (source != null) {
                    try {
                        source.close();
                    } catch (Throwable th5) {
                        if (th2 == null) {
                            th2 = th5;
                        } else {
                            b.e(th2, th5);
                        }
                    }
                }
                if (th2 == null) {
                    o.c(l2);
                    return;
                }
                throw th2;
            }
            throw th;
        } catch (Throwable th6) {
            th2 = th6;
            l2 = null;
        }
    }

    @ExperimentalFileSystem
    public static final void commonCreateDirectories(FileSystem fileSystem, Path path) {
        o.e(fileSystem, "$this$commonCreateDirectories");
        o.e(path, "dir");
        f fVar = new f();
        while (path != null && !fileSystem.exists(path)) {
            fVar.addFirst(path);
            path = path.parent();
        }
        Iterator it = fVar.iterator();
        while (it.hasNext()) {
            fileSystem.createDirectory((Path) it.next());
        }
    }

    @ExperimentalFileSystem
    public static final void commonDeleteRecursively(FileSystem fileSystem, Path path) {
        List<Path> list;
        o.e(fileSystem, "$this$commonDeleteRecursively");
        o.e(path, "fileOrDirectory");
        f fVar = new f();
        fVar.addLast(path);
        while (!fVar.isEmpty()) {
            Path path2 = (Path) fVar.removeLast();
            if (fileSystem.metadata(path2).isDirectory()) {
                list = fileSystem.list(path2);
            } else {
                list = EmptyList.INSTANCE;
            }
            if (!list.isEmpty()) {
                fVar.addLast(path2);
                o.e(fVar, "$this$addAll");
                o.e(list, "elements");
                fVar.addAll(list);
            } else {
                fileSystem.delete(path2);
            }
        }
    }

    @ExperimentalFileSystem
    public static final boolean commonExists(FileSystem fileSystem, Path path) {
        o.e(fileSystem, "$this$commonExists");
        o.e(path, "path");
        return fileSystem.metadataOrNull(path) != null;
    }

    @ExperimentalFileSystem
    public static final FileMetadata commonMetadata(FileSystem fileSystem, Path path) {
        o.e(fileSystem, "$this$commonMetadata");
        o.e(path, "path");
        FileMetadata metadataOrNull = fileSystem.metadataOrNull(path);
        if (metadataOrNull != null) {
            return metadataOrNull;
        }
        throw new FileNotFoundException("no such file: " + path);
    }
}
