package okio.internal;

import d.a.a.a.a;
import d.l.b.g.g.b;
import h.p.b.o;
import java.util.ArrayList;
import java.util.NoSuchElementException;
import okio.Buffer;
import okio.ByteString;
import okio.Path;

public final class _PathKt {
    private static final ByteString ANY_SLASH;
    private static final ByteString BACKSLASH;
    private static final ByteString DOT;
    private static final ByteString DOT_DOT;
    private static final ByteString SLASH;

    static {
        ByteString.Companion companion = ByteString.Companion;
        SLASH = companion.encodeUtf8("/");
        BACKSLASH = companion.encodeUtf8("\\");
        ANY_SLASH = companion.encodeUtf8("/\\");
        DOT = companion.encodeUtf8(".");
        DOT_DOT = companion.encodeUtf8("..");
    }

    public static final int commonCompareTo(Path path, Path path2) {
        o.e(path, "$this$commonCompareTo");
        o.e(path2, "other");
        return path.getBytes$okio().compareTo(path2.getBytes$okio());
    }

    public static final boolean commonEquals(Path path, Object obj) {
        o.e(path, "$this$commonEquals");
        return (obj instanceof Path) && o.a(((Path) obj).getBytes$okio(), path.getBytes$okio());
    }

    public static final int commonHashCode(Path path) {
        o.e(path, "$this$commonHashCode");
        return path.getBytes$okio().hashCode();
    }

    public static final boolean commonIsAbsolute(Path path) {
        o.e(path, "$this$commonIsAbsolute");
        return path.getBytes$okio().startsWith(SLASH) || path.getBytes$okio().startsWith(BACKSLASH) || (path.volumeLetter() != null && path.getBytes$okio().size() > 2 && path.getBytes$okio().getByte(2) == ((byte) 92));
    }

    public static final boolean commonIsRelative(Path path) {
        o.e(path, "$this$commonIsRelative");
        return !path.isAbsolute();
    }

    public static final boolean commonIsRoot(Path path) {
        o.e(path, "$this$commonIsRoot");
        return path.parent() == null && path.isAbsolute();
    }

    public static final String commonName(Path path) {
        o.e(path, "$this$commonName");
        return path.nameBytes().utf8();
    }

    public static final ByteString commonNameBytes(Path path) {
        o.e(path, "$this$commonNameBytes");
        int indexOfLastSlash = getIndexOfLastSlash(path);
        if (indexOfLastSlash != -1) {
            return ByteString.substring$default(path.getBytes$okio(), indexOfLastSlash + 1, 0, 2, null);
        }
        if (path.volumeLetter() == null || path.getBytes$okio().size() != 2) {
            return path.getBytes$okio();
        }
        return ByteString.EMPTY;
    }

    public static final Path commonParent(Path path) {
        o.e(path, "$this$commonParent");
        if (o.a(path.getBytes$okio(), DOT) || o.a(path.getBytes$okio(), SLASH) || o.a(path.getBytes$okio(), BACKSLASH) || lastSegmentIsDotDot(path)) {
            return null;
        }
        int indexOfLastSlash = getIndexOfLastSlash(path);
        if (indexOfLastSlash != 2 || path.volumeLetter() == null) {
            if (indexOfLastSlash == 1 && path.getBytes$okio().startsWith(BACKSLASH)) {
                return null;
            }
            if (indexOfLastSlash != -1 || path.volumeLetter() == null) {
                if (indexOfLastSlash == -1) {
                    return new Path(DOT);
                }
                if (indexOfLastSlash == 0) {
                    return new Path(ByteString.substring$default(path.getBytes$okio(), 0, 1, 1, null));
                }
                return new Path(ByteString.substring$default(path.getBytes$okio(), 0, indexOfLastSlash, 1, null));
            } else if (path.getBytes$okio().size() == 2) {
                return null;
            } else {
                return new Path(ByteString.substring$default(path.getBytes$okio(), 0, 2, 1, null));
            }
        } else if (path.getBytes$okio().size() == 3) {
            return null;
        } else {
            return new Path(ByteString.substring$default(path.getBytes$okio(), 0, 3, 1, null));
        }
    }

    public static final Path commonResolve(Path path, String str) {
        o.e(path, "$this$commonResolve");
        o.e(str, "child");
        return path.resolve(toPath(new Buffer().writeUtf8(str)));
    }

    public static final Path commonToPath(String str) {
        o.e(str, "$this$commonToPath");
        return toPath(new Buffer().writeUtf8(str));
    }

    public static final String commonToString(Path path) {
        o.e(path, "$this$commonToString");
        return path.getBytes$okio().utf8();
    }

    public static final Character commonVolumeLetter(Path path) {
        o.e(path, "$this$commonVolumeLetter");
        if (ByteString.indexOf$default(path.getBytes$okio(), SLASH, 0, 2, (Object) null) != -1 || path.getBytes$okio().size() < 2 || path.getBytes$okio().getByte(1) != ((byte) 58)) {
            return null;
        }
        char c2 = (char) path.getBytes$okio().getByte(0);
        if (('a' > c2 || 'z' < c2) && ('A' > c2 || 'Z' < c2)) {
            return null;
        }
        return Character.valueOf(c2);
    }

    public static final int getIndexOfLastSlash(Path path) {
        int lastIndexOf$default = ByteString.lastIndexOf$default(path.getBytes$okio(), SLASH, 0, 2, (Object) null);
        if (lastIndexOf$default != -1) {
            return lastIndexOf$default;
        }
        return ByteString.lastIndexOf$default(path.getBytes$okio(), BACKSLASH, 0, 2, (Object) null);
    }

    private static /* synthetic */ void getIndexOfLastSlash$annotations(Path path) {
    }

    public static final boolean lastSegmentIsDotDot(Path path) {
        if (!path.getBytes$okio().endsWith(DOT_DOT) || (path.getBytes$okio().size() != 2 && !path.getBytes$okio().rangeEquals(path.getBytes$okio().size() - 3, SLASH, 0, 1) && !path.getBytes$okio().rangeEquals(path.getBytes$okio().size() - 3, BACKSLASH, 0, 1))) {
            return false;
        }
        return true;
    }

    private static final boolean startsWithVolumeLetterAndColon(Buffer buffer, ByteString byteString) {
        if ((!o.a(byteString, BACKSLASH)) || buffer.size() < ((long) 2) || buffer.getByte(1) != ((byte) 58)) {
            return false;
        }
        char c2 = (char) buffer.getByte(0);
        if ('a' <= c2 && 'z' >= c2) {
            return true;
        }
        if ('A' <= c2 && 'Z' >= c2) {
            return true;
        }
        return false;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:43:0x00c3, code lost:
        if (h.p.b.o.a((okio.ByteString) r4.get(d.l.b.g.g.b.I(r4)), r11) != false) goto L_0x00ce;
     */
    public static final Path toPath(Buffer buffer) {
        ByteString byteString;
        ByteString byteString2;
        o.e(buffer, "$this$toPath");
        Buffer buffer2 = new Buffer();
        ByteString byteString3 = null;
        int i2 = 0;
        while (true) {
            if (!buffer.rangeEquals(0, SLASH)) {
                byteString = BACKSLASH;
                if (!buffer.rangeEquals(0, byteString)) {
                    break;
                }
            }
            byte readByte = buffer.readByte();
            if (byteString3 == null) {
                byteString3 = toSlash(readByte);
            }
            i2++;
        }
        if (i2 >= 2 && o.a(byteString3, byteString)) {
            buffer2.write(byteString3);
            buffer2.write(byteString3);
        } else if (i2 > 0) {
            o.c(byteString3);
            buffer2.write(byteString3);
        } else {
            long indexOfElement = buffer.indexOfElement(ANY_SLASH);
            if (byteString3 == null) {
                if (indexOfElement == -1) {
                    byteString3 = toSlash(Path.DIRECTORY_SEPARATOR);
                } else {
                    byteString3 = toSlash(buffer.getByte(indexOfElement));
                }
            }
            if (startsWithVolumeLetterAndColon(buffer, byteString3)) {
                if (indexOfElement == 2) {
                    buffer2.write(buffer, 3L);
                } else {
                    buffer2.write(buffer, 2L);
                }
            }
        }
        boolean z = buffer2.size() > 0;
        ArrayList arrayList = new ArrayList();
        while (!buffer.exhausted()) {
            long indexOfElement2 = buffer.indexOfElement(ANY_SLASH);
            if (indexOfElement2 == -1) {
                byteString2 = buffer.readByteString();
            } else {
                byteString2 = buffer.readByteString(indexOfElement2);
                buffer.readByte();
            }
            ByteString byteString4 = DOT_DOT;
            if (o.a(byteString2, byteString4)) {
                if (!z) {
                    if (!arrayList.isEmpty()) {
                        o.e(arrayList, "$this$last");
                        if (arrayList.isEmpty()) {
                            throw new NoSuchElementException("List is empty.");
                        }
                    }
                    arrayList.add(byteString2);
                }
                o.e(arrayList, "$this$removeLastOrNull");
                if (!arrayList.isEmpty()) {
                    arrayList.remove(b.I(arrayList));
                }
            } else if ((!o.a(byteString2, DOT)) && (!o.a(byteString2, ByteString.EMPTY))) {
                arrayList.add(byteString2);
            }
        }
        int size = arrayList.size();
        for (int i3 = 0; i3 < size; i3++) {
            if (i3 > 0) {
                buffer2.write(byteString3);
            }
            buffer2.write((ByteString) arrayList.get(i3));
        }
        if (buffer2.size() == 0) {
            buffer2.write(DOT);
        }
        return new Path(buffer2.readByteString());
    }

    public static final ByteString toSlash(String str) {
        int hashCode = str.hashCode();
        if (hashCode != 47) {
            if (hashCode == 92 && str.equals("\\")) {
                return BACKSLASH;
            }
        } else if (str.equals("/")) {
            return SLASH;
        }
        throw new IllegalArgumentException(a.s("not a directory separator: ", str));
    }

    public static final Path commonResolve(Path path, Path path2) {
        ByteString byteString;
        o.e(path, "$this$commonResolve");
        o.e(path2, "child");
        if (path2.isAbsolute() || path2.volumeLetter() != null) {
            return path2;
        }
        if (ByteString.indexOf$default(path.getBytes$okio(), SLASH, 0, 2, (Object) null) != -1) {
            byteString = SLASH;
        } else if (ByteString.indexOf$default(path.getBytes$okio(), BACKSLASH, 0, 2, (Object) null) != -1) {
            byteString = BACKSLASH;
        } else if (ByteString.indexOf$default(path2.getBytes$okio(), SLASH, 0, 2, (Object) null) != -1) {
            byteString = SLASH;
        } else if (ByteString.indexOf$default(path2.getBytes$okio(), BACKSLASH, 0, 2, (Object) null) != -1) {
            byteString = BACKSLASH;
        } else {
            byteString = toSlash(Path.DIRECTORY_SEPARATOR);
        }
        Buffer buffer = new Buffer();
        buffer.write(path.getBytes$okio());
        if (buffer.size() > 0) {
            buffer.write(byteString);
        }
        buffer.write(path2.getBytes$okio());
        return toPath(buffer);
    }

    private static final ByteString toSlash(byte b2) {
        if (b2 == 47) {
            return SLASH;
        }
        if (b2 == 92) {
            return BACKSLASH;
        }
        throw new IllegalArgumentException(a.k("not a directory separator: ", b2));
    }
}
