package okio.internal;

import androidx.constraintlayout.core.motion.utils.TypedValues;
import h.p.b.o;
import java.io.EOFException;
import okio.Buffer;
import okio.BufferedSink;
import okio.ByteString;
import okio.RealBufferedSink;
import okio.Sink;
import okio.Source;
import okio.Timeout;

/* compiled from: -RealBufferedSink.kt */
public final class _RealBufferedSinkKt {
    public static final void commonClose(RealBufferedSink realBufferedSink) {
        o.e(realBufferedSink, "$this$commonClose");
        if (!realBufferedSink.closed) {
            Throwable th = null;
            try {
                if (realBufferedSink.bufferField.size() > 0) {
                    Sink sink = realBufferedSink.sink;
                    Buffer buffer = realBufferedSink.bufferField;
                    sink.write(buffer, buffer.size());
                }
            } catch (Throwable th2) {
                th = th2;
            }
            try {
                realBufferedSink.sink.close();
            } catch (Throwable th3) {
                if (th == null) {
                    th = th3;
                }
            }
            realBufferedSink.closed = true;
            if (th != null) {
                throw th;
            }
        }
    }

    public static final BufferedSink commonEmit(RealBufferedSink realBufferedSink) {
        o.e(realBufferedSink, "$this$commonEmit");
        if (!realBufferedSink.closed) {
            long size = realBufferedSink.bufferField.size();
            if (size > 0) {
                realBufferedSink.sink.write(realBufferedSink.bufferField, size);
            }
            return realBufferedSink;
        }
        throw new IllegalStateException("closed".toString());
    }

    public static final BufferedSink commonEmitCompleteSegments(RealBufferedSink realBufferedSink) {
        o.e(realBufferedSink, "$this$commonEmitCompleteSegments");
        if (!realBufferedSink.closed) {
            long completeSegmentByteCount = realBufferedSink.bufferField.completeSegmentByteCount();
            if (completeSegmentByteCount > 0) {
                realBufferedSink.sink.write(realBufferedSink.bufferField, completeSegmentByteCount);
            }
            return realBufferedSink;
        }
        throw new IllegalStateException("closed".toString());
    }

    public static final void commonFlush(RealBufferedSink realBufferedSink) {
        o.e(realBufferedSink, "$this$commonFlush");
        if (!realBufferedSink.closed) {
            if (realBufferedSink.bufferField.size() > 0) {
                Sink sink = realBufferedSink.sink;
                Buffer buffer = realBufferedSink.bufferField;
                sink.write(buffer, buffer.size());
            }
            realBufferedSink.sink.flush();
            return;
        }
        throw new IllegalStateException("closed".toString());
    }

    public static final Timeout commonTimeout(RealBufferedSink realBufferedSink) {
        o.e(realBufferedSink, "$this$commonTimeout");
        return realBufferedSink.sink.timeout();
    }

    public static final String commonToString(RealBufferedSink realBufferedSink) {
        o.e(realBufferedSink, "$this$commonToString");
        return "buffer(" + realBufferedSink.sink + ')';
    }

    public static final void commonWrite(RealBufferedSink realBufferedSink, Buffer buffer, long j2) {
        o.e(realBufferedSink, "$this$commonWrite");
        o.e(buffer, "source");
        if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.write(buffer, j2);
            realBufferedSink.emitCompleteSegments();
            return;
        }
        throw new IllegalStateException("closed".toString());
    }

    public static final long commonWriteAll(RealBufferedSink realBufferedSink, Source source) {
        o.e(realBufferedSink, "$this$commonWriteAll");
        o.e(source, "source");
        long j2 = 0;
        while (true) {
            long read = source.read(realBufferedSink.bufferField, (long) 8192);
            if (read == -1) {
                return j2;
            }
            j2 += read;
            realBufferedSink.emitCompleteSegments();
        }
    }

    public static final BufferedSink commonWriteByte(RealBufferedSink realBufferedSink, int i2) {
        o.e(realBufferedSink, "$this$commonWriteByte");
        if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.writeByte(i2);
            return realBufferedSink.emitCompleteSegments();
        }
        throw new IllegalStateException("closed".toString());
    }

    public static final BufferedSink commonWriteDecimalLong(RealBufferedSink realBufferedSink, long j2) {
        o.e(realBufferedSink, "$this$commonWriteDecimalLong");
        if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.writeDecimalLong(j2);
            return realBufferedSink.emitCompleteSegments();
        }
        throw new IllegalStateException("closed".toString());
    }

    public static final BufferedSink commonWriteHexadecimalUnsignedLong(RealBufferedSink realBufferedSink, long j2) {
        o.e(realBufferedSink, "$this$commonWriteHexadecimalUnsignedLong");
        if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.writeHexadecimalUnsignedLong(j2);
            return realBufferedSink.emitCompleteSegments();
        }
        throw new IllegalStateException("closed".toString());
    }

    public static final BufferedSink commonWriteInt(RealBufferedSink realBufferedSink, int i2) {
        o.e(realBufferedSink, "$this$commonWriteInt");
        if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.writeInt(i2);
            return realBufferedSink.emitCompleteSegments();
        }
        throw new IllegalStateException("closed".toString());
    }

    public static final BufferedSink commonWriteIntLe(RealBufferedSink realBufferedSink, int i2) {
        o.e(realBufferedSink, "$this$commonWriteIntLe");
        if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.writeIntLe(i2);
            return realBufferedSink.emitCompleteSegments();
        }
        throw new IllegalStateException("closed".toString());
    }

    public static final BufferedSink commonWriteLong(RealBufferedSink realBufferedSink, long j2) {
        o.e(realBufferedSink, "$this$commonWriteLong");
        if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.writeLong(j2);
            return realBufferedSink.emitCompleteSegments();
        }
        throw new IllegalStateException("closed".toString());
    }

    public static final BufferedSink commonWriteLongLe(RealBufferedSink realBufferedSink, long j2) {
        o.e(realBufferedSink, "$this$commonWriteLongLe");
        if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.writeLongLe(j2);
            return realBufferedSink.emitCompleteSegments();
        }
        throw new IllegalStateException("closed".toString());
    }

    public static final BufferedSink commonWriteShort(RealBufferedSink realBufferedSink, int i2) {
        o.e(realBufferedSink, "$this$commonWriteShort");
        if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.writeShort(i2);
            return realBufferedSink.emitCompleteSegments();
        }
        throw new IllegalStateException("closed".toString());
    }

    public static final BufferedSink commonWriteShortLe(RealBufferedSink realBufferedSink, int i2) {
        o.e(realBufferedSink, "$this$commonWriteShortLe");
        if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.writeShortLe(i2);
            return realBufferedSink.emitCompleteSegments();
        }
        throw new IllegalStateException("closed".toString());
    }

    public static final BufferedSink commonWriteUtf8(RealBufferedSink realBufferedSink, String str) {
        o.e(realBufferedSink, "$this$commonWriteUtf8");
        o.e(str, TypedValues.Custom.S_STRING);
        if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.writeUtf8(str);
            return realBufferedSink.emitCompleteSegments();
        }
        throw new IllegalStateException("closed".toString());
    }

    public static final BufferedSink commonWriteUtf8CodePoint(RealBufferedSink realBufferedSink, int i2) {
        o.e(realBufferedSink, "$this$commonWriteUtf8CodePoint");
        if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.writeUtf8CodePoint(i2);
            return realBufferedSink.emitCompleteSegments();
        }
        throw new IllegalStateException("closed".toString());
    }

    public static final BufferedSink commonWrite(RealBufferedSink realBufferedSink, ByteString byteString) {
        o.e(realBufferedSink, "$this$commonWrite");
        o.e(byteString, "byteString");
        if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.write(byteString);
            return realBufferedSink.emitCompleteSegments();
        }
        throw new IllegalStateException("closed".toString());
    }

    public static final BufferedSink commonWriteUtf8(RealBufferedSink realBufferedSink, String str, int i2, int i3) {
        o.e(realBufferedSink, "$this$commonWriteUtf8");
        o.e(str, TypedValues.Custom.S_STRING);
        if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.writeUtf8(str, i2, i3);
            return realBufferedSink.emitCompleteSegments();
        }
        throw new IllegalStateException("closed".toString());
    }

    public static final BufferedSink commonWrite(RealBufferedSink realBufferedSink, ByteString byteString, int i2, int i3) {
        o.e(realBufferedSink, "$this$commonWrite");
        o.e(byteString, "byteString");
        if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.write(byteString, i2, i3);
            return realBufferedSink.emitCompleteSegments();
        }
        throw new IllegalStateException("closed".toString());
    }

    public static final BufferedSink commonWrite(RealBufferedSink realBufferedSink, byte[] bArr) {
        o.e(realBufferedSink, "$this$commonWrite");
        o.e(bArr, "source");
        if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.write(bArr);
            return realBufferedSink.emitCompleteSegments();
        }
        throw new IllegalStateException("closed".toString());
    }

    public static final BufferedSink commonWrite(RealBufferedSink realBufferedSink, byte[] bArr, int i2, int i3) {
        o.e(realBufferedSink, "$this$commonWrite");
        o.e(bArr, "source");
        if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.write(bArr, i2, i3);
            return realBufferedSink.emitCompleteSegments();
        }
        throw new IllegalStateException("closed".toString());
    }

    public static final BufferedSink commonWrite(RealBufferedSink realBufferedSink, Source source, long j2) {
        o.e(realBufferedSink, "$this$commonWrite");
        o.e(source, "source");
        while (j2 > 0) {
            long read = source.read(realBufferedSink.bufferField, j2);
            if (read != -1) {
                j2 -= read;
                realBufferedSink.emitCompleteSegments();
            } else {
                throw new EOFException();
            }
        }
        return realBufferedSink;
    }
}
