package okio.internal;

import d.a.a.a.a;
import d.l.b.g.g.b;
import h.p.b.o;
import java.io.EOFException;
import okio.Buffer;
import okio.BufferedSource;
import okio.ByteString;
import okio.Okio;
import okio.Options;
import okio.PeekSource;
import okio.RealBufferedSource;
import okio.Sink;
import okio.Timeout;
import okio._UtilKt;

/* compiled from: -RealBufferedSource.kt */
public final class _RealBufferedSourceKt {
    public static final void commonClose(RealBufferedSource realBufferedSource) {
        o.e(realBufferedSource, "$this$commonClose");
        if (!realBufferedSource.closed) {
            realBufferedSource.closed = true;
            realBufferedSource.source.close();
            realBufferedSource.bufferField.clear();
        }
    }

    public static final boolean commonExhausted(RealBufferedSource realBufferedSource) {
        o.e(realBufferedSource, "$this$commonExhausted");
        if (!(!realBufferedSource.closed)) {
            throw new IllegalStateException("closed".toString());
        } else if (!realBufferedSource.bufferField.exhausted() || realBufferedSource.source.read(realBufferedSource.bufferField, (long) 8192) != -1) {
            return false;
        } else {
            return true;
        }
    }

    public static final long commonIndexOf(RealBufferedSource realBufferedSource, byte b2, long j2, long j3) {
        o.e(realBufferedSource, "$this$commonIndexOf");
        boolean z = true;
        if (!realBufferedSource.closed) {
            if (0 > j2 || j3 < j2) {
                z = false;
            }
            if (z) {
                while (j2 < j3) {
                    long indexOf = realBufferedSource.bufferField.indexOf(b2, j2, j3);
                    if (indexOf == -1) {
                        long size = realBufferedSource.bufferField.size();
                        if (size >= j3 || realBufferedSource.source.read(realBufferedSource.bufferField, (long) 8192) == -1) {
                            break;
                        }
                        j2 = Math.max(j2, size);
                    } else {
                        return indexOf;
                    }
                }
                return -1;
            }
            StringBuilder E = a.E("fromIndex=", j2, " toIndex=");
            E.append(j3);
            throw new IllegalArgumentException(E.toString().toString());
        }
        throw new IllegalStateException("closed".toString());
    }

    public static final long commonIndexOfElement(RealBufferedSource realBufferedSource, ByteString byteString, long j2) {
        o.e(realBufferedSource, "$this$commonIndexOfElement");
        o.e(byteString, "targetBytes");
        if (!realBufferedSource.closed) {
            while (true) {
                long indexOfElement = realBufferedSource.bufferField.indexOfElement(byteString, j2);
                if (indexOfElement != -1) {
                    return indexOfElement;
                }
                long size = realBufferedSource.bufferField.size();
                if (realBufferedSource.source.read(realBufferedSource.bufferField, (long) 8192) == -1) {
                    return -1;
                }
                j2 = Math.max(j2, size);
            }
        } else {
            throw new IllegalStateException("closed".toString());
        }
    }

    public static final BufferedSource commonPeek(RealBufferedSource realBufferedSource) {
        o.e(realBufferedSource, "$this$commonPeek");
        return Okio.buffer(new PeekSource(realBufferedSource));
    }

    public static final boolean commonRangeEquals(RealBufferedSource realBufferedSource, long j2, ByteString byteString, int i2, int i3) {
        o.e(realBufferedSource, "$this$commonRangeEquals");
        o.e(byteString, "bytes");
        if (!(!realBufferedSource.closed)) {
            throw new IllegalStateException("closed".toString());
        } else if (j2 < 0 || i2 < 0 || i3 < 0 || byteString.size() - i2 < i3) {
            return false;
        } else {
            for (int i4 = 0; i4 < i3; i4++) {
                long j3 = ((long) i4) + j2;
                if (!(realBufferedSource.request(1 + j3) && realBufferedSource.bufferField.getByte(j3) == byteString.getByte(i2 + i4))) {
                    return false;
                }
            }
            return true;
        }
    }

    public static final long commonRead(RealBufferedSource realBufferedSource, Buffer buffer, long j2) {
        o.e(realBufferedSource, "$this$commonRead");
        o.e(buffer, "sink");
        if (!(j2 >= 0)) {
            throw new IllegalArgumentException(a.o("byteCount < 0: ", j2).toString());
        } else if (!(!realBufferedSource.closed)) {
            throw new IllegalStateException("closed".toString());
        } else if (realBufferedSource.bufferField.size() == 0 && realBufferedSource.source.read(realBufferedSource.bufferField, (long) 8192) == -1) {
            return -1;
        } else {
            return realBufferedSource.bufferField.read(buffer, Math.min(j2, realBufferedSource.bufferField.size()));
        }
    }

    public static final long commonReadAll(RealBufferedSource realBufferedSource, Sink sink) {
        o.e(realBufferedSource, "$this$commonReadAll");
        o.e(sink, "sink");
        long j2 = 0;
        while (realBufferedSource.source.read(realBufferedSource.bufferField, (long) 8192) != -1) {
            long completeSegmentByteCount = realBufferedSource.bufferField.completeSegmentByteCount();
            if (completeSegmentByteCount > 0) {
                j2 += completeSegmentByteCount;
                sink.write(realBufferedSource.bufferField, completeSegmentByteCount);
            }
        }
        if (realBufferedSource.bufferField.size() <= 0) {
            return j2;
        }
        long size = j2 + realBufferedSource.bufferField.size();
        Buffer buffer = realBufferedSource.bufferField;
        sink.write(buffer, buffer.size());
        return size;
    }

    public static final byte commonReadByte(RealBufferedSource realBufferedSource) {
        o.e(realBufferedSource, "$this$commonReadByte");
        realBufferedSource.require(1);
        return realBufferedSource.bufferField.readByte();
    }

    public static final byte[] commonReadByteArray(RealBufferedSource realBufferedSource, long j2) {
        o.e(realBufferedSource, "$this$commonReadByteArray");
        realBufferedSource.require(j2);
        return realBufferedSource.bufferField.readByteArray(j2);
    }

    public static final ByteString commonReadByteString(RealBufferedSource realBufferedSource, long j2) {
        o.e(realBufferedSource, "$this$commonReadByteString");
        realBufferedSource.require(j2);
        return realBufferedSource.bufferField.readByteString(j2);
    }

    public static final long commonReadDecimalLong(RealBufferedSource realBufferedSource) {
        int i2;
        o.e(realBufferedSource, "$this$commonReadDecimalLong");
        realBufferedSource.require(1);
        long j2 = 0;
        while (true) {
            long j3 = j2 + 1;
            if (!realBufferedSource.request(j3)) {
                break;
            }
            byte b2 = realBufferedSource.bufferField.getByte(j2);
            if ((b2 >= ((byte) 48) && b2 <= ((byte) 57)) || (j2 == 0 && b2 == ((byte) 45))) {
                j2 = j3;
            } else if (i2 == 0) {
                StringBuilder sb = new StringBuilder();
                sb.append("Expected leading [0-9] or '-' character but was 0x");
                b.n(16);
                b.n(16);
                String num = Integer.toString(b2, 16);
                o.d(num, "java.lang.Integer.toStri…(this, checkRadix(radix))");
                sb.append(num);
                throw new NumberFormatException(sb.toString());
            }
        }
        return realBufferedSource.bufferField.readDecimalLong();
    }

    public static final void commonReadFully(RealBufferedSource realBufferedSource, byte[] bArr) {
        o.e(realBufferedSource, "$this$commonReadFully");
        o.e(bArr, "sink");
        try {
            realBufferedSource.require((long) bArr.length);
            realBufferedSource.bufferField.readFully(bArr);
        } catch (EOFException e2) {
            int i2 = 0;
            while (realBufferedSource.bufferField.size() > 0) {
                Buffer buffer = realBufferedSource.bufferField;
                int read = buffer.read(bArr, i2, (int) buffer.size());
                if (read != -1) {
                    i2 += read;
                } else {
                    throw new AssertionError();
                }
            }
            throw e2;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:17:0x003f  */
    public static final long commonReadHexadecimalUnsignedLong(RealBufferedSource realBufferedSource) {
        o.e(realBufferedSource, "$this$commonReadHexadecimalUnsignedLong");
        realBufferedSource.require(1);
        int i2 = 0;
        while (true) {
            int i3 = i2 + 1;
            if (!realBufferedSource.request((long) i3)) {
                break;
            }
            byte b2 = realBufferedSource.bufferField.getByte((long) i2);
            if ((b2 >= ((byte) 48) && b2 <= ((byte) 57)) || ((b2 >= ((byte) 97) && b2 <= ((byte) 102)) || (b2 >= ((byte) 65) && b2 <= ((byte) 70)))) {
                i2 = i3;
            } else if (i2 == 0) {
                StringBuilder sb = new StringBuilder();
                sb.append("Expected leading [0-9a-fA-F] character but was 0x");
                b.n(16);
                b.n(16);
                String num = Integer.toString(b2, 16);
                o.d(num, "java.lang.Integer.toStri…(this, checkRadix(radix))");
                sb.append(num);
                throw new NumberFormatException(sb.toString());
            }
        }
        if (i2 == 0) {
        }
        return realBufferedSource.bufferField.readHexadecimalUnsignedLong();
    }

    public static final int commonReadInt(RealBufferedSource realBufferedSource) {
        o.e(realBufferedSource, "$this$commonReadInt");
        realBufferedSource.require(4);
        return realBufferedSource.bufferField.readInt();
    }

    public static final int commonReadIntLe(RealBufferedSource realBufferedSource) {
        o.e(realBufferedSource, "$this$commonReadIntLe");
        realBufferedSource.require(4);
        return realBufferedSource.bufferField.readIntLe();
    }

    public static final long commonReadLong(RealBufferedSource realBufferedSource) {
        o.e(realBufferedSource, "$this$commonReadLong");
        realBufferedSource.require(8);
        return realBufferedSource.bufferField.readLong();
    }

    public static final long commonReadLongLe(RealBufferedSource realBufferedSource) {
        o.e(realBufferedSource, "$this$commonReadLongLe");
        realBufferedSource.require(8);
        return realBufferedSource.bufferField.readLongLe();
    }

    public static final short commonReadShort(RealBufferedSource realBufferedSource) {
        o.e(realBufferedSource, "$this$commonReadShort");
        realBufferedSource.require(2);
        return realBufferedSource.bufferField.readShort();
    }

    public static final short commonReadShortLe(RealBufferedSource realBufferedSource) {
        o.e(realBufferedSource, "$this$commonReadShortLe");
        realBufferedSource.require(2);
        return realBufferedSource.bufferField.readShortLe();
    }

    public static final String commonReadUtf8(RealBufferedSource realBufferedSource, long j2) {
        o.e(realBufferedSource, "$this$commonReadUtf8");
        realBufferedSource.require(j2);
        return realBufferedSource.bufferField.readUtf8(j2);
    }

    public static final int commonReadUtf8CodePoint(RealBufferedSource realBufferedSource) {
        o.e(realBufferedSource, "$this$commonReadUtf8CodePoint");
        realBufferedSource.require(1);
        byte b2 = realBufferedSource.bufferField.getByte(0);
        if ((b2 & 224) == 192) {
            realBufferedSource.require(2);
        } else if ((b2 & 240) == 224) {
            realBufferedSource.require(3);
        } else if ((b2 & 248) == 240) {
            realBufferedSource.require(4);
        }
        return realBufferedSource.bufferField.readUtf8CodePoint();
    }

    public static final String commonReadUtf8Line(RealBufferedSource realBufferedSource) {
        o.e(realBufferedSource, "$this$commonReadUtf8Line");
        long indexOf = realBufferedSource.indexOf((byte) 10);
        if (indexOf != -1) {
            return _BufferKt.readUtf8Line(realBufferedSource.bufferField, indexOf);
        }
        if (realBufferedSource.bufferField.size() != 0) {
            return realBufferedSource.readUtf8(realBufferedSource.bufferField.size());
        }
        return null;
    }

    public static final String commonReadUtf8LineStrict(RealBufferedSource realBufferedSource, long j2) {
        o.e(realBufferedSource, "$this$commonReadUtf8LineStrict");
        if (j2 >= 0) {
            long j3 = j2 == Long.MAX_VALUE ? Long.MAX_VALUE : j2 + 1;
            byte b2 = (byte) 10;
            long indexOf = realBufferedSource.indexOf(b2, 0, j3);
            if (indexOf != -1) {
                return _BufferKt.readUtf8Line(realBufferedSource.bufferField, indexOf);
            }
            if (j3 < Long.MAX_VALUE && realBufferedSource.request(j3) && realBufferedSource.bufferField.getByte(j3 - 1) == ((byte) 13) && realBufferedSource.request(1 + j3) && realBufferedSource.bufferField.getByte(j3) == b2) {
                return _BufferKt.readUtf8Line(realBufferedSource.bufferField, j3);
            }
            Buffer buffer = new Buffer();
            Buffer buffer2 = realBufferedSource.bufferField;
            buffer2.copyTo(buffer, 0, Math.min((long) 32, buffer2.size()));
            StringBuilder B = a.B("\\n not found: limit=");
            B.append(Math.min(realBufferedSource.bufferField.size(), j2));
            B.append(" content=");
            B.append(buffer.readByteString().hex());
            B.append("…");
            throw new EOFException(B.toString());
        }
        throw new IllegalArgumentException(a.o("limit < 0: ", j2).toString());
    }

    public static final boolean commonRequest(RealBufferedSource realBufferedSource, long j2) {
        o.e(realBufferedSource, "$this$commonRequest");
        if (!(j2 >= 0)) {
            throw new IllegalArgumentException(a.o("byteCount < 0: ", j2).toString());
        } else if (!realBufferedSource.closed) {
            while (realBufferedSource.bufferField.size() < j2) {
                if (realBufferedSource.source.read(realBufferedSource.bufferField, (long) 8192) == -1) {
                    return false;
                }
            }
            return true;
        } else {
            throw new IllegalStateException("closed".toString());
        }
    }

    public static final void commonRequire(RealBufferedSource realBufferedSource, long j2) {
        o.e(realBufferedSource, "$this$commonRequire");
        if (!realBufferedSource.request(j2)) {
            throw new EOFException();
        }
    }

    public static final int commonSelect(RealBufferedSource realBufferedSource, Options options) {
        o.e(realBufferedSource, "$this$commonSelect");
        o.e(options, "options");
        if (!realBufferedSource.closed) {
            do {
                int selectPrefix = _BufferKt.selectPrefix(realBufferedSource.bufferField, options, true);
                if (selectPrefix != -2) {
                    if (selectPrefix == -1) {
                        return -1;
                    }
                    realBufferedSource.bufferField.skip((long) options.getByteStrings$okio()[selectPrefix].size());
                    return selectPrefix;
                }
            } while (realBufferedSource.source.read(realBufferedSource.bufferField, (long) 8192) != -1);
            return -1;
        }
        throw new IllegalStateException("closed".toString());
    }

    public static final void commonSkip(RealBufferedSource realBufferedSource, long j2) {
        o.e(realBufferedSource, "$this$commonSkip");
        if (!realBufferedSource.closed) {
            while (j2 > 0) {
                if (realBufferedSource.bufferField.size() == 0 && realBufferedSource.source.read(realBufferedSource.bufferField, (long) 8192) == -1) {
                    throw new EOFException();
                }
                long min = Math.min(j2, realBufferedSource.bufferField.size());
                realBufferedSource.bufferField.skip(min);
                j2 -= min;
            }
            return;
        }
        throw new IllegalStateException("closed".toString());
    }

    public static final Timeout commonTimeout(RealBufferedSource realBufferedSource) {
        o.e(realBufferedSource, "$this$commonTimeout");
        return realBufferedSource.source.timeout();
    }

    public static final String commonToString(RealBufferedSource realBufferedSource) {
        o.e(realBufferedSource, "$this$commonToString");
        return "buffer(" + realBufferedSource.source + ')';
    }

    public static final byte[] commonReadByteArray(RealBufferedSource realBufferedSource) {
        o.e(realBufferedSource, "$this$commonReadByteArray");
        realBufferedSource.bufferField.writeAll(realBufferedSource.source);
        return realBufferedSource.bufferField.readByteArray();
    }

    public static final ByteString commonReadByteString(RealBufferedSource realBufferedSource) {
        o.e(realBufferedSource, "$this$commonReadByteString");
        realBufferedSource.bufferField.writeAll(realBufferedSource.source);
        return realBufferedSource.bufferField.readByteString();
    }

    public static final String commonReadUtf8(RealBufferedSource realBufferedSource) {
        o.e(realBufferedSource, "$this$commonReadUtf8");
        realBufferedSource.bufferField.writeAll(realBufferedSource.source);
        return realBufferedSource.bufferField.readUtf8();
    }

    public static final void commonReadFully(RealBufferedSource realBufferedSource, Buffer buffer, long j2) {
        o.e(realBufferedSource, "$this$commonReadFully");
        o.e(buffer, "sink");
        try {
            realBufferedSource.require(j2);
            realBufferedSource.bufferField.readFully(buffer, j2);
        } catch (EOFException e2) {
            buffer.writeAll(realBufferedSource.bufferField);
            throw e2;
        }
    }

    public static final long commonIndexOf(RealBufferedSource realBufferedSource, ByteString byteString, long j2) {
        o.e(realBufferedSource, "$this$commonIndexOf");
        o.e(byteString, "bytes");
        if (!realBufferedSource.closed) {
            while (true) {
                long indexOf = realBufferedSource.bufferField.indexOf(byteString, j2);
                if (indexOf != -1) {
                    return indexOf;
                }
                long size = realBufferedSource.bufferField.size();
                if (realBufferedSource.source.read(realBufferedSource.bufferField, (long) 8192) == -1) {
                    return -1;
                }
                j2 = Math.max(j2, (size - ((long) byteString.size())) + 1);
            }
        } else {
            throw new IllegalStateException("closed".toString());
        }
    }

    public static final int commonRead(RealBufferedSource realBufferedSource, byte[] bArr, int i2, int i3) {
        o.e(realBufferedSource, "$this$commonRead");
        o.e(bArr, "sink");
        long j2 = (long) i3;
        _UtilKt.checkOffsetAndCount((long) bArr.length, (long) i2, j2);
        if (realBufferedSource.bufferField.size() == 0 && realBufferedSource.source.read(realBufferedSource.bufferField, (long) 8192) == -1) {
            return -1;
        }
        return realBufferedSource.bufferField.read(bArr, i2, (int) Math.min(j2, realBufferedSource.bufferField.size()));
    }
}
