package okio.internal;

import d.a.a.a.a;
import d.l.b.g.g.b;
import h.k;
import h.l.h;
import h.p.a.q;
import h.p.b.o;
import java.util.Arrays;
import okio.Buffer;
import okio.ByteString;
import okio.Segment;
import okio.SegmentedByteString;
import okio._UtilKt;

/* compiled from: -SegmentedByteString.kt */
public final class _SegmentedByteStringKt {
    public static final int binarySearch(int[] iArr, int i2, int i3, int i4) {
        o.e(iArr, "$this$binarySearch");
        int i5 = i4 - 1;
        while (i3 <= i5) {
            int i6 = (i3 + i5) >>> 1;
            int i7 = iArr[i6];
            if (i7 < i2) {
                i3 = i6 + 1;
            } else if (i7 <= i2) {
                return i6;
            } else {
                i5 = i6 - 1;
            }
        }
        return (-i3) - 1;
    }

    public static final boolean commonEquals(SegmentedByteString segmentedByteString, Object obj) {
        o.e(segmentedByteString, "$this$commonEquals");
        if (obj == segmentedByteString) {
            return true;
        }
        if (obj instanceof ByteString) {
            ByteString byteString = (ByteString) obj;
            return byteString.size() == segmentedByteString.size() && segmentedByteString.rangeEquals(0, byteString, 0, segmentedByteString.size());
        }
    }

    public static final int commonGetSize(SegmentedByteString segmentedByteString) {
        o.e(segmentedByteString, "$this$commonGetSize");
        return segmentedByteString.getDirectory$okio()[segmentedByteString.getSegments$okio().length - 1];
    }

    public static final int commonHashCode(SegmentedByteString segmentedByteString) {
        o.e(segmentedByteString, "$this$commonHashCode");
        int hashCode$okio = segmentedByteString.getHashCode$okio();
        if (hashCode$okio != 0) {
            return hashCode$okio;
        }
        int length = segmentedByteString.getSegments$okio().length;
        int i2 = 0;
        int i3 = 0;
        int i4 = 1;
        while (i2 < length) {
            int i5 = segmentedByteString.getDirectory$okio()[length + i2];
            int i6 = segmentedByteString.getDirectory$okio()[i2];
            byte[] bArr = segmentedByteString.getSegments$okio()[i2];
            int i7 = (i6 - i3) + i5;
            while (i5 < i7) {
                i4 = (i4 * 31) + bArr[i5];
                i5++;
            }
            i2++;
            i3 = i6;
        }
        segmentedByteString.setHashCode$okio(i4);
        return i4;
    }

    public static final byte commonInternalGet(SegmentedByteString segmentedByteString, int i2) {
        int i3;
        o.e(segmentedByteString, "$this$commonInternalGet");
        _UtilKt.checkOffsetAndCount((long) segmentedByteString.getDirectory$okio()[segmentedByteString.getSegments$okio().length - 1], (long) i2, 1);
        int segment = segment(segmentedByteString, i2);
        if (segment == 0) {
            i3 = 0;
        } else {
            i3 = segmentedByteString.getDirectory$okio()[segment - 1];
        }
        return segmentedByteString.getSegments$okio()[segment][(i2 - i3) + segmentedByteString.getDirectory$okio()[segmentedByteString.getSegments$okio().length + segment]];
    }

    public static final boolean commonRangeEquals(SegmentedByteString segmentedByteString, int i2, ByteString byteString, int i3, int i4) {
        int i5;
        o.e(segmentedByteString, "$this$commonRangeEquals");
        o.e(byteString, "other");
        if (i2 < 0 || i2 > segmentedByteString.size() - i4) {
            return false;
        }
        int i6 = i4 + i2;
        int segment = segment(segmentedByteString, i2);
        while (i2 < i6) {
            if (segment == 0) {
                i5 = 0;
            } else {
                i5 = segmentedByteString.getDirectory$okio()[segment - 1];
            }
            int i7 = segmentedByteString.getDirectory$okio()[segmentedByteString.getSegments$okio().length + segment];
            int min = Math.min(i6, (segmentedByteString.getDirectory$okio()[segment] - i5) + i5) - i2;
            if (!byteString.rangeEquals(i3, segmentedByteString.getSegments$okio()[segment], (i2 - i5) + i7, min)) {
                return false;
            }
            i3 += min;
            i2 += min;
            segment++;
        }
        return true;
    }

    public static final ByteString commonSubstring(SegmentedByteString segmentedByteString, int i2, int i3) {
        o.e(segmentedByteString, "$this$commonSubstring");
        int i4 = 0;
        if (i2 >= 0) {
            if (i3 <= segmentedByteString.size()) {
                int i5 = i3 - i2;
                if (!(i5 >= 0)) {
                    throw new IllegalArgumentException(("endIndex=" + i3 + " < beginIndex=" + i2).toString());
                } else if (i2 == 0 && i3 == segmentedByteString.size()) {
                    return segmentedByteString;
                } else {
                    if (i2 == i3) {
                        return ByteString.EMPTY;
                    }
                    int segment = segment(segmentedByteString, i2);
                    int segment2 = segment(segmentedByteString, i3 - 1);
                    byte[][] segments$okio = segmentedByteString.getSegments$okio();
                    int i6 = segment2 + 1;
                    o.e(segments$okio, "$this$copyOfRangeImpl");
                    b.s(i6, segments$okio.length);
                    Object[] copyOfRange = Arrays.copyOfRange(segments$okio, segment, i6);
                    o.d(copyOfRange, "java.util.Arrays.copyOfR…this, fromIndex, toIndex)");
                    byte[][] bArr = (byte[][]) copyOfRange;
                    int[] iArr = new int[(bArr.length * 2)];
                    if (segment <= segment2) {
                        int i7 = 0;
                        int i8 = segment;
                        while (true) {
                            iArr[i7] = Math.min(segmentedByteString.getDirectory$okio()[i8] - i2, i5);
                            int i9 = i7 + 1;
                            iArr[i7 + bArr.length] = segmentedByteString.getDirectory$okio()[segmentedByteString.getSegments$okio().length + i8];
                            if (i8 == segment2) {
                                break;
                            }
                            i8++;
                            i7 = i9;
                        }
                    }
                    if (segment != 0) {
                        i4 = segmentedByteString.getDirectory$okio()[segment - 1];
                    }
                    int length = bArr.length;
                    iArr[length] = (i2 - i4) + iArr[length];
                    return new SegmentedByteString(bArr, iArr);
                }
            } else {
                StringBuilder C = a.C("endIndex=", i3, " > length(");
                C.append(segmentedByteString.size());
                C.append(')');
                throw new IllegalArgumentException(C.toString().toString());
            }
        } else {
            throw new IllegalArgumentException(a.m("beginIndex=", i2, " < 0").toString());
        }
    }

    public static final byte[] commonToByteArray(SegmentedByteString segmentedByteString) {
        o.e(segmentedByteString, "$this$commonToByteArray");
        byte[] bArr = new byte[segmentedByteString.size()];
        int length = segmentedByteString.getSegments$okio().length;
        int i2 = 0;
        int i3 = 0;
        int i4 = 0;
        while (i2 < length) {
            int i5 = segmentedByteString.getDirectory$okio()[length + i2];
            int i6 = segmentedByteString.getDirectory$okio()[i2];
            int i7 = i6 - i3;
            h.a(segmentedByteString.getSegments$okio()[i2], bArr, i4, i5, i5 + i7);
            i4 += i7;
            i2++;
            i3 = i6;
        }
        return bArr;
    }

    public static final void commonWrite(SegmentedByteString segmentedByteString, Buffer buffer, int i2, int i3) {
        int i4;
        o.e(segmentedByteString, "$this$commonWrite");
        o.e(buffer, "buffer");
        int i5 = i2 + i3;
        int segment = segment(segmentedByteString, i2);
        while (i2 < i5) {
            if (segment == 0) {
                i4 = 0;
            } else {
                i4 = segmentedByteString.getDirectory$okio()[segment - 1];
            }
            int i6 = segmentedByteString.getDirectory$okio()[segmentedByteString.getSegments$okio().length + segment];
            int min = Math.min(i5, (segmentedByteString.getDirectory$okio()[segment] - i4) + i4) - i2;
            int i7 = (i2 - i4) + i6;
            Segment segment2 = new Segment(segmentedByteString.getSegments$okio()[segment], i7, i7 + min, true, false);
            Segment segment3 = buffer.head;
            if (segment3 == null) {
                segment2.prev = segment2;
                segment2.next = segment2;
                buffer.head = segment2;
            } else {
                o.c(segment3);
                Segment segment4 = segment3.prev;
                o.c(segment4);
                segment4.push(segment2);
            }
            i2 += min;
            segment++;
        }
        buffer.setSize$okio(buffer.size() + ((long) i3));
    }

    public static final void forEachSegment(SegmentedByteString segmentedByteString, q<? super byte[], ? super Integer, ? super Integer, k> qVar) {
        o.e(segmentedByteString, "$this$forEachSegment");
        o.e(qVar, "action");
        int length = segmentedByteString.getSegments$okio().length;
        int i2 = 0;
        int i3 = 0;
        while (i2 < length) {
            int i4 = segmentedByteString.getDirectory$okio()[length + i2];
            int i5 = segmentedByteString.getDirectory$okio()[i2];
            qVar.invoke(segmentedByteString.getSegments$okio()[i2], Integer.valueOf(i4), Integer.valueOf(i5 - i3));
            i2++;
            i3 = i5;
        }
    }

    public static final int segment(SegmentedByteString segmentedByteString, int i2) {
        o.e(segmentedByteString, "$this$segment");
        int binarySearch = binarySearch(segmentedByteString.getDirectory$okio(), i2 + 1, 0, segmentedByteString.getSegments$okio().length);
        return binarySearch >= 0 ? binarySearch : ~binarySearch;
    }

    /* access modifiers changed from: private */
    public static final void forEachSegment(SegmentedByteString segmentedByteString, int i2, int i3, q<? super byte[], ? super Integer, ? super Integer, k> qVar) {
        int i4;
        int segment = segment(segmentedByteString, i2);
        while (i2 < i3) {
            if (segment == 0) {
                i4 = 0;
            } else {
                i4 = segmentedByteString.getDirectory$okio()[segment - 1];
            }
            int i5 = segmentedByteString.getDirectory$okio()[segmentedByteString.getSegments$okio().length + segment];
            int min = Math.min(i3, (segmentedByteString.getDirectory$okio()[segment] - i4) + i4) - i2;
            qVar.invoke(segmentedByteString.getSegments$okio()[segment], Integer.valueOf((i2 - i4) + i5), Integer.valueOf(min));
            i2 += min;
            segment++;
        }
    }

    public static final boolean commonRangeEquals(SegmentedByteString segmentedByteString, int i2, byte[] bArr, int i3, int i4) {
        int i5;
        o.e(segmentedByteString, "$this$commonRangeEquals");
        o.e(bArr, "other");
        if (i2 < 0 || i2 > segmentedByteString.size() - i4 || i3 < 0 || i3 > bArr.length - i4) {
            return false;
        }
        int i6 = i4 + i2;
        int segment = segment(segmentedByteString, i2);
        while (i2 < i6) {
            if (segment == 0) {
                i5 = 0;
            } else {
                i5 = segmentedByteString.getDirectory$okio()[segment - 1];
            }
            int i7 = segmentedByteString.getDirectory$okio()[segmentedByteString.getSegments$okio().length + segment];
            int min = Math.min(i6, (segmentedByteString.getDirectory$okio()[segment] - i5) + i5) - i2;
            if (!_UtilKt.arrayRangeEquals(segmentedByteString.getSegments$okio()[segment], (i2 - i5) + i7, bArr, i3, min)) {
                return false;
            }
            i3 += min;
            i2 += min;
            segment++;
        }
        return true;
    }
}
