package org.dsq.library;

import android.util.SparseArray;
import android.util.SparseIntArray;
import android.view.View;
import androidx.databinding.DataBindingComponent;
import androidx.databinding.ViewDataBinding;
import b.l.c;
import com.lzy.okgo.cookie.SerializableCookie;
import com.lzy.okgo.model.Progress;
import d.a.a.a.a;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import org.dsq.library.databinding.ActivityGalleryBindingImpl;
import org.dsq.library.databinding.DialogNormalBindingImpl;
import org.dsq.library.databinding.LayoutBaseToolbarBindingImpl;
import org.dsq.library.databinding.LayoutDataListBindingImpl;

public class DataBinderMapperImpl extends c {
    private static final SparseIntArray INTERNAL_LAYOUT_ID_LOOKUP;
    private static final int LAYOUT_ACTIVITYGALLERY = 1;
    private static final int LAYOUT_DIALOGNORMAL = 2;
    private static final int LAYOUT_LAYOUTBASETOOLBAR = 3;
    private static final int LAYOUT_LAYOUTDATALIST = 4;

    public static class InnerBrLookup {
        public static final SparseArray<String> sKeys;

        static {
            SparseArray<String> sparseArray = new SparseArray<>(89);
            sKeys = sparseArray;
            sparseArray.put(0, "_all");
            sparseArray.put(1, "actionType");
            sparseArray.put(2, "annId");
            sparseArray.put(3, "attentionHe");
            sparseArray.put(4, "bala");
            sparseArray.put(5, "bgImgs");
            sparseArray.put(6, "birthday");
            sparseArray.put(7, "blogger");
            sparseArray.put(8, "bu");
            sparseArray.put(9, "buy");
            sparseArray.put(10, "canWatch");
            sparseArray.put(11, "checkSum");
            sparseArray.put(12, "cinemaVipType");
            sparseArray.put(13, "cityCode");
            sparseArray.put(14, "cityName");
            sparseArray.put(15, "content");
            sparseArray.put(16, "coverImg");
            sparseArray.put(17, "createdAt");
            sparseArray.put(18, "creator");
            sparseArray.put(19, "dynamicNum");
            sparseArray.put(20, "editState");
            sparseArray.put(21, "endTime");
            sparseArray.put(22, "expiredVip");
            sparseArray.put(23, "fakeFavorites");
            sparseArray.put(24, "fakeLikes");
            sparseArray.put(25, "fakeScoreNum");
            sparseArray.put(26, "fakeShareNum");
            sparseArray.put(27, "fakeWatchNum");
            sparseArray.put(28, "fansGroupNum");
            sparseArray.put(29, "fansOne");
            sparseArray.put(30, "fansThree");
            sparseArray.put(31, "fansTwo");
            sparseArray.put(32, "favoritesNum");
            sparseArray.put(33, "feedbackImgs");
            sparseArray.put(34, "forbiddenWord");
            sparseArray.put(35, "freeVip");
            sparseArray.put(36, "freeWatches");
            sparseArray.put(37, "gender");
            sparseArray.put(38, "gold");
            sparseArray.put(39, "goldWatchNum");
            sparseArray.put(40, "hasFansGroup");
            sparseArray.put(41, "height");
            sparseArray.put(42, "id");
            sparseArray.put(43, "imgDomain");
            sparseArray.put(44, "inviteCode");
            sparseArray.put(45, "inviteUserNum");
            sparseArray.put(46, "isSDKAd");
            sparseArray.put(47, "level");
            sparseArray.put(48, "logo");
            sparseArray.put(49, "meetCard");
            sparseArray.put(50, "meetLock");
            sparseArray.put(51, "meetPrice");
            sparseArray.put(52, "mobile");
            sparseArray.put(53, SerializableCookie.NAME);
            sparseArray.put(54, "newFans");
            sparseArray.put(55, "nickName");
            sparseArray.put(56, "noticeNotReadNum");
            sparseArray.put(57, "official");
            sparseArray.put(58, "personSign");
            sparseArray.put(59, "phone");
            sparseArray.put(60, "playTime");
            sparseArray.put(61, "previewUrl");
            sparseArray.put(62, "price");
            sparseArray.put(63, "provinceCode");
            sparseArray.put(64, "provinceName");
            sparseArray.put(65, "purVideosNum");
            sparseArray.put(66, "qq");
            sparseArray.put(67, "reasonType");
            sparseArray.put(68, "recharge");
            sparseArray.put(69, "size");
            sparseArray.put(70, "startTime");
            sparseArray.put(71, Progress.STATUS);
            sparseArray.put(72, "subscribeNum");
            sparseArray.put(73, "title");
            sparseArray.put(74, "token");
            sparseArray.put(75, "topicSubNum");
            sparseArray.put(76, "ua");
            sparseArray.put(77, "updatedAt");
            sparseArray.put(78, "userId");
            sparseArray.put(79, "userType");
            sparseArray.put(80, "vIP");
            sparseArray.put(81, "videoId");
            sparseArray.put(82, "videoType");
            sparseArray.put(83, "videoUrl");
            sparseArray.put(84, "vipType");
            sparseArray.put(85, "watched");
            sparseArray.put(86, "wechat");
            sparseArray.put(87, "width");
            sparseArray.put(88, "workNum");
        }

        private InnerBrLookup() {
        }
    }

    public static class InnerLayoutIdLookup {
        public static final HashMap<String, Integer> sKeys;

        static {
            HashMap<String, Integer> hashMap = new HashMap<>(4);
            sKeys = hashMap;
            hashMap.put("layout/activity_gallery_0", Integer.valueOf(R.layout.activity_gallery));
            hashMap.put("layout/dialog_normal_0", Integer.valueOf(R.layout.dialog_normal));
            hashMap.put("layout/layout_base_toolbar_0", Integer.valueOf(R.layout.layout_base_toolbar));
            hashMap.put("layout/layout_data_list_0", Integer.valueOf(R.layout.layout_data_list));
        }

        private InnerLayoutIdLookup() {
        }
    }

    static {
        SparseIntArray sparseIntArray = new SparseIntArray(4);
        INTERNAL_LAYOUT_ID_LOOKUP = sparseIntArray;
        sparseIntArray.put(R.layout.activity_gallery, 1);
        sparseIntArray.put(R.layout.dialog_normal, 2);
        sparseIntArray.put(R.layout.layout_base_toolbar, 3);
        sparseIntArray.put(R.layout.layout_data_list, 4);
    }

    @Override // b.l.c
    public List<c> collectDependencies() {
        ArrayList arrayList = new ArrayList(3);
        arrayList.add(new androidx.databinding.library.baseAdapters.DataBinderMapperImpl());
        arrayList.add(new com.androidx.lv.base.DataBinderMapperImpl());
        arrayList.add(new com.chad.library.DataBinderMapperImpl());
        return arrayList;
    }

    @Override // b.l.c
    public String convertBrIdToString(int i2) {
        return InnerBrLookup.sKeys.get(i2);
    }

    @Override // b.l.c
    public ViewDataBinding getDataBinder(DataBindingComponent dataBindingComponent, View view, int i2) {
        int i3 = INTERNAL_LAYOUT_ID_LOOKUP.get(i2);
        if (i3 <= 0) {
            return null;
        }
        Object tag = view.getTag();
        if (tag == null) {
            throw new RuntimeException("view must have a tag");
        } else if (i3 != 1) {
            if (i3 != 2) {
                if (i3 != 3) {
                    if (i3 != 4) {
                        return null;
                    }
                    if ("layout/layout_data_list_0".equals(tag)) {
                        return new LayoutDataListBindingImpl(dataBindingComponent, view);
                    }
                    throw new IllegalArgumentException(a.r("The tag for layout_data_list is invalid. Received: ", tag));
                } else if ("layout/layout_base_toolbar_0".equals(tag)) {
                    return new LayoutBaseToolbarBindingImpl(dataBindingComponent, view);
                } else {
                    throw new IllegalArgumentException(a.r("The tag for layout_base_toolbar is invalid. Received: ", tag));
                }
            } else if ("layout/dialog_normal_0".equals(tag)) {
                return new DialogNormalBindingImpl(dataBindingComponent, view);
            } else {
                throw new IllegalArgumentException(a.r("The tag for dialog_normal is invalid. Received: ", tag));
            }
        } else if ("layout/activity_gallery_0".equals(tag)) {
            return new ActivityGalleryBindingImpl(dataBindingComponent, view);
        } else {
            throw new IllegalArgumentException(a.r("The tag for activity_gallery is invalid. Received: ", tag));
        }
    }

    @Override // b.l.c
    public int getLayoutId(String str) {
        Integer num;
        if (str == null || (num = InnerLayoutIdLookup.sKeys.get(str)) == null) {
            return 0;
        }
        return num.intValue();
    }

    @Override // b.l.c
    public ViewDataBinding getDataBinder(DataBindingComponent dataBindingComponent, View[] viewArr, int i2) {
        if (viewArr == null || viewArr.length == 0 || INTERNAL_LAYOUT_ID_LOOKUP.get(i2) <= 0 || viewArr[0].getTag() != null) {
            return null;
        }
        throw new RuntimeException("view must have a tag");
    }
}
