package org.dsq.library.expand;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.drawable.Drawable;
import android.view.View;
import android.widget.ImageView;
import com.lzy.okgo.cookie.SerializableCookie;
import d.d.a.c;
import d.d.a.g;
import d.d.a.m.o.i;
import d.d.a.m.q.c.w;
import d.d.a.q.d;
import d.d.a.q.f;
import d.l.b.g.g.b;
import h.a;
import h.k;
import h.p.a.l;
import h.p.b.o;
import java.io.File;
import org.dsq.library.util.AppUtils;
import org.dsq.library.util.ResouUtils;

public final class GlideHelp {
    private static final String DOMAIN = AppUtils.INSTANCE.getMContext().getSharedPreferences("spUtils", 0).getString(SerializableCookie.DOMAIN, "");
    public static final GlideHelp INSTANCE = new GlideHelp();
    private static final a centerCrop$delegate = b.d0(GlideHelp$centerCrop$2.INSTANCE);
    private static final a circleCrop$delegate = b.d0(GlideHelp$circleCrop$2.INSTANCE);
    private static final int defaultAvatar = ResouUtils.getDrawableIdByName("default_avatar");
    private static final int defaultVideoPic = ResouUtils.getDrawableIdByName("base_ic_default_video");
    private static final a loadOptions$delegate = b.d0(GlideHelp$loadOptions$2.INSTANCE);

    private GlideHelp() {
    }

    public static final void downloadImage(Context context, String str, l<? super File, k> lVar) {
        o.e(context, "context");
        o.e(str, "url");
        o.e(lVar, "callback");
        g N = ((g) c.f(context).g(o.k(DOMAIN, str)).f(i.f7963c)).N(new GlideHelp$downloadImage$2(str, context, lVar));
        d dVar = new d(Integer.MIN_VALUE, Integer.MIN_VALUE);
        N.L(dVar, dVar, N, d.d.a.s.d.f8417b);
    }

    public static /* synthetic */ void downloadImage$default(Context context, String str, l lVar, int i2, Object obj) {
        if ((i2 & 4) != 0) {
            lVar = GlideHelp$downloadImage$1.INSTANCE;
        }
        downloadImage(context, str, lVar);
    }

    private final d.d.a.m.q.c.i getCenterCrop() {
        return (d.d.a.m.q.c.i) centerCrop$delegate.getValue();
    }

    private final d.d.a.m.q.c.k getCircleCrop() {
        return (d.d.a.m.q.c.k) circleCrop$delegate.getValue();
    }

    private final f getLoadOptions() {
        return (f) loadOptions$delegate.getValue();
    }

    public static final void loadAvatar(ImageView imageView, String str) {
        o.e(imageView, "view");
        g<Drawable> j2 = c.f(imageView.getContext()).j(o.k(DOMAIN, str));
        int i2 = defaultAvatar;
        ((g) ((g) ((g) ((g) j2.s(i2)).i(i2)).j(i2)).z(INSTANCE.getCircleCrop())).M(imageView);
    }

    public static final void loadBitmap(ImageView imageView, String str, View view, boolean z) {
        o.e(imageView, "view");
        g<Bitmap> Q = c.f(imageView.getContext()).b().a(INSTANCE.getLoadOptions()).Q(o.k(DOMAIN, str));
        Q.L(new GlideHelp$loadBitmap$1(view, z, imageView), null, Q, d.d.a.s.d.f8416a);
    }

    public static /* synthetic */ void loadBitmap$default(ImageView imageView, String str, View view, boolean z, int i2, Object obj) {
        if ((i2 & 4) != 0) {
            view = null;
        }
        if ((i2 & 8) != 0) {
            z = false;
        }
        loadBitmap(imageView, str, view, z);
    }

    public static final void loadGif(ImageView imageView, String str, View view, boolean z) {
        o.e(imageView, "view");
        g gVar = (g) c.f(imageView.getContext()).d().a(INSTANCE.getLoadOptions()).Q(o.k(DOMAIN, str)).f(i.f7963c);
        gVar.L(new GlideHelp$loadGif$1(z, imageView, view), null, gVar, d.d.a.s.d.f8416a);
    }

    public static /* synthetic */ void loadGif$default(ImageView imageView, String str, View view, boolean z, int i2, Object obj) {
        if ((i2 & 4) != 0) {
            view = null;
        }
        if ((i2 & 8) != 0) {
            z = false;
        }
        loadGif(imageView, str, view, z);
    }

    public static final void loadLocal(ImageView imageView, String str) {
        o.e(imageView, "view");
        ((g) c.f(imageView.getContext()).j(str).z(INSTANCE.getCenterCrop())).M(imageView);
    }

    public static final void loadUrl(ImageView imageView, String str, int i2) {
        o.e(imageView, "view");
        g<Drawable> j2 = c.f(imageView.getContext()).j(o.k(DOMAIN, str));
        GlideHelp glideHelp = INSTANCE;
        ((g) j2.a(glideHelp.getLoadOptions()).D(glideHelp.getCenterCrop(), new w(KtExpandKt.toPx(i2)))).M(imageView);
    }

    public static /* synthetic */ void loadUrl$default(ImageView imageView, String str, int i2, int i3, Object obj) {
        if ((i3 & 4) != 0) {
            i2 = 1;
        }
        loadUrl(imageView, str, i2);
    }

    public static final void loadUrlNormal(ImageView imageView, String str, int i2) {
        o.e(imageView, "view");
        ((g) c.f(imageView.getContext()).j(o.k(DOMAIN, str)).a(INSTANCE.getLoadOptions()).z(new w(KtExpandKt.toPx(i2)))).M(imageView);
    }

    public static /* synthetic */ void loadUrlNormal$default(ImageView imageView, String str, int i2, int i3, Object obj) {
        if ((i3 & 4) != 0) {
            i2 = 1;
        }
        loadUrlNormal(imageView, str, i2);
    }
}
