package org.dsq.library.keyboarddismisser;

import android.graphics.Rect;
import android.view.View;
import android.view.ViewTreeObserver;

public abstract class KeyboardListener implements ViewTreeObserver.OnGlobalLayoutListener {
    private View mView;

    public View getView() {
        return this.mView;
    }

    public void onGlobalLayout() {
        if (this.mView != null) {
            Rect rect = new Rect();
            this.mView.getWindowVisibleDisplayFrame(rect);
            int height = this.mView.getRootView().getHeight();
            onKeyboardVisibilityChanged(((double) (height - rect.bottom)) > ((double) height) * 0.15d);
        }
    }

    public abstract void onKeyboardVisibilityChanged(boolean z);

    public void setView(View view) {
        this.mView = view;
    }
}
