package org.dsq.library.keyboarddismisser.dismissinglayouts;

import android.content.Context;
import android.util.AttributeSet;
import android.view.MotionEvent;
import androidx.constraintlayout.widget.ConstraintLayout;
import org.dsq.library.keyboarddismisser.DismissingUtils;
import org.dsq.library.keyboarddismisser.KeyboardListener;

public class KeyboardDismissingConstraintLayout extends ConstraintLayout {
    private boolean mIsKeyboardVisible;
    private KeyboardListener mKeyboardListener;

    public KeyboardDismissingConstraintLayout(Context context) {
        super(context);
    }

    public boolean dispatchTouchEvent(MotionEvent motionEvent) {
        boolean dispatchTouchEvent = super.dispatchTouchEvent(motionEvent);
        if (!dispatchTouchEvent && this.mIsKeyboardVisible) {
            DismissingUtils.hideKeyboard(this);
        }
        return dispatchTouchEvent;
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        AnonymousClass1 r0 = new KeyboardListener() {
            /* class org.dsq.library.keyboarddismisser.dismissinglayouts.KeyboardDismissingConstraintLayout.AnonymousClass1 */

            @Override // org.dsq.library.keyboarddismisser.KeyboardListener
            public void onKeyboardVisibilityChanged(boolean z) {
                KeyboardDismissingConstraintLayout.this.mIsKeyboardVisible = z;
            }
        };
        this.mKeyboardListener = r0;
        DismissingUtils.setupKeyboardListener(this, r0);
    }

    public void onDetachedFromWindow() {
        DismissingUtils.removeKeyboardListener(this, this.mKeyboardListener);
        this.mKeyboardListener = null;
        super.onDetachedFromWindow();
    }

    public KeyboardDismissingConstraintLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    public KeyboardDismissingConstraintLayout(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
    }
}
