package org.dsq.library.util;

import android.annotation.SuppressLint;
import android.content.Context;
import android.os.Build;
import android.util.DisplayMetrics;
import android.view.WindowManager;
import android.view.WindowMetrics;
import com.gyf.immersionbar.Constants;
import h.p.b.o;
import java.util.Objects;

@SuppressLint({"StaticFieldLeak"})
/* compiled from: AppUtils.kt */
public final class AppUtils {
    public static final AppUtils INSTANCE = new AppUtils();
    public static Context mContext;

    private AppUtils() {
    }

    public static final int getScreenHeight() {
        Object systemService = INSTANCE.getMContext().getSystemService("window");
        Objects.requireNonNull(systemService, "null cannot be cast to non-null type android.view.WindowManager");
        WindowManager windowManager = (WindowManager) systemService;
        if (Build.VERSION.SDK_INT >= 30) {
            WindowMetrics currentWindowMetrics = windowManager.getCurrentWindowMetrics();
            o.d(currentWindowMetrics, "wm.currentWindowMetrics");
            return currentWindowMetrics.getBounds().height();
        }
        DisplayMetrics displayMetrics = new DisplayMetrics();
        windowManager.getDefaultDisplay().getMetrics(displayMetrics);
        return displayMetrics.heightPixels;
    }

    public static final int getScreenWidth() {
        Object systemService = INSTANCE.getMContext().getSystemService("window");
        Objects.requireNonNull(systemService, "null cannot be cast to non-null type android.view.WindowManager");
        WindowManager windowManager = (WindowManager) systemService;
        if (Build.VERSION.SDK_INT >= 30) {
            WindowMetrics currentWindowMetrics = windowManager.getCurrentWindowMetrics();
            o.d(currentWindowMetrics, "wm.currentWindowMetrics");
            return currentWindowMetrics.getBounds().width();
        }
        DisplayMetrics displayMetrics = new DisplayMetrics();
        windowManager.getDefaultDisplay().getMetrics(displayMetrics);
        return displayMetrics.widthPixels;
    }

    public static final int getStausBarHeight() {
        AppUtils appUtils = INSTANCE;
        int identifier = appUtils.getMContext().getResources().getIdentifier(Constants.IMMERSION_STATUS_BAR_HEIGHT, "dimen", "android");
        if (identifier > 0) {
            return appUtils.getMContext().getResources().getDimensionPixelSize(identifier);
        }
        return 0;
    }

    public final Context getMContext() {
        Context context = mContext;
        if (context != null) {
            return context;
        }
        o.m("mContext");
        throw null;
    }

    public final void setMContext(Context context) {
        o.e(context, "<set-?>");
        mContext = context;
    }
}
