package org.dsq.library.widget.bigImage.decoder;

import android.graphics.Bitmap;

public class CompatDecoderFactory<T> implements DecoderFactory<T> {
    private final Bitmap.Config bitmapConfig;
    private final Class<? extends T> clazz;

    public CompatDecoderFactory(Class<? extends T> cls) {
        this(cls, null);
    }

    @Override // org.dsq.library.widget.bigImage.decoder.DecoderFactory
    public T make() {
        if (this.bitmapConfig == null) {
            return (T) this.clazz.newInstance();
        }
        return (T) this.clazz.getConstructor(Bitmap.Config.class).newInstance(this.bitmapConfig);
    }

    public CompatDecoderFactory(Class<? extends T> cls, Bitmap.Config config) {
        this.clazz = cls;
        this.bitmapConfig = config;
    }
}
