package pl.droidsonroids.gif;

import android.graphics.Bitmap;
import android.graphics.drawable.Drawable;
import android.os.Parcel;
import android.os.Parcelable;
import android.view.View;
import l.a.a.d;

public class GifViewSavedState extends View.BaseSavedState {
    public static final Parcelable.Creator<GifViewSavedState> CREATOR = new a();
    public final long[][] mStates;

    public static class a implements Parcelable.Creator<GifViewSavedState> {
        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // android.os.Parcelable.Creator
        public GifViewSavedState createFromParcel(Parcel parcel) {
            return new GifViewSavedState(parcel, (a) null);
        }

        /* Return type fixed from 'java.lang.Object[]' to match base method */
        @Override // android.os.Parcelable.Creator
        public GifViewSavedState[] newArray(int i2) {
            return new GifViewSavedState[i2];
        }
    }

    public /* synthetic */ GifViewSavedState(Parcel parcel, a aVar) {
        this(parcel);
    }

    public void restoreState(Drawable drawable, int i2) {
        int restoreSavedState;
        long[][] jArr = this.mStates;
        if (jArr[i2] != null && (drawable instanceof d)) {
            d dVar = (d) drawable;
            GifInfoHandle gifInfoHandle = dVar.n;
            long[] jArr2 = jArr[i2];
            Bitmap bitmap = dVar.m;
            synchronized (gifInfoHandle) {
                restoreSavedState = GifInfoHandle.restoreSavedState(gifInfoHandle.f13648a, jArr2, bitmap);
            }
            dVar.a((long) restoreSavedState);
        }
    }

    public void writeToParcel(Parcel parcel, int i2) {
        super.writeToParcel(parcel, i2);
        parcel.writeInt(this.mStates.length);
        for (long[] jArr : this.mStates) {
            parcel.writeLongArray(jArr);
        }
    }

    public GifViewSavedState(Parcelable parcelable, Drawable... drawableArr) {
        super(parcelable);
        long[] savedState;
        this.mStates = new long[drawableArr.length][];
        for (int i2 = 0; i2 < drawableArr.length; i2++) {
            Drawable drawable = drawableArr[i2];
            if (drawable instanceof d) {
                long[][] jArr = this.mStates;
                GifInfoHandle gifInfoHandle = ((d) drawable).n;
                synchronized (gifInfoHandle) {
                    savedState = GifInfoHandle.getSavedState(gifInfoHandle.f13648a);
                }
                jArr[i2] = savedState;
            } else {
                this.mStates[i2] = null;
            }
        }
    }

    private GifViewSavedState(Parcel parcel) {
        super(parcel);
        this.mStates = new long[parcel.readInt()][];
        int i2 = 0;
        while (true) {
            long[][] jArr = this.mStates;
            if (i2 < jArr.length) {
                jArr[i2] = parcel.createLongArray();
                i2++;
            } else {
                return;
            }
        }
    }

    public GifViewSavedState(Parcelable parcelable, long[] jArr) {
        super(parcelable);
        long[][] jArr2 = new long[1][];
        this.mStates = jArr2;
        jArr2[0] = jArr;
    }
}
