package tv.danmaku.ijk.media.exo.demo.player;

import android.content.Context;
import android.os.Handler;
import android.util.Log;
import com.google.android.exoplayer.ParserException;
import com.google.android.exoplayer.dash.DashChunkSource;
import com.google.android.exoplayer.drm.UnsupportedDrmException;
import com.google.android.exoplayer.util.ManifestFetcher;
import d.h.a.a.a0;
import d.h.a.a.d0.n;
import d.h.a.a.e0.f.a;
import d.h.a.a.e0.f.d;
import d.h.a.a.e0.f.e;
import d.h.a.a.e0.f.f;
import d.h.a.a.e0.f.l;
import d.h.a.a.f0.b;
import d.h.a.a.f0.j;
import d.h.a.a.l0.g;
import d.h.a.a.l0.i;
import d.h.a.a.l0.k;
import d.h.a.a.l0.n;
import d.h.a.a.m0.r;
import d.h.a.a.o;
import d.h.a.a.p;
import d.h.a.a.t;
import d.h.a.a.w;
import java.io.IOException;
import java.text.ParseException;
import tv.danmaku.ijk.media.exo.demo.player.DemoPlayer;

public class DashRendererBuilder implements DemoPlayer.RendererBuilder {
    private static final int AUDIO_BUFFER_SEGMENTS = 54;
    private static final int BUFFER_SEGMENT_SIZE = 65536;
    private static final int LIVE_EDGE_LATENCY_MS = 30000;
    private static final int SECURITY_LEVEL_1 = 1;
    private static final int SECURITY_LEVEL_3 = 3;
    private static final int SECURITY_LEVEL_UNKNOWN = -1;
    private static final String TAG = "DashRendererBuilder";
    private static final int TEXT_BUFFER_SEGMENTS = 2;
    private static final int VIDEO_BUFFER_SEGMENTS = 200;
    private final Context context;
    private AsyncRendererBuilder currentAsyncBuilder;
    private final j drmCallback;
    private final String url;
    private final String userAgent;

    public static final class AsyncRendererBuilder implements ManifestFetcher.a<d>, l.c {
        private boolean canceled;
        private final Context context;
        private final j drmCallback;
        private long elapsedRealtimeOffset;
        private d manifest;
        private final n manifestDataSource;
        private final ManifestFetcher<d> manifestFetcher;
        private final DemoPlayer player;
        private final String userAgent;

        public AsyncRendererBuilder(Context context2, String str, String str2, j jVar, DemoPlayer demoPlayer) {
            this.context = context2;
            this.userAgent = str;
            this.drmCallback = jVar;
            this.player = demoPlayer;
            e eVar = new e();
            k kVar = new k(context2, null, str, false);
            this.manifestDataSource = kVar;
            this.manifestFetcher = new ManifestFetcher<>(str2, kVar, eVar);
        }

        private void buildRenderers() {
            d.h.a.a.f0.l<d.h.a.a.f0.e> lVar;
            boolean z;
            f b2 = this.manifest.b(0);
            Handler mainHandler = this.player.getMainHandler();
            d.h.a.a.e eVar = new d.h.a.a.e(new g(65536));
            i iVar = new i(mainHandler, this.player);
            boolean z2 = false;
            for (int i2 = 0; i2 < b2.f9137b.size(); i2++) {
                a aVar = b2.f9137b.get(i2);
                if (aVar.f9116a != -1) {
                    z2 |= !aVar.f9118c.isEmpty();
                }
            }
            if (!z2) {
                z = false;
                lVar = null;
            } else if (r.f10101a < 18) {
                this.player.onRenderersError(new UnsupportedDrmException(1));
                return;
            } else {
                try {
                    d.h.a.a.f0.l<d.h.a.a.f0.e> b3 = d.h.a.a.f0.l.b(d.h.a.a.f0.l.f9188a, this.player.getPlaybackLooper(), this.drmCallback, null, this.player.getMainHandler(), this.player);
                    z = getWidevineSecurityLevel(b3) != 1;
                    lVar = b3;
                } catch (UnsupportedDrmException e2) {
                    this.player.onRenderersError(e2);
                    return;
                }
            }
            d.h.a.a.d0.f fVar = new d.h.a.a.d0.f(new DashChunkSource(this.manifestFetcher, new d.h.a.a.e0.e(0, this.context, true, z), new k(this.context, iVar, this.userAgent, false), new n.a(iVar), 30000, this.elapsedRealtimeOffset, mainHandler, this.player, 0), eVar, 13107200, mainHandler, this.player, 0);
            Context context2 = this.context;
            p pVar = p.f10112a;
            t tVar = new t(context2, fVar, pVar, 1, 5000, lVar, true, mainHandler, this.player, 50);
            o oVar = new o((w) new d.h.a.a.d0.f(new DashChunkSource(this.manifestFetcher, new d.h.a.a.e0.e(1, null, false, false), new k(this.context, iVar, this.userAgent, false), null, 30000, this.elapsedRealtimeOffset, mainHandler, this.player, 1), eVar, 3538944, mainHandler, this.player, 1), pVar, (b) lVar, true, mainHandler, (o.a) this.player, d.h.a.a.c0.a.a(this.context), 3);
            d.h.a.a.k0.i iVar2 = new d.h.a.a.k0.i(new d.h.a.a.d0.f(new DashChunkSource(this.manifestFetcher, new d.h.a.a.e0.e(2, null, false, false), new k(this.context, iVar, this.userAgent, false), null, 30000, this.elapsedRealtimeOffset, mainHandler, this.player, 2), eVar, 131072, mainHandler, this.player, 2), this.player, mainHandler.getLooper(), new d.h.a.a.k0.f[0]);
            a0[] a0VarArr = new a0[4];
            a0VarArr[0] = tVar;
            a0VarArr[1] = oVar;
            a0VarArr[2] = iVar2;
            this.player.onRenderers(a0VarArr, iVar);
        }

        private static int getWidevineSecurityLevel(d.h.a.a.f0.l lVar) {
            String propertyString = ((d.h.a.a.f0.i) lVar.f9191d).f9186a.getPropertyString("securityLevel");
            if (propertyString.equals("L1")) {
                return 1;
            }
            return propertyString.equals("L3") ? 3 : -1;
        }

        public void cancel() {
            this.canceled = true;
        }

        public void init() {
            this.manifestFetcher.b(this.player.getMainHandler().getLooper(), this);
        }

        @Override // com.google.android.exoplayer.util.ManifestFetcher.a
        public void onSingleManifestError(IOException iOException) {
            if (!this.canceled) {
                this.player.onRenderersError(iOException);
            }
        }

        @Override // d.h.a.a.e0.f.l.c
        public void onTimestampError(d.h.a.a.e0.f.k kVar, IOException iOException) {
            if (!this.canceled) {
                Log.e(DashRendererBuilder.TAG, "Failed to resolve UtcTiming element [" + kVar + "]", iOException);
                buildRenderers();
            }
        }

        @Override // d.h.a.a.e0.f.l.c
        public void onTimestampResolved(d.h.a.a.e0.f.k kVar, long j2) {
            if (!this.canceled) {
                this.elapsedRealtimeOffset = j2;
                buildRenderers();
            }
        }

        public void onSingleManifest(d dVar) {
            d.h.a.a.e0.f.k kVar;
            if (!this.canceled) {
                this.manifest = dVar;
                if (!dVar.f9125c || (kVar = dVar.f9128f) == null) {
                    buildRenderers();
                    return;
                }
                l lVar = new l(this.manifestDataSource, kVar, this.manifestFetcher.m, this);
                String str = lVar.f9172b.f9169a;
                if (r.a(str, "urn:mpeg:dash:utc:direct:2012")) {
                    try {
                        lVar.f9174d.onTimestampResolved(lVar.f9172b, r.m(lVar.f9172b.f9170b) - lVar.f9173c);
                    } catch (ParseException e2) {
                        lVar.f9174d.onTimestampError(lVar.f9172b, new ParserException(e2));
                    }
                } else if (r.a(str, "urn:mpeg:dash:utc:http-iso:2014")) {
                    lVar.a(new l.b(null));
                } else if (r.a(str, "urn:mpeg:dash:utc:http-xsdate:2012") || r.a(str, "urn:mpeg:dash:utc:http-xsdate:2014")) {
                    lVar.a(new l.d(null));
                } else {
                    lVar.f9174d.onTimestampError(lVar.f9172b, new IOException("Unsupported utc timing scheme"));
                }
            }
        }
    }

    public DashRendererBuilder(Context context2, String str, String str2, j jVar) {
        this.context = context2;
        this.userAgent = str;
        this.url = str2;
        this.drmCallback = jVar;
    }

    @Override // tv.danmaku.ijk.media.exo.demo.player.DemoPlayer.RendererBuilder
    public void buildRenderers(DemoPlayer demoPlayer) {
        AsyncRendererBuilder asyncRendererBuilder = new AsyncRendererBuilder(this.context, this.userAgent, this.url, this.drmCallback, demoPlayer);
        this.currentAsyncBuilder = asyncRendererBuilder;
        asyncRendererBuilder.init();
    }

    @Override // tv.danmaku.ijk.media.exo.demo.player.DemoPlayer.RendererBuilder
    public void cancel() {
        AsyncRendererBuilder asyncRendererBuilder = this.currentAsyncBuilder;
        if (asyncRendererBuilder != null) {
            asyncRendererBuilder.cancel();
            this.currentAsyncBuilder = null;
        }
    }
}
