package tv.danmaku.ijk.media.exo.demo.player;

import android.content.Context;
import android.os.Handler;
import com.google.android.exoplayer.util.ManifestFetcher;
import d.h.a.a.a0;
import d.h.a.a.c0.a;
import d.h.a.a.e;
import d.h.a.a.h0.d;
import d.h.a.a.h0.f;
import d.h.a.a.h0.h;
import d.h.a.a.h0.i;
import d.h.a.a.h0.j;
import d.h.a.a.i0.b;
import d.h.a.a.l0.g;
import d.h.a.a.l0.k;
import d.h.a.a.o;
import d.h.a.a.p;
import d.h.a.a.t;
import d.h.a.a.w;
import java.io.IOException;
import tv.danmaku.ijk.media.exo.demo.player.DemoPlayer;

public class HlsRendererBuilder implements DemoPlayer.RendererBuilder {
    private static final int AUDIO_BUFFER_SEGMENTS = 54;
    private static final int BUFFER_SEGMENT_SIZE = 65536;
    private static final int MAIN_BUFFER_SEGMENTS = 254;
    private static final int TEXT_BUFFER_SEGMENTS = 2;
    private final Context context;
    private AsyncRendererBuilder currentAsyncBuilder;
    private final String url;
    private final String userAgent;

    public static final class AsyncRendererBuilder implements ManifestFetcher.a<h> {
        private boolean canceled;
        private final Context context;
        private final DemoPlayer player;
        private final ManifestFetcher<h> playlistFetcher;
        private final String userAgent;

        public AsyncRendererBuilder(Context context2, String str, String str2, DemoPlayer demoPlayer) {
            this.context = context2;
            this.userAgent = str;
            this.player = demoPlayer;
            this.playlistFetcher = new ManifestFetcher<>(str2, new k(context2, null, str, false), new i());
        }

        public void cancel() {
            this.canceled = true;
        }

        public void init() {
            this.playlistFetcher.b(this.player.getMainHandler().getLooper(), this);
        }

        @Override // com.google.android.exoplayer.util.ManifestFetcher.a
        public void onSingleManifestError(IOException iOException) {
            if (!this.canceled) {
                this.player.onRenderersError(iOException);
            }
        }

        public void onSingleManifest(h hVar) {
            boolean z;
            boolean z2;
            b bVar;
            char c2;
            int i2;
            boolean z3;
            Context context2;
            j jVar;
            o oVar;
            d.h.a.a.l0.i iVar;
            char c3;
            d.h.a.a.l0.i iVar2;
            char c4;
            a0 a0Var;
            if (!this.canceled) {
                Handler mainHandler = this.player.getMainHandler();
                e eVar = new e(new g(65536));
                d.h.a.a.l0.i iVar3 = new d.h.a.a.l0.i(null, null);
                d.h.a.a.h0.o oVar2 = new d.h.a.a.h0.o();
                if (hVar instanceof f) {
                    f fVar = (f) hVar;
                    z2 = !fVar.f9723d.isEmpty();
                    z = !fVar.f9724e.isEmpty();
                } else {
                    z2 = false;
                    z = false;
                }
                j jVar2 = new j(new d(true, new k(this.context, iVar3, this.userAgent, false), hVar, new d.h.a.a.h0.b(this.context, 0), iVar3, oVar2), eVar, 16646144, mainHandler, this.player, 0);
                Context context3 = this.context;
                p pVar = p.f10112a;
                t tVar = new t(context3, jVar2, pVar, 1, 5000, mainHandler, this.player, 50);
                b bVar2 = new b(jVar2, new d.h.a.a.i0.c.e(), this.player, mainHandler.getLooper());
                if (z2) {
                    c2 = 1;
                    jVar = jVar2;
                    z3 = false;
                    context2 = null;
                    iVar = iVar3;
                    i2 = 2;
                    bVar = bVar2;
                    oVar = new o(new w[]{jVar, new j(new d(false, new k(this.context, iVar3, this.userAgent, false), hVar, new d.h.a.a.h0.b(null, 1), iVar3, oVar2), eVar, 3538944, mainHandler, this.player, 1)}, pVar, (d.h.a.a.f0.b) null, true, this.player.getMainHandler(), (o.a) this.player, a.a(this.context), 3);
                } else {
                    iVar = iVar3;
                    context2 = null;
                    jVar = jVar2;
                    bVar = bVar2;
                    z3 = false;
                    i2 = 2;
                    c2 = 1;
                    oVar = new o((w) jVar, pVar, (d.h.a.a.f0.b) null, true, this.player.getMainHandler(), (o.a) this.player, a.a(this.context), 3);
                }
                if (z) {
                    iVar2 = iVar;
                    c3 = 0;
                    c4 = 2;
                    a0Var = new d.h.a.a.k0.i(new j(new d(false, new k(this.context, iVar, this.userAgent, z3), hVar, new d.h.a.a.h0.b(context2, i2), iVar2, oVar2), eVar, 131072, mainHandler, this.player, 2), this.player, mainHandler.getLooper(), new d.h.a.a.k0.f[0]);
                } else {
                    iVar2 = iVar;
                    c4 = 2;
                    c3 = 0;
                    a0Var = new d.h.a.a.k0.j.f(jVar, this.player, mainHandler.getLooper());
                }
                a0[] a0VarArr = new a0[4];
                a0VarArr[c3] = tVar;
                a0VarArr[c2] = oVar;
                a0VarArr[3] = bVar;
                a0VarArr[c4] = a0Var;
                this.player.onRenderers(a0VarArr, iVar2);
            }
        }
    }

    public HlsRendererBuilder(Context context2, String str, String str2) {
        this.context = context2;
        this.userAgent = str;
        this.url = str2;
    }

    @Override // tv.danmaku.ijk.media.exo.demo.player.DemoPlayer.RendererBuilder
    public void buildRenderers(DemoPlayer demoPlayer) {
        AsyncRendererBuilder asyncRendererBuilder = new AsyncRendererBuilder(this.context, this.userAgent, this.url, demoPlayer);
        this.currentAsyncBuilder = asyncRendererBuilder;
        asyncRendererBuilder.init();
    }

    @Override // tv.danmaku.ijk.media.exo.demo.player.DemoPlayer.RendererBuilder
    public void cancel() {
        AsyncRendererBuilder asyncRendererBuilder = this.currentAsyncBuilder;
        if (asyncRendererBuilder != null) {
            asyncRendererBuilder.cancel();
            this.currentAsyncBuilder = null;
        }
    }
}
