package androidx.activity;

import androidx.lifecycle.Lifecycle;
import androidx.lifecycle.LifecycleEventObserver;
import androidx.lifecycle.LifecycleOwner;
import androidx.lifecycle.LifecycleRegistry;
import java.util.ArrayDeque;
import java.util.Iterator;

public final class OnBackPressedDispatcher {

    /* renamed from: a  reason: collision with root package name */
    public final Runnable f52a;

    /* renamed from: b  reason: collision with root package name */
    public final ArrayDeque<b.a.a> f53b = new ArrayDeque<>();

    public class LifecycleOnBackPressedCancellable implements LifecycleEventObserver, Cancellable {

        /* renamed from: d  reason: collision with root package name */
        public final Lifecycle f54d;

        /* renamed from: h  reason: collision with root package name */
        public final b.a.a f55h;

        /* renamed from: j  reason: collision with root package name */
        public Cancellable f56j;

        public LifecycleOnBackPressedCancellable(Lifecycle lifecycle, b.a.a aVar) {
            this.f54d = lifecycle;
            this.f55h = aVar;
            lifecycle.a(this);
        }

        @Override // androidx.activity.Cancellable
        public void cancel() {
            LifecycleRegistry lifecycleRegistry = (LifecycleRegistry) this.f54d;
            lifecycleRegistry.d("removeObserver");
            lifecycleRegistry.f1605a.e(this);
            this.f55h.f2171b.remove(this);
            Cancellable cancellable = this.f56j;
            if (cancellable != null) {
                cancellable.cancel();
                this.f56j = null;
            }
        }

        @Override // androidx.lifecycle.LifecycleEventObserver
        public void onStateChanged(LifecycleOwner lifecycleOwner, Lifecycle.Event event) {
            if (event == Lifecycle.Event.ON_START) {
                OnBackPressedDispatcher onBackPressedDispatcher = OnBackPressedDispatcher.this;
                b.a.a aVar = this.f55h;
                onBackPressedDispatcher.f53b.add(aVar);
                a aVar2 = new a(aVar);
                aVar.f2171b.add(aVar2);
                this.f56j = aVar2;
            } else if (event == Lifecycle.Event.ON_STOP) {
                Cancellable cancellable = this.f56j;
                if (cancellable != null) {
                    cancellable.cancel();
                }
            } else if (event == Lifecycle.Event.ON_DESTROY) {
                cancel();
            }
        }
    }

    public class a implements Cancellable {

        /* renamed from: d  reason: collision with root package name */
        public final b.a.a f58d;

        public a(b.a.a aVar) {
            this.f58d = aVar;
        }

        @Override // androidx.activity.Cancellable
        public void cancel() {
            OnBackPressedDispatcher.this.f53b.remove(this.f58d);
            this.f58d.f2171b.remove(this);
        }
    }

    public OnBackPressedDispatcher(Runnable runnable) {
        this.f52a = runnable;
    }

    public void a() {
        Iterator<b.a.a> descendingIterator = this.f53b.descendingIterator();
        while (descendingIterator.hasNext()) {
            b.a.a next = descendingIterator.next();
            if (next.f2170a) {
                next.a();
                return;
            }
        }
        Runnable runnable = this.f52a;
        if (runnable != null) {
            runnable.run();
        }
    }
}
