package androidx.activity.result;

import android.annotation.SuppressLint;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import androidx.lifecycle.Lifecycle;
import androidx.lifecycle.LifecycleEventObserver;
import androidx.lifecycle.LifecycleOwner;
import androidx.lifecycle.LifecycleRegistry;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import java.util.Random;

public abstract class ActivityResultRegistry {

    /* renamed from: a  reason: collision with root package name */
    public Random f60a = new Random();

    /* renamed from: b  reason: collision with root package name */
    public final Map<Integer, String> f61b = new HashMap();

    /* renamed from: c  reason: collision with root package name */
    public final Map<String, Integer> f62c = new HashMap();

    /* renamed from: d  reason: collision with root package name */
    public final Map<String, d> f63d = new HashMap();

    /* renamed from: e  reason: collision with root package name */
    public ArrayList<String> f64e = new ArrayList<>();

    /* renamed from: f  reason: collision with root package name */
    public final transient Map<String, c<?>> f65f = new HashMap();

    /* renamed from: g  reason: collision with root package name */
    public final Map<String, Object> f66g = new HashMap();

    /* renamed from: h  reason: collision with root package name */
    public final Bundle f67h = new Bundle();

    public class a extends b.a.c.a<I> {

        /* renamed from: a  reason: collision with root package name */
        public final /* synthetic */ String f72a;

        /* renamed from: b  reason: collision with root package name */
        public final /* synthetic */ int f73b;

        /* renamed from: c  reason: collision with root package name */
        public final /* synthetic */ b.a.c.b.a f74c;

        public a(String str, int i2, b.a.c.b.a aVar) {
            this.f72a = str;
            this.f73b = i2;
            this.f74c = aVar;
        }

        @Override // b.a.c.a
        public void a(I i2, b.j.a.b bVar) {
            ActivityResultRegistry.this.f64e.add(this.f72a);
            Integer num = ActivityResultRegistry.this.f62c.get(this.f72a);
            ActivityResultRegistry.this.b(num != null ? num.intValue() : this.f73b, this.f74c, i2, bVar);
        }

        @Override // b.a.c.a
        public void b() {
            ActivityResultRegistry.this.f(this.f72a);
        }
    }

    public class b extends b.a.c.a<I> {

        /* renamed from: a  reason: collision with root package name */
        public final /* synthetic */ String f76a;

        /* renamed from: b  reason: collision with root package name */
        public final /* synthetic */ int f77b;

        /* renamed from: c  reason: collision with root package name */
        public final /* synthetic */ b.a.c.b.a f78c;

        public b(String str, int i2, b.a.c.b.a aVar) {
            this.f76a = str;
            this.f77b = i2;
            this.f78c = aVar;
        }

        @Override // b.a.c.a
        public void a(I i2, b.j.a.b bVar) {
            ActivityResultRegistry.this.f64e.add(this.f76a);
            Integer num = ActivityResultRegistry.this.f62c.get(this.f76a);
            ActivityResultRegistry.this.b(num != null ? num.intValue() : this.f77b, this.f78c, i2, bVar);
        }

        @Override // b.a.c.a
        public void b() {
            ActivityResultRegistry.this.f(this.f76a);
        }
    }

    public static class c<O> {

        /* renamed from: a  reason: collision with root package name */
        public final ActivityResultCallback<O> f80a;

        /* renamed from: b  reason: collision with root package name */
        public final b.a.c.b.a<?, O> f81b;

        public c(ActivityResultCallback<O> activityResultCallback, b.a.c.b.a<?, O> aVar) {
            this.f80a = activityResultCallback;
            this.f81b = aVar;
        }
    }

    public static class d {

        /* renamed from: a  reason: collision with root package name */
        public final Lifecycle f82a;

        /* renamed from: b  reason: collision with root package name */
        public final ArrayList<LifecycleEventObserver> f83b = new ArrayList<>();

        public d(Lifecycle lifecycle) {
            this.f82a = lifecycle;
        }
    }

    public final boolean a(int i2, int i3, Intent intent) {
        ActivityResultCallback<O> activityResultCallback;
        String str = this.f61b.get(Integer.valueOf(i2));
        if (str == null) {
            return false;
        }
        this.f64e.remove(str);
        c<?> cVar = this.f65f.get(str);
        if (cVar == null || (activityResultCallback = cVar.f80a) == null) {
            this.f66g.remove(str);
            this.f67h.putParcelable(str, new ActivityResult(i3, intent));
            return true;
        }
        activityResultCallback.onActivityResult(cVar.f81b.c(i3, intent));
        return true;
    }

    public abstract <I, O> void b(int i2, b.a.c.b.a<I, O> aVar, @SuppressLint({"UnknownNullness"}) I i3, b.j.a.b bVar);

    /* JADX DEBUG: Multi-variable search result rejected for r6v0, resolved type: androidx.activity.result.ActivityResultCallback<O> */
    /* JADX WARN: Multi-variable type inference failed */
    public final <I, O> b.a.c.a<I> c(String str, b.a.c.b.a<I, O> aVar, ActivityResultCallback<O> activityResultCallback) {
        int e2 = e(str);
        this.f65f.put(str, new c<>(activityResultCallback, aVar));
        if (this.f66g.containsKey(str)) {
            Object obj = this.f66g.get(str);
            this.f66g.remove(str);
            activityResultCallback.onActivityResult(obj);
        }
        ActivityResult activityResult = (ActivityResult) this.f67h.getParcelable(str);
        if (activityResult != null) {
            this.f67h.remove(str);
            activityResultCallback.onActivityResult(aVar.c(activityResult.getResultCode(), activityResult.getData()));
        }
        return new b(str, e2, aVar);
    }

    public final <I, O> b.a.c.a<I> d(final String str, LifecycleOwner lifecycleOwner, final b.a.c.b.a<I, O> aVar, final ActivityResultCallback<O> activityResultCallback) {
        Lifecycle lifecycle = lifecycleOwner.getLifecycle();
        LifecycleRegistry lifecycleRegistry = (LifecycleRegistry) lifecycle;
        if (!lifecycleRegistry.f1606b.isAtLeast(Lifecycle.State.STARTED)) {
            int e2 = e(str);
            d dVar = this.f63d.get(str);
            if (dVar == null) {
                dVar = new d(lifecycle);
            }
            AnonymousClass1 r0 = new LifecycleEventObserver() {
                /* class androidx.activity.result.ActivityResultRegistry.AnonymousClass1 */

                @Override // androidx.lifecycle.LifecycleEventObserver
                public void onStateChanged(LifecycleOwner lifecycleOwner, Lifecycle.Event event) {
                    if (Lifecycle.Event.ON_START.equals(event)) {
                        ActivityResultRegistry.this.f65f.put(str, new c<>(activityResultCallback, aVar));
                        if (ActivityResultRegistry.this.f66g.containsKey(str)) {
                            Object obj = ActivityResultRegistry.this.f66g.get(str);
                            ActivityResultRegistry.this.f66g.remove(str);
                            activityResultCallback.onActivityResult(obj);
                        }
                        ActivityResult activityResult = (ActivityResult) ActivityResultRegistry.this.f67h.getParcelable(str);
                        if (activityResult != null) {
                            ActivityResultRegistry.this.f67h.remove(str);
                            activityResultCallback.onActivityResult(aVar.c(activityResult.getResultCode(), activityResult.getData()));
                        }
                    } else if (Lifecycle.Event.ON_STOP.equals(event)) {
                        ActivityResultRegistry.this.f65f.remove(str);
                    } else if (Lifecycle.Event.ON_DESTROY.equals(event)) {
                        ActivityResultRegistry.this.f(str);
                    }
                }
            };
            dVar.f82a.a(r0);
            dVar.f83b.add(r0);
            this.f63d.put(str, dVar);
            return new a(str, e2, aVar);
        }
        throw new IllegalStateException("LifecycleOwner " + lifecycleOwner + " is attempting to register while current state is " + lifecycleRegistry.f1606b + ". LifecycleOwners must call register before they are STARTED.");
    }

    public final int e(String str) {
        Integer num = this.f62c.get(str);
        if (num != null) {
            return num.intValue();
        }
        int nextInt = this.f60a.nextInt(2147418112);
        while (true) {
            int i2 = nextInt + 65536;
            if (this.f61b.containsKey(Integer.valueOf(i2))) {
                nextInt = this.f60a.nextInt(2147418112);
            } else {
                this.f61b.put(Integer.valueOf(i2), str);
                this.f62c.put(str, Integer.valueOf(i2));
                return i2;
            }
        }
    }

    public final void f(String str) {
        Integer remove;
        if (!this.f64e.contains(str) && (remove = this.f62c.remove(str)) != null) {
            this.f61b.remove(remove);
        }
        this.f65f.remove(str);
        if (this.f66g.containsKey(str)) {
            StringBuilder G = d.a.a.a.a.G("Dropping pending result for request ", str, ": ");
            G.append(this.f66g.get(str));
            Log.w("ActivityResultRegistry", G.toString());
            this.f66g.remove(str);
        }
        if (this.f67h.containsKey(str)) {
            StringBuilder G2 = d.a.a.a.a.G("Dropping pending result for request ", str, ": ");
            G2.append(this.f67h.getParcelable(str));
            Log.w("ActivityResultRegistry", G2.toString());
            this.f67h.remove(str);
        }
        d dVar = this.f63d.get(str);
        if (dVar != null) {
            Iterator<LifecycleEventObserver> it = dVar.f83b.iterator();
            while (it.hasNext()) {
                dVar.f82a.b(it.next());
            }
            dVar.f83b.clear();
            this.f63d.remove(str);
        }
    }
}
