package androidx.appcompat.app;

import android.content.Context;
import android.content.DialogInterface;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.TypedValue;
import android.view.ContextThemeWrapper;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.TextView;
import androidx.appcompat.R$attr;
import androidx.appcompat.R$id;
import androidx.appcompat.app.AlertController;
import androidx.appcompat.widget.LinearLayoutCompat;
import androidx.core.view.ViewCompat;
import androidx.core.widget.NestedScrollView;
import b.b.a.b;
import b.b.a.c;
import b.b.a.d;
import b.b.a.e;
import com.shuyu.gsyvideoplayer.utils.NeuQuant;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;

public class AlertDialog extends AppCompatDialog implements DialogInterface {

    /* renamed from: j  reason: collision with root package name */
    public final AlertController f113j = new AlertController(getContext(), this, getWindow());

    public static class a {

        /* renamed from: a  reason: collision with root package name */
        public final AlertController.AlertParams f114a;

        /* renamed from: b  reason: collision with root package name */
        public final int f115b;

        public a(Context context) {
            int d2 = AlertDialog.d(context, 0);
            this.f114a = new AlertController.AlertParams(new ContextThemeWrapper(context, AlertDialog.d(context, d2)));
            this.f115b = d2;
        }

        public AlertDialog a() {
            int i2;
            AlertDialog alertDialog = new AlertDialog(this.f114a.f97a, this.f115b);
            AlertController.AlertParams alertParams = this.f114a;
            AlertController alertController = alertDialog.f113j;
            View view = alertParams.f101e;
            if (view != null) {
                alertController.G = view;
            } else {
                CharSequence charSequence = alertParams.f100d;
                if (charSequence != null) {
                    alertController.f89e = charSequence;
                    TextView textView = alertController.E;
                    if (textView != null) {
                        textView.setText(charSequence);
                    }
                }
                Drawable drawable = alertParams.f99c;
                if (drawable != null) {
                    alertController.C = drawable;
                    alertController.B = 0;
                    ImageView imageView = alertController.D;
                    if (imageView != null) {
                        imageView.setVisibility(0);
                        alertController.D.setImageDrawable(drawable);
                    }
                }
            }
            CharSequence charSequence2 = alertParams.f102f;
            if (charSequence2 != null) {
                alertController.f90f = charSequence2;
                TextView textView2 = alertController.F;
                if (textView2 != null) {
                    textView2.setText(charSequence2);
                }
            }
            CharSequence charSequence3 = alertParams.f103g;
            if (charSequence3 != null) {
                alertController.e(-1, charSequence3, alertParams.f104h, null, null);
            }
            CharSequence charSequence4 = alertParams.f105i;
            if (charSequence4 != null) {
                alertController.e(-2, charSequence4, alertParams.f106j, null, null);
            }
            if (!(alertParams.m == null && alertParams.n == null)) {
                AlertController.RecycleListView recycleListView = (AlertController.RecycleListView) alertParams.f98b.inflate(alertController.L, (ViewGroup) null);
                if (alertParams.q) {
                    i2 = alertController.N;
                } else {
                    i2 = alertController.O;
                }
                ListAdapter listAdapter = alertParams.n;
                if (listAdapter == null) {
                    listAdapter = new AlertController.c(alertParams.f97a, i2, 16908308, alertParams.m);
                }
                alertController.H = listAdapter;
                alertController.I = alertParams.r;
                if (alertParams.o != null) {
                    recycleListView.setOnItemClickListener(new e(alertParams, alertController));
                }
                if (alertParams.q) {
                    recycleListView.setChoiceMode(1);
                }
                alertController.f91g = recycleListView;
            }
            View view2 = alertParams.p;
            if (view2 != null) {
                alertController.f92h = view2;
                alertController.f93i = 0;
                alertController.n = false;
            }
            Objects.requireNonNull(this.f114a);
            alertDialog.setCancelable(true);
            Objects.requireNonNull(this.f114a);
            alertDialog.setCanceledOnTouchOutside(true);
            alertDialog.setOnCancelListener(this.f114a.f107k);
            Objects.requireNonNull(this.f114a);
            alertDialog.setOnDismissListener(null);
            DialogInterface.OnKeyListener onKeyListener = this.f114a.f108l;
            if (onKeyListener != null) {
                alertDialog.setOnKeyListener(onKeyListener);
            }
            return alertDialog;
        }

        public a b(int i2, DialogInterface.OnClickListener onClickListener) {
            AlertController.AlertParams alertParams = this.f114a;
            alertParams.f105i = alertParams.f97a.getText(i2);
            this.f114a.f106j = onClickListener;
            return this;
        }

        public a c(DialogInterface.OnCancelListener onCancelListener) {
            this.f114a.f107k = onCancelListener;
            return this;
        }

        public a d(int i2, DialogInterface.OnClickListener onClickListener) {
            AlertController.AlertParams alertParams = this.f114a;
            alertParams.f103g = alertParams.f97a.getText(i2);
            this.f114a.f104h = onClickListener;
            return this;
        }

        public a e(CharSequence charSequence, DialogInterface.OnClickListener onClickListener) {
            AlertController.AlertParams alertParams = this.f114a;
            alertParams.f103g = charSequence;
            alertParams.f104h = onClickListener;
            return this;
        }
    }

    public AlertDialog(Context context, int i2) {
        super(context, d(context, i2));
    }

    public static int d(Context context, int i2) {
        if (((i2 >>> 24) & NeuQuant.maxnetpos) >= 1) {
            return i2;
        }
        TypedValue typedValue = new TypedValue();
        context.getTheme().resolveAttribute(R$attr.alertDialogTheme, typedValue, true);
        return typedValue.resourceId;
    }

    @Override // androidx.appcompat.app.AppCompatDialog
    public void onCreate(Bundle bundle) {
        int i2;
        boolean z;
        View view;
        ListAdapter listAdapter;
        View view2;
        View view3;
        View findViewById;
        super.onCreate(bundle);
        AlertController alertController = this.f113j;
        if (alertController.K == 0) {
            i2 = alertController.J;
        } else {
            i2 = alertController.J;
        }
        alertController.f86b.setContentView(i2);
        View findViewById2 = alertController.f87c.findViewById(R$id.parentPanel);
        int i3 = R$id.topPanel;
        View findViewById3 = findViewById2.findViewById(i3);
        int i4 = R$id.contentPanel;
        View findViewById4 = findViewById2.findViewById(i4);
        int i5 = R$id.buttonPanel;
        View findViewById5 = findViewById2.findViewById(i5);
        ViewGroup viewGroup = (ViewGroup) findViewById2.findViewById(R$id.customPanel);
        View view4 = alertController.f92h;
        int i6 = 0;
        if (view4 == null) {
            view4 = alertController.f93i != 0 ? LayoutInflater.from(alertController.f85a).inflate(alertController.f93i, viewGroup, false) : null;
        }
        boolean z2 = view4 != null;
        if (!z2 || !AlertController.a(view4)) {
            alertController.f87c.setFlags(131072, 131072);
        }
        if (z2) {
            FrameLayout frameLayout = (FrameLayout) alertController.f87c.findViewById(R$id.custom);
            frameLayout.addView(view4, new ViewGroup.LayoutParams(-1, -1));
            if (alertController.n) {
                frameLayout.setPadding(alertController.f94j, alertController.f95k, alertController.f96l, alertController.m);
            }
            if (alertController.f91g != null) {
                ((LinearLayout.LayoutParams) ((LinearLayoutCompat.a) viewGroup.getLayoutParams())).weight = 0.0f;
            }
        } else {
            viewGroup.setVisibility(8);
        }
        View findViewById6 = viewGroup.findViewById(i3);
        View findViewById7 = viewGroup.findViewById(i4);
        View findViewById8 = viewGroup.findViewById(i5);
        ViewGroup d2 = alertController.d(findViewById6, findViewById3);
        ViewGroup d3 = alertController.d(findViewById7, findViewById4);
        ViewGroup d4 = alertController.d(findViewById8, findViewById5);
        NestedScrollView nestedScrollView = (NestedScrollView) alertController.f87c.findViewById(R$id.scrollView);
        alertController.A = nestedScrollView;
        nestedScrollView.setFocusable(false);
        alertController.A.setNestedScrollingEnabled(false);
        TextView textView = (TextView) d3.findViewById(16908299);
        alertController.F = textView;
        if (textView != null) {
            CharSequence charSequence = alertController.f90f;
            if (charSequence != null) {
                textView.setText(charSequence);
            } else {
                textView.setVisibility(8);
                alertController.A.removeView(alertController.F);
                if (alertController.f91g != null) {
                    ViewGroup viewGroup2 = (ViewGroup) alertController.A.getParent();
                    int indexOfChild = viewGroup2.indexOfChild(alertController.A);
                    viewGroup2.removeViewAt(indexOfChild);
                    viewGroup2.addView(alertController.f91g, indexOfChild, new ViewGroup.LayoutParams(-1, -1));
                } else {
                    d3.setVisibility(8);
                }
            }
        }
        Button button = (Button) d4.findViewById(16908313);
        alertController.o = button;
        button.setOnClickListener(alertController.R);
        if (!TextUtils.isEmpty(alertController.p) || alertController.r != null) {
            alertController.o.setText(alertController.p);
            Drawable drawable = alertController.r;
            if (drawable != null) {
                int i7 = alertController.f88d;
                drawable.setBounds(0, 0, i7, i7);
                alertController.o.setCompoundDrawables(alertController.r, null, null, null);
            }
            alertController.o.setVisibility(0);
            z = true;
        } else {
            alertController.o.setVisibility(8);
            z = false;
        }
        Button button2 = (Button) d4.findViewById(16908314);
        alertController.s = button2;
        button2.setOnClickListener(alertController.R);
        if (!TextUtils.isEmpty(alertController.t) || alertController.v != null) {
            alertController.s.setText(alertController.t);
            Drawable drawable2 = alertController.v;
            if (drawable2 != null) {
                int i8 = alertController.f88d;
                drawable2.setBounds(0, 0, i8, i8);
                alertController.s.setCompoundDrawables(alertController.v, null, null, null);
            }
            alertController.s.setVisibility(0);
            z |= true;
        } else {
            alertController.s.setVisibility(8);
        }
        Button button3 = (Button) d4.findViewById(16908315);
        alertController.w = button3;
        button3.setOnClickListener(alertController.R);
        if (!TextUtils.isEmpty(alertController.x) || alertController.z != null) {
            alertController.w.setText(alertController.x);
            Drawable drawable3 = alertController.z;
            if (drawable3 != null) {
                int i9 = alertController.f88d;
                drawable3.setBounds(0, 0, i9, i9);
                view = null;
                alertController.w.setCompoundDrawables(alertController.z, null, null, null);
            } else {
                view = null;
            }
            alertController.w.setVisibility(0);
            z |= true;
        } else {
            alertController.w.setVisibility(8);
            view = null;
        }
        Context context = alertController.f85a;
        TypedValue typedValue = new TypedValue();
        context.getTheme().resolveAttribute(R$attr.alertDialogCenterButtons, typedValue, true);
        if (typedValue.data != 0) {
            if (z) {
                alertController.b(alertController.o);
            } else if (z) {
                alertController.b(alertController.s);
            } else if (z) {
                alertController.b(alertController.w);
            }
        }
        if (!(z)) {
            d4.setVisibility(8);
        }
        if (alertController.G != null) {
            d2.addView(alertController.G, 0, new ViewGroup.LayoutParams(-1, -2));
            alertController.f87c.findViewById(R$id.title_template).setVisibility(8);
        } else {
            alertController.D = (ImageView) alertController.f87c.findViewById(16908294);
            if (!(!TextUtils.isEmpty(alertController.f89e)) || !alertController.P) {
                alertController.f87c.findViewById(R$id.title_template).setVisibility(8);
                alertController.D.setVisibility(8);
                d2.setVisibility(8);
            } else {
                TextView textView2 = (TextView) alertController.f87c.findViewById(R$id.alertTitle);
                alertController.E = textView2;
                textView2.setText(alertController.f89e);
                int i10 = alertController.B;
                if (i10 != 0) {
                    alertController.D.setImageResource(i10);
                } else {
                    Drawable drawable4 = alertController.C;
                    if (drawable4 != null) {
                        alertController.D.setImageDrawable(drawable4);
                    } else {
                        alertController.E.setPadding(alertController.D.getPaddingLeft(), alertController.D.getPaddingTop(), alertController.D.getPaddingRight(), alertController.D.getPaddingBottom());
                        alertController.D.setVisibility(8);
                    }
                }
            }
        }
        boolean z3 = viewGroup.getVisibility() != 8;
        int i11 = (d2 == null || d2.getVisibility() == 8) ? 0 : 1;
        boolean z4 = d4.getVisibility() != 8;
        if (!z4 && (findViewById = d3.findViewById(R$id.textSpacerNoButtons)) != null) {
            findViewById.setVisibility(0);
        }
        if (i11 != 0) {
            NestedScrollView nestedScrollView2 = alertController.A;
            if (nestedScrollView2 != null) {
                nestedScrollView2.setClipToPadding(true);
            }
            if (alertController.f90f == null && alertController.f91g == null) {
                view3 = view;
            } else {
                view3 = d2.findViewById(R$id.titleDividerNoCustom);
            }
            if (view3 != null) {
                view3.setVisibility(0);
            }
        } else {
            View findViewById9 = d3.findViewById(R$id.textSpacerNoTitle);
            if (findViewById9 != null) {
                findViewById9.setVisibility(0);
            }
        }
        ListView listView = alertController.f91g;
        if (listView instanceof AlertController.RecycleListView) {
            AlertController.RecycleListView recycleListView = (AlertController.RecycleListView) listView;
            Objects.requireNonNull(recycleListView);
            if (!z4 || i11 == 0) {
                recycleListView.setPadding(recycleListView.getPaddingLeft(), i11 != 0 ? recycleListView.getPaddingTop() : recycleListView.f109d, recycleListView.getPaddingRight(), z4 ? recycleListView.getPaddingBottom() : recycleListView.f110h);
            }
        }
        if (!z3) {
            View view5 = alertController.f91g;
            if (view5 == null) {
                view5 = alertController.A;
            }
            if (view5 != null) {
                if (z4) {
                    i6 = 2;
                }
                int i12 = i11 | i6;
                View findViewById10 = alertController.f87c.findViewById(R$id.scrollIndicatorUp);
                View findViewById11 = alertController.f87c.findViewById(R$id.scrollIndicatorDown);
                int i13 = Build.VERSION.SDK_INT;
                if (i13 >= 23) {
                    AtomicInteger atomicInteger = ViewCompat.f1365a;
                    if (i13 >= 23) {
                        view5.setScrollIndicators(i12, 3);
                    }
                    if (findViewById10 != null) {
                        d3.removeView(findViewById10);
                    }
                    if (findViewById11 != null) {
                        d3.removeView(findViewById11);
                    }
                } else {
                    if (findViewById10 != null && (i12 & 1) == 0) {
                        d3.removeView(findViewById10);
                        findViewById10 = view;
                    }
                    if (findViewById11 == null || (i12 & 2) != 0) {
                        view2 = findViewById11;
                    } else {
                        d3.removeView(findViewById11);
                        view2 = view;
                    }
                    if (!(findViewById10 == null && view2 == null)) {
                        if (alertController.f90f != null) {
                            alertController.A.setOnScrollChangeListener(new b.b.a.a(alertController, findViewById10, view2));
                            alertController.A.post(new b(alertController, findViewById10, view2));
                        } else {
                            ListView listView2 = alertController.f91g;
                            if (listView2 != null) {
                                listView2.setOnScrollListener(new c(alertController, findViewById10, view2));
                                alertController.f91g.post(new d(alertController, findViewById10, view2));
                            } else {
                                if (findViewById10 != null) {
                                    d3.removeView(findViewById10);
                                }
                                if (view2 != null) {
                                    d3.removeView(view2);
                                }
                            }
                        }
                    }
                }
            }
        }
        ListView listView3 = alertController.f91g;
        if (listView3 != null && (listAdapter = alertController.H) != null) {
            listView3.setAdapter(listAdapter);
            int i14 = alertController.I;
            if (i14 > -1) {
                listView3.setItemChecked(i14, true);
                listView3.setSelection(i14);
            }
        }
    }

    public boolean onKeyDown(int i2, KeyEvent keyEvent) {
        NestedScrollView nestedScrollView = this.f113j.A;
        if (nestedScrollView != null && nestedScrollView.executeKeyEvent(keyEvent)) {
            return true;
        }
        return super.onKeyDown(i2, keyEvent);
    }

    public boolean onKeyUp(int i2, KeyEvent keyEvent) {
        NestedScrollView nestedScrollView = this.f113j.A;
        if (nestedScrollView != null && nestedScrollView.executeKeyEvent(keyEvent)) {
            return true;
        }
        return super.onKeyUp(i2, keyEvent);
    }

    @Override // android.app.Dialog, androidx.appcompat.app.AppCompatDialog
    public void setTitle(CharSequence charSequence) {
        super.setTitle(charSequence);
        AlertController alertController = this.f113j;
        alertController.f89e = charSequence;
        TextView textView = alertController.E;
        if (textView != null) {
            textView.setText(charSequence);
        }
    }
}
