package androidx.appcompat.app;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.app.AppOpsManager;
import android.app.Dialog;
import android.app.UiModeManager;
import android.content.BroadcastReceiver;
import android.content.ComponentName;
import android.content.ContentResolver;
import android.content.Context;
import android.content.ContextWrapper;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.pm.ActivityInfo;
import android.content.pm.PackageManager;
import android.content.res.ColorStateList;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.database.Cursor;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.BitmapRegionDecoder;
import android.graphics.BlendMode;
import android.graphics.BlendModeColorFilter;
import android.graphics.Color;
import android.graphics.ColorFilter;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.YuvImage;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.DrawableContainer;
import android.graphics.drawable.InsetDrawable;
import android.icu.text.DecimalFormatSymbols;
import android.location.Location;
import android.location.LocationManager;
import android.media.AudioManager;
import android.media.ImageWriter;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.CancellationSignal;
import android.os.Handler;
import android.os.LocaleList;
import android.os.Looper;
import android.os.OperationCanceledException;
import android.os.Parcel;
import android.os.ParcelFileDescriptor;
import android.os.Parcelable;
import android.os.PowerManager;
import android.os.Process;
import android.os.StrictMode;
import android.text.Editable;
import android.text.Spanned;
import android.text.TextDirectionHeuristic;
import android.text.TextDirectionHeuristics;
import android.text.TextPaint;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.text.method.PasswordTransformationMethod;
import android.util.AndroidRuntimeException;
import android.util.AttributeSet;
import android.util.Base64;
import android.util.Log;
import android.util.LongSparseArray;
import android.util.Rational;
import android.util.Size;
import android.util.SparseArray;
import android.util.StateSet;
import android.util.TypedValue;
import android.util.Xml;
import android.view.ActionMode;
import android.view.ContextThemeWrapper;
import android.view.KeyCharacterMap;
import android.view.KeyEvent;
import android.view.KeyboardShortcutGroup;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.view.Surface;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.Window;
import android.view.WindowManager;
import android.view.inputmethod.EditorInfo;
import android.view.inputmethod.InputConnection;
import android.widget.CompoundButton;
import android.widget.FrameLayout;
import android.widget.PopupWindow;
import android.widget.TextView;
import androidx.appcompat.R$attr;
import androidx.appcompat.R$color;
import androidx.appcompat.R$layout;
import androidx.appcompat.R$style;
import androidx.appcompat.app.ActionBarDrawerToggle;
import androidx.appcompat.view.ActionMode;
import androidx.appcompat.view.StandaloneActionMode;
import androidx.appcompat.view.SupportActionModeWrapper;
import androidx.appcompat.view.menu.ListMenuPresenter;
import androidx.appcompat.view.menu.MenuBuilder;
import androidx.appcompat.view.menu.MenuPresenter;
import androidx.appcompat.widget.ActionBarContextView;
import androidx.appcompat.widget.AppCompatAutoCompleteTextView;
import androidx.appcompat.widget.AppCompatButton;
import androidx.appcompat.widget.AppCompatCheckBox;
import androidx.appcompat.widget.AppCompatCheckedTextView;
import androidx.appcompat.widget.AppCompatEditText;
import androidx.appcompat.widget.AppCompatImageButton;
import androidx.appcompat.widget.AppCompatImageView;
import androidx.appcompat.widget.AppCompatMultiAutoCompleteTextView;
import androidx.appcompat.widget.AppCompatRadioButton;
import androidx.appcompat.widget.AppCompatRatingBar;
import androidx.appcompat.widget.AppCompatSeekBar;
import androidx.appcompat.widget.AppCompatSpinner;
import androidx.appcompat.widget.AppCompatTextView;
import androidx.appcompat.widget.AppCompatToggleButton;
import androidx.appcompat.widget.ContentFrameLayout;
import androidx.appcompat.widget.DecorContentParent;
import androidx.appcompat.widget.ResourceManagerInternal;
import androidx.appcompat.widget.Toolbar;
import androidx.appcompat.widget.ViewStubCompat;
import androidx.appcompat.widget.WithHint;
import androidx.camera.core.ImageProxy;
import androidx.camera.core.UseCase;
import androidx.camera.core.impl.CaptureBundle;
import androidx.camera.core.impl.CaptureStage;
import androidx.camera.core.internal.utils.ImageUtil$CodecFailedException;
import androidx.concurrent.futures.CallbackToFutureAdapter$Resolver;
import androidx.constraintlayout.core.ArrayRow;
import androidx.constraintlayout.core.LinearSystem;
import androidx.constraintlayout.core.SolverVariable;
import androidx.constraintlayout.core.widgets.ConstraintAnchor;
import androidx.constraintlayout.core.widgets.ConstraintWidget;
import androidx.constraintlayout.core.widgets.ConstraintWidgetContainer;
import androidx.constraintlayout.core.widgets.Guideline;
import androidx.constraintlayout.core.widgets.HelperWidget;
import androidx.constraintlayout.motion.widget.MotionLayout;
import androidx.core.R$styleable;
import androidx.core.app.ActivityCompat;
import androidx.core.content.res.FontResourcesParserCompat$FamilyResourceEntry;
import androidx.core.content.res.FontResourcesParserCompat$FontFamilyFilesResourceEntry;
import androidx.core.content.res.FontResourcesParserCompat$ProviderResourceEntry;
import androidx.core.graphics.BlendModeCompat;
import androidx.core.graphics.drawable.TintAwareDrawable;
import androidx.core.graphics.drawable.WrappedDrawable;
import androidx.core.view.KeyEventDispatcher;
import androidx.core.view.NestedScrollingParent2;
import androidx.core.view.NestedScrollingParent3;
import androidx.core.view.ViewCompat;
import androidx.core.view.ViewPropertyAnimatorListenerAdapter;
import androidx.databinding.InverseBindingListener;
import androidx.databinding.adapters.TextViewBindingAdapter$AfterTextChanged;
import androidx.databinding.adapters.TextViewBindingAdapter$BeforeTextChanged;
import androidx.databinding.adapters.TextViewBindingAdapter$OnTextChanged;
import androidx.databinding.library.baseAdapters.R$id;
import androidx.lifecycle.Lifecycle;
import androidx.lifecycle.LifecycleOwner;
import androidx.lifecycle.LifecycleRegistry;
import b.b.a.k;
import b.b.a.l;
import b.b.a.n;
import b.b.f.b0;
import b.b.f.d0;
import b.b.f.e0;
import b.b.f.z;
import b.d.a.e2;
import b.d.a.r1;
import b.j.b.b.e;
import b.j.f.b;
import b.j.h.m;
import b.j.h.o;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.lang.ref.WeakReference;
import java.lang.reflect.Array;
import java.lang.reflect.Field;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.nio.ByteBuffer;
import java.nio.MappedByteBuffer;
import java.nio.channels.FileChannel;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Calendar;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.Objects;
import java.util.WeakHashMap;
import java.util.concurrent.Executor;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.atomic.AtomicInteger;
import org.dsq.library.widget.circularmenu.anim.DefaultAnimationHandler;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

public class AppCompatDelegateImpl extends b.b.a.f implements MenuBuilder.Callback, LayoutInflater.Factory2 {

    /* renamed from: j  reason: collision with root package name */
    public static final b.f.g<String, Integer> f118j = new b.f.g<>();

    /* renamed from: k  reason: collision with root package name */
    public static final int[] f119k = {16842836};

    /* renamed from: l  reason: collision with root package name */
    public static final boolean f120l = (!"robolectric".equals(Build.FINGERPRINT));
    public static final boolean m = true;
    public PopupWindow A;
    public Runnable B;
    public m C = null;
    public boolean D;
    public ViewGroup E;
    public TextView F;
    public View G;
    public boolean H;
    public boolean I;
    public boolean J;
    public boolean K;
    public boolean L;
    public boolean M;
    public boolean N;
    public boolean O;
    public PanelFeatureState[] P;
    public PanelFeatureState Q;
    public boolean R;
    public boolean S;
    public boolean T;
    public boolean U;
    public boolean V;
    public int W = -100;
    public int X;
    public boolean Y;
    public boolean Z;
    public h a0;
    public h b0;
    public boolean c0;
    public int d0;
    public final Runnable e0 = new a();
    public boolean f0;
    public Rect g0;
    public Rect h0;
    public b.b.a.k i0;
    public final Object n;
    public final Context o;
    public Window p;
    public f q;
    public final AppCompatCallback r;
    public ActionBar s;
    public MenuInflater t;
    public CharSequence u;
    public DecorContentParent v;
    public c w;
    public k x;
    public ActionMode y;
    public ActionBarContextView z;

    public static final class PanelFeatureState {

        /* renamed from: a  reason: collision with root package name */
        public int f121a;

        /* renamed from: b  reason: collision with root package name */
        public int f122b;

        /* renamed from: c  reason: collision with root package name */
        public int f123c;

        /* renamed from: d  reason: collision with root package name */
        public int f124d;

        /* renamed from: e  reason: collision with root package name */
        public ViewGroup f125e;

        /* renamed from: f  reason: collision with root package name */
        public View f126f;

        /* renamed from: g  reason: collision with root package name */
        public View f127g;

        /* renamed from: h  reason: collision with root package name */
        public MenuBuilder f128h;

        /* renamed from: i  reason: collision with root package name */
        public ListMenuPresenter f129i;

        /* renamed from: j  reason: collision with root package name */
        public Context f130j;

        /* renamed from: k  reason: collision with root package name */
        public boolean f131k;

        /* renamed from: l  reason: collision with root package name */
        public boolean f132l;
        public boolean m;
        public boolean n;
        public boolean o = false;
        public boolean p;
        public Bundle q;

        @SuppressLint({"BanParcelableUsage"})
        public static class SavedState implements Parcelable {
            public static final Parcelable.Creator<SavedState> CREATOR = new a();
            public int featureId;
            public boolean isOpen;
            public Bundle menuState;

            public class a implements Parcelable.ClassLoaderCreator<SavedState> {
                /* Return type fixed from 'java.lang.Object' to match base method */
                @Override // android.os.Parcelable.ClassLoaderCreator
                public SavedState createFromParcel(Parcel parcel, ClassLoader classLoader) {
                    return SavedState.readFromParcel(parcel, classLoader);
                }

                @Override // android.os.Parcelable.Creator
                public Object[] newArray(int i2) {
                    return new SavedState[i2];
                }

                @Override // android.os.Parcelable.Creator
                public Object createFromParcel(Parcel parcel) {
                    return SavedState.readFromParcel(parcel, null);
                }
            }

            public static SavedState readFromParcel(Parcel parcel, ClassLoader classLoader) {
                SavedState savedState = new SavedState();
                savedState.featureId = parcel.readInt();
                boolean z = true;
                if (parcel.readInt() != 1) {
                    z = false;
                }
                savedState.isOpen = z;
                if (z) {
                    savedState.menuState = parcel.readBundle(classLoader);
                }
                return savedState;
            }

            public int describeContents() {
                return 0;
            }

            public void writeToParcel(Parcel parcel, int i2) {
                parcel.writeInt(this.featureId);
                parcel.writeInt(this.isOpen ? 1 : 0);
                if (this.isOpen) {
                    parcel.writeBundle(this.menuState);
                }
            }
        }

        public PanelFeatureState(int i2) {
            this.f121a = i2;
        }

        public void a(MenuBuilder menuBuilder) {
            ListMenuPresenter listMenuPresenter;
            MenuBuilder menuBuilder2 = this.f128h;
            if (menuBuilder != menuBuilder2) {
                if (menuBuilder2 != null) {
                    menuBuilder2.v(this.f129i);
                }
                this.f128h = menuBuilder;
                if (menuBuilder != null && (listMenuPresenter = this.f129i) != null) {
                    menuBuilder.b(listMenuPresenter, menuBuilder.f240b);
                }
            }
        }
    }

    public class a implements Runnable {
        public a() {
        }

        public void run() {
            AppCompatDelegateImpl appCompatDelegateImpl = AppCompatDelegateImpl.this;
            if ((appCompatDelegateImpl.d0 & 1) != 0) {
                appCompatDelegateImpl.I(0);
            }
            AppCompatDelegateImpl appCompatDelegateImpl2 = AppCompatDelegateImpl.this;
            if ((appCompatDelegateImpl2.d0 & 4096) != 0) {
                appCompatDelegateImpl2.I(108);
            }
            AppCompatDelegateImpl appCompatDelegateImpl3 = AppCompatDelegateImpl.this;
            appCompatDelegateImpl3.c0 = false;
            appCompatDelegateImpl3.d0 = 0;
        }
    }

    public class b implements ActionBarDrawerToggle.Delegate {
        public b() {
        }

        @Override // androidx.appcompat.app.ActionBarDrawerToggle.Delegate
        public Context getActionBarThemedContext() {
            return AppCompatDelegateImpl.this.N();
        }

        @Override // androidx.appcompat.app.ActionBarDrawerToggle.Delegate
        public Drawable getThemeUpIndicator() {
            z q = z.q(AppCompatDelegateImpl.this.N(), null, new int[]{R$attr.homeAsUpIndicator});
            Drawable g2 = q.g(0);
            q.f2453b.recycle();
            return g2;
        }

        @Override // androidx.appcompat.app.ActionBarDrawerToggle.Delegate
        public boolean isNavigationVisible() {
            AppCompatDelegateImpl appCompatDelegateImpl = AppCompatDelegateImpl.this;
            appCompatDelegateImpl.R();
            ActionBar actionBar = appCompatDelegateImpl.s;
            return (actionBar == null || (actionBar.d() & 4) == 0) ? false : true;
        }

        @Override // androidx.appcompat.app.ActionBarDrawerToggle.Delegate
        public void setActionBarDescription(int i2) {
            AppCompatDelegateImpl appCompatDelegateImpl = AppCompatDelegateImpl.this;
            appCompatDelegateImpl.R();
            ActionBar actionBar = appCompatDelegateImpl.s;
            if (actionBar != null) {
                actionBar.o(i2);
            }
        }

        @Override // androidx.appcompat.app.ActionBarDrawerToggle.Delegate
        public void setActionBarUpIndicator(Drawable drawable, int i2) {
            AppCompatDelegateImpl appCompatDelegateImpl = AppCompatDelegateImpl.this;
            appCompatDelegateImpl.R();
            ActionBar actionBar = appCompatDelegateImpl.s;
            if (actionBar != null) {
                actionBar.p(drawable);
                actionBar.o(i2);
            }
        }
    }

    public final class c implements MenuPresenter.Callback {
        public c() {
        }

        @Override // androidx.appcompat.view.menu.MenuPresenter.Callback
        public void onCloseMenu(MenuBuilder menuBuilder, boolean z) {
            AppCompatDelegateImpl.this.E(menuBuilder);
        }

        @Override // androidx.appcompat.view.menu.MenuPresenter.Callback
        public boolean onOpenSubMenu(MenuBuilder menuBuilder) {
            Window.Callback Q = AppCompatDelegateImpl.this.Q();
            if (Q == null) {
                return true;
            }
            Q.onMenuOpened(108, menuBuilder);
            return true;
        }
    }

    public class d implements ActionMode.Callback {

        /* renamed from: a  reason: collision with root package name */
        public ActionMode.Callback f136a;

        public class a extends ViewPropertyAnimatorListenerAdapter {
            public a() {
            }

            @Override // androidx.core.view.ViewPropertyAnimatorListenerAdapter, androidx.core.view.ViewPropertyAnimatorListener
            public void onAnimationEnd(View view) {
                AppCompatDelegateImpl.this.z.setVisibility(8);
                AppCompatDelegateImpl appCompatDelegateImpl = AppCompatDelegateImpl.this;
                PopupWindow popupWindow = appCompatDelegateImpl.A;
                if (popupWindow != null) {
                    popupWindow.dismiss();
                } else if (appCompatDelegateImpl.z.getParent() instanceof View) {
                    AtomicInteger atomicInteger = ViewCompat.f1365a;
                    ((View) AppCompatDelegateImpl.this.z.getParent()).requestApplyInsets();
                }
                AppCompatDelegateImpl.this.z.h();
                AppCompatDelegateImpl.this.C.d(null);
                AppCompatDelegateImpl appCompatDelegateImpl2 = AppCompatDelegateImpl.this;
                appCompatDelegateImpl2.C = null;
                ViewGroup viewGroup = appCompatDelegateImpl2.E;
                AtomicInteger atomicInteger2 = ViewCompat.f1365a;
                viewGroup.requestApplyInsets();
            }
        }

        public d(ActionMode.Callback callback) {
            this.f136a = callback;
        }

        @Override // androidx.appcompat.view.ActionMode.Callback
        public boolean onActionItemClicked(ActionMode actionMode, MenuItem menuItem) {
            return this.f136a.onActionItemClicked(actionMode, menuItem);
        }

        @Override // androidx.appcompat.view.ActionMode.Callback
        public boolean onCreateActionMode(ActionMode actionMode, Menu menu) {
            return this.f136a.onCreateActionMode(actionMode, menu);
        }

        @Override // androidx.appcompat.view.ActionMode.Callback
        public void onDestroyActionMode(ActionMode actionMode) {
            this.f136a.onDestroyActionMode(actionMode);
            AppCompatDelegateImpl appCompatDelegateImpl = AppCompatDelegateImpl.this;
            if (appCompatDelegateImpl.A != null) {
                appCompatDelegateImpl.p.getDecorView().removeCallbacks(AppCompatDelegateImpl.this.B);
            }
            AppCompatDelegateImpl appCompatDelegateImpl2 = AppCompatDelegateImpl.this;
            if (appCompatDelegateImpl2.z != null) {
                appCompatDelegateImpl2.J();
                AppCompatDelegateImpl appCompatDelegateImpl3 = AppCompatDelegateImpl.this;
                m b2 = ViewCompat.b(appCompatDelegateImpl3.z);
                b2.a(0.0f);
                appCompatDelegateImpl3.C = b2;
                m mVar = AppCompatDelegateImpl.this.C;
                a aVar = new a();
                View view = mVar.f3417a.get();
                if (view != null) {
                    mVar.e(view, aVar);
                }
            }
            AppCompatDelegateImpl appCompatDelegateImpl4 = AppCompatDelegateImpl.this;
            AppCompatCallback appCompatCallback = appCompatDelegateImpl4.r;
            if (appCompatCallback != null) {
                appCompatCallback.onSupportActionModeFinished(appCompatDelegateImpl4.y);
            }
            AppCompatDelegateImpl appCompatDelegateImpl5 = AppCompatDelegateImpl.this;
            appCompatDelegateImpl5.y = null;
            ViewGroup viewGroup = appCompatDelegateImpl5.E;
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            viewGroup.requestApplyInsets();
        }

        @Override // androidx.appcompat.view.ActionMode.Callback
        public boolean onPrepareActionMode(ActionMode actionMode, Menu menu) {
            ViewGroup viewGroup = AppCompatDelegateImpl.this.E;
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            viewGroup.requestApplyInsets();
            return this.f136a.onPrepareActionMode(actionMode, menu);
        }
    }

    public static class e {

        /* renamed from: a  reason: collision with root package name */
        public static Field f139a;

        /* renamed from: b  reason: collision with root package name */
        public static boolean f140b;

        /* renamed from: c  reason: collision with root package name */
        public static Class<?> f141c;

        /* renamed from: d  reason: collision with root package name */
        public static boolean f142d;

        /* renamed from: e  reason: collision with root package name */
        public static Field f143e;

        /* renamed from: f  reason: collision with root package name */
        public static boolean f144f;

        /* renamed from: g  reason: collision with root package name */
        public static Field f145g;

        /* renamed from: h  reason: collision with root package name */
        public static boolean f146h;

        /* renamed from: i  reason: collision with root package name */
        public static Method f147i;

        /* renamed from: j  reason: collision with root package name */
        public static boolean f148j;

        /* renamed from: k  reason: collision with root package name */
        public static Method f149k;

        /* renamed from: l  reason: collision with root package name */
        public static boolean f150l;
        public static Field m;
        public static boolean n;
        public static Method o;
        public static boolean p;
        public static Field q;
        public static boolean r;

        /* compiled from: TextViewBindingAdapter */
        public static class a implements TextWatcher {

            /* renamed from: d  reason: collision with root package name */
            public final /* synthetic */ TextViewBindingAdapter$BeforeTextChanged f151d;

            /* renamed from: h  reason: collision with root package name */
            public final /* synthetic */ TextViewBindingAdapter$OnTextChanged f152h;

            /* renamed from: j  reason: collision with root package name */
            public final /* synthetic */ InverseBindingListener f153j;

            /* renamed from: k  reason: collision with root package name */
            public final /* synthetic */ TextViewBindingAdapter$AfterTextChanged f154k;

            public a(TextViewBindingAdapter$BeforeTextChanged textViewBindingAdapter$BeforeTextChanged, TextViewBindingAdapter$OnTextChanged textViewBindingAdapter$OnTextChanged, InverseBindingListener inverseBindingListener, TextViewBindingAdapter$AfterTextChanged textViewBindingAdapter$AfterTextChanged) {
                this.f151d = textViewBindingAdapter$BeforeTextChanged;
                this.f152h = textViewBindingAdapter$OnTextChanged;
                this.f153j = inverseBindingListener;
                this.f154k = textViewBindingAdapter$AfterTextChanged;
            }

            public void afterTextChanged(Editable editable) {
                TextViewBindingAdapter$AfterTextChanged textViewBindingAdapter$AfterTextChanged = this.f154k;
                if (textViewBindingAdapter$AfterTextChanged != null) {
                    textViewBindingAdapter$AfterTextChanged.afterTextChanged(editable);
                }
            }

            public void beforeTextChanged(CharSequence charSequence, int i2, int i3, int i4) {
                TextViewBindingAdapter$BeforeTextChanged textViewBindingAdapter$BeforeTextChanged = this.f151d;
                if (textViewBindingAdapter$BeforeTextChanged != null) {
                    textViewBindingAdapter$BeforeTextChanged.beforeTextChanged(charSequence, i2, i3, i4);
                }
            }

            public void onTextChanged(CharSequence charSequence, int i2, int i3, int i4) {
                TextViewBindingAdapter$OnTextChanged textViewBindingAdapter$OnTextChanged = this.f152h;
                if (textViewBindingAdapter$OnTextChanged != null) {
                    textViewBindingAdapter$OnTextChanged.onTextChanged(charSequence, i2, i3, i4);
                }
                InverseBindingListener inverseBindingListener = this.f153j;
                if (inverseBindingListener != null) {
                    inverseBindingListener.onChange();
                }
            }
        }

        public static b.j.c.c[] A(b.j.c.c[] cVarArr) {
            if (cVarArr == null) {
                return null;
            }
            b.j.c.c[] cVarArr2 = new b.j.c.c[cVarArr.length];
            for (int i2 = 0; i2 < cVarArr.length; i2++) {
                cVarArr2[i2] = new b.j.c.c(cVarArr[i2]);
            }
            return cVarArr2;
        }

        public static void A0(Drawable drawable, ColorStateList colorStateList) {
            drawable.setTintList(colorStateList);
        }

        public static Executor B() {
            if (b.d.a.q2.d0.i.a.f2663d != null) {
                return b.d.a.q2.d0.i.a.f2663d;
            }
            synchronized (b.d.a.q2.d0.i.a.class) {
                if (b.d.a.q2.d0.i.a.f2663d == null) {
                    b.d.a.q2.d0.i.a.f2663d = new b.d.a.q2.d0.i.a();
                }
            }
            return b.d.a.q2.d0.i.a.f2663d;
        }

        public static void B0(Drawable drawable, PorterDuff.Mode mode) {
            drawable.setTintMode(mode);
        }

        public static b.h.a.g.c.h C(ConstraintWidget constraintWidget, int i2, ArrayList<b.h.a.g.c.h> arrayList, b.h.a.g.c.h hVar) {
            int i3;
            int i4;
            if (i2 == 0) {
                i3 = constraintWidget.M0;
            } else {
                i3 = constraintWidget.N0;
            }
            int i5 = 0;
            if (i3 != -1 && (hVar == null || i3 != hVar.f3014c)) {
                int i6 = 0;
                while (true) {
                    if (i6 >= arrayList.size()) {
                        break;
                    }
                    b.h.a.g.c.h hVar2 = arrayList.get(i6);
                    if (hVar2.f3014c == i3) {
                        if (hVar != null) {
                            hVar.d(i2, hVar2);
                            arrayList.remove(hVar);
                        }
                        hVar = hVar2;
                    } else {
                        i6++;
                    }
                }
            } else if (i3 != -1) {
                return hVar;
            }
            if (hVar == null) {
                if (constraintWidget instanceof HelperWidget) {
                    HelperWidget helperWidget = (HelperWidget) constraintWidget;
                    int i7 = 0;
                    while (true) {
                        if (i7 >= helperWidget.P0) {
                            i4 = -1;
                            break;
                        }
                        ConstraintWidget constraintWidget2 = helperWidget.O0[i7];
                        if ((i2 == 0 && (i4 = constraintWidget2.M0) != -1) || (i2 == 1 && (i4 = constraintWidget2.N0) != -1)) {
                            break;
                        }
                        i7++;
                    }
                    if (i4 != -1) {
                        int i8 = 0;
                        while (true) {
                            if (i8 >= arrayList.size()) {
                                break;
                            }
                            b.h.a.g.c.h hVar3 = arrayList.get(i8);
                            if (hVar3.f3014c == i4) {
                                hVar = hVar3;
                                break;
                            }
                            i8++;
                        }
                    }
                }
                if (hVar == null) {
                    hVar = new b.h.a.g.c.h(i2);
                }
                arrayList.add(hVar);
            }
            if (hVar.a(constraintWidget)) {
                if (constraintWidget instanceof Guideline) {
                    Guideline guideline = (Guideline) constraintWidget;
                    ConstraintAnchor constraintAnchor = guideline.R0;
                    if (guideline.S0 == 0) {
                        i5 = 1;
                    }
                    constraintAnchor.c(i5, arrayList, hVar);
                }
                if (i2 == 0) {
                    constraintWidget.M0 = hVar.f3014c;
                    constraintWidget.M.c(i2, arrayList, hVar);
                    constraintWidget.O.c(i2, arrayList, hVar);
                } else {
                    constraintWidget.N0 = hVar.f3014c;
                    constraintWidget.N.c(i2, arrayList, hVar);
                    constraintWidget.Q.c(i2, arrayList, hVar);
                    constraintWidget.P.c(i2, arrayList, hVar);
                }
                constraintWidget.T.c(i2, arrayList, hVar);
            }
            return hVar;
        }

        public static void C0(View view, CharSequence charSequence) {
            if (Build.VERSION.SDK_INT >= 26) {
                view.setTooltipText(charSequence);
                return;
            }
            b0 b0Var = b0.f2331d;
            if (b0Var != null && b0Var.f2333j == view) {
                b0.c(null);
            }
            if (TextUtils.isEmpty(charSequence)) {
                b0 b0Var2 = b0.f2332h;
                if (b0Var2 != null && b0Var2.f2333j == view) {
                    b0Var2.b();
                }
                view.setOnLongClickListener(null);
                view.setLongClickable(false);
                view.setOnHoverListener(null);
                return;
            }
            new b0(view, charSequence);
        }

        public static b.h.a.g.c.h D(ArrayList<b.h.a.g.c.h> arrayList, int i2) {
            int size = arrayList.size();
            for (int i3 = 0; i3 < size; i3++) {
                b.h.a.g.c.h hVar = arrayList.get(i3);
                if (i2 == hVar.f3014c) {
                    return hVar;
                }
            }
            return null;
        }

        public static void D0(PopupWindow popupWindow, int i2) {
            if (Build.VERSION.SDK_INT >= 23) {
                popupWindow.setWindowLayoutType(i2);
                return;
            }
            if (!p) {
                try {
                    Method declaredMethod = PopupWindow.class.getDeclaredMethod("setWindowLayoutType", Integer.TYPE);
                    o = declaredMethod;
                    declaredMethod.setAccessible(true);
                } catch (Exception unused) {
                }
                p = true;
            }
            Method method = o;
            if (method != null) {
                try {
                    method.invoke(popupWindow, Integer.valueOf(i2));
                } catch (Exception unused2) {
                }
            }
        }

        public static void E(Object obj) {
            if (!f142d) {
                try {
                    f141c = Class.forName("android.content.res.ThemedResourceCache");
                } catch (ClassNotFoundException e2) {
                    Log.e("ResourcesFlusher", "Could not find ThemedResourceCache class", e2);
                }
                f142d = true;
            }
            Class<?> cls = f141c;
            if (cls != null) {
                if (!f144f) {
                    try {
                        Field declaredField = cls.getDeclaredField("mUnthemedEntries");
                        f143e = declaredField;
                        declaredField.setAccessible(true);
                    } catch (NoSuchFieldException e3) {
                        Log.e("ResourcesFlusher", "Could not retrieve ThemedResourceCache#mUnthemedEntries field", e3);
                    }
                    f144f = true;
                }
                Field field = f143e;
                if (field != null) {
                    LongSparseArray longSparseArray = null;
                    try {
                        longSparseArray = (LongSparseArray) field.get(obj);
                    } catch (IllegalAccessException e4) {
                        Log.e("ResourcesFlusher", "Could not retrieve value from ThemedResourceCache#mUnthemedEntries", e4);
                    }
                    if (longSparseArray != null) {
                        longSparseArray.clear();
                    }
                }
            }
        }

        public static boolean E0(ImageProxy imageProxy) {
            return !new Size(imageProxy.getCropRect().width(), imageProxy.getCropRect().height()).equals(new Size(imageProxy.getWidth(), imageProxy.getHeight()));
        }

        /* JADX WARNING: Removed duplicated region for block: B:15:0x0048  */
        /* JADX WARNING: Removed duplicated region for block: B:20:0x0050  */
        public static String F(ContentResolver contentResolver, Uri uri) {
            Throwable th;
            Cursor cursor;
            RuntimeException e2;
            Cursor cursor2 = null;
            try {
                cursor = contentResolver.query(uri, new String[]{"_data"}, null, null, null);
                try {
                    Objects.requireNonNull(cursor);
                    int columnIndexOrThrow = cursor.getColumnIndexOrThrow("_data");
                    cursor.moveToFirst();
                    String string = cursor.getString(columnIndexOrThrow);
                    cursor.close();
                    return string;
                } catch (RuntimeException e3) {
                    e2 = e3;
                    try {
                        e2.b("VideoUtil", String.format("Failed in getting absolute path for Uri %s with Exception %s", uri.toString(), e2.toString()), null);
                        if (cursor != null) {
                            cursor.close();
                        }
                        return "";
                    } catch (Throwable th2) {
                        th = th2;
                        cursor2 = cursor;
                        if (cursor2 != null) {
                            cursor2.close();
                        }
                        throw th;
                    }
                }
            } catch (RuntimeException e4) {
                e2 = e4;
                cursor = null;
                e2.b("VideoUtil", String.format("Failed in getting absolute path for Uri %s with Exception %s", uri.toString(), e2.toString()), null);
                if (cursor != null) {
                }
                return "";
            } catch (Throwable th3) {
                th = th3;
                if (cursor2 != null) {
                }
                throw th;
            }
        }

        public static CaptureBundle F0() {
            return new r1(Arrays.asList(new CaptureStage.DefaultCaptureStage()));
        }

        public static Drawable G(CompoundButton compoundButton) {
            if (Build.VERSION.SDK_INT >= 23) {
                return compoundButton.getButtonDrawable();
            }
            if (!n) {
                try {
                    Field declaredField = CompoundButton.class.getDeclaredField("mButtonDrawable");
                    m = declaredField;
                    declaredField.setAccessible(true);
                } catch (NoSuchFieldException e2) {
                    Log.i("CompoundButtonCompat", "Failed to retrieve mButtonDrawable field", e2);
                }
                n = true;
            }
            Field field = m;
            if (field != null) {
                try {
                    return (Drawable) field.get(compoundButton);
                } catch (IllegalAccessException e3) {
                    Log.i("CompoundButtonCompat", "Failed to get button drawable via reflection", e3);
                    m = null;
                }
            }
            return null;
        }

        public static void G0(XmlPullParser xmlPullParser) {
            int i2 = 1;
            while (i2 > 0) {
                int next = xmlPullParser.next();
                if (next == 2) {
                    i2++;
                } else if (next == 3) {
                    i2--;
                }
            }
        }

        public static <T> d.h.b.a.a.a<T> H(CallbackToFutureAdapter$Resolver<T> callbackToFutureAdapter$Resolver) {
            b.g.a.a<T> aVar = new b.g.a.a<>();
            b.g.a.b<T> bVar = new b.g.a.b<>(aVar);
            aVar.f2951b = bVar;
            aVar.f2950a = callbackToFutureAdapter$Resolver.getClass();
            try {
                Object attachCompleter = callbackToFutureAdapter$Resolver.attachCompleter(aVar);
                if (attachCompleter != null) {
                    aVar.f2950a = attachCompleter;
                }
            } catch (Exception e2) {
                bVar.f2955h.j(e2);
            }
            return bVar;
        }

        public static int H0(int i2) {
            if (i2 == 0) {
                return 0;
            }
            if (i2 == 1) {
                return 90;
            }
            if (i2 == 2) {
                return 180;
            }
            if (i2 == 3) {
                return 270;
            }
            throw new IllegalArgumentException(d.a.a.a.a.k("Unsupported surface rotation: ", i2));
        }

        public static int I(Drawable drawable) {
            if (Build.VERSION.SDK_INT >= 23) {
                return drawable.getLayoutDirection();
            }
            if (!f150l) {
                try {
                    Method declaredMethod = Drawable.class.getDeclaredMethod("getLayoutDirection", new Class[0]);
                    f149k = declaredMethod;
                    declaredMethod.setAccessible(true);
                } catch (NoSuchMethodException e2) {
                    Log.i("DrawableCompat", "Failed to retrieve getLayoutDirection() method", e2);
                }
                f150l = true;
            }
            Method method = f149k;
            if (method != null) {
                try {
                    return ((Integer) method.invoke(drawable, new Object[0])).intValue();
                } catch (Exception e3) {
                    Log.i("DrawableCompat", "Failed to invoke getLayoutDirection() via reflection", e3);
                    f149k = null;
                }
            }
            return 0;
        }

        public static List<byte[]> I0(String[] strArr) {
            ArrayList arrayList = new ArrayList();
            for (String str : strArr) {
                arrayList.add(Base64.decode(str, 0));
            }
            return arrayList;
        }

        public static String J() {
            StackTraceElement stackTraceElement = new Throwable().getStackTrace()[1];
            String fileName = stackTraceElement.getFileName();
            int lineNumber = stackTraceElement.getLineNumber();
            String methodName = stackTraceElement.getMethodName();
            StringBuilder sb = new StringBuilder(d.a.a.a.a.R(methodName, d.a.a.a.a.R(fileName, 18)));
            sb.append(".(");
            sb.append(fileName);
            sb.append(":");
            sb.append(lineNumber);
            return d.a.a.a.a.z(sb, ") ", methodName, "()");
        }

        /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: android.graphics.drawable.Drawable */
        /* JADX WARN: Multi-variable type inference failed */
        public static <T extends Drawable> T J0(Drawable drawable) {
            return drawable instanceof WrappedDrawable ? (T) ((WrappedDrawable) drawable).getWrappedDrawable() : drawable;
        }

        public static String K() {
            StackTraceElement stackTraceElement = new Throwable().getStackTrace()[1];
            String fileName = stackTraceElement.getFileName();
            int lineNumber = stackTraceElement.getLineNumber();
            StringBuilder sb = new StringBuilder(String.valueOf(fileName).length() + 15);
            sb.append(".(");
            sb.append(fileName);
            sb.append(":");
            sb.append(lineNumber);
            sb.append(")");
            return sb.toString();
        }

        public static boolean K0(ConstraintWidget.DimensionBehaviour dimensionBehaviour, ConstraintWidget.DimensionBehaviour dimensionBehaviour2, ConstraintWidget.DimensionBehaviour dimensionBehaviour3, ConstraintWidget.DimensionBehaviour dimensionBehaviour4) {
            ConstraintWidget.DimensionBehaviour dimensionBehaviour5;
            ConstraintWidget.DimensionBehaviour dimensionBehaviour6;
            ConstraintWidget.DimensionBehaviour dimensionBehaviour7 = ConstraintWidget.DimensionBehaviour.FIXED;
            return (dimensionBehaviour3 == dimensionBehaviour7 || dimensionBehaviour3 == (dimensionBehaviour6 = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT) || (dimensionBehaviour3 == ConstraintWidget.DimensionBehaviour.MATCH_PARENT && dimensionBehaviour != dimensionBehaviour6)) || (dimensionBehaviour4 == dimensionBehaviour7 || dimensionBehaviour4 == (dimensionBehaviour5 = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT) || (dimensionBehaviour4 == ConstraintWidget.DimensionBehaviour.MATCH_PARENT && dimensionBehaviour2 != dimensionBehaviour5));
        }

        public static String L(Context context, int i2) {
            if (i2 == -1) {
                return "UNKNOWN";
            }
            try {
                return context.getResources().getResourceEntryName(i2);
            } catch (Exception unused) {
                StringBuilder sb = new StringBuilder(12);
                sb.append("?");
                sb.append(i2);
                return sb.toString();
            }
        }

        public static Drawable L0(Drawable drawable) {
            return (Build.VERSION.SDK_INT < 23 && !(drawable instanceof TintAwareDrawable)) ? new b.j.c.g.d(drawable) : drawable;
        }

        public static String M(View view) {
            try {
                return view.getContext().getResources().getResourceEntryName(view.getId());
            } catch (Exception unused) {
                return "UNKNOWN";
            }
        }

        public static ActionMode.Callback M0(TextView textView, ActionMode.Callback callback) {
            int i2 = Build.VERSION.SDK_INT;
            return (i2 < 26 || i2 > 27 || (callback instanceof b.j.i.b)) ? callback : new b.j.i.b(callback, textView);
        }

        public static Intent N(Activity activity) {
            Intent parentActivityIntent = activity.getParentActivityIntent();
            if (parentActivityIntent != null) {
                return parentActivityIntent;
            }
            try {
                String P = P(activity, activity.getComponentName());
                if (P == null) {
                    return null;
                }
                ComponentName componentName = new ComponentName(activity, P);
                try {
                    if (P(activity, componentName) == null) {
                        return Intent.makeMainActivity(componentName);
                    }
                    return new Intent().setComponent(componentName);
                } catch (PackageManager.NameNotFoundException unused) {
                    Log.e("NavUtils", "getParentActivityIntent: bad parentActivityName '" + P + "' in manifest");
                    return null;
                }
            } catch (PackageManager.NameNotFoundException e2) {
                throw new IllegalArgumentException(e2);
            }
        }

        public static byte[] N0(ImageProxy imageProxy) {
            ImageProxy.PlaneProxy planeProxy = imageProxy.getPlanes()[0];
            ImageProxy.PlaneProxy planeProxy2 = imageProxy.getPlanes()[1];
            ImageProxy.PlaneProxy planeProxy3 = imageProxy.getPlanes()[2];
            ByteBuffer buffer = planeProxy.getBuffer();
            ByteBuffer buffer2 = planeProxy2.getBuffer();
            ByteBuffer buffer3 = planeProxy3.getBuffer();
            buffer.rewind();
            buffer2.rewind();
            buffer3.rewind();
            int remaining = buffer.remaining();
            byte[] bArr = new byte[(((imageProxy.getHeight() * imageProxy.getWidth()) / 2) + remaining)];
            int i2 = 0;
            for (int i3 = 0; i3 < imageProxy.getHeight(); i3++) {
                buffer.get(bArr, i2, imageProxy.getWidth());
                i2 += imageProxy.getWidth();
                buffer.position(Math.min(remaining, planeProxy.getRowStride() + (buffer.position() - imageProxy.getWidth())));
            }
            int height = imageProxy.getHeight() / 2;
            int width = imageProxy.getWidth() / 2;
            int rowStride = planeProxy3.getRowStride();
            int rowStride2 = planeProxy2.getRowStride();
            int pixelStride = planeProxy3.getPixelStride();
            int pixelStride2 = planeProxy2.getPixelStride();
            byte[] bArr2 = new byte[rowStride];
            byte[] bArr3 = new byte[rowStride2];
            for (int i4 = 0; i4 < height; i4++) {
                buffer3.get(bArr2, 0, Math.min(rowStride, buffer3.remaining()));
                buffer2.get(bArr3, 0, Math.min(rowStride2, buffer2.remaining()));
                int i5 = 0;
                int i6 = 0;
                for (int i7 = 0; i7 < width; i7++) {
                    int i8 = i2 + 1;
                    bArr[i2] = bArr2[i5];
                    i2 = i8 + 1;
                    bArr[i8] = bArr3[i6];
                    i5 += pixelStride;
                    i6 += pixelStride2;
                }
            }
            return bArr;
        }

        public static Intent O(Context context, ComponentName componentName) {
            String P = P(context, componentName);
            if (P == null) {
                return null;
            }
            ComponentName componentName2 = new ComponentName(componentName.getPackageName(), P);
            if (P(context, componentName2) == null) {
                return Intent.makeMainActivity(componentName2);
            }
            return new Intent().setComponent(componentName2);
        }

        public static String P(Context context, ComponentName componentName) {
            String string;
            PackageManager packageManager = context.getPackageManager();
            int i2 = Build.VERSION.SDK_INT;
            int i3 = 640;
            if (i2 >= 29) {
                i3 = 269222528;
            } else if (i2 >= 24) {
                i3 = 787072;
            }
            ActivityInfo activityInfo = packageManager.getActivityInfo(componentName, i3);
            String str = activityInfo.parentActivityName;
            if (str != null) {
                return str;
            }
            Bundle bundle = activityInfo.metaData;
            if (bundle == null || (string = bundle.getString("android.support.PARENT_ACTIVITY")) == null) {
                return null;
            }
            if (string.charAt(0) != '.') {
                return string;
            }
            return context.getPackageName() + string;
        }

        public static Rational Q(int i2, Rational rational) {
            if (i2 == 90 || i2 == 270) {
                return rational == null ? rational : new Rational(rational.getDenominator(), rational.getNumerator());
            }
            return new Rational(rational.getNumerator(), rational.getDenominator());
        }

        public static String R(MotionLayout motionLayout, int i2) {
            if (i2 == -1) {
                return "UNDEFINED";
            }
            return motionLayout.getContext().getResources().getResourceEntryName(i2);
        }

        public static File S(Context context) {
            File cacheDir = context.getCacheDir();
            if (cacheDir == null) {
                return null;
            }
            StringBuilder B = d.a.a.a.a.B(".font");
            B.append(Process.myPid());
            B.append("-");
            B.append(Process.myTid());
            B.append("-");
            String sb = B.toString();
            for (int i2 = 0; i2 < 100; i2++) {
                File file = new File(cacheDir, d.a.a.a.a.k(sb, i2));
                try {
                    if (file.createNewFile()) {
                        return file;
                    }
                } catch (IOException unused) {
                }
            }
            return null;
        }

        public static b.a T(TextView textView) {
            int i2;
            int i3;
            TextDirectionHeuristic textDirectionHeuristic;
            int i4 = Build.VERSION.SDK_INT;
            if (i4 >= 28) {
                return new b.a(textView.getTextMetricsParams());
            }
            TextPaint textPaint = new TextPaint(textView.getPaint());
            boolean z = false;
            if (Build.VERSION.SDK_INT >= 23) {
                i3 = 1;
                i2 = 1;
            } else {
                i3 = 0;
                i2 = 0;
            }
            TextDirectionHeuristic textDirectionHeuristic2 = TextDirectionHeuristics.FIRSTSTRONG_LTR;
            if (i4 >= 23) {
                i3 = textView.getBreakStrategy();
                i2 = textView.getHyphenationFrequency();
            }
            if (textView.getTransformationMethod() instanceof PasswordTransformationMethod) {
                textDirectionHeuristic = TextDirectionHeuristics.LTR;
            } else if (i4 < 28 || (textView.getInputType() & 15) != 3) {
                if (textView.getLayoutDirection() == 1) {
                    z = true;
                }
                switch (textView.getTextDirection()) {
                    case 2:
                        textDirectionHeuristic = TextDirectionHeuristics.ANYRTL_LTR;
                        break;
                    case 3:
                        textDirectionHeuristic = TextDirectionHeuristics.LTR;
                        break;
                    case 4:
                        textDirectionHeuristic = TextDirectionHeuristics.RTL;
                        break;
                    case 5:
                        textDirectionHeuristic = TextDirectionHeuristics.LOCALE;
                        break;
                    case 6:
                        textDirectionHeuristic = TextDirectionHeuristics.FIRSTSTRONG_LTR;
                        break;
                    case 7:
                        textDirectionHeuristic = TextDirectionHeuristics.FIRSTSTRONG_RTL;
                        break;
                    default:
                        if (!z) {
                            textDirectionHeuristic = TextDirectionHeuristics.FIRSTSTRONG_LTR;
                            break;
                        } else {
                            textDirectionHeuristic = TextDirectionHeuristics.FIRSTSTRONG_RTL;
                            break;
                        }
                }
            } else {
                byte directionality = Character.getDirectionality(DecimalFormatSymbols.getInstance(textView.getTextLocale()).getDigitStrings()[0].codePointAt(0));
                if (directionality == 1 || directionality == 2) {
                    textDirectionHeuristic = TextDirectionHeuristics.RTL;
                } else {
                    textDirectionHeuristic = TextDirectionHeuristics.LTR;
                }
            }
            return new b.a(textPaint, textDirectionHeuristic, i3, i2);
        }

        public static String U(TextView textView) {
            return textView.getText().toString();
        }

        public static Executor V() {
            if (b.d.a.q2.d0.i.c.f2674d != null) {
                return b.d.a.q2.d0.i.c.f2674d;
            }
            synchronized (b.d.a.q2.d0.i.c.class) {
                if (b.d.a.q2.d0.i.c.f2674d == null) {
                    b.d.a.q2.d0.i.c.f2674d = new b.d.a.q2.d0.i.c();
                }
            }
            return b.d.a.q2.d0.i.c.f2674d;
        }

        public static byte[] W(ImageProxy imageProxy) {
            Rect cropRect;
            Rect rect = null;
            if (imageProxy.getFormat() == 256) {
                ByteBuffer buffer = imageProxy.getPlanes()[0].getBuffer();
                int capacity = buffer.capacity();
                byte[] bArr = new byte[capacity];
                buffer.rewind();
                buffer.get(bArr);
                if (!E0(imageProxy) || (cropRect = imageProxy.getCropRect()) == null) {
                    return bArr;
                }
                try {
                    BitmapRegionDecoder newInstance = BitmapRegionDecoder.newInstance(bArr, 0, capacity, false);
                    Bitmap decodeRegion = newInstance.decodeRegion(cropRect, new BitmapFactory.Options());
                    newInstance.recycle();
                    if (decodeRegion != null) {
                        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
                        if (decodeRegion.compress(Bitmap.CompressFormat.JPEG, 100, byteArrayOutputStream)) {
                            decodeRegion.recycle();
                            return byteArrayOutputStream.toByteArray();
                        }
                        throw new ImageUtil$CodecFailedException("Encode bitmap failed.", ImageUtil$CodecFailedException.FailureType.ENCODE_FAILED);
                    }
                    throw new ImageUtil$CodecFailedException("Decode byte array failed.", ImageUtil$CodecFailedException.FailureType.DECODE_FAILED);
                } catch (IllegalArgumentException e2) {
                    throw new ImageUtil$CodecFailedException("Decode byte array failed with illegal argument." + e2, ImageUtil$CodecFailedException.FailureType.DECODE_FAILED);
                } catch (IOException unused) {
                    throw new ImageUtil$CodecFailedException("Decode byte array failed.", ImageUtil$CodecFailedException.FailureType.DECODE_FAILED);
                }
            } else if (imageProxy.getFormat() == 35) {
                byte[] N0 = N0(imageProxy);
                int width = imageProxy.getWidth();
                int height = imageProxy.getHeight();
                if (E0(imageProxy)) {
                    rect = imageProxy.getCropRect();
                }
                ByteArrayOutputStream byteArrayOutputStream2 = new ByteArrayOutputStream();
                YuvImage yuvImage = new YuvImage(N0, 17, width, height, null);
                if (rect == null) {
                    rect = new Rect(0, 0, width, height);
                }
                if (yuvImage.compressToJpeg(rect, 100, byteArrayOutputStream2)) {
                    return byteArrayOutputStream2.toByteArray();
                }
                throw new ImageUtil$CodecFailedException("YuvImage failed to encode jpeg.", ImageUtil$CodecFailedException.FailureType.ENCODE_FAILED);
            } else {
                StringBuilder B = d.a.a.a.a.B("Unrecognized image format: ");
                B.append(imageProxy.getFormat());
                e2.f("ImageUtil", B.toString(), null);
                return null;
            }
        }

        public static Executor X() {
            if (b.d.a.q2.d0.i.d.f2676d != null) {
                return b.d.a.q2.d0.i.d.f2676d;
            }
            synchronized (b.d.a.q2.d0.i.d.class) {
                if (b.d.a.q2.d0.i.d.f2676d == null) {
                    b.d.a.q2.d0.i.d.f2676d = new b.d.a.q2.d0.i.d();
                }
            }
            return b.d.a.q2.d0.i.d.f2676d;
        }

        public static boolean Y(Rect rect, Rect rect2, int i2) {
            if (i2 == 17) {
                int i3 = rect.right;
                int i4 = rect2.right;
                if ((i3 > i4 || rect.left >= i4) && rect.left > rect2.left) {
                    return true;
                }
                return false;
            } else if (i2 == 33) {
                int i5 = rect.bottom;
                int i6 = rect2.bottom;
                if ((i5 > i6 || rect.top >= i6) && rect.top > rect2.top) {
                    return true;
                }
                return false;
            } else if (i2 == 66) {
                int i7 = rect.left;
                int i8 = rect2.left;
                if ((i7 < i8 || rect.right <= i8) && rect.right < rect2.right) {
                    return true;
                }
                return false;
            } else if (i2 == 130) {
                int i9 = rect.top;
                int i10 = rect2.top;
                return (i9 < i10 || rect.bottom <= i10) && rect.bottom < rect2.bottom;
            } else {
                throw new IllegalArgumentException("direction must be one of {FOCUS_UP, FOCUS_DOWN, FOCUS_LEFT, FOCUS_RIGHT}.");
            }
        }

        public static boolean Z() {
            return Looper.getMainLooper().getThread() == Thread.currentThread();
        }

        /* JADX WARNING: Code restructure failed: missing block: B:117:0x01eb, code lost:
            if (r5 == r6) goto L_0x0200;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:125:0x01fe, code lost:
            if (r5 == 2) goto L_0x0200;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:128:0x0206, code lost:
            r22 = r21;
            r5 = false;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:180:0x02df, code lost:
            if (r3[r16].f998f.f996d == r6) goto L_0x02e3;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:73:0x014d, code lost:
            if (r4[r2].f998f.f996d == r5) goto L_0x0151;
         */
        /* JADX WARNING: Removed duplicated region for block: B:209:0x0364  */
        /* JADX WARNING: Removed duplicated region for block: B:216:0x038c  */
        /* JADX WARNING: Removed duplicated region for block: B:222:0x039c  */
        /* JADX WARNING: Removed duplicated region for block: B:253:0x048e A[ADDED_TO_REGION] */
        /* JADX WARNING: Removed duplicated region for block: B:276:0x04f8 A[ADDED_TO_REGION] */
        /* JADX WARNING: Removed duplicated region for block: B:315:0x058a  */
        /* JADX WARNING: Removed duplicated region for block: B:334:0x05e9  */
        /* JADX WARNING: Removed duplicated region for block: B:335:0x05eb  */
        /* JADX WARNING: Removed duplicated region for block: B:342:0x05ff  */
        /* JADX WARNING: Removed duplicated region for block: B:348:0x060c  */
        /* JADX WARNING: Removed duplicated region for block: B:391:0x06c8  */
        /* JADX WARNING: Removed duplicated region for block: B:404:0x0710  */
        /* JADX WARNING: Removed duplicated region for block: B:405:0x0712  */
        /* JADX WARNING: Removed duplicated region for block: B:408:0x071d  */
        /* JADX WARNING: Removed duplicated region for block: B:409:0x0720  */
        /* JADX WARNING: Removed duplicated region for block: B:412:0x0726  */
        /* JADX WARNING: Removed duplicated region for block: B:413:0x0729  */
        /* JADX WARNING: Removed duplicated region for block: B:415:0x072d  */
        /* JADX WARNING: Removed duplicated region for block: B:419:0x073c  */
        /* JADX WARNING: Removed duplicated region for block: B:421:0x073f  */
        /* JADX WARNING: Removed duplicated region for block: B:67:0x012d  */
        /* JADX WARNING: Removed duplicated region for block: B:70:0x013d  */
        /* JADX WARNING: Removed duplicated region for block: B:76:0x0153  */
        /* JADX WARNING: Removed duplicated region for block: B:77:0x0156  */
        public static void a(ConstraintWidgetContainer constraintWidgetContainer, LinearSystem linearSystem, ArrayList<ConstraintWidget> arrayList, int i2) {
            int i3;
            b.h.a.g.a[] aVarArr;
            int i4;
            int i5;
            int i6;
            b.h.a.g.a[] aVarArr2;
            int i7;
            boolean z;
            boolean z2;
            ConstraintWidget constraintWidget;
            ConstraintWidget constraintWidget2;
            ConstraintAnchor constraintAnchor;
            ConstraintWidget constraintWidget3;
            int i8;
            ConstraintAnchor constraintAnchor2;
            SolverVariable solverVariable;
            SolverVariable solverVariable2;
            int i9;
            ConstraintWidget constraintWidget4;
            ConstraintAnchor constraintAnchor3;
            ConstraintAnchor constraintAnchor4;
            ConstraintAnchor constraintAnchor5;
            ConstraintWidget constraintWidget5;
            SolverVariable solverVariable3;
            SolverVariable solverVariable4;
            ConstraintAnchor constraintAnchor6;
            ConstraintWidget constraintWidget6;
            int i10;
            ConstraintWidget constraintWidget7;
            ConstraintWidget constraintWidget8;
            ConstraintWidget constraintWidget9;
            ConstraintWidget constraintWidget10;
            SolverVariable solverVariable5;
            ConstraintAnchor constraintAnchor7;
            float f2;
            int size;
            int i11;
            ArrayList<ConstraintWidget> arrayList2;
            int i12;
            b.h.a.g.a aVar;
            ConstraintWidget constraintWidget11;
            int i13;
            boolean z3;
            b.h.a.g.a[] aVarArr3;
            ConstraintWidget constraintWidget12;
            ConstraintWidget constraintWidget13;
            ConstraintWidget constraintWidget14;
            int i14;
            int i15;
            int i16;
            boolean z4;
            ConstraintAnchor constraintAnchor8;
            ConstraintWidget constraintWidget15;
            int i17;
            ConstraintWidgetContainer constraintWidgetContainer2 = constraintWidgetContainer;
            ArrayList<ConstraintWidget> arrayList3 = arrayList;
            if (i2 == 0) {
                i4 = constraintWidgetContainer2.X0;
                aVarArr = constraintWidgetContainer2.a1;
                i3 = 0;
            } else {
                i4 = constraintWidgetContainer2.Y0;
                aVarArr = constraintWidgetContainer2.Z0;
                i3 = 2;
            }
            int i18 = 0;
            while (i18 < i4) {
                b.h.a.g.a aVar2 = aVarArr[i18];
                SolverVariable solverVariable6 = null;
                int i19 = 8;
                int i20 = 1;
                if (!aVar2.t) {
                    int i21 = aVar2.o * 2;
                    ConstraintWidget constraintWidget16 = aVar2.f2985a;
                    ConstraintWidget constraintWidget17 = constraintWidget16;
                    boolean z5 = false;
                    while (!z5) {
                        aVar2.f2993i += i20;
                        ConstraintWidget[] constraintWidgetArr = constraintWidget16.J0;
                        int i22 = aVar2.o;
                        constraintWidgetArr[i22] = null;
                        constraintWidget16.I0[i22] = null;
                        if (constraintWidget16.q0 != i19) {
                            aVar2.f2996l += i20;
                            ConstraintWidget.DimensionBehaviour n2 = constraintWidget16.n(i22);
                            ConstraintWidget.DimensionBehaviour dimensionBehaviour = ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT;
                            if (n2 != dimensionBehaviour) {
                                int i23 = aVar2.m;
                                int i24 = aVar2.o;
                                if (i24 == 0) {
                                    i17 = constraintWidget16.u();
                                } else {
                                    i17 = i24 == i20 ? constraintWidget16.o() : 0;
                                }
                                aVar2.m = i23 + i17;
                            }
                            int e2 = constraintWidget16.U[i21].e() + aVar2.m;
                            aVar2.m = e2;
                            int i25 = i21 + 1;
                            aVar2.m = constraintWidget16.U[i25].e() + e2;
                            int e3 = constraintWidget16.U[i21].e() + aVar2.n;
                            aVar2.n = e3;
                            aVar2.n = constraintWidget16.U[i25].e() + e3;
                            if (aVar2.f2986b == null) {
                                aVar2.f2986b = constraintWidget16;
                            }
                            aVar2.f2988d = constraintWidget16;
                            ConstraintWidget.DimensionBehaviour[] dimensionBehaviourArr = constraintWidget16.X;
                            int i26 = aVar2.o;
                            if (dimensionBehaviourArr[i26] == dimensionBehaviour) {
                                int[] iArr = constraintWidget16.u;
                                if (iArr[i26] != 0) {
                                    z4 = z5;
                                    if (!(iArr[i26] == 3 || iArr[i26] == 2)) {
                                        i16 = i18;
                                        int i27 = aVar2.o;
                                        if (constraintWidget17 != constraintWidget16) {
                                            constraintWidget17.J0[aVar2.o] = constraintWidget16;
                                        }
                                        constraintAnchor8 = constraintWidget16.U[i21 + 1].f998f;
                                        if (constraintAnchor8 != null) {
                                            constraintWidget15 = constraintAnchor8.f996d;
                                            ConstraintAnchor[] constraintAnchorArr = constraintWidget15.U;
                                            if (constraintAnchorArr[i21].f998f != null) {
                                            }
                                        }
                                        constraintWidget15 = null;
                                        if (constraintWidget15 != null) {
                                            z5 = z4;
                                        } else {
                                            constraintWidget15 = constraintWidget16;
                                            z5 = true;
                                        }
                                        constraintWidget17 = constraintWidget16;
                                        i18 = i16;
                                        i20 = 1;
                                        i19 = 8;
                                        constraintWidget16 = constraintWidget15;
                                    }
                                } else {
                                    z4 = z5;
                                }
                                aVar2.f2994j++;
                                float[] fArr = constraintWidget16.H0;
                                float f3 = fArr[i26];
                                if (f3 > 0.0f) {
                                    i16 = i18;
                                    aVar2.f2995k += fArr[i26];
                                } else {
                                    i16 = i18;
                                }
                                if (constraintWidget16.q0 != 8 && dimensionBehaviourArr[i26] == dimensionBehaviour && (iArr[i26] == 0 || iArr[i26] == 3)) {
                                    if (f3 < 0.0f) {
                                        aVar2.q = true;
                                    } else {
                                        aVar2.r = true;
                                    }
                                    if (aVar2.f2992h == null) {
                                        aVar2.f2992h = new ArrayList<>();
                                    }
                                    aVar2.f2992h.add(constraintWidget16);
                                }
                                if (aVar2.f2990f == null) {
                                    aVar2.f2990f = constraintWidget16;
                                }
                                ConstraintWidget constraintWidget18 = aVar2.f2991g;
                                if (constraintWidget18 != null) {
                                    constraintWidget18.I0[aVar2.o] = constraintWidget16;
                                }
                                aVar2.f2991g = constraintWidget16;
                                int i272 = aVar2.o;
                                if (constraintWidget17 != constraintWidget16) {
                                }
                                constraintAnchor8 = constraintWidget16.U[i21 + 1].f998f;
                                if (constraintAnchor8 != null) {
                                }
                                constraintWidget15 = null;
                                if (constraintWidget15 != null) {
                                }
                                constraintWidget17 = constraintWidget16;
                                i18 = i16;
                                i20 = 1;
                                i19 = 8;
                                constraintWidget16 = constraintWidget15;
                            }
                        }
                        z4 = z5;
                        i16 = i18;
                        if (constraintWidget17 != constraintWidget16) {
                        }
                        constraintAnchor8 = constraintWidget16.U[i21 + 1].f998f;
                        if (constraintAnchor8 != null) {
                        }
                        constraintWidget15 = null;
                        if (constraintWidget15 != null) {
                        }
                        constraintWidget17 = constraintWidget16;
                        i18 = i16;
                        i20 = 1;
                        i19 = 8;
                        constraintWidget16 = constraintWidget15;
                    }
                    i5 = i18;
                    ConstraintWidget constraintWidget19 = aVar2.f2986b;
                    if (constraintWidget19 != null) {
                        aVar2.m -= constraintWidget19.U[i21].e();
                    }
                    ConstraintWidget constraintWidget20 = aVar2.f2988d;
                    if (constraintWidget20 != null) {
                        aVar2.m -= constraintWidget20.U[i21 + 1].e();
                    }
                    aVar2.f2987c = constraintWidget16;
                    if (aVar2.o != 0 || !aVar2.p) {
                        aVar2.f2989e = aVar2.f2985a;
                    } else {
                        aVar2.f2989e = constraintWidget16;
                    }
                    aVar2.s = aVar2.r && aVar2.q;
                } else {
                    i5 = i18;
                }
                aVar2.t = true;
                if (arrayList3 == null || arrayList3.contains(aVar2.f2985a)) {
                    ConstraintWidget constraintWidget21 = aVar2.f2985a;
                    ConstraintWidget constraintWidget22 = aVar2.f2987c;
                    ConstraintWidget constraintWidget23 = aVar2.f2986b;
                    ConstraintWidget constraintWidget24 = aVar2.f2988d;
                    ConstraintWidget constraintWidget25 = aVar2.f2989e;
                    float f4 = aVar2.f2995k;
                    boolean z6 = constraintWidgetContainer2.X[i2] == ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
                    if (i2 == 0) {
                        int i28 = constraintWidget25.D0;
                        boolean z7 = i28 == 0;
                        if (i28 == 1) {
                            i15 = 2;
                            z2 = true;
                        } else {
                            i15 = 2;
                            z2 = false;
                        }
                        z = z7;
                    } else {
                        int i29 = constraintWidget25.E0;
                        z = i29 == 0;
                        z2 = i29 == 1;
                    }
                    boolean z8 = z;
                    boolean z9 = true;
                    ConstraintWidget constraintWidget26 = constraintWidget21;
                    boolean z10 = false;
                    while (!z10) {
                        ConstraintAnchor constraintAnchor9 = constraintWidget26.U[i3];
                        int i30 = z9 ? 1 : 4;
                        int e4 = constraintAnchor9.e();
                        ConstraintWidget.DimensionBehaviour dimensionBehaviour2 = constraintWidget26.X[i2];
                        ConstraintWidget.DimensionBehaviour dimensionBehaviour3 = ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT;
                        if (dimensionBehaviour2 == dimensionBehaviour3 && constraintWidget26.u[i2] == 0) {
                            i13 = i4;
                            z3 = true;
                        } else {
                            i13 = i4;
                            z3 = false;
                        }
                        ConstraintAnchor constraintAnchor10 = constraintAnchor9.f998f;
                        if (!(constraintAnchor10 == null || constraintWidget26 == constraintWidget21)) {
                            e4 = constraintAnchor10.e() + e4;
                        }
                        if (!z9 || constraintWidget26 == constraintWidget21 || constraintWidget26 == constraintWidget23) {
                            aVarArr3 = aVarArr;
                        } else {
                            aVarArr3 = aVarArr;
                            i30 = 8;
                        }
                        ConstraintAnchor constraintAnchor11 = constraintAnchor9.f998f;
                        if (constraintAnchor11 != null) {
                            if (constraintWidget26 == constraintWidget23) {
                                constraintWidget13 = constraintWidget25;
                                constraintWidget12 = constraintWidget21;
                                linearSystem.f(constraintAnchor9.f1001i, constraintAnchor11.f1001i, e4, 6);
                            } else {
                                constraintWidget13 = constraintWidget25;
                                constraintWidget12 = constraintWidget21;
                                linearSystem.f(constraintAnchor9.f1001i, constraintAnchor11.f1001i, e4, 8);
                            }
                            if (z3 && !z9) {
                                i30 = 5;
                            }
                            linearSystem.d(constraintAnchor9.f1001i, constraintAnchor9.f998f.f1001i, e4, (constraintWidget26 != constraintWidget23 || !z9 || !constraintWidget26.W[i2]) ? i30 : 5);
                        } else {
                            constraintWidget13 = constraintWidget25;
                            constraintWidget12 = constraintWidget21;
                        }
                        if (z6) {
                            if (constraintWidget26.q0 == 8 || constraintWidget26.X[i2] != dimensionBehaviour3) {
                                i14 = 0;
                            } else {
                                ConstraintAnchor[] constraintAnchorArr2 = constraintWidget26.U;
                                i14 = 0;
                                linearSystem.f(constraintAnchorArr2[i3 + 1].f1001i, constraintAnchorArr2[i3].f1001i, 0, 5);
                            }
                            linearSystem.f(constraintWidget26.U[i3].f1001i, constraintWidgetContainer2.U[i3].f1001i, i14, 8);
                        }
                        ConstraintAnchor constraintAnchor12 = constraintWidget26.U[i3 + 1].f998f;
                        if (constraintAnchor12 != null) {
                            constraintWidget14 = constraintAnchor12.f996d;
                            ConstraintAnchor[] constraintAnchorArr3 = constraintWidget14.U;
                            if (constraintAnchorArr3[i3].f998f != null) {
                            }
                        }
                        constraintWidget14 = null;
                        if (constraintWidget14 != null) {
                            constraintWidget26 = constraintWidget14;
                            z10 = z10;
                        } else {
                            z10 = true;
                        }
                        aVarArr = aVarArr3;
                        i4 = i13;
                        constraintWidget25 = constraintWidget13;
                        constraintWidget21 = constraintWidget12;
                    }
                    i6 = i4;
                    aVarArr2 = aVarArr;
                    if (constraintWidget24 != null) {
                        int i31 = i3 + 1;
                        if (constraintWidget22.U[i31].f998f != null) {
                            ConstraintAnchor constraintAnchor13 = constraintWidget24.U[i31];
                            if ((constraintWidget24.X[i2] == ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT && constraintWidget24.u[i2] == 0) && !z9) {
                                ConstraintAnchor constraintAnchor14 = constraintAnchor13.f998f;
                                if (constraintAnchor14.f996d == constraintWidgetContainer2) {
                                    linearSystem.d(constraintAnchor13.f1001i, constraintAnchor14.f1001i, -constraintAnchor13.e(), 5);
                                    linearSystem.g(constraintAnchor13.f1001i, constraintWidget22.U[i31].f998f.f1001i, -constraintAnchor13.e(), 6);
                                    if (z6) {
                                        int i32 = i3 + 1;
                                        SolverVariable solverVariable7 = constraintWidgetContainer2.U[i32].f1001i;
                                        ConstraintAnchor[] constraintAnchorArr4 = constraintWidget22.U;
                                        linearSystem.f(solverVariable7, constraintAnchorArr4[i32].f1001i, constraintAnchorArr4[i32].e(), 8);
                                    }
                                    ArrayList<ConstraintWidget> arrayList4 = aVar2.f2992h;
                                    if (arrayList4 != null && (size = arrayList4.size()) > 1) {
                                        float f5 = (aVar2.q || aVar2.s) ? f4 : (float) aVar2.f2994j;
                                        ConstraintWidget constraintWidget27 = null;
                                        float f6 = 0.0f;
                                        i11 = 0;
                                        while (i11 < size) {
                                            ConstraintWidget constraintWidget28 = arrayList4.get(i11);
                                            float f7 = constraintWidget28.H0[i2];
                                            if (f7 < 0.0f) {
                                                if (aVar2.s) {
                                                    ConstraintAnchor[] constraintAnchorArr5 = constraintWidget28.U;
                                                    linearSystem.d(constraintAnchorArr5[i3 + 1].f1001i, constraintAnchorArr5[i3].f1001i, 0, 4);
                                                    aVar = aVar2;
                                                    arrayList2 = arrayList4;
                                                    i12 = size;
                                                    i11++;
                                                    aVar2 = aVar;
                                                    size = i12;
                                                    arrayList4 = arrayList2;
                                                } else {
                                                    f7 = 1.0f;
                                                }
                                            }
                                            int i33 = (f7 > 0.0f ? 1 : (f7 == 0.0f ? 0 : -1));
                                            if (i33 == 0) {
                                                ConstraintAnchor[] constraintAnchorArr6 = constraintWidget28.U;
                                                linearSystem.d(constraintAnchorArr6[i3 + 1].f1001i, constraintAnchorArr6[i3].f1001i, 0, 8);
                                                aVar = aVar2;
                                                arrayList2 = arrayList4;
                                                i12 = size;
                                                i11++;
                                                aVar2 = aVar;
                                                size = i12;
                                                arrayList4 = arrayList2;
                                            } else {
                                                if (constraintWidget27 != null) {
                                                    ConstraintAnchor[] constraintAnchorArr7 = constraintWidget27.U;
                                                    SolverVariable solverVariable8 = constraintAnchorArr7[i3].f1001i;
                                                    int i34 = i3 + 1;
                                                    SolverVariable solverVariable9 = constraintAnchorArr7[i34].f1001i;
                                                    ConstraintAnchor[] constraintAnchorArr8 = constraintWidget28.U;
                                                    arrayList2 = arrayList4;
                                                    SolverVariable solverVariable10 = constraintAnchorArr8[i3].f1001i;
                                                    SolverVariable solverVariable11 = constraintAnchorArr8[i34].f1001i;
                                                    i12 = size;
                                                    ArrayRow m2 = linearSystem.m();
                                                    constraintWidget11 = constraintWidget28;
                                                    m2.f834b = 0.0f;
                                                    aVar = aVar2;
                                                    if (f5 == 0.0f || f6 == f7) {
                                                        m2.f836d.put(solverVariable8, 1.0f);
                                                        m2.f836d.put(solverVariable9, -1.0f);
                                                        m2.f836d.put(solverVariable11, 1.0f);
                                                        m2.f836d.put(solverVariable10, -1.0f);
                                                    } else if (f6 == 0.0f) {
                                                        m2.f836d.put(solverVariable8, 1.0f);
                                                        m2.f836d.put(solverVariable9, -1.0f);
                                                    } else if (i33 == 0) {
                                                        m2.f836d.put(solverVariable10, 1.0f);
                                                        m2.f836d.put(solverVariable11, -1.0f);
                                                    } else {
                                                        float f8 = (f6 / f5) / (f7 / f5);
                                                        m2.f836d.put(solverVariable8, 1.0f);
                                                        m2.f836d.put(solverVariable9, -1.0f);
                                                        m2.f836d.put(solverVariable11, f8);
                                                        m2.f836d.put(solverVariable10, -f8);
                                                    }
                                                    linearSystem.c(m2);
                                                } else {
                                                    aVar = aVar2;
                                                    arrayList2 = arrayList4;
                                                    i12 = size;
                                                    constraintWidget11 = constraintWidget28;
                                                }
                                                f6 = f7;
                                                constraintWidget27 = constraintWidget11;
                                                i11++;
                                                aVar2 = aVar;
                                                size = i12;
                                                arrayList4 = arrayList2;
                                            }
                                        }
                                    }
                                    if (constraintWidget23 != null || (constraintWidget23 != constraintWidget24 && !z9)) {
                                        constraintWidget = constraintWidget24;
                                        constraintWidget2 = constraintWidget23;
                                        i9 = i5;
                                        if (z8 || constraintWidget2 == null) {
                                            i7 = i9;
                                            if (z2 && constraintWidget2 != null) {
                                                int i35 = aVar2.f2994j;
                                                boolean z11 = i35 <= 0 && aVar2.f2993i == i35;
                                                constraintWidget4 = constraintWidget2;
                                                ConstraintWidget constraintWidget29 = constraintWidget4;
                                                while (constraintWidget4 != null) {
                                                    ConstraintWidget constraintWidget30 = constraintWidget4.J0[i2];
                                                    while (constraintWidget30 != null && constraintWidget30.q0 == 8) {
                                                        constraintWidget30 = constraintWidget30.J0[i2];
                                                    }
                                                    if (constraintWidget4 == constraintWidget2 || constraintWidget4 == constraintWidget || constraintWidget30 == null) {
                                                        constraintWidget5 = constraintWidget30;
                                                    } else {
                                                        ConstraintWidget constraintWidget31 = constraintWidget30 == constraintWidget ? null : constraintWidget30;
                                                        ConstraintAnchor constraintAnchor15 = constraintWidget4.U[i3];
                                                        SolverVariable solverVariable12 = constraintAnchor15.f1001i;
                                                        int i36 = i3 + 1;
                                                        SolverVariable solverVariable13 = constraintWidget29.U[i36].f1001i;
                                                        int e5 = constraintAnchor15.e();
                                                        int e6 = constraintWidget4.U[i36].e();
                                                        if (constraintWidget31 != null) {
                                                            constraintAnchor6 = constraintWidget31.U[i3];
                                                            solverVariable4 = constraintAnchor6.f1001i;
                                                            ConstraintAnchor constraintAnchor16 = constraintAnchor6.f998f;
                                                            solverVariable3 = constraintAnchor16 != null ? constraintAnchor16.f1001i : null;
                                                        } else {
                                                            constraintAnchor6 = constraintWidget.U[i3];
                                                            solverVariable4 = constraintAnchor6 != null ? constraintAnchor6.f1001i : null;
                                                            solverVariable3 = constraintWidget4.U[i36].f1001i;
                                                        }
                                                        int e7 = constraintAnchor6 != null ? constraintAnchor6.e() + e6 : e6;
                                                        int e8 = constraintWidget29.U[i36].e() + e5;
                                                        int i37 = z11 ? 8 : 4;
                                                        if (solverVariable12 == null || solverVariable13 == null || solverVariable4 == null || solverVariable3 == null) {
                                                            constraintWidget6 = constraintWidget31;
                                                        } else {
                                                            constraintWidget6 = constraintWidget31;
                                                            linearSystem.b(solverVariable12, solverVariable13, e8, 0.5f, solverVariable4, solverVariable3, e7, i37);
                                                        }
                                                        constraintWidget5 = constraintWidget6;
                                                    }
                                                    if (constraintWidget4.q0 != 8) {
                                                        constraintWidget29 = constraintWidget4;
                                                    }
                                                    constraintWidget4 = constraintWidget5;
                                                }
                                                ConstraintAnchor constraintAnchor17 = constraintWidget2.U[i3];
                                                constraintAnchor3 = constraintWidget21.U[i3].f998f;
                                                int i38 = i3 + 1;
                                                constraintAnchor4 = constraintWidget.U[i38];
                                                constraintAnchor5 = constraintWidget22.U[i38].f998f;
                                                if (constraintAnchor3 != null) {
                                                    if (constraintWidget2 != constraintWidget) {
                                                        linearSystem.d(constraintAnchor17.f1001i, constraintAnchor3.f1001i, constraintAnchor17.e(), 5);
                                                    } else if (constraintAnchor5 != null) {
                                                        linearSystem.b(constraintAnchor17.f1001i, constraintAnchor3.f1001i, constraintAnchor17.e(), 0.5f, constraintAnchor4.f1001i, constraintAnchor5.f1001i, constraintAnchor4.e(), 5);
                                                    }
                                                }
                                                if (!(constraintAnchor5 == null || constraintWidget2 == constraintWidget)) {
                                                    linearSystem.d(constraintAnchor4.f1001i, constraintAnchor5.f1001i, -constraintAnchor4.e(), 5);
                                                }
                                            }
                                            if (!((!z8 && !z2) || constraintWidget2 == null || constraintWidget2 == constraintWidget)) {
                                                ConstraintAnchor[] constraintAnchorArr9 = constraintWidget2.U;
                                                constraintAnchor = constraintAnchorArr9[i3];
                                                constraintWidget3 = constraintWidget != null ? constraintWidget2 : constraintWidget;
                                                i8 = i3 + 1;
                                                constraintAnchor2 = constraintWidget3.U[i8];
                                                ConstraintAnchor constraintAnchor18 = constraintAnchor.f998f;
                                                solverVariable = constraintAnchor18 == null ? constraintAnchor18.f1001i : null;
                                                ConstraintAnchor constraintAnchor19 = constraintAnchor2.f998f;
                                                SolverVariable solverVariable14 = constraintAnchor19 == null ? constraintAnchor19.f1001i : null;
                                                if (constraintWidget22 == constraintWidget3) {
                                                    ConstraintAnchor constraintAnchor20 = constraintWidget22.U[i8].f998f;
                                                    if (constraintAnchor20 != null) {
                                                        solverVariable6 = constraintAnchor20.f1001i;
                                                    }
                                                    solverVariable2 = solverVariable6;
                                                } else {
                                                    solverVariable2 = solverVariable14;
                                                }
                                                if (constraintWidget2 == constraintWidget3) {
                                                    constraintAnchor = constraintAnchorArr9[i3];
                                                    constraintAnchor2 = constraintAnchorArr9[i8];
                                                }
                                                if (!(solverVariable == null || solverVariable2 == null)) {
                                                    linearSystem.b(constraintAnchor.f1001i, solverVariable, constraintAnchor.e(), 0.5f, solverVariable2, constraintAnchor2.f1001i, constraintWidget3.U[i8].e(), 5);
                                                }
                                            }
                                        } else {
                                            int i39 = aVar2.f2994j;
                                            boolean z12 = i39 > 0 && aVar2.f2993i == i39;
                                            ConstraintWidget constraintWidget32 = constraintWidget2;
                                            ConstraintWidget constraintWidget33 = constraintWidget32;
                                            while (constraintWidget33 != null) {
                                                ConstraintWidget constraintWidget34 = constraintWidget33.J0[i2];
                                                while (true) {
                                                    if (constraintWidget34 != null) {
                                                        if (constraintWidget34.q0 != 8) {
                                                            break;
                                                        }
                                                        constraintWidget34 = constraintWidget34.J0[i2];
                                                    } else {
                                                        break;
                                                    }
                                                }
                                                if (constraintWidget34 != null || constraintWidget33 == constraintWidget) {
                                                    ConstraintAnchor constraintAnchor21 = constraintWidget33.U[i3];
                                                    SolverVariable solverVariable15 = constraintAnchor21.f1001i;
                                                    ConstraintAnchor constraintAnchor22 = constraintAnchor21.f998f;
                                                    SolverVariable solverVariable16 = constraintAnchor22 != null ? constraintAnchor22.f1001i : null;
                                                    if (constraintWidget32 != constraintWidget33) {
                                                        solverVariable16 = constraintWidget32.U[i3 + 1].f1001i;
                                                    } else if (constraintWidget33 == constraintWidget2) {
                                                        ConstraintAnchor[] constraintAnchorArr10 = constraintWidget21.U;
                                                        solverVariable16 = constraintAnchorArr10[i3].f998f != null ? constraintAnchorArr10[i3].f998f.f1001i : null;
                                                    }
                                                    int e9 = constraintAnchor21.e();
                                                    int i40 = i3 + 1;
                                                    int e10 = constraintWidget33.U[i40].e();
                                                    if (constraintWidget34 != null) {
                                                        constraintAnchor7 = constraintWidget34.U[i3];
                                                        solverVariable5 = constraintAnchor7.f1001i;
                                                    } else {
                                                        constraintAnchor7 = constraintWidget22.U[i40].f998f;
                                                        if (constraintAnchor7 != null) {
                                                            solverVariable5 = constraintAnchor7.f1001i;
                                                        } else {
                                                            constraintWidget10 = constraintWidget34;
                                                            solverVariable5 = null;
                                                            SolverVariable solverVariable17 = constraintWidget33.U[i40].f1001i;
                                                            if (constraintAnchor7 != null) {
                                                                e10 += constraintAnchor7.e();
                                                            }
                                                            int e11 = constraintWidget32.U[i40].e() + e9;
                                                            if (solverVariable15 != null || solverVariable16 == null || solverVariable5 == null || solverVariable17 == null) {
                                                                i10 = i9;
                                                                constraintWidget9 = constraintWidget10;
                                                                constraintWidget7 = constraintWidget32;
                                                            } else {
                                                                if (constraintWidget33 == constraintWidget2) {
                                                                    e11 = constraintWidget2.U[i3].e();
                                                                }
                                                                i10 = i9;
                                                                constraintWidget9 = constraintWidget10;
                                                                constraintWidget7 = constraintWidget32;
                                                                constraintWidget8 = constraintWidget33;
                                                                linearSystem.b(solverVariable15, solverVariable16, e11, 0.5f, solverVariable5, solverVariable17, constraintWidget33 == constraintWidget ? constraintWidget.U[i40].e() : e10, z12 ? 8 : 5);
                                                                constraintWidget32 = constraintWidget8.q0 == 8 ? constraintWidget8 : constraintWidget7;
                                                                constraintWidget33 = constraintWidget9;
                                                                i9 = i10;
                                                            }
                                                        }
                                                    }
                                                    constraintWidget10 = constraintWidget34;
                                                    SolverVariable solverVariable172 = constraintWidget33.U[i40].f1001i;
                                                    if (constraintAnchor7 != null) {
                                                    }
                                                    int e112 = constraintWidget32.U[i40].e() + e9;
                                                    if (solverVariable15 != null) {
                                                    }
                                                    i10 = i9;
                                                    constraintWidget9 = constraintWidget10;
                                                    constraintWidget7 = constraintWidget32;
                                                } else {
                                                    constraintWidget9 = constraintWidget34;
                                                    constraintWidget7 = constraintWidget32;
                                                    i10 = i9;
                                                }
                                                constraintWidget8 = constraintWidget33;
                                                if (constraintWidget8.q0 == 8) {
                                                }
                                                constraintWidget33 = constraintWidget9;
                                                i9 = i10;
                                            }
                                        }
                                    } else {
                                        ConstraintAnchor constraintAnchor23 = constraintWidget21.U[i3];
                                        int i41 = i3 + 1;
                                        ConstraintAnchor constraintAnchor24 = constraintWidget22.U[i41];
                                        ConstraintAnchor constraintAnchor25 = constraintAnchor23.f998f;
                                        SolverVariable solverVariable18 = constraintAnchor25 != null ? constraintAnchor25.f1001i : null;
                                        ConstraintAnchor constraintAnchor26 = constraintAnchor24.f998f;
                                        SolverVariable solverVariable19 = constraintAnchor26 != null ? constraintAnchor26.f1001i : null;
                                        ConstraintAnchor constraintAnchor27 = constraintWidget23.U[i3];
                                        if (constraintWidget24 != null) {
                                            constraintAnchor24 = constraintWidget24.U[i41];
                                        }
                                        if (solverVariable18 == null || solverVariable19 == null) {
                                            constraintWidget = constraintWidget24;
                                            constraintWidget2 = constraintWidget23;
                                            i9 = i5;
                                        } else {
                                            if (i2 == 0) {
                                                f2 = constraintWidget25.m0;
                                            } else {
                                                f2 = constraintWidget25.n0;
                                            }
                                            constraintWidget = constraintWidget24;
                                            constraintWidget2 = constraintWidget23;
                                            i9 = i5;
                                            linearSystem.b(constraintAnchor27.f1001i, solverVariable18, constraintAnchor27.e(), f2, solverVariable19, constraintAnchor24.f1001i, constraintAnchor24.e(), 7);
                                        }
                                    }
                                    i7 = i9;
                                    ConstraintAnchor[] constraintAnchorArr92 = constraintWidget2.U;
                                    constraintAnchor = constraintAnchorArr92[i3];
                                    if (constraintWidget != null) {
                                    }
                                    i8 = i3 + 1;
                                    constraintAnchor2 = constraintWidget3.U[i8];
                                    ConstraintAnchor constraintAnchor182 = constraintAnchor.f998f;
                                    if (constraintAnchor182 == null) {
                                    }
                                    ConstraintAnchor constraintAnchor192 = constraintAnchor2.f998f;
                                    if (constraintAnchor192 == null) {
                                    }
                                    if (constraintWidget22 == constraintWidget3) {
                                    }
                                    if (constraintWidget2 == constraintWidget3) {
                                    }
                                    linearSystem.b(constraintAnchor.f1001i, solverVariable, constraintAnchor.e(), 0.5f, solverVariable2, constraintAnchor2.f1001i, constraintWidget3.U[i8].e(), 5);
                                }
                            }
                            if (z9) {
                                ConstraintAnchor constraintAnchor28 = constraintAnchor13.f998f;
                                if (constraintAnchor28.f996d == constraintWidgetContainer2) {
                                    linearSystem.d(constraintAnchor13.f1001i, constraintAnchor28.f1001i, -constraintAnchor13.e(), 4);
                                }
                            }
                            linearSystem.g(constraintAnchor13.f1001i, constraintWidget22.U[i31].f998f.f1001i, -constraintAnchor13.e(), 6);
                            if (z6) {
                            }
                            ArrayList<ConstraintWidget> arrayList42 = aVar2.f2992h;
                            if (aVar2.q) {
                            }
                            ConstraintWidget constraintWidget272 = null;
                            float f62 = 0.0f;
                            i11 = 0;
                            while (i11 < size) {
                            }
                            if (constraintWidget23 != null) {
                            }
                            constraintWidget = constraintWidget24;
                            constraintWidget2 = constraintWidget23;
                            i9 = i5;
                            if (z8) {
                            }
                            i7 = i9;
                            int i352 = aVar2.f2994j;
                            if (i352 <= 0) {
                            }
                            constraintWidget4 = constraintWidget2;
                            ConstraintWidget constraintWidget292 = constraintWidget4;
                            while (constraintWidget4 != null) {
                            }
                            ConstraintAnchor constraintAnchor172 = constraintWidget2.U[i3];
                            constraintAnchor3 = constraintWidget21.U[i3].f998f;
                            int i382 = i3 + 1;
                            constraintAnchor4 = constraintWidget.U[i382];
                            constraintAnchor5 = constraintWidget22.U[i382].f998f;
                            if (constraintAnchor3 != null) {
                            }
                            linearSystem.d(constraintAnchor4.f1001i, constraintAnchor5.f1001i, -constraintAnchor4.e(), 5);
                            ConstraintAnchor[] constraintAnchorArr922 = constraintWidget2.U;
                            constraintAnchor = constraintAnchorArr922[i3];
                            if (constraintWidget != null) {
                            }
                            i8 = i3 + 1;
                            constraintAnchor2 = constraintWidget3.U[i8];
                            ConstraintAnchor constraintAnchor1822 = constraintAnchor.f998f;
                            if (constraintAnchor1822 == null) {
                            }
                            ConstraintAnchor constraintAnchor1922 = constraintAnchor2.f998f;
                            if (constraintAnchor1922 == null) {
                            }
                            if (constraintWidget22 == constraintWidget3) {
                            }
                            if (constraintWidget2 == constraintWidget3) {
                            }
                            linearSystem.b(constraintAnchor.f1001i, solverVariable, constraintAnchor.e(), 0.5f, solverVariable2, constraintAnchor2.f1001i, constraintWidget3.U[i8].e(), 5);
                        }
                    }
                    if (z6) {
                    }
                    ArrayList<ConstraintWidget> arrayList422 = aVar2.f2992h;
                    if (aVar2.q) {
                    }
                    ConstraintWidget constraintWidget2722 = null;
                    float f622 = 0.0f;
                    i11 = 0;
                    while (i11 < size) {
                    }
                    if (constraintWidget23 != null) {
                    }
                    constraintWidget = constraintWidget24;
                    constraintWidget2 = constraintWidget23;
                    i9 = i5;
                    if (z8) {
                    }
                    i7 = i9;
                    int i3522 = aVar2.f2994j;
                    if (i3522 <= 0) {
                    }
                    constraintWidget4 = constraintWidget2;
                    ConstraintWidget constraintWidget2922 = constraintWidget4;
                    while (constraintWidget4 != null) {
                    }
                    ConstraintAnchor constraintAnchor1722 = constraintWidget2.U[i3];
                    constraintAnchor3 = constraintWidget21.U[i3].f998f;
                    int i3822 = i3 + 1;
                    constraintAnchor4 = constraintWidget.U[i3822];
                    constraintAnchor5 = constraintWidget22.U[i3822].f998f;
                    if (constraintAnchor3 != null) {
                    }
                    linearSystem.d(constraintAnchor4.f1001i, constraintAnchor5.f1001i, -constraintAnchor4.e(), 5);
                    ConstraintAnchor[] constraintAnchorArr9222 = constraintWidget2.U;
                    constraintAnchor = constraintAnchorArr9222[i3];
                    if (constraintWidget != null) {
                    }
                    i8 = i3 + 1;
                    constraintAnchor2 = constraintWidget3.U[i8];
                    ConstraintAnchor constraintAnchor18222 = constraintAnchor.f998f;
                    if (constraintAnchor18222 == null) {
                    }
                    ConstraintAnchor constraintAnchor19222 = constraintAnchor2.f998f;
                    if (constraintAnchor19222 == null) {
                    }
                    if (constraintWidget22 == constraintWidget3) {
                    }
                    if (constraintWidget2 == constraintWidget3) {
                    }
                    linearSystem.b(constraintAnchor.f1001i, solverVariable, constraintAnchor.e(), 0.5f, solverVariable2, constraintAnchor2.f1001i, constraintWidget3.U[i8].e(), 5);
                } else {
                    i6 = i4;
                    aVarArr2 = aVarArr;
                    i7 = i5;
                }
                i18 = i7 + 1;
                constraintWidgetContainer2 = constraintWidgetContainer;
                arrayList3 = arrayList;
                aVarArr = aVarArr2;
                i4 = i6;
            }
        }

        public static ScheduledExecutorService a0() {
            if (b.d.a.q2.d0.i.e.f2679a != null) {
                return b.d.a.q2.d0.i.e.f2679a;
            }
            synchronized (b.d.a.q2.d0.i.e.class) {
                if (b.d.a.q2.d0.i.e.f2679a == null) {
                    b.d.a.q2.d0.i.e.f2679a = new b.d.a.q2.d0.i.b(new Handler(Looper.getMainLooper()));
                }
            }
            return b.d.a.q2.d0.i.e.f2679a;
        }

        /* JADX WARNING: Code restructure failed: missing block: B:13:0x0033, code lost:
            if (r10.right <= r12.left) goto L_0x0043;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:15:0x003a, code lost:
            if (r10.top >= r12.bottom) goto L_0x0043;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:17:0x0041, code lost:
            if (r10.left >= r12.right) goto L_0x0043;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:19:0x0045, code lost:
            r7 = false;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:9:0x0026, code lost:
            if (r10.bottom <= r12.top) goto L_0x0043;
         */
        public static boolean b(int i2, Rect rect, Rect rect2, Rect rect3) {
            int i3;
            int i4;
            boolean c2 = c(i2, rect, rect2);
            if (c(i2, rect, rect3) || !c2) {
                return false;
            }
            if (i2 != 17) {
                if (i2 != 33) {
                    if (i2 != 66) {
                        if (i2 != 130) {
                            throw new IllegalArgumentException("direction must be one of {FOCUS_UP, FOCUS_DOWN, FOCUS_LEFT, FOCUS_RIGHT}.");
                        }
                    }
                }
            }
            boolean z = true;
            if (!z || i2 == 17 || i2 == 66) {
                return true;
            }
            int b0 = b0(i2, rect, rect2);
            if (i2 == 17) {
                i4 = rect.left;
                i3 = rect3.left;
            } else if (i2 == 33) {
                i4 = rect.top;
                i3 = rect3.top;
            } else if (i2 == 66) {
                i4 = rect3.right;
                i3 = rect.right;
            } else if (i2 == 130) {
                i4 = rect3.bottom;
                i3 = rect.bottom;
            } else {
                throw new IllegalArgumentException("direction must be one of {FOCUS_UP, FOCUS_DOWN, FOCUS_LEFT, FOCUS_RIGHT}.");
            }
            if (b0 < Math.max(1, i4 - i3)) {
                return true;
            }
            return false;
        }

        public static int b0(int i2, Rect rect, Rect rect2) {
            int i3;
            int i4;
            if (i2 == 17) {
                i4 = rect.left;
                i3 = rect2.right;
            } else if (i2 == 33) {
                i4 = rect.top;
                i3 = rect2.bottom;
            } else if (i2 == 66) {
                i4 = rect2.left;
                i3 = rect.right;
            } else if (i2 == 130) {
                i4 = rect2.top;
                i3 = rect.bottom;
            } else {
                throw new IllegalArgumentException("direction must be one of {FOCUS_UP, FOCUS_DOWN, FOCUS_LEFT, FOCUS_RIGHT}.");
            }
            return Math.max(0, i4 - i3);
        }

        public static boolean c(int i2, Rect rect, Rect rect2) {
            if (i2 != 17) {
                if (i2 != 33) {
                    if (i2 != 66) {
                        if (i2 != 130) {
                            throw new IllegalArgumentException("direction must be one of {FOCUS_UP, FOCUS_DOWN, FOCUS_LEFT, FOCUS_RIGHT}.");
                        }
                    }
                }
                if (rect2.right < rect.left || rect2.left > rect.right) {
                    return false;
                }
                return true;
            }
            if (rect2.bottom < rect.top || rect2.top > rect.bottom) {
                return false;
            }
            return true;
        }

        public static int c0(int i2, Rect rect, Rect rect2) {
            if (i2 != 17) {
                if (i2 != 33) {
                    if (i2 != 66) {
                        if (i2 != 130) {
                            throw new IllegalArgumentException("direction must be one of {FOCUS_UP, FOCUS_DOWN, FOCUS_LEFT, FOCUS_RIGHT}.");
                        }
                    }
                }
                return Math.abs(((rect.width() / 2) + rect.left) - ((rect2.width() / 2) + rect2.left));
            }
            return Math.abs(((rect.height() / 2) + rect.top) - ((rect2.height() / 2) + rect2.top));
        }

        public static void d(Object obj, StringBuilder sb) {
            int lastIndexOf;
            if (obj == null) {
                sb.append("null");
                return;
            }
            String simpleName = obj.getClass().getSimpleName();
            if (simpleName.length() <= 0 && (lastIndexOf = (simpleName = obj.getClass().getName()).lastIndexOf(46)) > 0) {
                simpleName = simpleName.substring(lastIndexOf + 1);
            }
            sb.append(simpleName);
            sb.append('{');
            sb.append(Integer.toHexString(System.identityHashCode(obj)));
        }

        public static ByteBuffer d0(Context context, CancellationSignal cancellationSignal, Uri uri) {
            try {
                ParcelFileDescriptor openFileDescriptor = context.getContentResolver().openFileDescriptor(uri, "r", cancellationSignal);
                if (openFileDescriptor == null) {
                    if (openFileDescriptor != null) {
                        openFileDescriptor.close();
                    }
                    return null;
                }
                try {
                    FileInputStream fileInputStream = new FileInputStream(openFileDescriptor.getFileDescriptor());
                    try {
                        FileChannel channel = fileInputStream.getChannel();
                        MappedByteBuffer map = channel.map(FileChannel.MapMode.READ_ONLY, 0, channel.size());
                        fileInputStream.close();
                        openFileDescriptor.close();
                        return map;
                    } catch (Throwable th) {
                        th.addSuppressed(th);
                    }
                } catch (Throwable th2) {
                    th.addSuppressed(th2);
                }
                throw th;
                throw th;
            } catch (IOException unused) {
                return null;
            }
        }

        public static Map<UseCase, Rect> e(Rect rect, boolean z, Rational rational, int i2, int i3, int i4, Map<UseCase, Size> map) {
            RectF rectF;
            boolean z2 = true;
            h(rect.width() > 0 && rect.height() > 0, "Cannot compute viewport crop rects zero sized sensor rect.");
            RectF rectF2 = new RectF(rect);
            HashMap hashMap = new HashMap();
            RectF rectF3 = new RectF(rect);
            for (Map.Entry<UseCase, Size> entry : map.entrySet()) {
                Matrix matrix = new Matrix();
                RectF rectF4 = new RectF(0.0f, 0.0f, (float) entry.getValue().getWidth(), (float) entry.getValue().getHeight());
                matrix.setRectToRect(rectF4, rectF2, Matrix.ScaleToFit.CENTER);
                hashMap.put(entry.getKey(), matrix);
                RectF rectF5 = new RectF();
                matrix.mapRect(rectF5, rectF4);
                rectF3.intersect(rectF5);
            }
            Rational Q = Q(i2, rational);
            if (i3 != 3) {
                Matrix matrix2 = new Matrix();
                RectF rectF6 = new RectF(0.0f, 0.0f, (float) Q.getNumerator(), (float) Q.getDenominator());
                if (i3 == 0) {
                    matrix2.setRectToRect(rectF6, rectF3, Matrix.ScaleToFit.START);
                } else if (i3 == 1) {
                    matrix2.setRectToRect(rectF6, rectF3, Matrix.ScaleToFit.CENTER);
                } else if (i3 == 2) {
                    matrix2.setRectToRect(rectF6, rectF3, Matrix.ScaleToFit.END);
                } else {
                    throw new IllegalStateException(d.a.a.a.a.k("Unexpected scale type: ", i3));
                }
                RectF rectF7 = new RectF();
                matrix2.mapRect(rectF7, rectF6);
                boolean z3 = z ^ (i4 == 1);
                boolean z4 = i2 == 0 && !z3;
                boolean z5 = i2 == 90 && z3;
                if (z4 || z5) {
                    rectF3 = rectF7;
                } else {
                    boolean z6 = i2 == 0 && z3;
                    boolean z7 = i2 == 270 && !z3;
                    if (z6 || z7) {
                        float centerX = rectF3.centerX();
                        float f2 = centerX + centerX;
                        rectF = new RectF(f2 - rectF7.right, rectF7.top, f2 - rectF7.left, rectF7.bottom);
                    } else {
                        boolean z8 = i2 == 90 && !z3;
                        boolean z9 = i2 == 180 && z3;
                        if (z8 || z9) {
                            float centerY = rectF3.centerY();
                            float f3 = centerY + centerY;
                            rectF = new RectF(rectF7.left, f3 - rectF7.bottom, rectF7.right, f3 - rectF7.top);
                        } else {
                            boolean z10 = i2 == 180 && !z3;
                            if (i2 != 270 || !z3) {
                                z2 = false;
                            }
                            if (z10 || z2) {
                                float centerY2 = rectF3.centerY();
                                float f4 = centerY2 + centerY2;
                                RectF rectF8 = new RectF(rectF7.left, f4 - rectF7.bottom, rectF7.right, f4 - rectF7.top);
                                float centerX2 = rectF3.centerX();
                                float f5 = centerX2 + centerX2;
                                rectF3 = new RectF(f5 - rectF8.right, rectF8.top, f5 - rectF8.left, rectF8.bottom);
                            } else {
                                throw new IllegalArgumentException("Invalid argument: mirrored " + z3 + " rotation " + i2);
                            }
                        }
                    }
                    rectF3 = rectF;
                }
            }
            HashMap hashMap2 = new HashMap();
            RectF rectF9 = new RectF();
            Matrix matrix3 = new Matrix();
            for (Map.Entry entry2 : hashMap.entrySet()) {
                ((Matrix) entry2.getValue()).invert(matrix3);
                matrix3.mapRect(rectF9, rectF3);
                Rect rect2 = new Rect();
                rectF9.round(rect2);
                hashMap2.put((UseCase) entry2.getKey(), rect2);
            }
            return hashMap2;
        }

        public static ImageWriter e0(Surface surface, int i2, int i3) {
            int i4 = Build.VERSION.SDK_INT;
            if (i4 >= 29) {
                return ImageWriter.newInstance(surface, i2, i3);
            }
            if (i4 >= 26) {
                Method method = b.d.a.r2.f.a.f2736a;
                Throwable th = null;
                if (i4 >= 26) {
                    try {
                        Object invoke = b.d.a.r2.f.a.f2736a.invoke(null, surface, Integer.valueOf(i2), Integer.valueOf(i3));
                        Objects.requireNonNull(invoke);
                        return (ImageWriter) invoke;
                    } catch (IllegalAccessException | InvocationTargetException e2) {
                        th = e2;
                    }
                }
                throw new RuntimeException("Unable to invoke newInstance(Surface, int, int) via reflection.", th);
            }
            throw new RuntimeException(d.a.a.a.a.m("Unable to call newInstance(Surface, int, int) on API ", i4, ". Version 26 or higher required."));
        }

        public static boolean f(b.j.c.c[] cVarArr, b.j.c.c[] cVarArr2) {
            if (cVarArr == null || cVarArr2 == null || cVarArr.length != cVarArr2.length) {
                return false;
            }
            for (int i2 = 0; i2 < cVarArr.length; i2++) {
                if (!(cVarArr[i2].f3293a == cVarArr2[i2].f3293a && cVarArr[i2].f3294b.length == cVarArr2[i2].f3294b.length)) {
                    return false;
                }
            }
            return true;
        }

        public static InputConnection f0(InputConnection inputConnection, EditorInfo editorInfo, View view) {
            if (inputConnection != null && editorInfo.hintText == null) {
                ViewParent parent = view.getParent();
                while (true) {
                    if (!(parent instanceof View)) {
                        break;
                    } else if (parent instanceof WithHint) {
                        editorInfo.hintText = ((WithHint) parent).getHint();
                        break;
                    } else {
                        parent = parent.getParent();
                    }
                }
            }
            return inputConnection;
        }

        public static void g(boolean z) {
            if (!z) {
                throw new IllegalArgumentException();
            }
        }

        public static boolean g0(ViewParent viewParent, View view, float f2, float f3, boolean z) {
            try {
                return viewParent.onNestedFling(view, f2, f3, z);
            } catch (AbstractMethodError e2) {
                Log.e("ViewParentCompat", "ViewParent " + viewParent + " does not implement interface method onNestedFling", e2);
                return false;
            }
        }

        public static void h(boolean z, Object obj) {
            if (!z) {
                throw new IllegalArgumentException(String.valueOf(obj));
            }
        }

        public static boolean h0(ViewParent viewParent, View view, float f2, float f3) {
            try {
                return viewParent.onNestedPreFling(view, f2, f3);
            } catch (AbstractMethodError e2) {
                Log.e("ViewParentCompat", "ViewParent " + viewParent + " does not implement interface method onNestedPreFling", e2);
                return false;
            }
        }

        public static int i(int i2, int i3, int i4, String str) {
            if (i2 < i3) {
                throw new IllegalArgumentException(String.format(Locale.US, "%s is out of range of [%d, %d] (too low)", str, Integer.valueOf(i3), Integer.valueOf(i4)));
            } else if (i2 <= i4) {
                return i2;
            } else {
                throw new IllegalArgumentException(String.format(Locale.US, "%s is out of range of [%d, %d] (too high)", str, Integer.valueOf(i3), Integer.valueOf(i4)));
            }
        }

        public static void i0(ViewParent viewParent, View view, int i2, int i3, int[] iArr, int i4) {
            if (viewParent instanceof NestedScrollingParent2) {
                ((NestedScrollingParent2) viewParent).onNestedPreScroll(view, i2, i3, iArr, i4);
            } else if (i4 == 0) {
                try {
                    viewParent.onNestedPreScroll(view, i2, i3, iArr);
                } catch (AbstractMethodError e2) {
                    Log.e("ViewParentCompat", "ViewParent " + viewParent + " does not implement interface method onNestedPreScroll", e2);
                }
            }
        }

        public static int j(int i2) {
            if (i2 >= 0) {
                return i2;
            }
            throw new IllegalArgumentException();
        }

        public static void j0(ViewParent viewParent, View view, int i2, int i3, int i4, int i5, int i6, int[] iArr) {
            if (viewParent instanceof NestedScrollingParent3) {
                ((NestedScrollingParent3) viewParent).onNestedScroll(view, i2, i3, i4, i5, i6, iArr);
                return;
            }
            iArr[0] = iArr[0] + i4;
            iArr[1] = iArr[1] + i5;
            if (viewParent instanceof NestedScrollingParent2) {
                ((NestedScrollingParent2) viewParent).onNestedScroll(view, i2, i3, i4, i5, i6);
            } else if (i6 == 0) {
                try {
                    viewParent.onNestedScroll(view, i2, i3, i4, i5);
                } catch (AbstractMethodError e2) {
                    Log.e("ViewParentCompat", "ViewParent " + viewParent + " does not implement interface method onNestedScroll", e2);
                }
            }
        }

        public static void k() {
            n(Z(), "Not in application's main thread");
        }

        public static void k0(ViewParent viewParent, View view, View view2, int i2, int i3) {
            if (viewParent instanceof NestedScrollingParent2) {
                ((NestedScrollingParent2) viewParent).onNestedScrollAccepted(view, view2, i2, i3);
            } else if (i3 == 0) {
                try {
                    viewParent.onNestedScrollAccepted(view, view2, i2);
                } catch (AbstractMethodError e2) {
                    Log.e("ViewParentCompat", "ViewParent " + viewParent + " does not implement interface method onNestedScrollAccepted", e2);
                }
            }
        }

        public static <T> T l(T t, Object obj) {
            if (t != null) {
                return t;
            }
            throw new NullPointerException(String.valueOf(obj));
        }

        public static FontResourcesParserCompat$FamilyResourceEntry l0(XmlPullParser xmlPullParser, Resources resources) {
            int next;
            do {
                next = xmlPullParser.next();
                if (next == 2) {
                    break;
                }
            } while (next != 1);
            if (next == 2) {
                xmlPullParser.require(2, null, "font-family");
                if (xmlPullParser.getName().equals("font-family")) {
                    TypedArray obtainAttributes = resources.obtainAttributes(Xml.asAttributeSet(xmlPullParser), R$styleable.FontFamily);
                    String string = obtainAttributes.getString(R$styleable.FontFamily_fontProviderAuthority);
                    String string2 = obtainAttributes.getString(R$styleable.FontFamily_fontProviderPackage);
                    String string3 = obtainAttributes.getString(R$styleable.FontFamily_fontProviderQuery);
                    int resourceId = obtainAttributes.getResourceId(R$styleable.FontFamily_fontProviderCerts, 0);
                    int integer = obtainAttributes.getInteger(R$styleable.FontFamily_fontProviderFetchStrategy, 1);
                    int integer2 = obtainAttributes.getInteger(R$styleable.FontFamily_fontProviderFetchTimeout, DefaultAnimationHandler.DURATION);
                    String string4 = obtainAttributes.getString(R$styleable.FontFamily_fontProviderSystemFontFamily);
                    obtainAttributes.recycle();
                    if (string == null || string2 == null || string3 == null) {
                        ArrayList arrayList = new ArrayList();
                        while (xmlPullParser.next() != 3) {
                            if (xmlPullParser.getEventType() == 2) {
                                if (xmlPullParser.getName().equals("font")) {
                                    TypedArray obtainAttributes2 = resources.obtainAttributes(Xml.asAttributeSet(xmlPullParser), R$styleable.FontFamilyFont);
                                    int i2 = R$styleable.FontFamilyFont_fontWeight;
                                    if (!obtainAttributes2.hasValue(i2)) {
                                        i2 = R$styleable.FontFamilyFont_android_fontWeight;
                                    }
                                    int i3 = obtainAttributes2.getInt(i2, 400);
                                    int i4 = R$styleable.FontFamilyFont_fontStyle;
                                    if (!obtainAttributes2.hasValue(i4)) {
                                        i4 = R$styleable.FontFamilyFont_android_fontStyle;
                                    }
                                    boolean z = 1 == obtainAttributes2.getInt(i4, 0);
                                    int i5 = R$styleable.FontFamilyFont_ttcIndex;
                                    if (!obtainAttributes2.hasValue(i5)) {
                                        i5 = R$styleable.FontFamilyFont_android_ttcIndex;
                                    }
                                    int i6 = R$styleable.FontFamilyFont_fontVariationSettings;
                                    if (!obtainAttributes2.hasValue(i6)) {
                                        i6 = R$styleable.FontFamilyFont_android_fontVariationSettings;
                                    }
                                    String string5 = obtainAttributes2.getString(i6);
                                    int i7 = obtainAttributes2.getInt(i5, 0);
                                    int i8 = R$styleable.FontFamilyFont_font;
                                    if (!obtainAttributes2.hasValue(i8)) {
                                        i8 = R$styleable.FontFamilyFont_android_font;
                                    }
                                    int resourceId2 = obtainAttributes2.getResourceId(i8, 0);
                                    String string6 = obtainAttributes2.getString(i8);
                                    obtainAttributes2.recycle();
                                    while (xmlPullParser.next() != 3) {
                                        G0(xmlPullParser);
                                    }
                                    arrayList.add(new b.j.b.b.b(string6, i3, z, string5, i7, resourceId2));
                                } else {
                                    G0(xmlPullParser);
                                }
                            }
                        }
                        if (arrayList.isEmpty()) {
                            return null;
                        }
                        return new FontResourcesParserCompat$FontFamilyFilesResourceEntry((b.j.b.b.b[]) arrayList.toArray(new b.j.b.b.b[arrayList.size()]));
                    }
                    while (xmlPullParser.next() != 3) {
                        G0(xmlPullParser);
                    }
                    return new FontResourcesParserCompat$ProviderResourceEntry(new b.j.e.e(string, string2, string3, n0(resources, resourceId)), integer, integer2, string4);
                }
                G0(xmlPullParser);
                return null;
            }
            throw new XmlPullParserException("No start tag found");
        }

        public static int m(Context context, String str) {
            int myPid = Process.myPid();
            int myUid = Process.myUid();
            String packageName = context.getPackageName();
            if (context.checkPermission(str, myPid, myUid) != -1) {
                int i2 = Build.VERSION.SDK_INT;
                String permissionToOp = i2 >= 23 ? AppOpsManager.permissionToOp(str) : null;
                if (permissionToOp == null) {
                    return 0;
                }
                if (packageName == null) {
                    String[] packagesForUid = context.getPackageManager().getPackagesForUid(myUid);
                    if (packagesForUid != null && packagesForUid.length > 0) {
                        packageName = packagesForUid[0];
                    }
                }
                if ((i2 >= 23 ? ((AppOpsManager) context.getSystemService(AppOpsManager.class)).noteProxyOpNoThrow(permissionToOp, packageName) : 1) != 0) {
                    return -2;
                }
                return 0;
            }
            return -1;
        }

        public static Cursor m0(ContentResolver contentResolver, Uri uri, String[] strArr, String str, String[] strArr2, String str2, androidx.core.os.CancellationSignal cancellationSignal) {
            Object obj;
            if (cancellationSignal != null) {
                try {
                    synchronized (cancellationSignal) {
                        if (cancellationSignal.f1345c == null) {
                            CancellationSignal cancellationSignal2 = new CancellationSignal();
                            cancellationSignal.f1345c = cancellationSignal2;
                            if (cancellationSignal.f1343a) {
                                cancellationSignal2.cancel();
                            }
                        }
                        obj = cancellationSignal.f1345c;
                    }
                } catch (Exception e2) {
                    if (e2 instanceof OperationCanceledException) {
                        throw new androidx.core.os.OperationCanceledException();
                    }
                    throw e2;
                }
            } else {
                obj = null;
            }
            return contentResolver.query(uri, strArr, str, strArr2, str2, (CancellationSignal) obj);
        }

        public static void n(boolean z, String str) {
            if (!z) {
                throw new IllegalStateException(str);
            }
        }

        public static List<List<byte[]>> n0(Resources resources, int i2) {
            if (i2 == 0) {
                return Collections.emptyList();
            }
            TypedArray obtainTypedArray = resources.obtainTypedArray(i2);
            try {
                if (obtainTypedArray.length() == 0) {
                    return Collections.emptyList();
                }
                ArrayList arrayList = new ArrayList();
                if (obtainTypedArray.getType(0) == 1) {
                    for (int i3 = 0; i3 < obtainTypedArray.length(); i3++) {
                        int resourceId = obtainTypedArray.getResourceId(i3, 0);
                        if (resourceId != 0) {
                            arrayList.add(I0(resources.getStringArray(resourceId)));
                        }
                    }
                } else {
                    arrayList.add(I0(resources.getStringArray(i2)));
                }
                obtainTypedArray.recycle();
                return arrayList;
            } finally {
                obtainTypedArray.recycle();
            }
        }

        public static float o(float f2, float f3, float f4) {
            return f2 < f3 ? f3 : f2 > f4 ? f4 : f2;
        }

        public static void o0(TextView textView, Drawable drawable) {
            if (drawable != null) {
                drawable.setBounds(0, 0, drawable.getIntrinsicWidth(), drawable.getIntrinsicHeight());
            }
            Drawable[] compoundDrawables = textView.getCompoundDrawables();
            textView.setCompoundDrawables(drawable, compoundDrawables[1], compoundDrawables[2], compoundDrawables[3]);
        }

        public static int p(int i2, int i3, int i4) {
            return i2 < i3 ? i3 : i2 > i4 ? i4 : i2;
        }

        public static void p0(TextView textView, int i2) {
            int i3;
            j(i2);
            if (Build.VERSION.SDK_INT >= 28) {
                textView.setFirstBaselineToTopHeight(i2);
                return;
            }
            Paint.FontMetricsInt fontMetricsInt = textView.getPaint().getFontMetricsInt();
            if (textView.getIncludeFontPadding()) {
                i3 = fontMetricsInt.top;
            } else {
                i3 = fontMetricsInt.ascent;
            }
            if (i2 > Math.abs(i3)) {
                textView.setPadding(textView.getPaddingLeft(), i2 + i3, textView.getPaddingRight(), textView.getPaddingBottom());
            }
        }

        public static void q(Drawable drawable) {
            DrawableContainer.DrawableContainerState drawableContainerState;
            if (Build.VERSION.SDK_INT >= 23) {
                drawable.clearColorFilter();
                return;
            }
            drawable.clearColorFilter();
            if (drawable instanceof InsetDrawable) {
                q(((InsetDrawable) drawable).getDrawable());
            } else if (drawable instanceof WrappedDrawable) {
                q(((WrappedDrawable) drawable).getWrappedDrawable());
            } else if ((drawable instanceof DrawableContainer) && (drawableContainerState = (DrawableContainer.DrawableContainerState) ((DrawableContainer) drawable).getConstantState()) != null) {
                int childCount = drawableContainerState.getChildCount();
                for (int i2 = 0; i2 < childCount; i2++) {
                    Drawable child = drawableContainerState.getChild(i2);
                    if (child != null) {
                        q(child);
                    }
                }
            }
        }

        public static void q0(EditorInfo editorInfo, CharSequence charSequence, int i2) {
            editorInfo.setInitialSurroundingSubText(charSequence, i2);
        }

        public static float[] r(float[] fArr, int i2, int i3) {
            if (i2 <= i3) {
                int length = fArr.length;
                if (i2 < 0 || i2 > length) {
                    throw new ArrayIndexOutOfBoundsException();
                }
                int i4 = i3 - i2;
                int min = Math.min(i4, length - i2);
                float[] fArr2 = new float[i4];
                System.arraycopy(fArr, i2, fArr2, 0, min);
                return fArr2;
            }
            throw new IllegalArgumentException();
        }

        public static void r0(TextView textView, int i2) {
            int i3;
            j(i2);
            Paint.FontMetricsInt fontMetricsInt = textView.getPaint().getFontMetricsInt();
            if (textView.getIncludeFontPadding()) {
                i3 = fontMetricsInt.bottom;
            } else {
                i3 = fontMetricsInt.descent;
            }
            if (i2 > Math.abs(i3)) {
                textView.setPadding(textView.getPaddingLeft(), textView.getPaddingTop(), textView.getPaddingRight(), i2 - i3);
            }
        }

        /* JADX WARNING: Removed duplicated region for block: B:13:0x0014 A[SYNTHETIC, Splitter:B:13:0x0014] */
        public static boolean s(File file, Resources resources, int i2) {
            InputStream inputStream;
            Throwable th;
            try {
                inputStream = resources.openRawResource(i2);
                try {
                    boolean t = t(file, inputStream);
                    if (inputStream != null) {
                        try {
                            inputStream.close();
                        } catch (IOException unused) {
                        }
                    }
                    return t;
                } catch (Throwable th2) {
                    th = th2;
                    if (inputStream != null) {
                    }
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                inputStream = null;
                if (inputStream != null) {
                    try {
                        inputStream.close();
                    } catch (IOException unused2) {
                    }
                }
                throw th;
            }
        }

        public static boolean s0(Drawable drawable, int i2) {
            if (Build.VERSION.SDK_INT >= 23) {
                return drawable.setLayoutDirection(i2);
            }
            if (!f148j) {
                try {
                    Method declaredMethod = Drawable.class.getDeclaredMethod("setLayoutDirection", Integer.TYPE);
                    f147i = declaredMethod;
                    declaredMethod.setAccessible(true);
                } catch (NoSuchMethodException e2) {
                    Log.i("DrawableCompat", "Failed to retrieve setLayoutDirection(int) method", e2);
                }
                f148j = true;
            }
            Method method = f147i;
            if (method != null) {
                try {
                    method.invoke(drawable, Integer.valueOf(i2));
                    return true;
                } catch (Exception e3) {
                    Log.i("DrawableCompat", "Failed to invoke setLayoutDirection(int) via reflection", e3);
                    f147i = null;
                }
            }
            return false;
        }

        /* JADX WARNING: Removed duplicated region for block: B:25:0x0047 A[SYNTHETIC, Splitter:B:25:0x0047] */
        /* JADX WARNING: Removed duplicated region for block: B:31:0x0050 A[SYNTHETIC, Splitter:B:31:0x0050] */
        public static boolean t(File file, InputStream inputStream) {
            Throwable th;
            IOException e2;
            StrictMode.ThreadPolicy allowThreadDiskWrites = StrictMode.allowThreadDiskWrites();
            FileOutputStream fileOutputStream = null;
            try {
                FileOutputStream fileOutputStream2 = new FileOutputStream(file, false);
                try {
                    byte[] bArr = new byte[1024];
                    while (true) {
                        int read = inputStream.read(bArr);
                        if (read == -1) {
                            break;
                        }
                        fileOutputStream2.write(bArr, 0, read);
                    }
                    try {
                        fileOutputStream2.close();
                    } catch (IOException unused) {
                    }
                    StrictMode.setThreadPolicy(allowThreadDiskWrites);
                    return true;
                } catch (IOException e3) {
                    e2 = e3;
                    fileOutputStream = fileOutputStream2;
                    try {
                        Log.e("TypefaceCompatUtil", "Error copying resource contents to temp file: " + e2.getMessage());
                        if (fileOutputStream != null) {
                        }
                        StrictMode.setThreadPolicy(allowThreadDiskWrites);
                        return false;
                    } catch (Throwable th2) {
                        th = th2;
                        if (fileOutputStream != null) {
                            try {
                                fileOutputStream.close();
                            } catch (IOException unused2) {
                            }
                        }
                        StrictMode.setThreadPolicy(allowThreadDiskWrites);
                        throw th;
                    }
                } catch (Throwable th3) {
                    th = th3;
                    fileOutputStream = fileOutputStream2;
                    if (fileOutputStream != null) {
                    }
                    StrictMode.setThreadPolicy(allowThreadDiskWrites);
                    throw th;
                }
            } catch (IOException e4) {
                e2 = e4;
                Log.e("TypefaceCompatUtil", "Error copying resource contents to temp file: " + e2.getMessage());
                if (fileOutputStream != null) {
                    try {
                        fileOutputStream.close();
                    } catch (IOException unused3) {
                    }
                }
                StrictMode.setThreadPolicy(allowThreadDiskWrites);
                return false;
            }
        }

        public static void t0(TextView textView, int i2) {
            j(i2);
            int fontMetricsInt = textView.getPaint().getFontMetricsInt(null);
            if (i2 != fontMetricsInt) {
                textView.setLineSpacing((float) (i2 - fontMetricsInt), 1.0f);
            }
        }

        public static Handler u(Looper looper) {
            if (Build.VERSION.SDK_INT >= 28) {
                return Handler.createAsync(looper);
            }
            try {
                return (Handler) Handler.class.getDeclaredConstructor(Looper.class, Handler.Callback.class, Boolean.TYPE).newInstance(looper, null, Boolean.TRUE);
            } catch (IllegalAccessException | InstantiationException | NoSuchMethodException unused) {
                Log.v("HandlerCompat", "Unable to invoke Handler(Looper, Callback, boolean) constructor");
                return new Handler(looper);
            } catch (InvocationTargetException e2) {
                Throwable cause = e2.getCause();
                if (cause instanceof RuntimeException) {
                    throw ((RuntimeException) cause);
                } else if (cause instanceof Error) {
                    throw ((Error) cause);
                } else {
                    throw new RuntimeException(cause);
                }
            }
        }

        public static void u0(PopupWindow popupWindow, boolean z) {
            if (Build.VERSION.SDK_INT >= 23) {
                popupWindow.setOverlapAnchor(z);
                return;
            }
            if (!r) {
                try {
                    Field declaredField = PopupWindow.class.getDeclaredField("mOverlapAnchor");
                    q = declaredField;
                    declaredField.setAccessible(true);
                } catch (NoSuchFieldException e2) {
                    Log.i("PopupWindowCompatApi21", "Could not fetch mOverlapAnchor field from PopupWindow", e2);
                }
                r = true;
            }
            Field field = q;
            if (field != null) {
                try {
                    field.set(popupWindow, Boolean.valueOf(z));
                } catch (IllegalAccessException e3) {
                    Log.i("PopupWindowCompatApi21", "Could not set overlap anchor field in PopupWindow", e3);
                }
            }
        }

        /* JADX WARNING: Removed duplicated region for block: B:59:0x00b5  */
        /* JADX WARNING: Removed duplicated region for block: B:63:? A[RETURN, SYNTHETIC] */
        public static ColorFilter v(int i2, BlendModeCompat blendModeCompat) {
            PorterDuff.Mode mode;
            BlendMode blendMode;
            if (Build.VERSION.SDK_INT >= 29) {
                switch (blendModeCompat.ordinal()) {
                    case 0:
                        blendMode = BlendMode.CLEAR;
                        break;
                    case 1:
                        blendMode = BlendMode.SRC;
                        break;
                    case 2:
                        blendMode = BlendMode.DST;
                        break;
                    case 3:
                        blendMode = BlendMode.SRC_OVER;
                        break;
                    case 4:
                        blendMode = BlendMode.DST_OVER;
                        break;
                    case 5:
                        blendMode = BlendMode.SRC_IN;
                        break;
                    case 6:
                        blendMode = BlendMode.DST_IN;
                        break;
                    case 7:
                        blendMode = BlendMode.SRC_OUT;
                        break;
                    case 8:
                        blendMode = BlendMode.DST_OUT;
                        break;
                    case 9:
                        blendMode = BlendMode.SRC_ATOP;
                        break;
                    case 10:
                        blendMode = BlendMode.DST_ATOP;
                        break;
                    case 11:
                        blendMode = BlendMode.XOR;
                        break;
                    case 12:
                        blendMode = BlendMode.PLUS;
                        break;
                    case 13:
                        blendMode = BlendMode.MODULATE;
                        break;
                    case 14:
                        blendMode = BlendMode.SCREEN;
                        break;
                    case 15:
                        blendMode = BlendMode.OVERLAY;
                        break;
                    case 16:
                        blendMode = BlendMode.DARKEN;
                        break;
                    case 17:
                        blendMode = BlendMode.LIGHTEN;
                        break;
                    case 18:
                        blendMode = BlendMode.COLOR_DODGE;
                        break;
                    case 19:
                        blendMode = BlendMode.COLOR_BURN;
                        break;
                    case 20:
                        blendMode = BlendMode.HARD_LIGHT;
                        break;
                    case 21:
                        blendMode = BlendMode.SOFT_LIGHT;
                        break;
                    case 22:
                        blendMode = BlendMode.DIFFERENCE;
                        break;
                    case 23:
                        blendMode = BlendMode.EXCLUSION;
                        break;
                    case 24:
                        blendMode = BlendMode.MULTIPLY;
                        break;
                    case 25:
                        blendMode = BlendMode.HUE;
                        break;
                    case 26:
                        blendMode = BlendMode.SATURATION;
                        break;
                    case 27:
                        blendMode = BlendMode.COLOR;
                        break;
                    case 28:
                        blendMode = BlendMode.LUMINOSITY;
                        break;
                    default:
                        blendMode = null;
                        break;
                }
                if (blendMode != null) {
                    return new BlendModeColorFilter(i2, blendMode);
                }
                return null;
            }
            if (blendModeCompat != null) {
                switch (blendModeCompat.ordinal()) {
                    case 0:
                        mode = PorterDuff.Mode.CLEAR;
                        break;
                    case 1:
                        mode = PorterDuff.Mode.SRC;
                        break;
                    case 2:
                        mode = PorterDuff.Mode.DST;
                        break;
                    case 3:
                        mode = PorterDuff.Mode.SRC_OVER;
                        break;
                    case 4:
                        mode = PorterDuff.Mode.DST_OVER;
                        break;
                    case 5:
                        mode = PorterDuff.Mode.SRC_IN;
                        break;
                    case 6:
                        mode = PorterDuff.Mode.DST_IN;
                        break;
                    case 7:
                        mode = PorterDuff.Mode.SRC_OUT;
                        break;
                    case 8:
                        mode = PorterDuff.Mode.DST_OUT;
                        break;
                    case 9:
                        mode = PorterDuff.Mode.SRC_ATOP;
                        break;
                    case 10:
                        mode = PorterDuff.Mode.DST_ATOP;
                        break;
                    case 11:
                        mode = PorterDuff.Mode.XOR;
                        break;
                    case 12:
                        mode = PorterDuff.Mode.ADD;
                        break;
                    case 13:
                        mode = PorterDuff.Mode.MULTIPLY;
                        break;
                    case 14:
                        mode = PorterDuff.Mode.SCREEN;
                        break;
                    case 15:
                        mode = PorterDuff.Mode.OVERLAY;
                        break;
                    case 16:
                        mode = PorterDuff.Mode.DARKEN;
                        break;
                    case 17:
                        mode = PorterDuff.Mode.LIGHTEN;
                        break;
                }
                if (mode == null) {
                    return new PorterDuffColorFilter(i2, mode);
                }
                return null;
            }
            mode = null;
            if (mode == null) {
            }
        }

        public static void v0(TextView textView, b.j.f.b bVar) {
            if (Build.VERSION.SDK_INT >= 29) {
                Objects.requireNonNull(bVar);
                textView.setText((CharSequence) null);
                return;
            }
            b.a T = T(textView);
            Objects.requireNonNull(bVar);
            if (T.a(null)) {
                textView.setText(bVar);
                return;
            }
            throw new IllegalArgumentException("Given text can not be applied to TextView.");
        }

        public static ColorStateList w(Resources resources, XmlPullParser xmlPullParser, Resources.Theme theme) {
            int next;
            AttributeSet asAttributeSet = Xml.asAttributeSet(xmlPullParser);
            do {
                next = xmlPullParser.next();
                if (next == 2) {
                    break;
                }
            } while (next != 1);
            if (next == 2) {
                return x(resources, xmlPullParser, asAttributeSet, theme);
            }
            throw new XmlPullParserException("No start tag found");
        }

        /* JADX WARNING: Removed duplicated region for block: B:28:0x004b A[RETURN] */
        public static void w0(TextView textView, CharSequence charSequence) {
            CharSequence text = textView.getText();
            if (charSequence == text) {
                return;
            }
            if (charSequence != null || text.length() != 0) {
                if (!(charSequence instanceof Spanned)) {
                    boolean z = false;
                    if ((charSequence == null) == (text == null)) {
                        if (charSequence != null) {
                            int length = charSequence.length();
                            if (length == text.length()) {
                                int i2 = 0;
                                while (true) {
                                    if (i2 >= length) {
                                        break;
                                    } else if (charSequence.charAt(i2) != text.charAt(i2)) {
                                        break;
                                    } else {
                                        i2++;
                                    }
                                }
                            }
                        }
                        if (!z) {
                            return;
                        }
                    }
                    z = true;
                    if (!z) {
                    }
                } else if (charSequence.equals(text)) {
                    return;
                }
                textView.setText(charSequence);
            }
        }

        /* JADX WARN: Multi-variable type inference failed */
        /* JADX WARN: Type inference failed for: r8v16, types: [java.lang.Object[], java.lang.Object] */
        /* JADX WARNING: Unknown variable types count: 1 */
        public static ColorStateList x(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
            int depth;
            TypedArray typedArray;
            String name = xmlPullParser.getName();
            if (name.equals("selector")) {
                int i2 = 1;
                int depth2 = xmlPullParser.getDepth() + 1;
                int[][] iArr = new int[20][];
                int[] iArr2 = new int[20];
                int i3 = 0;
                while (true) {
                    int next = xmlPullParser.next();
                    if (next == i2 || ((depth = xmlPullParser.getDepth()) < depth2 && next == 3)) {
                        int[] iArr3 = new int[i3];
                        int[][] iArr4 = new int[i3][];
                        System.arraycopy(iArr2, 0, iArr3, 0, i3);
                        System.arraycopy(iArr, 0, iArr4, 0, i3);
                    } else {
                        if (next == 2 && depth <= depth2 && xmlPullParser.getName().equals("item")) {
                            int[] iArr5 = R$styleable.ColorStateListItem;
                            if (theme == null) {
                                typedArray = resources.obtainAttributes(attributeSet, iArr5);
                            } else {
                                typedArray = theme.obtainStyledAttributes(attributeSet, iArr5, 0, 0);
                            }
                            int color = typedArray.getColor(R$styleable.ColorStateListItem_android_color, -65281);
                            float f2 = 1.0f;
                            int i4 = R$styleable.ColorStateListItem_android_alpha;
                            if (typedArray.hasValue(i4)) {
                                f2 = typedArray.getFloat(i4, 1.0f);
                            } else {
                                int i5 = R$styleable.ColorStateListItem_alpha;
                                if (typedArray.hasValue(i5)) {
                                    f2 = typedArray.getFloat(i5, 1.0f);
                                }
                            }
                            typedArray.recycle();
                            int attributeCount = attributeSet.getAttributeCount();
                            int[] iArr6 = new int[attributeCount];
                            int i6 = 0;
                            for (int i7 = 0; i7 < attributeCount; i7++) {
                                int attributeNameResource = attributeSet.getAttributeNameResource(i7);
                                if (!(attributeNameResource == 16843173 || attributeNameResource == 16843551 || attributeNameResource == androidx.core.R$attr.alpha)) {
                                    int i8 = i6 + 1;
                                    if (!attributeSet.getAttributeBooleanValue(i7, false)) {
                                        attributeNameResource = -attributeNameResource;
                                    }
                                    iArr6[i6] = attributeNameResource;
                                    i6 = i8;
                                }
                            }
                            int[] trimStateSet = StateSet.trimStateSet(iArr6, i6);
                            int round = (Math.round(((float) Color.alpha(color)) * f2) << 24) | (color & 16777215);
                            int i9 = i3 + 1;
                            int i10 = 8;
                            if (i9 > iArr2.length) {
                                int[] iArr7 = new int[(i3 <= 4 ? 8 : i3 * 2)];
                                System.arraycopy(iArr2, 0, iArr7, 0, i3);
                                iArr2 = iArr7;
                            }
                            iArr2[i3] = round;
                            if (i9 > iArr.length) {
                                Class<?> componentType = iArr.getClass().getComponentType();
                                if (i3 > 4) {
                                    i10 = i3 * 2;
                                }
                                ?? r8 = (Object[]) Array.newInstance(componentType, i10);
                                System.arraycopy(iArr, 0, r8, 0, i3);
                                iArr = r8;
                            }
                            iArr[i3] = trimStateSet;
                            iArr = iArr;
                            i3 = i9;
                        }
                        i2 = 1;
                    }
                }
                int[] iArr32 = new int[i3];
                int[][] iArr42 = new int[i3][];
                System.arraycopy(iArr2, 0, iArr32, 0, i3);
                System.arraycopy(iArr, 0, iArr42, 0, i3);
                return new ColorStateList(iArr42, iArr32);
            }
            throw new XmlPullParserException(xmlPullParser.getPositionDescription() + ": invalid color state list tag " + name);
        }

        public static void x0(TextView textView, int i2) {
            if (Build.VERSION.SDK_INT >= 23) {
                textView.setTextAppearance(i2);
            } else {
                textView.setTextAppearance(textView.getContext(), i2);
            }
        }

        /* JADX WARNING: Code restructure failed: missing block: B:37:0x008b, code lost:
            if (r13 == false) goto L_0x008d;
         */
        /* JADX WARNING: Removed duplicated region for block: B:17:0x0048  */
        /* JADX WARNING: Removed duplicated region for block: B:45:0x0098 A[Catch:{ NumberFormatException -> 0x00ba }, LOOP:3: B:25:0x006d->B:45:0x0098, LOOP_END] */
        /* JADX WARNING: Removed duplicated region for block: B:69:0x00d7 A[SYNTHETIC] */
        /* JADX WARNING: Removed duplicated region for block: B:79:0x0097 A[SYNTHETIC] */
        public static b.j.c.c[] y(String str) {
            String trim;
            float[] fArr;
            if (str == null) {
                return null;
            }
            ArrayList arrayList = new ArrayList();
            int i2 = 0;
            int i3 = 1;
            int i4 = 0;
            while (i3 < str.length()) {
                while (i3 < str.length()) {
                    char charAt = str.charAt(i3);
                    if ((charAt - 'Z') * (charAt - 'A') > 0) {
                        if ((charAt - 'z') * (charAt - 'a') > 0) {
                            continue;
                            i3++;
                        }
                    }
                    if (!(charAt == 'e' || charAt == 'E')) {
                        trim = str.substring(i4, i3).trim();
                        if (trim.length() > 0) {
                            if (trim.charAt(i2) == 'z' || trim.charAt(i2) == 'Z') {
                                fArr = new float[i2];
                            } else {
                                try {
                                    float[] fArr2 = new float[trim.length()];
                                    int length = trim.length();
                                    int i5 = 1;
                                    int i6 = 0;
                                    while (i5 < length) {
                                        boolean z = false;
                                        boolean z2 = false;
                                        boolean z3 = false;
                                        boolean z4 = false;
                                        int i7 = i5;
                                        while (true) {
                                            if (i7 < trim.length()) {
                                                char charAt2 = trim.charAt(i7);
                                                if (charAt2 != ' ') {
                                                    if (charAt2 == 'E' || charAt2 == 'e') {
                                                        z4 = true;
                                                        if (!z) {
                                                            i7++;
                                                        }
                                                    } else {
                                                        switch (charAt2) {
                                                            case '-':
                                                                if (i7 != i5) {
                                                                }
                                                                break;
                                                            case '.':
                                                                if (!z3) {
                                                                    z3 = true;
                                                                    break;
                                                                }
                                                                z2 = true;
                                                                break;
                                                        }
                                                        z4 = false;
                                                        if (!z) {
                                                        }
                                                    }
                                                }
                                                z = true;
                                                z4 = false;
                                                if (!z) {
                                                }
                                            }
                                        }
                                        if (i5 < i7) {
                                            fArr2[i6] = Float.parseFloat(trim.substring(i5, i7));
                                            i6++;
                                        }
                                        if (!z2) {
                                            i7++;
                                        }
                                        i5 = i7;
                                        i2 = 0;
                                    }
                                    fArr = r(fArr2, i2, i6);
                                    i2 = 0;
                                } catch (NumberFormatException e2) {
                                    throw new RuntimeException(d.a.a.a.a.t("error in parsing \"", trim, "\""), e2);
                                }
                            }
                            arrayList.add(new b.j.c.c(trim.charAt(i2), fArr));
                        }
                        i4 = i3;
                        i3++;
                        i2 = 0;
                    }
                    i3++;
                }
                trim = str.substring(i4, i3).trim();
                if (trim.length() > 0) {
                }
                i4 = i3;
                i3++;
                i2 = 0;
            }
            if (i3 - i4 == 1 && i4 < str.length()) {
                arrayList.add(new b.j.c.c(str.charAt(i4), new float[0]));
            }
            return (b.j.c.c[]) arrayList.toArray(new b.j.c.c[arrayList.size()]);
        }

        public static void y0(TextView textView, TextViewBindingAdapter$BeforeTextChanged textViewBindingAdapter$BeforeTextChanged, TextViewBindingAdapter$OnTextChanged textViewBindingAdapter$OnTextChanged, TextViewBindingAdapter$AfterTextChanged textViewBindingAdapter$AfterTextChanged, InverseBindingListener inverseBindingListener) {
            TextWatcher textWatcher = null;
            if (inverseBindingListener != null) {
                textWatcher = new a(null, null, inverseBindingListener, null);
            }
            int i2 = R$id.textWatcher;
            SparseArray<WeakHashMap<View, WeakReference<?>>> sparseArray = b.l.f.a.f3522a;
            Object tag = textView.getTag(i2);
            textView.setTag(i2, textWatcher);
            TextWatcher textWatcher2 = (TextWatcher) tag;
            if (textWatcher2 != null) {
                textView.removeTextChangedListener(textWatcher2);
            }
            if (textWatcher != null) {
                textView.addTextChangedListener(textWatcher);
            }
        }

        public static Path z(String str) {
            Path path = new Path();
            b.j.c.c[] y = y(str);
            if (y == null) {
                return null;
            }
            try {
                b.j.c.c.b(y, path);
                return path;
            } catch (RuntimeException e2) {
                throw new RuntimeException(d.a.a.a.a.s("Error in parsing ", str), e2);
            }
        }

        public static void z0(Drawable drawable, int i2) {
            drawable.setTint(i2);
        }
    }

    public class g extends h {

        /* renamed from: c  reason: collision with root package name */
        public final PowerManager f156c;

        public g(Context context) {
            super();
            this.f156c = (PowerManager) context.getApplicationContext().getSystemService("power");
        }

        @Override // androidx.appcompat.app.AppCompatDelegateImpl.h
        public IntentFilter b() {
            IntentFilter intentFilter = new IntentFilter();
            intentFilter.addAction("android.os.action.POWER_SAVE_MODE_CHANGED");
            return intentFilter;
        }

        @Override // androidx.appcompat.app.AppCompatDelegateImpl.h
        public int c() {
            return this.f156c.isPowerSaveMode() ? 2 : 1;
        }

        @Override // androidx.appcompat.app.AppCompatDelegateImpl.h
        public void d() {
            AppCompatDelegateImpl.this.A();
        }
    }

    public abstract class h {

        /* renamed from: a  reason: collision with root package name */
        public BroadcastReceiver f158a;

        public class a extends BroadcastReceiver {
            public a() {
            }

            public void onReceive(Context context, Intent intent) {
                h.this.d();
            }
        }

        public h() {
        }

        public void a() {
            BroadcastReceiver broadcastReceiver = this.f158a;
            if (broadcastReceiver != null) {
                try {
                    AppCompatDelegateImpl.this.o.unregisterReceiver(broadcastReceiver);
                } catch (IllegalArgumentException unused) {
                }
                this.f158a = null;
            }
        }

        public abstract IntentFilter b();

        public abstract int c();

        public abstract void d();

        public void e() {
            a();
            IntentFilter b2 = b();
            if (b2 != null && b2.countActions() != 0) {
                if (this.f158a == null) {
                    this.f158a = new a();
                }
                AppCompatDelegateImpl.this.o.registerReceiver(this.f158a, b2);
            }
        }
    }

    public class i extends h {

        /* renamed from: c  reason: collision with root package name */
        public final n f161c;

        public i(n nVar) {
            super();
            this.f161c = nVar;
        }

        @Override // androidx.appcompat.app.AppCompatDelegateImpl.h
        public IntentFilter b() {
            IntentFilter intentFilter = new IntentFilter();
            intentFilter.addAction("android.intent.action.TIME_SET");
            intentFilter.addAction("android.intent.action.TIMEZONE_CHANGED");
            intentFilter.addAction("android.intent.action.TIME_TICK");
            return intentFilter;
        }

        @Override // androidx.appcompat.app.AppCompatDelegateImpl.h
        public int c() {
            boolean z;
            long j2;
            n nVar = this.f161c;
            n.a aVar = nVar.f2224d;
            boolean z2 = false;
            if (aVar.f2226b > System.currentTimeMillis()) {
                z = aVar.f2225a;
            } else {
                Location location = null;
                Location a2 = e.m(nVar.f2222b, "android.permission.ACCESS_COARSE_LOCATION") == 0 ? nVar.a("network") : null;
                if (e.m(nVar.f2222b, "android.permission.ACCESS_FINE_LOCATION") == 0) {
                    location = nVar.a("gps");
                }
                if (location == null || a2 == null ? location != null : location.getTime() > a2.getTime()) {
                    a2 = location;
                }
                if (a2 != null) {
                    n.a aVar2 = nVar.f2224d;
                    long currentTimeMillis = System.currentTimeMillis();
                    if (b.b.a.m.f2217a == null) {
                        b.b.a.m.f2217a = new b.b.a.m();
                    }
                    b.b.a.m mVar = b.b.a.m.f2217a;
                    mVar.a(currentTimeMillis - 86400000, a2.getLatitude(), a2.getLongitude());
                    mVar.a(currentTimeMillis, a2.getLatitude(), a2.getLongitude());
                    if (mVar.f2220d == 1) {
                        z2 = true;
                    }
                    long j3 = mVar.f2219c;
                    long j4 = mVar.f2218b;
                    mVar.a(currentTimeMillis + 86400000, a2.getLatitude(), a2.getLongitude());
                    long j5 = mVar.f2219c;
                    if (j3 == -1 || j4 == -1) {
                        j2 = 43200000 + currentTimeMillis;
                    } else {
                        j2 = (currentTimeMillis > j4 ? j5 + 0 : currentTimeMillis > j3 ? j4 + 0 : j3 + 0) + 60000;
                    }
                    aVar2.f2225a = z2;
                    aVar2.f2226b = j2;
                    z = aVar.f2225a;
                } else {
                    Log.i("TwilightManager", "Could not get last known location. This is probably because the app does not have any location permissions. Falling back to hardcoded sunrise/sunset values.");
                    int i2 = Calendar.getInstance().get(11);
                    if (i2 < 6 || i2 >= 22) {
                        z2 = true;
                    }
                    z = z2;
                }
            }
            if (z) {
                return 2;
            }
            return 1;
        }

        @Override // androidx.appcompat.app.AppCompatDelegateImpl.h
        public void d() {
            AppCompatDelegateImpl.this.A();
        }
    }

    public class j extends ContentFrameLayout {
        public j(Context context) {
            super(context);
        }

        public boolean dispatchKeyEvent(KeyEvent keyEvent) {
            return AppCompatDelegateImpl.this.H(keyEvent) || super.dispatchKeyEvent(keyEvent);
        }

        public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
            if (motionEvent.getAction() == 0) {
                int x = (int) motionEvent.getX();
                int y = (int) motionEvent.getY();
                if (x < -5 || y < -5 || x > getWidth() + 5 || y > getHeight() + 5) {
                    AppCompatDelegateImpl appCompatDelegateImpl = AppCompatDelegateImpl.this;
                    appCompatDelegateImpl.F(appCompatDelegateImpl.P(0), true);
                    return true;
                }
            }
            return super.onInterceptTouchEvent(motionEvent);
        }

        public void setBackgroundResource(int i2) {
            setBackgroundDrawable(b.b.b.a.a.b(getContext(), i2));
        }
    }

    public final class k implements MenuPresenter.Callback {
        public k() {
        }

        @Override // androidx.appcompat.view.menu.MenuPresenter.Callback
        public void onCloseMenu(MenuBuilder menuBuilder, boolean z) {
            MenuBuilder k2 = menuBuilder.k();
            boolean z2 = k2 != menuBuilder;
            AppCompatDelegateImpl appCompatDelegateImpl = AppCompatDelegateImpl.this;
            if (z2) {
                menuBuilder = k2;
            }
            PanelFeatureState M = appCompatDelegateImpl.M(menuBuilder);
            if (M == null) {
                return;
            }
            if (z2) {
                AppCompatDelegateImpl.this.D(M.f121a, M, k2);
                AppCompatDelegateImpl.this.F(M, true);
                return;
            }
            AppCompatDelegateImpl.this.F(M, z);
        }

        @Override // androidx.appcompat.view.menu.MenuPresenter.Callback
        public boolean onOpenSubMenu(MenuBuilder menuBuilder) {
            Window.Callback Q;
            if (menuBuilder != menuBuilder.k()) {
                return true;
            }
            AppCompatDelegateImpl appCompatDelegateImpl = AppCompatDelegateImpl.this;
            if (!appCompatDelegateImpl.J || (Q = appCompatDelegateImpl.Q()) == null || AppCompatDelegateImpl.this.V) {
                return true;
            }
            Q.onMenuOpened(108, menuBuilder);
            return true;
        }
    }

    public AppCompatDelegateImpl(Context context, Window window, AppCompatCallback appCompatCallback, Object obj) {
        b.f.g<String, Integer> gVar;
        Integer num;
        AppCompatActivity appCompatActivity = null;
        this.o = context;
        this.r = appCompatCallback;
        this.n = obj;
        if (obj instanceof Dialog) {
            while (true) {
                if (context != null) {
                    if (!(context instanceof AppCompatActivity)) {
                        if (!(context instanceof ContextWrapper)) {
                            break;
                        }
                        context = ((ContextWrapper) context).getBaseContext();
                    } else {
                        appCompatActivity = (AppCompatActivity) context;
                        break;
                    }
                } else {
                    break;
                }
            }
            if (appCompatActivity != null) {
                this.W = appCompatActivity.getDelegate().e();
            }
        }
        if (this.W == -100 && (num = (gVar = f118j).get(this.n.getClass().getName())) != null) {
            this.W = num.intValue();
            gVar.remove(this.n.getClass().getName());
        }
        if (window != null) {
            C(window);
        }
        b.b.f.d.e();
    }

    public boolean A() {
        return B(true);
    }

    /* JADX WARNING: Removed duplicated region for block: B:143:0x0204  */
    /* JADX WARNING: Removed duplicated region for block: B:147:0x0211  */
    /* JADX WARNING: Removed duplicated region for block: B:148:0x021b  */
    /* JADX WARNING: Removed duplicated region for block: B:153:0x0225  */
    /* JADX WARNING: Removed duplicated region for block: B:157:0x0238  */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x00af  */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x00b3  */
    public final boolean B(boolean z2) {
        boolean z3;
        Object obj;
        int i2;
        boolean z4 = false;
        if (this.V) {
            return false;
        }
        int i3 = this.W;
        if (i3 == -100) {
            i3 = -100;
        }
        int T2 = T(this.o, i3);
        Map map = null;
        r4 = null;
        r4 = null;
        Object obj2 = null;
        Object obj3 = null;
        Configuration G2 = G(this.o, T2, null);
        boolean z5 = true;
        if (!this.Z && (this.n instanceof Activity)) {
            PackageManager packageManager = this.o.getPackageManager();
            if (packageManager == null) {
                z3 = false;
                int i4 = this.o.getResources().getConfiguration().uiMode & 48;
                int i5 = G2.uiMode & 48;
                if (i4 != i5 && z2 && !z3 && this.S && (f120l || this.T)) {
                    Object obj4 = this.n;
                    if ((obj4 instanceof Activity) && !((Activity) obj4).isChild()) {
                        Activity activity = (Activity) this.n;
                        int i6 = ActivityCompat.f1255b;
                        i2 = Build.VERSION.SDK_INT;
                        if (i2 < 28) {
                            activity.recreate();
                        } else if (i2 <= 23) {
                            new Handler(activity.getMainLooper()).post(new b.j.a.a(activity));
                        } else if (!b.j.a.c.b(activity)) {
                            activity.recreate();
                        }
                        z4 = true;
                    }
                }
                if (!z4 || i4 == i5) {
                    z5 = z4;
                } else {
                    Resources resources = this.o.getResources();
                    Configuration configuration = new Configuration(resources.getConfiguration());
                    configuration.uiMode = i5 | (resources.getConfiguration().uiMode & -49);
                    resources.updateConfiguration(configuration, null);
                    int i7 = Build.VERSION.SDK_INT;
                    if (i7 < 26 && i7 < 28) {
                        if (i7 >= 24) {
                            if (!e.f146h) {
                                try {
                                    Field declaredField = Resources.class.getDeclaredField("mResourcesImpl");
                                    e.f145g = declaredField;
                                    declaredField.setAccessible(true);
                                } catch (NoSuchFieldException e2) {
                                    Log.e("ResourcesFlusher", "Could not retrieve Resources#mResourcesImpl field", e2);
                                }
                                e.f146h = true;
                            }
                            Field field = e.f145g;
                            if (field != null) {
                                try {
                                    obj = field.get(resources);
                                } catch (IllegalAccessException e3) {
                                    Log.e("ResourcesFlusher", "Could not retrieve value from Resources#mResourcesImpl", e3);
                                    obj = null;
                                }
                                if (obj != null) {
                                    if (!e.f140b) {
                                        try {
                                            Field declaredField2 = obj.getClass().getDeclaredField("mDrawableCache");
                                            e.f139a = declaredField2;
                                            declaredField2.setAccessible(true);
                                        } catch (NoSuchFieldException e4) {
                                            Log.e("ResourcesFlusher", "Could not retrieve ResourcesImpl#mDrawableCache field", e4);
                                        }
                                        e.f140b = true;
                                    }
                                    Field field2 = e.f139a;
                                    if (field2 != null) {
                                        try {
                                            obj2 = field2.get(obj);
                                        } catch (IllegalAccessException e5) {
                                            Log.e("ResourcesFlusher", "Could not retrieve value from ResourcesImpl#mDrawableCache", e5);
                                        }
                                    }
                                    if (obj2 != null) {
                                        e.E(obj2);
                                    }
                                }
                            }
                        } else if (i7 >= 23) {
                            if (!e.f140b) {
                                try {
                                    Field declaredField3 = Resources.class.getDeclaredField("mDrawableCache");
                                    e.f139a = declaredField3;
                                    declaredField3.setAccessible(true);
                                } catch (NoSuchFieldException e6) {
                                    Log.e("ResourcesFlusher", "Could not retrieve Resources#mDrawableCache field", e6);
                                }
                                e.f140b = true;
                            }
                            Field field3 = e.f139a;
                            if (field3 != null) {
                                try {
                                    obj3 = field3.get(resources);
                                } catch (IllegalAccessException e7) {
                                    Log.e("ResourcesFlusher", "Could not retrieve value from Resources#mDrawableCache", e7);
                                }
                            }
                            if (obj3 != null) {
                                e.E(obj3);
                            }
                        } else {
                            if (!e.f140b) {
                                try {
                                    Field declaredField4 = Resources.class.getDeclaredField("mDrawableCache");
                                    e.f139a = declaredField4;
                                    declaredField4.setAccessible(true);
                                } catch (NoSuchFieldException e8) {
                                    Log.e("ResourcesFlusher", "Could not retrieve Resources#mDrawableCache field", e8);
                                }
                                e.f140b = true;
                            }
                            Field field4 = e.f139a;
                            if (field4 != null) {
                                try {
                                    map = (Map) field4.get(resources);
                                } catch (IllegalAccessException e9) {
                                    Log.e("ResourcesFlusher", "Could not retrieve value from Resources#mDrawableCache", e9);
                                }
                                if (map != null) {
                                    map.clear();
                                }
                            }
                        }
                    }
                    int i8 = this.X;
                    if (i8 != 0) {
                        this.o.setTheme(i8);
                        if (Build.VERSION.SDK_INT >= 23) {
                            this.o.getTheme().applyStyle(this.X, true);
                        }
                    }
                    if (z3) {
                        Object obj5 = this.n;
                        if (obj5 instanceof Activity) {
                            Activity activity2 = (Activity) obj5;
                            if (activity2 instanceof LifecycleOwner) {
                                if (((LifecycleRegistry) ((LifecycleOwner) activity2).getLifecycle()).f1606b.isAtLeast(Lifecycle.State.STARTED)) {
                                    activity2.onConfigurationChanged(configuration);
                                }
                            } else if (this.U) {
                                activity2.onConfigurationChanged(configuration);
                            }
                        }
                    }
                }
                if (z5) {
                    Object obj6 = this.n;
                    if (obj6 instanceof AppCompatActivity) {
                        ((AppCompatActivity) obj6).onNightModeChanged(T2);
                    }
                }
                if (i3 != 0) {
                    O(this.o).e();
                } else {
                    h hVar = this.a0;
                    if (hVar != null) {
                        hVar.a();
                    }
                }
                if (i3 != 3) {
                    Context context = this.o;
                    if (this.b0 == null) {
                        this.b0 = new g(context);
                    }
                    this.b0.e();
                } else {
                    h hVar2 = this.b0;
                    if (hVar2 != null) {
                        hVar2.a();
                    }
                }
                return z5;
            }
            try {
                int i9 = Build.VERSION.SDK_INT;
                ActivityInfo activityInfo = packageManager.getActivityInfo(new ComponentName(this.o, this.n.getClass()), i9 >= 29 ? 269221888 : i9 >= 24 ? 786432 : 0);
                this.Y = (activityInfo == null || (activityInfo.configChanges & 512) == 0) ? false : true;
            } catch (PackageManager.NameNotFoundException e10) {
                Log.d("AppCompatDelegate", "Exception while getting ActivityInfo", e10);
                this.Y = false;
            }
        }
        this.Z = true;
        z3 = this.Y;
        int i42 = this.o.getResources().getConfiguration().uiMode & 48;
        int i52 = G2.uiMode & 48;
        Object obj42 = this.n;
        Activity activity3 = (Activity) this.n;
        int i62 = ActivityCompat.f1255b;
        i2 = Build.VERSION.SDK_INT;
        if (i2 < 28) {
        }
        z4 = true;
        if (!z4) {
        }
        z5 = z4;
        if (z5) {
        }
        if (i3 != 0) {
        }
        if (i3 != 3) {
        }
        return z5;
    }

    public final void C(Window window) {
        if (this.p == null) {
            Window.Callback callback = window.getCallback();
            if (!(callback instanceof f)) {
                f fVar = new f(callback);
                this.q = fVar;
                window.setCallback(fVar);
                z q2 = z.q(this.o, null, f119k);
                Drawable h2 = q2.h(0);
                if (h2 != null) {
                    window.setBackgroundDrawable(h2);
                }
                q2.f2453b.recycle();
                this.p = window;
                return;
            }
            throw new IllegalStateException("AppCompat has already installed itself into the Window");
        }
        throw new IllegalStateException("AppCompat has already installed itself into the Window");
    }

    public void D(int i2, PanelFeatureState panelFeatureState, Menu menu) {
        if (menu == null && panelFeatureState != null) {
            menu = panelFeatureState.f128h;
        }
        if ((panelFeatureState == null || panelFeatureState.m) && !this.V) {
            this.q.f2288d.onPanelClosed(i2, menu);
        }
    }

    public void E(MenuBuilder menuBuilder) {
        if (!this.O) {
            this.O = true;
            this.v.dismissPopups();
            Window.Callback Q2 = Q();
            if (Q2 != null && !this.V) {
                Q2.onPanelClosed(108, menuBuilder);
            }
            this.O = false;
        }
    }

    public void F(PanelFeatureState panelFeatureState, boolean z2) {
        ViewGroup viewGroup;
        DecorContentParent decorContentParent;
        if (!z2 || panelFeatureState.f121a != 0 || (decorContentParent = this.v) == null || !decorContentParent.isOverflowMenuShowing()) {
            WindowManager windowManager = (WindowManager) this.o.getSystemService("window");
            if (!(windowManager == null || !panelFeatureState.m || (viewGroup = panelFeatureState.f125e) == null)) {
                windowManager.removeView(viewGroup);
                if (z2) {
                    D(panelFeatureState.f121a, panelFeatureState, null);
                }
            }
            panelFeatureState.f131k = false;
            panelFeatureState.f132l = false;
            panelFeatureState.m = false;
            panelFeatureState.f126f = null;
            panelFeatureState.o = true;
            if (this.Q == panelFeatureState) {
                this.Q = null;
                return;
            }
            return;
        }
        E(panelFeatureState.f128h);
    }

    public final Configuration G(Context context, int i2, Configuration configuration) {
        int i3 = i2 != 1 ? i2 != 2 ? context.getApplicationContext().getResources().getConfiguration().uiMode & 48 : 32 : 16;
        Configuration configuration2 = new Configuration();
        configuration2.fontScale = 0.0f;
        if (configuration != null) {
            configuration2.setTo(configuration);
        }
        configuration2.uiMode = i3 | (configuration2.uiMode & -49);
        return configuration2;
    }

    /* JADX WARNING: Removed duplicated region for block: B:65:0x00d2  */
    /* JADX WARNING: Removed duplicated region for block: B:86:? A[RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:91:? A[RETURN, SYNTHETIC] */
    public boolean H(KeyEvent keyEvent) {
        boolean z2;
        boolean z3;
        boolean z4;
        View decorView;
        Object obj = this.n;
        boolean z5 = true;
        if (((obj instanceof KeyEventDispatcher.Component) || (obj instanceof AppCompatDialog)) && (decorView = this.p.getDecorView()) != null && KeyEventDispatcher.a(decorView, keyEvent)) {
            return true;
        }
        if (keyEvent.getKeyCode() == 82 && this.q.f2288d.dispatchKeyEvent(keyEvent)) {
            return true;
        }
        int keyCode = keyEvent.getKeyCode();
        if (keyEvent.getAction() == 0) {
            if (keyCode == 4) {
                if ((keyEvent.getFlags() & 128) == 0) {
                    z5 = false;
                }
                this.R = z5;
            } else if (keyCode == 82) {
                if (keyEvent.getRepeatCount() != 0) {
                    return true;
                }
                PanelFeatureState P2 = P(0);
                if (P2.m) {
                    return true;
                }
                W(P2, keyEvent);
                return true;
            }
        } else if (keyCode == 4) {
            boolean z6 = this.R;
            this.R = false;
            PanelFeatureState P3 = P(0);
            if (!P3.m) {
                androidx.appcompat.view.ActionMode actionMode = this.y;
                if (actionMode != null) {
                    actionMode.a();
                } else {
                    R();
                    ActionBar actionBar = this.s;
                    if (actionBar == null || !actionBar.b()) {
                        z2 = false;
                        if (!z2) {
                            return true;
                        }
                    }
                }
                z2 = true;
                if (!z2) {
                    return false;
                }
            } else if (z6) {
                return true;
            } else {
                F(P3, true);
                return true;
            }
        } else if (keyCode == 82) {
            if (this.y != null) {
                return true;
            }
            PanelFeatureState P4 = P(0);
            DecorContentParent decorContentParent = this.v;
            if (decorContentParent == null || !decorContentParent.canShowOverflowMenu() || ViewConfiguration.get(this.o).hasPermanentMenuKey()) {
                boolean z7 = P4.m;
                if (z7 || P4.f132l) {
                    F(P4, true);
                    z3 = z7;
                    if (z3) {
                        return true;
                    }
                    AudioManager audioManager = (AudioManager) this.o.getApplicationContext().getSystemService("audio");
                    if (audioManager != null) {
                        audioManager.playSoundEffect(0);
                        return true;
                    }
                    Log.w("AppCompatDelegate", "Couldn't get audio manager");
                    return true;
                } else if (P4.f131k) {
                    if (P4.p) {
                        P4.f131k = false;
                        z4 = W(P4, keyEvent);
                    } else {
                        z4 = true;
                    }
                    if (z4) {
                        U(P4, keyEvent);
                        z3 = true;
                        if (z3) {
                        }
                    }
                }
            } else {
                if (this.v.isOverflowMenuShowing()) {
                    z3 = this.v.hideOverflowMenu();
                } else if (!this.V && W(P4, keyEvent)) {
                    z3 = this.v.showOverflowMenu();
                }
                if (z3) {
                }
            }
            z3 = false;
            if (z3) {
            }
        }
        return false;
    }

    public void I(int i2) {
        PanelFeatureState P2 = P(i2);
        if (P2.f128h != null) {
            Bundle bundle = new Bundle();
            P2.f128h.y(bundle);
            if (bundle.size() > 0) {
                P2.q = bundle;
            }
            P2.f128h.C();
            P2.f128h.clear();
        }
        P2.p = true;
        P2.o = true;
        if ((i2 == 108 || i2 == 0) && this.v != null) {
            PanelFeatureState P3 = P(0);
            P3.f131k = false;
            W(P3, null);
        }
    }

    public void J() {
        m mVar = this.C;
        if (mVar != null) {
            mVar.b();
        }
    }

    public final void K() {
        ViewGroup viewGroup;
        CharSequence charSequence;
        Context context;
        if (!this.D) {
            TypedArray obtainStyledAttributes = this.o.obtainStyledAttributes(androidx.appcompat.R$styleable.AppCompatTheme);
            int i2 = androidx.appcompat.R$styleable.AppCompatTheme_windowActionBar;
            if (obtainStyledAttributes.hasValue(i2)) {
                if (obtainStyledAttributes.getBoolean(androidx.appcompat.R$styleable.AppCompatTheme_windowNoTitle, false)) {
                    s(1);
                } else if (obtainStyledAttributes.getBoolean(i2, false)) {
                    s(108);
                }
                if (obtainStyledAttributes.getBoolean(androidx.appcompat.R$styleable.AppCompatTheme_windowActionBarOverlay, false)) {
                    s(109);
                }
                if (obtainStyledAttributes.getBoolean(androidx.appcompat.R$styleable.AppCompatTheme_windowActionModeOverlay, false)) {
                    s(10);
                }
                this.M = obtainStyledAttributes.getBoolean(androidx.appcompat.R$styleable.AppCompatTheme_android_windowIsFloating, false);
                obtainStyledAttributes.recycle();
                L();
                this.p.getDecorView();
                LayoutInflater from = LayoutInflater.from(this.o);
                if (this.N) {
                    viewGroup = this.L ? (ViewGroup) from.inflate(R$layout.abc_screen_simple_overlay_action_mode, (ViewGroup) null) : (ViewGroup) from.inflate(R$layout.abc_screen_simple, (ViewGroup) null);
                } else if (this.M) {
                    viewGroup = (ViewGroup) from.inflate(R$layout.abc_dialog_title_material, (ViewGroup) null);
                    this.K = false;
                    this.J = false;
                } else if (this.J) {
                    TypedValue typedValue = new TypedValue();
                    this.o.getTheme().resolveAttribute(R$attr.actionBarTheme, typedValue, true);
                    if (typedValue.resourceId != 0) {
                        context = new b.b.e.a(this.o, typedValue.resourceId);
                    } else {
                        context = this.o;
                    }
                    viewGroup = (ViewGroup) LayoutInflater.from(context).inflate(R$layout.abc_screen_toolbar, (ViewGroup) null);
                    DecorContentParent decorContentParent = (DecorContentParent) viewGroup.findViewById(androidx.appcompat.R$id.decor_content_parent);
                    this.v = decorContentParent;
                    decorContentParent.setWindowCallback(Q());
                    if (this.K) {
                        this.v.initFeature(109);
                    }
                    if (this.H) {
                        this.v.initFeature(2);
                    }
                    if (this.I) {
                        this.v.initFeature(5);
                    }
                } else {
                    viewGroup = null;
                }
                if (viewGroup != null) {
                    b.b.a.g gVar = new b.b.a.g(this);
                    AtomicInteger atomicInteger = ViewCompat.f1365a;
                    ViewCompat.c.d(viewGroup, gVar);
                    if (this.v == null) {
                        this.F = (TextView) viewGroup.findViewById(androidx.appcompat.R$id.title);
                    }
                    Method method = e0.f2363a;
                    try {
                        Method method2 = viewGroup.getClass().getMethod("makeOptionalFitsSystemWindows", new Class[0]);
                        if (!method2.isAccessible()) {
                            method2.setAccessible(true);
                        }
                        method2.invoke(viewGroup, new Object[0]);
                    } catch (NoSuchMethodException unused) {
                        Log.d("ViewUtils", "Could not find method makeOptionalFitsSystemWindows. Oh well...");
                    } catch (InvocationTargetException e2) {
                        Log.d("ViewUtils", "Could not invoke makeOptionalFitsSystemWindows", e2);
                    } catch (IllegalAccessException e3) {
                        Log.d("ViewUtils", "Could not invoke makeOptionalFitsSystemWindows", e3);
                    }
                    ContentFrameLayout contentFrameLayout = (ContentFrameLayout) viewGroup.findViewById(androidx.appcompat.R$id.action_bar_activity_content);
                    ViewGroup viewGroup2 = (ViewGroup) this.p.findViewById(16908290);
                    if (viewGroup2 != null) {
                        while (viewGroup2.getChildCount() > 0) {
                            View childAt = viewGroup2.getChildAt(0);
                            viewGroup2.removeViewAt(0);
                            contentFrameLayout.addView(childAt);
                        }
                        viewGroup2.setId(-1);
                        contentFrameLayout.setId(16908290);
                        if (viewGroup2 instanceof FrameLayout) {
                            ((FrameLayout) viewGroup2).setForeground(null);
                        }
                    }
                    this.p.setContentView(viewGroup);
                    contentFrameLayout.setAttachListener(new b.b.a.h(this));
                    this.E = viewGroup;
                    Object obj = this.n;
                    if (obj instanceof Activity) {
                        charSequence = ((Activity) obj).getTitle();
                    } else {
                        charSequence = this.u;
                    }
                    if (!TextUtils.isEmpty(charSequence)) {
                        DecorContentParent decorContentParent2 = this.v;
                        if (decorContentParent2 != null) {
                            decorContentParent2.setWindowTitle(charSequence);
                        } else {
                            ActionBar actionBar = this.s;
                            if (actionBar != null) {
                                actionBar.r(charSequence);
                            } else {
                                TextView textView = this.F;
                                if (textView != null) {
                                    textView.setText(charSequence);
                                }
                            }
                        }
                    }
                    ContentFrameLayout contentFrameLayout2 = (ContentFrameLayout) this.E.findViewById(16908290);
                    View decorView = this.p.getDecorView();
                    contentFrameLayout2.n.set(decorView.getPaddingLeft(), decorView.getPaddingTop(), decorView.getPaddingRight(), decorView.getPaddingBottom());
                    AtomicInteger atomicInteger2 = ViewCompat.f1365a;
                    if (contentFrameLayout2.isLaidOut()) {
                        contentFrameLayout2.requestLayout();
                    }
                    TypedArray obtainStyledAttributes2 = this.o.obtainStyledAttributes(androidx.appcompat.R$styleable.AppCompatTheme);
                    obtainStyledAttributes2.getValue(androidx.appcompat.R$styleable.AppCompatTheme_windowMinWidthMajor, contentFrameLayout2.getMinWidthMajor());
                    obtainStyledAttributes2.getValue(androidx.appcompat.R$styleable.AppCompatTheme_windowMinWidthMinor, contentFrameLayout2.getMinWidthMinor());
                    int i3 = androidx.appcompat.R$styleable.AppCompatTheme_windowFixedWidthMajor;
                    if (obtainStyledAttributes2.hasValue(i3)) {
                        obtainStyledAttributes2.getValue(i3, contentFrameLayout2.getFixedWidthMajor());
                    }
                    int i4 = androidx.appcompat.R$styleable.AppCompatTheme_windowFixedWidthMinor;
                    if (obtainStyledAttributes2.hasValue(i4)) {
                        obtainStyledAttributes2.getValue(i4, contentFrameLayout2.getFixedWidthMinor());
                    }
                    int i5 = androidx.appcompat.R$styleable.AppCompatTheme_windowFixedHeightMajor;
                    if (obtainStyledAttributes2.hasValue(i5)) {
                        obtainStyledAttributes2.getValue(i5, contentFrameLayout2.getFixedHeightMajor());
                    }
                    int i6 = androidx.appcompat.R$styleable.AppCompatTheme_windowFixedHeightMinor;
                    if (obtainStyledAttributes2.hasValue(i6)) {
                        obtainStyledAttributes2.getValue(i6, contentFrameLayout2.getFixedHeightMinor());
                    }
                    obtainStyledAttributes2.recycle();
                    contentFrameLayout2.requestLayout();
                    this.D = true;
                    PanelFeatureState P2 = P(0);
                    if (!this.V && P2.f128h == null) {
                        S(108);
                        return;
                    }
                    return;
                }
                StringBuilder B2 = d.a.a.a.a.B("AppCompat does not support the current theme features: { windowActionBar: ");
                B2.append(this.J);
                B2.append(", windowActionBarOverlay: ");
                B2.append(this.K);
                B2.append(", android:windowIsFloating: ");
                B2.append(this.M);
                B2.append(", windowActionModeOverlay: ");
                B2.append(this.L);
                B2.append(", windowNoTitle: ");
                B2.append(this.N);
                B2.append(" }");
                throw new IllegalArgumentException(B2.toString());
            }
            obtainStyledAttributes.recycle();
            throw new IllegalStateException("You need to use a Theme.AppCompat theme (or descendant) with this activity.");
        }
    }

    public final void L() {
        if (this.p == null) {
            Object obj = this.n;
            if (obj instanceof Activity) {
                C(((Activity) obj).getWindow());
            }
        }
        if (this.p == null) {
            throw new IllegalStateException("We have not been given a Window");
        }
    }

    public PanelFeatureState M(Menu menu) {
        PanelFeatureState[] panelFeatureStateArr = this.P;
        int length = panelFeatureStateArr != null ? panelFeatureStateArr.length : 0;
        for (int i2 = 0; i2 < length; i2++) {
            PanelFeatureState panelFeatureState = panelFeatureStateArr[i2];
            if (panelFeatureState != null && panelFeatureState.f128h == menu) {
                return panelFeatureState;
            }
        }
        return null;
    }

    public final Context N() {
        R();
        ActionBar actionBar = this.s;
        Context e2 = actionBar != null ? actionBar.e() : null;
        return e2 == null ? this.o : e2;
    }

    public final h O(Context context) {
        if (this.a0 == null) {
            if (n.f2221a == null) {
                Context applicationContext = context.getApplicationContext();
                n.f2221a = new n(applicationContext, (LocationManager) applicationContext.getSystemService("location"));
            }
            this.a0 = new i(n.f2221a);
        }
        return this.a0;
    }

    public PanelFeatureState P(int i2) {
        PanelFeatureState[] panelFeatureStateArr = this.P;
        if (panelFeatureStateArr == null || panelFeatureStateArr.length <= i2) {
            PanelFeatureState[] panelFeatureStateArr2 = new PanelFeatureState[(i2 + 1)];
            if (panelFeatureStateArr != null) {
                System.arraycopy(panelFeatureStateArr, 0, panelFeatureStateArr2, 0, panelFeatureStateArr.length);
            }
            this.P = panelFeatureStateArr2;
            panelFeatureStateArr = panelFeatureStateArr2;
        }
        PanelFeatureState panelFeatureState = panelFeatureStateArr[i2];
        if (panelFeatureState != null) {
            return panelFeatureState;
        }
        PanelFeatureState panelFeatureState2 = new PanelFeatureState(i2);
        panelFeatureStateArr[i2] = panelFeatureState2;
        return panelFeatureState2;
    }

    public final Window.Callback Q() {
        return this.p.getCallback();
    }

    public final void R() {
        K();
        if (this.J && this.s == null) {
            Object obj = this.n;
            if (obj instanceof Activity) {
                this.s = new WindowDecorActionBar((Activity) this.n, this.K);
            } else if (obj instanceof Dialog) {
                this.s = new WindowDecorActionBar((Dialog) this.n);
            }
            ActionBar actionBar = this.s;
            if (actionBar != null) {
                actionBar.m(this.f0);
            }
        }
    }

    public final void S(int i2) {
        this.d0 = (1 << i2) | this.d0;
        if (!this.c0) {
            View decorView = this.p.getDecorView();
            Runnable runnable = this.e0;
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            decorView.postOnAnimation(runnable);
            this.c0 = true;
        }
    }

    public int T(Context context, int i2) {
        if (i2 == -100) {
            return -1;
        }
        if (i2 != -1) {
            if (i2 != 0) {
                if (!(i2 == 1 || i2 == 2)) {
                    if (i2 == 3) {
                        if (this.b0 == null) {
                            this.b0 = new g(context);
                        }
                        return this.b0.c();
                    }
                    throw new IllegalStateException("Unknown value set for night mode. Please use one of the MODE_NIGHT values from AppCompatDelegate.");
                }
            } else if (Build.VERSION.SDK_INT < 23 || ((UiModeManager) context.getApplicationContext().getSystemService("uimode")).getNightMode() != 0) {
                return O(context).c();
            } else {
                return -1;
            }
        }
        return i2;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:61:0x0124, code lost:
        if (r14 != null) goto L_0x0126;
     */
    /* JADX WARNING: Removed duplicated region for block: B:65:0x012b  */
    public final void U(PanelFeatureState panelFeatureState, KeyEvent keyEvent) {
        int i2;
        boolean z2;
        ViewGroup.LayoutParams layoutParams;
        if (!panelFeatureState.m && !this.V) {
            if (panelFeatureState.f121a == 0) {
                if ((this.o.getResources().getConfiguration().screenLayout & 15) == 4) {
                    return;
                }
            }
            Window.Callback Q2 = Q();
            if (Q2 == null || Q2.onMenuOpened(panelFeatureState.f121a, panelFeatureState.f128h)) {
                WindowManager windowManager = (WindowManager) this.o.getSystemService("window");
                if (windowManager != null && W(panelFeatureState, keyEvent)) {
                    ViewGroup viewGroup = panelFeatureState.f125e;
                    if (viewGroup == null || panelFeatureState.o) {
                        if (viewGroup == null) {
                            Context N2 = N();
                            TypedValue typedValue = new TypedValue();
                            Resources.Theme newTheme = N2.getResources().newTheme();
                            newTheme.setTo(N2.getTheme());
                            newTheme.resolveAttribute(R$attr.actionBarPopupTheme, typedValue, true);
                            int i3 = typedValue.resourceId;
                            if (i3 != 0) {
                                newTheme.applyStyle(i3, true);
                            }
                            newTheme.resolveAttribute(R$attr.panelMenuListTheme, typedValue, true);
                            int i4 = typedValue.resourceId;
                            if (i4 != 0) {
                                newTheme.applyStyle(i4, true);
                            } else {
                                newTheme.applyStyle(R$style.Theme_AppCompat_CompactMenu, true);
                            }
                            b.b.e.a aVar = new b.b.e.a(N2, 0);
                            aVar.getTheme().setTo(newTheme);
                            panelFeatureState.f130j = aVar;
                            TypedArray obtainStyledAttributes = aVar.obtainStyledAttributes(androidx.appcompat.R$styleable.AppCompatTheme);
                            panelFeatureState.f122b = obtainStyledAttributes.getResourceId(androidx.appcompat.R$styleable.AppCompatTheme_panelBackground, 0);
                            panelFeatureState.f124d = obtainStyledAttributes.getResourceId(androidx.appcompat.R$styleable.AppCompatTheme_android_windowAnimationStyle, 0);
                            obtainStyledAttributes.recycle();
                            panelFeatureState.f125e = new j(panelFeatureState.f130j);
                            panelFeatureState.f123c = 81;
                        } else if (panelFeatureState.o && viewGroup.getChildCount() > 0) {
                            panelFeatureState.f125e.removeAllViews();
                        }
                        View view = panelFeatureState.f127g;
                        if (view != null) {
                            panelFeatureState.f126f = view;
                        } else {
                            if (panelFeatureState.f128h != null) {
                                if (this.x == null) {
                                    this.x = new k();
                                }
                                k kVar = this.x;
                                if (panelFeatureState.f129i == null) {
                                    ListMenuPresenter listMenuPresenter = new ListMenuPresenter(panelFeatureState.f130j, R$layout.abc_list_menu_item_layout);
                                    panelFeatureState.f129i = listMenuPresenter;
                                    listMenuPresenter.n = kVar;
                                    MenuBuilder menuBuilder = panelFeatureState.f128h;
                                    menuBuilder.b(listMenuPresenter, menuBuilder.f240b);
                                }
                                View view2 = (View) panelFeatureState.f129i.getMenuView(panelFeatureState.f125e);
                                panelFeatureState.f126f = view2;
                            }
                            z2 = false;
                            if (z2) {
                                if (panelFeatureState.f126f != null && (panelFeatureState.f127g != null || ((ListMenuPresenter.a) panelFeatureState.f129i.a()).getCount() > 0)) {
                                    ViewGroup.LayoutParams layoutParams2 = panelFeatureState.f126f.getLayoutParams();
                                    if (layoutParams2 == null) {
                                        layoutParams2 = new ViewGroup.LayoutParams(-2, -2);
                                    }
                                    panelFeatureState.f125e.setBackgroundResource(panelFeatureState.f122b);
                                    ViewParent parent = panelFeatureState.f126f.getParent();
                                    if (parent instanceof ViewGroup) {
                                        ((ViewGroup) parent).removeView(panelFeatureState.f126f);
                                    }
                                    panelFeatureState.f125e.addView(panelFeatureState.f126f, layoutParams2);
                                    if (!panelFeatureState.f126f.hasFocus()) {
                                        panelFeatureState.f126f.requestFocus();
                                    }
                                }
                            }
                            panelFeatureState.o = true;
                            return;
                        }
                        z2 = true;
                        if (z2) {
                        }
                        panelFeatureState.o = true;
                        return;
                    }
                    View view3 = panelFeatureState.f127g;
                    if (!(view3 == null || (layoutParams = view3.getLayoutParams()) == null || layoutParams.width != -1)) {
                        i2 = -1;
                        panelFeatureState.f132l = false;
                        WindowManager.LayoutParams layoutParams3 = new WindowManager.LayoutParams(i2, -2, 0, 0, 1002, 8519680, -3);
                        layoutParams3.gravity = panelFeatureState.f123c;
                        layoutParams3.windowAnimations = panelFeatureState.f124d;
                        windowManager.addView(panelFeatureState.f125e, layoutParams3);
                        panelFeatureState.m = true;
                        return;
                    }
                    i2 = -2;
                    panelFeatureState.f132l = false;
                    WindowManager.LayoutParams layoutParams32 = new WindowManager.LayoutParams(i2, -2, 0, 0, 1002, 8519680, -3);
                    layoutParams32.gravity = panelFeatureState.f123c;
                    layoutParams32.windowAnimations = panelFeatureState.f124d;
                    windowManager.addView(panelFeatureState.f125e, layoutParams32);
                    panelFeatureState.m = true;
                    return;
                }
                return;
            }
            F(panelFeatureState, true);
        }
    }

    public final boolean V(PanelFeatureState panelFeatureState, int i2, KeyEvent keyEvent, int i3) {
        MenuBuilder menuBuilder;
        boolean z2 = false;
        if (keyEvent.isSystem()) {
            return false;
        }
        if ((panelFeatureState.f131k || W(panelFeatureState, keyEvent)) && (menuBuilder = panelFeatureState.f128h) != null) {
            z2 = menuBuilder.performShortcut(i2, keyEvent, i3);
        }
        if (z2 && (i3 & 1) == 0 && this.v == null) {
            F(panelFeatureState, true);
        }
        return z2;
    }

    public final boolean W(PanelFeatureState panelFeatureState, KeyEvent keyEvent) {
        DecorContentParent decorContentParent;
        DecorContentParent decorContentParent2;
        DecorContentParent decorContentParent3;
        Resources.Theme theme;
        DecorContentParent decorContentParent4;
        if (this.V) {
            return false;
        }
        if (panelFeatureState.f131k) {
            return true;
        }
        PanelFeatureState panelFeatureState2 = this.Q;
        if (!(panelFeatureState2 == null || panelFeatureState2 == panelFeatureState)) {
            F(panelFeatureState2, false);
        }
        Window.Callback Q2 = Q();
        if (Q2 != null) {
            panelFeatureState.f127g = Q2.onCreatePanelView(panelFeatureState.f121a);
        }
        int i2 = panelFeatureState.f121a;
        boolean z2 = i2 == 0 || i2 == 108;
        if (z2 && (decorContentParent4 = this.v) != null) {
            decorContentParent4.setMenuPrepared();
        }
        if (panelFeatureState.f127g == null && (!z2 || !(this.s instanceof l))) {
            MenuBuilder menuBuilder = panelFeatureState.f128h;
            if (menuBuilder == null || panelFeatureState.p) {
                if (menuBuilder == null) {
                    Context context = this.o;
                    int i3 = panelFeatureState.f121a;
                    if ((i3 == 0 || i3 == 108) && this.v != null) {
                        TypedValue typedValue = new TypedValue();
                        Resources.Theme theme2 = context.getTheme();
                        theme2.resolveAttribute(R$attr.actionBarTheme, typedValue, true);
                        if (typedValue.resourceId != 0) {
                            theme = context.getResources().newTheme();
                            theme.setTo(theme2);
                            theme.applyStyle(typedValue.resourceId, true);
                            theme.resolveAttribute(R$attr.actionBarWidgetTheme, typedValue, true);
                        } else {
                            theme2.resolveAttribute(R$attr.actionBarWidgetTheme, typedValue, true);
                            theme = null;
                        }
                        if (typedValue.resourceId != 0) {
                            if (theme == null) {
                                theme = context.getResources().newTheme();
                                theme.setTo(theme2);
                            }
                            theme.applyStyle(typedValue.resourceId, true);
                        }
                        if (theme != null) {
                            b.b.e.a aVar = new b.b.e.a(context, 0);
                            aVar.getTheme().setTo(theme);
                            context = aVar;
                        }
                    }
                    MenuBuilder menuBuilder2 = new MenuBuilder(context);
                    menuBuilder2.f244f = this;
                    panelFeatureState.a(menuBuilder2);
                    if (panelFeatureState.f128h == null) {
                        return false;
                    }
                }
                if (z2 && (decorContentParent3 = this.v) != null) {
                    if (this.w == null) {
                        this.w = new c();
                    }
                    decorContentParent3.setMenu(panelFeatureState.f128h, this.w);
                }
                panelFeatureState.f128h.C();
                if (!Q2.onCreatePanelMenu(panelFeatureState.f121a, panelFeatureState.f128h)) {
                    panelFeatureState.a(null);
                    if (z2 && (decorContentParent2 = this.v) != null) {
                        decorContentParent2.setMenu(null, this.w);
                    }
                    return false;
                }
                panelFeatureState.p = false;
            }
            panelFeatureState.f128h.C();
            Bundle bundle = panelFeatureState.q;
            if (bundle != null) {
                panelFeatureState.f128h.w(bundle);
                panelFeatureState.q = null;
            }
            if (!Q2.onPreparePanel(0, panelFeatureState.f127g, panelFeatureState.f128h)) {
                if (z2 && (decorContentParent = this.v) != null) {
                    decorContentParent.setMenu(null, this.w);
                }
                panelFeatureState.f128h.B();
                return false;
            }
            boolean z3 = KeyCharacterMap.load(keyEvent != null ? keyEvent.getDeviceId() : -1).getKeyboardType() != 1;
            panelFeatureState.n = z3;
            panelFeatureState.f128h.setQwertyMode(z3);
            panelFeatureState.f128h.B();
        }
        panelFeatureState.f131k = true;
        panelFeatureState.f132l = false;
        this.Q = panelFeatureState;
        return true;
    }

    public final boolean X() {
        ViewGroup viewGroup;
        if (this.D && (viewGroup = this.E) != null) {
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            if (viewGroup.isLaidOut()) {
                return true;
            }
        }
        return false;
    }

    public final void Y() {
        if (this.D) {
            throw new AndroidRuntimeException("Window feature must be requested before adding content");
        }
    }

    public final int Z(o oVar, Rect rect) {
        boolean z2;
        o oVar2;
        int i2;
        int i3;
        boolean z3;
        int i4;
        ViewGroup.MarginLayoutParams marginLayoutParams;
        int i5;
        int e2 = oVar.e();
        ActionBarContextView actionBarContextView = this.z;
        int i6 = 8;
        if (actionBarContextView == null || !(actionBarContextView.getLayoutParams() instanceof ViewGroup.MarginLayoutParams)) {
            z2 = false;
        } else {
            ViewGroup.MarginLayoutParams marginLayoutParams2 = (ViewGroup.MarginLayoutParams) this.z.getLayoutParams();
            boolean z4 = true;
            if (this.z.isShown()) {
                if (this.g0 == null) {
                    this.g0 = new Rect();
                    this.h0 = new Rect();
                }
                Rect rect2 = this.g0;
                Rect rect3 = this.h0;
                rect2.set(oVar.c(), oVar.e(), oVar.d(), oVar.b());
                e0.a(this.E, rect2, rect3);
                int i7 = rect2.top;
                int i8 = rect2.left;
                int i9 = rect2.right;
                ViewGroup viewGroup = this.E;
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                if (Build.VERSION.SDK_INT >= 23) {
                    oVar2 = ViewCompat.d.a(viewGroup);
                } else {
                    oVar2 = ViewCompat.c.c(viewGroup);
                }
                if (oVar2 == null) {
                    i2 = 0;
                } else {
                    i2 = oVar2.c();
                }
                if (oVar2 == null) {
                    i3 = 0;
                } else {
                    i3 = oVar2.d();
                }
                if (marginLayoutParams2.topMargin == i7 && marginLayoutParams2.leftMargin == i8 && marginLayoutParams2.rightMargin == i9) {
                    z3 = false;
                } else {
                    marginLayoutParams2.topMargin = i7;
                    marginLayoutParams2.leftMargin = i8;
                    marginLayoutParams2.rightMargin = i9;
                    z3 = true;
                }
                if (i7 <= 0 || this.G != null) {
                    View view = this.G;
                    if (!(view == null || ((marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams()).height == (i5 = marginLayoutParams2.topMargin) && marginLayoutParams.leftMargin == i2 && marginLayoutParams.rightMargin == i3))) {
                        marginLayoutParams.height = i5;
                        marginLayoutParams.leftMargin = i2;
                        marginLayoutParams.rightMargin = i3;
                        this.G.setLayoutParams(marginLayoutParams);
                    }
                } else {
                    View view2 = new View(this.o);
                    this.G = view2;
                    view2.setVisibility(8);
                    FrameLayout.LayoutParams layoutParams = new FrameLayout.LayoutParams(-1, marginLayoutParams2.topMargin, 51);
                    layoutParams.leftMargin = i2;
                    layoutParams.rightMargin = i3;
                    this.E.addView(this.G, -1, layoutParams);
                }
                View view3 = this.G;
                z2 = view3 != null;
                if (z2 && view3.getVisibility() != 0) {
                    View view4 = this.G;
                    if ((view4.getWindowSystemUiVisibility() & 8192) == 0) {
                        z4 = false;
                    }
                    if (z4) {
                        i4 = b.j.b.a.b(this.o, R$color.abc_decor_view_status_guard_light);
                    } else {
                        i4 = b.j.b.a.b(this.o, R$color.abc_decor_view_status_guard);
                    }
                    view4.setBackgroundColor(i4);
                }
                if (!this.L && z2) {
                    e2 = 0;
                }
                z4 = z3;
            } else {
                if (marginLayoutParams2.topMargin != 0) {
                    marginLayoutParams2.topMargin = 0;
                } else {
                    z4 = false;
                }
                z2 = false;
            }
            if (z4) {
                this.z.setLayoutParams(marginLayoutParams2);
            }
        }
        View view5 = this.G;
        if (view5 != null) {
            if (z2) {
                i6 = 0;
            }
            view5.setVisibility(i6);
        }
        return e2;
    }

    @Override // b.b.a.f
    public void a(View view, ViewGroup.LayoutParams layoutParams) {
        K();
        ((ViewGroup) this.E.findViewById(16908290)).addView(view, layoutParams);
        this.q.f2288d.onContentChanged();
    }

    /* JADX WARNING: Removed duplicated region for block: B:108:0x019e  */
    @Override // b.b.a.f
    public Context b(Context context) {
        Configuration configuration;
        boolean z2;
        this.S = true;
        int i2 = this.W;
        if (i2 == -100) {
            i2 = -100;
        }
        int T2 = T(context, i2);
        if (m && (context instanceof ContextThemeWrapper)) {
            try {
                ((ContextThemeWrapper) context).applyOverrideConfiguration(G(context, T2, null));
                return context;
            } catch (IllegalStateException unused) {
            }
        }
        if (context instanceof b.b.e.a) {
            try {
                ((b.b.e.a) context).a(G(context, T2, null));
                return context;
            } catch (IllegalStateException unused2) {
            }
        }
        if (!f120l) {
            return context;
        }
        int i3 = Build.VERSION.SDK_INT;
        Configuration configuration2 = new Configuration();
        configuration2.uiMode = -1;
        configuration2.fontScale = 0.0f;
        Configuration configuration3 = context.createConfigurationContext(configuration2).getResources().getConfiguration();
        Configuration configuration4 = context.getResources().getConfiguration();
        configuration3.uiMode = configuration4.uiMode;
        if (!configuration3.equals(configuration4)) {
            configuration = new Configuration();
            configuration.fontScale = 0.0f;
            if (configuration3.diff(configuration4) != 0) {
                float f2 = configuration3.fontScale;
                float f3 = configuration4.fontScale;
                if (f2 != f3) {
                    configuration.fontScale = f3;
                }
                int i4 = configuration3.mcc;
                int i5 = configuration4.mcc;
                if (i4 != i5) {
                    configuration.mcc = i5;
                }
                int i6 = configuration3.mnc;
                int i7 = configuration4.mnc;
                if (i6 != i7) {
                    configuration.mnc = i7;
                }
                if (i3 >= 24) {
                    LocaleList locales = configuration3.getLocales();
                    LocaleList locales2 = configuration4.getLocales();
                    if (!locales.equals(locales2)) {
                        configuration.setLocales(locales2);
                        configuration.locale = configuration4.locale;
                    }
                } else if (!Objects.equals(configuration3.locale, configuration4.locale)) {
                    configuration.locale = configuration4.locale;
                }
                int i8 = configuration3.touchscreen;
                int i9 = configuration4.touchscreen;
                if (i8 != i9) {
                    configuration.touchscreen = i9;
                }
                int i10 = configuration3.keyboard;
                int i11 = configuration4.keyboard;
                if (i10 != i11) {
                    configuration.keyboard = i11;
                }
                int i12 = configuration3.keyboardHidden;
                int i13 = configuration4.keyboardHidden;
                if (i12 != i13) {
                    configuration.keyboardHidden = i13;
                }
                int i14 = configuration3.navigation;
                int i15 = configuration4.navigation;
                if (i14 != i15) {
                    configuration.navigation = i15;
                }
                int i16 = configuration3.navigationHidden;
                int i17 = configuration4.navigationHidden;
                if (i16 != i17) {
                    configuration.navigationHidden = i17;
                }
                int i18 = configuration3.orientation;
                int i19 = configuration4.orientation;
                if (i18 != i19) {
                    configuration.orientation = i19;
                }
                int i20 = configuration3.screenLayout & 15;
                int i21 = configuration4.screenLayout & 15;
                if (i20 != i21) {
                    configuration.screenLayout |= i21;
                }
                int i22 = configuration3.screenLayout & 192;
                int i23 = configuration4.screenLayout & 192;
                if (i22 != i23) {
                    configuration.screenLayout |= i23;
                }
                int i24 = configuration3.screenLayout & 48;
                int i25 = configuration4.screenLayout & 48;
                if (i24 != i25) {
                    configuration.screenLayout |= i25;
                }
                int i26 = configuration3.screenLayout & 768;
                int i27 = configuration4.screenLayout & 768;
                if (i26 != i27) {
                    configuration.screenLayout |= i27;
                }
                if (i3 >= 26) {
                    int i28 = configuration3.colorMode & 3;
                    int i29 = configuration4.colorMode & 3;
                    if (i28 != i29) {
                        configuration.colorMode |= i29;
                    }
                    int i30 = configuration3.colorMode & 12;
                    int i31 = configuration4.colorMode & 12;
                    if (i30 != i31) {
                        configuration.colorMode |= i31;
                    }
                }
                int i32 = configuration3.uiMode & 15;
                int i33 = configuration4.uiMode & 15;
                if (i32 != i33) {
                    configuration.uiMode |= i33;
                }
                int i34 = configuration3.uiMode & 48;
                int i35 = configuration4.uiMode & 48;
                if (i34 != i35) {
                    configuration.uiMode |= i35;
                }
                int i36 = configuration3.screenWidthDp;
                int i37 = configuration4.screenWidthDp;
                if (i36 != i37) {
                    configuration.screenWidthDp = i37;
                }
                int i38 = configuration3.screenHeightDp;
                int i39 = configuration4.screenHeightDp;
                if (i38 != i39) {
                    configuration.screenHeightDp = i39;
                }
                int i40 = configuration3.smallestScreenWidthDp;
                int i41 = configuration4.smallestScreenWidthDp;
                if (i40 != i41) {
                    configuration.smallestScreenWidthDp = i41;
                }
                int i42 = configuration3.densityDpi;
                int i43 = configuration4.densityDpi;
                if (i42 != i43) {
                    configuration.densityDpi = i43;
                }
            }
        } else {
            configuration = null;
        }
        Configuration G2 = G(context, T2, configuration);
        b.b.e.a aVar = new b.b.e.a(context, R$style.Theme_AppCompat_Empty);
        aVar.a(G2);
        try {
            if (context.getTheme() != null) {
                z2 = true;
                if (z2) {
                    Resources.Theme theme = aVar.getTheme();
                    int i44 = Build.VERSION.SDK_INT;
                    if (i44 >= 29) {
                        theme.rebase();
                    } else if (i44 >= 23) {
                        synchronized (e.a.f3284a) {
                            if (!e.a.f3286c) {
                                try {
                                    Method declaredMethod = Resources.Theme.class.getDeclaredMethod("rebase", new Class[0]);
                                    e.a.f3285b = declaredMethod;
                                    declaredMethod.setAccessible(true);
                                } catch (NoSuchMethodException e2) {
                                    Log.i("ResourcesCompat", "Failed to retrieve rebase() method", e2);
                                }
                                e.a.f3286c = true;
                            }
                            Method method = e.a.f3285b;
                            if (method != null) {
                                try {
                                    method.invoke(theme, new Object[0]);
                                } catch (IllegalAccessException | InvocationTargetException e3) {
                                    Log.i("ResourcesCompat", "Failed to invoke rebase() method via reflection", e3);
                                    e.a.f3285b = null;
                                }
                            }
                        }
                    }
                }
                return aVar;
            }
        } catch (NullPointerException unused3) {
        }
        z2 = false;
        if (z2) {
        }
        return aVar;
    }

    @Override // b.b.a.f
    public <T extends View> T c(int i2) {
        K();
        return (T) this.p.findViewById(i2);
    }

    @Override // b.b.a.f
    public final ActionBarDrawerToggle.Delegate d() {
        return new b();
    }

    @Override // b.b.a.f
    public int e() {
        return this.W;
    }

    @Override // b.b.a.f
    public MenuInflater f() {
        if (this.t == null) {
            R();
            ActionBar actionBar = this.s;
            this.t = new b.b.e.b(actionBar != null ? actionBar.e() : this.o);
        }
        return this.t;
    }

    @Override // b.b.a.f
    public ActionBar g() {
        R();
        return this.s;
    }

    @Override // b.b.a.f
    public void h() {
        LayoutInflater from = LayoutInflater.from(this.o);
        if (from.getFactory() == null) {
            from.setFactory2(this);
        } else if (!(from.getFactory2() instanceof AppCompatDelegateImpl)) {
            Log.i("AppCompatDelegate", "The Activity's LayoutInflater already has a Factory installed so we can not install AppCompat's");
        }
    }

    @Override // b.b.a.f
    public void i() {
        R();
        ActionBar actionBar = this.s;
        if (actionBar == null || !actionBar.g()) {
            S(0);
        }
    }

    @Override // b.b.a.f
    public void j(Configuration configuration) {
        if (this.J && this.D) {
            R();
            ActionBar actionBar = this.s;
            if (actionBar != null) {
                actionBar.h(configuration);
            }
        }
        b.b.f.d a2 = b.b.f.d.a();
        Context context = this.o;
        synchronized (a2) {
            ResourceManagerInternal resourceManagerInternal = a2.f2353c;
            synchronized (resourceManagerInternal) {
                b.f.d<WeakReference<Drawable.ConstantState>> dVar = resourceManagerInternal.f421g.get(context);
                if (dVar != null) {
                    dVar.b();
                }
            }
        }
        B(false);
    }

    @Override // b.b.a.f
    public void k(Bundle bundle) {
        this.S = true;
        B(false);
        L();
        Object obj = this.n;
        if (obj instanceof Activity) {
            String str = null;
            try {
                Activity activity = (Activity) obj;
                try {
                    str = e.P(activity, activity.getComponentName());
                } catch (PackageManager.NameNotFoundException e2) {
                    throw new IllegalArgumentException(e2);
                }
            } catch (IllegalArgumentException unused) {
            }
            if (str != null) {
                ActionBar actionBar = this.s;
                if (actionBar == null) {
                    this.f0 = true;
                } else {
                    actionBar.m(true);
                }
            }
            synchronized (b.b.a.f.f2188h) {
                b.b.a.f.r(this);
                b.b.a.f.f2187d.add(new WeakReference<>(this));
            }
        }
        this.T = true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:24:0x0063  */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x006a  */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x0071  */
    /* JADX WARNING: Removed duplicated region for block: B:32:? A[RETURN, SYNTHETIC] */
    @Override // b.b.a.f
    public void l() {
        ActionBar actionBar;
        h hVar;
        h hVar2;
        if (this.n instanceof Activity) {
            synchronized (b.b.a.f.f2188h) {
                b.b.a.f.r(this);
            }
        }
        if (this.c0) {
            this.p.getDecorView().removeCallbacks(this.e0);
        }
        this.U = false;
        this.V = true;
        if (this.W != -100) {
            Object obj = this.n;
            if ((obj instanceof Activity) && ((Activity) obj).isChangingConfigurations()) {
                f118j.put(this.n.getClass().getName(), Integer.valueOf(this.W));
                actionBar = this.s;
                if (actionBar != null) {
                    actionBar.i();
                }
                hVar = this.a0;
                if (hVar != null) {
                    hVar.a();
                }
                hVar2 = this.b0;
                if (hVar2 == null) {
                    hVar2.a();
                    return;
                }
                return;
            }
        }
        f118j.remove(this.n.getClass().getName());
        actionBar = this.s;
        if (actionBar != null) {
        }
        hVar = this.a0;
        if (hVar != null) {
        }
        hVar2 = this.b0;
        if (hVar2 == null) {
        }
    }

    @Override // b.b.a.f
    public void m(Bundle bundle) {
        K();
    }

    @Override // b.b.a.f
    public void n() {
        R();
        ActionBar actionBar = this.s;
        if (actionBar != null) {
            actionBar.q(true);
        }
    }

    @Override // b.b.a.f
    public void o(Bundle bundle) {
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:81:0x01c6 */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r10v0, types: [android.util.AttributeSet] */
    /* JADX WARN: Type inference failed for: r7v2, types: [b.b.a.k, java.lang.Object] */
    /* JADX WARN: Type inference failed for: r2v4 */
    /* JADX WARN: Type inference failed for: r2v5, types: [android.view.View] */
    /* JADX WARN: Type inference failed for: r2v6, types: [java.lang.String] */
    /* JADX WARN: Type inference failed for: r7v5, types: [java.lang.Object[]] */
    /* JADX WARN: Type inference failed for: r7v6, types: [java.lang.Object[]] */
    /* JADX WARN: Type inference failed for: r9v4, types: [java.lang.Object[]] */
    /* JADX WARN: Type inference failed for: r7v7, types: [java.lang.Object[]] */
    /* JADX WARN: Type inference failed for: r2v7 */
    /* JADX WARN: Type inference failed for: r7v8, types: [java.lang.Object[]] */
    /* JADX WARN: Type inference failed for: r7v9, types: [java.lang.Object[]] */
    /* JADX WARN: Type inference failed for: r2v8 */
    /* JADX WARN: Type inference failed for: r2v71 */
    /* JADX WARN: Type inference failed for: r2v72 */
    /* JADX WARN: Type inference failed for: r2v73 */
    /* JADX WARN: Type inference failed for: r2v74 */
    /* JADX WARN: Type inference failed for: r2v75 */
    /* JADX WARN: Type inference failed for: r2v76 */
    /* JADX WARN: Type inference failed for: r2v77 */
    /* JADX WARN: Type inference failed for: r2v78 */
    /* JADX WARN: Type inference failed for: r2v79 */
    /* JADX WARN: Type inference failed for: r2v80 */
    /* JADX WARN: Type inference failed for: r2v81 */
    /* JADX WARN: Type inference failed for: r2v82 */
    /* JADX WARN: Type inference failed for: r2v83 */
    /* JADX WARN: Type inference failed for: r2v84 */
    /* JADX WARN: Type inference failed for: r2v85 */
    /* JADX WARN: Type inference failed for: r2v86 */
    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    /* JADX WARNING: Unknown variable types count: 8 */
    public final View onCreateView(View view, String str, Context context, AttributeSet attributeSet) {
        char c2;
        ?? r2;
        if (this.i0 == null) {
            String string = this.o.obtainStyledAttributes(androidx.appcompat.R$styleable.AppCompatTheme).getString(androidx.appcompat.R$styleable.AppCompatTheme_viewInflaterClass);
            if (string == null) {
                this.i0 = new b.b.a.k();
            } else {
                try {
                    this.i0 = (b.b.a.k) Class.forName(string).getDeclaredConstructor(new Class[0]).newInstance(new Object[0]);
                } catch (Throwable th) {
                    Log.i("AppCompatDelegate", "Failed to instantiate custom view inflater " + string + ". Falling back to default.", th);
                    this.i0 = new b.b.a.k();
                }
            }
        }
        ?? r7 = this.i0;
        boolean z2 = d0.f2360a;
        Objects.requireNonNull(r7);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, androidx.appcompat.R$styleable.View, 0, 0);
        int resourceId = obtainStyledAttributes.getResourceId(androidx.appcompat.R$styleable.View_theme, 0);
        if (resourceId != 0) {
            Log.i("AppCompatViewInflater", "app:theme is now deprecated. Please move to using android:theme instead.");
        }
        obtainStyledAttributes.recycle();
        Context aVar = (resourceId == 0 || ((context instanceof b.b.e.a) && ((b.b.e.a) context).f2253a == resourceId)) ? context : new b.b.e.a(context, resourceId);
        str.hashCode();
        switch (str.hashCode()) {
            case -1946472170:
                if (str.equals("RatingBar")) {
                    c2 = 0;
                    break;
                }
                c2 = 65535;
                break;
            case -1455429095:
                if (str.equals("CheckedTextView")) {
                    c2 = 1;
                    break;
                }
                c2 = 65535;
                break;
            case -1346021293:
                if (str.equals("MultiAutoCompleteTextView")) {
                    c2 = 2;
                    break;
                }
                c2 = 65535;
                break;
            case -938935918:
                if (str.equals("TextView")) {
                    c2 = 3;
                    break;
                }
                c2 = 65535;
                break;
            case -937446323:
                if (str.equals("ImageButton")) {
                    c2 = 4;
                    break;
                }
                c2 = 65535;
                break;
            case -658531749:
                if (str.equals("SeekBar")) {
                    c2 = 5;
                    break;
                }
                c2 = 65535;
                break;
            case -339785223:
                if (str.equals("Spinner")) {
                    c2 = 6;
                    break;
                }
                c2 = 65535;
                break;
            case 776382189:
                if (str.equals("RadioButton")) {
                    c2 = 7;
                    break;
                }
                c2 = 65535;
                break;
            case 799298502:
                if (str.equals("ToggleButton")) {
                    c2 = '\b';
                    break;
                }
                c2 = 65535;
                break;
            case 1125864064:
                if (str.equals("ImageView")) {
                    c2 = '\t';
                    break;
                }
                c2 = 65535;
                break;
            case 1413872058:
                if (str.equals("AutoCompleteTextView")) {
                    c2 = '\n';
                    break;
                }
                c2 = 65535;
                break;
            case 1601505219:
                if (str.equals("CheckBox")) {
                    c2 = 11;
                    break;
                }
                c2 = 65535;
                break;
            case 1666676343:
                if (str.equals("EditText")) {
                    c2 = '\f';
                    break;
                }
                c2 = 65535;
                break;
            case 2001146706:
                if (str.equals("Button")) {
                    c2 = '\r';
                    break;
                }
                c2 = 65535;
                break;
            default:
                c2 = 65535;
                break;
        }
        switch (c2) {
            case 0:
                AppCompatRatingBar appCompatRatingBar = new AppCompatRatingBar(aVar, attributeSet);
                r7.h(appCompatRatingBar, str);
                r2 = appCompatRatingBar;
                break;
            case 1:
                AppCompatCheckedTextView appCompatCheckedTextView = new AppCompatCheckedTextView(aVar, attributeSet);
                r7.h(appCompatCheckedTextView, str);
                r2 = appCompatCheckedTextView;
                break;
            case 2:
                AppCompatMultiAutoCompleteTextView appCompatMultiAutoCompleteTextView = new AppCompatMultiAutoCompleteTextView(aVar, attributeSet);
                r7.h(appCompatMultiAutoCompleteTextView, str);
                r2 = appCompatMultiAutoCompleteTextView;
                break;
            case 3:
                AppCompatTextView e2 = r7.e(aVar, attributeSet);
                r7.h(e2, str);
                r2 = e2;
                break;
            case 4:
                AppCompatImageButton appCompatImageButton = new AppCompatImageButton(aVar, attributeSet);
                r7.h(appCompatImageButton, str);
                r2 = appCompatImageButton;
                break;
            case 5:
                AppCompatSeekBar appCompatSeekBar = new AppCompatSeekBar(aVar, attributeSet);
                r7.h(appCompatSeekBar, str);
                r2 = appCompatSeekBar;
                break;
            case 6:
                AppCompatSpinner appCompatSpinner = new AppCompatSpinner(aVar, attributeSet);
                r7.h(appCompatSpinner, str);
                r2 = appCompatSpinner;
                break;
            case 7:
                AppCompatRadioButton d2 = r7.d(aVar, attributeSet);
                r7.h(d2, str);
                r2 = d2;
                break;
            case '\b':
                AppCompatToggleButton appCompatToggleButton = new AppCompatToggleButton(aVar, attributeSet);
                r7.h(appCompatToggleButton, str);
                r2 = appCompatToggleButton;
                break;
            case '\t':
                AppCompatImageView appCompatImageView = new AppCompatImageView(aVar, attributeSet);
                r7.h(appCompatImageView, str);
                r2 = appCompatImageView;
                break;
            case '\n':
                AppCompatAutoCompleteTextView a2 = r7.a(aVar, attributeSet);
                r7.h(a2, str);
                r2 = a2;
                break;
            case 11:
                AppCompatCheckBox c3 = r7.c(aVar, attributeSet);
                r7.h(c3, str);
                r2 = c3;
                break;
            case '\f':
                AppCompatEditText appCompatEditText = new AppCompatEditText(aVar, attributeSet);
                r7.h(appCompatEditText, str);
                r2 = appCompatEditText;
                break;
            case '\r':
                AppCompatButton b2 = r7.b(aVar, attributeSet);
                r7.h(b2, str);
                r2 = b2;
                break;
            default:
                r2 = r7.f();
                break;
        }
        if (r2 == 0 && context != aVar) {
            r2 = 0;
            r2 = 0;
            if (str.equals("view")) {
                str = attributeSet.getAttributeValue(r2, "class");
            }
            try {
                ?? r9 = r7.f2198e;
                r9[0] = aVar;
                r9[1] = attributeSet;
                if (-1 == str.indexOf(46)) {
                    int i2 = 0;
                    while (true) {
                        String[] strArr = b.b.a.k.f2196c;
                        if (i2 < strArr.length) {
                            View g2 = r7.g(aVar, str, strArr[i2]);
                            if (g2 != null) {
                                ?? r72 = r7.f2198e;
                                r72[0] = r2;
                                r72[1] = r2;
                                r2 = g2;
                            } else {
                                i2++;
                            }
                        }
                    }
                } else {
                    View g3 = r7.g(aVar, str, r2);
                    ?? r73 = r7.f2198e;
                    r73[0] = r2;
                    r73[1] = r2;
                    r2 = g3;
                }
            } catch (Exception unused) {
            } finally {
                ?? r74 = r7.f2198e;
                r74[0] = r2;
                r74[1] = r2;
            }
        }
        if (r2 != 0) {
            Context context2 = r2.getContext();
            if (context2 instanceof ContextWrapper) {
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                if (r2.hasOnClickListeners()) {
                    TypedArray obtainStyledAttributes2 = context2.obtainStyledAttributes((AttributeSet) attributeSet, b.b.a.k.f2195b);
                    String string2 = obtainStyledAttributes2.getString(0);
                    if (string2 != null) {
                        r2.setOnClickListener(new k.a(r2, string2));
                    }
                    obtainStyledAttributes2.recycle();
                }
            }
        }
        return r2;
    }

    @Override // androidx.appcompat.view.menu.MenuBuilder.Callback
    public boolean onMenuItemSelected(MenuBuilder menuBuilder, MenuItem menuItem) {
        PanelFeatureState M2;
        Window.Callback Q2 = Q();
        if (Q2 == null || this.V || (M2 = M(menuBuilder.k())) == null) {
            return false;
        }
        return Q2.onMenuItemSelected(M2.f121a, menuItem);
    }

    @Override // androidx.appcompat.view.menu.MenuBuilder.Callback
    public void onMenuModeChange(MenuBuilder menuBuilder) {
        DecorContentParent decorContentParent = this.v;
        if (decorContentParent == null || !decorContentParent.canShowOverflowMenu() || (ViewConfiguration.get(this.o).hasPermanentMenuKey() && !this.v.isOverflowMenuShowPending())) {
            PanelFeatureState P2 = P(0);
            P2.o = true;
            F(P2, false);
            U(P2, null);
            return;
        }
        Window.Callback Q2 = Q();
        if (this.v.isOverflowMenuShowing()) {
            this.v.hideOverflowMenu();
            if (!this.V) {
                Q2.onPanelClosed(108, P(0).f128h);
            }
        } else if (Q2 != null && !this.V) {
            if (this.c0 && (1 & this.d0) != 0) {
                this.p.getDecorView().removeCallbacks(this.e0);
                this.e0.run();
            }
            PanelFeatureState P3 = P(0);
            MenuBuilder menuBuilder2 = P3.f128h;
            if (menuBuilder2 != null && !P3.p && Q2.onPreparePanel(0, P3.f127g, menuBuilder2)) {
                Q2.onMenuOpened(108, P3.f128h);
                this.v.showOverflowMenu();
            }
        }
    }

    @Override // b.b.a.f
    public void p() {
        this.U = true;
        A();
    }

    @Override // b.b.a.f
    public void q() {
        this.U = false;
        R();
        ActionBar actionBar = this.s;
        if (actionBar != null) {
            actionBar.q(false);
        }
    }

    @Override // b.b.a.f
    public boolean s(int i2) {
        if (i2 == 8) {
            Log.i("AppCompatDelegate", "You should now use the AppCompatDelegate.FEATURE_SUPPORT_ACTION_BAR id when requesting this feature.");
            i2 = 108;
        } else if (i2 == 9) {
            Log.i("AppCompatDelegate", "You should now use the AppCompatDelegate.FEATURE_SUPPORT_ACTION_BAR_OVERLAY id when requesting this feature.");
            i2 = 109;
        }
        if (this.N && i2 == 108) {
            return false;
        }
        if (this.J && i2 == 1) {
            this.J = false;
        }
        if (i2 == 1) {
            Y();
            this.N = true;
            return true;
        } else if (i2 == 2) {
            Y();
            this.H = true;
            return true;
        } else if (i2 == 5) {
            Y();
            this.I = true;
            return true;
        } else if (i2 == 10) {
            Y();
            this.L = true;
            return true;
        } else if (i2 == 108) {
            Y();
            this.J = true;
            return true;
        } else if (i2 != 109) {
            return this.p.requestFeature(i2);
        } else {
            Y();
            this.K = true;
            return true;
        }
    }

    @Override // b.b.a.f
    public void t(int i2) {
        K();
        ViewGroup viewGroup = (ViewGroup) this.E.findViewById(16908290);
        viewGroup.removeAllViews();
        LayoutInflater.from(this.o).inflate(i2, viewGroup);
        this.q.f2288d.onContentChanged();
    }

    @Override // b.b.a.f
    public void u(View view) {
        K();
        ViewGroup viewGroup = (ViewGroup) this.E.findViewById(16908290);
        viewGroup.removeAllViews();
        viewGroup.addView(view);
        this.q.f2288d.onContentChanged();
    }

    @Override // b.b.a.f
    public void v(View view, ViewGroup.LayoutParams layoutParams) {
        K();
        ViewGroup viewGroup = (ViewGroup) this.E.findViewById(16908290);
        viewGroup.removeAllViews();
        viewGroup.addView(view, layoutParams);
        this.q.f2288d.onContentChanged();
    }

    @Override // b.b.a.f
    public void w(Toolbar toolbar) {
        CharSequence charSequence;
        if (this.n instanceof Activity) {
            R();
            ActionBar actionBar = this.s;
            if (!(actionBar instanceof WindowDecorActionBar)) {
                this.t = null;
                if (actionBar != null) {
                    actionBar.i();
                }
                if (toolbar != null) {
                    Object obj = this.n;
                    if (obj instanceof Activity) {
                        charSequence = ((Activity) obj).getTitle();
                    } else {
                        charSequence = this.u;
                    }
                    l lVar = new l(toolbar, charSequence, this.q);
                    this.s = lVar;
                    this.p.setCallback(lVar.f2205c);
                } else {
                    this.s = null;
                    this.p.setCallback(this.q);
                }
                i();
                return;
            }
            throw new IllegalStateException("This Activity already has an action bar supplied by the window decor. Do not request Window.FEATURE_SUPPORT_ACTION_BAR and set windowActionBar to false in your theme to use a Toolbar instead.");
        }
    }

    @Override // b.b.a.f
    public void x(int i2) {
        this.X = i2;
    }

    @Override // b.b.a.f
    public final void y(CharSequence charSequence) {
        this.u = charSequence;
        DecorContentParent decorContentParent = this.v;
        if (decorContentParent != null) {
            decorContentParent.setWindowTitle(charSequence);
            return;
        }
        ActionBar actionBar = this.s;
        if (actionBar != null) {
            actionBar.r(charSequence);
            return;
        }
        TextView textView = this.F;
        if (textView != null) {
            textView.setText(charSequence);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:25:0x0043  */
    /* JADX WARNING: Removed duplicated region for block: B:26:0x0047  */
    @Override // b.b.a.f
    public androidx.appcompat.view.ActionMode z(ActionMode.Callback callback) {
        androidx.appcompat.view.ActionMode actionMode;
        androidx.appcompat.view.ActionMode actionMode2;
        AppCompatCallback appCompatCallback;
        b.b.e.a aVar;
        AppCompatCallback appCompatCallback2;
        if (callback != null) {
            androidx.appcompat.view.ActionMode actionMode3 = this.y;
            if (actionMode3 != null) {
                actionMode3.a();
            }
            d dVar = new d(callback);
            R();
            ActionBar actionBar = this.s;
            if (actionBar != null) {
                androidx.appcompat.view.ActionMode t2 = actionBar.t(dVar);
                this.y = t2;
                if (!(t2 == null || (appCompatCallback2 = this.r) == null)) {
                    appCompatCallback2.onSupportActionModeStarted(t2);
                }
            }
            if (this.y == null) {
                J();
                androidx.appcompat.view.ActionMode actionMode4 = this.y;
                if (actionMode4 != null) {
                    actionMode4.a();
                }
                AppCompatCallback appCompatCallback3 = this.r;
                if (appCompatCallback3 != null && !this.V) {
                    try {
                        actionMode = appCompatCallback3.onWindowStartingSupportActionMode(dVar);
                    } catch (AbstractMethodError unused) {
                    }
                    if (actionMode == null) {
                        this.y = actionMode;
                    } else {
                        boolean z2 = true;
                        if (this.z == null) {
                            if (this.M) {
                                TypedValue typedValue = new TypedValue();
                                Resources.Theme theme = this.o.getTheme();
                                theme.resolveAttribute(R$attr.actionBarTheme, typedValue, true);
                                if (typedValue.resourceId != 0) {
                                    Resources.Theme newTheme = this.o.getResources().newTheme();
                                    newTheme.setTo(theme);
                                    newTheme.applyStyle(typedValue.resourceId, true);
                                    b.b.e.a aVar2 = new b.b.e.a(this.o, 0);
                                    aVar2.getTheme().setTo(newTheme);
                                    aVar = aVar2;
                                } else {
                                    aVar = this.o;
                                }
                                this.z = new ActionBarContextView(aVar);
                                PopupWindow popupWindow = new PopupWindow(aVar, (AttributeSet) null, R$attr.actionModePopupWindowStyle);
                                this.A = popupWindow;
                                e.D0(popupWindow, 2);
                                this.A.setContentView(this.z);
                                this.A.setWidth(-1);
                                aVar.getTheme().resolveAttribute(R$attr.actionBarSize, typedValue, true);
                                this.z.setContentHeight(TypedValue.complexToDimensionPixelSize(typedValue.data, aVar.getResources().getDisplayMetrics()));
                                this.A.setHeight(-2);
                                this.B = new b.b.a.i(this);
                            } else {
                                ViewStubCompat viewStubCompat = (ViewStubCompat) this.E.findViewById(androidx.appcompat.R$id.action_mode_bar_stub);
                                if (viewStubCompat != null) {
                                    viewStubCompat.setLayoutInflater(LayoutInflater.from(N()));
                                    this.z = (ActionBarContextView) viewStubCompat.a();
                                }
                            }
                        }
                        if (this.z != null) {
                            J();
                            this.z.h();
                            Context context = this.z.getContext();
                            ActionBarContextView actionBarContextView = this.z;
                            if (this.A != null) {
                                z2 = false;
                            }
                            StandaloneActionMode standaloneActionMode = new StandaloneActionMode(context, actionBarContextView, dVar, z2);
                            if (dVar.f136a.onCreateActionMode(standaloneActionMode, standaloneActionMode.o)) {
                                standaloneActionMode.g();
                                this.z.f(standaloneActionMode);
                                this.y = standaloneActionMode;
                                if (X()) {
                                    this.z.setAlpha(0.0f);
                                    m b2 = ViewCompat.b(this.z);
                                    b2.a(1.0f);
                                    this.C = b2;
                                    b.b.a.j jVar = new b.b.a.j(this);
                                    View view = b2.f3417a.get();
                                    if (view != null) {
                                        b2.e(view, jVar);
                                    }
                                } else {
                                    this.z.setAlpha(1.0f);
                                    this.z.setVisibility(0);
                                    this.z.sendAccessibilityEvent(32);
                                    if (this.z.getParent() instanceof View) {
                                        AtomicInteger atomicInteger = ViewCompat.f1365a;
                                        ((View) this.z.getParent()).requestApplyInsets();
                                    }
                                }
                                if (this.A != null) {
                                    this.p.getDecorView().post(this.B);
                                }
                            } else {
                                this.y = null;
                            }
                        }
                    }
                    actionMode2 = this.y;
                    if (!(actionMode2 == null || (appCompatCallback = this.r) == null)) {
                        appCompatCallback.onSupportActionModeStarted(actionMode2);
                    }
                    this.y = this.y;
                }
                actionMode = null;
                if (actionMode == null) {
                }
                actionMode2 = this.y;
                appCompatCallback.onSupportActionModeStarted(actionMode2);
                this.y = this.y;
            }
            return this.y;
        }
        throw new IllegalArgumentException("ActionMode callback can not be null.");
    }

    public class f extends b.b.e.d {
        public f(Window.Callback callback) {
            super(callback);
        }

        public final android.view.ActionMode a(ActionMode.Callback callback) {
            SupportActionModeWrapper.CallbackWrapper callbackWrapper = new SupportActionModeWrapper.CallbackWrapper(AppCompatDelegateImpl.this.o, callback);
            androidx.appcompat.view.ActionMode z = AppCompatDelegateImpl.this.z(callbackWrapper);
            if (z != null) {
                return callbackWrapper.a(z);
            }
            return null;
        }

        @Override // b.b.e.d
        public boolean dispatchKeyEvent(KeyEvent keyEvent) {
            return AppCompatDelegateImpl.this.H(keyEvent) || this.f2288d.dispatchKeyEvent(keyEvent);
        }

        /* JADX WARNING: Code restructure failed: missing block: B:17:0x0049, code lost:
            if (r6 != false) goto L_0x001d;
         */
        /* JADX WARNING: Removed duplicated region for block: B:21:? A[RETURN, SYNTHETIC] */
        @Override // b.b.e.d
        public boolean dispatchKeyShortcutEvent(KeyEvent keyEvent) {
            boolean z;
            if (!this.f2288d.dispatchKeyShortcutEvent(keyEvent)) {
                AppCompatDelegateImpl appCompatDelegateImpl = AppCompatDelegateImpl.this;
                int keyCode = keyEvent.getKeyCode();
                appCompatDelegateImpl.R();
                ActionBar actionBar = appCompatDelegateImpl.s;
                if (actionBar == null || !actionBar.j(keyCode, keyEvent)) {
                    PanelFeatureState panelFeatureState = appCompatDelegateImpl.Q;
                    if (panelFeatureState == null || !appCompatDelegateImpl.V(panelFeatureState, keyEvent.getKeyCode(), keyEvent, 1)) {
                        if (appCompatDelegateImpl.Q == null) {
                            PanelFeatureState P = appCompatDelegateImpl.P(0);
                            appCompatDelegateImpl.W(P, keyEvent);
                            boolean V = appCompatDelegateImpl.V(P, keyEvent.getKeyCode(), keyEvent, 1);
                            P.f131k = false;
                        }
                        z = false;
                        if (!z) {
                            return true;
                        }
                        return false;
                    }
                    PanelFeatureState panelFeatureState2 = appCompatDelegateImpl.Q;
                    if (panelFeatureState2 != null) {
                        panelFeatureState2.f132l = true;
                    }
                }
                z = true;
                if (!z) {
                }
            }
            return true;
        }

        @Override // b.b.e.d
        public void onContentChanged() {
        }

        @Override // b.b.e.d
        public boolean onCreatePanelMenu(int i2, Menu menu) {
            if (i2 != 0 || (menu instanceof MenuBuilder)) {
                return this.f2288d.onCreatePanelMenu(i2, menu);
            }
            return false;
        }

        @Override // b.b.e.d
        public boolean onMenuOpened(int i2, Menu menu) {
            this.f2288d.onMenuOpened(i2, menu);
            AppCompatDelegateImpl appCompatDelegateImpl = AppCompatDelegateImpl.this;
            Objects.requireNonNull(appCompatDelegateImpl);
            if (i2 == 108) {
                appCompatDelegateImpl.R();
                ActionBar actionBar = appCompatDelegateImpl.s;
                if (actionBar != null) {
                    actionBar.c(true);
                }
            }
            return true;
        }

        @Override // b.b.e.d
        public void onPanelClosed(int i2, Menu menu) {
            this.f2288d.onPanelClosed(i2, menu);
            AppCompatDelegateImpl appCompatDelegateImpl = AppCompatDelegateImpl.this;
            Objects.requireNonNull(appCompatDelegateImpl);
            if (i2 == 108) {
                appCompatDelegateImpl.R();
                ActionBar actionBar = appCompatDelegateImpl.s;
                if (actionBar != null) {
                    actionBar.c(false);
                }
            } else if (i2 == 0) {
                PanelFeatureState P = appCompatDelegateImpl.P(i2);
                if (P.m) {
                    appCompatDelegateImpl.F(P, false);
                }
            }
        }

        public boolean onPreparePanel(int i2, View view, Menu menu) {
            MenuBuilder menuBuilder = menu instanceof MenuBuilder ? (MenuBuilder) menu : null;
            if (i2 == 0 && menuBuilder == null) {
                return false;
            }
            if (menuBuilder != null) {
                menuBuilder.y = true;
            }
            boolean onPreparePanel = this.f2288d.onPreparePanel(i2, view, menu);
            if (menuBuilder != null) {
                menuBuilder.y = false;
            }
            return onPreparePanel;
        }

        @Override // b.b.e.d, android.view.Window.Callback
        public void onProvideKeyboardShortcuts(List<KeyboardShortcutGroup> list, Menu menu, int i2) {
            MenuBuilder menuBuilder = AppCompatDelegateImpl.this.P(0).f128h;
            if (menuBuilder != null) {
                this.f2288d.onProvideKeyboardShortcuts(list, menuBuilder, i2);
            } else {
                this.f2288d.onProvideKeyboardShortcuts(list, menu, i2);
            }
        }

        @Override // b.b.e.d
        public android.view.ActionMode onWindowStartingActionMode(ActionMode.Callback callback) {
            if (Build.VERSION.SDK_INT >= 23) {
                return null;
            }
            Objects.requireNonNull(AppCompatDelegateImpl.this);
            return a(callback);
        }

        @Override // b.b.e.d
        public android.view.ActionMode onWindowStartingActionMode(ActionMode.Callback callback, int i2) {
            Objects.requireNonNull(AppCompatDelegateImpl.this);
            if (i2 != 0) {
                return this.f2288d.onWindowStartingActionMode(callback, i2);
            }
            return a(callback);
        }
    }

    public View onCreateView(String str, Context context, AttributeSet attributeSet) {
        return onCreateView(null, str, context, attributeSet);
    }
}
