package androidx.appcompat.graphics.drawable;

import android.animation.ObjectAnimator;
import android.animation.TimeInterpolator;
import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.drawable.Animatable;
import android.graphics.drawable.AnimationDrawable;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.util.StateSet;
import androidx.appcompat.resources.R$styleable;
import androidx.appcompat.widget.ResourceManagerInternal;
import androidx.core.graphics.drawable.TintAwareDrawable;
import androidx.vectordrawable.graphics.drawable.AnimatedVectorDrawableCompat;
import androidx.vectordrawable.graphics.drawable.VectorDrawableCompat;
import b.b.c.a.a;
import b.b.c.a.c;
import b.f.h;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
import tv.danmaku.ijk.media.player.IjkMediaMeta;

@SuppressLint({"RestrictedAPI"})
public class AnimatedStateListDrawableCompat extends b.b.c.a.c implements TintAwareDrawable {
    public boolean A;
    public c w;
    public g x;
    public int y;
    public int z;

    public static class b extends g {

        /* renamed from: a  reason: collision with root package name */
        public final Animatable f185a;

        public b(Animatable animatable) {
            super(null);
            this.f185a = animatable;
        }

        @Override // androidx.appcompat.graphics.drawable.AnimatedStateListDrawableCompat.g
        public void c() {
            this.f185a.start();
        }

        @Override // androidx.appcompat.graphics.drawable.AnimatedStateListDrawableCompat.g
        public void d() {
            this.f185a.stop();
        }
    }

    public static class c extends c.a {
        public b.f.d<Long> K;
        public h<Integer> L;

        public c(c cVar, AnimatedStateListDrawableCompat animatedStateListDrawableCompat, Resources resources) {
            super(cVar, animatedStateListDrawableCompat, resources);
            if (cVar != null) {
                this.K = cVar.K;
                this.L = cVar.L;
                return;
            }
            this.K = new b.f.d<>();
            this.L = new h<>();
        }

        public static long h(int i2, int i3) {
            return ((long) i3) | (((long) i2) << 32);
        }

        @Override // b.b.c.a.c.a, b.b.c.a.a.c
        public void e() {
            this.K = this.K.clone();
            this.L = this.L.clone();
        }

        public int i(int i2) {
            if (i2 < 0) {
                return 0;
            }
            return this.L.e(i2, 0).intValue();
        }

        @Override // b.b.c.a.c.a
        public Drawable newDrawable() {
            return new AnimatedStateListDrawableCompat(this, null);
        }

        @Override // b.b.c.a.c.a
        public Drawable newDrawable(Resources resources) {
            return new AnimatedStateListDrawableCompat(this, resources);
        }
    }

    public static class d extends g {

        /* renamed from: a  reason: collision with root package name */
        public final AnimatedVectorDrawableCompat f186a;

        public d(AnimatedVectorDrawableCompat animatedVectorDrawableCompat) {
            super(null);
            this.f186a = animatedVectorDrawableCompat;
        }

        @Override // androidx.appcompat.graphics.drawable.AnimatedStateListDrawableCompat.g
        public void c() {
            this.f186a.start();
        }

        @Override // androidx.appcompat.graphics.drawable.AnimatedStateListDrawableCompat.g
        public void d() {
            this.f186a.stop();
        }
    }

    public static class e extends g {

        /* renamed from: a  reason: collision with root package name */
        public final ObjectAnimator f187a;

        /* renamed from: b  reason: collision with root package name */
        public final boolean f188b;

        public e(AnimationDrawable animationDrawable, boolean z, boolean z2) {
            super(null);
            int numberOfFrames = animationDrawable.getNumberOfFrames();
            int i2 = z ? numberOfFrames - 1 : 0;
            int i3 = z ? 0 : numberOfFrames - 1;
            f fVar = new f(animationDrawable, z);
            ObjectAnimator ofInt = ObjectAnimator.ofInt(animationDrawable, "currentIndex", i2, i3);
            ofInt.setAutoCancel(true);
            ofInt.setDuration((long) fVar.f191c);
            ofInt.setInterpolator(fVar);
            this.f188b = z2;
            this.f187a = ofInt;
        }

        @Override // androidx.appcompat.graphics.drawable.AnimatedStateListDrawableCompat.g
        public boolean a() {
            return this.f188b;
        }

        @Override // androidx.appcompat.graphics.drawable.AnimatedStateListDrawableCompat.g
        public void b() {
            this.f187a.reverse();
        }

        @Override // androidx.appcompat.graphics.drawable.AnimatedStateListDrawableCompat.g
        public void c() {
            this.f187a.start();
        }

        @Override // androidx.appcompat.graphics.drawable.AnimatedStateListDrawableCompat.g
        public void d() {
            this.f187a.cancel();
        }
    }

    public static class f implements TimeInterpolator {

        /* renamed from: a  reason: collision with root package name */
        public int[] f189a;

        /* renamed from: b  reason: collision with root package name */
        public int f190b;

        /* renamed from: c  reason: collision with root package name */
        public int f191c;

        public f(AnimationDrawable animationDrawable, boolean z) {
            int numberOfFrames = animationDrawable.getNumberOfFrames();
            this.f190b = numberOfFrames;
            int[] iArr = this.f189a;
            if (iArr == null || iArr.length < numberOfFrames) {
                this.f189a = new int[numberOfFrames];
            }
            int[] iArr2 = this.f189a;
            int i2 = 0;
            for (int i3 = 0; i3 < numberOfFrames; i3++) {
                int duration = animationDrawable.getDuration(z ? (numberOfFrames - i3) - 1 : i3);
                iArr2[i3] = duration;
                i2 += duration;
            }
            this.f191c = i2;
        }

        public float getInterpolation(float f2) {
            int i2 = (int) ((f2 * ((float) this.f191c)) + 0.5f);
            int i3 = this.f190b;
            int[] iArr = this.f189a;
            int i4 = 0;
            while (i4 < i3 && i2 >= iArr[i4]) {
                i2 -= iArr[i4];
                i4++;
            }
            return (((float) i4) / ((float) i3)) + (i4 < i3 ? ((float) i2) / ((float) this.f191c) : 0.0f);
        }
    }

    public static abstract class g {
        public g(a aVar) {
        }

        public boolean a() {
            return false;
        }

        public void b() {
        }

        public abstract void c();

        public abstract void d();
    }

    public AnimatedStateListDrawableCompat() {
        this(null, null);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:75:0x0206, code lost:
        throw new org.xmlpull.v1.XmlPullParserException(d.a.a.a.a.A(r20, new java.lang.StringBuilder(), ": <transition> tag requires 'fromId' & 'toId' attributes"));
     */
    public static AnimatedStateListDrawableCompat g(Context context, Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
        int depth;
        int next;
        int next2;
        AttributeSet attributeSet2 = attributeSet;
        Resources.Theme theme2 = theme;
        String name = xmlPullParser.getName();
        if (name.equals("animated-selector")) {
            AnimatedStateListDrawableCompat animatedStateListDrawableCompat = new AnimatedStateListDrawableCompat();
            TypedArray e2 = b.j.b.b.e.e(resources, theme2, attributeSet2, R$styleable.AnimatedStateListDrawableCompat);
            int i2 = 1;
            animatedStateListDrawableCompat.setVisible(e2.getBoolean(R$styleable.AnimatedStateListDrawableCompat_android_visible, true), true);
            c cVar = animatedStateListDrawableCompat.w;
            cVar.f2242d |= e2.getChangingConfigurations();
            cVar.f2247i = e2.getBoolean(R$styleable.AnimatedStateListDrawableCompat_android_variablePadding, cVar.f2247i);
            cVar.f2250l = e2.getBoolean(R$styleable.AnimatedStateListDrawableCompat_android_constantSize, cVar.f2250l);
            cVar.A = e2.getInt(R$styleable.AnimatedStateListDrawableCompat_android_enterFadeDuration, cVar.A);
            cVar.B = e2.getInt(R$styleable.AnimatedStateListDrawableCompat_android_exitFadeDuration, cVar.B);
            animatedStateListDrawableCompat.setDither(e2.getBoolean(R$styleable.AnimatedStateListDrawableCompat_android_dither, cVar.x));
            animatedStateListDrawableCompat.f2233h.f(resources);
            e2.recycle();
            int depth2 = xmlPullParser.getDepth() + 1;
            Context context2 = context;
            Resources resources2 = resources;
            while (true) {
                int next3 = xmlPullParser.next();
                if (next3 == i2 || ((depth = xmlPullParser.getDepth()) < depth2 && next3 == 3)) {
                    animatedStateListDrawableCompat.onStateChange(animatedStateListDrawableCompat.getState());
                } else if (next3 == 2 && depth <= depth2) {
                    Drawable drawable = null;
                    if (xmlPullParser.getName().equals("item")) {
                        TypedArray e3 = b.j.b.b.e.e(resources2, theme2, attributeSet2, R$styleable.AnimatedStateListDrawableItem);
                        int resourceId = e3.getResourceId(R$styleable.AnimatedStateListDrawableItem_android_id, 0);
                        int resourceId2 = e3.getResourceId(R$styleable.AnimatedStateListDrawableItem_android_drawable, -1);
                        if (resourceId2 > 0) {
                            drawable = ResourceManagerInternal.d().f(context2, resourceId2);
                        }
                        e3.recycle();
                        int attributeCount = attributeSet.getAttributeCount();
                        int[] iArr = new int[attributeCount];
                        int i3 = 0;
                        for (int i4 = 0; i4 < attributeCount; i4++) {
                            int attributeNameResource = attributeSet2.getAttributeNameResource(i4);
                            if (!(attributeNameResource == 0 || attributeNameResource == 16842960 || attributeNameResource == 16843161)) {
                                int i5 = i3 + 1;
                                if (!attributeSet2.getAttributeBooleanValue(i4, false)) {
                                    attributeNameResource = -attributeNameResource;
                                }
                                iArr[i3] = attributeNameResource;
                                i3 = i5;
                            }
                        }
                        int[] trimStateSet = StateSet.trimStateSet(iArr, i3);
                        if (drawable == null) {
                            do {
                                next2 = xmlPullParser.next();
                            } while (next2 == 4);
                            if (next2 != 2) {
                                throw new XmlPullParserException(d.a.a.a.a.A(xmlPullParser, new StringBuilder(), ": <item> tag requires a 'drawable' attribute or child tag defining a drawable"));
                            } else if (xmlPullParser.getName().equals("vector")) {
                                drawable = VectorDrawableCompat.a(resources, xmlPullParser, attributeSet, theme);
                            } else {
                                drawable = Drawable.createFromXmlInner(resources, xmlPullParser, attributeSet, theme);
                            }
                        }
                        if (drawable != null) {
                            c cVar2 = animatedStateListDrawableCompat.w;
                            int a2 = cVar2.a(drawable);
                            cVar2.J[a2] = trimStateSet;
                            cVar2.L.h(a2, Integer.valueOf(resourceId));
                        } else {
                            throw new XmlPullParserException(d.a.a.a.a.A(xmlPullParser, new StringBuilder(), ": <item> tag requires a 'drawable' attribute or child tag defining a drawable"));
                        }
                    } else {
                        if (xmlPullParser.getName().equals("transition")) {
                            TypedArray e4 = b.j.b.b.e.e(resources2, theme2, attributeSet2, R$styleable.AnimatedStateListDrawableTransition);
                            int resourceId3 = e4.getResourceId(R$styleable.AnimatedStateListDrawableTransition_android_fromId, -1);
                            int resourceId4 = e4.getResourceId(R$styleable.AnimatedStateListDrawableTransition_android_toId, -1);
                            int resourceId5 = e4.getResourceId(R$styleable.AnimatedStateListDrawableTransition_android_drawable, -1);
                            AnimatedVectorDrawableCompat f2 = resourceId5 > 0 ? ResourceManagerInternal.d().f(context2, resourceId5) : null;
                            boolean z2 = e4.getBoolean(R$styleable.AnimatedStateListDrawableTransition_android_reversible, false);
                            e4.recycle();
                            AnimatedVectorDrawableCompat animatedVectorDrawableCompat = f2;
                            if (f2 == null) {
                                do {
                                    next = xmlPullParser.next();
                                } while (next == 4);
                                if (next != 2) {
                                    throw new XmlPullParserException(d.a.a.a.a.A(xmlPullParser, new StringBuilder(), ": <transition> tag requires a 'drawable' attribute or child tag defining a drawable"));
                                } else if (xmlPullParser.getName().equals("animated-vector")) {
                                    AnimatedVectorDrawableCompat animatedVectorDrawableCompat2 = new AnimatedVectorDrawableCompat(context2, null, null);
                                    animatedVectorDrawableCompat2.inflate(resources2, xmlPullParser, attributeSet2, theme2);
                                    animatedVectorDrawableCompat = animatedVectorDrawableCompat2;
                                } else {
                                    animatedVectorDrawableCompat = Drawable.createFromXmlInner(resources, xmlPullParser, attributeSet, theme);
                                }
                            }
                            if (animatedVectorDrawableCompat == null) {
                                throw new XmlPullParserException(d.a.a.a.a.A(xmlPullParser, new StringBuilder(), ": <transition> tag requires a 'drawable' attribute or child tag defining a drawable"));
                            } else if (resourceId3 != -1 && resourceId4 != -1) {
                                c cVar3 = animatedStateListDrawableCompat.w;
                                int a3 = cVar3.a(animatedVectorDrawableCompat);
                                long h2 = c.h(resourceId3, resourceId4);
                                long j2 = z2 ? IjkMediaMeta.AV_CH_SURROUND_DIRECT_LEFT : 0;
                                long j3 = (long) a3;
                                cVar3.K.a(h2, Long.valueOf(j3 | j2));
                                if (z2) {
                                    cVar3.K.a(c.h(resourceId4, resourceId3), Long.valueOf(j3 | IjkMediaMeta.AV_CH_WIDE_RIGHT | j2));
                                }
                            }
                        }
                        context2 = context;
                        resources2 = resources;
                    }
                    i2 = 1;
                    attributeSet2 = attributeSet;
                    theme2 = theme;
                }
            }
            animatedStateListDrawableCompat.onStateChange(animatedStateListDrawableCompat.getState());
            return animatedStateListDrawableCompat;
        }
        throw new XmlPullParserException(xmlPullParser.getPositionDescription() + ": invalid animated-selector tag " + name);
    }

    @Override // b.b.c.a.c, b.b.c.a.a
    public a.c b() {
        return new c(this.w, this, null);
    }

    @Override // b.b.c.a.c, b.b.c.a.a
    public void e(a.c cVar) {
        super.e(cVar);
        if (cVar instanceof c) {
            this.w = (c) cVar;
        }
    }

    @Override // b.b.c.a.c
    public c.a f() {
        return new c(this.w, this, null);
    }

    @Override // b.b.c.a.a
    public void jumpToCurrentState() {
        super.jumpToCurrentState();
        g gVar = this.x;
        if (gVar != null) {
            gVar.d();
            this.x = null;
            d(this.y);
            this.y = -1;
            this.z = -1;
        }
    }

    @Override // b.b.c.a.c, b.b.c.a.a
    public Drawable mutate() {
        if (!this.A) {
            super.mutate();
            if (this == this) {
                this.w.e();
                this.A = true;
            }
        }
        return this;
    }

    @Override // b.b.c.a.c, b.b.c.a.a
    public boolean onStateChange(int[] iArr) {
        boolean z2;
        g gVar;
        c cVar = this.w;
        int g2 = cVar.g(iArr);
        if (g2 < 0) {
            g2 = cVar.g(StateSet.WILD_CARD);
        }
        int i2 = this.o;
        boolean z3 = false;
        if (g2 != i2) {
            g gVar2 = this.x;
            if (gVar2 != null) {
                if (g2 != this.y) {
                    if (g2 != this.z || !gVar2.a()) {
                        i2 = this.y;
                        gVar2.d();
                    } else {
                        gVar2.b();
                        this.y = this.z;
                        this.z = g2;
                    }
                }
                z2 = true;
                if (z2 || d(g2)) {
                    z3 = true;
                }
            }
            this.x = null;
            this.z = -1;
            this.y = -1;
            c cVar2 = this.w;
            int i3 = cVar2.i(i2);
            int i4 = cVar2.i(g2);
            if (!(i4 == 0 || i3 == 0)) {
                int longValue = (int) cVar2.K.g(c.h(i3, i4), -1L).longValue();
                if (longValue >= 0) {
                    boolean z4 = (cVar2.K.g(c.h(i3, i4), -1L).longValue() & IjkMediaMeta.AV_CH_SURROUND_DIRECT_LEFT) != 0;
                    d(longValue);
                    Drawable current = getCurrent();
                    if (current instanceof AnimationDrawable) {
                        gVar = new e((AnimationDrawable) current, (cVar2.K.g(c.h(i3, i4), -1L).longValue() & IjkMediaMeta.AV_CH_WIDE_RIGHT) != 0, z4);
                    } else if (current instanceof AnimatedVectorDrawableCompat) {
                        gVar = new d((AnimatedVectorDrawableCompat) current);
                    } else if (current instanceof Animatable) {
                        gVar = new b((Animatable) current);
                    }
                    gVar.c();
                    this.x = gVar;
                    this.z = i2;
                    this.y = g2;
                    z2 = true;
                    z3 = true;
                }
            }
            z2 = false;
            z3 = true;
        }
        Drawable current2 = getCurrent();
        return current2 != null ? z3 | current2.setState(iArr) : z3;
    }

    @Override // b.b.c.a.a
    public boolean setVisible(boolean z2, boolean z3) {
        boolean visible = super.setVisible(z2, z3);
        g gVar = this.x;
        if (gVar != null && (visible || z3)) {
            if (z2) {
                gVar.c();
            } else {
                jumpToCurrentState();
            }
        }
        return visible;
    }

    public AnimatedStateListDrawableCompat(c cVar, Resources resources) {
        super(null);
        this.y = -1;
        this.z = -1;
        c cVar2 = new c(cVar, this, resources);
        super.e(cVar2);
        this.w = cVar2;
        onStateChange(getState());
        jumpToCurrentState();
    }
}
