package androidx.appcompat.view;

import android.content.Context;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import androidx.appcompat.view.ActionMode;
import androidx.appcompat.view.menu.MenuBuilder;
import androidx.appcompat.widget.ActionBarContextView;
import androidx.appcompat.widget.ActionMenuPresenter;
import b.b.e.b;
import java.lang.ref.WeakReference;

public class StandaloneActionMode extends ActionMode implements MenuBuilder.Callback {

    /* renamed from: j  reason: collision with root package name */
    public Context f194j;

    /* renamed from: k  reason: collision with root package name */
    public ActionBarContextView f195k;

    /* renamed from: l  reason: collision with root package name */
    public ActionMode.Callback f196l;
    public WeakReference<View> m;
    public boolean n;
    public MenuBuilder o;

    public StandaloneActionMode(Context context, ActionBarContextView actionBarContextView, ActionMode.Callback callback, boolean z) {
        this.f194j = context;
        this.f195k = actionBarContextView;
        this.f196l = callback;
        MenuBuilder menuBuilder = new MenuBuilder(actionBarContextView.getContext());
        menuBuilder.m = 1;
        this.o = menuBuilder;
        menuBuilder.f244f = this;
    }

    @Override // androidx.appcompat.view.ActionMode
    public void a() {
        if (!this.n) {
            this.n = true;
            this.f195k.sendAccessibilityEvent(32);
            this.f196l.onDestroyActionMode(this);
        }
    }

    @Override // androidx.appcompat.view.ActionMode
    public View b() {
        WeakReference<View> weakReference = this.m;
        if (weakReference != null) {
            return weakReference.get();
        }
        return null;
    }

    @Override // androidx.appcompat.view.ActionMode
    public Menu c() {
        return this.o;
    }

    @Override // androidx.appcompat.view.ActionMode
    public MenuInflater d() {
        return new b(this.f195k.getContext());
    }

    @Override // androidx.appcompat.view.ActionMode
    public CharSequence e() {
        return this.f195k.getSubtitle();
    }

    @Override // androidx.appcompat.view.ActionMode
    public CharSequence f() {
        return this.f195k.getTitle();
    }

    @Override // androidx.appcompat.view.ActionMode
    public void g() {
        this.f196l.onPrepareActionMode(this, this.o);
    }

    @Override // androidx.appcompat.view.ActionMode
    public boolean h() {
        return this.f195k.z;
    }

    @Override // androidx.appcompat.view.ActionMode
    public void i(View view) {
        this.f195k.setCustomView(view);
        this.m = view != null ? new WeakReference<>(view) : null;
    }

    @Override // androidx.appcompat.view.ActionMode
    public void j(int i2) {
        this.f195k.setSubtitle(this.f194j.getString(i2));
    }

    @Override // androidx.appcompat.view.ActionMode
    public void k(CharSequence charSequence) {
        this.f195k.setSubtitle(charSequence);
    }

    @Override // androidx.appcompat.view.ActionMode
    public void l(int i2) {
        this.f195k.setTitle(this.f194j.getString(i2));
    }

    @Override // androidx.appcompat.view.ActionMode
    public void m(CharSequence charSequence) {
        this.f195k.setTitle(charSequence);
    }

    @Override // androidx.appcompat.view.ActionMode
    public void n(boolean z) {
        this.f193h = z;
        this.f195k.setTitleOptional(z);
    }

    @Override // androidx.appcompat.view.menu.MenuBuilder.Callback
    public boolean onMenuItemSelected(MenuBuilder menuBuilder, MenuItem menuItem) {
        return this.f196l.onActionItemClicked(this, menuItem);
    }

    @Override // androidx.appcompat.view.menu.MenuBuilder.Callback
    public void onMenuModeChange(MenuBuilder menuBuilder) {
        g();
        ActionMenuPresenter actionMenuPresenter = this.f195k.f291k;
        if (actionMenuPresenter != null) {
            actionMenuPresenter.i();
        }
    }
}
