package androidx.appcompat.view.menu;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.widget.AbsListView;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RadioButton;
import android.widget.TextView;
import androidx.appcompat.R$attr;
import androidx.appcompat.R$id;
import androidx.appcompat.R$layout;
import androidx.appcompat.R$string;
import androidx.appcompat.R$styleable;
import androidx.appcompat.view.menu.MenuView;
import androidx.core.view.ViewCompat;
import b.b.f.z;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;

public class ListMenuItemView extends LinearLayout implements MenuView.ItemView, AbsListView.SelectionBoundsAdjuster {

    /* renamed from: d  reason: collision with root package name */
    public MenuItemImpl f227d;

    /* renamed from: h  reason: collision with root package name */
    public ImageView f228h;

    /* renamed from: j  reason: collision with root package name */
    public RadioButton f229j;

    /* renamed from: k  reason: collision with root package name */
    public TextView f230k;

    /* renamed from: l  reason: collision with root package name */
    public CheckBox f231l;
    public TextView m;
    public ImageView n;
    public ImageView o;
    public LinearLayout p;
    public Drawable q;
    public int r;
    public Context s;
    public boolean t;
    public Drawable u;
    public boolean v;
    public LayoutInflater w;
    public boolean x;

    public ListMenuItemView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R$attr.listMenuViewStyle);
    }

    private LayoutInflater getInflater() {
        if (this.w == null) {
            this.w = LayoutInflater.from(getContext());
        }
        return this.w;
    }

    private void setSubMenuArrowVisible(boolean z) {
        ImageView imageView = this.n;
        if (imageView != null) {
            imageView.setVisibility(z ? 0 : 8);
        }
    }

    public final void a() {
        CheckBox checkBox = (CheckBox) getInflater().inflate(R$layout.abc_list_menu_item_checkbox, (ViewGroup) this, false);
        this.f231l = checkBox;
        LinearLayout linearLayout = this.p;
        if (linearLayout != null) {
            linearLayout.addView(checkBox, -1);
        } else {
            addView(checkBox, -1);
        }
    }

    public void adjustListItemSelectionBounds(Rect rect) {
        ImageView imageView = this.o;
        if (imageView != null && imageView.getVisibility() == 0) {
            LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) this.o.getLayoutParams();
            rect.top = this.o.getHeight() + layoutParams.topMargin + layoutParams.bottomMargin + rect.top;
        }
    }

    public final void b() {
        RadioButton radioButton = (RadioButton) getInflater().inflate(R$layout.abc_list_menu_item_radio, (ViewGroup) this, false);
        this.f229j = radioButton;
        LinearLayout linearLayout = this.p;
        if (linearLayout != null) {
            linearLayout.addView(radioButton, -1);
        } else {
            addView(radioButton, -1);
        }
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public MenuItemImpl getItemData() {
        return this.f227d;
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public void initialize(MenuItemImpl menuItemImpl, int i2) {
        CharSequence charSequence;
        this.f227d = menuItemImpl;
        setVisibility(menuItemImpl.isVisible() ? 0 : 8);
        if (prefersCondensedTitle()) {
            charSequence = menuItemImpl.getTitleCondensed();
        } else {
            charSequence = menuItemImpl.f255e;
        }
        setTitle(charSequence);
        setCheckable(menuItemImpl.isCheckable());
        setShortcut(menuItemImpl.m(), menuItemImpl.c());
        setIcon(menuItemImpl.getIcon());
        setEnabled(menuItemImpl.isEnabled());
        setSubMenuArrowVisible(menuItemImpl.hasSubMenu());
        setContentDescription(menuItemImpl.q);
    }

    public void onFinishInflate() {
        super.onFinishInflate();
        Drawable drawable = this.q;
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        setBackground(drawable);
        TextView textView = (TextView) findViewById(R$id.title);
        this.f230k = textView;
        int i2 = this.r;
        if (i2 != -1) {
            textView.setTextAppearance(this.s, i2);
        }
        this.m = (TextView) findViewById(R$id.shortcut);
        ImageView imageView = (ImageView) findViewById(R$id.submenuarrow);
        this.n = imageView;
        if (imageView != null) {
            imageView.setImageDrawable(this.u);
        }
        this.o = (ImageView) findViewById(R$id.group_divider);
        this.p = (LinearLayout) findViewById(R$id.content);
    }

    public void onMeasure(int i2, int i3) {
        if (this.f228h != null && this.t) {
            ViewGroup.LayoutParams layoutParams = getLayoutParams();
            LinearLayout.LayoutParams layoutParams2 = (LinearLayout.LayoutParams) this.f228h.getLayoutParams();
            int i4 = layoutParams.height;
            if (i4 > 0 && layoutParams2.width <= 0) {
                layoutParams2.width = i4;
            }
        }
        super.onMeasure(i2, i3);
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public boolean prefersCondensedTitle() {
        return false;
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public void setCheckable(boolean z) {
        CompoundButton compoundButton;
        CompoundButton compoundButton2;
        if (z || this.f229j != null || this.f231l != null) {
            if (this.f227d.f()) {
                if (this.f229j == null) {
                    b();
                }
                compoundButton2 = this.f229j;
                compoundButton = this.f231l;
            } else {
                if (this.f231l == null) {
                    a();
                }
                compoundButton2 = this.f231l;
                compoundButton = this.f229j;
            }
            if (z) {
                compoundButton2.setChecked(this.f227d.isChecked());
                if (compoundButton2.getVisibility() != 0) {
                    compoundButton2.setVisibility(0);
                }
                if (compoundButton != null && compoundButton.getVisibility() != 8) {
                    compoundButton.setVisibility(8);
                    return;
                }
                return;
            }
            CheckBox checkBox = this.f231l;
            if (checkBox != null) {
                checkBox.setVisibility(8);
            }
            RadioButton radioButton = this.f229j;
            if (radioButton != null) {
                radioButton.setVisibility(8);
            }
        }
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public void setChecked(boolean z) {
        CompoundButton compoundButton;
        if (this.f227d.f()) {
            if (this.f229j == null) {
                b();
            }
            compoundButton = this.f229j;
        } else {
            if (this.f231l == null) {
                a();
            }
            compoundButton = this.f231l;
        }
        compoundButton.setChecked(z);
    }

    public void setForceShowIcon(boolean z) {
        this.x = z;
        this.t = z;
    }

    public void setGroupDividerEnabled(boolean z) {
        ImageView imageView = this.o;
        if (imageView != null) {
            imageView.setVisibility((this.v || !z) ? 8 : 0);
        }
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public void setIcon(Drawable drawable) {
        Objects.requireNonNull(this.f227d.n);
        boolean z = this.x;
        if (z || this.t) {
            ImageView imageView = this.f228h;
            if (imageView != null || drawable != null || this.t) {
                if (imageView == null) {
                    ImageView imageView2 = (ImageView) getInflater().inflate(R$layout.abc_list_menu_item_icon, (ViewGroup) this, false);
                    this.f228h = imageView2;
                    LinearLayout linearLayout = this.p;
                    if (linearLayout != null) {
                        linearLayout.addView(imageView2, 0);
                    } else {
                        addView(imageView2, 0);
                    }
                }
                if (drawable != null || this.t) {
                    ImageView imageView3 = this.f228h;
                    if (!z) {
                        drawable = null;
                    }
                    imageView3.setImageDrawable(drawable);
                    if (this.f228h.getVisibility() != 0) {
                        this.f228h.setVisibility(0);
                        return;
                    }
                    return;
                }
                this.f228h.setVisibility(8);
            }
        }
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public void setShortcut(boolean z, char c2) {
        String str;
        int i2 = (!z || !this.f227d.m()) ? 8 : 0;
        if (i2 == 0) {
            TextView textView = this.m;
            MenuItemImpl menuItemImpl = this.f227d;
            char c3 = menuItemImpl.c();
            if (c3 == 0) {
                str = "";
            } else {
                Resources resources = menuItemImpl.n.f240b.getResources();
                StringBuilder sb = new StringBuilder();
                if (ViewConfiguration.get(menuItemImpl.n.f240b).hasPermanentMenuKey()) {
                    sb.append(resources.getString(R$string.abc_prepend_shortcut_label));
                }
                int i3 = menuItemImpl.n.n() ? menuItemImpl.f261k : menuItemImpl.f259i;
                MenuItemImpl.a(sb, i3, 65536, resources.getString(R$string.abc_menu_meta_shortcut_label));
                MenuItemImpl.a(sb, i3, 4096, resources.getString(R$string.abc_menu_ctrl_shortcut_label));
                MenuItemImpl.a(sb, i3, 2, resources.getString(R$string.abc_menu_alt_shortcut_label));
                MenuItemImpl.a(sb, i3, 1, resources.getString(R$string.abc_menu_shift_shortcut_label));
                MenuItemImpl.a(sb, i3, 4, resources.getString(R$string.abc_menu_sym_shortcut_label));
                MenuItemImpl.a(sb, i3, 8, resources.getString(R$string.abc_menu_function_shortcut_label));
                if (c3 == '\b') {
                    sb.append(resources.getString(R$string.abc_menu_delete_shortcut_label));
                } else if (c3 == '\n') {
                    sb.append(resources.getString(R$string.abc_menu_enter_shortcut_label));
                } else if (c3 != ' ') {
                    sb.append(c3);
                } else {
                    sb.append(resources.getString(R$string.abc_menu_space_shortcut_label));
                }
                str = sb.toString();
            }
            textView.setText(str);
        }
        if (this.m.getVisibility() != i2) {
            this.m.setVisibility(i2);
        }
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public void setTitle(CharSequence charSequence) {
        if (charSequence != null) {
            this.f230k.setText(charSequence);
            if (this.f230k.getVisibility() != 0) {
                this.f230k.setVisibility(0);
            }
        } else if (this.f230k.getVisibility() != 8) {
            this.f230k.setVisibility(8);
        }
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public boolean showsIcon() {
        return this.x;
    }

    public ListMenuItemView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet);
        z r2 = z.r(getContext(), attributeSet, R$styleable.MenuView, i2, 0);
        this.q = r2.g(R$styleable.MenuView_android_itemBackground);
        this.r = r2.m(R$styleable.MenuView_android_itemTextAppearance, -1);
        this.t = r2.a(R$styleable.MenuView_preserveIconSpacing, false);
        this.s = context;
        this.u = r2.g(R$styleable.MenuView_subMenuArrow);
        TypedArray obtainStyledAttributes = context.getTheme().obtainStyledAttributes(null, new int[]{16843049}, R$attr.dropDownListViewStyle, 0);
        this.v = obtainStyledAttributes.hasValue(0);
        r2.f2453b.recycle();
        obtainStyledAttributes.recycle();
    }
}
