package androidx.appcompat.view.menu;

import android.content.Context;
import android.os.Bundle;
import android.os.Parcelable;
import android.util.SparseArray;
import android.view.ContextThemeWrapper;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowManager;
import android.widget.AdapterView;
import android.widget.BaseAdapter;
import android.widget.ListAdapter;
import androidx.appcompat.R$layout;
import androidx.appcompat.app.AlertController;
import androidx.appcompat.app.AlertDialog;
import androidx.appcompat.view.menu.MenuPresenter;
import androidx.appcompat.view.menu.MenuView;
import b.b.e.e.d;
import com.download.library.DownloadTask;
import java.util.ArrayList;
import java.util.Objects;

public class ListMenuPresenter implements MenuPresenter, AdapterView.OnItemClickListener {

    /* renamed from: d  reason: collision with root package name */
    public Context f232d;

    /* renamed from: h  reason: collision with root package name */
    public LayoutInflater f233h;

    /* renamed from: j  reason: collision with root package name */
    public MenuBuilder f234j;

    /* renamed from: k  reason: collision with root package name */
    public ExpandedMenuView f235k;

    /* renamed from: l  reason: collision with root package name */
    public int f236l = 0;
    public int m;
    public MenuPresenter.Callback n;
    public a o;

    public class a extends BaseAdapter {

        /* renamed from: d  reason: collision with root package name */
        public int f237d = -1;

        public a() {
            a();
        }

        public void a() {
            MenuBuilder menuBuilder = ListMenuPresenter.this.f234j;
            MenuItemImpl menuItemImpl = menuBuilder.w;
            if (menuItemImpl != null) {
                menuBuilder.i();
                ArrayList<MenuItemImpl> arrayList = menuBuilder.f249k;
                int size = arrayList.size();
                for (int i2 = 0; i2 < size; i2++) {
                    if (arrayList.get(i2) == menuItemImpl) {
                        this.f237d = i2;
                        return;
                    }
                }
            }
            this.f237d = -1;
        }

        /* renamed from: b */
        public MenuItemImpl getItem(int i2) {
            MenuBuilder menuBuilder = ListMenuPresenter.this.f234j;
            menuBuilder.i();
            ArrayList<MenuItemImpl> arrayList = menuBuilder.f249k;
            Objects.requireNonNull(ListMenuPresenter.this);
            int i3 = i2 + 0;
            int i4 = this.f237d;
            if (i4 >= 0 && i3 >= i4) {
                i3++;
            }
            return arrayList.get(i3);
        }

        public int getCount() {
            MenuBuilder menuBuilder = ListMenuPresenter.this.f234j;
            menuBuilder.i();
            int size = menuBuilder.f249k.size();
            Objects.requireNonNull(ListMenuPresenter.this);
            int i2 = size + 0;
            return this.f237d < 0 ? i2 : i2 - 1;
        }

        public long getItemId(int i2) {
            return (long) i2;
        }

        public View getView(int i2, View view, ViewGroup viewGroup) {
            if (view == null) {
                ListMenuPresenter listMenuPresenter = ListMenuPresenter.this;
                view = listMenuPresenter.f233h.inflate(listMenuPresenter.m, viewGroup, false);
            }
            ((MenuView.ItemView) view).initialize(getItem(i2), 0);
            return view;
        }

        public void notifyDataSetChanged() {
            a();
            super.notifyDataSetChanged();
        }
    }

    public ListMenuPresenter(Context context, int i2) {
        this.m = i2;
        this.f232d = context;
        this.f233h = LayoutInflater.from(context);
    }

    public ListAdapter a() {
        if (this.o == null) {
            this.o = new a();
        }
        return this.o;
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public boolean collapseItemActionView(MenuBuilder menuBuilder, MenuItemImpl menuItemImpl) {
        return false;
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public boolean expandItemActionView(MenuBuilder menuBuilder, MenuItemImpl menuItemImpl) {
        return false;
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public boolean flagActionItems() {
        return false;
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public int getId() {
        return 0;
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public MenuView getMenuView(ViewGroup viewGroup) {
        if (this.f235k == null) {
            this.f235k = (ExpandedMenuView) this.f233h.inflate(R$layout.abc_expanded_menu_layout, viewGroup, false);
            if (this.o == null) {
                this.o = new a();
            }
            this.f235k.setAdapter((ListAdapter) this.o);
            this.f235k.setOnItemClickListener(this);
        }
        return this.f235k;
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public void initForMenu(Context context, MenuBuilder menuBuilder) {
        if (this.f236l != 0) {
            ContextThemeWrapper contextThemeWrapper = new ContextThemeWrapper(context, this.f236l);
            this.f232d = contextThemeWrapper;
            this.f233h = LayoutInflater.from(contextThemeWrapper);
        } else if (this.f232d != null) {
            this.f232d = context;
            if (this.f233h == null) {
                this.f233h = LayoutInflater.from(context);
            }
        }
        this.f234j = menuBuilder;
        a aVar = this.o;
        if (aVar != null) {
            aVar.notifyDataSetChanged();
        }
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public void onCloseMenu(MenuBuilder menuBuilder, boolean z) {
        MenuPresenter.Callback callback = this.n;
        if (callback != null) {
            callback.onCloseMenu(menuBuilder, z);
        }
    }

    @Override // android.widget.AdapterView.OnItemClickListener
    public void onItemClick(AdapterView<?> adapterView, View view, int i2, long j2) {
        this.f234j.t(this.o.getItem(i2), this, 0);
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public void onRestoreInstanceState(Parcelable parcelable) {
        SparseArray<Parcelable> sparseParcelableArray = ((Bundle) parcelable).getSparseParcelableArray("android:menu:list");
        if (sparseParcelableArray != null) {
            this.f235k.restoreHierarchyState(sparseParcelableArray);
        }
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public Parcelable onSaveInstanceState() {
        if (this.f235k == null) {
            return null;
        }
        Bundle bundle = new Bundle();
        SparseArray<Parcelable> sparseArray = new SparseArray<>();
        ExpandedMenuView expandedMenuView = this.f235k;
        if (expandedMenuView != null) {
            expandedMenuView.saveHierarchyState(sparseArray);
        }
        bundle.putSparseParcelableArray("android:menu:list", sparseArray);
        return bundle;
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public boolean onSubMenuSelected(SubMenuBuilder subMenuBuilder) {
        if (!subMenuBuilder.hasVisibleItems()) {
            return false;
        }
        d dVar = new d(subMenuBuilder);
        AlertDialog.a aVar = new AlertDialog.a(subMenuBuilder.f240b);
        ListMenuPresenter listMenuPresenter = new ListMenuPresenter(aVar.f114a.f97a, R$layout.abc_list_menu_item_layout);
        dVar.f2313j = listMenuPresenter;
        listMenuPresenter.setCallback(dVar);
        MenuBuilder menuBuilder = dVar.f2311d;
        menuBuilder.b(dVar.f2313j, menuBuilder.f240b);
        ListAdapter a2 = dVar.f2313j.a();
        AlertController.AlertParams alertParams = aVar.f114a;
        alertParams.n = a2;
        alertParams.o = dVar;
        View view = subMenuBuilder.p;
        if (view != null) {
            alertParams.f101e = view;
        } else {
            alertParams.f99c = subMenuBuilder.o;
            alertParams.f100d = subMenuBuilder.n;
        }
        alertParams.f108l = dVar;
        AlertDialog a3 = aVar.a();
        dVar.f2312h = a3;
        a3.setOnDismissListener(dVar);
        WindowManager.LayoutParams attributes = dVar.f2312h.getWindow().getAttributes();
        attributes.type = DownloadTask.STATUS_PAUSING;
        attributes.flags |= 131072;
        dVar.f2312h.show();
        MenuPresenter.Callback callback = this.n;
        if (callback == null) {
            return true;
        }
        callback.onOpenSubMenu(subMenuBuilder);
        return true;
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public void setCallback(MenuPresenter.Callback callback) {
        this.n = callback;
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public void updateMenuView(boolean z) {
        a aVar = this.o;
        if (aVar != null) {
            aVar.notifyDataSetChanged();
        }
    }
}
