package androidx.appcompat.view.menu;

import android.content.ActivityNotFoundException;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.content.pm.PackageManager;
import android.content.pm.ResolveInfo;
import android.content.res.Resources;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcelable;
import android.util.Log;
import android.util.SparseArray;
import android.view.KeyCharacterMap;
import android.view.KeyEvent;
import android.view.MenuItem;
import android.view.SubMenu;
import android.view.View;
import android.view.ViewConfiguration;
import androidx.core.internal.view.SupportMenu;
import androidx.core.view.ActionProvider;
import b.j.b.a;
import b.j.h.l;
import java.lang.ref.WeakReference;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.concurrent.CopyOnWriteArrayList;

public class MenuBuilder implements SupportMenu {

    /* renamed from: a  reason: collision with root package name */
    public static final int[] f239a = {1, 4, 5, 3, 2, 0};

    /* renamed from: b  reason: collision with root package name */
    public final Context f240b;

    /* renamed from: c  reason: collision with root package name */
    public final Resources f241c;

    /* renamed from: d  reason: collision with root package name */
    public boolean f242d;

    /* renamed from: e  reason: collision with root package name */
    public boolean f243e;

    /* renamed from: f  reason: collision with root package name */
    public Callback f244f;

    /* renamed from: g  reason: collision with root package name */
    public ArrayList<MenuItemImpl> f245g;

    /* renamed from: h  reason: collision with root package name */
    public ArrayList<MenuItemImpl> f246h;

    /* renamed from: i  reason: collision with root package name */
    public boolean f247i;

    /* renamed from: j  reason: collision with root package name */
    public ArrayList<MenuItemImpl> f248j;

    /* renamed from: k  reason: collision with root package name */
    public ArrayList<MenuItemImpl> f249k;

    /* renamed from: l  reason: collision with root package name */
    public boolean f250l;
    public int m = 0;
    public CharSequence n;
    public Drawable o;
    public View p;
    public boolean q = false;
    public boolean r = false;
    public boolean s = false;
    public boolean t = false;
    public ArrayList<MenuItemImpl> u = new ArrayList<>();
    public CopyOnWriteArrayList<WeakReference<MenuPresenter>> v = new CopyOnWriteArrayList<>();
    public MenuItemImpl w;
    public boolean x = false;
    public boolean y;

    public interface Callback {
        boolean onMenuItemSelected(MenuBuilder menuBuilder, MenuItem menuItem);

        void onMenuModeChange(MenuBuilder menuBuilder);
    }

    public interface ItemInvoker {
        boolean invokeItem(MenuItemImpl menuItemImpl);
    }

    public MenuBuilder(Context context) {
        boolean z;
        boolean z2 = false;
        this.f240b = context;
        Resources resources = context.getResources();
        this.f241c = resources;
        this.f245g = new ArrayList<>();
        this.f246h = new ArrayList<>();
        this.f247i = true;
        this.f248j = new ArrayList<>();
        this.f249k = new ArrayList<>();
        this.f250l = true;
        if (resources.getConfiguration().keyboard != 1) {
            ViewConfiguration viewConfiguration = ViewConfiguration.get(context);
            Method method = l.f3416a;
            if (Build.VERSION.SDK_INT >= 28) {
                z = viewConfiguration.shouldShowMenuShortcutsWhenKeyboardPresent();
            } else {
                Resources resources2 = context.getResources();
                int identifier = resources2.getIdentifier("config_showMenuShortcutsWhenKeyboardPresent", "bool", "android");
                z = identifier != 0 && resources2.getBoolean(identifier);
            }
            if (z) {
                z2 = true;
            }
        }
        this.f243e = z2;
    }

    public final void A(int i2, CharSequence charSequence, int i3, Drawable drawable, View view) {
        Resources resources = this.f241c;
        if (view != null) {
            this.p = view;
            this.n = null;
            this.o = null;
        } else {
            if (i2 > 0) {
                this.n = resources.getText(i2);
            } else if (charSequence != null) {
                this.n = charSequence;
            }
            if (i3 > 0) {
                Context context = this.f240b;
                Object obj = a.f3266a;
                this.o = context.getDrawable(i3);
            } else if (drawable != null) {
                this.o = drawable;
            }
            this.p = null;
        }
        r(false);
    }

    public void B() {
        this.q = false;
        if (this.r) {
            this.r = false;
            r(this.s);
        }
    }

    public void C() {
        if (!this.q) {
            this.q = true;
            this.r = false;
            this.s = false;
        }
    }

    public MenuItem a(int i2, int i3, int i4, CharSequence charSequence) {
        int i5;
        int i6 = (-65536 & i4) >> 16;
        if (i6 >= 0) {
            int[] iArr = f239a;
            if (i6 < iArr.length) {
                int i7 = (iArr[i6] << 16) | (65535 & i4);
                MenuItemImpl menuItemImpl = new MenuItemImpl(this, i2, i3, i4, i7, charSequence, this.m);
                ArrayList<MenuItemImpl> arrayList = this.f245g;
                int size = arrayList.size();
                while (true) {
                    size--;
                    if (size >= 0) {
                        if (arrayList.get(size).f254d <= i7) {
                            i5 = size + 1;
                            break;
                        }
                    } else {
                        i5 = 0;
                        break;
                    }
                }
                arrayList.add(i5, menuItemImpl);
                r(true);
                return menuItemImpl;
            }
        }
        throw new IllegalArgumentException("order does not contain a valid category.");
    }

    @Override // android.view.Menu
    public MenuItem add(CharSequence charSequence) {
        return a(0, 0, 0, charSequence);
    }

    public int addIntentOptions(int i2, int i3, int i4, ComponentName componentName, Intent[] intentArr, Intent intent, int i5, MenuItem[] menuItemArr) {
        int i6;
        PackageManager packageManager = this.f240b.getPackageManager();
        List<ResolveInfo> queryIntentActivityOptions = packageManager.queryIntentActivityOptions(componentName, intentArr, intent, 0);
        int size = queryIntentActivityOptions != null ? queryIntentActivityOptions.size() : 0;
        if ((i5 & 1) == 0) {
            removeGroup(i2);
        }
        for (int i7 = 0; i7 < size; i7++) {
            ResolveInfo resolveInfo = queryIntentActivityOptions.get(i7);
            int i8 = resolveInfo.specificIndex;
            Intent intent2 = new Intent(i8 < 0 ? intent : intentArr[i8]);
            ActivityInfo activityInfo = resolveInfo.activityInfo;
            intent2.setComponent(new ComponentName(activityInfo.applicationInfo.packageName, activityInfo.name));
            MenuItem intent3 = add(i2, i3, i4, resolveInfo.loadLabel(packageManager)).setIcon(resolveInfo.loadIcon(packageManager)).setIntent(intent2);
            if (menuItemArr != null && (i6 = resolveInfo.specificIndex) >= 0) {
                menuItemArr[i6] = intent3;
            }
        }
        return size;
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(CharSequence charSequence) {
        return addSubMenu(0, 0, 0, charSequence);
    }

    public void b(MenuPresenter menuPresenter, Context context) {
        this.v.add(new WeakReference<>(menuPresenter));
        menuPresenter.initForMenu(context, this);
        this.f250l = true;
    }

    public final void c(boolean z) {
        if (!this.t) {
            this.t = true;
            Iterator<WeakReference<MenuPresenter>> it = this.v.iterator();
            while (it.hasNext()) {
                WeakReference<MenuPresenter> next = it.next();
                MenuPresenter menuPresenter = next.get();
                if (menuPresenter == null) {
                    this.v.remove(next);
                } else {
                    menuPresenter.onCloseMenu(this, z);
                }
            }
            this.t = false;
        }
    }

    public void clear() {
        MenuItemImpl menuItemImpl = this.w;
        if (menuItemImpl != null) {
            d(menuItemImpl);
        }
        this.f245g.clear();
        r(true);
    }

    public void clearHeader() {
        this.o = null;
        this.n = null;
        this.p = null;
        r(false);
    }

    public void close() {
        c(true);
    }

    public boolean d(MenuItemImpl menuItemImpl) {
        boolean z = false;
        if (!this.v.isEmpty() && this.w == menuItemImpl) {
            C();
            Iterator<WeakReference<MenuPresenter>> it = this.v.iterator();
            while (it.hasNext()) {
                WeakReference<MenuPresenter> next = it.next();
                MenuPresenter menuPresenter = next.get();
                if (menuPresenter == null) {
                    this.v.remove(next);
                } else {
                    z = menuPresenter.collapseItemActionView(this, menuItemImpl);
                    if (z) {
                        break;
                    }
                }
            }
            B();
            if (z) {
                this.w = null;
            }
        }
        return z;
    }

    public boolean e(MenuBuilder menuBuilder, MenuItem menuItem) {
        Callback callback = this.f244f;
        return callback != null && callback.onMenuItemSelected(menuBuilder, menuItem);
    }

    public boolean f(MenuItemImpl menuItemImpl) {
        boolean z = false;
        if (this.v.isEmpty()) {
            return false;
        }
        C();
        Iterator<WeakReference<MenuPresenter>> it = this.v.iterator();
        while (it.hasNext()) {
            WeakReference<MenuPresenter> next = it.next();
            MenuPresenter menuPresenter = next.get();
            if (menuPresenter == null) {
                this.v.remove(next);
            } else {
                z = menuPresenter.expandItemActionView(this, menuItemImpl);
                if (z) {
                    break;
                }
            }
        }
        B();
        if (z) {
            this.w = menuItemImpl;
        }
        return z;
    }

    public MenuItem findItem(int i2) {
        MenuItem findItem;
        int size = size();
        for (int i3 = 0; i3 < size; i3++) {
            MenuItemImpl menuItemImpl = this.f245g.get(i3);
            if (menuItemImpl.f251a == i2) {
                return menuItemImpl;
            }
            if (menuItemImpl.hasSubMenu() && (findItem = menuItemImpl.o.findItem(i2)) != null) {
                return findItem;
            }
        }
        return null;
    }

    public MenuItemImpl g(int i2, KeyEvent keyEvent) {
        char c2;
        ArrayList<MenuItemImpl> arrayList = this.u;
        arrayList.clear();
        h(arrayList, i2, keyEvent);
        if (arrayList.isEmpty()) {
            return null;
        }
        int metaState = keyEvent.getMetaState();
        KeyCharacterMap.KeyData keyData = new KeyCharacterMap.KeyData();
        keyEvent.getKeyData(keyData);
        int size = arrayList.size();
        if (size == 1) {
            return arrayList.get(0);
        }
        boolean n2 = n();
        for (int i3 = 0; i3 < size; i3++) {
            MenuItemImpl menuItemImpl = arrayList.get(i3);
            if (n2) {
                c2 = menuItemImpl.f260j;
            } else {
                c2 = menuItemImpl.f258h;
            }
            char[] cArr = keyData.meta;
            if ((c2 == cArr[0] && (metaState & 2) == 0) || ((c2 == cArr[2] && (metaState & 2) != 0) || (n2 && c2 == '\b' && i2 == 67))) {
                return menuItemImpl;
            }
        }
        return null;
    }

    public MenuItem getItem(int i2) {
        return this.f245g.get(i2);
    }

    public void h(List<MenuItemImpl> list, int i2, KeyEvent keyEvent) {
        char c2;
        int i3;
        boolean n2 = n();
        int modifiers = keyEvent.getModifiers();
        KeyCharacterMap.KeyData keyData = new KeyCharacterMap.KeyData();
        if (keyEvent.getKeyData(keyData) || i2 == 67) {
            int size = this.f245g.size();
            for (int i4 = 0; i4 < size; i4++) {
                MenuItemImpl menuItemImpl = this.f245g.get(i4);
                if (menuItemImpl.hasSubMenu()) {
                    menuItemImpl.o.h(list, i2, keyEvent);
                }
                if (n2) {
                    c2 = menuItemImpl.f260j;
                } else {
                    c2 = menuItemImpl.f258h;
                }
                if (n2) {
                    i3 = menuItemImpl.f261k;
                } else {
                    i3 = menuItemImpl.f259i;
                }
                if (((modifiers & SupportMenu.SUPPORTED_MODIFIERS_MASK) == (i3 & SupportMenu.SUPPORTED_MODIFIERS_MASK)) && c2 != 0) {
                    char[] cArr = keyData.meta;
                    if ((c2 == cArr[0] || c2 == cArr[2] || (n2 && c2 == '\b' && i2 == 67)) && menuItemImpl.isEnabled()) {
                        list.add(menuItemImpl);
                    }
                }
            }
        }
    }

    public boolean hasVisibleItems() {
        if (this.y) {
            return true;
        }
        int size = size();
        for (int i2 = 0; i2 < size; i2++) {
            if (this.f245g.get(i2).isVisible()) {
                return true;
            }
        }
        return false;
    }

    public void i() {
        ArrayList<MenuItemImpl> l2 = l();
        if (this.f250l) {
            Iterator<WeakReference<MenuPresenter>> it = this.v.iterator();
            boolean z = false;
            while (it.hasNext()) {
                WeakReference<MenuPresenter> next = it.next();
                MenuPresenter menuPresenter = next.get();
                if (menuPresenter == null) {
                    this.v.remove(next);
                } else {
                    z |= menuPresenter.flagActionItems();
                }
            }
            if (z) {
                this.f248j.clear();
                this.f249k.clear();
                int size = l2.size();
                for (int i2 = 0; i2 < size; i2++) {
                    MenuItemImpl menuItemImpl = l2.get(i2);
                    if (menuItemImpl.e()) {
                        this.f248j.add(menuItemImpl);
                    } else {
                        this.f249k.add(menuItemImpl);
                    }
                }
            } else {
                this.f248j.clear();
                this.f249k.clear();
                this.f249k.addAll(l());
            }
            this.f250l = false;
        }
    }

    public boolean isShortcutKey(int i2, KeyEvent keyEvent) {
        return g(i2, keyEvent) != null;
    }

    public String j() {
        return "android:menu:actionviewstates";
    }

    public MenuBuilder k() {
        return this;
    }

    public ArrayList<MenuItemImpl> l() {
        if (!this.f247i) {
            return this.f246h;
        }
        this.f246h.clear();
        int size = this.f245g.size();
        for (int i2 = 0; i2 < size; i2++) {
            MenuItemImpl menuItemImpl = this.f245g.get(i2);
            if (menuItemImpl.isVisible()) {
                this.f246h.add(menuItemImpl);
            }
        }
        this.f247i = false;
        this.f250l = true;
        return this.f246h;
    }

    public boolean m() {
        return this.x;
    }

    public boolean n() {
        return this.f242d;
    }

    public boolean o() {
        return this.f243e;
    }

    public void p() {
        this.f250l = true;
        r(true);
    }

    public boolean performIdentifierAction(int i2, int i3) {
        return s(findItem(i2), i3);
    }

    public boolean performShortcut(int i2, KeyEvent keyEvent, int i3) {
        MenuItemImpl g2 = g(i2, keyEvent);
        boolean t2 = g2 != null ? t(g2, null, i3) : false;
        if ((i3 & 2) != 0) {
            c(true);
        }
        return t2;
    }

    public void q() {
        this.f247i = true;
        r(true);
    }

    public void r(boolean z) {
        if (!this.q) {
            if (z) {
                this.f247i = true;
                this.f250l = true;
            }
            if (!this.v.isEmpty()) {
                C();
                Iterator<WeakReference<MenuPresenter>> it = this.v.iterator();
                while (it.hasNext()) {
                    WeakReference<MenuPresenter> next = it.next();
                    MenuPresenter menuPresenter = next.get();
                    if (menuPresenter == null) {
                        this.v.remove(next);
                    } else {
                        menuPresenter.updateMenuView(z);
                    }
                }
                B();
                return;
            }
            return;
        }
        this.r = true;
        if (z) {
            this.s = true;
        }
    }

    public void removeGroup(int i2) {
        int size = size();
        int i3 = 0;
        while (true) {
            if (i3 >= size) {
                i3 = -1;
                break;
            } else if (this.f245g.get(i3).f252b == i2) {
                break;
            } else {
                i3++;
            }
        }
        if (i3 >= 0) {
            int size2 = this.f245g.size() - i3;
            int i4 = 0;
            while (true) {
                int i5 = i4 + 1;
                if (i4 >= size2 || this.f245g.get(i3).f252b != i2) {
                    r(true);
                } else {
                    u(i3, false);
                    i4 = i5;
                }
            }
            r(true);
        }
    }

    public void removeItem(int i2) {
        int size = size();
        int i3 = 0;
        while (true) {
            if (i3 >= size) {
                i3 = -1;
                break;
            } else if (this.f245g.get(i3).f251a == i2) {
                break;
            } else {
                i3++;
            }
        }
        u(i3, true);
    }

    public boolean s(MenuItem menuItem, int i2) {
        return t(menuItem, null, i2);
    }

    public void setGroupCheckable(int i2, boolean z, boolean z2) {
        int size = this.f245g.size();
        for (int i3 = 0; i3 < size; i3++) {
            MenuItemImpl menuItemImpl = this.f245g.get(i3);
            if (menuItemImpl.f252b == i2) {
                menuItemImpl.j(z2);
                menuItemImpl.setCheckable(z);
            }
        }
    }

    @Override // androidx.core.internal.view.SupportMenu
    public void setGroupDividerEnabled(boolean z) {
        this.x = z;
    }

    public void setGroupEnabled(int i2, boolean z) {
        int size = this.f245g.size();
        for (int i3 = 0; i3 < size; i3++) {
            MenuItemImpl menuItemImpl = this.f245g.get(i3);
            if (menuItemImpl.f252b == i2) {
                menuItemImpl.setEnabled(z);
            }
        }
    }

    public void setGroupVisible(int i2, boolean z) {
        int size = this.f245g.size();
        boolean z2 = false;
        for (int i3 = 0; i3 < size; i3++) {
            MenuItemImpl menuItemImpl = this.f245g.get(i3);
            if (menuItemImpl.f252b == i2 && menuItemImpl.l(z)) {
                z2 = true;
            }
        }
        if (z2) {
            r(true);
        }
    }

    public void setQwertyMode(boolean z) {
        this.f242d = z;
        r(false);
    }

    public int size() {
        return this.f245g.size();
    }

    /* JADX WARNING: Removed duplicated region for block: B:30:0x0056  */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x0062  */
    public boolean t(MenuItem menuItem, MenuPresenter menuPresenter, int i2) {
        boolean z;
        MenuItemImpl menuItemImpl = (MenuItemImpl) menuItem;
        boolean z2 = false;
        if (menuItemImpl == null || !menuItemImpl.isEnabled()) {
            return false;
        }
        MenuItem.OnMenuItemClickListener onMenuItemClickListener = menuItemImpl.p;
        if (onMenuItemClickListener == null || !onMenuItemClickListener.onMenuItemClick(menuItemImpl)) {
            MenuBuilder menuBuilder = menuItemImpl.n;
            if (!menuBuilder.e(menuBuilder, menuItemImpl)) {
                Intent intent = menuItemImpl.f257g;
                if (intent != null) {
                    try {
                        menuItemImpl.n.f240b.startActivity(intent);
                    } catch (ActivityNotFoundException e2) {
                        Log.e("MenuItemImpl", "Can't find activity to handle intent; ignoring", e2);
                    }
                }
                ActionProvider actionProvider = menuItemImpl.A;
                if (actionProvider == null || !actionProvider.e()) {
                    z = false;
                    ActionProvider actionProvider2 = menuItemImpl.A;
                    boolean z3 = actionProvider2 == null && actionProvider2.a();
                    if (!menuItemImpl.d()) {
                        z |= menuItemImpl.expandActionView();
                        if (z) {
                            c(true);
                        }
                    } else if (menuItemImpl.hasSubMenu() || z3) {
                        if ((i2 & 4) == 0) {
                            c(false);
                        }
                        if (!menuItemImpl.hasSubMenu()) {
                            SubMenuBuilder subMenuBuilder = new SubMenuBuilder(this.f240b, this, menuItemImpl);
                            menuItemImpl.o = subMenuBuilder;
                            subMenuBuilder.setHeaderTitle(menuItemImpl.f255e);
                        }
                        SubMenuBuilder subMenuBuilder2 = menuItemImpl.o;
                        if (z3) {
                            actionProvider2.f(subMenuBuilder2);
                        }
                        if (!this.v.isEmpty()) {
                            if (menuPresenter != null) {
                                z2 = menuPresenter.onSubMenuSelected(subMenuBuilder2);
                            }
                            Iterator<WeakReference<MenuPresenter>> it = this.v.iterator();
                            while (it.hasNext()) {
                                WeakReference<MenuPresenter> next = it.next();
                                MenuPresenter menuPresenter2 = next.get();
                                if (menuPresenter2 == null) {
                                    this.v.remove(next);
                                } else if (!z2) {
                                    z2 = menuPresenter2.onSubMenuSelected(subMenuBuilder2);
                                }
                            }
                        }
                        z |= z2;
                        if (!z) {
                            c(true);
                        }
                    } else if ((i2 & 1) == 0) {
                        c(true);
                    }
                    return z;
                }
            }
        }
        z = true;
        ActionProvider actionProvider22 = menuItemImpl.A;
        if (actionProvider22 == null) {
        }
        if (!menuItemImpl.d()) {
        }
        return z;
    }

    public final void u(int i2, boolean z) {
        if (i2 >= 0 && i2 < this.f245g.size()) {
            this.f245g.remove(i2);
            if (z) {
                r(true);
            }
        }
    }

    public void v(MenuPresenter menuPresenter) {
        Iterator<WeakReference<MenuPresenter>> it = this.v.iterator();
        while (it.hasNext()) {
            WeakReference<MenuPresenter> next = it.next();
            MenuPresenter menuPresenter2 = next.get();
            if (menuPresenter2 == null || menuPresenter2 == menuPresenter) {
                this.v.remove(next);
            }
        }
    }

    public void w(Bundle bundle) {
        MenuItem findItem;
        if (bundle != null) {
            SparseArray<Parcelable> sparseParcelableArray = bundle.getSparseParcelableArray(j());
            int size = size();
            for (int i2 = 0; i2 < size; i2++) {
                MenuItem item = getItem(i2);
                View actionView = item.getActionView();
                if (!(actionView == null || actionView.getId() == -1)) {
                    actionView.restoreHierarchyState(sparseParcelableArray);
                }
                if (item.hasSubMenu()) {
                    ((SubMenuBuilder) item.getSubMenu()).w(bundle);
                }
            }
            int i3 = bundle.getInt("android:menu:expandedactionview");
            if (i3 > 0 && (findItem = findItem(i3)) != null) {
                findItem.expandActionView();
            }
        }
    }

    public void x(Bundle bundle) {
        Parcelable parcelable;
        SparseArray sparseParcelableArray = bundle.getSparseParcelableArray("android:menu:presenters");
        if (sparseParcelableArray != null && !this.v.isEmpty()) {
            Iterator<WeakReference<MenuPresenter>> it = this.v.iterator();
            while (it.hasNext()) {
                WeakReference<MenuPresenter> next = it.next();
                MenuPresenter menuPresenter = next.get();
                if (menuPresenter == null) {
                    this.v.remove(next);
                } else {
                    int id = menuPresenter.getId();
                    if (id > 0 && (parcelable = (Parcelable) sparseParcelableArray.get(id)) != null) {
                        menuPresenter.onRestoreInstanceState(parcelable);
                    }
                }
            }
        }
    }

    public void y(Bundle bundle) {
        int size = size();
        SparseArray<? extends Parcelable> sparseArray = null;
        for (int i2 = 0; i2 < size; i2++) {
            MenuItem item = getItem(i2);
            View actionView = item.getActionView();
            if (!(actionView == null || actionView.getId() == -1)) {
                if (sparseArray == null) {
                    sparseArray = new SparseArray<>();
                }
                actionView.saveHierarchyState(sparseArray);
                if (item.isActionViewExpanded()) {
                    bundle.putInt("android:menu:expandedactionview", item.getItemId());
                }
            }
            if (item.hasSubMenu()) {
                ((SubMenuBuilder) item.getSubMenu()).y(bundle);
            }
        }
        if (sparseArray != null) {
            bundle.putSparseParcelableArray(j(), sparseArray);
        }
    }

    public void z(Bundle bundle) {
        Parcelable onSaveInstanceState;
        if (!this.v.isEmpty()) {
            SparseArray<? extends Parcelable> sparseArray = new SparseArray<>();
            Iterator<WeakReference<MenuPresenter>> it = this.v.iterator();
            while (it.hasNext()) {
                WeakReference<MenuPresenter> next = it.next();
                MenuPresenter menuPresenter = next.get();
                if (menuPresenter == null) {
                    this.v.remove(next);
                } else {
                    int id = menuPresenter.getId();
                    if (id > 0 && (onSaveInstanceState = menuPresenter.onSaveInstanceState()) != null) {
                        sparseArray.put(id, onSaveInstanceState);
                    }
                }
            }
            bundle.putSparseParcelableArray("android:menu:presenters", sparseArray);
        }
    }

    @Override // android.view.Menu
    public MenuItem add(int i2) {
        return a(0, 0, 0, this.f241c.getString(i2));
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(int i2) {
        return addSubMenu(0, 0, 0, this.f241c.getString(i2));
    }

    @Override // android.view.Menu
    public MenuItem add(int i2, int i3, int i4, CharSequence charSequence) {
        return a(i2, i3, i4, charSequence);
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(int i2, int i3, int i4, CharSequence charSequence) {
        MenuItemImpl menuItemImpl = (MenuItemImpl) a(i2, i3, i4, charSequence);
        SubMenuBuilder subMenuBuilder = new SubMenuBuilder(this.f240b, this, menuItemImpl);
        menuItemImpl.o = subMenuBuilder;
        subMenuBuilder.setHeaderTitle(menuItemImpl.f255e);
        return subMenuBuilder;
    }

    @Override // android.view.Menu
    public MenuItem add(int i2, int i3, int i4, int i5) {
        return a(i2, i3, i4, this.f241c.getString(i5));
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(int i2, int i3, int i4, int i5) {
        return addSubMenu(i2, i3, i4, this.f241c.getString(i5));
    }
}
