package androidx.appcompat.view.menu;

import android.content.Context;
import android.content.Intent;
import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.view.ContextMenu;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.MenuItem;
import android.view.SubMenu;
import android.view.View;
import android.view.ViewDebug;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.core.internal.view.SupportMenuItem;
import androidx.core.view.ActionProvider;
import java.util.Objects;

public final class MenuItemImpl implements SupportMenuItem {
    public ActionProvider A;
    public MenuItem.OnActionExpandListener B;
    public boolean C = false;
    public ContextMenu.ContextMenuInfo D;

    /* renamed from: a  reason: collision with root package name */
    public final int f251a;

    /* renamed from: b  reason: collision with root package name */
    public final int f252b;

    /* renamed from: c  reason: collision with root package name */
    public final int f253c;

    /* renamed from: d  reason: collision with root package name */
    public final int f254d;

    /* renamed from: e  reason: collision with root package name */
    public CharSequence f255e;

    /* renamed from: f  reason: collision with root package name */
    public CharSequence f256f;

    /* renamed from: g  reason: collision with root package name */
    public Intent f257g;

    /* renamed from: h  reason: collision with root package name */
    public char f258h;

    /* renamed from: i  reason: collision with root package name */
    public int f259i = 4096;

    /* renamed from: j  reason: collision with root package name */
    public char f260j;

    /* renamed from: k  reason: collision with root package name */
    public int f261k = 4096;

    /* renamed from: l  reason: collision with root package name */
    public Drawable f262l;
    public int m = 0;
    public MenuBuilder n;
    public SubMenuBuilder o;
    public MenuItem.OnMenuItemClickListener p;
    public CharSequence q;
    public CharSequence r;
    public ColorStateList s = null;
    public PorterDuff.Mode t = null;
    public boolean u = false;
    public boolean v = false;
    public boolean w = false;
    public int x = 16;
    public int y = 0;
    public View z;

    public class a implements ActionProvider.VisibilityListener {
        public a() {
        }

        @Override // androidx.core.view.ActionProvider.VisibilityListener
        public void onActionProviderVisibilityChanged(boolean z) {
            MenuItemImpl.this.n.q();
        }
    }

    public MenuItemImpl(MenuBuilder menuBuilder, int i2, int i3, int i4, int i5, CharSequence charSequence, int i6) {
        this.n = menuBuilder;
        this.f251a = i3;
        this.f252b = i2;
        this.f253c = i4;
        this.f254d = i5;
        this.f255e = charSequence;
        this.y = i6;
    }

    public static void a(StringBuilder sb, int i2, int i3, String str) {
        if ((i2 & i3) == i3) {
            sb.append(str);
        }
    }

    public final Drawable b(Drawable drawable) {
        if (drawable != null && this.w && (this.u || this.v)) {
            drawable = AppCompatDelegateImpl.e.L0(drawable).mutate();
            if (this.u) {
                drawable.setTintList(this.s);
            }
            if (this.v) {
                drawable.setTintMode(this.t);
            }
            this.w = false;
        }
        return drawable;
    }

    public char c() {
        return this.n.n() ? this.f260j : this.f258h;
    }

    @Override // androidx.core.internal.view.SupportMenuItem
    public boolean collapseActionView() {
        if ((this.y & 8) == 0) {
            return false;
        }
        if (this.z == null) {
            return true;
        }
        MenuItem.OnActionExpandListener onActionExpandListener = this.B;
        if (onActionExpandListener == null || onActionExpandListener.onMenuItemActionCollapse(this)) {
            return this.n.d(this);
        }
        return false;
    }

    public boolean d() {
        ActionProvider actionProvider;
        if ((this.y & 8) == 0) {
            return false;
        }
        if (this.z == null && (actionProvider = this.A) != null) {
            this.z = actionProvider.d(this);
        }
        if (this.z != null) {
            return true;
        }
        return false;
    }

    public boolean e() {
        return (this.x & 32) == 32;
    }

    @Override // androidx.core.internal.view.SupportMenuItem
    public boolean expandActionView() {
        if (!d()) {
            return false;
        }
        MenuItem.OnActionExpandListener onActionExpandListener = this.B;
        if (onActionExpandListener == null || onActionExpandListener.onMenuItemActionExpand(this)) {
            return this.n.f(this);
        }
        return false;
    }

    public boolean f() {
        return (this.x & 4) != 0;
    }

    public boolean g() {
        return (this.y & 1) == 1;
    }

    public android.view.ActionProvider getActionProvider() {
        throw new UnsupportedOperationException("This is not supported, use MenuItemCompat.getActionProvider()");
    }

    @Override // androidx.core.internal.view.SupportMenuItem
    public View getActionView() {
        View view = this.z;
        if (view != null) {
            return view;
        }
        ActionProvider actionProvider = this.A;
        if (actionProvider == null) {
            return null;
        }
        View d2 = actionProvider.d(this);
        this.z = d2;
        return d2;
    }

    @Override // androidx.core.internal.view.SupportMenuItem
    public int getAlphabeticModifiers() {
        return this.f261k;
    }

    public char getAlphabeticShortcut() {
        return this.f260j;
    }

    @Override // androidx.core.internal.view.SupportMenuItem
    public CharSequence getContentDescription() {
        return this.q;
    }

    public int getGroupId() {
        return this.f252b;
    }

    public Drawable getIcon() {
        Drawable drawable = this.f262l;
        if (drawable != null) {
            return b(drawable);
        }
        int i2 = this.m;
        if (i2 == 0) {
            return null;
        }
        Drawable b2 = b.b.b.a.a.b(this.n.f240b, i2);
        this.m = 0;
        this.f262l = b2;
        return b(b2);
    }

    @Override // androidx.core.internal.view.SupportMenuItem
    public ColorStateList getIconTintList() {
        return this.s;
    }

    @Override // androidx.core.internal.view.SupportMenuItem
    public PorterDuff.Mode getIconTintMode() {
        return this.t;
    }

    public Intent getIntent() {
        return this.f257g;
    }

    @ViewDebug.CapturedViewProperty
    public int getItemId() {
        return this.f251a;
    }

    public ContextMenu.ContextMenuInfo getMenuInfo() {
        return this.D;
    }

    @Override // androidx.core.internal.view.SupportMenuItem
    public int getNumericModifiers() {
        return this.f259i;
    }

    public char getNumericShortcut() {
        return this.f258h;
    }

    public int getOrder() {
        return this.f253c;
    }

    public SubMenu getSubMenu() {
        return this.o;
    }

    @Override // androidx.core.internal.view.SupportMenuItem
    public ActionProvider getSupportActionProvider() {
        return this.A;
    }

    @ViewDebug.CapturedViewProperty
    public CharSequence getTitle() {
        return this.f255e;
    }

    public CharSequence getTitleCondensed() {
        CharSequence charSequence = this.f256f;
        return charSequence != null ? charSequence : this.f255e;
    }

    @Override // androidx.core.internal.view.SupportMenuItem
    public CharSequence getTooltipText() {
        return this.r;
    }

    public SupportMenuItem h(View view) {
        int i2;
        this.z = view;
        this.A = null;
        if (view != null && view.getId() == -1 && (i2 = this.f251a) > 0) {
            view.setId(i2);
        }
        this.n.p();
        return this;
    }

    public boolean hasSubMenu() {
        return this.o != null;
    }

    public void i(boolean z2) {
        int i2 = this.x;
        int i3 = (z2 ? 2 : 0) | (i2 & -3);
        this.x = i3;
        if (i2 != i3) {
            this.n.r(false);
        }
    }

    @Override // androidx.core.internal.view.SupportMenuItem
    public boolean isActionViewExpanded() {
        return this.C;
    }

    public boolean isCheckable() {
        return (this.x & 1) == 1;
    }

    public boolean isChecked() {
        return (this.x & 2) == 2;
    }

    public boolean isEnabled() {
        return (this.x & 16) != 0;
    }

    public boolean isVisible() {
        ActionProvider actionProvider = this.A;
        if (actionProvider == null || !actionProvider.g()) {
            if ((this.x & 8) == 0) {
                return true;
            }
            return false;
        } else if ((this.x & 8) != 0 || !this.A.b()) {
            return false;
        } else {
            return true;
        }
    }

    public void j(boolean z2) {
        this.x = (z2 ? 4 : 0) | (this.x & -5);
    }

    public void k(boolean z2) {
        if (z2) {
            this.x |= 32;
        } else {
            this.x &= -33;
        }
    }

    public boolean l(boolean z2) {
        int i2 = this.x;
        int i3 = (z2 ? 0 : 8) | (i2 & -9);
        this.x = i3;
        if (i2 != i3) {
            return true;
        }
        return false;
    }

    public boolean m() {
        return this.n.o() && c() != 0;
    }

    @Override // androidx.core.internal.view.SupportMenuItem
    public boolean requiresActionButton() {
        return (this.y & 2) == 2;
    }

    @Override // androidx.core.internal.view.SupportMenuItem
    public boolean requiresOverflow() {
        return !requiresActionButton() && !g();
    }

    public MenuItem setActionProvider(android.view.ActionProvider actionProvider) {
        throw new UnsupportedOperationException("This is not supported, use MenuItemCompat.setActionProvider()");
    }

    @Override // androidx.core.internal.view.SupportMenuItem, android.view.MenuItem
    public /* bridge */ /* synthetic */ MenuItem setActionView(View view) {
        h(view);
        return this;
    }

    public MenuItem setAlphabeticShortcut(char c2) {
        if (this.f260j == c2) {
            return this;
        }
        this.f260j = Character.toLowerCase(c2);
        this.n.r(false);
        return this;
    }

    public MenuItem setCheckable(boolean z2) {
        int i2 = this.x;
        int i3 = (z2 ? 1 : 0) | (i2 & -2);
        this.x = i3;
        if (i2 != i3) {
            this.n.r(false);
        }
        return this;
    }

    public MenuItem setChecked(boolean z2) {
        if ((this.x & 4) != 0) {
            MenuBuilder menuBuilder = this.n;
            Objects.requireNonNull(menuBuilder);
            int groupId = getGroupId();
            int size = menuBuilder.f245g.size();
            menuBuilder.C();
            for (int i2 = 0; i2 < size; i2++) {
                MenuItemImpl menuItemImpl = menuBuilder.f245g.get(i2);
                if (menuItemImpl.f252b == groupId && menuItemImpl.f() && menuItemImpl.isCheckable()) {
                    menuItemImpl.i(menuItemImpl == this);
                }
            }
            menuBuilder.B();
        } else {
            i(z2);
        }
        return this;
    }

    @Override // androidx.core.internal.view.SupportMenuItem
    public MenuItem setContentDescription(CharSequence charSequence) {
        this.q = charSequence;
        this.n.r(false);
        return this;
    }

    public MenuItem setEnabled(boolean z2) {
        if (z2) {
            this.x |= 16;
        } else {
            this.x &= -17;
        }
        this.n.r(false);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setIcon(Drawable drawable) {
        this.m = 0;
        this.f262l = drawable;
        this.w = true;
        this.n.r(false);
        return this;
    }

    @Override // androidx.core.internal.view.SupportMenuItem
    public MenuItem setIconTintList(ColorStateList colorStateList) {
        this.s = colorStateList;
        this.u = true;
        this.w = true;
        this.n.r(false);
        return this;
    }

    @Override // androidx.core.internal.view.SupportMenuItem
    public MenuItem setIconTintMode(PorterDuff.Mode mode) {
        this.t = mode;
        this.v = true;
        this.w = true;
        this.n.r(false);
        return this;
    }

    public MenuItem setIntent(Intent intent) {
        this.f257g = intent;
        return this;
    }

    public MenuItem setNumericShortcut(char c2) {
        if (this.f258h == c2) {
            return this;
        }
        this.f258h = c2;
        this.n.r(false);
        return this;
    }

    public MenuItem setOnActionExpandListener(MenuItem.OnActionExpandListener onActionExpandListener) {
        this.B = onActionExpandListener;
        return this;
    }

    public MenuItem setOnMenuItemClickListener(MenuItem.OnMenuItemClickListener onMenuItemClickListener) {
        this.p = onMenuItemClickListener;
        return this;
    }

    public MenuItem setShortcut(char c2, char c3) {
        this.f258h = c2;
        this.f260j = Character.toLowerCase(c3);
        this.n.r(false);
        return this;
    }

    @Override // androidx.core.internal.view.SupportMenuItem
    public void setShowAsAction(int i2) {
        int i3 = i2 & 3;
        if (i3 == 0 || i3 == 1 || i3 == 2) {
            this.y = i2;
            this.n.p();
            return;
        }
        throw new IllegalArgumentException("SHOW_AS_ACTION_ALWAYS, SHOW_AS_ACTION_IF_ROOM, and SHOW_AS_ACTION_NEVER are mutually exclusive.");
    }

    @Override // androidx.core.internal.view.SupportMenuItem
    public MenuItem setShowAsActionFlags(int i2) {
        setShowAsAction(i2);
        return this;
    }

    @Override // androidx.core.internal.view.SupportMenuItem
    public SupportMenuItem setSupportActionProvider(ActionProvider actionProvider) {
        ActionProvider actionProvider2 = this.A;
        if (actionProvider2 != null) {
            actionProvider2.f1358b = null;
            actionProvider2.f1357a = null;
        }
        this.z = null;
        this.A = actionProvider;
        this.n.r(true);
        ActionProvider actionProvider3 = this.A;
        if (actionProvider3 != null) {
            actionProvider3.h(new a());
        }
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setTitle(CharSequence charSequence) {
        this.f255e = charSequence;
        this.n.r(false);
        SubMenuBuilder subMenuBuilder = this.o;
        if (subMenuBuilder != null) {
            subMenuBuilder.setHeaderTitle(charSequence);
        }
        return this;
    }

    public MenuItem setTitleCondensed(CharSequence charSequence) {
        this.f256f = charSequence;
        this.n.r(false);
        return this;
    }

    @Override // androidx.core.internal.view.SupportMenuItem
    public MenuItem setTooltipText(CharSequence charSequence) {
        this.r = charSequence;
        this.n.r(false);
        return this;
    }

    public MenuItem setVisible(boolean z2) {
        if (l(z2)) {
            this.n.q();
        }
        return this;
    }

    public String toString() {
        CharSequence charSequence = this.f255e;
        if (charSequence != null) {
            return charSequence.toString();
        }
        return null;
    }

    @Override // androidx.core.internal.view.SupportMenuItem, android.view.MenuItem
    public MenuItem setActionView(int i2) {
        Context context = this.n.f240b;
        h(LayoutInflater.from(context).inflate(i2, (ViewGroup) new LinearLayout(context), false));
        return this;
    }

    @Override // androidx.core.internal.view.SupportMenuItem
    /* renamed from: setContentDescription  reason: collision with other method in class */
    public SupportMenuItem m0setContentDescription(CharSequence charSequence) {
        this.q = charSequence;
        this.n.r(false);
        return this;
    }

    @Override // androidx.core.internal.view.SupportMenuItem
    /* renamed from: setTooltipText  reason: collision with other method in class */
    public SupportMenuItem m1setTooltipText(CharSequence charSequence) {
        this.r = charSequence;
        this.n.r(false);
        return this;
    }

    @Override // androidx.core.internal.view.SupportMenuItem
    public MenuItem setAlphabeticShortcut(char c2, int i2) {
        if (this.f260j == c2 && this.f261k == i2) {
            return this;
        }
        this.f260j = Character.toLowerCase(c2);
        this.f261k = KeyEvent.normalizeMetaState(i2);
        this.n.r(false);
        return this;
    }

    @Override // androidx.core.internal.view.SupportMenuItem
    public MenuItem setNumericShortcut(char c2, int i2) {
        if (this.f258h == c2 && this.f259i == i2) {
            return this;
        }
        this.f258h = c2;
        this.f259i = KeyEvent.normalizeMetaState(i2);
        this.n.r(false);
        return this;
    }

    @Override // androidx.core.internal.view.SupportMenuItem
    public MenuItem setShortcut(char c2, char c3, int i2, int i3) {
        this.f258h = c2;
        this.f259i = KeyEvent.normalizeMetaState(i2);
        this.f260j = Character.toLowerCase(c3);
        this.f261k = KeyEvent.normalizeMetaState(i3);
        this.n.r(false);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setIcon(int i2) {
        this.f262l = null;
        this.m = i2;
        this.w = true;
        this.n.r(false);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setTitle(int i2) {
        setTitle(this.n.f240b.getString(i2));
        return this;
    }
}
