package androidx.appcompat.view.menu;

import android.content.Context;
import android.content.Intent;
import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.view.ActionProvider;
import android.view.ContextMenu;
import android.view.MenuItem;
import android.view.SubMenu;
import android.view.View;
import android.widget.FrameLayout;
import androidx.appcompat.view.CollapsibleActionView;
import androidx.core.internal.view.SupportMenuItem;
import androidx.core.view.ActionProvider;
import java.lang.reflect.Method;

public class MenuItemWrapperICS extends b.b.e.e.a implements MenuItem {

    /* renamed from: d  reason: collision with root package name */
    public final SupportMenuItem f264d;

    /* renamed from: e  reason: collision with root package name */
    public Method f265e;

    public class a extends ActionProvider {

        /* renamed from: c  reason: collision with root package name */
        public final android.view.ActionProvider f266c;

        public a(Context context, android.view.ActionProvider actionProvider) {
            super(context);
            this.f266c = actionProvider;
        }

        @Override // androidx.core.view.ActionProvider
        public boolean a() {
            return this.f266c.hasSubMenu();
        }

        @Override // androidx.core.view.ActionProvider
        public View c() {
            return this.f266c.onCreateActionView();
        }

        @Override // androidx.core.view.ActionProvider
        public boolean e() {
            return this.f266c.onPerformDefaultAction();
        }

        @Override // androidx.core.view.ActionProvider
        public void f(SubMenu subMenu) {
            this.f266c.onPrepareSubMenu(MenuItemWrapperICS.this.b(subMenu));
        }
    }

    public class b extends a implements ActionProvider.VisibilityListener {

        /* renamed from: e  reason: collision with root package name */
        public ActionProvider.VisibilityListener f268e;

        public b(MenuItemWrapperICS menuItemWrapperICS, Context context, android.view.ActionProvider actionProvider) {
            super(context, actionProvider);
        }

        @Override // androidx.core.view.ActionProvider
        public boolean b() {
            return this.f266c.isVisible();
        }

        @Override // androidx.core.view.ActionProvider
        public View d(MenuItem menuItem) {
            return this.f266c.onCreateActionView(menuItem);
        }

        @Override // androidx.core.view.ActionProvider
        public boolean g() {
            return this.f266c.overridesItemVisibility();
        }

        @Override // androidx.core.view.ActionProvider
        public void h(ActionProvider.VisibilityListener visibilityListener) {
            this.f268e = visibilityListener;
            this.f266c.setVisibilityListener(this);
        }

        public void onActionProviderVisibilityChanged(boolean z) {
            ActionProvider.VisibilityListener visibilityListener = this.f268e;
            if (visibilityListener != null) {
                visibilityListener.onActionProviderVisibilityChanged(z);
            }
        }
    }

    public static class c extends FrameLayout implements CollapsibleActionView {

        /* renamed from: d  reason: collision with root package name */
        public final android.view.CollapsibleActionView f269d;

        public c(View view) {
            super(view.getContext());
            this.f269d = (android.view.CollapsibleActionView) view;
            addView(view);
        }

        @Override // androidx.appcompat.view.CollapsibleActionView
        public void onActionViewCollapsed() {
            this.f269d.onActionViewCollapsed();
        }

        @Override // androidx.appcompat.view.CollapsibleActionView
        public void onActionViewExpanded() {
            this.f269d.onActionViewExpanded();
        }
    }

    public class d implements MenuItem.OnActionExpandListener {

        /* renamed from: a  reason: collision with root package name */
        public final MenuItem.OnActionExpandListener f270a;

        public d(MenuItem.OnActionExpandListener onActionExpandListener) {
            this.f270a = onActionExpandListener;
        }

        public boolean onMenuItemActionCollapse(MenuItem menuItem) {
            return this.f270a.onMenuItemActionCollapse(MenuItemWrapperICS.this.a(menuItem));
        }

        public boolean onMenuItemActionExpand(MenuItem menuItem) {
            return this.f270a.onMenuItemActionExpand(MenuItemWrapperICS.this.a(menuItem));
        }
    }

    public class e implements MenuItem.OnMenuItemClickListener {

        /* renamed from: a  reason: collision with root package name */
        public final MenuItem.OnMenuItemClickListener f272a;

        public e(MenuItem.OnMenuItemClickListener onMenuItemClickListener) {
            this.f272a = onMenuItemClickListener;
        }

        public boolean onMenuItemClick(MenuItem menuItem) {
            return this.f272a.onMenuItemClick(MenuItemWrapperICS.this.a(menuItem));
        }
    }

    public MenuItemWrapperICS(Context context, SupportMenuItem supportMenuItem) {
        super(context);
        if (supportMenuItem != null) {
            this.f264d = supportMenuItem;
            return;
        }
        throw new IllegalArgumentException("Wrapped Object can not be null.");
    }

    public boolean collapseActionView() {
        return this.f264d.collapseActionView();
    }

    public boolean expandActionView() {
        return this.f264d.expandActionView();
    }

    public android.view.ActionProvider getActionProvider() {
        androidx.core.view.ActionProvider supportActionProvider = this.f264d.getSupportActionProvider();
        if (supportActionProvider instanceof a) {
            return ((a) supportActionProvider).f266c;
        }
        return null;
    }

    public View getActionView() {
        View actionView = this.f264d.getActionView();
        return actionView instanceof c ? (View) ((c) actionView).f269d : actionView;
    }

    public int getAlphabeticModifiers() {
        return this.f264d.getAlphabeticModifiers();
    }

    public char getAlphabeticShortcut() {
        return this.f264d.getAlphabeticShortcut();
    }

    public CharSequence getContentDescription() {
        return this.f264d.getContentDescription();
    }

    public int getGroupId() {
        return this.f264d.getGroupId();
    }

    public Drawable getIcon() {
        return this.f264d.getIcon();
    }

    public ColorStateList getIconTintList() {
        return this.f264d.getIconTintList();
    }

    public PorterDuff.Mode getIconTintMode() {
        return this.f264d.getIconTintMode();
    }

    public Intent getIntent() {
        return this.f264d.getIntent();
    }

    public int getItemId() {
        return this.f264d.getItemId();
    }

    public ContextMenu.ContextMenuInfo getMenuInfo() {
        return this.f264d.getMenuInfo();
    }

    public int getNumericModifiers() {
        return this.f264d.getNumericModifiers();
    }

    public char getNumericShortcut() {
        return this.f264d.getNumericShortcut();
    }

    public int getOrder() {
        return this.f264d.getOrder();
    }

    public SubMenu getSubMenu() {
        return b(this.f264d.getSubMenu());
    }

    public CharSequence getTitle() {
        return this.f264d.getTitle();
    }

    public CharSequence getTitleCondensed() {
        return this.f264d.getTitleCondensed();
    }

    public CharSequence getTooltipText() {
        return this.f264d.getTooltipText();
    }

    public boolean hasSubMenu() {
        return this.f264d.hasSubMenu();
    }

    public boolean isActionViewExpanded() {
        return this.f264d.isActionViewExpanded();
    }

    public boolean isCheckable() {
        return this.f264d.isCheckable();
    }

    public boolean isChecked() {
        return this.f264d.isChecked();
    }

    public boolean isEnabled() {
        return this.f264d.isEnabled();
    }

    public boolean isVisible() {
        return this.f264d.isVisible();
    }

    public MenuItem setActionProvider(android.view.ActionProvider actionProvider) {
        b bVar = new b(this, this.f2289a, actionProvider);
        SupportMenuItem supportMenuItem = this.f264d;
        if (actionProvider == null) {
            bVar = null;
        }
        supportMenuItem.setSupportActionProvider(bVar);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setActionView(View view) {
        if (view instanceof android.view.CollapsibleActionView) {
            view = new c(view);
        }
        this.f264d.setActionView(view);
        return this;
    }

    public MenuItem setAlphabeticShortcut(char c2) {
        this.f264d.setAlphabeticShortcut(c2);
        return this;
    }

    public MenuItem setCheckable(boolean z) {
        this.f264d.setCheckable(z);
        return this;
    }

    public MenuItem setChecked(boolean z) {
        this.f264d.setChecked(z);
        return this;
    }

    public MenuItem setContentDescription(CharSequence charSequence) {
        this.f264d.setContentDescription(charSequence);
        return this;
    }

    public MenuItem setEnabled(boolean z) {
        this.f264d.setEnabled(z);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setIcon(Drawable drawable) {
        this.f264d.setIcon(drawable);
        return this;
    }

    public MenuItem setIconTintList(ColorStateList colorStateList) {
        this.f264d.setIconTintList(colorStateList);
        return this;
    }

    public MenuItem setIconTintMode(PorterDuff.Mode mode) {
        this.f264d.setIconTintMode(mode);
        return this;
    }

    public MenuItem setIntent(Intent intent) {
        this.f264d.setIntent(intent);
        return this;
    }

    public MenuItem setNumericShortcut(char c2) {
        this.f264d.setNumericShortcut(c2);
        return this;
    }

    public MenuItem setOnActionExpandListener(MenuItem.OnActionExpandListener onActionExpandListener) {
        this.f264d.setOnActionExpandListener(onActionExpandListener != null ? new d(onActionExpandListener) : null);
        return this;
    }

    public MenuItem setOnMenuItemClickListener(MenuItem.OnMenuItemClickListener onMenuItemClickListener) {
        this.f264d.setOnMenuItemClickListener(onMenuItemClickListener != null ? new e(onMenuItemClickListener) : null);
        return this;
    }

    public MenuItem setShortcut(char c2, char c3) {
        this.f264d.setShortcut(c2, c3);
        return this;
    }

    public void setShowAsAction(int i2) {
        this.f264d.setShowAsAction(i2);
    }

    public MenuItem setShowAsActionFlags(int i2) {
        this.f264d.setShowAsActionFlags(i2);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setTitle(CharSequence charSequence) {
        this.f264d.setTitle(charSequence);
        return this;
    }

    public MenuItem setTitleCondensed(CharSequence charSequence) {
        this.f264d.setTitleCondensed(charSequence);
        return this;
    }

    public MenuItem setTooltipText(CharSequence charSequence) {
        this.f264d.setTooltipText(charSequence);
        return this;
    }

    public MenuItem setVisible(boolean z) {
        return this.f264d.setVisible(z);
    }

    public MenuItem setAlphabeticShortcut(char c2, int i2) {
        this.f264d.setAlphabeticShortcut(c2, i2);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setIcon(int i2) {
        this.f264d.setIcon(i2);
        return this;
    }

    public MenuItem setNumericShortcut(char c2, int i2) {
        this.f264d.setNumericShortcut(c2, i2);
        return this;
    }

    public MenuItem setShortcut(char c2, char c3, int i2, int i3) {
        this.f264d.setShortcut(c2, c3, i2, i3);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setTitle(int i2) {
        this.f264d.setTitle(i2);
        return this;
    }

    @Override // android.view.MenuItem
    public MenuItem setActionView(int i2) {
        this.f264d.setActionView(i2);
        View actionView = this.f264d.getActionView();
        if (actionView instanceof android.view.CollapsibleActionView) {
            this.f264d.setActionView(new c(actionView));
        }
        return this;
    }
}
