package androidx.appcompat.view.menu;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.view.KeyEvent;
import android.view.Menu;
import android.view.MenuItem;
import android.view.SubMenu;
import androidx.core.internal.view.SupportMenu;
import androidx.core.internal.view.SupportMenuItem;
import androidx.core.internal.view.SupportSubMenu;
import b.b.e.e.a;
import b.f.g;

public class MenuWrapperICS extends a implements Menu {

    /* renamed from: d  reason: collision with root package name */
    public final SupportMenu f287d;

    public MenuWrapperICS(Context context, SupportMenu supportMenu) {
        super(context);
        if (supportMenu != null) {
            this.f287d = supportMenu;
            return;
        }
        throw new IllegalArgumentException("Wrapped Object can not be null.");
    }

    @Override // android.view.Menu
    public MenuItem add(CharSequence charSequence) {
        return a(this.f287d.add(charSequence));
    }

    public int addIntentOptions(int i2, int i3, int i4, ComponentName componentName, Intent[] intentArr, Intent intent, int i5, MenuItem[] menuItemArr) {
        MenuItem[] menuItemArr2 = menuItemArr != null ? new MenuItem[menuItemArr.length] : null;
        int addIntentOptions = this.f287d.addIntentOptions(i2, i3, i4, componentName, intentArr, intent, i5, menuItemArr2);
        if (menuItemArr2 != null) {
            int length = menuItemArr2.length;
            for (int i6 = 0; i6 < length; i6++) {
                menuItemArr[i6] = a(menuItemArr2[i6]);
            }
        }
        return addIntentOptions;
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(CharSequence charSequence) {
        return b(this.f287d.addSubMenu(charSequence));
    }

    public void clear() {
        g<SupportMenuItem, MenuItem> gVar = this.f2290b;
        if (gVar != null) {
            gVar.clear();
        }
        g<SupportSubMenu, SubMenu> gVar2 = this.f2291c;
        if (gVar2 != null) {
            gVar2.clear();
        }
        this.f287d.clear();
    }

    public void close() {
        this.f287d.close();
    }

    public MenuItem findItem(int i2) {
        return a(this.f287d.findItem(i2));
    }

    public MenuItem getItem(int i2) {
        return a(this.f287d.getItem(i2));
    }

    public boolean hasVisibleItems() {
        return this.f287d.hasVisibleItems();
    }

    public boolean isShortcutKey(int i2, KeyEvent keyEvent) {
        return this.f287d.isShortcutKey(i2, keyEvent);
    }

    public boolean performIdentifierAction(int i2, int i3) {
        return this.f287d.performIdentifierAction(i2, i3);
    }

    public boolean performShortcut(int i2, KeyEvent keyEvent, int i3) {
        return this.f287d.performShortcut(i2, keyEvent, i3);
    }

    public void removeGroup(int i2) {
        if (this.f2290b != null) {
            int i3 = 0;
            while (i3 < this.f2290b.size()) {
                if (this.f2290b.h(i3).getGroupId() == i2) {
                    this.f2290b.j(i3);
                    i3--;
                }
                i3++;
            }
        }
        this.f287d.removeGroup(i2);
    }

    public void removeItem(int i2) {
        if (this.f2290b != null) {
            int i3 = 0;
            while (true) {
                if (i3 >= this.f2290b.size()) {
                    break;
                } else if (this.f2290b.h(i3).getItemId() == i2) {
                    this.f2290b.j(i3);
                    break;
                } else {
                    i3++;
                }
            }
        }
        this.f287d.removeItem(i2);
    }

    public void setGroupCheckable(int i2, boolean z, boolean z2) {
        this.f287d.setGroupCheckable(i2, z, z2);
    }

    public void setGroupEnabled(int i2, boolean z) {
        this.f287d.setGroupEnabled(i2, z);
    }

    public void setGroupVisible(int i2, boolean z) {
        this.f287d.setGroupVisible(i2, z);
    }

    public void setQwertyMode(boolean z) {
        this.f287d.setQwertyMode(z);
    }

    public int size() {
        return this.f287d.size();
    }

    @Override // android.view.Menu
    public MenuItem add(int i2) {
        return a(this.f287d.add(i2));
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(int i2) {
        return b(this.f287d.addSubMenu(i2));
    }

    @Override // android.view.Menu
    public MenuItem add(int i2, int i3, int i4, CharSequence charSequence) {
        return a(this.f287d.add(i2, i3, i4, charSequence));
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(int i2, int i3, int i4, CharSequence charSequence) {
        return b(this.f287d.addSubMenu(i2, i3, i4, charSequence));
    }

    @Override // android.view.Menu
    public MenuItem add(int i2, int i3, int i4, int i5) {
        return a(this.f287d.add(i2, i3, i4, i5));
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(int i2, int i3, int i4, int i5) {
        return b(this.f287d.addSubMenu(i2, i3, i4, i5));
    }
}
