package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.Configuration;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.ContextThemeWrapper;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import androidx.appcompat.R$attr;
import androidx.appcompat.R$styleable;
import androidx.appcompat.view.menu.MenuBuilder;
import androidx.core.view.ViewCompat;
import androidx.core.view.ViewPropertyAnimatorListener;
import b.j.h.m;

public abstract class AbsActionBarView extends ViewGroup {

    /* renamed from: d  reason: collision with root package name */
    public final VisibilityAnimListener f288d;

    /* renamed from: h  reason: collision with root package name */
    public final Context f289h;

    /* renamed from: j  reason: collision with root package name */
    public ActionMenuView f290j;

    /* renamed from: k  reason: collision with root package name */
    public ActionMenuPresenter f291k;

    /* renamed from: l  reason: collision with root package name */
    public int f292l;
    public m m;
    public boolean n;
    public boolean o;

    public class VisibilityAnimListener implements ViewPropertyAnimatorListener {

        /* renamed from: a  reason: collision with root package name */
        public boolean f293a = false;

        /* renamed from: b  reason: collision with root package name */
        public int f294b;

        public VisibilityAnimListener() {
        }

        @Override // androidx.core.view.ViewPropertyAnimatorListener
        public void onAnimationCancel(View view) {
            this.f293a = true;
        }

        @Override // androidx.core.view.ViewPropertyAnimatorListener
        public void onAnimationEnd(View view) {
            if (!this.f293a) {
                AbsActionBarView absActionBarView = AbsActionBarView.this;
                absActionBarView.m = null;
                AbsActionBarView.super.setVisibility(this.f294b);
            }
        }

        @Override // androidx.core.view.ViewPropertyAnimatorListener
        public void onAnimationStart(View view) {
            AbsActionBarView.super.setVisibility(0);
            this.f293a = false;
        }
    }

    public AbsActionBarView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public int c(View view, int i2, int i3, int i4) {
        view.measure(View.MeasureSpec.makeMeasureSpec(i2, Integer.MIN_VALUE), i3);
        return Math.max(0, (i2 - view.getMeasuredWidth()) - i4);
    }

    public int d(View view, int i2, int i3, int i4, boolean z) {
        int measuredWidth = view.getMeasuredWidth();
        int measuredHeight = view.getMeasuredHeight();
        int i5 = ((i4 - measuredHeight) / 2) + i3;
        if (z) {
            view.layout(i2 - measuredWidth, i5, i2, measuredHeight + i5);
        } else {
            view.layout(i2, i5, i2 + measuredWidth, measuredHeight + i5);
        }
        return z ? -measuredWidth : measuredWidth;
    }

    public m e(int i2, long j2) {
        m mVar = this.m;
        if (mVar != null) {
            mVar.b();
        }
        if (i2 == 0) {
            if (getVisibility() != 0) {
                setAlpha(0.0f);
            }
            m b2 = ViewCompat.b(this);
            b2.a(1.0f);
            b2.c(j2);
            VisibilityAnimListener visibilityAnimListener = this.f288d;
            AbsActionBarView.this.m = b2;
            visibilityAnimListener.f294b = i2;
            View view = b2.f3417a.get();
            if (view != null) {
                b2.e(view, visibilityAnimListener);
            }
            return b2;
        }
        m b3 = ViewCompat.b(this);
        b3.a(0.0f);
        b3.c(j2);
        VisibilityAnimListener visibilityAnimListener2 = this.f288d;
        AbsActionBarView.this.m = b3;
        visibilityAnimListener2.f294b = i2;
        View view2 = b3.f3417a.get();
        if (view2 != null) {
            b3.e(view2, visibilityAnimListener2);
        }
        return b3;
    }

    public int getAnimatedVisibility() {
        if (this.m != null) {
            return this.f288d.f294b;
        }
        return getVisibility();
    }

    public int getContentHeight() {
        return this.f292l;
    }

    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(null, R$styleable.ActionBar, R$attr.actionBarStyle, 0);
        setContentHeight(obtainStyledAttributes.getLayoutDimension(R$styleable.ActionBar_height, 0));
        obtainStyledAttributes.recycle();
        ActionMenuPresenter actionMenuPresenter = this.f291k;
        if (actionMenuPresenter != null) {
            Configuration configuration2 = actionMenuPresenter.f221h.getResources().getConfiguration();
            int i2 = configuration2.screenWidthDp;
            int i3 = configuration2.screenHeightDp;
            actionMenuPresenter.x = (configuration2.smallestScreenWidthDp > 600 || i2 > 600 || (i2 > 960 && i3 > 720) || (i2 > 720 && i3 > 960)) ? 5 : (i2 >= 500 || (i2 > 640 && i3 > 480) || (i2 > 480 && i3 > 640)) ? 4 : i2 >= 360 ? 3 : 2;
            MenuBuilder menuBuilder = actionMenuPresenter.f222j;
            if (menuBuilder != null) {
                menuBuilder.r(true);
            }
        }
    }

    public boolean onHoverEvent(MotionEvent motionEvent) {
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 9) {
            this.o = false;
        }
        if (!this.o) {
            boolean onHoverEvent = super.onHoverEvent(motionEvent);
            if (actionMasked == 9 && !onHoverEvent) {
                this.o = true;
            }
        }
        if (actionMasked == 10 || actionMasked == 3) {
            this.o = false;
        }
        return true;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 0) {
            this.n = false;
        }
        if (!this.n) {
            boolean onTouchEvent = super.onTouchEvent(motionEvent);
            if (actionMasked == 0 && !onTouchEvent) {
                this.n = true;
            }
        }
        if (actionMasked == 1 || actionMasked == 3) {
            this.n = false;
        }
        return true;
    }

    public abstract void setContentHeight(int i2);

    public void setVisibility(int i2) {
        if (i2 != getVisibility()) {
            m mVar = this.m;
            if (mVar != null) {
                mVar.b();
            }
            super.setVisibility(i2);
        }
    }

    public AbsActionBarView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f288d = new VisibilityAnimListener();
        TypedValue typedValue = new TypedValue();
        if (!context.getTheme().resolveAttribute(R$attr.actionBarPopupTheme, typedValue, true) || typedValue.resourceId == 0) {
            this.f289h = context;
        } else {
            this.f289h = new ContextThemeWrapper(context, typedValue.resourceId);
        }
    }
}
