package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.ActionMode;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import androidx.appcompat.R$id;
import androidx.appcompat.R$styleable;
import androidx.core.view.ViewCompat;
import b.b.f.a;
import com.shuyu.gsyvideoplayer.utils.NeuQuant;
import java.util.concurrent.atomic.AtomicInteger;
import org.dsq.library.widget.bigImage.SubsamplingScaleImageView;

public class ActionBarContainer extends FrameLayout {

    /* renamed from: d  reason: collision with root package name */
    public boolean f296d;

    /* renamed from: h  reason: collision with root package name */
    public View f297h;

    /* renamed from: j  reason: collision with root package name */
    public View f298j;

    /* renamed from: k  reason: collision with root package name */
    public View f299k;

    /* renamed from: l  reason: collision with root package name */
    public Drawable f300l;
    public Drawable m;
    public Drawable n;
    public boolean o;
    public boolean p;
    public int q;

    public ActionBarContainer(Context context) {
        this(context, null);
    }

    public final int a(View view) {
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) view.getLayoutParams();
        return view.getMeasuredHeight() + layoutParams.topMargin + layoutParams.bottomMargin;
    }

    public final boolean b(View view) {
        return view == null || view.getVisibility() == 8 || view.getMeasuredHeight() == 0;
    }

    public void drawableStateChanged() {
        super.drawableStateChanged();
        Drawable drawable = this.f300l;
        if (drawable != null && drawable.isStateful()) {
            this.f300l.setState(getDrawableState());
        }
        Drawable drawable2 = this.m;
        if (drawable2 != null && drawable2.isStateful()) {
            this.m.setState(getDrawableState());
        }
        Drawable drawable3 = this.n;
        if (drawable3 != null && drawable3.isStateful()) {
            this.n.setState(getDrawableState());
        }
    }

    public View getTabContainer() {
        return this.f297h;
    }

    public void jumpDrawablesToCurrentState() {
        super.jumpDrawablesToCurrentState();
        Drawable drawable = this.f300l;
        if (drawable != null) {
            drawable.jumpToCurrentState();
        }
        Drawable drawable2 = this.m;
        if (drawable2 != null) {
            drawable2.jumpToCurrentState();
        }
        Drawable drawable3 = this.n;
        if (drawable3 != null) {
            drawable3.jumpToCurrentState();
        }
    }

    public void onFinishInflate() {
        super.onFinishInflate();
        this.f298j = findViewById(R$id.action_bar);
        this.f299k = findViewById(R$id.action_context_bar);
    }

    public boolean onHoverEvent(MotionEvent motionEvent) {
        super.onHoverEvent(motionEvent);
        return true;
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        return this.f296d || super.onInterceptTouchEvent(motionEvent);
    }

    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        Drawable drawable;
        super.onLayout(z, i2, i3, i4, i5);
        View view = this.f297h;
        boolean z2 = true;
        boolean z3 = false;
        boolean z4 = (view == null || view.getVisibility() == 8) ? false : true;
        if (!(view == null || view.getVisibility() == 8)) {
            int measuredHeight = getMeasuredHeight();
            int i6 = ((FrameLayout.LayoutParams) view.getLayoutParams()).bottomMargin;
            view.layout(i2, (measuredHeight - view.getMeasuredHeight()) - i6, i4, measuredHeight - i6);
        }
        if (this.o) {
            Drawable drawable2 = this.n;
            if (drawable2 != null) {
                drawable2.setBounds(0, 0, getMeasuredWidth(), getMeasuredHeight());
            } else {
                z2 = false;
            }
        } else {
            if (this.f300l != null) {
                if (this.f298j.getVisibility() == 0) {
                    this.f300l.setBounds(this.f298j.getLeft(), this.f298j.getTop(), this.f298j.getRight(), this.f298j.getBottom());
                } else {
                    View view2 = this.f299k;
                    if (view2 == null || view2.getVisibility() != 0) {
                        this.f300l.setBounds(0, 0, 0, 0);
                    } else {
                        this.f300l.setBounds(this.f299k.getLeft(), this.f299k.getTop(), this.f299k.getRight(), this.f299k.getBottom());
                    }
                }
                z3 = true;
            }
            this.p = z4;
            if (!z4 || (drawable = this.m) == null) {
                z2 = z3;
            } else {
                drawable.setBounds(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
            }
        }
        if (z2) {
            invalidate();
        }
    }

    public void onMeasure(int i2, int i3) {
        int i4;
        int i5;
        if (this.f298j == null && View.MeasureSpec.getMode(i3) == Integer.MIN_VALUE && (i5 = this.q) >= 0) {
            i3 = View.MeasureSpec.makeMeasureSpec(Math.min(i5, View.MeasureSpec.getSize(i3)), Integer.MIN_VALUE);
        }
        super.onMeasure(i2, i3);
        if (this.f298j != null) {
            int mode = View.MeasureSpec.getMode(i3);
            View view = this.f297h;
            if (view != null && view.getVisibility() != 8 && mode != 1073741824) {
                if (!b(this.f298j)) {
                    i4 = a(this.f298j);
                } else {
                    i4 = !b(this.f299k) ? a(this.f299k) : 0;
                }
                setMeasuredDimension(getMeasuredWidth(), Math.min(a(this.f297h) + i4, mode == Integer.MIN_VALUE ? View.MeasureSpec.getSize(i3) : SubsamplingScaleImageView.TILE_SIZE_AUTO));
            }
        }
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        super.onTouchEvent(motionEvent);
        return true;
    }

    public void setPrimaryBackground(Drawable drawable) {
        Drawable drawable2 = this.f300l;
        if (drawable2 != null) {
            drawable2.setCallback(null);
            unscheduleDrawable(this.f300l);
        }
        this.f300l = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
            View view = this.f298j;
            if (view != null) {
                this.f300l.setBounds(view.getLeft(), this.f298j.getTop(), this.f298j.getRight(), this.f298j.getBottom());
            }
        }
        boolean z = true;
        if (!this.o ? !(this.f300l == null && this.m == null) : this.n != null) {
            z = false;
        }
        setWillNotDraw(z);
        invalidate();
        invalidateOutline();
    }

    public void setSplitBackground(Drawable drawable) {
        Drawable drawable2;
        Drawable drawable3 = this.n;
        if (drawable3 != null) {
            drawable3.setCallback(null);
            unscheduleDrawable(this.n);
        }
        this.n = drawable;
        boolean z = false;
        if (drawable != null) {
            drawable.setCallback(this);
            if (this.o && (drawable2 = this.n) != null) {
                drawable2.setBounds(0, 0, getMeasuredWidth(), getMeasuredHeight());
            }
        }
        if (!this.o ? this.f300l == null && this.m == null : this.n == null) {
            z = true;
        }
        setWillNotDraw(z);
        invalidate();
        invalidateOutline();
    }

    public void setStackedBackground(Drawable drawable) {
        Drawable drawable2;
        Drawable drawable3 = this.m;
        if (drawable3 != null) {
            drawable3.setCallback(null);
            unscheduleDrawable(this.m);
        }
        this.m = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
            if (this.p && (drawable2 = this.m) != null) {
                drawable2.setBounds(this.f297h.getLeft(), this.f297h.getTop(), this.f297h.getRight(), this.f297h.getBottom());
            }
        }
        boolean z = true;
        if (!this.o ? !(this.f300l == null && this.m == null) : this.n != null) {
            z = false;
        }
        setWillNotDraw(z);
        invalidate();
        invalidateOutline();
    }

    public void setTabContainer(ScrollingTabContainerView scrollingTabContainerView) {
        View view = this.f297h;
        if (view != null) {
            removeView(view);
        }
        this.f297h = scrollingTabContainerView;
        if (scrollingTabContainerView != null) {
            addView(scrollingTabContainerView);
            ViewGroup.LayoutParams layoutParams = scrollingTabContainerView.getLayoutParams();
            layoutParams.width = -1;
            layoutParams.height = -2;
            scrollingTabContainerView.setAllowCollapse(false);
        }
    }

    public void setTransitioning(boolean z) {
        this.f296d = z;
        setDescendantFocusability(z ? 393216 : NeuQuant.alpharadbias);
    }

    public void setVisibility(int i2) {
        super.setVisibility(i2);
        boolean z = i2 == 0;
        Drawable drawable = this.f300l;
        if (drawable != null) {
            drawable.setVisible(z, false);
        }
        Drawable drawable2 = this.m;
        if (drawable2 != null) {
            drawable2.setVisible(z, false);
        }
        Drawable drawable3 = this.n;
        if (drawable3 != null) {
            drawable3.setVisible(z, false);
        }
    }

    public ActionMode startActionModeForChild(View view, ActionMode.Callback callback) {
        return null;
    }

    public ActionMode startActionModeForChild(View view, ActionMode.Callback callback, int i2) {
        if (i2 != 0) {
            return super.startActionModeForChild(view, callback, i2);
        }
        return null;
    }

    public boolean verifyDrawable(Drawable drawable) {
        return (drawable == this.f300l && !this.o) || (drawable == this.m && this.p) || ((drawable == this.n && this.o) || super.verifyDrawable(drawable));
    }

    public ActionBarContainer(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        a aVar = new a(this);
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        setBackground(aVar);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.ActionBar);
        this.f300l = obtainStyledAttributes.getDrawable(R$styleable.ActionBar_background);
        this.m = obtainStyledAttributes.getDrawable(R$styleable.ActionBar_backgroundStacked);
        this.q = obtainStyledAttributes.getDimensionPixelSize(R$styleable.ActionBar_height, -1);
        boolean z = true;
        if (getId() == R$id.split_action_bar) {
            this.o = true;
            this.n = obtainStyledAttributes.getDrawable(R$styleable.ActionBar_backgroundSplit);
        }
        obtainStyledAttributes.recycle();
        if (!this.o ? !(this.f300l == null && this.m == null) : this.n != null) {
            z = false;
        }
        setWillNotDraw(z);
    }
}
