package androidx.appcompat.widget;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.Configuration;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.SparseArray;
import android.view.Menu;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewPropertyAnimator;
import android.view.Window;
import android.view.WindowInsets;
import android.widget.OverScroller;
import androidx.appcompat.R$attr;
import androidx.appcompat.R$id;
import androidx.appcompat.view.menu.MenuPresenter;
import androidx.core.view.NestedScrollingParent;
import androidx.core.view.NestedScrollingParent2;
import androidx.core.view.NestedScrollingParent3;
import androidx.core.view.ViewCompat;
import b.j.h.e;
import b.j.h.o;
import java.util.concurrent.atomic.AtomicInteger;
import org.dsq.library.widget.bigImage.SubsamplingScaleImageView;

@SuppressLint({"UnknownNullness"})
public class ActionBarOverlayLayout extends ViewGroup implements DecorContentParent, NestedScrollingParent, NestedScrollingParent2, NestedScrollingParent3 {

    /* renamed from: d  reason: collision with root package name */
    public static final int[] f302d = {R$attr.actionBarSize, 16842841};
    public final Rect A;
    public final Rect B;
    public o C;
    public o D;
    public o E;
    public o F;
    public ActionBarVisibilityCallback G;
    public OverScroller H;
    public ViewPropertyAnimator I;
    public final AnimatorListenerAdapter J;
    public final Runnable K;
    public final Runnable L;
    public final e M;

    /* renamed from: h  reason: collision with root package name */
    public int f303h;

    /* renamed from: j  reason: collision with root package name */
    public int f304j;

    /* renamed from: k  reason: collision with root package name */
    public ContentFrameLayout f305k;

    /* renamed from: l  reason: collision with root package name */
    public ActionBarContainer f306l;
    public DecorToolbar m;
    public Drawable n;
    public boolean o;
    public boolean p;
    public boolean q;
    public boolean r;
    public boolean s;
    public int t;
    public int u;
    public final Rect v;
    public final Rect w;
    public final Rect x;
    public final Rect y;
    public final Rect z;

    public interface ActionBarVisibilityCallback {
        void enableContentAnimations(boolean z);

        void hideForSystem();

        void onContentScrollStarted();

        void onContentScrollStopped();

        void onWindowVisibilityChanged(int i2);

        void showForSystem();
    }

    public class a extends AnimatorListenerAdapter {
        public a() {
        }

        public void onAnimationCancel(Animator animator) {
            ActionBarOverlayLayout actionBarOverlayLayout = ActionBarOverlayLayout.this;
            actionBarOverlayLayout.I = null;
            actionBarOverlayLayout.s = false;
        }

        public void onAnimationEnd(Animator animator) {
            ActionBarOverlayLayout actionBarOverlayLayout = ActionBarOverlayLayout.this;
            actionBarOverlayLayout.I = null;
            actionBarOverlayLayout.s = false;
        }
    }

    public class b implements Runnable {
        public b() {
        }

        public void run() {
            ActionBarOverlayLayout.this.b();
            ActionBarOverlayLayout actionBarOverlayLayout = ActionBarOverlayLayout.this;
            actionBarOverlayLayout.I = actionBarOverlayLayout.f306l.animate().translationY(0.0f).setListener(ActionBarOverlayLayout.this.J);
        }
    }

    public class c implements Runnable {
        public c() {
        }

        public void run() {
            ActionBarOverlayLayout.this.b();
            ActionBarOverlayLayout actionBarOverlayLayout = ActionBarOverlayLayout.this;
            actionBarOverlayLayout.I = actionBarOverlayLayout.f306l.animate().translationY((float) (-ActionBarOverlayLayout.this.f306l.getHeight())).setListener(ActionBarOverlayLayout.this.J);
        }
    }

    public static class d extends ViewGroup.MarginLayoutParams {
        public d(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        public d(int i2, int i3) {
            super(i2, i3);
        }

        public d(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }
    }

    public ActionBarOverlayLayout(Context context) {
        this(context, null);
    }

    public final boolean a(View view, Rect rect, boolean z2, boolean z3, boolean z4, boolean z5) {
        boolean z6;
        int i2;
        int i3;
        int i4;
        int i5;
        d dVar = (d) view.getLayoutParams();
        if (!z2 || ((ViewGroup.MarginLayoutParams) dVar).leftMargin == (i5 = rect.left)) {
            z6 = false;
        } else {
            ((ViewGroup.MarginLayoutParams) dVar).leftMargin = i5;
            z6 = true;
        }
        if (z3 && ((ViewGroup.MarginLayoutParams) dVar).topMargin != (i4 = rect.top)) {
            ((ViewGroup.MarginLayoutParams) dVar).topMargin = i4;
            z6 = true;
        }
        if (z5 && ((ViewGroup.MarginLayoutParams) dVar).rightMargin != (i3 = rect.right)) {
            ((ViewGroup.MarginLayoutParams) dVar).rightMargin = i3;
            z6 = true;
        }
        if (!z4 || ((ViewGroup.MarginLayoutParams) dVar).bottomMargin == (i2 = rect.bottom)) {
            return z6;
        }
        ((ViewGroup.MarginLayoutParams) dVar).bottomMargin = i2;
        return true;
    }

    public void b() {
        removeCallbacks(this.K);
        removeCallbacks(this.L);
        ViewPropertyAnimator viewPropertyAnimator = this.I;
        if (viewPropertyAnimator != null) {
            viewPropertyAnimator.cancel();
        }
    }

    public final void c(Context context) {
        TypedArray obtainStyledAttributes = getContext().getTheme().obtainStyledAttributes(f302d);
        boolean z2 = false;
        this.f303h = obtainStyledAttributes.getDimensionPixelSize(0, 0);
        Drawable drawable = obtainStyledAttributes.getDrawable(1);
        this.n = drawable;
        setWillNotDraw(drawable == null);
        obtainStyledAttributes.recycle();
        if (context.getApplicationInfo().targetSdkVersion < 19) {
            z2 = true;
        }
        this.o = z2;
        this.H = new OverScroller(context);
    }

    @Override // androidx.appcompat.widget.DecorContentParent
    public boolean canShowOverflowMenu() {
        d();
        return this.m.canShowOverflowMenu();
    }

    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return layoutParams instanceof d;
    }

    public void d() {
        DecorToolbar decorToolbar;
        if (this.f305k == null) {
            this.f305k = (ContentFrameLayout) findViewById(R$id.action_bar_activity_content);
            this.f306l = (ActionBarContainer) findViewById(R$id.action_bar_container);
            View findViewById = findViewById(R$id.action_bar);
            if (findViewById instanceof DecorToolbar) {
                decorToolbar = (DecorToolbar) findViewById;
            } else if (findViewById instanceof Toolbar) {
                decorToolbar = ((Toolbar) findViewById).getWrapper();
            } else {
                StringBuilder B2 = d.a.a.a.a.B("Can't make a decor toolbar out of ");
                B2.append(findViewById.getClass().getSimpleName());
                throw new IllegalStateException(B2.toString());
            }
            this.m = decorToolbar;
        }
    }

    @Override // androidx.appcompat.widget.DecorContentParent
    public void dismissPopups() {
        d();
        this.m.dismissPopupMenus();
    }

    public void draw(Canvas canvas) {
        int i2;
        super.draw(canvas);
        if (this.n != null && !this.o) {
            if (this.f306l.getVisibility() == 0) {
                i2 = (int) (this.f306l.getTranslationY() + ((float) this.f306l.getBottom()) + 0.5f);
            } else {
                i2 = 0;
            }
            this.n.setBounds(0, i2, getWidth(), this.n.getIntrinsicHeight() + i2);
            this.n.draw(canvas);
        }
    }

    public boolean fitSystemWindows(Rect rect) {
        return super.fitSystemWindows(rect);
    }

    public ViewGroup.LayoutParams generateDefaultLayoutParams() {
        return new d(-1, -1);
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new d(getContext(), attributeSet);
    }

    public int getActionBarHideOffset() {
        ActionBarContainer actionBarContainer = this.f306l;
        if (actionBarContainer != null) {
            return -((int) actionBarContainer.getTranslationY());
        }
        return 0;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public int getNestedScrollAxes() {
        return this.M.a();
    }

    @Override // androidx.appcompat.widget.DecorContentParent
    public CharSequence getTitle() {
        d();
        return this.m.getTitle();
    }

    @Override // androidx.appcompat.widget.DecorContentParent
    public boolean hasIcon() {
        d();
        return this.m.hasIcon();
    }

    @Override // androidx.appcompat.widget.DecorContentParent
    public boolean hasLogo() {
        d();
        return this.m.hasLogo();
    }

    @Override // androidx.appcompat.widget.DecorContentParent
    public boolean hideOverflowMenu() {
        d();
        return this.m.hideOverflowMenu();
    }

    @Override // androidx.appcompat.widget.DecorContentParent
    public void initFeature(int i2) {
        d();
        if (i2 == 2) {
            this.m.initProgress();
        } else if (i2 == 5) {
            this.m.initIndeterminateProgress();
        } else if (i2 == 109) {
            setOverlayMode(true);
        }
    }

    @Override // androidx.appcompat.widget.DecorContentParent
    public boolean isOverflowMenuShowPending() {
        d();
        return this.m.isOverflowMenuShowPending();
    }

    @Override // androidx.appcompat.widget.DecorContentParent
    public boolean isOverflowMenuShowing() {
        d();
        return this.m.isOverflowMenuShowing();
    }

    public WindowInsets onApplyWindowInsets(WindowInsets windowInsets) {
        d();
        o k2 = o.k(windowInsets, this);
        boolean a2 = a(this.f306l, new Rect(k2.c(), k2.e(), k2.d(), k2.b()), true, true, false, true);
        Rect rect = this.v;
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        ViewCompat.c.b(this, k2, rect);
        Rect rect2 = this.v;
        o i2 = k2.f3424b.i(rect2.left, rect2.top, rect2.right, rect2.bottom);
        this.C = i2;
        boolean z2 = true;
        if (!this.D.equals(i2)) {
            this.D = this.C;
            a2 = true;
        }
        if (!this.w.equals(this.v)) {
            this.w.set(this.v);
        } else {
            z2 = a2;
        }
        if (z2) {
            requestLayout();
        }
        return k2.f3424b.a().a().f3424b.b().i();
    }

    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        c(getContext());
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        requestApplyInsets();
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        b();
    }

    public void onLayout(boolean z2, int i2, int i3, int i4, int i5) {
        int childCount = getChildCount();
        int paddingLeft = getPaddingLeft();
        int paddingTop = getPaddingTop();
        for (int i6 = 0; i6 < childCount; i6++) {
            View childAt = getChildAt(i6);
            if (childAt.getVisibility() != 8) {
                d dVar = (d) childAt.getLayoutParams();
                int measuredWidth = childAt.getMeasuredWidth();
                int measuredHeight = childAt.getMeasuredHeight();
                int i7 = ((ViewGroup.MarginLayoutParams) dVar).leftMargin + paddingLeft;
                int i8 = ((ViewGroup.MarginLayoutParams) dVar).topMargin + paddingTop;
                childAt.layout(i7, i8, measuredWidth + i7, measuredHeight + i8);
            }
        }
    }

    public void onMeasure(int i2, int i3) {
        int i4;
        o.e eVar;
        d();
        measureChildWithMargins(this.f306l, i2, 0, i3, 0);
        d dVar = (d) this.f306l.getLayoutParams();
        int max = Math.max(0, this.f306l.getMeasuredWidth() + ((ViewGroup.MarginLayoutParams) dVar).leftMargin + ((ViewGroup.MarginLayoutParams) dVar).rightMargin);
        int max2 = Math.max(0, this.f306l.getMeasuredHeight() + ((ViewGroup.MarginLayoutParams) dVar).topMargin + ((ViewGroup.MarginLayoutParams) dVar).bottomMargin);
        int combineMeasuredStates = View.combineMeasuredStates(0, this.f306l.getMeasuredState());
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        boolean z2 = (getWindowSystemUiVisibility() & 256) != 0;
        if (z2) {
            i4 = this.f303h;
            if (this.q && this.f306l.getTabContainer() != null) {
                i4 += this.f303h;
            }
        } else {
            i4 = this.f306l.getVisibility() != 8 ? this.f306l.getMeasuredHeight() : 0;
        }
        this.x.set(this.v);
        o oVar = this.C;
        this.E = oVar;
        if (this.p || z2) {
            b.j.c.b a2 = b.j.c.b.a(oVar.c(), this.E.e() + i4, this.E.d(), this.E.b() + 0);
            o oVar2 = this.E;
            int i5 = Build.VERSION.SDK_INT;
            if (i5 >= 30) {
                eVar = new o.d(oVar2);
            } else if (i5 >= 29) {
                eVar = new o.c(oVar2);
            } else {
                eVar = new o.b(oVar2);
            }
            eVar.d(a2);
            this.E = eVar.b();
        } else {
            Rect rect = this.x;
            rect.top += i4;
            rect.bottom += 0;
            this.E = oVar.f3424b.i(0, i4, 0, 0);
        }
        a(this.f305k, this.x, true, true, true, true);
        if (!this.F.equals(this.E)) {
            o oVar3 = this.E;
            this.F = oVar3;
            ViewCompat.e(this.f305k, oVar3);
        }
        measureChildWithMargins(this.f305k, i2, 0, i3, 0);
        d dVar2 = (d) this.f305k.getLayoutParams();
        int max3 = Math.max(max, this.f305k.getMeasuredWidth() + ((ViewGroup.MarginLayoutParams) dVar2).leftMargin + ((ViewGroup.MarginLayoutParams) dVar2).rightMargin);
        int max4 = Math.max(max2, this.f305k.getMeasuredHeight() + ((ViewGroup.MarginLayoutParams) dVar2).topMargin + ((ViewGroup.MarginLayoutParams) dVar2).bottomMargin);
        int combineMeasuredStates2 = View.combineMeasuredStates(combineMeasuredStates, this.f305k.getMeasuredState());
        setMeasuredDimension(View.resolveSizeAndState(Math.max(getPaddingRight() + getPaddingLeft() + max3, getSuggestedMinimumWidth()), i2, combineMeasuredStates2), View.resolveSizeAndState(Math.max(getPaddingBottom() + getPaddingTop() + max4, getSuggestedMinimumHeight()), i3, combineMeasuredStates2 << 16));
    }

    @Override // androidx.core.view.NestedScrollingParent
    public boolean onNestedFling(View view, float f2, float f3, boolean z2) {
        boolean z3 = false;
        if (!this.r || !z2) {
            return false;
        }
        this.H.fling(0, 0, 0, (int) f3, 0, 0, Integer.MIN_VALUE, SubsamplingScaleImageView.TILE_SIZE_AUTO);
        if (this.H.getFinalY() > this.f306l.getHeight()) {
            z3 = true;
        }
        if (z3) {
            b();
            this.L.run();
        } else {
            b();
            this.K.run();
        }
        this.s = true;
        return true;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public boolean onNestedPreFling(View view, float f2, float f3) {
        return false;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onNestedPreScroll(View view, int i2, int i3, int[] iArr) {
    }

    @Override // androidx.core.view.NestedScrollingParent2
    public void onNestedPreScroll(View view, int i2, int i3, int[] iArr, int i4) {
        if (i4 == 0) {
            onNestedPreScroll(view, i2, i3, iArr);
        }
    }

    @Override // androidx.core.view.NestedScrollingParent3
    public void onNestedScroll(View view, int i2, int i3, int i4, int i5, int i6, int[] iArr) {
        onNestedScroll(view, i2, i3, i4, i5, i6);
    }

    @Override // androidx.core.view.NestedScrollingParent2
    public void onNestedScrollAccepted(View view, View view2, int i2, int i3) {
        if (i3 == 0) {
            onNestedScrollAccepted(view, view2, i2);
        }
    }

    @Override // androidx.core.view.NestedScrollingParent2
    public boolean onStartNestedScroll(View view, View view2, int i2, int i3) {
        return i3 == 0 && onStartNestedScroll(view, view2, i2);
    }

    @Override // androidx.core.view.NestedScrollingParent2
    public void onStopNestedScroll(View view, int i2) {
        if (i2 == 0) {
            onStopNestedScroll(view);
        }
    }

    @Deprecated
    public void onWindowSystemUiVisibilityChanged(int i2) {
        super.onWindowSystemUiVisibilityChanged(i2);
        d();
        int i3 = this.u ^ i2;
        this.u = i2;
        boolean z2 = false;
        boolean z3 = (i2 & 4) == 0;
        if ((i2 & 256) != 0) {
            z2 = true;
        }
        ActionBarVisibilityCallback actionBarVisibilityCallback = this.G;
        if (actionBarVisibilityCallback != null) {
            actionBarVisibilityCallback.enableContentAnimations(!z2);
            if (z3 || !z2) {
                this.G.showForSystem();
            } else {
                this.G.hideForSystem();
            }
        }
        if ((i3 & 256) != 0 && this.G != null) {
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            requestApplyInsets();
        }
    }

    public void onWindowVisibilityChanged(int i2) {
        super.onWindowVisibilityChanged(i2);
        this.f304j = i2;
        ActionBarVisibilityCallback actionBarVisibilityCallback = this.G;
        if (actionBarVisibilityCallback != null) {
            actionBarVisibilityCallback.onWindowVisibilityChanged(i2);
        }
    }

    @Override // androidx.appcompat.widget.DecorContentParent
    public void restoreToolbarHierarchyState(SparseArray<Parcelable> sparseArray) {
        d();
        this.m.restoreHierarchyState(sparseArray);
    }

    @Override // androidx.appcompat.widget.DecorContentParent
    public void saveToolbarHierarchyState(SparseArray<Parcelable> sparseArray) {
        d();
        this.m.saveHierarchyState(sparseArray);
    }

    public void setActionBarHideOffset(int i2) {
        b();
        this.f306l.setTranslationY((float) (-Math.max(0, Math.min(i2, this.f306l.getHeight()))));
    }

    public void setActionBarVisibilityCallback(ActionBarVisibilityCallback actionBarVisibilityCallback) {
        this.G = actionBarVisibilityCallback;
        if (getWindowToken() != null) {
            this.G.onWindowVisibilityChanged(this.f304j);
            int i2 = this.u;
            if (i2 != 0) {
                onWindowSystemUiVisibilityChanged(i2);
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                requestApplyInsets();
            }
        }
    }

    public void setHasNonEmbeddedTabs(boolean z2) {
        this.q = z2;
    }

    public void setHideOnContentScrollEnabled(boolean z2) {
        if (z2 != this.r) {
            this.r = z2;
            if (!z2) {
                b();
                setActionBarHideOffset(0);
            }
        }
    }

    @Override // androidx.appcompat.widget.DecorContentParent
    public void setIcon(int i2) {
        d();
        this.m.setIcon(i2);
    }

    @Override // androidx.appcompat.widget.DecorContentParent
    public void setLogo(int i2) {
        d();
        this.m.setLogo(i2);
    }

    @Override // androidx.appcompat.widget.DecorContentParent
    public void setMenu(Menu menu, MenuPresenter.Callback callback) {
        d();
        this.m.setMenu(menu, callback);
    }

    @Override // androidx.appcompat.widget.DecorContentParent
    public void setMenuPrepared() {
        d();
        this.m.setMenuPrepared();
    }

    public void setOverlayMode(boolean z2) {
        this.p = z2;
        this.o = z2 && getContext().getApplicationInfo().targetSdkVersion < 19;
    }

    public void setShowingForActionMode(boolean z2) {
    }

    @Override // androidx.appcompat.widget.DecorContentParent
    public void setUiOptions(int i2) {
    }

    @Override // androidx.appcompat.widget.DecorContentParent
    public void setWindowCallback(Window.Callback callback) {
        d();
        this.m.setWindowCallback(callback);
    }

    @Override // androidx.appcompat.widget.DecorContentParent
    public void setWindowTitle(CharSequence charSequence) {
        d();
        this.m.setWindowTitle(charSequence);
    }

    public boolean shouldDelayChildPressedState() {
        return false;
    }

    @Override // androidx.appcompat.widget.DecorContentParent
    public boolean showOverflowMenu() {
        d();
        return this.m.showOverflowMenu();
    }

    public ActionBarOverlayLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f304j = 0;
        this.v = new Rect();
        this.w = new Rect();
        this.x = new Rect();
        this.y = new Rect();
        this.z = new Rect();
        this.A = new Rect();
        this.B = new Rect();
        o oVar = o.f3423a;
        this.C = oVar;
        this.D = oVar;
        this.E = oVar;
        this.F = oVar;
        this.J = new a();
        this.K = new b();
        this.L = new c();
        c(context);
        this.M = new e();
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return new d(layoutParams);
    }

    @Override // androidx.core.view.NestedScrollingParent2
    public void onNestedScroll(View view, int i2, int i3, int i4, int i5, int i6) {
        if (i6 == 0) {
            onNestedScroll(view, i2, i3, i4, i5);
        }
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onNestedScrollAccepted(View view, View view2, int i2) {
        this.M.f3410a = i2;
        this.t = getActionBarHideOffset();
        b();
        ActionBarVisibilityCallback actionBarVisibilityCallback = this.G;
        if (actionBarVisibilityCallback != null) {
            actionBarVisibilityCallback.onContentScrollStarted();
        }
    }

    @Override // androidx.core.view.NestedScrollingParent
    public boolean onStartNestedScroll(View view, View view2, int i2) {
        if ((i2 & 2) == 0 || this.f306l.getVisibility() != 0) {
            return false;
        }
        return this.r;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onStopNestedScroll(View view) {
        if (this.r && !this.s) {
            if (this.t <= this.f306l.getHeight()) {
                b();
                postDelayed(this.K, 600);
            } else {
                b();
                postDelayed(this.L, 600);
            }
        }
        ActionBarVisibilityCallback actionBarVisibilityCallback = this.G;
        if (actionBarVisibilityCallback != null) {
            actionBarVisibilityCallback.onContentScrollStopped();
        }
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onNestedScroll(View view, int i2, int i3, int i4, int i5) {
        int i6 = this.t + i3;
        this.t = i6;
        setActionBarHideOffset(i6);
    }

    @Override // androidx.appcompat.widget.DecorContentParent
    public void setIcon(Drawable drawable) {
        d();
        this.m.setIcon(drawable);
    }
}
