package androidx.appcompat.widget;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.content.pm.ResolveInfo;
import android.database.DataSetObservable;
import android.os.AsyncTask;
import android.text.TextUtils;
import android.util.Log;
import android.util.Xml;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
import org.xmlpull.v1.XmlSerializer;

public class ActivityChooserModel extends DataSetObservable {

    /* renamed from: a  reason: collision with root package name */
    public static final String f322a = ActivityChooserModel.class.getSimpleName();

    /* renamed from: b  reason: collision with root package name */
    public static final Object f323b = new Object();

    /* renamed from: c  reason: collision with root package name */
    public static final Map<String, ActivityChooserModel> f324c = new HashMap();

    /* renamed from: d  reason: collision with root package name */
    public final Object f325d = new Object();

    /* renamed from: e  reason: collision with root package name */
    public final List<a> f326e = new ArrayList();

    /* renamed from: f  reason: collision with root package name */
    public final List<c> f327f = new ArrayList();

    /* renamed from: g  reason: collision with root package name */
    public final Context f328g;

    /* renamed from: h  reason: collision with root package name */
    public final String f329h;

    /* renamed from: i  reason: collision with root package name */
    public ActivitySorter f330i = new b();

    /* renamed from: j  reason: collision with root package name */
    public int f331j = 50;

    /* renamed from: k  reason: collision with root package name */
    public boolean f332k = true;

    /* renamed from: l  reason: collision with root package name */
    public boolean f333l = false;
    public boolean m = true;

    public interface ActivityChooserModelClient {
        void setActivityChooserModel(ActivityChooserModel activityChooserModel);
    }

    public interface ActivitySorter {
        void sort(Intent intent, List<a> list, List<c> list2);
    }

    public interface OnChooseActivityListener {
        boolean onChooseActivity(ActivityChooserModel activityChooserModel, Intent intent);
    }

    public static final class a implements Comparable<a> {

        /* renamed from: d  reason: collision with root package name */
        public final ResolveInfo f334d;

        /* renamed from: h  reason: collision with root package name */
        public float f335h;

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // java.lang.Comparable
        public int compareTo(a aVar) {
            return Float.floatToIntBits(aVar.f335h) - Float.floatToIntBits(this.f335h);
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            return obj != null && a.class == obj.getClass() && Float.floatToIntBits(this.f335h) == Float.floatToIntBits(((a) obj).f335h);
        }

        public int hashCode() {
            return Float.floatToIntBits(this.f335h) + 31;
        }

        public String toString() {
            StringBuilder F = d.a.a.a.a.F("[", "resolveInfo:");
            F.append(this.f334d.toString());
            F.append("; weight:");
            F.append(new BigDecimal((double) this.f335h));
            F.append("]");
            return F.toString();
        }
    }

    public static final class b implements ActivitySorter {

        /* renamed from: a  reason: collision with root package name */
        public final Map<ComponentName, a> f336a = new HashMap();

        @Override // androidx.appcompat.widget.ActivityChooserModel.ActivitySorter
        public void sort(Intent intent, List<a> list, List<c> list2) {
            Map<ComponentName, a> map = this.f336a;
            map.clear();
            int size = list.size();
            for (int i2 = 0; i2 < size; i2++) {
                a aVar = list.get(i2);
                aVar.f335h = 0.0f;
                ActivityInfo activityInfo = aVar.f334d.activityInfo;
                map.put(new ComponentName(activityInfo.packageName, activityInfo.name), aVar);
            }
            float f2 = 1.0f;
            for (int size2 = list2.size() - 1; size2 >= 0; size2--) {
                c cVar = list2.get(size2);
                a aVar2 = map.get(cVar.f337a);
                if (aVar2 != null) {
                    aVar2.f335h = (cVar.f339c * f2) + aVar2.f335h;
                    f2 *= 0.95f;
                }
            }
            Collections.sort(list);
        }
    }

    public static final class c {

        /* renamed from: a  reason: collision with root package name */
        public final ComponentName f337a;

        /* renamed from: b  reason: collision with root package name */
        public final long f338b;

        /* renamed from: c  reason: collision with root package name */
        public final float f339c;

        public c(ComponentName componentName, long j2, float f2) {
            this.f337a = componentName;
            this.f338b = j2;
            this.f339c = f2;
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || c.class != obj.getClass()) {
                return false;
            }
            c cVar = (c) obj;
            ComponentName componentName = this.f337a;
            if (componentName == null) {
                if (cVar.f337a != null) {
                    return false;
                }
            } else if (!componentName.equals(cVar.f337a)) {
                return false;
            }
            return this.f338b == cVar.f338b && Float.floatToIntBits(this.f339c) == Float.floatToIntBits(cVar.f339c);
        }

        public int hashCode() {
            ComponentName componentName = this.f337a;
            int hashCode = componentName == null ? 0 : componentName.hashCode();
            long j2 = this.f338b;
            return Float.floatToIntBits(this.f339c) + ((((hashCode + 31) * 31) + ((int) (j2 ^ (j2 >>> 32)))) * 31);
        }

        public String toString() {
            StringBuilder F = d.a.a.a.a.F("[", "; activity:");
            F.append(this.f337a);
            F.append("; time:");
            F.append(this.f338b);
            F.append("; weight:");
            F.append(new BigDecimal((double) this.f339c));
            F.append("]");
            return F.toString();
        }
    }

    public final class d extends AsyncTask<Object, Void, Void> {
        public d() {
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX WARNING: Code restructure failed: missing block: B:10:0x006b, code lost:
            if (r15 != null) goto L_0x00cf;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:16:0x008d, code lost:
            if (r15 == null) goto L_0x00f2;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:19:0x00ad, code lost:
            if (r15 == null) goto L_0x00f2;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:22:0x00cd, code lost:
            if (r15 == null) goto L_0x00f2;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:24:?, code lost:
            r15.close();
         */
        @Override // android.os.AsyncTask
        public Void doInBackground(Object[] objArr) {
            List list = (List) objArr[0];
            String str = (String) objArr[1];
            try {
                FileOutputStream openFileOutput = ActivityChooserModel.this.f328g.openFileOutput(str, 0);
                XmlSerializer newSerializer = Xml.newSerializer();
                try {
                    newSerializer.setOutput(openFileOutput, null);
                    newSerializer.startDocument("UTF-8", Boolean.TRUE);
                    newSerializer.startTag(null, "historical-records");
                    int size = list.size();
                    for (int i2 = 0; i2 < size; i2++) {
                        c cVar = (c) list.remove(0);
                        newSerializer.startTag(null, "historical-record");
                        newSerializer.attribute(null, "activity", cVar.f337a.flattenToString());
                        newSerializer.attribute(null, "time", String.valueOf(cVar.f338b));
                        newSerializer.attribute(null, "weight", String.valueOf(cVar.f339c));
                        newSerializer.endTag(null, "historical-record");
                    }
                    newSerializer.endTag(null, "historical-records");
                    newSerializer.endDocument();
                    ActivityChooserModel.this.f332k = true;
                } catch (IllegalArgumentException e2) {
                    String str2 = ActivityChooserModel.f322a;
                    Log.e(str2, "Error writing historical record file: " + ActivityChooserModel.this.f329h, e2);
                    ActivityChooserModel.this.f332k = true;
                } catch (IllegalStateException e3) {
                    String str3 = ActivityChooserModel.f322a;
                    Log.e(str3, "Error writing historical record file: " + ActivityChooserModel.this.f329h, e3);
                    ActivityChooserModel.this.f332k = true;
                } catch (IOException e4) {
                    String str4 = ActivityChooserModel.f322a;
                    Log.e(str4, "Error writing historical record file: " + ActivityChooserModel.this.f329h, e4);
                    ActivityChooserModel.this.f332k = true;
                } catch (Throwable th) {
                    ActivityChooserModel.this.f332k = true;
                    if (openFileOutput != null) {
                        try {
                            openFileOutput.close();
                        } catch (IOException unused) {
                        }
                    }
                    throw th;
                }
            } catch (FileNotFoundException e5) {
                String str5 = ActivityChooserModel.f322a;
                Log.e(str5, "Error writing historical record file: " + str, e5);
            }
            return null;
        }
    }

    public ActivityChooserModel(Context context, String str) {
        this.f328g = context.getApplicationContext();
        if (TextUtils.isEmpty(str) || str.endsWith(".xml")) {
            this.f329h = str;
        } else {
            this.f329h = d.a.a.a.a.s(str, ".xml");
        }
    }

    public static ActivityChooserModel c(Context context, String str) {
        ActivityChooserModel activityChooserModel;
        synchronized (f323b) {
            Map<String, ActivityChooserModel> map = f324c;
            activityChooserModel = map.get(null);
            if (activityChooserModel == null) {
                activityChooserModel = new ActivityChooserModel(null, null);
                map.put(null, activityChooserModel);
            }
        }
        return activityChooserModel;
    }

    public final boolean a(c cVar) {
        boolean add = this.f327f.add(cVar);
        if (add) {
            this.m = true;
            g();
            if (this.f333l) {
                if (this.m) {
                    this.m = false;
                    if (!TextUtils.isEmpty(this.f329h)) {
                        new d().executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new ArrayList(this.f327f), this.f329h);
                    }
                }
                notifyChanged();
            } else {
                throw new IllegalStateException("No preceding call to #readHistoricalData");
            }
        }
        return add;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:42:0x00cd, code lost:
        if (r3 == null) goto L_0x00dc;
     */
    public final void b() {
        boolean z;
        if (!this.f332k || !this.m || TextUtils.isEmpty(this.f329h)) {
            z = false;
        } else {
            this.f332k = false;
            z = true;
            this.f333l = true;
            try {
                FileInputStream openFileInput = this.f328g.openFileInput(this.f329h);
                try {
                    XmlPullParser newPullParser = Xml.newPullParser();
                    newPullParser.setInput(openFileInput, "UTF-8");
                    int i2 = 0;
                    while (i2 != 1 && i2 != 2) {
                        i2 = newPullParser.next();
                    }
                    if ("historical-records".equals(newPullParser.getName())) {
                        List<c> list = this.f327f;
                        list.clear();
                        while (true) {
                            int next = newPullParser.next();
                            if (next == 1) {
                                if (openFileInput != null) {
                                }
                            } else if (next != 3) {
                                if (next != 4) {
                                    if ("historical-record".equals(newPullParser.getName())) {
                                        String attributeValue = newPullParser.getAttributeValue(null, "activity");
                                        list.add(new c(ComponentName.unflattenFromString(attributeValue), Long.parseLong(newPullParser.getAttributeValue(null, "time")), Float.parseFloat(newPullParser.getAttributeValue(null, "weight"))));
                                    } else {
                                        throw new XmlPullParserException("Share records file not well-formed.");
                                    }
                                }
                            }
                        }
                    } else {
                        throw new XmlPullParserException("Share records file does not start with historical-records tag.");
                    }
                } catch (XmlPullParserException e2) {
                    String str = f322a;
                    Log.e(str, "Error reading historical recrod file: " + this.f329h, e2);
                } catch (IOException e3) {
                    String str2 = f322a;
                    Log.e(str2, "Error reading historical recrod file: " + this.f329h, e3);
                    if (openFileInput != null) {
                        openFileInput.close();
                    }
                } catch (Throwable th) {
                    if (openFileInput != null) {
                        try {
                            openFileInput.close();
                        } catch (IOException unused) {
                        }
                    }
                    throw th;
                }
            } catch (FileNotFoundException unused2) {
            }
        }
        boolean z2 = z | false;
        g();
        if (z2) {
            notifyChanged();
        }
    }

    public ResolveInfo d(int i2) {
        ResolveInfo resolveInfo;
        synchronized (this.f325d) {
            b();
            resolveInfo = this.f326e.get(i2).f334d;
        }
        return resolveInfo;
    }

    public int e() {
        int size;
        synchronized (this.f325d) {
            b();
            size = this.f326e.size();
        }
        return size;
    }

    public ResolveInfo f() {
        synchronized (this.f325d) {
            b();
            if (this.f326e.isEmpty()) {
                return null;
            }
            return this.f326e.get(0).f334d;
        }
    }

    public final void g() {
        int size = this.f327f.size() - this.f331j;
        if (size > 0) {
            this.m = true;
            for (int i2 = 0; i2 < size; i2++) {
                this.f327f.remove(0);
            }
        }
    }
}
