package androidx.appcompat.widget;

import android.content.ComponentName;
import android.content.Context;
import android.content.pm.ActivityInfo;
import android.content.pm.PackageManager;
import android.content.pm.ResolveInfo;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.database.DataSetObserver;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.AdapterView;
import android.widget.BaseAdapter;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.PopupWindow;
import android.widget.TextView;
import androidx.appcompat.R$attr;
import androidx.appcompat.R$dimen;
import androidx.appcompat.R$id;
import androidx.appcompat.R$layout;
import androidx.appcompat.R$string;
import androidx.appcompat.R$styleable;
import androidx.appcompat.view.menu.ShowableListMenu;
import androidx.appcompat.widget.ActivityChooserModel;
import androidx.core.view.ActionProvider;
import androidx.core.view.ViewCompat;
import b.b.f.q;
import java.util.List;
import org.dsq.library.widget.bigImage.SubsamplingScaleImageView;

public class ActivityChooserView extends ViewGroup implements ActivityChooserModel.ActivityChooserModelClient {

    /* renamed from: d  reason: collision with root package name */
    public final f f341d;

    /* renamed from: h  reason: collision with root package name */
    public final g f342h;

    /* renamed from: j  reason: collision with root package name */
    public final View f343j;

    /* renamed from: k  reason: collision with root package name */
    public final Drawable f344k;

    /* renamed from: l  reason: collision with root package name */
    public final FrameLayout f345l;
    public final ImageView m;
    public final FrameLayout n;
    public final ImageView o;
    public final int p;
    public ActionProvider q;
    public final DataSetObserver r;
    public final ViewTreeObserver.OnGlobalLayoutListener s;
    public ListPopupWindow t;
    public PopupWindow.OnDismissListener u;
    public boolean v;
    public int w;
    public boolean x;
    public int y;

    public static class InnerLayout extends LinearLayout {

        /* renamed from: d  reason: collision with root package name */
        public static final int[] f346d = {16842964};

        public InnerLayout(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            Drawable drawable;
            int resourceId;
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, f346d);
            if (!obtainStyledAttributes.hasValue(0) || (resourceId = obtainStyledAttributes.getResourceId(0, 0)) == 0) {
                drawable = obtainStyledAttributes.getDrawable(0);
            } else {
                drawable = b.b.b.a.a.b(context, resourceId);
            }
            setBackgroundDrawable(drawable);
            obtainStyledAttributes.recycle();
        }
    }

    public class a extends DataSetObserver {
        public a() {
        }

        public void onChanged() {
            super.onChanged();
            ActivityChooserView.this.f341d.notifyDataSetChanged();
        }

        public void onInvalidated() {
            super.onInvalidated();
            ActivityChooserView.this.f341d.notifyDataSetInvalidated();
        }
    }

    public class b implements ViewTreeObserver.OnGlobalLayoutListener {
        public b() {
        }

        public void onGlobalLayout() {
            if (!ActivityChooserView.this.b()) {
                return;
            }
            if (!ActivityChooserView.this.isShown()) {
                ActivityChooserView.this.getListPopupWindow().dismiss();
                return;
            }
            ActivityChooserView.this.getListPopupWindow().show();
            ActionProvider actionProvider = ActivityChooserView.this.q;
            if (actionProvider != null) {
                actionProvider.i(true);
            }
        }
    }

    public class c extends View.AccessibilityDelegate {
        public c(ActivityChooserView activityChooserView) {
        }

        public void onInitializeAccessibilityNodeInfo(View view, AccessibilityNodeInfo accessibilityNodeInfo) {
            super.onInitializeAccessibilityNodeInfo(view, accessibilityNodeInfo);
            accessibilityNodeInfo.setCanOpenPopup(true);
        }
    }

    public class d extends q {
        public d(View view) {
            super(view);
        }

        @Override // b.b.f.q
        public ShowableListMenu b() {
            return ActivityChooserView.this.getListPopupWindow();
        }

        @Override // b.b.f.q
        public boolean c() {
            ActivityChooserView.this.c();
            return true;
        }

        @Override // b.b.f.q
        public boolean d() {
            ActivityChooserView.this.a();
            return true;
        }
    }

    public class e extends DataSetObserver {
        public e() {
        }

        public void onChanged() {
            int size;
            super.onChanged();
            ActivityChooserView activityChooserView = ActivityChooserView.this;
            if (activityChooserView.f341d.getCount() > 0) {
                activityChooserView.f345l.setEnabled(true);
            } else {
                activityChooserView.f345l.setEnabled(false);
            }
            int e2 = activityChooserView.f341d.f350d.e();
            ActivityChooserModel activityChooserModel = activityChooserView.f341d.f350d;
            synchronized (activityChooserModel.f325d) {
                activityChooserModel.b();
                size = activityChooserModel.f327f.size();
            }
            if (e2 == 1 || (e2 > 1 && size > 0)) {
                activityChooserView.n.setVisibility(0);
                ResolveInfo f2 = activityChooserView.f341d.f350d.f();
                PackageManager packageManager = activityChooserView.getContext().getPackageManager();
                activityChooserView.o.setImageDrawable(f2.loadIcon(packageManager));
                if (activityChooserView.y != 0) {
                    CharSequence loadLabel = f2.loadLabel(packageManager);
                    activityChooserView.n.setContentDescription(activityChooserView.getContext().getString(activityChooserView.y, loadLabel));
                }
            } else {
                activityChooserView.n.setVisibility(8);
            }
            if (activityChooserView.n.getVisibility() == 0) {
                activityChooserView.f343j.setBackgroundDrawable(activityChooserView.f344k);
            } else {
                activityChooserView.f343j.setBackgroundDrawable(null);
            }
        }
    }

    public class f extends BaseAdapter {

        /* renamed from: d  reason: collision with root package name */
        public ActivityChooserModel f350d;

        /* renamed from: h  reason: collision with root package name */
        public int f351h = 4;

        /* renamed from: j  reason: collision with root package name */
        public boolean f352j;

        /* renamed from: k  reason: collision with root package name */
        public boolean f353k;

        /* renamed from: l  reason: collision with root package name */
        public boolean f354l;

        public f() {
        }

        public int getCount() {
            int e2 = this.f350d.e();
            if (!this.f352j && this.f350d.f() != null) {
                e2--;
            }
            int min = Math.min(e2, this.f351h);
            return this.f354l ? min + 1 : min;
        }

        public Object getItem(int i2) {
            int itemViewType = getItemViewType(i2);
            if (itemViewType == 0) {
                if (!this.f352j && this.f350d.f() != null) {
                    i2++;
                }
                return this.f350d.d(i2);
            } else if (itemViewType == 1) {
                return null;
            } else {
                throw new IllegalArgumentException();
            }
        }

        public long getItemId(int i2) {
            return (long) i2;
        }

        public int getItemViewType(int i2) {
            return (!this.f354l || i2 != getCount() - 1) ? 0 : 1;
        }

        public View getView(int i2, View view, ViewGroup viewGroup) {
            int itemViewType = getItemViewType(i2);
            if (itemViewType == 0) {
                if (view == null || view.getId() != R$id.list_item) {
                    view = LayoutInflater.from(ActivityChooserView.this.getContext()).inflate(R$layout.abc_activity_chooser_view_list_item, viewGroup, false);
                }
                PackageManager packageManager = ActivityChooserView.this.getContext().getPackageManager();
                ResolveInfo resolveInfo = (ResolveInfo) getItem(i2);
                ((ImageView) view.findViewById(R$id.icon)).setImageDrawable(resolveInfo.loadIcon(packageManager));
                ((TextView) view.findViewById(R$id.title)).setText(resolveInfo.loadLabel(packageManager));
                if (!this.f352j || i2 != 0 || !this.f353k) {
                    view.setActivated(false);
                } else {
                    view.setActivated(true);
                }
                return view;
            } else if (itemViewType != 1) {
                throw new IllegalArgumentException();
            } else if (view != null && view.getId() == 1) {
                return view;
            } else {
                View inflate = LayoutInflater.from(ActivityChooserView.this.getContext()).inflate(R$layout.abc_activity_chooser_view_list_item, viewGroup, false);
                inflate.setId(1);
                ((TextView) inflate.findViewById(R$id.title)).setText(ActivityChooserView.this.getContext().getString(R$string.abc_activity_chooser_view_see_all));
                return inflate;
            }
        }

        public int getViewTypeCount() {
            return 3;
        }
    }

    public class g implements AdapterView.OnItemClickListener, View.OnClickListener, View.OnLongClickListener, PopupWindow.OnDismissListener {
        public g() {
        }

        public void onClick(View view) {
            ActivityChooserView activityChooserView = ActivityChooserView.this;
            int i2 = 0;
            if (view == activityChooserView.n) {
                activityChooserView.a();
                ResolveInfo f2 = ActivityChooserView.this.f341d.f350d.f();
                ActivityChooserModel activityChooserModel = ActivityChooserView.this.f341d.f350d;
                synchronized (activityChooserModel.f325d) {
                    activityChooserModel.b();
                    List<ActivityChooserModel.a> list = activityChooserModel.f326e;
                    int size = list.size();
                    while (true) {
                        if (i2 >= size) {
                            break;
                        } else if (list.get(i2).f334d == f2) {
                            break;
                        } else {
                            i2++;
                        }
                    }
                }
                synchronized (ActivityChooserView.this.f341d.f350d.f325d) {
                }
            } else if (view == activityChooserView.f345l) {
                activityChooserView.v = false;
                activityChooserView.d(activityChooserView.w);
            } else {
                throw new IllegalArgumentException();
            }
        }

        public void onDismiss() {
            PopupWindow.OnDismissListener onDismissListener = ActivityChooserView.this.u;
            if (onDismissListener != null) {
                onDismissListener.onDismiss();
            }
            ActionProvider actionProvider = ActivityChooserView.this.q;
            if (actionProvider != null) {
                actionProvider.i(false);
            }
        }

        @Override // android.widget.AdapterView.OnItemClickListener
        public void onItemClick(AdapterView<?> adapterView, View view, int i2, long j2) {
            int itemViewType = ((f) adapterView.getAdapter()).getItemViewType(i2);
            if (itemViewType == 0) {
                ActivityChooserView.this.a();
                ActivityChooserView activityChooserView = ActivityChooserView.this;
                if (!activityChooserView.v) {
                    f fVar = activityChooserView.f341d;
                    boolean z = fVar.f352j;
                    synchronized (fVar.f350d.f325d) {
                    }
                } else if (i2 > 0) {
                    ActivityChooserModel activityChooserModel = activityChooserView.f341d.f350d;
                    synchronized (activityChooserModel.f325d) {
                        activityChooserModel.b();
                        ActivityChooserModel.a aVar = activityChooserModel.f326e.get(i2);
                        ActivityChooserModel.a aVar2 = activityChooserModel.f326e.get(0);
                        float f2 = aVar2 != null ? (aVar2.f335h - aVar.f335h) + 5.0f : 1.0f;
                        ActivityInfo activityInfo = aVar.f334d.activityInfo;
                        activityChooserModel.a(new ActivityChooserModel.c(new ComponentName(activityInfo.packageName, activityInfo.name), System.currentTimeMillis(), f2));
                    }
                }
            } else if (itemViewType == 1) {
                ActivityChooserView.this.d(SubsamplingScaleImageView.TILE_SIZE_AUTO);
            } else {
                throw new IllegalArgumentException();
            }
        }

        public boolean onLongClick(View view) {
            ActivityChooserView activityChooserView = ActivityChooserView.this;
            if (view == activityChooserView.n) {
                if (activityChooserView.f341d.getCount() > 0) {
                    ActivityChooserView activityChooserView2 = ActivityChooserView.this;
                    activityChooserView2.v = true;
                    activityChooserView2.d(activityChooserView2.w);
                }
                return true;
            }
            throw new IllegalArgumentException();
        }
    }

    public ActivityChooserView(Context context) {
        this(context, null);
    }

    public boolean a() {
        if (!b()) {
            return true;
        }
        getListPopupWindow().dismiss();
        ViewTreeObserver viewTreeObserver = getViewTreeObserver();
        if (!viewTreeObserver.isAlive()) {
            return true;
        }
        viewTreeObserver.removeGlobalOnLayoutListener(this.s);
        return true;
    }

    public boolean b() {
        return getListPopupWindow().isShowing();
    }

    public boolean c() {
        if (b() || !this.x) {
            return false;
        }
        this.v = false;
        d(this.w);
        return true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:24:0x0065  */
    /* JADX WARNING: Removed duplicated region for block: B:48:? A[RETURN, SYNTHETIC] */
    public void d(int i2) {
        ListPopupWindow listPopupWindow;
        if (this.f341d.f350d != null) {
            getViewTreeObserver().addOnGlobalLayoutListener(this.s);
            boolean z = this.n.getVisibility() == 0;
            int e2 = this.f341d.f350d.e();
            if (i2 != Integer.MAX_VALUE) {
                int i3 = z ? 1 : 0;
                int i4 = z ? 1 : 0;
                int i5 = z ? 1 : 0;
                if (e2 > i2 + i3) {
                    f fVar = this.f341d;
                    if (!fVar.f354l) {
                        fVar.f354l = true;
                        fVar.notifyDataSetChanged();
                    }
                    f fVar2 = this.f341d;
                    int i6 = i2 - 1;
                    if (fVar2.f351h != i6) {
                        fVar2.f351h = i6;
                        fVar2.notifyDataSetChanged();
                    }
                    listPopupWindow = getListPopupWindow();
                    if (listPopupWindow.isShowing()) {
                        if (this.v || !z) {
                            f fVar3 = this.f341d;
                            if (!(fVar3.f352j && fVar3.f353k == z)) {
                                fVar3.f352j = true;
                                fVar3.f353k = z;
                                fVar3.notifyDataSetChanged();
                            }
                        } else {
                            f fVar4 = this.f341d;
                            if (fVar4.f352j || fVar4.f353k) {
                                fVar4.f352j = false;
                                fVar4.f353k = false;
                                fVar4.notifyDataSetChanged();
                            }
                        }
                        f fVar5 = this.f341d;
                        int i7 = fVar5.f351h;
                        fVar5.f351h = SubsamplingScaleImageView.TILE_SIZE_AUTO;
                        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(0, 0);
                        int makeMeasureSpec2 = View.MeasureSpec.makeMeasureSpec(0, 0);
                        int count = fVar5.getCount();
                        View view = null;
                        int i8 = 0;
                        for (int i9 = 0; i9 < count; i9++) {
                            view = fVar5.getView(i9, view, null);
                            view.measure(makeMeasureSpec, makeMeasureSpec2);
                            i8 = Math.max(i8, view.getMeasuredWidth());
                        }
                        fVar5.f351h = i7;
                        listPopupWindow.b(Math.min(i8, this.p));
                        listPopupWindow.show();
                        ActionProvider actionProvider = this.q;
                        if (actionProvider != null) {
                            actionProvider.i(true);
                        }
                        listPopupWindow.getListView().setContentDescription(getContext().getString(R$string.abc_activitychooserview_choose_application));
                        listPopupWindow.getListView().setSelector(new ColorDrawable(0));
                        return;
                    }
                    return;
                }
            }
            f fVar6 = this.f341d;
            if (fVar6.f354l) {
                fVar6.f354l = false;
                fVar6.notifyDataSetChanged();
            }
            f fVar7 = this.f341d;
            if (fVar7.f351h != i2) {
                fVar7.f351h = i2;
                fVar7.notifyDataSetChanged();
            }
            listPopupWindow = getListPopupWindow();
            if (listPopupWindow.isShowing()) {
            }
        } else {
            throw new IllegalStateException("No data model. Did you call #setDataModel?");
        }
    }

    public ActivityChooserModel getDataModel() {
        return this.f341d.f350d;
    }

    public ListPopupWindow getListPopupWindow() {
        if (this.t == null) {
            ListPopupWindow listPopupWindow = new ListPopupWindow(getContext(), null, R$attr.listPopupWindowStyle);
            this.t = listPopupWindow;
            listPopupWindow.setAdapter(this.f341d);
            ListPopupWindow listPopupWindow2 = this.t;
            listPopupWindow2.z = this;
            listPopupWindow2.c(true);
            ListPopupWindow listPopupWindow3 = this.t;
            g gVar = this.f342h;
            listPopupWindow3.A = gVar;
            listPopupWindow3.J.setOnDismissListener(gVar);
        }
        return this.t;
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        ActivityChooserModel activityChooserModel = this.f341d.f350d;
        if (activityChooserModel != null) {
            activityChooserModel.registerObserver(this.r);
        }
        this.x = true;
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        ActivityChooserModel activityChooserModel = this.f341d.f350d;
        if (activityChooserModel != null) {
            activityChooserModel.unregisterObserver(this.r);
        }
        ViewTreeObserver viewTreeObserver = getViewTreeObserver();
        if (viewTreeObserver.isAlive()) {
            viewTreeObserver.removeGlobalOnLayoutListener(this.s);
        }
        if (b()) {
            a();
        }
        this.x = false;
    }

    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        this.f343j.layout(0, 0, i4 - i2, i5 - i3);
        if (!b()) {
            a();
        }
    }

    public void onMeasure(int i2, int i3) {
        View view = this.f343j;
        if (this.n.getVisibility() != 0) {
            i3 = View.MeasureSpec.makeMeasureSpec(View.MeasureSpec.getSize(i3), 1073741824);
        }
        measureChild(view, i2, i3);
        setMeasuredDimension(view.getMeasuredWidth(), view.getMeasuredHeight());
    }

    @Override // androidx.appcompat.widget.ActivityChooserModel.ActivityChooserModelClient
    public void setActivityChooserModel(ActivityChooserModel activityChooserModel) {
        f fVar = this.f341d;
        ActivityChooserView activityChooserView = ActivityChooserView.this;
        ActivityChooserModel activityChooserModel2 = activityChooserView.f341d.f350d;
        if (activityChooserModel2 != null && activityChooserView.isShown()) {
            activityChooserModel2.unregisterObserver(ActivityChooserView.this.r);
        }
        fVar.f350d = activityChooserModel;
        if (activityChooserModel != null && ActivityChooserView.this.isShown()) {
            activityChooserModel.registerObserver(ActivityChooserView.this.r);
        }
        fVar.notifyDataSetChanged();
        if (b()) {
            a();
            c();
        }
    }

    public void setDefaultActionButtonContentDescription(int i2) {
        this.y = i2;
    }

    public void setExpandActivityOverflowButtonContentDescription(int i2) {
        this.m.setContentDescription(getContext().getString(i2));
    }

    public void setExpandActivityOverflowButtonDrawable(Drawable drawable) {
        this.m.setImageDrawable(drawable);
    }

    public void setInitialActivityCount(int i2) {
        this.w = i2;
    }

    public void setOnDismissListener(PopupWindow.OnDismissListener onDismissListener) {
        this.u = onDismissListener;
    }

    public void setProvider(ActionProvider actionProvider) {
        this.q = actionProvider;
    }

    public ActivityChooserView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public ActivityChooserView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.r = new a();
        this.s = new b();
        this.w = 4;
        int[] iArr = R$styleable.ActivityChooserView;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, iArr, i2, 0);
        ViewCompat.t(this, context, iArr, attributeSet, obtainStyledAttributes, i2, 0);
        this.w = obtainStyledAttributes.getInt(R$styleable.ActivityChooserView_initialActivityCount, 4);
        Drawable drawable = obtainStyledAttributes.getDrawable(R$styleable.ActivityChooserView_expandActivityOverflowButtonDrawable);
        obtainStyledAttributes.recycle();
        LayoutInflater.from(getContext()).inflate(R$layout.abc_activity_chooser_view, (ViewGroup) this, true);
        g gVar = new g();
        this.f342h = gVar;
        View findViewById = findViewById(R$id.activity_chooser_view_content);
        this.f343j = findViewById;
        this.f344k = findViewById.getBackground();
        FrameLayout frameLayout = (FrameLayout) findViewById(R$id.default_activity_button);
        this.n = frameLayout;
        frameLayout.setOnClickListener(gVar);
        frameLayout.setOnLongClickListener(gVar);
        int i3 = R$id.image;
        this.o = (ImageView) frameLayout.findViewById(i3);
        FrameLayout frameLayout2 = (FrameLayout) findViewById(R$id.expand_activities_button);
        frameLayout2.setOnClickListener(gVar);
        frameLayout2.setAccessibilityDelegate(new c(this));
        frameLayout2.setOnTouchListener(new d(frameLayout2));
        this.f345l = frameLayout2;
        ImageView imageView = (ImageView) frameLayout2.findViewById(i3);
        this.m = imageView;
        imageView.setImageDrawable(drawable);
        f fVar = new f();
        this.f341d = fVar;
        fVar.registerDataSetObserver(new e());
        Resources resources = context.getResources();
        this.p = Math.max(resources.getDisplayMetrics().widthPixels / 2, resources.getDimensionPixelSize(R$dimen.abc_config_prefDialogWidth));
    }
}
