package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.Gravity;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.LinearLayout;
import androidx.appcompat.R$styleable;
import androidx.core.view.ViewCompat;
import b.b.f.e0;
import java.util.concurrent.atomic.AtomicInteger;

public class LinearLayoutCompat extends ViewGroup {

    /* renamed from: d  reason: collision with root package name */
    public boolean f400d;

    /* renamed from: h  reason: collision with root package name */
    public int f401h;

    /* renamed from: j  reason: collision with root package name */
    public int f402j;

    /* renamed from: k  reason: collision with root package name */
    public int f403k;

    /* renamed from: l  reason: collision with root package name */
    public int f404l;
    public int m;
    public float n;
    public boolean o;
    public int[] p;
    public int[] q;
    public Drawable r;
    public int s;
    public int t;
    public int u;
    public int v;

    public static class a extends LinearLayout.LayoutParams {
        public a(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        public a(int i2, int i3) {
            super(i2, i3);
        }

        public a(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }
    }

    public LinearLayoutCompat(Context context) {
        this(context, null);
    }

    public void a(Canvas canvas, int i2) {
        this.r.setBounds(getPaddingLeft() + this.v, i2, (getWidth() - getPaddingRight()) - this.v, this.t + i2);
        this.r.draw(canvas);
    }

    public void b(Canvas canvas, int i2) {
        this.r.setBounds(i2, getPaddingTop() + this.v, this.s + i2, (getHeight() - getPaddingBottom()) - this.v);
        this.r.draw(canvas);
    }

    /* renamed from: c */
    public a generateDefaultLayoutParams() {
        int i2 = this.f403k;
        if (i2 == 0) {
            return new a(-2, -2);
        }
        if (i2 == 1) {
            return new a(-1, -2);
        }
        return null;
    }

    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return layoutParams instanceof a;
    }

    /* renamed from: d */
    public a generateLayoutParams(AttributeSet attributeSet) {
        return new a(getContext(), attributeSet);
    }

    /* renamed from: e */
    public a generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return new a(layoutParams);
    }

    public int f() {
        return 0;
    }

    public int g() {
        return 0;
    }

    public int getBaseline() {
        int i2;
        if (this.f401h < 0) {
            return super.getBaseline();
        }
        int childCount = getChildCount();
        int i3 = this.f401h;
        if (childCount > i3) {
            View childAt = getChildAt(i3);
            int baseline = childAt.getBaseline();
            if (baseline != -1) {
                int i4 = this.f402j;
                if (this.f403k == 1 && (i2 = this.f404l & 112) != 48) {
                    if (i2 == 16) {
                        i4 += ((((getBottom() - getTop()) - getPaddingTop()) - getPaddingBottom()) - this.m) / 2;
                    } else if (i2 == 80) {
                        i4 = ((getBottom() - getTop()) - getPaddingBottom()) - this.m;
                    }
                }
                return i4 + ((LinearLayout.LayoutParams) ((a) childAt.getLayoutParams())).topMargin + baseline;
            } else if (this.f401h == 0) {
                return -1;
            } else {
                throw new RuntimeException("mBaselineAlignedChildIndex of LinearLayout points to a View that doesn't know how to get its baseline.");
            }
        } else {
            throw new RuntimeException("mBaselineAlignedChildIndex of LinearLayout set to an index that is out of bounds.");
        }
    }

    public int getBaselineAlignedChildIndex() {
        return this.f401h;
    }

    public Drawable getDividerDrawable() {
        return this.r;
    }

    public int getDividerPadding() {
        return this.v;
    }

    public int getDividerWidth() {
        return this.s;
    }

    public int getGravity() {
        return this.f404l;
    }

    public int getOrientation() {
        return this.f403k;
    }

    public int getShowDividers() {
        return this.u;
    }

    public int getVirtualChildCount() {
        return getChildCount();
    }

    public float getWeightSum() {
        return this.n;
    }

    public int h() {
        return 0;
    }

    public boolean i(int i2) {
        if (i2 == 0) {
            return (this.u & 1) != 0;
        }
        if (i2 == getChildCount()) {
            if ((this.u & 4) != 0) {
                return true;
            }
            return false;
        } else if ((this.u & 2) == 0) {
            return false;
        } else {
            for (int i3 = i2 - 1; i3 >= 0; i3--) {
                if (getChildAt(i3).getVisibility() != 8) {
                    return true;
                }
            }
            return false;
        }
    }

    public void j(View view, int i2, int i3, int i4, int i5) {
        measureChildWithMargins(view, i2, i3, i4, i5);
    }

    public int k() {
        return 0;
    }

    public void onDraw(Canvas canvas) {
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        if (this.r != null) {
            int i7 = 0;
            if (this.f403k == 1) {
                int virtualChildCount = getVirtualChildCount();
                while (i7 < virtualChildCount) {
                    View childAt = getChildAt(i7);
                    if (!(childAt == null || childAt.getVisibility() == 8 || !i(i7))) {
                        a(canvas, (childAt.getTop() - ((LinearLayout.LayoutParams) ((a) childAt.getLayoutParams())).topMargin) - this.t);
                    }
                    i7++;
                }
                if (i(virtualChildCount)) {
                    View childAt2 = getChildAt(virtualChildCount - 1);
                    if (childAt2 == null) {
                        i6 = (getHeight() - getPaddingBottom()) - this.t;
                    } else {
                        i6 = childAt2.getBottom() + ((LinearLayout.LayoutParams) ((a) childAt2.getLayoutParams())).bottomMargin;
                    }
                    a(canvas, i6);
                    return;
                }
                return;
            }
            int virtualChildCount2 = getVirtualChildCount();
            boolean b2 = e0.b(this);
            while (i7 < virtualChildCount2) {
                View childAt3 = getChildAt(i7);
                if (!(childAt3 == null || childAt3.getVisibility() == 8 || !i(i7))) {
                    a aVar = (a) childAt3.getLayoutParams();
                    if (b2) {
                        i5 = childAt3.getRight() + ((LinearLayout.LayoutParams) aVar).rightMargin;
                    } else {
                        i5 = (childAt3.getLeft() - ((LinearLayout.LayoutParams) aVar).leftMargin) - this.s;
                    }
                    b(canvas, i5);
                }
                i7++;
            }
            if (i(virtualChildCount2)) {
                View childAt4 = getChildAt(virtualChildCount2 - 1);
                if (childAt4 != null) {
                    a aVar2 = (a) childAt4.getLayoutParams();
                    if (b2) {
                        i4 = childAt4.getLeft() - ((LinearLayout.LayoutParams) aVar2).leftMargin;
                        i3 = this.s;
                    } else {
                        i2 = childAt4.getRight() + ((LinearLayout.LayoutParams) aVar2).rightMargin;
                        b(canvas, i2);
                    }
                } else if (b2) {
                    i2 = getPaddingLeft();
                    b(canvas, i2);
                } else {
                    i4 = getWidth() - getPaddingRight();
                    i3 = this.s;
                }
                i2 = i4 - i3;
                b(canvas, i2);
            }
        }
    }

    public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        super.onInitializeAccessibilityEvent(accessibilityEvent);
        accessibilityEvent.setClassName("androidx.appcompat.widget.LinearLayoutCompat");
    }

    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        accessibilityNodeInfo.setClassName("androidx.appcompat.widget.LinearLayoutCompat");
    }

    /* JADX WARNING: Removed duplicated region for block: B:27:0x009f  */
    /* JADX WARNING: Removed duplicated region for block: B:56:0x0169  */
    /* JADX WARNING: Removed duplicated region for block: B:59:0x0173  */
    /* JADX WARNING: Removed duplicated region for block: B:71:0x019e  */
    /* JADX WARNING: Removed duplicated region for block: B:74:0x01b0  */
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        int i12;
        int i13;
        boolean z2;
        int i14;
        int i15;
        int i16;
        int i17;
        int i18;
        int i19;
        int i20;
        int i21;
        int i22;
        int i23 = 8;
        int i24 = 5;
        if (this.f403k == 1) {
            int paddingLeft = getPaddingLeft();
            int i25 = i4 - i2;
            int paddingRight = i25 - getPaddingRight();
            int paddingRight2 = (i25 - paddingLeft) - getPaddingRight();
            int virtualChildCount = getVirtualChildCount();
            int i26 = this.f404l;
            int i27 = i26 & 112;
            int i28 = 8388615 & i26;
            if (i27 == 16) {
                i18 = getPaddingTop() + (((i5 - i3) - this.m) / 2);
            } else if (i27 != 80) {
                i18 = getPaddingTop();
            } else {
                i18 = ((getPaddingTop() + i5) - i3) - this.m;
            }
            int i29 = 0;
            while (i29 < virtualChildCount) {
                View childAt = getChildAt(i29);
                if (childAt == null) {
                    i19 = k() + i18;
                } else if (childAt.getVisibility() != i23) {
                    int measuredWidth = childAt.getMeasuredWidth();
                    int measuredHeight = childAt.getMeasuredHeight();
                    a aVar = (a) childAt.getLayoutParams();
                    int i30 = ((LinearLayout.LayoutParams) aVar).gravity;
                    if (i30 < 0) {
                        i30 = i28;
                    }
                    AtomicInteger atomicInteger = ViewCompat.f1365a;
                    int absoluteGravity = Gravity.getAbsoluteGravity(i30, getLayoutDirection()) & 7;
                    if (absoluteGravity == 1) {
                        i22 = ((paddingRight2 - measuredWidth) / 2) + paddingLeft + ((LinearLayout.LayoutParams) aVar).leftMargin;
                        i21 = ((LinearLayout.LayoutParams) aVar).rightMargin;
                    } else if (absoluteGravity != i24) {
                        i20 = ((LinearLayout.LayoutParams) aVar).leftMargin + paddingLeft;
                        if (i(i29)) {
                            i18 += this.t;
                        }
                        int i31 = i18 + ((LinearLayout.LayoutParams) aVar).topMargin;
                        int g2 = g() + i31;
                        childAt.layout(i20, g2, measuredWidth + i20, measuredHeight + g2);
                        i19 = h() + measuredHeight + ((LinearLayout.LayoutParams) aVar).bottomMargin + i31;
                        i29 = f() + i29;
                    } else {
                        i22 = paddingRight - measuredWidth;
                        i21 = ((LinearLayout.LayoutParams) aVar).rightMargin;
                    }
                    i20 = i22 - i21;
                    if (i(i29)) {
                    }
                    int i312 = i18 + ((LinearLayout.LayoutParams) aVar).topMargin;
                    int g22 = g() + i312;
                    childAt.layout(i20, g22, measuredWidth + i20, measuredHeight + g22);
                    i19 = h() + measuredHeight + ((LinearLayout.LayoutParams) aVar).bottomMargin + i312;
                    i29 = f() + i29;
                } else {
                    i29++;
                    i23 = 8;
                    i24 = 5;
                }
                i18 = i19;
                i29++;
                i23 = 8;
                i24 = 5;
            }
            return;
        }
        boolean b2 = e0.b(this);
        int paddingTop = getPaddingTop();
        int i32 = i5 - i3;
        int paddingBottom = i32 - getPaddingBottom();
        int paddingBottom2 = (i32 - paddingTop) - getPaddingBottom();
        int virtualChildCount2 = getVirtualChildCount();
        int i33 = this.f404l;
        int i34 = 8388615 & i33;
        int i35 = i33 & 112;
        boolean z3 = this.f400d;
        int[] iArr = this.p;
        int[] iArr2 = this.q;
        AtomicInteger atomicInteger2 = ViewCompat.f1365a;
        int absoluteGravity2 = Gravity.getAbsoluteGravity(i34, getLayoutDirection());
        if (absoluteGravity2 == 1) {
            i6 = getPaddingLeft() + (((i4 - i2) - this.m) / 2);
        } else if (absoluteGravity2 != 5) {
            i6 = getPaddingLeft();
        } else {
            i6 = ((getPaddingLeft() + i4) - i2) - this.m;
        }
        if (b2) {
            i9 = virtualChildCount2 - 1;
            i8 = 0;
            i7 = -1;
        } else {
            i8 = 0;
            i7 = 1;
            i9 = 0;
        }
        while (i8 < virtualChildCount2) {
            int i36 = (i7 * i8) + i9;
            View childAt2 = getChildAt(i36);
            if (childAt2 == null) {
                i6 += k();
                i13 = i9;
            } else {
                i13 = i9;
                if (childAt2.getVisibility() != 8) {
                    int measuredWidth2 = childAt2.getMeasuredWidth();
                    int measuredHeight2 = childAt2.getMeasuredHeight();
                    i11 = virtualChildCount2;
                    a aVar2 = (a) childAt2.getLayoutParams();
                    if (z3) {
                        i10 = i35;
                        z2 = z3;
                        if (((LinearLayout.LayoutParams) aVar2).height != -1) {
                            i14 = childAt2.getBaseline();
                            i15 = ((LinearLayout.LayoutParams) aVar2).gravity;
                            if (i15 < 0) {
                                i15 = i10;
                            }
                            i16 = i15 & 112;
                            i12 = i7;
                            if (i16 != 16) {
                                i17 = ((((paddingBottom2 - measuredHeight2) / 2) + paddingTop) + ((LinearLayout.LayoutParams) aVar2).topMargin) - ((LinearLayout.LayoutParams) aVar2).bottomMargin;
                            } else if (i16 == 48) {
                                int i37 = ((LinearLayout.LayoutParams) aVar2).topMargin + paddingTop;
                                i17 = i14 != -1 ? (iArr[1] - i14) + i37 : i37;
                            } else if (i16 != 80) {
                                i17 = paddingTop;
                            } else {
                                i17 = (paddingBottom - measuredHeight2) - ((LinearLayout.LayoutParams) aVar2).bottomMargin;
                                if (i14 != -1) {
                                    i17 -= iArr2[2] - (childAt2.getMeasuredHeight() - i14);
                                }
                            }
                            if (i(i36)) {
                                i6 += this.s;
                            }
                            int i38 = i6 + ((LinearLayout.LayoutParams) aVar2).leftMargin;
                            int g3 = g() + i38;
                            childAt2.layout(g3, i17, measuredWidth2 + g3, measuredHeight2 + i17);
                            int i39 = measuredWidth2 + ((LinearLayout.LayoutParams) aVar2).rightMargin;
                            i8 += f();
                            i6 = h() + i39 + i38;
                            i8++;
                            i9 = i13;
                            i7 = i12;
                            virtualChildCount2 = i11;
                            i35 = i10;
                            z3 = z2;
                        }
                    } else {
                        i10 = i35;
                        z2 = z3;
                    }
                    i14 = -1;
                    i15 = ((LinearLayout.LayoutParams) aVar2).gravity;
                    if (i15 < 0) {
                    }
                    i16 = i15 & 112;
                    i12 = i7;
                    if (i16 != 16) {
                    }
                    if (i(i36)) {
                    }
                    int i382 = i6 + ((LinearLayout.LayoutParams) aVar2).leftMargin;
                    int g32 = g() + i382;
                    childAt2.layout(g32, i17, measuredWidth2 + g32, measuredHeight2 + i17);
                    int i392 = measuredWidth2 + ((LinearLayout.LayoutParams) aVar2).rightMargin;
                    i8 += f();
                    i6 = h() + i392 + i382;
                    i8++;
                    i9 = i13;
                    i7 = i12;
                    virtualChildCount2 = i11;
                    i35 = i10;
                    z3 = z2;
                }
            }
            i11 = virtualChildCount2;
            i10 = i35;
            z2 = z3;
            i12 = i7;
            i8++;
            i9 = i13;
            i7 = i12;
            virtualChildCount2 = i11;
            i35 = i10;
            z3 = z2;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:142:0x0310  */
    /* JADX WARNING: Removed duplicated region for block: B:208:0x04b9  */
    /* JADX WARNING: Removed duplicated region for block: B:209:0x04be  */
    /* JADX WARNING: Removed duplicated region for block: B:212:0x04e6  */
    /* JADX WARNING: Removed duplicated region for block: B:213:0x04eb  */
    /* JADX WARNING: Removed duplicated region for block: B:216:0x04f3  */
    /* JADX WARNING: Removed duplicated region for block: B:217:0x0504  */
    /* JADX WARNING: Removed duplicated region for block: B:219:0x051b  */
    /* JADX WARNING: Removed duplicated region for block: B:243:0x0588  */
    /* JADX WARNING: Removed duplicated region for block: B:246:0x0593  */
    /* JADX WARNING: Removed duplicated region for block: B:274:0x062e  */
    /* JADX WARNING: Removed duplicated region for block: B:308:0x06f8  */
    /* JADX WARNING: Removed duplicated region for block: B:311:0x0715  */
    /* JADX WARNING: Removed duplicated region for block: B:378:0x08ca  */
    /* JADX WARNING: Removed duplicated region for block: B:428:? A[RETURN, SYNTHETIC] */
    public void onMeasure(int i2, int i3) {
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        float f2;
        int i9;
        char c2;
        int i10;
        int i11;
        int i12;
        float f3;
        int i13;
        int i14;
        boolean z;
        int baseline;
        int i15;
        int i16;
        char c3;
        boolean z2;
        boolean z3;
        int i17;
        int i18;
        int i19;
        int i20;
        int i21;
        boolean z4;
        a aVar;
        int i22;
        boolean z5;
        int i23;
        int i24;
        int baseline2;
        int i25;
        float f4;
        int i26;
        int i27;
        int i28;
        int i29;
        boolean z6;
        int i30;
        int i31;
        int i32;
        int i33;
        int i34;
        int i35;
        int i36;
        a aVar2;
        boolean z7;
        boolean z8;
        int i37;
        int i38;
        int i39 = -2;
        int i40 = Integer.MIN_VALUE;
        int i41 = 8;
        float f5 = 0.0f;
        int i42 = 1073741824;
        if (this.f403k == 1) {
            this.m = 0;
            int virtualChildCount = getVirtualChildCount();
            int mode = View.MeasureSpec.getMode(i2);
            int mode2 = View.MeasureSpec.getMode(i3);
            int i43 = this.f401h;
            boolean z9 = this.o;
            int i44 = 0;
            int i45 = 0;
            int i46 = 0;
            int i47 = 0;
            int i48 = 0;
            float f6 = 0.0f;
            boolean z10 = false;
            int i49 = 0;
            boolean z11 = true;
            boolean z12 = false;
            while (i44 < virtualChildCount) {
                View childAt = getChildAt(i44);
                if (childAt == null) {
                    this.m = k() + this.m;
                } else if (childAt.getVisibility() == i41) {
                    i44 += f();
                } else {
                    if (i(i44)) {
                        this.m += this.t;
                    }
                    a aVar3 = (a) childAt.getLayoutParams();
                    float f7 = ((LinearLayout.LayoutParams) aVar3).weight;
                    f6 += f7;
                    if (mode2 == i42 && ((LinearLayout.LayoutParams) aVar3).height == 0 && f7 > f5) {
                        int i50 = this.m;
                        this.m = Math.max(i50, ((LinearLayout.LayoutParams) aVar3).topMargin + i50 + ((LinearLayout.LayoutParams) aVar3).bottomMargin);
                        i33 = i43;
                        i32 = mode2;
                        i36 = mode;
                        i31 = virtualChildCount;
                        aVar2 = aVar3;
                        z7 = true;
                    } else {
                        if (((LinearLayout.LayoutParams) aVar3).height != 0 || f7 <= f5) {
                            i37 = Integer.MIN_VALUE;
                        } else {
                            ((LinearLayout.LayoutParams) aVar3).height = i39;
                            i37 = 0;
                        }
                        if (f6 == f5) {
                            i38 = this.m;
                            i33 = i43;
                        } else {
                            i33 = i43;
                            i38 = 0;
                        }
                        i32 = mode2;
                        i36 = mode;
                        i31 = virtualChildCount;
                        aVar2 = aVar3;
                        j(childAt, i2, 0, i3, i38);
                        if (i37 != i40) {
                            ((LinearLayout.LayoutParams) aVar2).height = i37;
                        }
                        int measuredHeight = childAt.getMeasuredHeight();
                        int i51 = this.m;
                        this.m = Math.max(i51, h() + i51 + measuredHeight + ((LinearLayout.LayoutParams) aVar2).topMargin + ((LinearLayout.LayoutParams) aVar2).bottomMargin);
                        if (z9) {
                            i46 = Math.max(measuredHeight, i46);
                        }
                        z7 = z10;
                    }
                    if (i33 >= 0 && i33 == i44 + 1) {
                        this.f402j = this.m;
                    }
                    if (i44 >= i33 || ((LinearLayout.LayoutParams) aVar2).weight <= 0.0f) {
                        i35 = i36;
                        if (i35 == 1073741824 || ((LinearLayout.LayoutParams) aVar2).width != -1) {
                            z8 = false;
                        } else {
                            z8 = true;
                            z12 = true;
                        }
                        int i52 = ((LinearLayout.LayoutParams) aVar2).leftMargin + ((LinearLayout.LayoutParams) aVar2).rightMargin;
                        int measuredWidth = childAt.getMeasuredWidth() + i52;
                        i34 = Math.max(i48, measuredWidth);
                        int combineMeasuredStates = View.combineMeasuredStates(i49, childAt.getMeasuredState());
                        boolean z13 = z11 && ((LinearLayout.LayoutParams) aVar2).width == -1;
                        if (((LinearLayout.LayoutParams) aVar2).weight > 0.0f) {
                            if (!z8) {
                                i52 = measuredWidth;
                            }
                            i45 = Math.max(i45, i52);
                        } else {
                            if (!z8) {
                                i52 = measuredWidth;
                            }
                            i47 = Math.max(i47, i52);
                            i45 = i45;
                        }
                        i44 += f();
                        z10 = z7;
                        z11 = z13;
                        i49 = combineMeasuredStates;
                        i44++;
                        mode = i35;
                        i48 = i34;
                        i43 = i33;
                        mode2 = i32;
                        virtualChildCount = i31;
                        i39 = -2;
                        i40 = Integer.MIN_VALUE;
                        i41 = 8;
                        f5 = 0.0f;
                        i42 = 1073741824;
                    } else {
                        throw new RuntimeException("A child of LinearLayout with index less than mBaselineAlignedChildIndex has weight > 0, which won't work.  Either remove the weight, or don't set mBaselineAlignedChildIndex.");
                    }
                }
                i33 = i43;
                i32 = mode2;
                i35 = mode;
                i31 = virtualChildCount;
                i34 = i48;
                i44++;
                mode = i35;
                i48 = i34;
                i43 = i33;
                mode2 = i32;
                virtualChildCount = i31;
                i39 = -2;
                i40 = Integer.MIN_VALUE;
                i41 = 8;
                f5 = 0.0f;
                i42 = 1073741824;
            }
            int i53 = i47;
            int i54 = i48;
            int i55 = i49;
            if (this.m > 0 && i(virtualChildCount)) {
                this.m += this.t;
            }
            int i56 = mode2;
            if (z9 && (i56 == Integer.MIN_VALUE || i56 == 0)) {
                this.m = 0;
                int i57 = 0;
                while (i57 < virtualChildCount) {
                    View childAt2 = getChildAt(i57);
                    if (childAt2 == null) {
                        this.m = k() + this.m;
                    } else if (childAt2.getVisibility() == 8) {
                        i57 += f();
                    } else {
                        a aVar4 = (a) childAt2.getLayoutParams();
                        int i58 = this.m;
                        this.m = Math.max(i58, h() + i58 + i46 + ((LinearLayout.LayoutParams) aVar4).topMargin + ((LinearLayout.LayoutParams) aVar4).bottomMargin);
                    }
                    i57++;
                }
            }
            int paddingBottom = getPaddingBottom() + getPaddingTop() + this.m;
            this.m = paddingBottom;
            int resolveSizeAndState = View.resolveSizeAndState(Math.max(paddingBottom, getSuggestedMinimumHeight()), i3, 0);
            int i59 = (16777215 & resolveSizeAndState) - this.m;
            if (z10 || (i59 != 0 && f6 > 0.0f)) {
                float f8 = this.n;
                if (f8 > 0.0f) {
                    f6 = f8;
                }
                this.m = 0;
                int i60 = 0;
                while (i60 < virtualChildCount) {
                    View childAt3 = getChildAt(i60);
                    if (childAt3.getVisibility() == 8) {
                        i27 = i56;
                    } else {
                        a aVar5 = (a) childAt3.getLayoutParams();
                        float f9 = ((LinearLayout.LayoutParams) aVar5).weight;
                        if (f9 > 0.0f) {
                            int i61 = (int) ((((float) i59) * f9) / f6);
                            f6 -= f9;
                            int i62 = i59 - i61;
                            int childMeasureSpec = ViewGroup.getChildMeasureSpec(i2, getPaddingRight() + getPaddingLeft() + ((LinearLayout.LayoutParams) aVar5).leftMargin + ((LinearLayout.LayoutParams) aVar5).rightMargin, ((LinearLayout.LayoutParams) aVar5).width);
                            if (((LinearLayout.LayoutParams) aVar5).height == 0) {
                                i30 = 1073741824;
                                if (i56 == 1073741824) {
                                    if (i61 <= 0) {
                                        i61 = 0;
                                    }
                                    childAt3.measure(childMeasureSpec, View.MeasureSpec.makeMeasureSpec(i61, 1073741824));
                                    i55 = View.combineMeasuredStates(i55, childAt3.getMeasuredState() & -256);
                                    i59 = i62;
                                }
                            } else {
                                i30 = 1073741824;
                            }
                            int measuredHeight2 = childAt3.getMeasuredHeight() + i61;
                            if (measuredHeight2 < 0) {
                                measuredHeight2 = 0;
                            }
                            childAt3.measure(childMeasureSpec, View.MeasureSpec.makeMeasureSpec(measuredHeight2, i30));
                            i55 = View.combineMeasuredStates(i55, childAt3.getMeasuredState() & -256);
                            i59 = i62;
                        }
                        int i63 = ((LinearLayout.LayoutParams) aVar5).leftMargin + ((LinearLayout.LayoutParams) aVar5).rightMargin;
                        int measuredWidth2 = childAt3.getMeasuredWidth() + i63;
                        i54 = Math.max(i54, measuredWidth2);
                        i27 = i56;
                        if (mode != 1073741824) {
                            i28 = i59;
                            i29 = -1;
                            if (((LinearLayout.LayoutParams) aVar5).width == -1) {
                                z6 = true;
                                if (!z6) {
                                    i63 = measuredWidth2;
                                }
                                i53 = Math.max(i53, i63);
                                boolean z14 = !z11 && ((LinearLayout.LayoutParams) aVar5).width == i29;
                                int i64 = this.m;
                                this.m = Math.max(i64, h() + childAt3.getMeasuredHeight() + i64 + ((LinearLayout.LayoutParams) aVar5).topMargin + ((LinearLayout.LayoutParams) aVar5).bottomMargin);
                                z11 = z14;
                                i59 = i28;
                            }
                        } else {
                            i28 = i59;
                            i29 = -1;
                        }
                        z6 = false;
                        if (!z6) {
                        }
                        i53 = Math.max(i53, i63);
                        if (!z11) {
                        }
                        int i642 = this.m;
                        this.m = Math.max(i642, h() + childAt3.getMeasuredHeight() + i642 + ((LinearLayout.LayoutParams) aVar5).topMargin + ((LinearLayout.LayoutParams) aVar5).bottomMargin);
                        z11 = z14;
                        i59 = i28;
                    }
                    i60++;
                    i56 = i27;
                }
                this.m = getPaddingBottom() + getPaddingTop() + this.m;
            } else {
                i53 = Math.max(i53, i45);
                if (z9 && i56 != 1073741824) {
                    for (int i65 = 0; i65 < virtualChildCount; i65++) {
                        View childAt4 = getChildAt(i65);
                        if (!(childAt4 == null || childAt4.getVisibility() == 8 || ((LinearLayout.LayoutParams) ((a) childAt4.getLayoutParams())).weight <= 0.0f)) {
                            childAt4.measure(View.MeasureSpec.makeMeasureSpec(childAt4.getMeasuredWidth(), 1073741824), View.MeasureSpec.makeMeasureSpec(i46, 1073741824));
                        }
                    }
                }
            }
            if (z11 || mode == 1073741824) {
                i53 = i54;
            }
            setMeasuredDimension(View.resolveSizeAndState(Math.max(getPaddingRight() + getPaddingLeft() + i53, getSuggestedMinimumWidth()), i2, i55), resolveSizeAndState);
            if (z12) {
                int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(getMeasuredWidth(), 1073741824);
                for (int i66 = 0; i66 < virtualChildCount; i66++) {
                    View childAt5 = getChildAt(i66);
                    if (childAt5.getVisibility() != 8) {
                        a aVar6 = (a) childAt5.getLayoutParams();
                        if (((LinearLayout.LayoutParams) aVar6).width == -1) {
                            int i67 = ((LinearLayout.LayoutParams) aVar6).height;
                            ((LinearLayout.LayoutParams) aVar6).height = childAt5.getMeasuredHeight();
                            measureChildWithMargins(childAt5, makeMeasureSpec, 0, i3, 0);
                            ((LinearLayout.LayoutParams) aVar6).height = i67;
                        }
                    }
                }
                return;
            }
            return;
        }
        this.m = 0;
        int virtualChildCount2 = getVirtualChildCount();
        int mode3 = View.MeasureSpec.getMode(i2);
        int mode4 = View.MeasureSpec.getMode(i3);
        if (this.p == null || this.q == null) {
            this.p = new int[4];
            this.q = new int[4];
        }
        int[] iArr = this.p;
        int[] iArr2 = this.q;
        iArr[3] = -1;
        iArr[2] = -1;
        iArr[1] = -1;
        iArr[0] = -1;
        iArr2[3] = -1;
        iArr2[2] = -1;
        iArr2[1] = -1;
        iArr2[0] = -1;
        boolean z15 = this.f400d;
        boolean z16 = this.o;
        boolean z17 = mode3 == 1073741824;
        int i68 = 0;
        float f10 = 0.0f;
        int i69 = 0;
        int i70 = 0;
        int i71 = 0;
        int i72 = 0;
        int i73 = 0;
        boolean z18 = false;
        boolean z19 = true;
        boolean z20 = false;
        while (i70 < virtualChildCount2) {
            View childAt6 = getChildAt(i70);
            if (childAt6 == null) {
                this.m = k() + this.m;
                i18 = i68;
                i17 = i69;
            } else {
                i18 = i68;
                i17 = i69;
                if (childAt6.getVisibility() == 8) {
                    i70 += f();
                } else {
                    if (i(i70)) {
                        this.m += this.s;
                    }
                    a aVar7 = (a) childAt6.getLayoutParams();
                    float f11 = ((LinearLayout.LayoutParams) aVar7).weight;
                    float f12 = f10 + f11;
                    if (mode3 == 1073741824 && ((LinearLayout.LayoutParams) aVar7).width == 0 && f11 > 0.0f) {
                        if (z17) {
                            i26 = i70;
                            this.m = ((LinearLayout.LayoutParams) aVar7).leftMargin + ((LinearLayout.LayoutParams) aVar7).rightMargin + this.m;
                        } else {
                            i26 = i70;
                            int i74 = this.m;
                            this.m = Math.max(i74, ((LinearLayout.LayoutParams) aVar7).leftMargin + i74 + ((LinearLayout.LayoutParams) aVar7).rightMargin);
                        }
                        if (z15) {
                            int makeMeasureSpec2 = View.MeasureSpec.makeMeasureSpec(0, 0);
                            childAt6.measure(makeMeasureSpec2, makeMeasureSpec2);
                            aVar = aVar7;
                            i20 = i18;
                            i19 = i17;
                            i21 = i26;
                            z3 = z16;
                            z2 = z15;
                        } else {
                            aVar = aVar7;
                            i20 = i18;
                            i19 = i17;
                            i21 = i26;
                            i22 = 1073741824;
                            z3 = z16;
                            z2 = z15;
                            z4 = true;
                            if (mode4 == i22 && ((LinearLayout.LayoutParams) aVar).height == -1) {
                                z5 = true;
                                z20 = true;
                            } else {
                                z5 = false;
                            }
                            i23 = ((LinearLayout.LayoutParams) aVar).topMargin + ((LinearLayout.LayoutParams) aVar).bottomMargin;
                            int measuredHeight3 = childAt6.getMeasuredHeight() + i23;
                            int combineMeasuredStates2 = View.combineMeasuredStates(i72, childAt6.getMeasuredState());
                            if (z2 || (baseline2 = childAt6.getBaseline()) == -1) {
                                i24 = i23;
                            } else {
                                int i75 = ((LinearLayout.LayoutParams) aVar).gravity;
                                if (i75 < 0) {
                                    i75 = this.f404l;
                                }
                                int i76 = (((i75 & 112) >> 4) & -2) >> 1;
                                i24 = i23;
                                iArr[i76] = Math.max(iArr[i76], baseline2);
                                iArr2[i76] = Math.max(iArr2[i76], measuredHeight3 - baseline2);
                            }
                            int max = Math.max(i73, measuredHeight3);
                            boolean z21 = !z19 && ((LinearLayout.LayoutParams) aVar).height == -1;
                            if (((LinearLayout.LayoutParams) aVar).weight <= 0.0f) {
                                if (z5) {
                                    measuredHeight3 = i24;
                                }
                                i68 = Math.max(i20, measuredHeight3);
                            } else {
                                if (z5) {
                                    measuredHeight3 = i24;
                                }
                                i19 = Math.max(i19, measuredHeight3);
                                i68 = i20;
                            }
                            i70 = f() + i21;
                            i73 = max;
                            i72 = combineMeasuredStates2;
                            z18 = z4;
                            z19 = z21;
                            f10 = f12;
                            i69 = i19;
                            i70++;
                            z16 = z3;
                            z15 = z2;
                        }
                    } else {
                        if (((LinearLayout.LayoutParams) aVar7).width == 0) {
                            f4 = 0.0f;
                            if (f11 > 0.0f) {
                                ((LinearLayout.LayoutParams) aVar7).width = -2;
                                i25 = 0;
                                i20 = i18;
                                i19 = i17;
                                i21 = i70;
                                z3 = z16;
                                z2 = z15;
                                j(childAt6, i2, f12 != f4 ? this.m : 0, i3, 0);
                                if (i25 == Integer.MIN_VALUE) {
                                    aVar = aVar7;
                                    ((LinearLayout.LayoutParams) aVar).width = i25;
                                } else {
                                    aVar = aVar7;
                                }
                                int measuredWidth3 = childAt6.getMeasuredWidth();
                                if (!z17) {
                                    this.m = h() + ((LinearLayout.LayoutParams) aVar).leftMargin + measuredWidth3 + ((LinearLayout.LayoutParams) aVar).rightMargin + this.m;
                                } else {
                                    int i77 = this.m;
                                    this.m = Math.max(i77, h() + i77 + measuredWidth3 + ((LinearLayout.LayoutParams) aVar).leftMargin + ((LinearLayout.LayoutParams) aVar).rightMargin);
                                }
                                if (z3) {
                                    i71 = Math.max(measuredWidth3, i71);
                                }
                            }
                        } else {
                            f4 = 0.0f;
                        }
                        i25 = Integer.MIN_VALUE;
                        i20 = i18;
                        i19 = i17;
                        i21 = i70;
                        z3 = z16;
                        z2 = z15;
                        j(childAt6, i2, f12 != f4 ? this.m : 0, i3, 0);
                        if (i25 == Integer.MIN_VALUE) {
                        }
                        int measuredWidth32 = childAt6.getMeasuredWidth();
                        if (!z17) {
                        }
                        if (z3) {
                        }
                    }
                    z4 = z18;
                    i22 = 1073741824;
                    if (mode4 == i22) {
                    }
                    z5 = false;
                    i23 = ((LinearLayout.LayoutParams) aVar).topMargin + ((LinearLayout.LayoutParams) aVar).bottomMargin;
                    int measuredHeight32 = childAt6.getMeasuredHeight() + i23;
                    int combineMeasuredStates22 = View.combineMeasuredStates(i72, childAt6.getMeasuredState());
                    if (z2) {
                    }
                    i24 = i23;
                    int max2 = Math.max(i73, measuredHeight32);
                    if (!z19) {
                    }
                    if (((LinearLayout.LayoutParams) aVar).weight <= 0.0f) {
                    }
                    i70 = f() + i21;
                    i73 = max2;
                    i72 = combineMeasuredStates22;
                    z18 = z4;
                    z19 = z21;
                    f10 = f12;
                    i69 = i19;
                    i70++;
                    z16 = z3;
                    z15 = z2;
                }
            }
            z2 = z15;
            i68 = i18;
            i69 = i17;
            z3 = z16;
            i70++;
            z16 = z3;
            z15 = z2;
        }
        int i78 = i69;
        if (this.m > 0 && i(virtualChildCount2)) {
            this.m += this.s;
        }
        if (iArr[1] == -1 && iArr[0] == -1 && iArr[2] == -1) {
            c3 = 3;
            if (iArr[3] == -1) {
                i4 = i72;
                if (z16 && (mode3 == Integer.MIN_VALUE || mode3 == 0)) {
                    this.m = 0;
                    i16 = 0;
                    while (i16 < virtualChildCount2) {
                        View childAt7 = getChildAt(i16);
                        if (childAt7 == null) {
                            this.m = k() + this.m;
                        } else if (childAt7.getVisibility() == 8) {
                            i16 += f();
                        } else {
                            a aVar8 = (a) childAt7.getLayoutParams();
                            if (z17) {
                                this.m = h() + ((LinearLayout.LayoutParams) aVar8).leftMargin + i71 + ((LinearLayout.LayoutParams) aVar8).rightMargin + this.m;
                            } else {
                                int i79 = this.m;
                                this.m = Math.max(i79, h() + i79 + i71 + ((LinearLayout.LayoutParams) aVar8).leftMargin + ((LinearLayout.LayoutParams) aVar8).rightMargin);
                            }
                        }
                        i16++;
                    }
                }
                int paddingRight = getPaddingRight() + getPaddingLeft() + this.m;
                this.m = paddingRight;
                int resolveSizeAndState2 = View.resolveSizeAndState(Math.max(paddingRight, getSuggestedMinimumWidth()), i2, 0);
                i5 = (16777215 & resolveSizeAndState2) - this.m;
                if (!z18 || (i5 != 0 && f10 > 0.0f)) {
                    f2 = this.n;
                    if (f2 > 0.0f) {
                        f10 = f2;
                    }
                    iArr[3] = -1;
                    iArr[2] = -1;
                    iArr[1] = -1;
                    iArr[0] = -1;
                    iArr2[3] = -1;
                    iArr2[2] = -1;
                    iArr2[1] = -1;
                    iArr2[0] = -1;
                    this.m = 0;
                    int i80 = i5;
                    i7 = i4;
                    int i81 = -1;
                    i9 = 0;
                    while (i9 < virtualChildCount2) {
                        View childAt8 = getChildAt(i9);
                        if (childAt8 == null || childAt8.getVisibility() == 8) {
                            i11 = i80;
                            i10 = virtualChildCount2;
                        } else {
                            a aVar9 = (a) childAt8.getLayoutParams();
                            float f13 = ((LinearLayout.LayoutParams) aVar9).weight;
                            if (f13 > 0.0f) {
                                i10 = virtualChildCount2;
                                int i82 = (int) ((((float) i80) * f13) / f10);
                                float f14 = f10 - f13;
                                int i83 = i80 - i82;
                                int childMeasureSpec2 = ViewGroup.getChildMeasureSpec(i3, getPaddingBottom() + getPaddingTop() + ((LinearLayout.LayoutParams) aVar9).topMargin + ((LinearLayout.LayoutParams) aVar9).bottomMargin, ((LinearLayout.LayoutParams) aVar9).height);
                                if (((LinearLayout.LayoutParams) aVar9).width == 0) {
                                    i15 = 1073741824;
                                    if (mode3 == 1073741824) {
                                        if (i82 <= 0) {
                                            i82 = 0;
                                        }
                                        childAt8.measure(View.MeasureSpec.makeMeasureSpec(i82, 1073741824), childMeasureSpec2);
                                        i7 = View.combineMeasuredStates(i7, childAt8.getMeasuredState() & -16777216);
                                        f10 = f14;
                                        i12 = i83;
                                    }
                                } else {
                                    i15 = 1073741824;
                                }
                                int measuredWidth4 = childAt8.getMeasuredWidth() + i82;
                                if (measuredWidth4 < 0) {
                                    measuredWidth4 = 0;
                                }
                                childAt8.measure(View.MeasureSpec.makeMeasureSpec(measuredWidth4, i15), childMeasureSpec2);
                                i7 = View.combineMeasuredStates(i7, childAt8.getMeasuredState() & -16777216);
                                f10 = f14;
                                i12 = i83;
                            } else {
                                i12 = i80;
                                i10 = virtualChildCount2;
                            }
                            if (z17) {
                                f3 = f10;
                                this.m = h() + childAt8.getMeasuredWidth() + ((LinearLayout.LayoutParams) aVar9).leftMargin + ((LinearLayout.LayoutParams) aVar9).rightMargin + this.m;
                                i13 = i12;
                            } else {
                                f3 = f10;
                                int i84 = this.m;
                                i13 = i12;
                                this.m = Math.max(i84, h() + childAt8.getMeasuredWidth() + i84 + ((LinearLayout.LayoutParams) aVar9).leftMargin + ((LinearLayout.LayoutParams) aVar9).rightMargin);
                            }
                            boolean z22 = mode4 != 1073741824 && ((LinearLayout.LayoutParams) aVar9).height == -1;
                            int i85 = ((LinearLayout.LayoutParams) aVar9).topMargin + ((LinearLayout.LayoutParams) aVar9).bottomMargin;
                            int measuredHeight4 = childAt8.getMeasuredHeight() + i85;
                            i81 = Math.max(i81, measuredHeight4);
                            if (!z22) {
                                i85 = measuredHeight4;
                            }
                            i78 = Math.max(i78, i85);
                            if (z19) {
                                i14 = -1;
                                if (((LinearLayout.LayoutParams) aVar9).height == -1) {
                                    z = true;
                                    if (!z15 && (baseline = childAt8.getBaseline()) != i14) {
                                        int i86 = ((LinearLayout.LayoutParams) aVar9).gravity;
                                        if (i86 < 0) {
                                            i86 = this.f404l;
                                        }
                                        int i87 = (((i86 & 112) >> 4) & -2) >> 1;
                                        iArr[i87] = Math.max(iArr[i87], baseline);
                                        iArr2[i87] = Math.max(iArr2[i87], measuredHeight4 - baseline);
                                    }
                                    z19 = z;
                                    i11 = i13;
                                    f10 = f3;
                                }
                            } else {
                                i14 = -1;
                            }
                            z = false;
                            if (!z15) {
                            }
                            z19 = z;
                            i11 = i13;
                            f10 = f3;
                        }
                        i9++;
                        i80 = i11;
                        virtualChildCount2 = i10;
                    }
                    i8 = i3;
                    i6 = virtualChildCount2;
                    this.m = getPaddingRight() + getPaddingLeft() + this.m;
                    if (iArr[1] != -1 && iArr[0] == -1 && iArr[2] == -1) {
                        c2 = 3;
                        if (iArr[3] == -1) {
                            i73 = i81;
                        }
                    } else {
                        c2 = 3;
                    }
                    i73 = Math.max(i81, Math.max(iArr2[c2], Math.max(iArr2[0], Math.max(iArr2[1], iArr2[2]))) + Math.max(iArr[c2], Math.max(iArr[0], Math.max(iArr[1], iArr[2]))));
                    if (z19 || mode4 == 1073741824) {
                        i78 = i73;
                    }
                    setMeasuredDimension((-16777216 & i7) | resolveSizeAndState2, View.resolveSizeAndState(Math.max(getPaddingBottom() + getPaddingTop() + i78, getSuggestedMinimumHeight()), i8, i7 << 16));
                    if (z20) {
                        int makeMeasureSpec3 = View.MeasureSpec.makeMeasureSpec(getMeasuredHeight(), 1073741824);
                        for (int i88 = 0; i88 < i6; i88++) {
                            View childAt9 = getChildAt(i88);
                            if (childAt9.getVisibility() != 8) {
                                a aVar10 = (a) childAt9.getLayoutParams();
                                if (((LinearLayout.LayoutParams) aVar10).height == -1) {
                                    int i89 = ((LinearLayout.LayoutParams) aVar10).width;
                                    ((LinearLayout.LayoutParams) aVar10).width = childAt9.getMeasuredWidth();
                                    measureChildWithMargins(childAt9, i2, 0, makeMeasureSpec3, 0);
                                    ((LinearLayout.LayoutParams) aVar10).width = i89;
                                }
                            }
                        }
                        return;
                    }
                    return;
                }
                i78 = Math.max(i78, i68);
                if (z16 && mode3 != 1073741824) {
                    for (int i90 = 0; i90 < virtualChildCount2; i90++) {
                        View childAt10 = getChildAt(i90);
                        if (!(childAt10 == null || childAt10.getVisibility() == 8 || ((LinearLayout.LayoutParams) ((a) childAt10.getLayoutParams())).weight <= 0.0f)) {
                            childAt10.measure(View.MeasureSpec.makeMeasureSpec(i71, 1073741824), View.MeasureSpec.makeMeasureSpec(childAt10.getMeasuredHeight(), 1073741824));
                        }
                    }
                }
                i8 = i3;
                i6 = virtualChildCount2;
                i7 = i4;
                i78 = i73;
                setMeasuredDimension((-16777216 & i7) | resolveSizeAndState2, View.resolveSizeAndState(Math.max(getPaddingBottom() + getPaddingTop() + i78, getSuggestedMinimumHeight()), i8, i7 << 16));
                if (z20) {
                }
            }
        } else {
            c3 = 3;
        }
        i4 = i72;
        i73 = Math.max(i73, Math.max(iArr2[3], Math.max(iArr2[0], Math.max(iArr2[1], iArr2[2]))) + Math.max(iArr[c3], Math.max(iArr[0], Math.max(iArr[1], iArr[2]))));
        this.m = 0;
        i16 = 0;
        while (i16 < virtualChildCount2) {
        }
        int paddingRight2 = getPaddingRight() + getPaddingLeft() + this.m;
        this.m = paddingRight2;
        int resolveSizeAndState22 = View.resolveSizeAndState(Math.max(paddingRight2, getSuggestedMinimumWidth()), i2, 0);
        i5 = (16777215 & resolveSizeAndState22) - this.m;
        if (!z18) {
        }
        f2 = this.n;
        if (f2 > 0.0f) {
        }
        iArr[3] = -1;
        iArr[2] = -1;
        iArr[1] = -1;
        iArr[0] = -1;
        iArr2[3] = -1;
        iArr2[2] = -1;
        iArr2[1] = -1;
        iArr2[0] = -1;
        this.m = 0;
        int i802 = i5;
        i7 = i4;
        int i812 = -1;
        i9 = 0;
        while (i9 < virtualChildCount2) {
        }
        i8 = i3;
        i6 = virtualChildCount2;
        this.m = getPaddingRight() + getPaddingLeft() + this.m;
        if (iArr[1] != -1) {
        }
        c2 = 3;
        i73 = Math.max(i812, Math.max(iArr2[c2], Math.max(iArr2[0], Math.max(iArr2[1], iArr2[2]))) + Math.max(iArr[c2], Math.max(iArr[0], Math.max(iArr[1], iArr[2]))));
        i78 = i73;
        setMeasuredDimension((-16777216 & i7) | resolveSizeAndState22, View.resolveSizeAndState(Math.max(getPaddingBottom() + getPaddingTop() + i78, getSuggestedMinimumHeight()), i8, i7 << 16));
        if (z20) {
        }
    }

    public void setBaselineAligned(boolean z) {
        this.f400d = z;
    }

    public void setBaselineAlignedChildIndex(int i2) {
        if (i2 < 0 || i2 >= getChildCount()) {
            StringBuilder B = d.a.a.a.a.B("base aligned child index out of range (0, ");
            B.append(getChildCount());
            B.append(")");
            throw new IllegalArgumentException(B.toString());
        }
        this.f401h = i2;
    }

    public void setDividerDrawable(Drawable drawable) {
        if (drawable != this.r) {
            this.r = drawable;
            boolean z = false;
            if (drawable != null) {
                this.s = drawable.getIntrinsicWidth();
                this.t = drawable.getIntrinsicHeight();
            } else {
                this.s = 0;
                this.t = 0;
            }
            if (drawable == null) {
                z = true;
            }
            setWillNotDraw(z);
            requestLayout();
        }
    }

    public void setDividerPadding(int i2) {
        this.v = i2;
    }

    public void setGravity(int i2) {
        if (this.f404l != i2) {
            if ((8388615 & i2) == 0) {
                i2 |= 8388611;
            }
            if ((i2 & 112) == 0) {
                i2 |= 48;
            }
            this.f404l = i2;
            requestLayout();
        }
    }

    public void setHorizontalGravity(int i2) {
        int i3 = i2 & 8388615;
        int i4 = this.f404l;
        if ((8388615 & i4) != i3) {
            this.f404l = i3 | (-8388616 & i4);
            requestLayout();
        }
    }

    public void setMeasureWithLargestChildEnabled(boolean z) {
        this.o = z;
    }

    public void setOrientation(int i2) {
        if (this.f403k != i2) {
            this.f403k = i2;
            requestLayout();
        }
    }

    public void setShowDividers(int i2) {
        if (i2 != this.u) {
            requestLayout();
        }
        this.u = i2;
    }

    public void setVerticalGravity(int i2) {
        int i3 = i2 & 112;
        int i4 = this.f404l;
        if ((i4 & 112) != i3) {
            this.f404l = i3 | (i4 & -113);
            requestLayout();
        }
    }

    public void setWeightSum(float f2) {
        this.n = Math.max(0.0f, f2);
    }

    public boolean shouldDelayChildPressedState() {
        return false;
    }

    public LinearLayoutCompat(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public LinearLayoutCompat(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        Drawable drawable;
        int resourceId;
        this.f400d = true;
        this.f401h = -1;
        this.f402j = 0;
        this.f404l = 8388659;
        int[] iArr = R$styleable.LinearLayoutCompat;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, iArr, i2, 0);
        ViewCompat.t(this, context, iArr, attributeSet, obtainStyledAttributes, i2, 0);
        int i3 = obtainStyledAttributes.getInt(R$styleable.LinearLayoutCompat_android_orientation, -1);
        if (i3 >= 0) {
            setOrientation(i3);
        }
        int i4 = obtainStyledAttributes.getInt(R$styleable.LinearLayoutCompat_android_gravity, -1);
        if (i4 >= 0) {
            setGravity(i4);
        }
        boolean z = obtainStyledAttributes.getBoolean(R$styleable.LinearLayoutCompat_android_baselineAligned, true);
        if (!z) {
            setBaselineAligned(z);
        }
        this.n = obtainStyledAttributes.getFloat(R$styleable.LinearLayoutCompat_android_weightSum, -1.0f);
        this.f401h = obtainStyledAttributes.getInt(R$styleable.LinearLayoutCompat_android_baselineAlignedChildIndex, -1);
        this.o = obtainStyledAttributes.getBoolean(R$styleable.LinearLayoutCompat_measureWithLargestChild, false);
        int i5 = R$styleable.LinearLayoutCompat_divider;
        if (!obtainStyledAttributes.hasValue(i5) || (resourceId = obtainStyledAttributes.getResourceId(i5, 0)) == 0) {
            drawable = obtainStyledAttributes.getDrawable(i5);
        } else {
            drawable = b.b.b.a.a.b(context, resourceId);
        }
        setDividerDrawable(drawable);
        this.u = obtainStyledAttributes.getInt(R$styleable.LinearLayoutCompat_showDividers, 0);
        this.v = obtainStyledAttributes.getDimensionPixelSize(R$styleable.LinearLayoutCompat_dividerPadding, 0);
        obtainStyledAttributes.recycle();
    }
}
