package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.database.DataSetObserver;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Handler;
import android.util.AttributeSet;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AbsListView;
import android.widget.AdapterView;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.PopupWindow;
import androidx.appcompat.R$attr;
import androidx.appcompat.R$styleable;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.appcompat.view.menu.ShowableListMenu;
import androidx.core.view.ViewCompat;
import b.b.f.f;
import b.b.f.p;
import b.b.f.r;
import java.lang.reflect.Method;
import java.util.concurrent.atomic.AtomicInteger;
import org.dsq.library.widget.bigImage.SubsamplingScaleImageView;

public class ListPopupWindow implements ShowableListMenu {

    /* renamed from: d  reason: collision with root package name */
    public static Method f405d;

    /* renamed from: h  reason: collision with root package name */
    public static Method f406h;

    /* renamed from: j  reason: collision with root package name */
    public static Method f407j;
    public AdapterView.OnItemClickListener A;
    public final e B;
    public final d C;
    public final c D;
    public final a E;
    public final Handler F;
    public final Rect G;
    public Rect H;
    public boolean I;
    public PopupWindow J;

    /* renamed from: k  reason: collision with root package name */
    public Context f408k;

    /* renamed from: l  reason: collision with root package name */
    public ListAdapter f409l;
    public p m;
    public int n;
    public int o;
    public int p;
    public int q;
    public int r;
    public boolean s;
    public boolean t;
    public boolean u;
    public int v;
    public int w;
    public int x;
    public DataSetObserver y;
    public View z;

    public class a implements Runnable {
        public a() {
        }

        public void run() {
            p pVar = ListPopupWindow.this.m;
            if (pVar != null) {
                pVar.setListSelectionHidden(true);
                pVar.requestLayout();
            }
        }
    }

    public class b extends DataSetObserver {
        public b() {
        }

        public void onChanged() {
            if (ListPopupWindow.this.isShowing()) {
                ListPopupWindow.this.show();
            }
        }

        public void onInvalidated() {
            ListPopupWindow.this.dismiss();
        }
    }

    public class c implements AbsListView.OnScrollListener {
        public c() {
        }

        public void onScroll(AbsListView absListView, int i2, int i3, int i4) {
        }

        public void onScrollStateChanged(AbsListView absListView, int i2) {
            boolean z = true;
            if (i2 == 1) {
                if (ListPopupWindow.this.J.getInputMethodMode() != 2) {
                    z = false;
                }
                if (!z && ListPopupWindow.this.J.getContentView() != null) {
                    ListPopupWindow listPopupWindow = ListPopupWindow.this;
                    listPopupWindow.F.removeCallbacks(listPopupWindow.B);
                    ListPopupWindow.this.B.run();
                }
            }
        }
    }

    public class d implements View.OnTouchListener {
        public d() {
        }

        public boolean onTouch(View view, MotionEvent motionEvent) {
            PopupWindow popupWindow;
            int action = motionEvent.getAction();
            int x = (int) motionEvent.getX();
            int y = (int) motionEvent.getY();
            if (action == 0 && (popupWindow = ListPopupWindow.this.J) != null && popupWindow.isShowing() && x >= 0 && x < ListPopupWindow.this.J.getWidth() && y >= 0 && y < ListPopupWindow.this.J.getHeight()) {
                ListPopupWindow listPopupWindow = ListPopupWindow.this;
                listPopupWindow.F.postDelayed(listPopupWindow.B, 250);
                return false;
            } else if (action != 1) {
                return false;
            } else {
                ListPopupWindow listPopupWindow2 = ListPopupWindow.this;
                listPopupWindow2.F.removeCallbacks(listPopupWindow2.B);
                return false;
            }
        }
    }

    public class e implements Runnable {
        public e() {
        }

        public void run() {
            p pVar = ListPopupWindow.this.m;
            if (pVar != null) {
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                if (pVar.isAttachedToWindow() && ListPopupWindow.this.m.getCount() > ListPopupWindow.this.m.getChildCount()) {
                    int childCount = ListPopupWindow.this.m.getChildCount();
                    ListPopupWindow listPopupWindow = ListPopupWindow.this;
                    if (childCount <= listPopupWindow.w) {
                        listPopupWindow.J.setInputMethodMode(2);
                        ListPopupWindow.this.show();
                    }
                }
            }
        }
    }

    static {
        if (Build.VERSION.SDK_INT <= 28) {
            try {
                f405d = PopupWindow.class.getDeclaredMethod("setClipToScreenEnabled", Boolean.TYPE);
            } catch (NoSuchMethodException unused) {
                Log.i("ListPopupWindow", "Could not find method setClipToScreenEnabled() on PopupWindow. Oh well.");
            }
            try {
                f407j = PopupWindow.class.getDeclaredMethod("setEpicenterBounds", Rect.class);
            } catch (NoSuchMethodException unused2) {
                Log.i("ListPopupWindow", "Could not find method setEpicenterBounds(Rect) on PopupWindow. Oh well.");
            }
        }
        if (Build.VERSION.SDK_INT <= 23) {
            try {
                f406h = PopupWindow.class.getDeclaredMethod("getMaxAvailableHeight", View.class, Integer.TYPE, Boolean.TYPE);
            } catch (NoSuchMethodException unused3) {
                Log.i("ListPopupWindow", "Could not find method getMaxAvailableHeight(View, int, boolean) on PopupWindow. Oh well.");
            }
        }
    }

    public ListPopupWindow(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R$attr.listPopupWindowStyle);
    }

    public p a(Context context, boolean z2) {
        return new p(context, z2);
    }

    public void b(int i2) {
        Drawable background = this.J.getBackground();
        if (background != null) {
            background.getPadding(this.G);
            Rect rect = this.G;
            this.o = rect.left + rect.right + i2;
            return;
        }
        this.o = i2;
    }

    public void c(boolean z2) {
        this.I = z2;
        this.J.setFocusable(z2);
    }

    @Override // androidx.appcompat.view.menu.ShowableListMenu
    public void dismiss() {
        this.J.dismiss();
        this.J.setContentView(null);
        this.m = null;
        this.F.removeCallbacks(this.B);
    }

    public Drawable getBackground() {
        return this.J.getBackground();
    }

    public int getHorizontalOffset() {
        return this.p;
    }

    @Override // androidx.appcompat.view.menu.ShowableListMenu
    public ListView getListView() {
        return this.m;
    }

    public int getVerticalOffset() {
        if (!this.s) {
            return 0;
        }
        return this.q;
    }

    @Override // androidx.appcompat.view.menu.ShowableListMenu
    public boolean isShowing() {
        return this.J.isShowing();
    }

    public void setAdapter(ListAdapter listAdapter) {
        DataSetObserver dataSetObserver = this.y;
        if (dataSetObserver == null) {
            this.y = new b();
        } else {
            ListAdapter listAdapter2 = this.f409l;
            if (listAdapter2 != null) {
                listAdapter2.unregisterDataSetObserver(dataSetObserver);
            }
        }
        this.f409l = listAdapter;
        if (listAdapter != null) {
            listAdapter.registerDataSetObserver(this.y);
        }
        p pVar = this.m;
        if (pVar != null) {
            pVar.setAdapter(this.f409l);
        }
    }

    public void setBackgroundDrawable(Drawable drawable) {
        this.J.setBackgroundDrawable(drawable);
    }

    public void setHorizontalOffset(int i2) {
        this.p = i2;
    }

    public void setVerticalOffset(int i2) {
        this.q = i2;
        this.s = true;
    }

    @Override // androidx.appcompat.view.menu.ShowableListMenu
    public void show() {
        int i2;
        int i3;
        int i4;
        p pVar;
        int i5;
        if (this.m == null) {
            p a2 = a(this.f408k, !this.I);
            this.m = a2;
            a2.setAdapter(this.f409l);
            this.m.setOnItemClickListener(this.A);
            this.m.setFocusable(true);
            this.m.setFocusableInTouchMode(true);
            this.m.setOnItemSelectedListener(new r(this));
            this.m.setOnScrollListener(this.D);
            this.J.setContentView(this.m);
        } else {
            ViewGroup viewGroup = (ViewGroup) this.J.getContentView();
        }
        Drawable background = this.J.getBackground();
        int i6 = 0;
        if (background != null) {
            background.getPadding(this.G);
            Rect rect = this.G;
            int i7 = rect.top;
            i2 = rect.bottom + i7;
            if (!this.s) {
                this.q = -i7;
            }
        } else {
            this.G.setEmpty();
            i2 = 0;
        }
        boolean z2 = this.J.getInputMethodMode() == 2;
        View view = this.z;
        int i8 = this.q;
        if (Build.VERSION.SDK_INT <= 23) {
            Method method = f406h;
            if (method != null) {
                try {
                    i3 = ((Integer) method.invoke(this.J, view, Integer.valueOf(i8), Boolean.valueOf(z2))).intValue();
                } catch (Exception unused) {
                    Log.i("ListPopupWindow", "Could not call getMaxAvailableHeightMethod(View, int, boolean) on PopupWindow. Using the public version.");
                }
            }
            i3 = this.J.getMaxAvailableHeight(view, i8);
        } else {
            i3 = this.J.getMaxAvailableHeight(view, i8, z2);
        }
        if (this.n == -1) {
            i4 = i3 + i2;
        } else {
            int i9 = this.o;
            if (i9 == -2) {
                int i10 = this.f408k.getResources().getDisplayMetrics().widthPixels;
                Rect rect2 = this.G;
                i5 = View.MeasureSpec.makeMeasureSpec(i10 - (rect2.left + rect2.right), Integer.MIN_VALUE);
            } else if (i9 != -1) {
                i5 = View.MeasureSpec.makeMeasureSpec(i9, 1073741824);
            } else {
                int i11 = this.f408k.getResources().getDisplayMetrics().widthPixels;
                Rect rect3 = this.G;
                i5 = View.MeasureSpec.makeMeasureSpec(i11 - (rect3.left + rect3.right), 1073741824);
            }
            int a3 = this.m.a(i5, i3 - 0, -1);
            i4 = a3 + (a3 > 0 ? this.m.getPaddingBottom() + this.m.getPaddingTop() + i2 + 0 : 0);
        }
        boolean z3 = this.J.getInputMethodMode() == 2;
        AppCompatDelegateImpl.e.D0(this.J, this.r);
        if (this.J.isShowing()) {
            View view2 = this.z;
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            if (view2.isAttachedToWindow()) {
                int i12 = this.o;
                if (i12 == -1) {
                    i12 = -1;
                } else if (i12 == -2) {
                    i12 = this.z.getWidth();
                }
                int i13 = this.n;
                if (i13 == -1) {
                    if (!z3) {
                        i4 = -1;
                    }
                    if (z3) {
                        this.J.setWidth(this.o == -1 ? -1 : 0);
                        this.J.setHeight(0);
                    } else {
                        PopupWindow popupWindow = this.J;
                        if (this.o == -1) {
                            i6 = -1;
                        }
                        popupWindow.setWidth(i6);
                        this.J.setHeight(-1);
                    }
                } else if (i13 != -2) {
                    i4 = i13;
                }
                this.J.setOutsideTouchable(true);
                this.J.update(this.z, this.p, this.q, i12 < 0 ? -1 : i12, i4 < 0 ? -1 : i4);
                return;
            }
            return;
        }
        int i14 = this.o;
        if (i14 == -1) {
            i14 = -1;
        } else if (i14 == -2) {
            i14 = this.z.getWidth();
        }
        int i15 = this.n;
        if (i15 == -1) {
            i4 = -1;
        } else if (i15 != -2) {
            i4 = i15;
        }
        this.J.setWidth(i14);
        this.J.setHeight(i4);
        if (Build.VERSION.SDK_INT <= 28) {
            Method method2 = f405d;
            if (method2 != null) {
                try {
                    method2.invoke(this.J, Boolean.TRUE);
                } catch (Exception unused2) {
                    Log.i("ListPopupWindow", "Could not call setClipToScreenEnabled() on PopupWindow. Oh well.");
                }
            }
        } else {
            this.J.setIsClippedToScreen(true);
        }
        this.J.setOutsideTouchable(true);
        this.J.setTouchInterceptor(this.C);
        if (this.u) {
            AppCompatDelegateImpl.e.u0(this.J, this.t);
        }
        if (Build.VERSION.SDK_INT <= 28) {
            Method method3 = f407j;
            if (method3 != null) {
                try {
                    method3.invoke(this.J, this.H);
                } catch (Exception e2) {
                    Log.e("ListPopupWindow", "Could not invoke setEpicenterBounds on PopupWindow", e2);
                }
            }
        } else {
            this.J.setEpicenterBounds(this.H);
        }
        this.J.showAsDropDown(this.z, this.p, this.q, this.v);
        this.m.setSelection(-1);
        if ((!this.I || this.m.isInTouchMode()) && (pVar = this.m) != null) {
            pVar.setListSelectionHidden(true);
            pVar.requestLayout();
        }
        if (!this.I) {
            this.F.post(this.E);
        }
    }

    public ListPopupWindow(Context context, AttributeSet attributeSet, int i2) {
        this(context, attributeSet, i2, 0);
    }

    public ListPopupWindow(Context context, AttributeSet attributeSet, int i2, int i3) {
        this.n = -2;
        this.o = -2;
        this.r = 1002;
        this.v = 0;
        this.w = SubsamplingScaleImageView.TILE_SIZE_AUTO;
        this.x = 0;
        this.B = new e();
        this.C = new d();
        this.D = new c();
        this.E = new a();
        this.G = new Rect();
        this.f408k = context;
        this.F = new Handler(context.getMainLooper());
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.ListPopupWindow, i2, i3);
        this.p = obtainStyledAttributes.getDimensionPixelOffset(R$styleable.ListPopupWindow_android_dropDownHorizontalOffset, 0);
        int dimensionPixelOffset = obtainStyledAttributes.getDimensionPixelOffset(R$styleable.ListPopupWindow_android_dropDownVerticalOffset, 0);
        this.q = dimensionPixelOffset;
        if (dimensionPixelOffset != 0) {
            this.s = true;
        }
        obtainStyledAttributes.recycle();
        f fVar = new f(context, attributeSet, i2, i3);
        this.J = fVar;
        fVar.setInputMethodMode(1);
    }
}
