package androidx.appcompat.widget;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.content.Context;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.text.TextUtils;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.view.animation.DecelerateInterpolator;
import android.widget.AbsListView;
import android.widget.AdapterView;
import android.widget.BaseAdapter;
import android.widget.HorizontalScrollView;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.Spinner;
import android.widget.SpinnerAdapter;
import android.widget.TextView;
import androidx.appcompat.R$attr;
import androidx.appcompat.R$bool;
import androidx.appcompat.R$dimen;
import androidx.appcompat.R$styleable;
import androidx.appcompat.app.ActionBar;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.appcompat.widget.LinearLayoutCompat;
import java.util.Objects;

public class ScrollingTabContainerView extends HorizontalScrollView implements AdapterView.OnItemSelectedListener {

    /* renamed from: d  reason: collision with root package name */
    public Runnable f425d;

    /* renamed from: h  reason: collision with root package name */
    public LinearLayoutCompat f426h;

    /* renamed from: j  reason: collision with root package name */
    public Spinner f427j;

    /* renamed from: k  reason: collision with root package name */
    public boolean f428k;

    /* renamed from: l  reason: collision with root package name */
    public int f429l;
    public int m;
    public int n;
    public int o;

    public class a implements Runnable {

        /* renamed from: d  reason: collision with root package name */
        public final /* synthetic */ View f430d;

        public a(View view) {
            this.f430d = view;
        }

        public void run() {
            ScrollingTabContainerView.this.smoothScrollTo(this.f430d.getLeft() - ((ScrollingTabContainerView.this.getWidth() - this.f430d.getWidth()) / 2), 0);
            ScrollingTabContainerView.this.f425d = null;
        }
    }

    public class b extends BaseAdapter {
        public b() {
        }

        public int getCount() {
            return ScrollingTabContainerView.this.f426h.getChildCount();
        }

        public Object getItem(int i2) {
            return ((c) ScrollingTabContainerView.this.f426h.getChildAt(i2)).f434h;
        }

        public long getItemId(int i2) {
            return (long) i2;
        }

        public View getView(int i2, View view, ViewGroup viewGroup) {
            if (view == null) {
                ScrollingTabContainerView scrollingTabContainerView = ScrollingTabContainerView.this;
                ActionBar.b bVar = ((c) scrollingTabContainerView.f426h.getChildAt(i2)).f434h;
                Objects.requireNonNull(scrollingTabContainerView);
                c cVar = new c(scrollingTabContainerView.getContext(), bVar, true);
                cVar.setBackgroundDrawable(null);
                cVar.setLayoutParams(new AbsListView.LayoutParams(-1, scrollingTabContainerView.n));
                return cVar;
            }
            c cVar2 = (c) view;
            cVar2.f434h = ((c) ScrollingTabContainerView.this.f426h.getChildAt(i2)).f434h;
            cVar2.a();
            return view;
        }
    }

    public class c extends LinearLayout {

        /* renamed from: d  reason: collision with root package name */
        public final int[] f433d;

        /* renamed from: h  reason: collision with root package name */
        public ActionBar.b f434h;

        /* renamed from: j  reason: collision with root package name */
        public TextView f435j;

        /* renamed from: k  reason: collision with root package name */
        public ImageView f436k;

        /* renamed from: l  reason: collision with root package name */
        public View f437l;

        /* JADX WARNING: Illegal instructions before constructor call */
        public c(Context context, ActionBar.b bVar, boolean z) {
            super(context, null, r5);
            Drawable drawable;
            int resourceId;
            int i2 = R$attr.actionBarTabStyle;
            int[] iArr = {16842964};
            this.f433d = iArr;
            this.f434h = bVar;
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(null, iArr, i2, 0);
            if (obtainStyledAttributes.hasValue(0)) {
                if (!obtainStyledAttributes.hasValue(0) || (resourceId = obtainStyledAttributes.getResourceId(0, 0)) == 0) {
                    drawable = obtainStyledAttributes.getDrawable(0);
                } else {
                    drawable = b.b.b.a.a.b(context, resourceId);
                }
                setBackgroundDrawable(drawable);
            }
            obtainStyledAttributes.recycle();
            if (z) {
                setGravity(8388627);
            }
            a();
        }

        public void a() {
            ActionBar.b bVar = this.f434h;
            View b2 = bVar.b();
            CharSequence charSequence = null;
            if (b2 != null) {
                ViewParent parent = b2.getParent();
                if (parent != this) {
                    if (parent != null) {
                        ((ViewGroup) parent).removeView(b2);
                    }
                    addView(b2);
                }
                this.f437l = b2;
                TextView textView = this.f435j;
                if (textView != null) {
                    textView.setVisibility(8);
                }
                ImageView imageView = this.f436k;
                if (imageView != null) {
                    imageView.setVisibility(8);
                    this.f436k.setImageDrawable(null);
                    return;
                }
                return;
            }
            View view = this.f437l;
            if (view != null) {
                removeView(view);
                this.f437l = null;
            }
            Drawable c2 = bVar.c();
            CharSequence d2 = bVar.d();
            if (c2 != null) {
                if (this.f436k == null) {
                    AppCompatImageView appCompatImageView = new AppCompatImageView(getContext());
                    LinearLayout.LayoutParams layoutParams = new LinearLayout.LayoutParams(-2, -2);
                    layoutParams.gravity = 16;
                    appCompatImageView.setLayoutParams(layoutParams);
                    addView(appCompatImageView, 0);
                    this.f436k = appCompatImageView;
                }
                this.f436k.setImageDrawable(c2);
                this.f436k.setVisibility(0);
            } else {
                ImageView imageView2 = this.f436k;
                if (imageView2 != null) {
                    imageView2.setVisibility(8);
                    this.f436k.setImageDrawable(null);
                }
            }
            boolean z = !TextUtils.isEmpty(d2);
            if (z) {
                if (this.f435j == null) {
                    AppCompatTextView appCompatTextView = new AppCompatTextView(getContext(), null, R$attr.actionBarTabTextStyle);
                    appCompatTextView.setEllipsize(TextUtils.TruncateAt.END);
                    LinearLayout.LayoutParams layoutParams2 = new LinearLayout.LayoutParams(-2, -2);
                    layoutParams2.gravity = 16;
                    appCompatTextView.setLayoutParams(layoutParams2);
                    addView(appCompatTextView);
                    this.f435j = appCompatTextView;
                }
                this.f435j.setText(d2);
                this.f435j.setVisibility(0);
            } else {
                TextView textView2 = this.f435j;
                if (textView2 != null) {
                    textView2.setVisibility(8);
                    this.f435j.setText((CharSequence) null);
                }
            }
            ImageView imageView3 = this.f436k;
            if (imageView3 != null) {
                imageView3.setContentDescription(bVar.a());
            }
            if (!z) {
                charSequence = bVar.a();
            }
            AppCompatDelegateImpl.e.C0(this, charSequence);
        }

        public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
            super.onInitializeAccessibilityEvent(accessibilityEvent);
            accessibilityEvent.setClassName("androidx.appcompat.app.ActionBar$Tab");
        }

        public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
            super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
            accessibilityNodeInfo.setClassName("androidx.appcompat.app.ActionBar$Tab");
        }

        public void onMeasure(int i2, int i3) {
            int i4;
            super.onMeasure(i2, i3);
            if (ScrollingTabContainerView.this.f429l > 0 && getMeasuredWidth() > (i4 = ScrollingTabContainerView.this.f429l)) {
                super.onMeasure(View.MeasureSpec.makeMeasureSpec(i4, 1073741824), i3);
            }
        }

        public void setSelected(boolean z) {
            boolean z2 = isSelected() != z;
            super.setSelected(z);
            if (z2 && z) {
                sendAccessibilityEvent(4);
            }
        }
    }

    public class d extends AnimatorListenerAdapter {

        /* renamed from: d  reason: collision with root package name */
        public boolean f438d = false;

        public d() {
        }

        public void onAnimationCancel(Animator animator) {
            this.f438d = true;
        }

        public void onAnimationEnd(Animator animator) {
            if (!this.f438d) {
                Objects.requireNonNull(ScrollingTabContainerView.this);
                ScrollingTabContainerView.this.setVisibility(0);
            }
        }

        public void onAnimationStart(Animator animator) {
            ScrollingTabContainerView.this.setVisibility(0);
            this.f438d = false;
        }
    }

    static {
        new DecelerateInterpolator();
    }

    public ScrollingTabContainerView(Context context) {
        super(context);
        new d();
        setHorizontalScrollBarEnabled(false);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(null, R$styleable.ActionBar, R$attr.actionBarStyle, 0);
        int layoutDimension = obtainStyledAttributes.getLayoutDimension(R$styleable.ActionBar_height, 0);
        layoutDimension = !context.getResources().getBoolean(R$bool.abc_action_bar_embed_tabs) ? Math.min(layoutDimension, context.getResources().getDimensionPixelSize(R$dimen.abc_action_bar_stacked_max_height)) : layoutDimension;
        obtainStyledAttributes.recycle();
        setContentHeight(layoutDimension);
        this.m = context.getResources().getDimensionPixelSize(R$dimen.abc_action_bar_stacked_tab_max_width);
        LinearLayoutCompat linearLayoutCompat = new LinearLayoutCompat(getContext(), null, R$attr.actionBarTabBarStyle);
        linearLayoutCompat.setMeasureWithLargestChildEnabled(true);
        linearLayoutCompat.setGravity(17);
        linearLayoutCompat.setLayoutParams(new LinearLayoutCompat.a(-2, -1));
        this.f426h = linearLayoutCompat;
        addView(linearLayoutCompat, new ViewGroup.LayoutParams(-2, -1));
    }

    public void a(int i2) {
        View childAt = this.f426h.getChildAt(i2);
        Runnable runnable = this.f425d;
        if (runnable != null) {
            removeCallbacks(runnable);
        }
        a aVar = new a(childAt);
        this.f425d = aVar;
        post(aVar);
    }

    public final boolean b() {
        Spinner spinner = this.f427j;
        if (!(spinner != null && spinner.getParent() == this)) {
            return false;
        }
        removeView(this.f427j);
        addView(this.f426h, new ViewGroup.LayoutParams(-2, -1));
        setTabSelected(this.f427j.getSelectedItemPosition());
        return false;
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        Runnable runnable = this.f425d;
        if (runnable != null) {
            post(runnable);
        }
    }

    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        Context context = getContext();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(null, R$styleable.ActionBar, R$attr.actionBarStyle, 0);
        int layoutDimension = obtainStyledAttributes.getLayoutDimension(R$styleable.ActionBar_height, 0);
        Resources resources = context.getResources();
        if (!context.getResources().getBoolean(R$bool.abc_action_bar_embed_tabs)) {
            layoutDimension = Math.min(layoutDimension, resources.getDimensionPixelSize(R$dimen.abc_action_bar_stacked_max_height));
        }
        obtainStyledAttributes.recycle();
        setContentHeight(layoutDimension);
        this.m = context.getResources().getDimensionPixelSize(R$dimen.abc_action_bar_stacked_tab_max_width);
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        Runnable runnable = this.f425d;
        if (runnable != null) {
            removeCallbacks(runnable);
        }
    }

    @Override // android.widget.AdapterView.OnItemSelectedListener
    public void onItemSelected(AdapterView<?> adapterView, View view, int i2, long j2) {
        ((c) view).f434h.e();
    }

    public void onMeasure(int i2, int i3) {
        int mode = View.MeasureSpec.getMode(i2);
        boolean z = true;
        boolean z2 = mode == 1073741824;
        setFillViewport(z2);
        int childCount = this.f426h.getChildCount();
        if (childCount <= 1 || !(mode == 1073741824 || mode == Integer.MIN_VALUE)) {
            this.f429l = -1;
        } else {
            if (childCount > 2) {
                this.f429l = (int) (((float) View.MeasureSpec.getSize(i2)) * 0.4f);
            } else {
                this.f429l = View.MeasureSpec.getSize(i2) / 2;
            }
            this.f429l = Math.min(this.f429l, this.m);
        }
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(this.n, 1073741824);
        if (!z2 && this.f428k) {
            this.f426h.measure(0, makeMeasureSpec);
            if (this.f426h.getMeasuredWidth() > View.MeasureSpec.getSize(i2)) {
                Spinner spinner = this.f427j;
                if (spinner == null || spinner.getParent() != this) {
                    z = false;
                }
                if (!z) {
                    if (this.f427j == null) {
                        AppCompatSpinner appCompatSpinner = new AppCompatSpinner(getContext(), null, R$attr.actionDropDownStyle);
                        appCompatSpinner.setLayoutParams(new LinearLayoutCompat.a(-2, -1));
                        appCompatSpinner.setOnItemSelectedListener(this);
                        this.f427j = appCompatSpinner;
                    }
                    removeView(this.f426h);
                    addView(this.f427j, new ViewGroup.LayoutParams(-2, -1));
                    if (this.f427j.getAdapter() == null) {
                        this.f427j.setAdapter((SpinnerAdapter) new b());
                    }
                    Runnable runnable = this.f425d;
                    if (runnable != null) {
                        removeCallbacks(runnable);
                        this.f425d = null;
                    }
                    this.f427j.setSelection(this.o);
                }
            } else {
                b();
            }
        } else {
            b();
        }
        int measuredWidth = getMeasuredWidth();
        super.onMeasure(i2, makeMeasureSpec);
        int measuredWidth2 = getMeasuredWidth();
        if (z2 && measuredWidth != measuredWidth2) {
            setTabSelected(this.o);
        }
    }

    @Override // android.widget.AdapterView.OnItemSelectedListener
    public void onNothingSelected(AdapterView<?> adapterView) {
    }

    public void setAllowCollapse(boolean z) {
        this.f428k = z;
    }

    public void setContentHeight(int i2) {
        this.n = i2;
        requestLayout();
    }

    public void setTabSelected(int i2) {
        this.o = i2;
        int childCount = this.f426h.getChildCount();
        int i3 = 0;
        while (i3 < childCount) {
            View childAt = this.f426h.getChildAt(i3);
            boolean z = i3 == i2;
            childAt.setSelected(z);
            if (z) {
                a(i2);
            }
            i3++;
        }
        Spinner spinner = this.f427j;
        if (spinner != null && i2 >= 0) {
            spinner.setSelection(i2);
        }
    }
}
