package androidx.appcompat.widget;

import android.animation.ObjectAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.Region;
import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.text.Layout;
import android.text.StaticLayout;
import android.text.TextPaint;
import android.text.TextUtils;
import android.text.method.TransformationMethod;
import android.util.AttributeSet;
import android.util.Property;
import android.view.ActionMode;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.ViewConfiguration;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.CompoundButton;
import androidx.appcompat.R$attr;
import androidx.appcompat.R$string;
import androidx.appcompat.R$styleable;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.core.R$id;
import androidx.core.view.ViewCompat;
import b.b.f.e0;
import b.b.f.l;
import b.b.f.o;
import b.b.f.v;
import b.b.f.z;
import b.j.h.j;
import java.util.concurrent.atomic.AtomicInteger;

public class SwitchCompat extends CompoundButton {

    /* renamed from: d  reason: collision with root package name */
    public static final Property<SwitchCompat, Float> f462d = new a(Float.class, "thumbPos");

    /* renamed from: h  reason: collision with root package name */
    public static final int[] f463h = {16842912};
    public int A;
    public int B;
    public float C;
    public float D;
    public VelocityTracker E;
    public int F;
    public float G;
    public int H;
    public int I;
    public int J;
    public int K;
    public int L;
    public int M;
    public int N;
    public final TextPaint O;
    public ColorStateList P;
    public Layout Q;
    public Layout R;
    public TransformationMethod S;
    public ObjectAnimator T;
    public final l U;
    public final Rect V;

    /* renamed from: j  reason: collision with root package name */
    public Drawable f464j;

    /* renamed from: k  reason: collision with root package name */
    public ColorStateList f465k;

    /* renamed from: l  reason: collision with root package name */
    public PorterDuff.Mode f466l;
    public boolean m;
    public boolean n;
    public Drawable o;
    public ColorStateList p;
    public PorterDuff.Mode q;
    public boolean r;
    public boolean s;
    public int t;
    public int u;
    public int v;
    public boolean w;
    public CharSequence x;
    public CharSequence y;
    public boolean z;

    public class a extends Property<SwitchCompat, Float> {
        public a(Class cls, String str) {
            super(cls, str);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // android.util.Property
        public Float get(SwitchCompat switchCompat) {
            return Float.valueOf(switchCompat.G);
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, java.lang.Object] */
        @Override // android.util.Property
        public void set(SwitchCompat switchCompat, Float f2) {
            switchCompat.setThumbPosition(f2.floatValue());
        }
    }

    public SwitchCompat(Context context) {
        this(context, null);
    }

    private boolean getTargetCheckedState() {
        return this.G > 0.5f;
    }

    private int getThumbOffset() {
        float f2;
        if (e0.b(this)) {
            f2 = 1.0f - this.G;
        } else {
            f2 = this.G;
        }
        return (int) ((f2 * ((float) getThumbScrollRange())) + 0.5f);
    }

    private int getThumbScrollRange() {
        Rect rect;
        Drawable drawable = this.o;
        if (drawable == null) {
            return 0;
        }
        Rect rect2 = this.V;
        drawable.getPadding(rect2);
        Drawable drawable2 = this.f464j;
        if (drawable2 != null) {
            rect = o.b(drawable2);
        } else {
            rect = o.f2409c;
        }
        return ((((this.H - this.J) - rect2.left) - rect2.right) - rect.left) - rect.right;
    }

    public final void a() {
        Drawable drawable = this.f464j;
        if (drawable == null) {
            return;
        }
        if (this.m || this.n) {
            Drawable mutate = AppCompatDelegateImpl.e.L0(drawable).mutate();
            this.f464j = mutate;
            if (this.m) {
                mutate.setTintList(this.f465k);
            }
            if (this.n) {
                this.f464j.setTintMode(this.f466l);
            }
            if (this.f464j.isStateful()) {
                this.f464j.setState(getDrawableState());
            }
        }
    }

    public final void b() {
        Drawable drawable = this.o;
        if (drawable == null) {
            return;
        }
        if (this.r || this.s) {
            Drawable mutate = AppCompatDelegateImpl.e.L0(drawable).mutate();
            this.o = mutate;
            if (this.r) {
                mutate.setTintList(this.p);
            }
            if (this.s) {
                this.o.setTintMode(this.q);
            }
            if (this.o.isStateful()) {
                this.o.setState(getDrawableState());
            }
        }
    }

    public final Layout c(CharSequence charSequence) {
        TransformationMethod transformationMethod = this.S;
        if (transformationMethod != null) {
            charSequence = transformationMethod.getTransformation(charSequence, this);
        }
        TextPaint textPaint = this.O;
        return new StaticLayout(charSequence, textPaint, charSequence != null ? (int) Math.ceil((double) Layout.getDesiredWidth(charSequence, textPaint)) : 0, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, true);
    }

    public final void d() {
        if (Build.VERSION.SDK_INT >= 30) {
            Object obj = this.y;
            if (obj == null) {
                obj = getResources().getString(R$string.abc_capital_off);
            }
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            new j(R$id.tag_state_description, CharSequence.class, 64, 30).e(this, obj);
        }
    }

    public void draw(Canvas canvas) {
        Rect rect;
        int i2;
        int i3;
        Rect rect2 = this.V;
        int i4 = this.K;
        int i5 = this.L;
        int i6 = this.M;
        int i7 = this.N;
        int thumbOffset = getThumbOffset() + i4;
        Drawable drawable = this.f464j;
        if (drawable != null) {
            rect = o.b(drawable);
        } else {
            rect = o.f2409c;
        }
        Drawable drawable2 = this.o;
        if (drawable2 != null) {
            drawable2.getPadding(rect2);
            int i8 = rect2.left;
            thumbOffset += i8;
            if (rect != null) {
                int i9 = rect.left;
                if (i9 > i8) {
                    i4 += i9 - i8;
                }
                int i10 = rect.top;
                int i11 = rect2.top;
                i2 = i10 > i11 ? (i10 - i11) + i5 : i5;
                int i12 = rect.right;
                int i13 = rect2.right;
                if (i12 > i13) {
                    i6 -= i12 - i13;
                }
                int i14 = rect.bottom;
                int i15 = rect2.bottom;
                if (i14 > i15) {
                    i3 = i7 - (i14 - i15);
                    this.o.setBounds(i4, i2, i6, i3);
                }
            } else {
                i2 = i5;
            }
            i3 = i7;
            this.o.setBounds(i4, i2, i6, i3);
        }
        Drawable drawable3 = this.f464j;
        if (drawable3 != null) {
            drawable3.getPadding(rect2);
            int i16 = thumbOffset - rect2.left;
            int i17 = thumbOffset + this.J + rect2.right;
            this.f464j.setBounds(i16, i5, i17, i7);
            Drawable background = getBackground();
            if (background != null) {
                background.setHotspotBounds(i16, i5, i17, i7);
            }
        }
        super.draw(canvas);
    }

    public void drawableHotspotChanged(float f2, float f3) {
        super.drawableHotspotChanged(f2, f3);
        Drawable drawable = this.f464j;
        if (drawable != null) {
            drawable.setHotspot(f2, f3);
        }
        Drawable drawable2 = this.o;
        if (drawable2 != null) {
            drawable2.setHotspot(f2, f3);
        }
    }

    public void drawableStateChanged() {
        super.drawableStateChanged();
        int[] drawableState = getDrawableState();
        Drawable drawable = this.f464j;
        boolean z2 = false;
        if (drawable != null && drawable.isStateful()) {
            z2 = false | drawable.setState(drawableState);
        }
        Drawable drawable2 = this.o;
        if (drawable2 != null && drawable2.isStateful()) {
            z2 |= drawable2.setState(drawableState);
        }
        if (z2) {
            invalidate();
        }
    }

    public final void e() {
        if (Build.VERSION.SDK_INT >= 30) {
            Object obj = this.x;
            if (obj == null) {
                obj = getResources().getString(R$string.abc_capital_on);
            }
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            new j(R$id.tag_state_description, CharSequence.class, 64, 30).e(this, obj);
        }
    }

    public int getCompoundPaddingLeft() {
        if (!e0.b(this)) {
            return super.getCompoundPaddingLeft();
        }
        int compoundPaddingLeft = super.getCompoundPaddingLeft() + this.H;
        return !TextUtils.isEmpty(getText()) ? compoundPaddingLeft + this.v : compoundPaddingLeft;
    }

    public int getCompoundPaddingRight() {
        if (e0.b(this)) {
            return super.getCompoundPaddingRight();
        }
        int compoundPaddingRight = super.getCompoundPaddingRight() + this.H;
        return !TextUtils.isEmpty(getText()) ? compoundPaddingRight + this.v : compoundPaddingRight;
    }

    public boolean getShowText() {
        return this.z;
    }

    public boolean getSplitTrack() {
        return this.w;
    }

    public int getSwitchMinWidth() {
        return this.u;
    }

    public int getSwitchPadding() {
        return this.v;
    }

    public CharSequence getTextOff() {
        return this.y;
    }

    public CharSequence getTextOn() {
        return this.x;
    }

    public Drawable getThumbDrawable() {
        return this.f464j;
    }

    public int getThumbTextPadding() {
        return this.t;
    }

    public ColorStateList getThumbTintList() {
        return this.f465k;
    }

    public PorterDuff.Mode getThumbTintMode() {
        return this.f466l;
    }

    public Drawable getTrackDrawable() {
        return this.o;
    }

    public ColorStateList getTrackTintList() {
        return this.p;
    }

    public PorterDuff.Mode getTrackTintMode() {
        return this.q;
    }

    public void jumpDrawablesToCurrentState() {
        super.jumpDrawablesToCurrentState();
        Drawable drawable = this.f464j;
        if (drawable != null) {
            drawable.jumpToCurrentState();
        }
        Drawable drawable2 = this.o;
        if (drawable2 != null) {
            drawable2.jumpToCurrentState();
        }
        ObjectAnimator objectAnimator = this.T;
        if (objectAnimator != null && objectAnimator.isStarted()) {
            this.T.end();
            this.T = null;
        }
    }

    public int[] onCreateDrawableState(int i2) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i2 + 1);
        if (isChecked()) {
            CompoundButton.mergeDrawableStates(onCreateDrawableState, f463h);
        }
        return onCreateDrawableState;
    }

    public void onDraw(Canvas canvas) {
        int i2;
        super.onDraw(canvas);
        Rect rect = this.V;
        Drawable drawable = this.o;
        if (drawable != null) {
            drawable.getPadding(rect);
        } else {
            rect.setEmpty();
        }
        int i3 = this.L;
        int i4 = this.N;
        int i5 = i3 + rect.top;
        int i6 = i4 - rect.bottom;
        Drawable drawable2 = this.f464j;
        if (drawable != null) {
            if (!this.w || drawable2 == null) {
                drawable.draw(canvas);
            } else {
                Rect b2 = o.b(drawable2);
                drawable2.copyBounds(rect);
                rect.left += b2.left;
                rect.right -= b2.right;
                int save = canvas.save();
                canvas.clipRect(rect, Region.Op.DIFFERENCE);
                drawable.draw(canvas);
                canvas.restoreToCount(save);
            }
        }
        int save2 = canvas.save();
        if (drawable2 != null) {
            drawable2.draw(canvas);
        }
        Layout layout = getTargetCheckedState() ? this.Q : this.R;
        if (layout != null) {
            int[] drawableState = getDrawableState();
            ColorStateList colorStateList = this.P;
            if (colorStateList != null) {
                this.O.setColor(colorStateList.getColorForState(drawableState, 0));
            }
            this.O.drawableState = drawableState;
            if (drawable2 != null) {
                Rect bounds = drawable2.getBounds();
                i2 = bounds.left + bounds.right;
            } else {
                i2 = getWidth();
            }
            canvas.translate((float) ((i2 / 2) - (layout.getWidth() / 2)), (float) (((i5 + i6) / 2) - (layout.getHeight() / 2)));
            layout.draw(canvas);
        }
        canvas.restoreToCount(save2);
    }

    public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        super.onInitializeAccessibilityEvent(accessibilityEvent);
        accessibilityEvent.setClassName("android.widget.Switch");
    }

    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        accessibilityNodeInfo.setClassName("android.widget.Switch");
        if (Build.VERSION.SDK_INT < 30) {
            CharSequence charSequence = isChecked() ? this.x : this.y;
            if (!TextUtils.isEmpty(charSequence)) {
                CharSequence text = accessibilityNodeInfo.getText();
                if (TextUtils.isEmpty(text)) {
                    accessibilityNodeInfo.setText(charSequence);
                    return;
                }
                StringBuilder sb = new StringBuilder();
                sb.append(text);
                sb.append(' ');
                sb.append(charSequence);
                accessibilityNodeInfo.setText(sb);
            }
        }
    }

    public void onLayout(boolean z2, int i2, int i3, int i4, int i5) {
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        super.onLayout(z2, i2, i3, i4, i5);
        int i11 = 0;
        if (this.f464j != null) {
            Rect rect = this.V;
            Drawable drawable = this.o;
            if (drawable != null) {
                drawable.getPadding(rect);
            } else {
                rect.setEmpty();
            }
            Rect b2 = o.b(this.f464j);
            i6 = Math.max(0, b2.left - rect.left);
            i11 = Math.max(0, b2.right - rect.right);
        } else {
            i6 = 0;
        }
        if (e0.b(this)) {
            i8 = getPaddingLeft() + i6;
            i7 = ((this.H + i8) - i6) - i11;
        } else {
            i7 = (getWidth() - getPaddingRight()) - i11;
            i8 = (i7 - this.H) + i6 + i11;
        }
        int gravity = getGravity() & 112;
        if (gravity == 16) {
            int paddingTop = getPaddingTop();
            int i12 = this.I;
            int height = (((getHeight() + paddingTop) - getPaddingBottom()) / 2) - (i12 / 2);
            i9 = i12 + height;
            i10 = height;
        } else if (gravity != 80) {
            i10 = getPaddingTop();
            i9 = this.I + i10;
        } else {
            i9 = getHeight() - getPaddingBottom();
            i10 = i9 - this.I;
        }
        this.K = i8;
        this.L = i10;
        this.N = i9;
        this.M = i7;
    }

    public void onMeasure(int i2, int i3) {
        int i4;
        int i5;
        int i6;
        if (this.z) {
            if (this.Q == null) {
                this.Q = c(this.x);
            }
            if (this.R == null) {
                this.R = c(this.y);
            }
        }
        Rect rect = this.V;
        Drawable drawable = this.f464j;
        int i7 = 0;
        if (drawable != null) {
            drawable.getPadding(rect);
            i5 = (this.f464j.getIntrinsicWidth() - rect.left) - rect.right;
            i4 = this.f464j.getIntrinsicHeight();
        } else {
            i5 = 0;
            i4 = 0;
        }
        if (this.z) {
            i6 = (this.t * 2) + Math.max(this.Q.getWidth(), this.R.getWidth());
        } else {
            i6 = 0;
        }
        this.J = Math.max(i6, i5);
        Drawable drawable2 = this.o;
        if (drawable2 != null) {
            drawable2.getPadding(rect);
            i7 = this.o.getIntrinsicHeight();
        } else {
            rect.setEmpty();
        }
        int i8 = rect.left;
        int i9 = rect.right;
        Drawable drawable3 = this.f464j;
        if (drawable3 != null) {
            Rect b2 = o.b(drawable3);
            i8 = Math.max(i8, b2.left);
            i9 = Math.max(i9, b2.right);
        }
        int max = Math.max(this.u, (this.J * 2) + i8 + i9);
        int max2 = Math.max(i7, i4);
        this.H = max;
        this.I = max2;
        super.onMeasure(i2, i3);
        if (getMeasuredHeight() < max2) {
            setMeasuredDimension(getMeasuredWidthAndState(), max2);
        }
    }

    public void onPopulateAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        super.onPopulateAccessibilityEvent(accessibilityEvent);
        CharSequence charSequence = isChecked() ? this.x : this.y;
        if (charSequence != null) {
            accessibilityEvent.getText().add(charSequence);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:5:0x0014, code lost:
        if (r0 != 3) goto L_0x0153;
     */
    public boolean onTouchEvent(MotionEvent motionEvent) {
        boolean z2;
        this.E.addMovement(motionEvent);
        int actionMasked = motionEvent.getActionMasked();
        boolean z3 = false;
        if (actionMasked != 0) {
            float f2 = 0.0f;
            if (actionMasked != 1) {
                if (actionMasked == 2) {
                    int i2 = this.A;
                    if (i2 == 1) {
                        float x2 = motionEvent.getX();
                        float y2 = motionEvent.getY();
                        if (Math.abs(x2 - this.C) > ((float) this.B) || Math.abs(y2 - this.D) > ((float) this.B)) {
                            this.A = 2;
                            getParent().requestDisallowInterceptTouchEvent(true);
                            this.C = x2;
                            this.D = y2;
                            return true;
                        }
                    } else if (i2 == 2) {
                        float x3 = motionEvent.getX();
                        int thumbScrollRange = getThumbScrollRange();
                        float f3 = x3 - this.C;
                        float f4 = thumbScrollRange != 0 ? f3 / ((float) thumbScrollRange) : f3 > 0.0f ? 1.0f : -1.0f;
                        if (e0.b(this)) {
                            f4 = -f4;
                        }
                        float f5 = this.G;
                        float f6 = f4 + f5;
                        if (f6 >= 0.0f) {
                            f2 = f6 > 1.0f ? 1.0f : f6;
                        }
                        if (f2 != f5) {
                            this.C = x3;
                            setThumbPosition(f2);
                        }
                        return true;
                    }
                }
            }
            if (this.A == 2) {
                this.A = 0;
                boolean z4 = motionEvent.getAction() == 1 && isEnabled();
                boolean isChecked = isChecked();
                if (z4) {
                    this.E.computeCurrentVelocity(1000);
                    float xVelocity = this.E.getXVelocity();
                    z2 = Math.abs(xVelocity) > ((float) this.F) ? !e0.b(this) ? xVelocity > 0.0f : xVelocity < 0.0f : getTargetCheckedState();
                } else {
                    z2 = isChecked;
                }
                if (z2 != isChecked) {
                    playSoundEffect(0);
                }
                setChecked(z2);
                MotionEvent obtain = MotionEvent.obtain(motionEvent);
                obtain.setAction(3);
                super.onTouchEvent(obtain);
                obtain.recycle();
                super.onTouchEvent(motionEvent);
                return true;
            }
            this.A = 0;
            this.E.clear();
        } else {
            float x4 = motionEvent.getX();
            float y3 = motionEvent.getY();
            if (isEnabled()) {
                if (this.f464j != null) {
                    int thumbOffset = getThumbOffset();
                    this.f464j.getPadding(this.V);
                    int i3 = this.L;
                    int i4 = this.B;
                    int i5 = i3 - i4;
                    int i6 = (this.K + thumbOffset) - i4;
                    Rect rect = this.V;
                    int i7 = this.J + i6 + rect.left + rect.right + i4;
                    int i8 = this.N + i4;
                    if (x4 > ((float) i6) && x4 < ((float) i7) && y3 > ((float) i5) && y3 < ((float) i8)) {
                        z3 = true;
                    }
                }
                if (z3) {
                    this.A = 1;
                    this.C = x4;
                    this.D = y3;
                }
            }
        }
        return super.onTouchEvent(motionEvent);
    }

    public void setChecked(boolean z2) {
        super.setChecked(z2);
        boolean isChecked = isChecked();
        if (isChecked) {
            e();
        } else {
            d();
        }
        float f2 = 1.0f;
        if (getWindowToken() != null) {
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            if (isLaidOut()) {
                if (!isChecked) {
                    f2 = 0.0f;
                }
                ObjectAnimator ofFloat = ObjectAnimator.ofFloat(this, f462d, f2);
                this.T = ofFloat;
                ofFloat.setDuration(250L);
                this.T.setAutoCancel(true);
                this.T.start();
                return;
            }
        }
        ObjectAnimator objectAnimator = this.T;
        if (objectAnimator != null) {
            objectAnimator.cancel();
        }
        if (!isChecked) {
            f2 = 0.0f;
        }
        setThumbPosition(f2);
    }

    public void setCustomSelectionActionModeCallback(ActionMode.Callback callback) {
        super.setCustomSelectionActionModeCallback(AppCompatDelegateImpl.e.M0(this, callback));
    }

    public void setShowText(boolean z2) {
        if (this.z != z2) {
            this.z = z2;
            requestLayout();
        }
    }

    public void setSplitTrack(boolean z2) {
        this.w = z2;
        invalidate();
    }

    public void setSwitchMinWidth(int i2) {
        this.u = i2;
        requestLayout();
    }

    public void setSwitchPadding(int i2) {
        this.v = i2;
        requestLayout();
    }

    public void setSwitchTypeface(Typeface typeface) {
        if ((this.O.getTypeface() != null && !this.O.getTypeface().equals(typeface)) || (this.O.getTypeface() == null && typeface != null)) {
            this.O.setTypeface(typeface);
            requestLayout();
            invalidate();
        }
    }

    public void setTextOff(CharSequence charSequence) {
        this.y = charSequence;
        requestLayout();
        if (!isChecked()) {
            d();
        }
    }

    public void setTextOn(CharSequence charSequence) {
        this.x = charSequence;
        requestLayout();
        if (isChecked()) {
            e();
        }
    }

    public void setThumbDrawable(Drawable drawable) {
        Drawable drawable2 = this.f464j;
        if (drawable2 != null) {
            drawable2.setCallback(null);
        }
        this.f464j = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
        }
        requestLayout();
    }

    public void setThumbPosition(float f2) {
        this.G = f2;
        invalidate();
    }

    public void setThumbResource(int i2) {
        setThumbDrawable(b.b.b.a.a.b(getContext(), i2));
    }

    public void setThumbTextPadding(int i2) {
        this.t = i2;
        requestLayout();
    }

    public void setThumbTintList(ColorStateList colorStateList) {
        this.f465k = colorStateList;
        this.m = true;
        a();
    }

    public void setThumbTintMode(PorterDuff.Mode mode) {
        this.f466l = mode;
        this.n = true;
        a();
    }

    public void setTrackDrawable(Drawable drawable) {
        Drawable drawable2 = this.o;
        if (drawable2 != null) {
            drawable2.setCallback(null);
        }
        this.o = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
        }
        requestLayout();
    }

    public void setTrackResource(int i2) {
        setTrackDrawable(b.b.b.a.a.b(getContext(), i2));
    }

    public void setTrackTintList(ColorStateList colorStateList) {
        this.p = colorStateList;
        this.r = true;
        b();
    }

    public void setTrackTintMode(PorterDuff.Mode mode) {
        this.q = mode;
        this.s = true;
        b();
    }

    public void toggle() {
        setChecked(!isChecked());
    }

    public boolean verifyDrawable(Drawable drawable) {
        return super.verifyDrawable(drawable) || drawable == this.f464j || drawable == this.o;
    }

    public SwitchCompat(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R$attr.switchStyle);
    }

    public SwitchCompat(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        Typeface typeface;
        Typeface typeface2;
        int resourceId;
        this.f465k = null;
        this.f466l = null;
        this.m = false;
        this.n = false;
        this.p = null;
        this.q = null;
        this.r = false;
        this.s = false;
        this.E = VelocityTracker.obtain();
        this.V = new Rect();
        v.a(this, getContext());
        boolean z2 = true;
        TextPaint textPaint = new TextPaint(1);
        this.O = textPaint;
        textPaint.density = getResources().getDisplayMetrics().density;
        int[] iArr = R$styleable.SwitchCompat;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, iArr, i2, 0);
        z zVar = new z(context, obtainStyledAttributes);
        ViewCompat.t(this, context, iArr, attributeSet, obtainStyledAttributes, i2, 0);
        Drawable g2 = zVar.g(R$styleable.SwitchCompat_android_thumb);
        this.f464j = g2;
        if (g2 != null) {
            g2.setCallback(this);
        }
        Drawable g3 = zVar.g(R$styleable.SwitchCompat_track);
        this.o = g3;
        if (g3 != null) {
            g3.setCallback(this);
        }
        this.x = zVar.o(R$styleable.SwitchCompat_android_textOn);
        this.y = zVar.o(R$styleable.SwitchCompat_android_textOff);
        this.z = zVar.a(R$styleable.SwitchCompat_showText, true);
        this.t = zVar.f(R$styleable.SwitchCompat_thumbTextPadding, 0);
        this.u = zVar.f(R$styleable.SwitchCompat_switchMinWidth, 0);
        this.v = zVar.f(R$styleable.SwitchCompat_switchPadding, 0);
        this.w = zVar.a(R$styleable.SwitchCompat_splitTrack, false);
        ColorStateList c2 = zVar.c(R$styleable.SwitchCompat_thumbTint);
        if (c2 != null) {
            this.f465k = c2;
            this.m = true;
        }
        PorterDuff.Mode c3 = o.c(zVar.j(R$styleable.SwitchCompat_thumbTintMode, -1), null);
        if (this.f466l != c3) {
            this.f466l = c3;
            this.n = true;
        }
        if (this.m || this.n) {
            a();
        }
        ColorStateList c4 = zVar.c(R$styleable.SwitchCompat_trackTint);
        if (c4 != null) {
            this.p = c4;
            this.r = true;
        }
        PorterDuff.Mode c5 = o.c(zVar.j(R$styleable.SwitchCompat_trackTintMode, -1), null);
        if (this.q != c5) {
            this.q = c5;
            this.s = true;
        }
        if (this.r || this.s) {
            b();
        }
        int m2 = zVar.m(R$styleable.SwitchCompat_switchTextAppearance, 0);
        if (m2 != 0) {
            TypedArray obtainStyledAttributes2 = context.obtainStyledAttributes(m2, R$styleable.TextAppearance);
            int i3 = R$styleable.TextAppearance_android_textColor;
            ColorStateList colorStateList = (!obtainStyledAttributes2.hasValue(i3) || (resourceId = obtainStyledAttributes2.getResourceId(i3, 0)) == 0 || (colorStateList = b.b.b.a.a.a(context, resourceId)) == null) ? obtainStyledAttributes2.getColorStateList(i3) : colorStateList;
            if (colorStateList != null) {
                this.P = colorStateList;
            } else {
                this.P = getTextColors();
            }
            int dimensionPixelSize = obtainStyledAttributes2.getDimensionPixelSize(R$styleable.TextAppearance_android_textSize, 0);
            if (dimensionPixelSize != 0) {
                float f2 = (float) dimensionPixelSize;
                if (f2 != textPaint.getTextSize()) {
                    textPaint.setTextSize(f2);
                    requestLayout();
                }
            }
            int i4 = obtainStyledAttributes2.getInt(R$styleable.TextAppearance_android_typeface, -1);
            int i5 = obtainStyledAttributes2.getInt(R$styleable.TextAppearance_android_textStyle, -1);
            if (i4 == 1) {
                typeface = Typeface.SANS_SERIF;
            } else if (i4 == 2) {
                typeface = Typeface.SERIF;
            } else if (i4 != 3) {
                typeface = null;
            } else {
                typeface = Typeface.MONOSPACE;
            }
            float f3 = 0.0f;
            if (i5 > 0) {
                if (typeface == null) {
                    typeface2 = Typeface.defaultFromStyle(i5);
                } else {
                    typeface2 = Typeface.create(typeface, i5);
                }
                setSwitchTypeface(typeface2);
                int i6 = i5 & (~(typeface2 != null ? typeface2.getStyle() : 0));
                textPaint.setFakeBoldText((i6 & 1) == 0 ? false : z2);
                textPaint.setTextSkewX((i6 & 2) != 0 ? -0.25f : f3);
            } else {
                textPaint.setFakeBoldText(false);
                textPaint.setTextSkewX(0.0f);
                setSwitchTypeface(typeface);
            }
            if (obtainStyledAttributes2.getBoolean(R$styleable.TextAppearance_textAllCaps, false)) {
                this.S = new b.b.d.a(getContext());
            } else {
                this.S = null;
            }
            obtainStyledAttributes2.recycle();
        }
        l lVar = new l(this);
        this.U = lVar;
        lVar.e(attributeSet, i2);
        obtainStyledAttributes.recycle();
        ViewConfiguration viewConfiguration = ViewConfiguration.get(context);
        this.B = viewConfiguration.getScaledTouchSlop();
        this.F = viewConfiguration.getScaledMinimumFlingVelocity();
        refreshDrawableState();
        setChecked(isChecked());
    }
}
