package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.drawable.Drawable;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.ContextThemeWrapper;
import android.view.Gravity;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.appcompat.R$attr;
import androidx.appcompat.R$styleable;
import androidx.appcompat.app.ActionBar;
import androidx.appcompat.view.CollapsibleActionView;
import androidx.appcompat.view.menu.MenuBuilder;
import androidx.appcompat.view.menu.MenuItemImpl;
import androidx.appcompat.view.menu.MenuPresenter;
import androidx.appcompat.view.menu.MenuView;
import androidx.appcompat.view.menu.SubMenuBuilder;
import androidx.appcompat.widget.ActionMenuView;
import androidx.core.view.ViewCompat;
import androidx.customview.view.AbsSavedState;
import b.b.f.e0;
import b.b.f.t;
import b.b.f.z;
import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.atomic.AtomicInteger;

public class Toolbar extends ViewGroup {
    public t A;
    public int B;
    public int C;
    public int D;
    public CharSequence E;
    public CharSequence F;
    public ColorStateList G;
    public ColorStateList H;
    public boolean I;
    public boolean J;
    public final ArrayList<View> K;
    public final ArrayList<View> L;
    public final int[] M;
    public OnMenuItemClickListener N;
    public final ActionMenuView.OnMenuItemClickListener O;
    public ToolbarWidgetWrapper P;
    public ActionMenuPresenter Q;
    public d R;
    public MenuPresenter.Callback S;
    public MenuBuilder.Callback T;
    public boolean U;
    public final Runnable V;

    /* renamed from: d  reason: collision with root package name */
    public ActionMenuView f467d;

    /* renamed from: h  reason: collision with root package name */
    public TextView f468h;

    /* renamed from: j  reason: collision with root package name */
    public TextView f469j;

    /* renamed from: k  reason: collision with root package name */
    public ImageButton f470k;

    /* renamed from: l  reason: collision with root package name */
    public ImageView f471l;
    public Drawable m;
    public CharSequence n;
    public ImageButton o;
    public View p;
    public Context q;
    public int r;
    public int s;
    public int t;
    public int u;
    public int v;
    public int w;
    public int x;
    public int y;
    public int z;

    public interface OnMenuItemClickListener {
        boolean onMenuItemClick(MenuItem menuItem);
    }

    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        public int expandedMenuItemId;
        public boolean isOverflowOpen;

        public class a implements Parcelable.ClassLoaderCreator<SavedState> {
            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // android.os.Parcelable.ClassLoaderCreator
            public SavedState createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            public Object[] newArray(int i2) {
                return new SavedState[i2];
            }

            @Override // android.os.Parcelable.Creator
            public Object createFromParcel(Parcel parcel) {
                return new SavedState(parcel, null);
            }
        }

        public SavedState(Parcel parcel) {
            this(parcel, null);
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(Parcel parcel, int i2) {
            super.writeToParcel(parcel, i2);
            parcel.writeInt(this.expandedMenuItemId);
            parcel.writeInt(this.isOverflowOpen ? 1 : 0);
        }

        public SavedState(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.expandedMenuItemId = parcel.readInt();
            this.isOverflowOpen = parcel.readInt() != 0;
        }

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }
    }

    public class a implements ActionMenuView.OnMenuItemClickListener {
        public a() {
        }

        @Override // androidx.appcompat.widget.ActionMenuView.OnMenuItemClickListener
        public boolean onMenuItemClick(MenuItem menuItem) {
            OnMenuItemClickListener onMenuItemClickListener = Toolbar.this.N;
            if (onMenuItemClickListener != null) {
                return onMenuItemClickListener.onMenuItemClick(menuItem);
            }
            return false;
        }
    }

    public class b implements Runnable {
        public b() {
        }

        public void run() {
            Toolbar.this.v();
        }
    }

    public class c implements View.OnClickListener {
        public c() {
        }

        public void onClick(View view) {
            MenuItemImpl menuItemImpl;
            d dVar = Toolbar.this.R;
            if (dVar == null) {
                menuItemImpl = null;
            } else {
                menuItemImpl = dVar.f477h;
            }
            if (menuItemImpl != null) {
                menuItemImpl.collapseActionView();
            }
        }
    }

    public class d implements MenuPresenter {

        /* renamed from: d  reason: collision with root package name */
        public MenuBuilder f476d;

        /* renamed from: h  reason: collision with root package name */
        public MenuItemImpl f477h;

        public d() {
        }

        @Override // androidx.appcompat.view.menu.MenuPresenter
        public boolean collapseItemActionView(MenuBuilder menuBuilder, MenuItemImpl menuItemImpl) {
            View view = Toolbar.this.p;
            if (view instanceof CollapsibleActionView) {
                ((CollapsibleActionView) view).onActionViewCollapsed();
            }
            Toolbar toolbar = Toolbar.this;
            toolbar.removeView(toolbar.p);
            Toolbar toolbar2 = Toolbar.this;
            toolbar2.removeView(toolbar2.o);
            Toolbar toolbar3 = Toolbar.this;
            toolbar3.p = null;
            int size = toolbar3.L.size();
            while (true) {
                size--;
                if (size >= 0) {
                    toolbar3.addView(toolbar3.L.get(size));
                } else {
                    toolbar3.L.clear();
                    this.f477h = null;
                    Toolbar.this.requestLayout();
                    menuItemImpl.C = false;
                    menuItemImpl.n.r(false);
                    return true;
                }
            }
        }

        @Override // androidx.appcompat.view.menu.MenuPresenter
        public boolean expandItemActionView(MenuBuilder menuBuilder, MenuItemImpl menuItemImpl) {
            Toolbar.this.c();
            ViewParent parent = Toolbar.this.o.getParent();
            Toolbar toolbar = Toolbar.this;
            if (parent != toolbar) {
                if (parent instanceof ViewGroup) {
                    ((ViewGroup) parent).removeView(toolbar.o);
                }
                Toolbar toolbar2 = Toolbar.this;
                toolbar2.addView(toolbar2.o);
            }
            Toolbar.this.p = menuItemImpl.getActionView();
            this.f477h = menuItemImpl;
            ViewParent parent2 = Toolbar.this.p.getParent();
            Toolbar toolbar3 = Toolbar.this;
            if (parent2 != toolbar3) {
                if (parent2 instanceof ViewGroup) {
                    ((ViewGroup) parent2).removeView(toolbar3.p);
                }
                LayoutParams h2 = Toolbar.this.generateDefaultLayoutParams();
                Toolbar toolbar4 = Toolbar.this;
                h2.f84a = 8388611 | (toolbar4.u & 112);
                h2.f472b = 2;
                toolbar4.p.setLayoutParams(h2);
                Toolbar toolbar5 = Toolbar.this;
                toolbar5.addView(toolbar5.p);
            }
            Toolbar toolbar6 = Toolbar.this;
            int childCount = toolbar6.getChildCount();
            while (true) {
                childCount--;
                if (childCount < 0) {
                    break;
                }
                View childAt = toolbar6.getChildAt(childCount);
                if (!(((LayoutParams) childAt.getLayoutParams()).f472b == 2 || childAt == toolbar6.f467d)) {
                    toolbar6.removeViewAt(childCount);
                    toolbar6.L.add(childAt);
                }
            }
            Toolbar.this.requestLayout();
            menuItemImpl.C = true;
            menuItemImpl.n.r(false);
            View view = Toolbar.this.p;
            if (view instanceof CollapsibleActionView) {
                ((CollapsibleActionView) view).onActionViewExpanded();
            }
            return true;
        }

        @Override // androidx.appcompat.view.menu.MenuPresenter
        public boolean flagActionItems() {
            return false;
        }

        @Override // androidx.appcompat.view.menu.MenuPresenter
        public int getId() {
            return 0;
        }

        @Override // androidx.appcompat.view.menu.MenuPresenter
        public MenuView getMenuView(ViewGroup viewGroup) {
            return null;
        }

        @Override // androidx.appcompat.view.menu.MenuPresenter
        public void initForMenu(Context context, MenuBuilder menuBuilder) {
            MenuItemImpl menuItemImpl;
            MenuBuilder menuBuilder2 = this.f476d;
            if (!(menuBuilder2 == null || (menuItemImpl = this.f477h) == null)) {
                menuBuilder2.d(menuItemImpl);
            }
            this.f476d = menuBuilder;
        }

        @Override // androidx.appcompat.view.menu.MenuPresenter
        public void onCloseMenu(MenuBuilder menuBuilder, boolean z) {
        }

        @Override // androidx.appcompat.view.menu.MenuPresenter
        public void onRestoreInstanceState(Parcelable parcelable) {
        }

        @Override // androidx.appcompat.view.menu.MenuPresenter
        public Parcelable onSaveInstanceState() {
            return null;
        }

        @Override // androidx.appcompat.view.menu.MenuPresenter
        public boolean onSubMenuSelected(SubMenuBuilder subMenuBuilder) {
            return false;
        }

        @Override // androidx.appcompat.view.menu.MenuPresenter
        public void setCallback(MenuPresenter.Callback callback) {
        }

        @Override // androidx.appcompat.view.menu.MenuPresenter
        public void updateMenuView(boolean z) {
            if (this.f477h != null) {
                MenuBuilder menuBuilder = this.f476d;
                boolean z2 = false;
                if (menuBuilder != null) {
                    int size = menuBuilder.size();
                    int i2 = 0;
                    while (true) {
                        if (i2 >= size) {
                            break;
                        } else if (this.f476d.getItem(i2) == this.f477h) {
                            z2 = true;
                            break;
                        } else {
                            i2++;
                        }
                    }
                }
                if (!z2) {
                    collapseItemActionView(this.f476d, this.f477h);
                }
            }
        }
    }

    public Toolbar(Context context) {
        this(context, null);
    }

    private MenuInflater getMenuInflater() {
        return new b.b.e.b(getContext());
    }

    public final void a(List<View> list, int i2) {
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        boolean z2 = getLayoutDirection() == 1;
        int childCount = getChildCount();
        int absoluteGravity = Gravity.getAbsoluteGravity(i2, getLayoutDirection());
        list.clear();
        if (z2) {
            for (int i3 = childCount - 1; i3 >= 0; i3--) {
                View childAt = getChildAt(i3);
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                if (layoutParams.f472b == 0 && u(childAt) && j(layoutParams.f84a) == absoluteGravity) {
                    list.add(childAt);
                }
            }
            return;
        }
        for (int i4 = 0; i4 < childCount; i4++) {
            View childAt2 = getChildAt(i4);
            LayoutParams layoutParams2 = (LayoutParams) childAt2.getLayoutParams();
            if (layoutParams2.f472b == 0 && u(childAt2) && j(layoutParams2.f84a) == absoluteGravity) {
                list.add(childAt2);
            }
        }
    }

    public final void b(View view, boolean z2) {
        LayoutParams layoutParams;
        ViewGroup.LayoutParams layoutParams2 = view.getLayoutParams();
        if (layoutParams2 == null) {
            layoutParams = generateDefaultLayoutParams();
        } else if (!checkLayoutParams(layoutParams2)) {
            layoutParams = generateLayoutParams(layoutParams2);
        } else {
            layoutParams = (LayoutParams) layoutParams2;
        }
        layoutParams.f472b = 1;
        if (!z2 || this.p == null) {
            addView(view, layoutParams);
            return;
        }
        view.setLayoutParams(layoutParams);
        this.L.add(view);
    }

    public void c() {
        if (this.o == null) {
            AppCompatImageButton appCompatImageButton = new AppCompatImageButton(getContext(), null, R$attr.toolbarNavigationButtonStyle);
            this.o = appCompatImageButton;
            appCompatImageButton.setImageDrawable(this.m);
            this.o.setContentDescription(this.n);
            LayoutParams h2 = generateDefaultLayoutParams();
            h2.f84a = 8388611 | (this.u & 112);
            h2.f472b = 2;
            this.o.setLayoutParams(h2);
            this.o.setOnClickListener(new c());
        }
    }

    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return super.checkLayoutParams(layoutParams) && (layoutParams instanceof LayoutParams);
    }

    public final void d() {
        if (this.A == null) {
            this.A = new t();
        }
    }

    public final void e() {
        f();
        ActionMenuView actionMenuView = this.f467d;
        if (actionMenuView.w == null) {
            MenuBuilder menuBuilder = (MenuBuilder) actionMenuView.getMenu();
            if (this.R == null) {
                this.R = new d();
            }
            this.f467d.setExpandedActionViewsExclusive(true);
            menuBuilder.b(this.R, this.q);
        }
    }

    public final void f() {
        if (this.f467d == null) {
            ActionMenuView actionMenuView = new ActionMenuView(getContext());
            this.f467d = actionMenuView;
            actionMenuView.setPopupTheme(this.r);
            this.f467d.setOnMenuItemClickListener(this.O);
            ActionMenuView actionMenuView2 = this.f467d;
            MenuPresenter.Callback callback = this.S;
            MenuBuilder.Callback callback2 = this.T;
            actionMenuView2.B = callback;
            actionMenuView2.C = callback2;
            LayoutParams h2 = generateDefaultLayoutParams();
            h2.f84a = 8388613 | (this.u & 112);
            this.f467d.setLayoutParams(h2);
            b(this.f467d, false);
        }
    }

    public final void g() {
        if (this.f470k == null) {
            this.f470k = new AppCompatImageButton(getContext(), null, R$attr.toolbarNavigationButtonStyle);
            LayoutParams h2 = generateDefaultLayoutParams();
            h2.f84a = 8388611 | (this.u & 112);
            this.f470k.setLayoutParams(h2);
        }
    }

    public CharSequence getCollapseContentDescription() {
        ImageButton imageButton = this.o;
        if (imageButton != null) {
            return imageButton.getContentDescription();
        }
        return null;
    }

    public Drawable getCollapseIcon() {
        ImageButton imageButton = this.o;
        if (imageButton != null) {
            return imageButton.getDrawable();
        }
        return null;
    }

    public int getContentInsetEnd() {
        t tVar = this.A;
        if (tVar != null) {
            return tVar.f2432g ? tVar.f2426a : tVar.f2427b;
        }
        return 0;
    }

    public int getContentInsetEndWithActions() {
        int i2 = this.C;
        return i2 != Integer.MIN_VALUE ? i2 : getContentInsetEnd();
    }

    public int getContentInsetLeft() {
        t tVar = this.A;
        if (tVar != null) {
            return tVar.f2426a;
        }
        return 0;
    }

    public int getContentInsetRight() {
        t tVar = this.A;
        if (tVar != null) {
            return tVar.f2427b;
        }
        return 0;
    }

    public int getContentInsetStart() {
        t tVar = this.A;
        if (tVar != null) {
            return tVar.f2432g ? tVar.f2427b : tVar.f2426a;
        }
        return 0;
    }

    public int getContentInsetStartWithNavigation() {
        int i2 = this.B;
        return i2 != Integer.MIN_VALUE ? i2 : getContentInsetStart();
    }

    public int getCurrentContentInsetEnd() {
        MenuBuilder menuBuilder;
        ActionMenuView actionMenuView = this.f467d;
        if ((actionMenuView == null || (menuBuilder = actionMenuView.w) == null || !menuBuilder.hasVisibleItems()) ? false : true) {
            return Math.max(getContentInsetEnd(), Math.max(this.C, 0));
        }
        return getContentInsetEnd();
    }

    public int getCurrentContentInsetLeft() {
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        if (getLayoutDirection() == 1) {
            return getCurrentContentInsetEnd();
        }
        return getCurrentContentInsetStart();
    }

    public int getCurrentContentInsetRight() {
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        if (getLayoutDirection() == 1) {
            return getCurrentContentInsetStart();
        }
        return getCurrentContentInsetEnd();
    }

    public int getCurrentContentInsetStart() {
        if (getNavigationIcon() != null) {
            return Math.max(getContentInsetStart(), Math.max(this.B, 0));
        }
        return getContentInsetStart();
    }

    public Drawable getLogo() {
        ImageView imageView = this.f471l;
        if (imageView != null) {
            return imageView.getDrawable();
        }
        return null;
    }

    public CharSequence getLogoDescription() {
        ImageView imageView = this.f471l;
        if (imageView != null) {
            return imageView.getContentDescription();
        }
        return null;
    }

    public Menu getMenu() {
        e();
        return this.f467d.getMenu();
    }

    public CharSequence getNavigationContentDescription() {
        ImageButton imageButton = this.f470k;
        if (imageButton != null) {
            return imageButton.getContentDescription();
        }
        return null;
    }

    public Drawable getNavigationIcon() {
        ImageButton imageButton = this.f470k;
        if (imageButton != null) {
            return imageButton.getDrawable();
        }
        return null;
    }

    public ActionMenuPresenter getOuterActionMenuPresenter() {
        return this.Q;
    }

    public Drawable getOverflowIcon() {
        e();
        return this.f467d.getOverflowIcon();
    }

    public Context getPopupContext() {
        return this.q;
    }

    public int getPopupTheme() {
        return this.r;
    }

    public CharSequence getSubtitle() {
        return this.F;
    }

    public final TextView getSubtitleTextView() {
        return this.f469j;
    }

    public CharSequence getTitle() {
        return this.E;
    }

    public int getTitleMarginBottom() {
        return this.z;
    }

    public int getTitleMarginEnd() {
        return this.x;
    }

    public int getTitleMarginStart() {
        return this.w;
    }

    public int getTitleMarginTop() {
        return this.y;
    }

    public final TextView getTitleTextView() {
        return this.f468h;
    }

    public DecorToolbar getWrapper() {
        if (this.P == null) {
            this.P = new ToolbarWidgetWrapper(this, true);
        }
        return this.P;
    }

    /* renamed from: h */
    public LayoutParams generateDefaultLayoutParams() {
        return new LayoutParams(-2, -2);
    }

    /* renamed from: i */
    public LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        if (layoutParams instanceof LayoutParams) {
            return new LayoutParams((LayoutParams) layoutParams);
        }
        if (layoutParams instanceof ActionBar.a) {
            return new LayoutParams((ActionBar.a) layoutParams);
        }
        if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
            return new LayoutParams((ViewGroup.MarginLayoutParams) layoutParams);
        }
        return new LayoutParams(layoutParams);
    }

    public final int j(int i2) {
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        int layoutDirection = getLayoutDirection();
        int absoluteGravity = Gravity.getAbsoluteGravity(i2, layoutDirection) & 7;
        if (absoluteGravity == 1 || absoluteGravity == 3 || absoluteGravity == 5) {
            return absoluteGravity;
        }
        return layoutDirection == 1 ? 5 : 3;
    }

    public final int k(View view, int i2) {
        LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
        int measuredHeight = view.getMeasuredHeight();
        int i3 = i2 > 0 ? (measuredHeight - i2) / 2 : 0;
        int i4 = layoutParams.f84a & 112;
        if (!(i4 == 16 || i4 == 48 || i4 == 80)) {
            i4 = this.D & 112;
        }
        if (i4 == 48) {
            return getPaddingTop() - i3;
        }
        if (i4 == 80) {
            return (((getHeight() - getPaddingBottom()) - measuredHeight) - ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin) - i3;
        }
        int paddingTop = getPaddingTop();
        int paddingBottom = getPaddingBottom();
        int height = getHeight();
        int i5 = (((height - paddingTop) - paddingBottom) - measuredHeight) / 2;
        int i6 = ((ViewGroup.MarginLayoutParams) layoutParams).topMargin;
        if (i5 < i6) {
            i5 = i6;
        } else {
            int i7 = (((height - paddingBottom) - measuredHeight) - i5) - paddingTop;
            int i8 = ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin;
            if (i7 < i8) {
                i5 = Math.max(0, i5 - (i8 - i7));
            }
        }
        return paddingTop + i5;
    }

    public final int l(View view) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
        return marginLayoutParams.getMarginStart() + marginLayoutParams.getMarginEnd();
    }

    public final int m(View view) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
        return marginLayoutParams.topMargin + marginLayoutParams.bottomMargin;
    }

    public void n(int i2) {
        getMenuInflater().inflate(i2, getMenu());
    }

    public final boolean o(View view) {
        return view.getParent() == this || this.L.contains(view);
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        removeCallbacks(this.V);
    }

    public boolean onHoverEvent(MotionEvent motionEvent) {
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 9) {
            this.J = false;
        }
        if (!this.J) {
            boolean onHoverEvent = super.onHoverEvent(motionEvent);
            if (actionMasked == 9 && !onHoverEvent) {
                this.J = true;
            }
        }
        if (actionMasked == 10 || actionMasked == 3) {
            this.J = false;
        }
        return true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:102:0x02a1 A[LOOP:0: B:101:0x029f->B:102:0x02a1, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:105:0x02c3 A[LOOP:1: B:104:0x02c1->B:105:0x02c3, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:108:0x02e8 A[LOOP:2: B:107:0x02e6->B:108:0x02e8, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:111:0x0329  */
    /* JADX WARNING: Removed duplicated region for block: B:116:0x033a A[LOOP:3: B:115:0x0338->B:116:0x033a, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:17:0x0061  */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x0078  */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x00b5  */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x00cc  */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x00e9  */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x0102  */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x0107  */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x011f  */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x012e  */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x0131  */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x0135  */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x0138  */
    /* JADX WARNING: Removed duplicated region for block: B:62:0x0169  */
    /* JADX WARNING: Removed duplicated region for block: B:72:0x01a7  */
    /* JADX WARNING: Removed duplicated region for block: B:74:0x01b8  */
    /* JADX WARNING: Removed duplicated region for block: B:87:0x0227  */
    public void onLayout(boolean z2, int i2, int i3, int i4, int i5) {
        int i6;
        int i7;
        boolean u2;
        boolean u3;
        int i8;
        int i9;
        int i10;
        int i11;
        int i12;
        int size;
        int i13;
        int i14;
        int size2;
        int i15;
        int size3;
        int i16;
        int i17;
        int size4;
        int i18;
        int i19;
        int i20;
        int i21;
        int i22;
        int i23;
        int i24;
        int i25;
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        boolean z3 = getLayoutDirection() == 1;
        int width = getWidth();
        int height = getHeight();
        int paddingLeft = getPaddingLeft();
        int paddingRight = getPaddingRight();
        int paddingTop = getPaddingTop();
        int paddingBottom = getPaddingBottom();
        int i26 = width - paddingRight;
        int[] iArr = this.M;
        iArr[1] = 0;
        iArr[0] = 0;
        int minimumHeight = getMinimumHeight();
        int min = minimumHeight >= 0 ? Math.min(minimumHeight, i5 - i3) : 0;
        if (!u(this.f470k)) {
            i7 = paddingLeft;
        } else if (z3) {
            i6 = r(this.f470k, i26, iArr, min);
            i7 = paddingLeft;
            if (u(this.o)) {
                if (z3) {
                    i6 = r(this.o, i6, iArr, min);
                } else {
                    i7 = q(this.o, i7, iArr, min);
                }
            }
            if (u(this.f467d)) {
                if (z3) {
                    i7 = q(this.f467d, i7, iArr, min);
                } else {
                    i6 = r(this.f467d, i6, iArr, min);
                }
            }
            int currentContentInsetLeft = getCurrentContentInsetLeft();
            int currentContentInsetRight = getCurrentContentInsetRight();
            iArr[0] = Math.max(0, currentContentInsetLeft - i7);
            iArr[1] = Math.max(0, currentContentInsetRight - (i26 - i6));
            int max = Math.max(i7, currentContentInsetLeft);
            int min2 = Math.min(i6, i26 - currentContentInsetRight);
            if (u(this.p)) {
                if (z3) {
                    min2 = r(this.p, min2, iArr, min);
                } else {
                    max = q(this.p, max, iArr, min);
                }
            }
            if (u(this.f471l)) {
                if (z3) {
                    min2 = r(this.f471l, min2, iArr, min);
                } else {
                    max = q(this.f471l, max, iArr, min);
                }
            }
            u2 = u(this.f468h);
            u3 = u(this.f469j);
            if (!u2) {
                LayoutParams layoutParams = (LayoutParams) this.f468h.getLayoutParams();
                i8 = paddingRight;
                i9 = this.f468h.getMeasuredHeight() + ((ViewGroup.MarginLayoutParams) layoutParams).topMargin + ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin + 0;
            } else {
                i8 = paddingRight;
                i9 = 0;
            }
            if (!u3) {
                LayoutParams layoutParams2 = (LayoutParams) this.f469j.getLayoutParams();
                i10 = width;
                i9 += this.f469j.getMeasuredHeight() + ((ViewGroup.MarginLayoutParams) layoutParams2).topMargin + ((ViewGroup.MarginLayoutParams) layoutParams2).bottomMargin;
            } else {
                i10 = width;
            }
            if (!u2 || u3) {
                TextView textView = !u2 ? this.f468h : this.f469j;
                TextView textView2 = !u3 ? this.f469j : this.f468h;
                LayoutParams layoutParams3 = (LayoutParams) textView.getLayoutParams();
                LayoutParams layoutParams4 = (LayoutParams) textView2.getLayoutParams();
                boolean z4 = (!u2 && this.f468h.getMeasuredWidth() > 0) || (u3 && this.f469j.getMeasuredWidth() > 0);
                i19 = this.D & 112;
                i12 = paddingLeft;
                if (i19 != 48) {
                    i20 = max;
                    i11 = min;
                    i21 = getPaddingTop() + ((ViewGroup.MarginLayoutParams) layoutParams3).topMargin + this.y;
                } else if (i19 != 80) {
                    int i27 = (((height - paddingTop) - paddingBottom) - i9) / 2;
                    int i28 = ((ViewGroup.MarginLayoutParams) layoutParams3).topMargin;
                    i11 = min;
                    int i29 = this.y;
                    i20 = max;
                    if (i27 < i28 + i29) {
                        i27 = i28 + i29;
                    } else {
                        int i30 = (((height - paddingBottom) - i9) - i27) - paddingTop;
                        int i31 = ((ViewGroup.MarginLayoutParams) layoutParams3).bottomMargin;
                        int i32 = this.z;
                        if (i30 < i31 + i32) {
                            i27 = Math.max(0, i27 - ((((ViewGroup.MarginLayoutParams) layoutParams4).bottomMargin + i32) - i30));
                        }
                    }
                    i21 = paddingTop + i27;
                } else {
                    i20 = max;
                    i11 = min;
                    i21 = (((height - paddingBottom) - ((ViewGroup.MarginLayoutParams) layoutParams4).bottomMargin) - this.z) - i9;
                }
                if (!z3) {
                    int i33 = (z4 ? this.w : 0) - iArr[1];
                    min2 -= Math.max(0, i33);
                    iArr[1] = Math.max(0, -i33);
                    if (u2) {
                        int measuredWidth = min2 - this.f468h.getMeasuredWidth();
                        int measuredHeight = this.f468h.getMeasuredHeight() + i21;
                        this.f468h.layout(measuredWidth, i21, min2, measuredHeight);
                        i24 = measuredWidth - this.x;
                        i21 = measuredHeight + ((ViewGroup.MarginLayoutParams) ((LayoutParams) this.f468h.getLayoutParams())).bottomMargin;
                    } else {
                        i24 = min2;
                    }
                    if (u3) {
                        int i34 = i21 + ((ViewGroup.MarginLayoutParams) ((LayoutParams) this.f469j.getLayoutParams())).topMargin;
                        this.f469j.layout(min2 - this.f469j.getMeasuredWidth(), i34, min2, this.f469j.getMeasuredHeight() + i34);
                        i25 = min2 - this.x;
                    } else {
                        i25 = min2;
                    }
                    if (z4) {
                        min2 = Math.min(i24, i25);
                    }
                    max = i20;
                } else {
                    int i35 = (z4 ? this.w : 0) - iArr[0];
                    int max2 = Math.max(0, i35) + i20;
                    iArr[0] = Math.max(0, -i35);
                    if (u2) {
                        int measuredWidth2 = this.f468h.getMeasuredWidth() + max2;
                        int measuredHeight2 = this.f468h.getMeasuredHeight() + i21;
                        this.f468h.layout(max2, i21, measuredWidth2, measuredHeight2);
                        i22 = measuredWidth2 + this.x;
                        i21 = measuredHeight2 + ((ViewGroup.MarginLayoutParams) ((LayoutParams) this.f468h.getLayoutParams())).bottomMargin;
                    } else {
                        i22 = max2;
                    }
                    if (u3) {
                        int i36 = i21 + ((ViewGroup.MarginLayoutParams) ((LayoutParams) this.f469j.getLayoutParams())).topMargin;
                        int measuredWidth3 = this.f469j.getMeasuredWidth() + max2;
                        this.f469j.layout(max2, i36, measuredWidth3, this.f469j.getMeasuredHeight() + i36);
                        i23 = measuredWidth3 + this.x;
                    } else {
                        i23 = max2;
                    }
                    max = z4 ? Math.max(i22, i23) : max2;
                }
            } else {
                i12 = paddingLeft;
                i11 = min;
            }
            a(this.K, 3);
            size = this.K.size();
            i13 = max;
            for (i14 = 0; i14 < size; i14++) {
                i13 = q(this.K.get(i14), i13, iArr, i11);
            }
            a(this.K, 5);
            size2 = this.K.size();
            for (i15 = 0; i15 < size2; i15++) {
                min2 = r(this.K.get(i15), min2, iArr, i11);
            }
            a(this.K, 1);
            ArrayList<View> arrayList = this.K;
            int i37 = iArr[0];
            int i38 = iArr[1];
            size3 = arrayList.size();
            int i39 = i37;
            i16 = 0;
            int i40 = 0;
            while (i16 < size3) {
                View view = arrayList.get(i16);
                LayoutParams layoutParams5 = (LayoutParams) view.getLayoutParams();
                int i41 = ((ViewGroup.MarginLayoutParams) layoutParams5).leftMargin - i39;
                int i42 = ((ViewGroup.MarginLayoutParams) layoutParams5).rightMargin - i38;
                int max3 = Math.max(0, i41);
                int max4 = Math.max(0, i42);
                int max5 = Math.max(0, -i41);
                int max6 = Math.max(0, -i42);
                i40 += view.getMeasuredWidth() + max3 + max4;
                i16++;
                i38 = max6;
                i39 = max5;
            }
            i17 = ((((i10 - i12) - i8) / 2) + i12) - (i40 / 2);
            int i43 = i40 + i17;
            if (i17 >= i13) {
                i13 = i43 > min2 ? i17 - (i43 - min2) : i17;
            }
            size4 = this.K.size();
            int i44 = i13;
            for (i18 = 0; i18 < size4; i18++) {
                i44 = q(this.K.get(i18), i44, iArr, i11);
            }
            this.K.clear();
        } else {
            i7 = q(this.f470k, paddingLeft, iArr, min);
        }
        i6 = i26;
        if (u(this.o)) {
        }
        if (u(this.f467d)) {
        }
        int currentContentInsetLeft2 = getCurrentContentInsetLeft();
        int currentContentInsetRight2 = getCurrentContentInsetRight();
        iArr[0] = Math.max(0, currentContentInsetLeft2 - i7);
        iArr[1] = Math.max(0, currentContentInsetRight2 - (i26 - i6));
        int max7 = Math.max(i7, currentContentInsetLeft2);
        int min22 = Math.min(i6, i26 - currentContentInsetRight2);
        if (u(this.p)) {
        }
        if (u(this.f471l)) {
        }
        u2 = u(this.f468h);
        u3 = u(this.f469j);
        if (!u2) {
        }
        if (!u3) {
        }
        if (!u2) {
        }
        if (!u2) {
        }
        if (!u3) {
        }
        LayoutParams layoutParams32 = (LayoutParams) textView.getLayoutParams();
        LayoutParams layoutParams42 = (LayoutParams) textView2.getLayoutParams();
        if (!u2) {
        }
        i19 = this.D & 112;
        i12 = paddingLeft;
        if (i19 != 48) {
        }
        if (!z3) {
        }
        a(this.K, 3);
        size = this.K.size();
        i13 = max7;
        while (i14 < size) {
        }
        a(this.K, 5);
        size2 = this.K.size();
        while (i15 < size2) {
        }
        a(this.K, 1);
        ArrayList<View> arrayList2 = this.K;
        int i372 = iArr[0];
        int i382 = iArr[1];
        size3 = arrayList2.size();
        int i392 = i372;
        i16 = 0;
        int i402 = 0;
        while (i16 < size3) {
        }
        i17 = ((((i10 - i12) - i8) / 2) + i12) - (i402 / 2);
        int i432 = i402 + i17;
        if (i17 >= i13) {
        }
        size4 = this.K.size();
        int i442 = i13;
        while (i18 < size4) {
        }
        this.K.clear();
    }

    public void onMeasure(int i2, int i3) {
        char c2;
        char c3;
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int[] iArr = this.M;
        boolean z2 = true;
        int i11 = 0;
        if (e0.b(this)) {
            c3 = 1;
            c2 = 0;
        } else {
            c3 = 0;
            c2 = 1;
        }
        if (u(this.f470k)) {
            t(this.f470k, i2, 0, i3, 0, this.v);
            i6 = l(this.f470k) + this.f470k.getMeasuredWidth();
            i5 = Math.max(0, m(this.f470k) + this.f470k.getMeasuredHeight());
            i4 = View.combineMeasuredStates(0, this.f470k.getMeasuredState());
        } else {
            i6 = 0;
            i5 = 0;
            i4 = 0;
        }
        if (u(this.o)) {
            t(this.o, i2, 0, i3, 0, this.v);
            i6 = l(this.o) + this.o.getMeasuredWidth();
            i5 = Math.max(i5, m(this.o) + this.o.getMeasuredHeight());
            i4 = View.combineMeasuredStates(i4, this.o.getMeasuredState());
        }
        int currentContentInsetStart = getCurrentContentInsetStart();
        int max = Math.max(currentContentInsetStart, i6) + 0;
        iArr[c3] = Math.max(0, currentContentInsetStart - i6);
        if (u(this.f467d)) {
            t(this.f467d, i2, max, i3, 0, this.v);
            i7 = l(this.f467d) + this.f467d.getMeasuredWidth();
            i5 = Math.max(i5, m(this.f467d) + this.f467d.getMeasuredHeight());
            i4 = View.combineMeasuredStates(i4, this.f467d.getMeasuredState());
        } else {
            i7 = 0;
        }
        int currentContentInsetEnd = getCurrentContentInsetEnd();
        int max2 = Math.max(currentContentInsetEnd, i7) + max;
        iArr[c2] = Math.max(0, currentContentInsetEnd - i7);
        if (u(this.p)) {
            max2 += s(this.p, i2, max2, i3, 0, iArr);
            i5 = Math.max(i5, m(this.p) + this.p.getMeasuredHeight());
            i4 = View.combineMeasuredStates(i4, this.p.getMeasuredState());
        }
        if (u(this.f471l)) {
            max2 += s(this.f471l, i2, max2, i3, 0, iArr);
            i5 = Math.max(i5, m(this.f471l) + this.f471l.getMeasuredHeight());
            i4 = View.combineMeasuredStates(i4, this.f471l.getMeasuredState());
        }
        int childCount = getChildCount();
        for (int i12 = 0; i12 < childCount; i12++) {
            View childAt = getChildAt(i12);
            if (((LayoutParams) childAt.getLayoutParams()).f472b == 0 && u(childAt)) {
                max2 += s(childAt, i2, max2, i3, 0, iArr);
                i5 = Math.max(i5, m(childAt) + childAt.getMeasuredHeight());
                i4 = View.combineMeasuredStates(i4, childAt.getMeasuredState());
            }
        }
        int i13 = this.y + this.z;
        int i14 = this.w + this.x;
        if (u(this.f468h)) {
            s(this.f468h, i2, max2 + i14, i3, i13, iArr);
            int l2 = l(this.f468h) + this.f468h.getMeasuredWidth();
            i8 = m(this.f468h) + this.f468h.getMeasuredHeight();
            i10 = View.combineMeasuredStates(i4, this.f468h.getMeasuredState());
            i9 = l2;
        } else {
            i10 = i4;
            i9 = 0;
            i8 = 0;
        }
        if (u(this.f469j)) {
            i9 = Math.max(i9, s(this.f469j, i2, max2 + i14, i3, i8 + i13, iArr));
            i8 = m(this.f469j) + this.f469j.getMeasuredHeight() + i8;
            i10 = View.combineMeasuredStates(i10, this.f469j.getMeasuredState());
        }
        int max3 = Math.max(i5, i8);
        int paddingRight = getPaddingRight() + getPaddingLeft();
        int paddingBottom = getPaddingBottom() + getPaddingTop() + max3;
        int resolveSizeAndState = View.resolveSizeAndState(Math.max(paddingRight + max2 + i9, getSuggestedMinimumWidth()), i2, -16777216 & i10);
        int resolveSizeAndState2 = View.resolveSizeAndState(Math.max(paddingBottom, getSuggestedMinimumHeight()), i3, i10 << 16);
        if (this.U) {
            int childCount2 = getChildCount();
            int i15 = 0;
            while (true) {
                if (i15 >= childCount2) {
                    break;
                }
                View childAt2 = getChildAt(i15);
                if (u(childAt2) && childAt2.getMeasuredWidth() > 0 && childAt2.getMeasuredHeight() > 0) {
                    break;
                }
                i15++;
            }
        }
        z2 = false;
        if (!z2) {
            i11 = resolveSizeAndState2;
        }
        setMeasuredDimension(resolveSizeAndState, i11);
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        MenuItem findItem;
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        ActionMenuView actionMenuView = this.f467d;
        MenuBuilder menuBuilder = actionMenuView != null ? actionMenuView.w : null;
        int i2 = savedState.expandedMenuItemId;
        if (!(i2 == 0 || this.R == null || menuBuilder == null || (findItem = menuBuilder.findItem(i2)) == null)) {
            findItem.expandActionView();
        }
        if (savedState.isOverflowOpen) {
            removeCallbacks(this.V);
            post(this.V);
        }
    }

    public void onRtlPropertiesChanged(int i2) {
        super.onRtlPropertiesChanged(i2);
        d();
        t tVar = this.A;
        boolean z2 = true;
        if (i2 != 1) {
            z2 = false;
        }
        if (z2 != tVar.f2432g) {
            tVar.f2432g = z2;
            if (!tVar.f2433h) {
                tVar.f2426a = tVar.f2430e;
                tVar.f2427b = tVar.f2431f;
            } else if (z2) {
                int i3 = tVar.f2429d;
                if (i3 == Integer.MIN_VALUE) {
                    i3 = tVar.f2430e;
                }
                tVar.f2426a = i3;
                int i4 = tVar.f2428c;
                if (i4 == Integer.MIN_VALUE) {
                    i4 = tVar.f2431f;
                }
                tVar.f2427b = i4;
            } else {
                int i5 = tVar.f2428c;
                if (i5 == Integer.MIN_VALUE) {
                    i5 = tVar.f2430e;
                }
                tVar.f2426a = i5;
                int i6 = tVar.f2429d;
                if (i6 == Integer.MIN_VALUE) {
                    i6 = tVar.f2431f;
                }
                tVar.f2427b = i6;
            }
        }
    }

    public Parcelable onSaveInstanceState() {
        MenuItemImpl menuItemImpl;
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        d dVar = this.R;
        if (!(dVar == null || (menuItemImpl = dVar.f477h) == null)) {
            savedState.expandedMenuItemId = menuItemImpl.f251a;
        }
        savedState.isOverflowOpen = p();
        return savedState;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 0) {
            this.I = false;
        }
        if (!this.I) {
            boolean onTouchEvent = super.onTouchEvent(motionEvent);
            if (actionMasked == 0 && !onTouchEvent) {
                this.I = true;
            }
        }
        if (actionMasked == 1 || actionMasked == 3) {
            this.I = false;
        }
        return true;
    }

    public boolean p() {
        ActionMenuView actionMenuView = this.f467d;
        if (actionMenuView != null) {
            ActionMenuPresenter actionMenuPresenter = actionMenuView.A;
            if (actionMenuPresenter != null && actionMenuPresenter.h()) {
                return true;
            }
        }
        return false;
    }

    public final int q(View view, int i2, int[] iArr, int i3) {
        LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
        int i4 = ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin - iArr[0];
        int max = Math.max(0, i4) + i2;
        iArr[0] = Math.max(0, -i4);
        int k2 = k(view, i3);
        int measuredWidth = view.getMeasuredWidth();
        view.layout(max, k2, max + measuredWidth, view.getMeasuredHeight() + k2);
        return measuredWidth + ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin + max;
    }

    public final int r(View view, int i2, int[] iArr, int i3) {
        LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
        int i4 = ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin - iArr[1];
        int max = i2 - Math.max(0, i4);
        iArr[1] = Math.max(0, -i4);
        int k2 = k(view, i3);
        int measuredWidth = view.getMeasuredWidth();
        view.layout(max - measuredWidth, k2, max, view.getMeasuredHeight() + k2);
        return max - (measuredWidth + ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin);
    }

    public final int s(View view, int i2, int i3, int i4, int i5, int[] iArr) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
        int i6 = marginLayoutParams.leftMargin - iArr[0];
        int i7 = marginLayoutParams.rightMargin - iArr[1];
        int max = Math.max(0, i7) + Math.max(0, i6);
        iArr[0] = Math.max(0, -i6);
        iArr[1] = Math.max(0, -i7);
        view.measure(ViewGroup.getChildMeasureSpec(i2, getPaddingRight() + getPaddingLeft() + max + i3, marginLayoutParams.width), ViewGroup.getChildMeasureSpec(i4, getPaddingBottom() + getPaddingTop() + marginLayoutParams.topMargin + marginLayoutParams.bottomMargin + i5, marginLayoutParams.height));
        return view.getMeasuredWidth() + max;
    }

    public void setCollapseContentDescription(int i2) {
        setCollapseContentDescription(i2 != 0 ? getContext().getText(i2) : null);
    }

    public void setCollapseIcon(int i2) {
        setCollapseIcon(b.b.b.a.a.b(getContext(), i2));
    }

    public void setCollapsible(boolean z2) {
        this.U = z2;
        requestLayout();
    }

    public void setContentInsetEndWithActions(int i2) {
        if (i2 < 0) {
            i2 = Integer.MIN_VALUE;
        }
        if (i2 != this.C) {
            this.C = i2;
            if (getNavigationIcon() != null) {
                requestLayout();
            }
        }
    }

    public void setContentInsetStartWithNavigation(int i2) {
        if (i2 < 0) {
            i2 = Integer.MIN_VALUE;
        }
        if (i2 != this.B) {
            this.B = i2;
            if (getNavigationIcon() != null) {
                requestLayout();
            }
        }
    }

    public void setLogo(int i2) {
        setLogo(b.b.b.a.a.b(getContext(), i2));
    }

    public void setLogoDescription(int i2) {
        setLogoDescription(getContext().getText(i2));
    }

    public void setNavigationContentDescription(int i2) {
        setNavigationContentDescription(i2 != 0 ? getContext().getText(i2) : null);
    }

    public void setNavigationIcon(int i2) {
        setNavigationIcon(b.b.b.a.a.b(getContext(), i2));
    }

    public void setNavigationOnClickListener(View.OnClickListener onClickListener) {
        g();
        this.f470k.setOnClickListener(onClickListener);
    }

    public void setOnMenuItemClickListener(OnMenuItemClickListener onMenuItemClickListener) {
        this.N = onMenuItemClickListener;
    }

    public void setOverflowIcon(Drawable drawable) {
        e();
        this.f467d.setOverflowIcon(drawable);
    }

    public void setPopupTheme(int i2) {
        if (this.r != i2) {
            this.r = i2;
            if (i2 == 0) {
                this.q = getContext();
            } else {
                this.q = new ContextThemeWrapper(getContext(), i2);
            }
        }
    }

    public void setSubtitle(int i2) {
        setSubtitle(getContext().getText(i2));
    }

    public void setSubtitleTextColor(int i2) {
        setSubtitleTextColor(ColorStateList.valueOf(i2));
    }

    public void setTitle(int i2) {
        setTitle(getContext().getText(i2));
    }

    public void setTitleMarginBottom(int i2) {
        this.z = i2;
        requestLayout();
    }

    public void setTitleMarginEnd(int i2) {
        this.x = i2;
        requestLayout();
    }

    public void setTitleMarginStart(int i2) {
        this.w = i2;
        requestLayout();
    }

    public void setTitleMarginTop(int i2) {
        this.y = i2;
        requestLayout();
    }

    public void setTitleTextColor(int i2) {
        setTitleTextColor(ColorStateList.valueOf(i2));
    }

    public final void t(View view, int i2, int i3, int i4, int i5, int i6) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
        int childMeasureSpec = ViewGroup.getChildMeasureSpec(i2, getPaddingRight() + getPaddingLeft() + marginLayoutParams.leftMargin + marginLayoutParams.rightMargin + i3, marginLayoutParams.width);
        int childMeasureSpec2 = ViewGroup.getChildMeasureSpec(i4, getPaddingBottom() + getPaddingTop() + marginLayoutParams.topMargin + marginLayoutParams.bottomMargin + i5, marginLayoutParams.height);
        int mode = View.MeasureSpec.getMode(childMeasureSpec2);
        if (mode != 1073741824 && i6 >= 0) {
            if (mode != 0) {
                i6 = Math.min(View.MeasureSpec.getSize(childMeasureSpec2), i6);
            }
            childMeasureSpec2 = View.MeasureSpec.makeMeasureSpec(i6, 1073741824);
        }
        view.measure(childMeasureSpec, childMeasureSpec2);
    }

    public final boolean u(View view) {
        return (view == null || view.getParent() != this || view.getVisibility() == 8) ? false : true;
    }

    public boolean v() {
        ActionMenuView actionMenuView = this.f467d;
        if (actionMenuView != null) {
            ActionMenuPresenter actionMenuPresenter = actionMenuView.A;
            if (actionMenuPresenter != null && actionMenuPresenter.i()) {
                return true;
            }
        }
        return false;
    }

    public static class LayoutParams extends ActionBar.a {

        /* renamed from: b  reason: collision with root package name */
        public int f472b = 0;

        public LayoutParams(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        public LayoutParams(int i2, int i3) {
            super(i2, i3);
            this.f84a = 8388627;
        }

        public LayoutParams(int i2, int i3, int i4) {
            super(i2, i3);
            this.f84a = i4;
        }

        public LayoutParams(LayoutParams layoutParams) {
            super((ActionBar.a) layoutParams);
            this.f472b = layoutParams.f472b;
        }

        public LayoutParams(ActionBar.a aVar) {
            super(aVar);
        }

        public LayoutParams(ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
            ((ViewGroup.MarginLayoutParams) this).leftMargin = marginLayoutParams.leftMargin;
            ((ViewGroup.MarginLayoutParams) this).topMargin = marginLayoutParams.topMargin;
            ((ViewGroup.MarginLayoutParams) this).rightMargin = marginLayoutParams.rightMargin;
            ((ViewGroup.MarginLayoutParams) this).bottomMargin = marginLayoutParams.bottomMargin;
        }

        public LayoutParams(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }
    }

    public Toolbar(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R$attr.toolbarStyle);
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new LayoutParams(getContext(), attributeSet);
    }

    public void setCollapseContentDescription(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            c();
        }
        ImageButton imageButton = this.o;
        if (imageButton != null) {
            imageButton.setContentDescription(charSequence);
        }
    }

    public void setCollapseIcon(Drawable drawable) {
        if (drawable != null) {
            c();
            this.o.setImageDrawable(drawable);
            return;
        }
        ImageButton imageButton = this.o;
        if (imageButton != null) {
            imageButton.setImageDrawable(this.m);
        }
    }

    public void setLogo(Drawable drawable) {
        if (drawable != null) {
            if (this.f471l == null) {
                this.f471l = new AppCompatImageView(getContext());
            }
            if (!o(this.f471l)) {
                b(this.f471l, true);
            }
        } else {
            ImageView imageView = this.f471l;
            if (imageView != null && o(imageView)) {
                removeView(this.f471l);
                this.L.remove(this.f471l);
            }
        }
        ImageView imageView2 = this.f471l;
        if (imageView2 != null) {
            imageView2.setImageDrawable(drawable);
        }
    }

    public void setLogoDescription(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence) && this.f471l == null) {
            this.f471l = new AppCompatImageView(getContext());
        }
        ImageView imageView = this.f471l;
        if (imageView != null) {
            imageView.setContentDescription(charSequence);
        }
    }

    public void setNavigationContentDescription(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            g();
        }
        ImageButton imageButton = this.f470k;
        if (imageButton != null) {
            imageButton.setContentDescription(charSequence);
        }
    }

    public void setNavigationIcon(Drawable drawable) {
        if (drawable != null) {
            g();
            if (!o(this.f470k)) {
                b(this.f470k, true);
            }
        } else {
            ImageButton imageButton = this.f470k;
            if (imageButton != null && o(imageButton)) {
                removeView(this.f470k);
                this.L.remove(this.f470k);
            }
        }
        ImageButton imageButton2 = this.f470k;
        if (imageButton2 != null) {
            imageButton2.setImageDrawable(drawable);
        }
    }

    public void setSubtitle(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            if (this.f469j == null) {
                Context context = getContext();
                AppCompatTextView appCompatTextView = new AppCompatTextView(context);
                this.f469j = appCompatTextView;
                appCompatTextView.setSingleLine();
                this.f469j.setEllipsize(TextUtils.TruncateAt.END);
                int i2 = this.t;
                if (i2 != 0) {
                    this.f469j.setTextAppearance(context, i2);
                }
                ColorStateList colorStateList = this.H;
                if (colorStateList != null) {
                    this.f469j.setTextColor(colorStateList);
                }
            }
            if (!o(this.f469j)) {
                b(this.f469j, true);
            }
        } else {
            TextView textView = this.f469j;
            if (textView != null && o(textView)) {
                removeView(this.f469j);
                this.L.remove(this.f469j);
            }
        }
        TextView textView2 = this.f469j;
        if (textView2 != null) {
            textView2.setText(charSequence);
        }
        this.F = charSequence;
    }

    public void setSubtitleTextColor(ColorStateList colorStateList) {
        this.H = colorStateList;
        TextView textView = this.f469j;
        if (textView != null) {
            textView.setTextColor(colorStateList);
        }
    }

    public void setTitle(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            if (this.f468h == null) {
                Context context = getContext();
                AppCompatTextView appCompatTextView = new AppCompatTextView(context);
                this.f468h = appCompatTextView;
                appCompatTextView.setSingleLine();
                this.f468h.setEllipsize(TextUtils.TruncateAt.END);
                int i2 = this.s;
                if (i2 != 0) {
                    this.f468h.setTextAppearance(context, i2);
                }
                ColorStateList colorStateList = this.G;
                if (colorStateList != null) {
                    this.f468h.setTextColor(colorStateList);
                }
            }
            if (!o(this.f468h)) {
                b(this.f468h, true);
            }
        } else {
            TextView textView = this.f468h;
            if (textView != null && o(textView)) {
                removeView(this.f468h);
                this.L.remove(this.f468h);
            }
        }
        TextView textView2 = this.f468h;
        if (textView2 != null) {
            textView2.setText(charSequence);
        }
        this.E = charSequence;
    }

    public void setTitleTextColor(ColorStateList colorStateList) {
        this.G = colorStateList;
        TextView textView = this.f468h;
        if (textView != null) {
            textView.setTextColor(colorStateList);
        }
    }

    public Toolbar(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.D = 8388627;
        this.K = new ArrayList<>();
        this.L = new ArrayList<>();
        this.M = new int[2];
        this.O = new a();
        this.V = new b();
        Context context2 = getContext();
        int[] iArr = R$styleable.Toolbar;
        z r2 = z.r(context2, attributeSet, iArr, i2, 0);
        ViewCompat.t(this, context, iArr, attributeSet, r2.f2453b, i2, 0);
        this.s = r2.m(R$styleable.Toolbar_titleTextAppearance, 0);
        this.t = r2.m(R$styleable.Toolbar_subtitleTextAppearance, 0);
        this.D = r2.k(R$styleable.Toolbar_android_gravity, this.D);
        this.u = r2.k(R$styleable.Toolbar_buttonGravity, 48);
        int e2 = r2.e(R$styleable.Toolbar_titleMargin, 0);
        int i3 = R$styleable.Toolbar_titleMargins;
        e2 = r2.p(i3) ? r2.e(i3, e2) : e2;
        this.z = e2;
        this.y = e2;
        this.x = e2;
        this.w = e2;
        int e3 = r2.e(R$styleable.Toolbar_titleMarginStart, -1);
        if (e3 >= 0) {
            this.w = e3;
        }
        int e4 = r2.e(R$styleable.Toolbar_titleMarginEnd, -1);
        if (e4 >= 0) {
            this.x = e4;
        }
        int e5 = r2.e(R$styleable.Toolbar_titleMarginTop, -1);
        if (e5 >= 0) {
            this.y = e5;
        }
        int e6 = r2.e(R$styleable.Toolbar_titleMarginBottom, -1);
        if (e6 >= 0) {
            this.z = e6;
        }
        this.v = r2.f(R$styleable.Toolbar_maxButtonHeight, -1);
        int e7 = r2.e(R$styleable.Toolbar_contentInsetStart, Integer.MIN_VALUE);
        int e8 = r2.e(R$styleable.Toolbar_contentInsetEnd, Integer.MIN_VALUE);
        int f2 = r2.f(R$styleable.Toolbar_contentInsetLeft, 0);
        int f3 = r2.f(R$styleable.Toolbar_contentInsetRight, 0);
        d();
        t tVar = this.A;
        tVar.f2433h = false;
        if (f2 != Integer.MIN_VALUE) {
            tVar.f2430e = f2;
            tVar.f2426a = f2;
        }
        if (f3 != Integer.MIN_VALUE) {
            tVar.f2431f = f3;
            tVar.f2427b = f3;
        }
        if (!(e7 == Integer.MIN_VALUE && e8 == Integer.MIN_VALUE)) {
            tVar.a(e7, e8);
        }
        this.B = r2.e(R$styleable.Toolbar_contentInsetStartWithNavigation, Integer.MIN_VALUE);
        this.C = r2.e(R$styleable.Toolbar_contentInsetEndWithActions, Integer.MIN_VALUE);
        this.m = r2.g(R$styleable.Toolbar_collapseIcon);
        this.n = r2.o(R$styleable.Toolbar_collapseContentDescription);
        CharSequence o2 = r2.o(R$styleable.Toolbar_title);
        if (!TextUtils.isEmpty(o2)) {
            setTitle(o2);
        }
        CharSequence o3 = r2.o(R$styleable.Toolbar_subtitle);
        if (!TextUtils.isEmpty(o3)) {
            setSubtitle(o3);
        }
        this.q = getContext();
        setPopupTheme(r2.m(R$styleable.Toolbar_popupTheme, 0));
        Drawable g2 = r2.g(R$styleable.Toolbar_navigationIcon);
        if (g2 != null) {
            setNavigationIcon(g2);
        }
        CharSequence o4 = r2.o(R$styleable.Toolbar_navigationContentDescription);
        if (!TextUtils.isEmpty(o4)) {
            setNavigationContentDescription(o4);
        }
        Drawable g3 = r2.g(R$styleable.Toolbar_logo);
        if (g3 != null) {
            setLogo(g3);
        }
        CharSequence o5 = r2.o(R$styleable.Toolbar_logoDescription);
        if (!TextUtils.isEmpty(o5)) {
            setLogoDescription(o5);
        }
        int i4 = R$styleable.Toolbar_titleTextColor;
        if (r2.p(i4)) {
            setTitleTextColor(r2.c(i4));
        }
        int i5 = R$styleable.Toolbar_subtitleTextColor;
        if (r2.p(i5)) {
            setSubtitleTextColor(r2.c(i5));
        }
        int i6 = R$styleable.Toolbar_menu;
        if (r2.p(i6)) {
            getMenuInflater().inflate(r2.m(i6, 0), getMenu());
        }
        r2.f2453b.recycle();
    }
}
