package androidx.appcompat.widget;

import android.content.Context;
import android.graphics.drawable.Drawable;
import android.os.Parcelable;
import android.text.Layout;
import android.text.TextUtils;
import android.util.Log;
import android.util.SparseArray;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.widget.AdapterView;
import android.widget.Spinner;
import android.widget.SpinnerAdapter;
import android.widget.TextView;
import androidx.appcompat.R$attr;
import androidx.appcompat.R$id;
import androidx.appcompat.R$string;
import androidx.appcompat.R$styleable;
import androidx.appcompat.view.menu.MenuBuilder;
import androidx.appcompat.view.menu.MenuItemImpl;
import androidx.appcompat.view.menu.MenuPresenter;
import androidx.appcompat.widget.Toolbar;
import androidx.core.view.ViewCompat;
import androidx.core.view.ViewPropertyAnimatorListenerAdapter;
import b.b.f.a0;
import b.b.f.z;
import b.j.h.m;
import java.util.concurrent.atomic.AtomicInteger;

public class ToolbarWidgetWrapper implements DecorToolbar {

    /* renamed from: a  reason: collision with root package name */
    public Toolbar f479a;

    /* renamed from: b  reason: collision with root package name */
    public int f480b;

    /* renamed from: c  reason: collision with root package name */
    public View f481c;

    /* renamed from: d  reason: collision with root package name */
    public Spinner f482d;

    /* renamed from: e  reason: collision with root package name */
    public View f483e;

    /* renamed from: f  reason: collision with root package name */
    public Drawable f484f;

    /* renamed from: g  reason: collision with root package name */
    public Drawable f485g;

    /* renamed from: h  reason: collision with root package name */
    public Drawable f486h;

    /* renamed from: i  reason: collision with root package name */
    public boolean f487i;

    /* renamed from: j  reason: collision with root package name */
    public CharSequence f488j;

    /* renamed from: k  reason: collision with root package name */
    public CharSequence f489k;

    /* renamed from: l  reason: collision with root package name */
    public CharSequence f490l;
    public Window.Callback m;
    public boolean n;
    public ActionMenuPresenter o;
    public int p = 0;
    public int q = 0;
    public Drawable r;

    public class a extends ViewPropertyAnimatorListenerAdapter {

        /* renamed from: a  reason: collision with root package name */
        public boolean f491a = false;

        /* renamed from: b  reason: collision with root package name */
        public final /* synthetic */ int f492b;

        public a(int i2) {
            this.f492b = i2;
        }

        @Override // androidx.core.view.ViewPropertyAnimatorListenerAdapter, androidx.core.view.ViewPropertyAnimatorListener
        public void onAnimationCancel(View view) {
            this.f491a = true;
        }

        @Override // androidx.core.view.ViewPropertyAnimatorListenerAdapter, androidx.core.view.ViewPropertyAnimatorListener
        public void onAnimationEnd(View view) {
            if (!this.f491a) {
                ToolbarWidgetWrapper.this.f479a.setVisibility(this.f492b);
            }
        }

        @Override // androidx.core.view.ViewPropertyAnimatorListenerAdapter, androidx.core.view.ViewPropertyAnimatorListener
        public void onAnimationStart(View view) {
            ToolbarWidgetWrapper.this.f479a.setVisibility(0);
        }
    }

    public ToolbarWidgetWrapper(Toolbar toolbar, boolean z) {
        int i2;
        Drawable drawable;
        int i3 = R$string.abc_action_bar_up_description;
        this.f479a = toolbar;
        this.f488j = toolbar.getTitle();
        this.f489k = toolbar.getSubtitle();
        this.f487i = this.f488j != null;
        this.f486h = toolbar.getNavigationIcon();
        z r2 = z.r(toolbar.getContext(), null, R$styleable.ActionBar, R$attr.actionBarStyle, 0);
        this.r = r2.g(R$styleable.ActionBar_homeAsUpIndicator);
        if (z) {
            CharSequence o2 = r2.o(R$styleable.ActionBar_title);
            if (!TextUtils.isEmpty(o2)) {
                setTitle(o2);
            }
            CharSequence o3 = r2.o(R$styleable.ActionBar_subtitle);
            if (!TextUtils.isEmpty(o3)) {
                setSubtitle(o3);
            }
            Drawable g2 = r2.g(R$styleable.ActionBar_logo);
            if (g2 != null) {
                setLogo(g2);
            }
            Drawable g3 = r2.g(R$styleable.ActionBar_icon);
            if (g3 != null) {
                setIcon(g3);
            }
            if (this.f486h == null && (drawable = this.r) != null) {
                setNavigationIcon(drawable);
            }
            setDisplayOptions(r2.j(R$styleable.ActionBar_displayOptions, 0));
            int m2 = r2.m(R$styleable.ActionBar_customNavigationLayout, 0);
            if (m2 != 0) {
                setCustomView(LayoutInflater.from(this.f479a.getContext()).inflate(m2, (ViewGroup) this.f479a, false));
                setDisplayOptions(this.f480b | 16);
            }
            int l2 = r2.l(R$styleable.ActionBar_height, 0);
            if (l2 > 0) {
                ViewGroup.LayoutParams layoutParams = this.f479a.getLayoutParams();
                layoutParams.height = l2;
                this.f479a.setLayoutParams(layoutParams);
            }
            int e2 = r2.e(R$styleable.ActionBar_contentInsetStart, -1);
            int e3 = r2.e(R$styleable.ActionBar_contentInsetEnd, -1);
            if (e2 >= 0 || e3 >= 0) {
                Toolbar toolbar2 = this.f479a;
                int max = Math.max(e2, 0);
                int max2 = Math.max(e3, 0);
                toolbar2.d();
                toolbar2.A.a(max, max2);
            }
            int m3 = r2.m(R$styleable.ActionBar_titleTextStyle, 0);
            if (m3 != 0) {
                Toolbar toolbar3 = this.f479a;
                Context context = toolbar3.getContext();
                toolbar3.s = m3;
                TextView textView = toolbar3.f468h;
                if (textView != null) {
                    textView.setTextAppearance(context, m3);
                }
            }
            int m4 = r2.m(R$styleable.ActionBar_subtitleTextStyle, 0);
            if (m4 != 0) {
                Toolbar toolbar4 = this.f479a;
                Context context2 = toolbar4.getContext();
                toolbar4.t = m4;
                TextView textView2 = toolbar4.f469j;
                if (textView2 != null) {
                    textView2.setTextAppearance(context2, m4);
                }
            }
            int m5 = r2.m(R$styleable.ActionBar_popupTheme, 0);
            if (m5 != 0) {
                this.f479a.setPopupTheme(m5);
            }
        } else {
            if (this.f479a.getNavigationIcon() != null) {
                i2 = 15;
                this.r = this.f479a.getNavigationIcon();
            } else {
                i2 = 11;
            }
            this.f480b = i2;
        }
        r2.f2453b.recycle();
        setDefaultNavigationContentDescription(i3);
        this.f490l = this.f479a.getNavigationContentDescription();
        this.f479a.setNavigationOnClickListener(new a0(this));
    }

    public final void a() {
        if (this.f482d == null) {
            this.f482d = new AppCompatSpinner(getContext(), null, R$attr.actionDropDownStyle);
            this.f482d.setLayoutParams(new Toolbar.LayoutParams(-2, -2, 8388627));
        }
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void animateToVisibility(int i2) {
        View view;
        m mVar = setupAnimatorToVisibility(i2, 200);
        if (mVar != null && (view = mVar.f3417a.get()) != null) {
            view.animate().start();
        }
    }

    public final void b() {
        if ((this.f480b & 4) == 0) {
            return;
        }
        if (TextUtils.isEmpty(this.f490l)) {
            this.f479a.setNavigationContentDescription(this.q);
        } else {
            this.f479a.setNavigationContentDescription(this.f490l);
        }
    }

    public final void c() {
        if ((this.f480b & 4) != 0) {
            Toolbar toolbar = this.f479a;
            Drawable drawable = this.f486h;
            if (drawable == null) {
                drawable = this.r;
            }
            toolbar.setNavigationIcon(drawable);
            return;
        }
        this.f479a.setNavigationIcon((Drawable) null);
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public boolean canShowOverflowMenu() {
        ActionMenuView actionMenuView;
        Toolbar toolbar = this.f479a;
        return toolbar.getVisibility() == 0 && (actionMenuView = toolbar.f467d) != null && actionMenuView.z;
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void collapseActionView() {
        MenuItemImpl menuItemImpl;
        Toolbar.d dVar = this.f479a.R;
        if (dVar == null) {
            menuItemImpl = null;
        } else {
            menuItemImpl = dVar.f477h;
        }
        if (menuItemImpl != null) {
            menuItemImpl.collapseActionView();
        }
    }

    public final void d() {
        Drawable drawable;
        int i2 = this.f480b;
        if ((i2 & 2) == 0) {
            drawable = null;
        } else if ((i2 & 1) != 0) {
            drawable = this.f485g;
            if (drawable == null) {
                drawable = this.f484f;
            }
        } else {
            drawable = this.f484f;
        }
        this.f479a.setLogo(drawable);
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void dismissPopupMenus() {
        ActionMenuPresenter actionMenuPresenter;
        ActionMenuView actionMenuView = this.f479a.f467d;
        if (actionMenuView != null && (actionMenuPresenter = actionMenuView.A) != null) {
            actionMenuPresenter.e();
        }
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public Context getContext() {
        return this.f479a.getContext();
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public View getCustomView() {
        return this.f483e;
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public int getDisplayOptions() {
        return this.f480b;
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public int getDropdownItemCount() {
        Spinner spinner = this.f482d;
        if (spinner != null) {
            return spinner.getCount();
        }
        return 0;
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public int getDropdownSelectedPosition() {
        Spinner spinner = this.f482d;
        if (spinner != null) {
            return spinner.getSelectedItemPosition();
        }
        return 0;
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public int getHeight() {
        return this.f479a.getHeight();
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public Menu getMenu() {
        return this.f479a.getMenu();
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public int getNavigationMode() {
        return this.p;
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public CharSequence getSubtitle() {
        return this.f479a.getSubtitle();
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public CharSequence getTitle() {
        return this.f479a.getTitle();
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public ViewGroup getViewGroup() {
        return this.f479a;
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public int getVisibility() {
        return this.f479a.getVisibility();
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public boolean hasEmbeddedTabs() {
        return this.f481c != null;
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public boolean hasExpandedActionView() {
        Toolbar.d dVar = this.f479a.R;
        return (dVar == null || dVar.f477h == null) ? false : true;
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public boolean hasIcon() {
        return this.f484f != null;
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public boolean hasLogo() {
        return this.f485g != null;
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public boolean hideOverflowMenu() {
        ActionMenuView actionMenuView = this.f479a.f467d;
        if (actionMenuView == null) {
            return false;
        }
        ActionMenuPresenter actionMenuPresenter = actionMenuView.A;
        if (actionMenuPresenter != null && actionMenuPresenter.f()) {
            return true;
        }
        return false;
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void initIndeterminateProgress() {
        Log.i("ToolbarWidgetWrapper", "Progress display unsupported");
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void initProgress() {
        Log.i("ToolbarWidgetWrapper", "Progress display unsupported");
    }

    /* JADX WARNING: Removed duplicated region for block: B:14:0x0021 A[ORIG_RETURN, RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:16:? A[RETURN, SYNTHETIC] */
    @Override // androidx.appcompat.widget.DecorToolbar
    public boolean isOverflowMenuShowPending() {
        boolean z;
        ActionMenuView actionMenuView = this.f479a.f467d;
        if (actionMenuView == null) {
            return false;
        }
        ActionMenuPresenter actionMenuPresenter = actionMenuView.A;
        if (actionMenuPresenter != null) {
            if (actionMenuPresenter.D != null || actionMenuPresenter.h()) {
                z = true;
                if (!z) {
                    return true;
                }
                return false;
            }
        }
        z = false;
        if (!z) {
        }
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public boolean isOverflowMenuShowing() {
        return this.f479a.p();
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public boolean isTitleTruncated() {
        Layout layout;
        TextView textView = this.f479a.f468h;
        if (textView == null || (layout = textView.getLayout()) == null) {
            return false;
        }
        int lineCount = layout.getLineCount();
        for (int i2 = 0; i2 < lineCount; i2++) {
            if (layout.getEllipsisCount(i2) > 0) {
                return true;
            }
        }
        return false;
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void restoreHierarchyState(SparseArray<Parcelable> sparseArray) {
        this.f479a.restoreHierarchyState(sparseArray);
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void saveHierarchyState(SparseArray<Parcelable> sparseArray) {
        this.f479a.saveHierarchyState(sparseArray);
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void setBackgroundDrawable(Drawable drawable) {
        Toolbar toolbar = this.f479a;
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        toolbar.setBackground(drawable);
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void setCollapsible(boolean z) {
        this.f479a.setCollapsible(z);
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void setCustomView(View view) {
        View view2 = this.f483e;
        if (!(view2 == null || (this.f480b & 16) == 0)) {
            this.f479a.removeView(view2);
        }
        this.f483e = view;
        if (view != null && (this.f480b & 16) != 0) {
            this.f479a.addView(view);
        }
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void setDefaultNavigationContentDescription(int i2) {
        if (i2 != this.q) {
            this.q = i2;
            if (TextUtils.isEmpty(this.f479a.getNavigationContentDescription())) {
                setNavigationContentDescription(this.q);
            }
        }
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void setDefaultNavigationIcon(Drawable drawable) {
        if (this.r != drawable) {
            this.r = drawable;
            c();
        }
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void setDisplayOptions(int i2) {
        View view;
        int i3 = this.f480b ^ i2;
        this.f480b = i2;
        if (i3 != 0) {
            if ((i3 & 4) != 0) {
                if ((i2 & 4) != 0) {
                    b();
                }
                c();
            }
            if ((i3 & 3) != 0) {
                d();
            }
            if ((i3 & 8) != 0) {
                if ((i2 & 8) != 0) {
                    this.f479a.setTitle(this.f488j);
                    this.f479a.setSubtitle(this.f489k);
                } else {
                    this.f479a.setTitle((CharSequence) null);
                    this.f479a.setSubtitle((CharSequence) null);
                }
            }
            if ((i3 & 16) != 0 && (view = this.f483e) != null) {
                if ((i2 & 16) != 0) {
                    this.f479a.addView(view);
                } else {
                    this.f479a.removeView(view);
                }
            }
        }
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void setDropdownParams(SpinnerAdapter spinnerAdapter, AdapterView.OnItemSelectedListener onItemSelectedListener) {
        a();
        this.f482d.setAdapter(spinnerAdapter);
        this.f482d.setOnItemSelectedListener(onItemSelectedListener);
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void setDropdownSelectedPosition(int i2) {
        Spinner spinner = this.f482d;
        if (spinner != null) {
            spinner.setSelection(i2);
            return;
        }
        throw new IllegalStateException("Can't set dropdown selected position without an adapter");
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void setEmbeddedTabView(ScrollingTabContainerView scrollingTabContainerView) {
        Toolbar toolbar;
        View view = this.f481c;
        if (view != null && view.getParent() == (toolbar = this.f479a)) {
            toolbar.removeView(this.f481c);
        }
        this.f481c = null;
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void setHomeButtonEnabled(boolean z) {
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void setIcon(int i2) {
        setIcon(i2 != 0 ? b.b.b.a.a.b(getContext(), i2) : null);
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void setLogo(int i2) {
        setLogo(i2 != 0 ? b.b.b.a.a.b(getContext(), i2) : null);
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void setMenu(Menu menu, MenuPresenter.Callback callback) {
        MenuItemImpl menuItemImpl;
        if (this.o == null) {
            ActionMenuPresenter actionMenuPresenter = new ActionMenuPresenter(this.f479a.getContext());
            this.o = actionMenuPresenter;
            actionMenuPresenter.p = R$id.action_menu_presenter;
        }
        ActionMenuPresenter actionMenuPresenter2 = this.o;
        actionMenuPresenter2.f224l = callback;
        Toolbar toolbar = this.f479a;
        MenuBuilder menuBuilder = (MenuBuilder) menu;
        if (menuBuilder != null || toolbar.f467d != null) {
            toolbar.f();
            MenuBuilder menuBuilder2 = toolbar.f467d.w;
            if (menuBuilder2 != menuBuilder) {
                if (menuBuilder2 != null) {
                    menuBuilder2.v(toolbar.Q);
                    menuBuilder2.v(toolbar.R);
                }
                if (toolbar.R == null) {
                    toolbar.R = new Toolbar.d();
                }
                actionMenuPresenter2.y = true;
                if (menuBuilder != null) {
                    menuBuilder.b(actionMenuPresenter2, toolbar.q);
                    menuBuilder.b(toolbar.R, toolbar.q);
                } else {
                    actionMenuPresenter2.initForMenu(toolbar.q, null);
                    Toolbar.d dVar = toolbar.R;
                    MenuBuilder menuBuilder3 = dVar.f476d;
                    if (!(menuBuilder3 == null || (menuItemImpl = dVar.f477h) == null)) {
                        menuBuilder3.d(menuItemImpl);
                    }
                    dVar.f476d = null;
                    actionMenuPresenter2.updateMenuView(true);
                    toolbar.R.updateMenuView(true);
                }
                toolbar.f467d.setPopupTheme(toolbar.r);
                toolbar.f467d.setPresenter(actionMenuPresenter2);
                toolbar.Q = actionMenuPresenter2;
            }
        }
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void setMenuCallbacks(MenuPresenter.Callback callback, MenuBuilder.Callback callback2) {
        Toolbar toolbar = this.f479a;
        toolbar.S = callback;
        toolbar.T = callback2;
        ActionMenuView actionMenuView = toolbar.f467d;
        if (actionMenuView != null) {
            actionMenuView.B = callback;
            actionMenuView.C = callback2;
        }
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void setMenuPrepared() {
        this.n = true;
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void setNavigationContentDescription(CharSequence charSequence) {
        this.f490l = charSequence;
        b();
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void setNavigationIcon(Drawable drawable) {
        this.f486h = drawable;
        c();
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void setNavigationMode(int i2) {
        Toolbar toolbar;
        View view;
        Toolbar toolbar2;
        int i3 = this.p;
        if (i2 != i3) {
            if (i3 == 1) {
                Spinner spinner = this.f482d;
                if (spinner != null && spinner.getParent() == (toolbar = this.f479a)) {
                    toolbar.removeView(this.f482d);
                }
            } else if (i3 == 2 && (view = this.f481c) != null && view.getParent() == (toolbar2 = this.f479a)) {
                toolbar2.removeView(this.f481c);
            }
            this.p = i2;
            if (i2 == 0) {
                return;
            }
            if (i2 == 1) {
                a();
                this.f479a.addView(this.f482d, 0);
            } else if (i2 == 2) {
                View view2 = this.f481c;
                if (view2 != null) {
                    this.f479a.addView(view2, 0);
                    Toolbar.LayoutParams layoutParams = (Toolbar.LayoutParams) this.f481c.getLayoutParams();
                    ((ViewGroup.MarginLayoutParams) layoutParams).width = -2;
                    ((ViewGroup.MarginLayoutParams) layoutParams).height = -2;
                    layoutParams.f84a = 8388691;
                }
            } else {
                throw new IllegalArgumentException(d.a.a.a.a.k("Invalid navigation mode ", i2));
            }
        }
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void setSubtitle(CharSequence charSequence) {
        this.f489k = charSequence;
        if ((this.f480b & 8) != 0) {
            this.f479a.setSubtitle(charSequence);
        }
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void setTitle(CharSequence charSequence) {
        this.f487i = true;
        this.f488j = charSequence;
        if ((this.f480b & 8) != 0) {
            this.f479a.setTitle(charSequence);
        }
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void setVisibility(int i2) {
        this.f479a.setVisibility(i2);
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void setWindowCallback(Window.Callback callback) {
        this.m = callback;
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void setWindowTitle(CharSequence charSequence) {
        if (!this.f487i) {
            this.f488j = charSequence;
            if ((this.f480b & 8) != 0) {
                this.f479a.setTitle(charSequence);
            }
        }
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public m setupAnimatorToVisibility(int i2, long j2) {
        m b2 = ViewCompat.b(this.f479a);
        b2.a(i2 == 0 ? 1.0f : 0.0f);
        b2.c(j2);
        a aVar = new a(i2);
        View view = b2.f3417a.get();
        if (view != null) {
            b2.e(view, aVar);
        }
        return b2;
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public boolean showOverflowMenu() {
        return this.f479a.v();
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void setIcon(Drawable drawable) {
        this.f484f = drawable;
        d();
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void setLogo(Drawable drawable) {
        this.f485g = drawable;
        d();
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void setNavigationContentDescription(int i2) {
        setNavigationContentDescription(i2 == 0 ? null : getContext().getString(i2));
    }

    @Override // androidx.appcompat.widget.DecorToolbar
    public void setNavigationIcon(int i2) {
        setNavigationIcon(i2 != 0 ? b.b.b.a.a.b(getContext(), i2) : null);
    }
}
