package androidx.arch.core.executor;

import android.os.Build;
import android.os.Handler;
import android.os.Looper;
import java.lang.reflect.InvocationTargetException;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.ThreadFactory;
import java.util.concurrent.atomic.AtomicInteger;

public class DefaultTaskExecutor extends b.c.a.a.a {

    /* renamed from: a  reason: collision with root package name */
    public final Object f502a = new Object();

    /* renamed from: b  reason: collision with root package name */
    public final ExecutorService f503b = Executors.newFixedThreadPool(4, new a(this));

    /* renamed from: c  reason: collision with root package name */
    public volatile Handler f504c;

    public class a implements ThreadFactory {

        /* renamed from: d  reason: collision with root package name */
        public final AtomicInteger f505d = new AtomicInteger(0);

        public a(DefaultTaskExecutor defaultTaskExecutor) {
        }

        public Thread newThread(Runnable runnable) {
            Thread thread = new Thread(runnable);
            thread.setName(String.format("arch_disk_io_%d", Integer.valueOf(this.f505d.getAndIncrement())));
            return thread;
        }
    }

    public static Handler c(Looper looper) {
        if (Build.VERSION.SDK_INT >= 28) {
            return Handler.createAsync(looper);
        }
        try {
            return (Handler) Handler.class.getDeclaredConstructor(Looper.class, Handler.Callback.class, Boolean.TYPE).newInstance(looper, null, Boolean.TRUE);
        } catch (IllegalAccessException | InstantiationException | NoSuchMethodException unused) {
            return new Handler(looper);
        } catch (InvocationTargetException unused2) {
            return new Handler(looper);
        }
    }

    @Override // b.c.a.a.a
    public boolean a() {
        return Looper.getMainLooper().getThread() == Thread.currentThread();
    }

    @Override // b.c.a.a.a
    public void b(Runnable runnable) {
        if (this.f504c == null) {
            synchronized (this.f502a) {
                if (this.f504c == null) {
                    this.f504c = c(Looper.getMainLooper());
                }
            }
        }
        this.f504c.post(runnable);
    }
}
