package androidx.arch.core.internal;

import java.util.Iterator;
import java.util.Map;
import java.util.WeakHashMap;

public class SafeIterableMap<K, V> implements Iterable<Map.Entry<K, V>> {

    /* renamed from: d  reason: collision with root package name */
    public c<K, V> f507d;

    /* renamed from: h  reason: collision with root package name */
    public c<K, V> f508h;

    /* renamed from: j  reason: collision with root package name */
    public WeakHashMap<SupportRemove<K, V>, Boolean> f509j = new WeakHashMap<>();

    /* renamed from: k  reason: collision with root package name */
    public int f510k = 0;

    public interface SupportRemove<K, V> {
        void supportRemove(c<K, V> cVar);
    }

    public static class a<K, V> extends e<K, V> {
        public a(c<K, V> cVar, c<K, V> cVar2) {
            super(cVar, cVar2);
        }

        @Override // androidx.arch.core.internal.SafeIterableMap.e
        public c<K, V> a(c<K, V> cVar) {
            return cVar.f514k;
        }

        @Override // androidx.arch.core.internal.SafeIterableMap.e
        public c<K, V> b(c<K, V> cVar) {
            return cVar.f513j;
        }
    }

    public static class b<K, V> extends e<K, V> {
        public b(c<K, V> cVar, c<K, V> cVar2) {
            super(cVar, cVar2);
        }

        @Override // androidx.arch.core.internal.SafeIterableMap.e
        public c<K, V> a(c<K, V> cVar) {
            return cVar.f513j;
        }

        @Override // androidx.arch.core.internal.SafeIterableMap.e
        public c<K, V> b(c<K, V> cVar) {
            return cVar.f514k;
        }
    }

    public static class c<K, V> implements Map.Entry<K, V> {

        /* renamed from: d  reason: collision with root package name */
        public final K f511d;

        /* renamed from: h  reason: collision with root package name */
        public final V f512h;

        /* renamed from: j  reason: collision with root package name */
        public c<K, V> f513j;

        /* renamed from: k  reason: collision with root package name */
        public c<K, V> f514k;

        public c(K k2, V v) {
            this.f511d = k2;
            this.f512h = v;
        }

        public boolean equals(Object obj) {
            if (obj == this) {
                return true;
            }
            if (!(obj instanceof c)) {
                return false;
            }
            c cVar = (c) obj;
            if (!this.f511d.equals(cVar.f511d) || !this.f512h.equals(cVar.f512h)) {
                return false;
            }
            return true;
        }

        @Override // java.util.Map.Entry
        public K getKey() {
            return this.f511d;
        }

        @Override // java.util.Map.Entry
        public V getValue() {
            return this.f512h;
        }

        public int hashCode() {
            return this.f511d.hashCode() ^ this.f512h.hashCode();
        }

        @Override // java.util.Map.Entry
        public V setValue(V v) {
            throw new UnsupportedOperationException("An entry modification is not supported");
        }

        public String toString() {
            return ((Object) this.f511d) + "=" + ((Object) this.f512h);
        }
    }

    public class d implements Iterator<Map.Entry<K, V>>, SupportRemove<K, V> {

        /* renamed from: d  reason: collision with root package name */
        public c<K, V> f515d;

        /* renamed from: h  reason: collision with root package name */
        public boolean f516h = true;

        public d() {
        }

        public boolean hasNext() {
            if (!this.f516h) {
                c<K, V> cVar = this.f515d;
                if (cVar == null || cVar.f513j == null) {
                    return false;
                }
                return true;
            } else if (SafeIterableMap.this.f507d != null) {
                return true;
            } else {
                return false;
            }
        }

        @Override // java.util.Iterator
        public Object next() {
            if (this.f516h) {
                this.f516h = false;
                this.f515d = SafeIterableMap.this.f507d;
            } else {
                c<K, V> cVar = this.f515d;
                this.f515d = cVar != null ? cVar.f513j : null;
            }
            return this.f515d;
        }

        @Override // androidx.arch.core.internal.SafeIterableMap.SupportRemove
        public void supportRemove(c<K, V> cVar) {
            c<K, V> cVar2 = this.f515d;
            if (cVar == cVar2) {
                c<K, V> cVar3 = cVar2.f514k;
                this.f515d = cVar3;
                this.f516h = cVar3 == null;
            }
        }
    }

    public static abstract class e<K, V> implements Iterator<Map.Entry<K, V>>, SupportRemove<K, V> {

        /* renamed from: d  reason: collision with root package name */
        public c<K, V> f518d;

        /* renamed from: h  reason: collision with root package name */
        public c<K, V> f519h;

        public e(c<K, V> cVar, c<K, V> cVar2) {
            this.f518d = cVar2;
            this.f519h = cVar;
        }

        public abstract c<K, V> a(c<K, V> cVar);

        public abstract c<K, V> b(c<K, V> cVar);

        public boolean hasNext() {
            return this.f519h != null;
        }

        @Override // java.util.Iterator
        public Object next() {
            c<K, V> cVar = this.f519h;
            c<K, V> cVar2 = this.f518d;
            this.f519h = (cVar == cVar2 || cVar2 == null) ? null : b(cVar);
            return cVar;
        }

        @Override // androidx.arch.core.internal.SafeIterableMap.SupportRemove
        public void supportRemove(c<K, V> cVar) {
            c<K, V> cVar2 = null;
            if (this.f518d == cVar && cVar == this.f519h) {
                this.f519h = null;
                this.f518d = null;
            }
            c<K, V> cVar3 = this.f518d;
            if (cVar3 == cVar) {
                this.f518d = a(cVar3);
            }
            c<K, V> cVar4 = this.f519h;
            if (cVar4 == cVar) {
                c<K, V> cVar5 = this.f518d;
                if (!(cVar4 == cVar5 || cVar5 == null)) {
                    cVar2 = b(cVar4);
                }
                this.f519h = cVar2;
            }
        }
    }

    public c<K, V> a(K k2) {
        c<K, V> cVar = this.f507d;
        while (cVar != null && !cVar.f511d.equals(k2)) {
            cVar = cVar.f513j;
        }
        return cVar;
    }

    public SafeIterableMap<K, V>.d b() {
        SafeIterableMap<K, V>.d dVar = new d();
        this.f509j.put(dVar, Boolean.FALSE);
        return dVar;
    }

    public c<K, V> c(K k2, V v) {
        c<K, V> cVar = new c<>(k2, v);
        this.f510k++;
        c<K, V> cVar2 = this.f508h;
        if (cVar2 == null) {
            this.f507d = cVar;
            this.f508h = cVar;
            return cVar;
        }
        cVar2.f513j = cVar;
        cVar.f514k = cVar2;
        this.f508h = cVar;
        return cVar;
    }

    public V d(K k2, V v) {
        c<K, V> a2 = a(k2);
        if (a2 != null) {
            return a2.f512h;
        }
        c(k2, v);
        return null;
    }

    public V e(K k2) {
        c<K, V> a2 = a(k2);
        if (a2 == null) {
            return null;
        }
        this.f510k--;
        if (!this.f509j.isEmpty()) {
            for (SupportRemove<K, V> supportRemove : this.f509j.keySet()) {
                supportRemove.supportRemove(a2);
            }
        }
        c<K, V> cVar = a2.f514k;
        if (cVar != null) {
            cVar.f513j = a2.f513j;
        } else {
            this.f507d = a2.f513j;
        }
        c<K, V> cVar2 = a2.f513j;
        if (cVar2 != null) {
            cVar2.f514k = cVar;
        } else {
            this.f508h = cVar;
        }
        a2.f513j = null;
        a2.f514k = null;
        return a2.f512h;
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof SafeIterableMap)) {
            return false;
        }
        SafeIterableMap safeIterableMap = (SafeIterableMap) obj;
        if (this.f510k != safeIterableMap.f510k) {
            return false;
        }
        Iterator<Map.Entry<K, V>> it = iterator();
        Iterator<Map.Entry<K, V>> it2 = safeIterableMap.iterator();
        while (it.hasNext() && it2.hasNext()) {
            Map.Entry<K, V> next = it.next();
            Map.Entry<K, V> next2 = it2.next();
            if ((next == null && next2 != null) || (next != null && !next.equals(next2))) {
                return false;
            }
        }
        if (it.hasNext() || it2.hasNext()) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        Iterator<Map.Entry<K, V>> it = iterator();
        int i2 = 0;
        while (it.hasNext()) {
            i2 += it.next().hashCode();
        }
        return i2;
    }

    @Override // java.lang.Iterable
    public Iterator<Map.Entry<K, V>> iterator() {
        a aVar = new a(this.f507d, this.f508h);
        this.f509j.put(aVar, Boolean.FALSE);
        return aVar;
    }

    public String toString() {
        StringBuilder B = d.a.a.a.a.B("[");
        Iterator<Map.Entry<K, V>> it = iterator();
        while (it.hasNext()) {
            B.append(it.next().toString());
            if (it.hasNext()) {
                B.append(", ");
            }
        }
        B.append("]");
        return B.toString();
    }
}
