package androidx.camera.core;

import android.graphics.Rect;
import android.os.Handler;
import android.os.HandlerThread;
import android.util.Size;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.camera.core.SurfaceRequest;
import androidx.camera.core.UseCase;
import androidx.camera.core.impl.CameraInfoInternal;
import androidx.camera.core.impl.CameraInternal;
import androidx.camera.core.impl.CaptureConfig;
import androidx.camera.core.impl.CaptureProcessor;
import androidx.camera.core.impl.CaptureStage;
import androidx.camera.core.impl.Config;
import androidx.camera.core.impl.ConfigProvider;
import androidx.camera.core.impl.DeferrableSurface;
import androidx.camera.core.impl.ImageInfoProcessor;
import androidx.camera.core.impl.ImageInputConfig;
import androidx.camera.core.impl.ImageOutputConfig;
import androidx.camera.core.impl.MutableConfig;
import androidx.camera.core.impl.MutableOptionsBundle;
import androidx.camera.core.impl.OptionsBundle;
import androidx.camera.core.impl.PreviewConfig;
import androidx.camera.core.impl.SessionConfig;
import androidx.camera.core.impl.UseCaseConfig;
import androidx.camera.core.impl.UseCaseConfigFactory;
import androidx.camera.core.internal.TargetConfig;
import androidx.camera.core.internal.ThreadConfig;
import androidx.camera.core.internal.UseCaseEventConfig;
import androidx.core.util.Consumer;
import b.d.a.i0;
import b.d.a.j0;
import b.d.a.j2;
import b.d.a.p1;
import b.d.a.q1;
import b.d.a.q2.m;
import b.d.a.q2.u;
import b.d.a.t0;
import java.util.List;
import java.util.Objects;
import java.util.UUID;
import java.util.concurrent.Executor;

public final class Preview extends UseCase {

    /* renamed from: k  reason: collision with root package name */
    public static final Defaults f582k = new Defaults();

    /* renamed from: l  reason: collision with root package name */
    public static final Executor f583l = AppCompatDelegateImpl.e.a0();
    public SurfaceProvider m;
    public Executor n = f583l;
    public DeferrableSurface o;
    public SurfaceRequest p;
    public boolean q = false;
    public Size r;

    public static final class Builder implements UseCaseConfig.Builder<Preview, PreviewConfig, Builder>, ImageOutputConfig.Builder<Builder>, ThreadConfig.Builder<Builder> {

        /* renamed from: a  reason: collision with root package name */
        public final MutableOptionsBundle f584a;

        public Builder() {
            this(MutableOptionsBundle.b());
        }

        /* renamed from: a */
        public Preview build() {
            if (this.f584a.retrieveOption(ImageOutputConfig.OPTION_TARGET_ASPECT_RATIO, null) == null || this.f584a.retrieveOption(ImageOutputConfig.OPTION_TARGET_RESOLUTION, null) == null) {
                return new Preview(getUseCaseConfig());
            }
            throw new IllegalArgumentException("Cannot use both setTargetResolution and setTargetAspectRatio on the same config.");
        }

        /* renamed from: b */
        public PreviewConfig getUseCaseConfig() {
            return new PreviewConfig(OptionsBundle.a(this.f584a));
        }

        public Builder c(Class<Preview> cls) {
            this.f584a.insertOption(TargetConfig.OPTION_TARGET_CLASS, MutableOptionsBundle.f681c, cls);
            if (this.f584a.retrieveOption(TargetConfig.OPTION_TARGET_NAME, null) == null) {
                d(cls.getCanonicalName() + "-" + UUID.randomUUID());
            }
            return this;
        }

        public Builder d(String str) {
            this.f584a.insertOption(TargetConfig.OPTION_TARGET_NAME, MutableOptionsBundle.f681c, str);
            return this;
        }

        @Override // androidx.camera.core.ExtendableBuilder
        public MutableConfig getMutableConfig() {
            return this.f584a;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // androidx.camera.core.impl.UseCaseConfig.Builder
        public Builder setAttachedUseCasesUpdateListener(Consumer consumer) {
            this.f584a.insertOption(UseCaseConfig.OPTION_ATTACHED_USE_CASES_UPDATE_LISTENER, MutableOptionsBundle.f681c, consumer);
            return this;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // androidx.camera.core.internal.ThreadConfig.Builder
        public Builder setBackgroundExecutor(Executor executor) {
            this.f584a.insertOption(ThreadConfig.OPTION_BACKGROUND_EXECUTOR, MutableOptionsBundle.f681c, executor);
            return this;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // androidx.camera.core.impl.UseCaseConfig.Builder
        public Builder setCameraSelector(q1 q1Var) {
            this.f584a.insertOption(UseCaseConfig.OPTION_CAMERA_SELECTOR, MutableOptionsBundle.f681c, q1Var);
            return this;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // androidx.camera.core.impl.UseCaseConfig.Builder
        public Builder setCaptureOptionUnpacker(CaptureConfig.OptionUnpacker optionUnpacker) {
            this.f584a.insertOption(UseCaseConfig.OPTION_CAPTURE_CONFIG_UNPACKER, MutableOptionsBundle.f681c, optionUnpacker);
            return this;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // androidx.camera.core.impl.UseCaseConfig.Builder
        public Builder setDefaultCaptureConfig(CaptureConfig captureConfig) {
            this.f584a.insertOption(UseCaseConfig.OPTION_DEFAULT_CAPTURE_CONFIG, MutableOptionsBundle.f681c, captureConfig);
            return this;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // androidx.camera.core.impl.ImageOutputConfig.Builder
        public Builder setDefaultResolution(Size size) {
            this.f584a.insertOption(ImageOutputConfig.OPTION_DEFAULT_RESOLUTION, MutableOptionsBundle.f681c, size);
            return this;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // androidx.camera.core.impl.UseCaseConfig.Builder
        public Builder setDefaultSessionConfig(SessionConfig sessionConfig) {
            this.f584a.insertOption(UseCaseConfig.OPTION_DEFAULT_SESSION_CONFIG, MutableOptionsBundle.f681c, sessionConfig);
            return this;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // androidx.camera.core.impl.ImageOutputConfig.Builder
        public Builder setMaxResolution(Size size) {
            this.f584a.insertOption(ImageOutputConfig.OPTION_MAX_RESOLUTION, MutableOptionsBundle.f681c, size);
            return this;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // androidx.camera.core.impl.UseCaseConfig.Builder
        public Builder setSessionOptionUnpacker(SessionConfig.OptionUnpacker optionUnpacker) {
            this.f584a.insertOption(UseCaseConfig.OPTION_SESSION_CONFIG_UNPACKER, MutableOptionsBundle.f681c, optionUnpacker);
            return this;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // androidx.camera.core.impl.ImageOutputConfig.Builder
        public Builder setSupportedResolutions(List list) {
            this.f584a.insertOption(ImageOutputConfig.OPTION_SUPPORTED_RESOLUTIONS, MutableOptionsBundle.f681c, list);
            return this;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // androidx.camera.core.impl.UseCaseConfig.Builder
        public Builder setSurfaceOccupancyPriority(int i2) {
            this.f584a.insertOption(UseCaseConfig.OPTION_SURFACE_OCCUPANCY_PRIORITY, MutableOptionsBundle.f681c, Integer.valueOf(i2));
            return this;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // androidx.camera.core.impl.ImageOutputConfig.Builder
        public Builder setTargetAspectRatio(int i2) {
            this.f584a.insertOption(ImageOutputConfig.OPTION_TARGET_ASPECT_RATIO, MutableOptionsBundle.f681c, Integer.valueOf(i2));
            return this;
        }

        @Override // androidx.camera.core.internal.TargetConfig.Builder
        public /* bridge */ /* synthetic */ Object setTargetClass(Class cls) {
            c(cls);
            return this;
        }

        @Override // androidx.camera.core.internal.TargetConfig.Builder
        public Object setTargetName(String str) {
            this.f584a.insertOption(TargetConfig.OPTION_TARGET_NAME, MutableOptionsBundle.f681c, str);
            return this;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // androidx.camera.core.impl.ImageOutputConfig.Builder
        public Builder setTargetResolution(Size size) {
            this.f584a.insertOption(ImageOutputConfig.OPTION_TARGET_RESOLUTION, MutableOptionsBundle.f681c, size);
            return this;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // androidx.camera.core.impl.ImageOutputConfig.Builder
        public Builder setTargetRotation(int i2) {
            this.f584a.insertOption(ImageOutputConfig.OPTION_TARGET_ROTATION, MutableOptionsBundle.f681c, Integer.valueOf(i2));
            return this;
        }

        @Override // androidx.camera.core.internal.UseCaseEventConfig.Builder
        public Object setUseCaseEventCallback(UseCase.EventCallback eventCallback) {
            this.f584a.insertOption(UseCaseEventConfig.OPTION_USE_CASE_EVENT_CALLBACK, MutableOptionsBundle.f681c, eventCallback);
            return this;
        }

        public Builder(MutableOptionsBundle mutableOptionsBundle) {
            this.f584a = mutableOptionsBundle;
            Class cls = (Class) mutableOptionsBundle.retrieveOption(TargetConfig.OPTION_TARGET_CLASS, null);
            if (cls == null || cls.equals(Preview.class)) {
                c(Preview.class);
                return;
            }
            throw new IllegalArgumentException("Invalid target class configuration for " + this + ": " + cls);
        }
    }

    public static final class Defaults implements ConfigProvider<PreviewConfig> {

        /* renamed from: a  reason: collision with root package name */
        public static final PreviewConfig f585a;

        static {
            Builder builder = new Builder();
            MutableOptionsBundle mutableOptionsBundle = builder.f584a;
            Config.a<Integer> aVar = UseCaseConfig.OPTION_SURFACE_OCCUPANCY_PRIORITY;
            Config.OptionPriority optionPriority = MutableOptionsBundle.f681c;
            mutableOptionsBundle.insertOption(aVar, optionPriority, 2);
            builder.f584a.insertOption(ImageOutputConfig.OPTION_TARGET_ASPECT_RATIO, optionPriority, 0);
            f585a = builder.getUseCaseConfig();
        }

        /* Return type fixed from 'androidx.camera.core.impl.Config' to match base method */
        @Override // androidx.camera.core.impl.ConfigProvider
        public PreviewConfig getConfig() {
            return f585a;
        }
    }

    public interface SurfaceProvider {
        void onSurfaceRequested(SurfaceRequest surfaceRequest);
    }

    public class a extends m {

        /* renamed from: a  reason: collision with root package name */
        public final /* synthetic */ ImageInfoProcessor f586a;

        public a(Preview preview, ImageInfoProcessor imageInfoProcessor) {
            this.f586a = imageInfoProcessor;
        }
    }

    public Preview(PreviewConfig previewConfig) {
        super(previewConfig);
    }

    @Override // androidx.camera.core.UseCase
    public UseCaseConfig<?> d(boolean z, UseCaseConfigFactory useCaseConfigFactory) {
        Config config = useCaseConfigFactory.getConfig(UseCaseConfigFactory.CaptureType.PREVIEW);
        if (z) {
            Objects.requireNonNull(f582k);
            config = u.a(config, Defaults.f585a);
        }
        if (config == null) {
            return null;
        }
        return ((Builder) i(config)).getUseCaseConfig();
    }

    @Override // androidx.camera.core.UseCase
    public UseCaseConfig.Builder<?, ?, ?> i(Config config) {
        return new Builder(MutableOptionsBundle.c(config));
    }

    @Override // androidx.camera.core.UseCase
    public void r() {
        DeferrableSurface deferrableSurface = this.o;
        if (deferrableSurface != null) {
            deferrableSurface.a();
        }
        this.p = null;
    }

    @Override // androidx.camera.core.UseCase
    public UseCaseConfig<?> s(CameraInfoInternal cameraInfoInternal, UseCaseConfig.Builder<?, ?, ?> builder) {
        if (builder.getMutableConfig().retrieveOption(PreviewConfig.f685b, null) != null) {
            builder.getMutableConfig().insertOption(ImageInputConfig.OPTION_INPUT_FORMAT, 35);
        } else {
            builder.getMutableConfig().insertOption(ImageInputConfig.OPTION_INPUT_FORMAT, 34);
        }
        return builder.getUseCaseConfig();
    }

    @Override // androidx.camera.core.UseCase
    public Size t(Size size) {
        this.r = size;
        w(c(), (PreviewConfig) this.f611f, this.r).b();
        return size;
    }

    public String toString() {
        StringBuilder B = d.a.a.a.a.B("Preview:");
        B.append(f());
        return B.toString();
    }

    @Override // androidx.camera.core.UseCase
    public void v(Rect rect) {
        this.f614i = rect;
        y();
    }

    public SessionConfig.Builder w(String str, PreviewConfig previewConfig, Size size) {
        m mVar;
        AppCompatDelegateImpl.e.k();
        SessionConfig.Builder c2 = SessionConfig.Builder.c(previewConfig);
        CaptureProcessor captureProcessor = (CaptureProcessor) previewConfig.retrieveOption(PreviewConfig.f685b, null);
        DeferrableSurface deferrableSurface = this.o;
        if (deferrableSurface != null) {
            deferrableSurface.a();
        }
        SurfaceRequest surfaceRequest = new SurfaceRequest(size, a(), captureProcessor != null);
        this.p = surfaceRequest;
        if (x()) {
            y();
        } else {
            this.q = true;
        }
        if (captureProcessor != null) {
            CaptureStage.DefaultCaptureStage defaultCaptureStage = new CaptureStage.DefaultCaptureStage();
            HandlerThread handlerThread = new HandlerThread("CameraX-preview_processing");
            handlerThread.start();
            String num = Integer.toString(defaultCaptureStage.hashCode());
            j2 j2Var = new j2(size.getWidth(), size.getHeight(), ((Integer) previewConfig.retrieveOption(ImageInputConfig.OPTION_INPUT_FORMAT)).intValue(), new Handler(handlerThread.getLooper()), defaultCaptureStage, captureProcessor, surfaceRequest.f594h, num);
            synchronized (j2Var.f2553h) {
                if (!j2Var.f2555j) {
                    mVar = j2Var.q;
                } else {
                    throw new IllegalStateException("ProcessingSurface already released!");
                }
            }
            c2.f693b.a(mVar);
            c2.f697f.add(mVar);
            j2Var.b().a(new b.d.a.a(handlerThread), AppCompatDelegateImpl.e.B());
            this.o = j2Var;
            c2.f693b.f651e.f2630b.put(num, 0);
        } else {
            ImageInfoProcessor imageInfoProcessor = (ImageInfoProcessor) previewConfig.retrieveOption(PreviewConfig.f684a, null);
            if (imageInfoProcessor != null) {
                a aVar = new a(this, imageInfoProcessor);
                c2.f693b.a(aVar);
                c2.f697f.add(aVar);
            }
            this.o = surfaceRequest.f594h;
        }
        c2.a(this.o);
        c2.f696e.add(new i0(this, str, previewConfig, size));
        return c2;
    }

    public final boolean x() {
        SurfaceRequest surfaceRequest = this.p;
        SurfaceProvider surfaceProvider = this.m;
        if (surfaceProvider == null || surfaceRequest == null) {
            return false;
        }
        this.n.execute(new j0(surfaceProvider, surfaceRequest));
        return true;
    }

    public final void y() {
        CameraInternal a2 = a();
        SurfaceProvider surfaceProvider = this.m;
        Size size = this.r;
        Rect rect = this.f614i;
        if (rect == null) {
            rect = size != null ? new Rect(0, 0, size.getWidth(), size.getHeight()) : null;
        }
        SurfaceRequest surfaceRequest = this.p;
        if (a2 != null && surfaceProvider != null && rect != null) {
            p1 p1Var = new p1(rect, g(a2), h());
            surfaceRequest.f595i = p1Var;
            SurfaceRequest.TransformationInfoListener transformationInfoListener = surfaceRequest.f596j;
            if (transformationInfoListener != null) {
                surfaceRequest.f597k.execute(new t0(transformationInfoListener, p1Var));
            }
        }
    }

    public void z(SurfaceProvider surfaceProvider) {
        Executor executor = f583l;
        AppCompatDelegateImpl.e.k();
        if (surfaceProvider == null) {
            this.m = null;
            this.f608c = UseCase.State.INACTIVE;
            n();
            return;
        }
        this.m = surfaceProvider;
        this.n = executor;
        l();
        if (this.q) {
            if (x()) {
                y();
                this.q = false;
            }
        } else if (this.f612g != null) {
            w(c(), (PreviewConfig) this.f611f, this.f612g).b();
            m();
        }
    }
}
