package androidx.camera.core;

import android.graphics.Rect;
import android.util.Size;
import android.view.Surface;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.camera.core.impl.CameraInternal;
import androidx.camera.core.impl.DeferrableSurface;
import androidx.camera.core.impl.utils.futures.FutureCallback;
import androidx.core.util.Consumer;
import b.d.a.o1;
import b.d.a.q0;
import b.d.a.q2.d0.j.e;
import b.d.a.r0;
import b.d.a.u0;
import b.d.a.v0;
import b.d.a.w0;
import b.d.a.x0;
import java.util.Objects;
import java.util.concurrent.CancellationException;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;
import java.util.concurrent.atomic.AtomicReference;

public final class SurfaceRequest {

    /* renamed from: a  reason: collision with root package name */
    public final Size f587a;

    /* renamed from: b  reason: collision with root package name */
    public final boolean f588b;

    /* renamed from: c  reason: collision with root package name */
    public final CameraInternal f589c;

    /* renamed from: d  reason: collision with root package name */
    public final d.h.b.a.a.a<Surface> f590d;

    /* renamed from: e  reason: collision with root package name */
    public final b.g.a.a<Surface> f591e;

    /* renamed from: f  reason: collision with root package name */
    public final d.h.b.a.a.a<Void> f592f;

    /* renamed from: g  reason: collision with root package name */
    public final b.g.a.a<Void> f593g;

    /* renamed from: h  reason: collision with root package name */
    public final DeferrableSurface f594h;

    /* renamed from: i  reason: collision with root package name */
    public f f595i;

    /* renamed from: j  reason: collision with root package name */
    public TransformationInfoListener f596j;

    /* renamed from: k  reason: collision with root package name */
    public Executor f597k;

    public static final class RequestCancelledException extends RuntimeException {
        public RequestCancelledException(String str, Throwable th) {
            super(str, th);
        }
    }

    public interface TransformationInfoListener {
        void onTransformationInfoUpdate(f fVar);
    }

    public class a implements FutureCallback<Void> {

        /* renamed from: a  reason: collision with root package name */
        public final /* synthetic */ b.g.a.a f598a;

        /* renamed from: b  reason: collision with root package name */
        public final /* synthetic */ d.h.b.a.a.a f599b;

        public a(SurfaceRequest surfaceRequest, b.g.a.a aVar, d.h.b.a.a.a aVar2) {
            this.f598a = aVar;
            this.f599b = aVar2;
        }

        @Override // androidx.camera.core.impl.utils.futures.FutureCallback
        public void onFailure(Throwable th) {
            if (th instanceof RequestCancelledException) {
                AppCompatDelegateImpl.e.n(this.f599b.cancel(false), null);
            } else {
                AppCompatDelegateImpl.e.n(this.f598a.a(null), null);
            }
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // androidx.camera.core.impl.utils.futures.FutureCallback
        public void onSuccess(Void r2) {
            AppCompatDelegateImpl.e.n(this.f598a.a(null), null);
        }
    }

    public class b extends DeferrableSurface {
        public b() {
        }

        @Override // androidx.camera.core.impl.DeferrableSurface
        public d.h.b.a.a.a<Surface> d() {
            return SurfaceRequest.this.f590d;
        }
    }

    public class c implements FutureCallback<Surface> {

        /* renamed from: a  reason: collision with root package name */
        public final /* synthetic */ d.h.b.a.a.a f601a;

        /* renamed from: b  reason: collision with root package name */
        public final /* synthetic */ b.g.a.a f602b;

        /* renamed from: c  reason: collision with root package name */
        public final /* synthetic */ String f603c;

        public c(SurfaceRequest surfaceRequest, d.h.b.a.a.a aVar, b.g.a.a aVar2, String str) {
            this.f601a = aVar;
            this.f602b = aVar2;
            this.f603c = str;
        }

        @Override // androidx.camera.core.impl.utils.futures.FutureCallback
        public void onFailure(Throwable th) {
            if (th instanceof CancellationException) {
                AppCompatDelegateImpl.e.n(this.f602b.b(new RequestCancelledException(d.a.a.a.a.y(new StringBuilder(), this.f603c, " cancelled."), th)), null);
            } else {
                this.f602b.a(null);
            }
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // androidx.camera.core.impl.utils.futures.FutureCallback
        public void onSuccess(Surface surface) {
            b.d.a.q2.d0.j.e.f(true, this.f601a, b.d.a.q2.d0.j.e.f2690a, this.f602b, AppCompatDelegateImpl.e.B());
        }
    }

    public class d implements FutureCallback<Void> {

        /* renamed from: a  reason: collision with root package name */
        public final /* synthetic */ Consumer f604a;

        /* renamed from: b  reason: collision with root package name */
        public final /* synthetic */ Surface f605b;

        public d(SurfaceRequest surfaceRequest, Consumer consumer, Surface surface) {
            this.f604a = consumer;
            this.f605b = surface;
        }

        @Override // androidx.camera.core.impl.utils.futures.FutureCallback
        public void onFailure(Throwable th) {
            AppCompatDelegateImpl.e.n(th instanceof RequestCancelledException, "Camera surface session should only fail with request cancellation. Instead failed due to:\n" + th);
            this.f604a.accept(new o1(1, this.f605b));
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // androidx.camera.core.impl.utils.futures.FutureCallback
        public void onSuccess(Void r4) {
            this.f604a.accept(new o1(0, this.f605b));
        }
    }

    public static abstract class e {
        public abstract int a();

        public abstract Surface b();
    }

    public static abstract class f {
        public abstract Rect a();

        public abstract int b();

        public abstract int c();
    }

    public SurfaceRequest(Size size, CameraInternal cameraInternal, boolean z) {
        this.f587a = size;
        this.f589c = cameraInternal;
        this.f588b = z;
        String str = "SurfaceRequest[size: " + size + ", id: " + hashCode() + "]";
        AtomicReference atomicReference = new AtomicReference(null);
        d.h.b.a.a.a H = AppCompatDelegateImpl.e.H(new w0(atomicReference, str));
        b.g.a.a<Void> aVar = (b.g.a.a) atomicReference.get();
        Objects.requireNonNull(aVar);
        this.f593g = aVar;
        AtomicReference atomicReference2 = new AtomicReference(null);
        d.h.b.a.a.a<Void> H2 = AppCompatDelegateImpl.e.H(new x0(atomicReference2, str));
        this.f592f = H2;
        H2.a(new e.d(H2, new a(this, aVar, H)), AppCompatDelegateImpl.e.B());
        b.g.a.a aVar2 = (b.g.a.a) atomicReference2.get();
        Objects.requireNonNull(aVar2);
        AtomicReference atomicReference3 = new AtomicReference(null);
        d.h.b.a.a.a<Surface> H3 = AppCompatDelegateImpl.e.H(new v0(atomicReference3, str));
        this.f590d = H3;
        b.g.a.a<Surface> aVar3 = (b.g.a.a) atomicReference3.get();
        Objects.requireNonNull(aVar3);
        this.f591e = aVar3;
        b bVar = new b();
        this.f594h = bVar;
        d.h.b.a.a.a<Void> b2 = bVar.b();
        H3.a(new e.d(H3, new c(this, b2, aVar2, str)), AppCompatDelegateImpl.e.B());
        b2.a(new u0(this), AppCompatDelegateImpl.e.B());
    }

    public void a(Surface surface, Executor executor, Consumer<e> consumer) {
        if (this.f591e.a(surface) || this.f590d.isCancelled()) {
            d.h.b.a.a.a<Void> aVar = this.f592f;
            aVar.a(new e.d(aVar, new d(this, consumer, surface)), executor);
            return;
        }
        AppCompatDelegateImpl.e.n(this.f590d.isDone(), null);
        try {
            this.f590d.get();
            executor.execute(new q0(consumer, surface));
        } catch (InterruptedException | ExecutionException unused) {
            executor.execute(new r0(consumer, surface));
        }
    }
}
