package androidx.camera.core;

import android.annotation.SuppressLint;
import android.graphics.Rect;
import android.util.ArrayMap;
import android.util.Size;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.camera.core.impl.CameraControlInternal;
import androidx.camera.core.impl.CameraInfoInternal;
import androidx.camera.core.impl.CameraInternal;
import androidx.camera.core.impl.CaptureConfig;
import androidx.camera.core.impl.Config;
import androidx.camera.core.impl.ImageOutputConfig;
import androidx.camera.core.impl.MutableOptionsBundle;
import androidx.camera.core.impl.MutableTagBundle;
import androidx.camera.core.impl.OptionsBundle;
import androidx.camera.core.impl.UseCaseConfig;
import androidx.camera.core.impl.UseCaseConfigFactory;
import androidx.camera.core.internal.TargetConfig;
import b.d.a.q2.a0;
import d.a.a.a.a;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashSet;
import java.util.Objects;
import java.util.Set;

public abstract class UseCase {

    /* renamed from: a  reason: collision with root package name */
    public final Set<StateChangeCallback> f606a = new HashSet();

    /* renamed from: b  reason: collision with root package name */
    public final Object f607b = new Object();

    /* renamed from: c  reason: collision with root package name */
    public State f608c = State.INACTIVE;

    /* renamed from: d  reason: collision with root package name */
    public UseCaseConfig<?> f609d;

    /* renamed from: e  reason: collision with root package name */
    public UseCaseConfig<?> f610e;

    /* renamed from: f  reason: collision with root package name */
    public UseCaseConfig<?> f611f;

    /* renamed from: g  reason: collision with root package name */
    public Size f612g;

    /* renamed from: h  reason: collision with root package name */
    public UseCaseConfig<?> f613h;

    /* renamed from: i  reason: collision with root package name */
    public Rect f614i;

    /* renamed from: j  reason: collision with root package name */
    public CameraInternal f615j;

    public interface EventCallback {
        void onAttach(CameraInfo cameraInfo);

        void onDetach();
    }

    public enum State {
        ACTIVE,
        INACTIVE
    }

    public interface StateChangeCallback {
        void onUseCaseActive(UseCase useCase);

        void onUseCaseInactive(UseCase useCase);

        void onUseCaseReset(UseCase useCase);

        void onUseCaseUpdated(UseCase useCase);
    }

    public UseCase(UseCaseConfig<?> useCaseConfig) {
        new ArrayList();
        ArrayList arrayList = new ArrayList(0);
        ArrayList arrayList2 = new ArrayList(0);
        ArrayList arrayList3 = new ArrayList(0);
        ArrayList arrayList4 = new ArrayList(0);
        HashSet hashSet = new HashSet();
        MutableOptionsBundle b2 = MutableOptionsBundle.b();
        ArrayList arrayList5 = new ArrayList();
        ArrayMap arrayMap = new ArrayMap();
        MutableTagBundle mutableTagBundle = new MutableTagBundle(arrayMap);
        ArrayList arrayList6 = new ArrayList(hashSet);
        OptionsBundle a2 = OptionsBundle.a(b2);
        a0 a0Var = a0.f2629a;
        ArrayMap arrayMap2 = new ArrayMap();
        for (String str : arrayMap.keySet()) {
            arrayMap2.put(str, mutableTagBundle.a(str));
        }
        new CaptureConfig(arrayList6, a2, -1, arrayList5, false, new a0(arrayMap2));
        Collections.unmodifiableList(arrayList);
        Collections.unmodifiableList(arrayList2);
        Collections.unmodifiableList(arrayList3);
        Collections.unmodifiableList(arrayList4);
        this.f610e = useCaseConfig;
        this.f611f = useCaseConfig;
    }

    public CameraInternal a() {
        CameraInternal cameraInternal;
        synchronized (this.f607b) {
            cameraInternal = this.f615j;
        }
        return cameraInternal;
    }

    public CameraControlInternal b() {
        synchronized (this.f607b) {
            CameraInternal cameraInternal = this.f615j;
            if (cameraInternal == null) {
                return CameraControlInternal.DEFAULT_EMPTY_INSTANCE;
            }
            return cameraInternal.getCameraControlInternal();
        }
    }

    public String c() {
        CameraInternal a2 = a();
        AppCompatDelegateImpl.e.l(a2, "No camera attached to use case: " + this);
        return a2.getCameraInfoInternal().getCameraId();
    }

    public abstract UseCaseConfig<?> d(boolean z, UseCaseConfigFactory useCaseConfigFactory);

    public int e() {
        return this.f611f.getInputFormat();
    }

    public String f() {
        UseCaseConfig<?> useCaseConfig = this.f611f;
        StringBuilder B = a.B("<UnknownUseCase-");
        B.append(hashCode());
        B.append(">");
        return useCaseConfig.getTargetName(B.toString());
    }

    public int g(CameraInternal cameraInternal) {
        return cameraInternal.getCameraInfoInternal().getSensorRotationDegrees(h());
    }

    @SuppressLint({"WrongConstant"})
    public int h() {
        return ((ImageOutputConfig) this.f611f).getTargetRotation(0);
    }

    public abstract UseCaseConfig.Builder<?, ?, ?> i(Config config);

    public boolean j(String str) {
        if (a() == null) {
            return false;
        }
        return Objects.equals(str, c());
    }

    public UseCaseConfig<?> k(CameraInfoInternal cameraInfoInternal, UseCaseConfig<?> useCaseConfig, UseCaseConfig<?> useCaseConfig2) {
        MutableOptionsBundle mutableOptionsBundle;
        if (useCaseConfig2 != null) {
            mutableOptionsBundle = MutableOptionsBundle.c(useCaseConfig2);
            mutableOptionsBundle.f683b.remove(TargetConfig.OPTION_TARGET_NAME);
        } else {
            mutableOptionsBundle = MutableOptionsBundle.b();
        }
        for (Config.a<?> aVar : this.f610e.listOptions()) {
            mutableOptionsBundle.insertOption(aVar, this.f610e.getOptionPriority(aVar), this.f610e.retrieveOption(aVar));
        }
        if (useCaseConfig != null) {
            for (Config.a<?> aVar2 : useCaseConfig.listOptions()) {
                if (!aVar2.a().equals(TargetConfig.OPTION_TARGET_NAME.a())) {
                    mutableOptionsBundle.insertOption(aVar2, useCaseConfig.getOptionPriority(aVar2), useCaseConfig.retrieveOption(aVar2));
                }
            }
        }
        if (mutableOptionsBundle.containsOption(ImageOutputConfig.OPTION_TARGET_RESOLUTION)) {
            Config.a<Integer> aVar3 = ImageOutputConfig.OPTION_TARGET_ASPECT_RATIO;
            if (mutableOptionsBundle.containsOption(aVar3)) {
                mutableOptionsBundle.f683b.remove(aVar3);
            }
        }
        return s(cameraInfoInternal, i(mutableOptionsBundle));
    }

    public final void l() {
        this.f608c = State.ACTIVE;
        n();
    }

    public final void m() {
        for (StateChangeCallback stateChangeCallback : this.f606a) {
            stateChangeCallback.onUseCaseReset(this);
        }
    }

    public final void n() {
        int ordinal = this.f608c.ordinal();
        if (ordinal == 0) {
            for (StateChangeCallback stateChangeCallback : this.f606a) {
                stateChangeCallback.onUseCaseActive(this);
            }
        } else if (ordinal == 1) {
            for (StateChangeCallback stateChangeCallback2 : this.f606a) {
                stateChangeCallback2.onUseCaseInactive(this);
            }
        }
    }

    @SuppressLint({"WrongConstant"})
    public void o(CameraInternal cameraInternal, UseCaseConfig<?> useCaseConfig, UseCaseConfig<?> useCaseConfig2) {
        synchronized (this.f607b) {
            this.f615j = cameraInternal;
            this.f606a.add(cameraInternal);
        }
        this.f609d = useCaseConfig;
        this.f613h = useCaseConfig2;
        UseCaseConfig<?> k2 = k(cameraInternal.getCameraInfoInternal(), this.f609d, this.f613h);
        this.f611f = k2;
        EventCallback useCaseEventCallback = k2.getUseCaseEventCallback(null);
        if (useCaseEventCallback != null) {
            useCaseEventCallback.onAttach(cameraInternal.getCameraInfoInternal());
        }
        p();
    }

    public void p() {
    }

    public void q(CameraInternal cameraInternal) {
        r();
        EventCallback useCaseEventCallback = this.f611f.getUseCaseEventCallback(null);
        if (useCaseEventCallback != null) {
            useCaseEventCallback.onDetach();
        }
        synchronized (this.f607b) {
            AppCompatDelegateImpl.e.g(cameraInternal == this.f615j);
            this.f606a.remove(this.f615j);
            this.f615j = null;
        }
        this.f612g = null;
        this.f614i = null;
        this.f611f = this.f610e;
        this.f609d = null;
        this.f613h = null;
    }

    public void r() {
    }

    public UseCaseConfig<?> s(CameraInfoInternal cameraInfoInternal, UseCaseConfig.Builder<?, ?, ?> builder) {
        return builder.getUseCaseConfig();
    }

    public abstract Size t(Size size);

    public boolean u(int i2) {
        Size targetResolution;
        int targetRotation = ((ImageOutputConfig) this.f611f).getTargetRotation(-1);
        if (targetRotation != -1 && targetRotation == i2) {
            return false;
        }
        UseCaseConfig.Builder<?, ?, ?> i3 = i(this.f610e);
        ImageOutputConfig imageOutputConfig = (ImageOutputConfig) i3.getUseCaseConfig();
        int targetRotation2 = imageOutputConfig.getTargetRotation(-1);
        if (targetRotation2 == -1 || targetRotation2 != i2) {
            ((ImageOutputConfig.Builder) i3).setTargetRotation(i2);
        }
        if (!(targetRotation2 == -1 || i2 == -1 || targetRotation2 == i2)) {
            if (Math.abs(AppCompatDelegateImpl.e.H0(i2) - AppCompatDelegateImpl.e.H0(targetRotation2)) % 180 == 90 && (targetResolution = imageOutputConfig.getTargetResolution(null)) != null) {
                ((ImageOutputConfig.Builder) i3).setTargetResolution(new Size(targetResolution.getHeight(), targetResolution.getWidth()));
            }
        }
        this.f610e = i3.getUseCaseConfig();
        CameraInternal a2 = a();
        if (a2 == null) {
            this.f611f = this.f610e;
            return true;
        }
        this.f611f = k(a2.getCameraInfoInternal(), this.f609d, this.f613h);
        return true;
    }

    public void v(Rect rect) {
        this.f614i = rect;
    }
}
