package androidx.camera.core;

import android.annotation.SuppressLint;
import android.content.ContentResolver;
import android.content.ContentValues;
import android.location.Location;
import android.media.AudioRecord;
import android.media.CamcorderProfile;
import android.media.MediaCodec;
import android.media.MediaCrypto;
import android.media.MediaFormat;
import android.media.MediaMuxer;
import android.net.Uri;
import android.os.Build;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.Looper;
import android.os.ParcelFileDescriptor;
import android.util.Size;
import android.view.Surface;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.camera.core.UseCase;
import androidx.camera.core.impl.CameraInternal;
import androidx.camera.core.impl.CaptureConfig;
import androidx.camera.core.impl.Config;
import androidx.camera.core.impl.ConfigProvider;
import androidx.camera.core.impl.DeferrableSurface;
import androidx.camera.core.impl.ImageOutputConfig;
import androidx.camera.core.impl.ImmediateSurface;
import androidx.camera.core.impl.MutableConfig;
import androidx.camera.core.impl.MutableOptionsBundle;
import androidx.camera.core.impl.OptionsBundle;
import androidx.camera.core.impl.SessionConfig;
import androidx.camera.core.impl.UseCaseConfig;
import androidx.camera.core.impl.UseCaseConfigFactory;
import androidx.camera.core.impl.VideoCaptureConfig;
import androidx.camera.core.internal.TargetConfig;
import androidx.camera.core.internal.ThreadConfig;
import androidx.camera.core.internal.UseCaseEventConfig;
import androidx.core.util.Consumer;
import b.d.a.a1;
import b.d.a.b1;
import b.d.a.c1;
import b.d.a.d1;
import b.d.a.e1;
import b.d.a.e2;
import b.d.a.f1;
import b.d.a.g1;
import b.d.a.h0;
import b.d.a.h1;
import b.d.a.q1;
import b.d.a.q2.u;
import b.d.a.y0;
import b.d.a.z0;
import com.just.agentweb.WebIndicator;
import java.io.File;
import java.io.FileDescriptor;
import java.io.IOException;
import java.util.List;
import java.util.Objects;
import java.util.UUID;
import java.util.concurrent.Executor;
import java.util.concurrent.RejectedExecutionException;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicReference;
import tv.danmaku.ijk.media.player.IjkMediaMeta;

public final class VideoCapture extends UseCase {

    /* renamed from: k  reason: collision with root package name */
    public static final Defaults f616k = new Defaults();

    /* renamed from: l  reason: collision with root package name */
    public static final int[] f617l = {8, 6, 5, 4};
    public static final short[] m = {2, 3, 4};
    public MediaCodec A;
    public d.h.b.a.a.a<Void> B = null;
    public MediaMuxer C;
    public boolean D = false;
    public int E;
    public int F;
    public Surface G;
    public AudioRecord H;
    public int I;
    public boolean J = false;
    public int K;
    public int L;
    public int M;
    public DeferrableSurface N;
    public Uri O;
    public ParcelFileDescriptor P;
    public final MediaCodec.BufferInfo n = new MediaCodec.BufferInfo();
    public final Object o = new Object();
    public final AtomicBoolean p = new AtomicBoolean(true);
    public final AtomicBoolean q = new AtomicBoolean(true);
    public final AtomicBoolean r = new AtomicBoolean(true);
    public final MediaCodec.BufferInfo s = new MediaCodec.BufferInfo();
    public final AtomicBoolean t = new AtomicBoolean(false);
    public final AtomicBoolean u = new AtomicBoolean(false);
    public HandlerThread v;
    public Handler w;
    public HandlerThread x;
    public Handler y;
    public MediaCodec z;

    public static final class Builder implements UseCaseConfig.Builder<VideoCapture, VideoCaptureConfig, Builder>, ImageOutputConfig.Builder<Builder>, ThreadConfig.Builder<Builder> {

        /* renamed from: a  reason: collision with root package name */
        public final MutableOptionsBundle f618a;

        public Builder() {
            this(MutableOptionsBundle.b());
        }

        /* renamed from: a */
        public VideoCapture build() {
            if (this.f618a.retrieveOption(ImageOutputConfig.OPTION_TARGET_ASPECT_RATIO, null) == null || this.f618a.retrieveOption(ImageOutputConfig.OPTION_TARGET_RESOLUTION, null) == null) {
                return new VideoCapture(getUseCaseConfig());
            }
            throw new IllegalArgumentException("Cannot use both setTargetResolution and setTargetAspectRatio on the same config.");
        }

        /* renamed from: b */
        public VideoCaptureConfig getUseCaseConfig() {
            return new VideoCaptureConfig(OptionsBundle.a(this.f618a));
        }

        public Builder c(int i2) {
            this.f618a.insertOption(ImageOutputConfig.OPTION_TARGET_ASPECT_RATIO, MutableOptionsBundle.f681c, Integer.valueOf(i2));
            return this;
        }

        public Builder d(Class<VideoCapture> cls) {
            this.f618a.insertOption(TargetConfig.OPTION_TARGET_CLASS, MutableOptionsBundle.f681c, cls);
            if (this.f618a.retrieveOption(TargetConfig.OPTION_TARGET_NAME, null) == null) {
                e(cls.getCanonicalName() + "-" + UUID.randomUUID());
            }
            return this;
        }

        public Builder e(String str) {
            this.f618a.insertOption(TargetConfig.OPTION_TARGET_NAME, MutableOptionsBundle.f681c, str);
            return this;
        }

        @Override // androidx.camera.core.ExtendableBuilder
        public MutableConfig getMutableConfig() {
            return this.f618a;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // androidx.camera.core.impl.UseCaseConfig.Builder
        public Builder setAttachedUseCasesUpdateListener(Consumer consumer) {
            this.f618a.insertOption(UseCaseConfig.OPTION_ATTACHED_USE_CASES_UPDATE_LISTENER, MutableOptionsBundle.f681c, consumer);
            return this;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // androidx.camera.core.internal.ThreadConfig.Builder
        public Builder setBackgroundExecutor(Executor executor) {
            this.f618a.insertOption(ThreadConfig.OPTION_BACKGROUND_EXECUTOR, MutableOptionsBundle.f681c, executor);
            return this;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // androidx.camera.core.impl.UseCaseConfig.Builder
        public Builder setCameraSelector(q1 q1Var) {
            this.f618a.insertOption(UseCaseConfig.OPTION_CAMERA_SELECTOR, MutableOptionsBundle.f681c, q1Var);
            return this;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // androidx.camera.core.impl.UseCaseConfig.Builder
        public Builder setCaptureOptionUnpacker(CaptureConfig.OptionUnpacker optionUnpacker) {
            this.f618a.insertOption(UseCaseConfig.OPTION_CAPTURE_CONFIG_UNPACKER, MutableOptionsBundle.f681c, optionUnpacker);
            return this;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // androidx.camera.core.impl.UseCaseConfig.Builder
        public Builder setDefaultCaptureConfig(CaptureConfig captureConfig) {
            this.f618a.insertOption(UseCaseConfig.OPTION_DEFAULT_CAPTURE_CONFIG, MutableOptionsBundle.f681c, captureConfig);
            return this;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // androidx.camera.core.impl.ImageOutputConfig.Builder
        public Builder setDefaultResolution(Size size) {
            this.f618a.insertOption(ImageOutputConfig.OPTION_DEFAULT_RESOLUTION, MutableOptionsBundle.f681c, size);
            return this;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // androidx.camera.core.impl.UseCaseConfig.Builder
        public Builder setDefaultSessionConfig(SessionConfig sessionConfig) {
            this.f618a.insertOption(UseCaseConfig.OPTION_DEFAULT_SESSION_CONFIG, MutableOptionsBundle.f681c, sessionConfig);
            return this;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // androidx.camera.core.impl.ImageOutputConfig.Builder
        public Builder setMaxResolution(Size size) {
            this.f618a.insertOption(ImageOutputConfig.OPTION_MAX_RESOLUTION, MutableOptionsBundle.f681c, size);
            return this;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // androidx.camera.core.impl.UseCaseConfig.Builder
        public Builder setSessionOptionUnpacker(SessionConfig.OptionUnpacker optionUnpacker) {
            this.f618a.insertOption(UseCaseConfig.OPTION_SESSION_CONFIG_UNPACKER, MutableOptionsBundle.f681c, optionUnpacker);
            return this;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // androidx.camera.core.impl.ImageOutputConfig.Builder
        public Builder setSupportedResolutions(List list) {
            this.f618a.insertOption(ImageOutputConfig.OPTION_SUPPORTED_RESOLUTIONS, MutableOptionsBundle.f681c, list);
            return this;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // androidx.camera.core.impl.UseCaseConfig.Builder
        public Builder setSurfaceOccupancyPriority(int i2) {
            this.f618a.insertOption(UseCaseConfig.OPTION_SURFACE_OCCUPANCY_PRIORITY, MutableOptionsBundle.f681c, Integer.valueOf(i2));
            return this;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // androidx.camera.core.impl.ImageOutputConfig.Builder
        public Builder setTargetAspectRatio(int i2) {
            this.f618a.insertOption(ImageOutputConfig.OPTION_TARGET_ASPECT_RATIO, MutableOptionsBundle.f681c, Integer.valueOf(i2));
            return this;
        }

        @Override // androidx.camera.core.internal.TargetConfig.Builder
        public /* bridge */ /* synthetic */ Object setTargetClass(Class cls) {
            d(cls);
            return this;
        }

        @Override // androidx.camera.core.internal.TargetConfig.Builder
        public Object setTargetName(String str) {
            this.f618a.insertOption(TargetConfig.OPTION_TARGET_NAME, MutableOptionsBundle.f681c, str);
            return this;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // androidx.camera.core.impl.ImageOutputConfig.Builder
        public Builder setTargetResolution(Size size) {
            this.f618a.insertOption(ImageOutputConfig.OPTION_TARGET_RESOLUTION, MutableOptionsBundle.f681c, size);
            return this;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // androidx.camera.core.impl.ImageOutputConfig.Builder
        public Builder setTargetRotation(int i2) {
            this.f618a.insertOption(ImageOutputConfig.OPTION_TARGET_ROTATION, MutableOptionsBundle.f681c, Integer.valueOf(i2));
            return this;
        }

        @Override // androidx.camera.core.internal.UseCaseEventConfig.Builder
        public Object setUseCaseEventCallback(UseCase.EventCallback eventCallback) {
            this.f618a.insertOption(UseCaseEventConfig.OPTION_USE_CASE_EVENT_CALLBACK, MutableOptionsBundle.f681c, eventCallback);
            return this;
        }

        public Builder(MutableOptionsBundle mutableOptionsBundle) {
            this.f618a = mutableOptionsBundle;
            Class cls = (Class) mutableOptionsBundle.retrieveOption(TargetConfig.OPTION_TARGET_CLASS, null);
            if (cls == null || cls.equals(VideoCapture.class)) {
                d(VideoCapture.class);
                return;
            }
            throw new IllegalArgumentException("Invalid target class configuration for " + this + ": " + cls);
        }
    }

    public static final class Defaults implements ConfigProvider<VideoCaptureConfig> {

        /* renamed from: a  reason: collision with root package name */
        public static final Size f619a;

        /* renamed from: b  reason: collision with root package name */
        public static final VideoCaptureConfig f620b;

        static {
            Size size = new Size(1920, 1080);
            f619a = size;
            Builder builder = new Builder();
            MutableOptionsBundle mutableOptionsBundle = builder.f618a;
            Config.a<Integer> aVar = VideoCaptureConfig.f700a;
            Config.OptionPriority optionPriority = MutableOptionsBundle.f681c;
            mutableOptionsBundle.insertOption(aVar, optionPriority, 30);
            builder.f618a.insertOption(VideoCaptureConfig.f701b, optionPriority, 8388608);
            builder.f618a.insertOption(VideoCaptureConfig.f702c, optionPriority, 1);
            builder.f618a.insertOption(VideoCaptureConfig.f703d, optionPriority, 64000);
            builder.f618a.insertOption(VideoCaptureConfig.f704e, optionPriority, Integer.valueOf((int) WebIndicator.MAX_UNIFORM_SPEED_DURATION));
            builder.f618a.insertOption(VideoCaptureConfig.f705f, optionPriority, 1);
            builder.f618a.insertOption(VideoCaptureConfig.f706g, optionPriority, 1);
            builder.f618a.insertOption(VideoCaptureConfig.f707h, optionPriority, 1024);
            builder.f618a.insertOption(ImageOutputConfig.OPTION_MAX_RESOLUTION, optionPriority, size);
            builder.f618a.insertOption(UseCaseConfig.OPTION_SURFACE_OCCUPANCY_PRIORITY, optionPriority, 3);
            builder.c(1);
            f620b = builder.getUseCaseConfig();
        }

        /* Return type fixed from 'androidx.camera.core.impl.Config' to match base method */
        @Override // androidx.camera.core.impl.ConfigProvider
        public VideoCaptureConfig getConfig() {
            return f620b;
        }
    }

    public interface OnVideoSavedCallback {
        void onError(int i2, String str, Throwable th);

        void onVideoSaved(d dVar);
    }

    public class a implements SessionConfig.ErrorListener {

        /* renamed from: a  reason: collision with root package name */
        public final /* synthetic */ String f621a;

        /* renamed from: b  reason: collision with root package name */
        public final /* synthetic */ Size f622b;

        public a(String str, Size size) {
            this.f621a = str;
            this.f622b = size;
        }

        @Override // androidx.camera.core.impl.SessionConfig.ErrorListener
        public void onError(SessionConfig sessionConfig, SessionConfig.SessionError sessionError) {
            if (VideoCapture.this.j(this.f621a)) {
                VideoCapture.this.z(this.f621a, this.f622b);
                VideoCapture.this.m();
            }
        }
    }

    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        public Location f624a;
    }

    public static final class c {

        /* renamed from: a  reason: collision with root package name */
        public static final b f625a = new b();

        /* renamed from: b  reason: collision with root package name */
        public final File f626b;

        /* renamed from: c  reason: collision with root package name */
        public final FileDescriptor f627c;

        /* renamed from: d  reason: collision with root package name */
        public final ContentResolver f628d;

        /* renamed from: e  reason: collision with root package name */
        public final Uri f629e;

        /* renamed from: f  reason: collision with root package name */
        public final ContentValues f630f;

        /* renamed from: g  reason: collision with root package name */
        public final b f631g;

        public c(File file, FileDescriptor fileDescriptor, ContentResolver contentResolver, Uri uri, ContentValues contentValues, b bVar) {
            this.f626b = file;
            this.f627c = fileDescriptor;
            this.f628d = contentResolver;
            this.f629e = uri;
            this.f630f = contentValues;
            this.f631g = bVar == null ? f625a : bVar;
        }

        public static final class a {

            /* renamed from: a  reason: collision with root package name */
            public File f632a;

            /* renamed from: b  reason: collision with root package name */
            public FileDescriptor f633b;

            /* renamed from: c  reason: collision with root package name */
            public ContentResolver f634c;

            /* renamed from: d  reason: collision with root package name */
            public Uri f635d;

            /* renamed from: e  reason: collision with root package name */
            public ContentValues f636e;

            /* renamed from: f  reason: collision with root package name */
            public b f637f;

            public a(File file) {
                this.f632a = file;
            }

            public a(ContentResolver contentResolver, Uri uri, ContentValues contentValues) {
                this.f634c = contentResolver;
                this.f635d = uri;
                this.f636e = contentValues;
            }
        }
    }

    public static class d {

        /* renamed from: a  reason: collision with root package name */
        public Uri f638a;

        public d(Uri uri) {
            this.f638a = uri;
        }
    }

    public static final class e implements OnVideoSavedCallback {

        /* renamed from: a  reason: collision with root package name */
        public Executor f639a;

        /* renamed from: b  reason: collision with root package name */
        public OnVideoSavedCallback f640b;

        public e(Executor executor, OnVideoSavedCallback onVideoSavedCallback) {
            this.f639a = executor;
            this.f640b = onVideoSavedCallback;
        }

        @Override // androidx.camera.core.VideoCapture.OnVideoSavedCallback
        public void onError(int i2, String str, Throwable th) {
            try {
                this.f639a.execute(new a1(this, i2, str, th));
            } catch (RejectedExecutionException unused) {
                e2.b("VideoCapture", "Unable to post to the supplied executor.", null);
            }
        }

        @Override // androidx.camera.core.VideoCapture.OnVideoSavedCallback
        public void onVideoSaved(d dVar) {
            try {
                this.f639a.execute(new b1(this, dVar));
            } catch (RejectedExecutionException unused) {
                e2.b("VideoCapture", "Unable to post to the supplied executor.", null);
            }
        }
    }

    public VideoCapture(VideoCaptureConfig videoCaptureConfig) {
        super(videoCaptureConfig);
    }

    public void A(c cVar, Executor executor, OnVideoSavedCallback onVideoSavedCallback) {
        Location location;
        if (Looper.getMainLooper() != Looper.myLooper()) {
            AppCompatDelegateImpl.e.a0().execute(new y0(this, cVar, executor, onVideoSavedCallback));
            return;
        }
        e2.c("VideoCapture", "startRecording");
        this.t.set(false);
        this.u.set(false);
        e eVar = new e(executor, onVideoSavedCallback);
        CameraInternal a2 = a();
        if (a2 == null) {
            eVar.onError(5, "Not bound to a Camera [" + this + "]", null);
        } else if (!this.r.get()) {
            eVar.onError(3, "It is still in video recording!", null);
        } else {
            try {
                this.H.startRecording();
                AtomicReference atomicReference = new AtomicReference();
                this.B = AppCompatDelegateImpl.e.H(new f1(atomicReference));
                b.g.a.a aVar = (b.g.a.a) atomicReference.get();
                Objects.requireNonNull(aVar);
                this.B.a(new d1(this), AppCompatDelegateImpl.e.a0());
                try {
                    e2.c("VideoCapture", "videoEncoder start");
                    this.z.start();
                    e2.c("VideoCapture", "audioEncoder start");
                    this.A.start();
                    try {
                        synchronized (this.o) {
                            MediaMuxer w2 = w(cVar);
                            this.C = w2;
                            Objects.requireNonNull(w2);
                            this.C.setOrientationHint(g(a2));
                            b bVar = cVar.f631g;
                            if (!(bVar == null || (location = bVar.f624a) == null)) {
                                this.C.setLocation((float) location.getLatitude(), (float) bVar.f624a.getLongitude());
                            }
                        }
                        this.p.set(false);
                        this.q.set(false);
                        this.r.set(false);
                        this.J = true;
                        l();
                        this.y.post(new z0(this, eVar));
                        this.w.post(new e1(this, eVar, c(), this.f612g, aVar));
                    } catch (IOException e2) {
                        aVar.a(null);
                        eVar.onError(2, "MediaMuxer creation failed!", e2);
                    }
                } catch (IllegalStateException e3) {
                    aVar.a(null);
                    eVar.onError(1, "Audio/Video encoder start fail", e3);
                }
            } catch (IllegalStateException e4) {
                eVar.onError(1, "AudioRecorder start fail", e4);
            }
        }
    }

    public void B() {
        if (Looper.getMainLooper() != Looper.myLooper()) {
            AppCompatDelegateImpl.e.a0().execute(new g1(this));
            return;
        }
        e2.c("VideoCapture", "stopRecording");
        this.f608c = UseCase.State.INACTIVE;
        n();
        if (!this.r.get() && this.J) {
            this.q.set(true);
        }
    }

    @Override // androidx.camera.core.UseCase
    public UseCaseConfig<?> d(boolean z2, UseCaseConfigFactory useCaseConfigFactory) {
        Config config = useCaseConfigFactory.getConfig(UseCaseConfigFactory.CaptureType.VIDEO_CAPTURE);
        if (z2) {
            Objects.requireNonNull(f616k);
            config = u.a(config, Defaults.f620b);
        }
        if (config == null) {
            return null;
        }
        return ((Builder) i(config)).getUseCaseConfig();
    }

    @Override // androidx.camera.core.UseCase
    public UseCaseConfig.Builder<?, ?, ?> i(Config config) {
        return new Builder(MutableOptionsBundle.c(config));
    }

    @Override // androidx.camera.core.UseCase
    public void p() {
        this.v = new HandlerThread("CameraX-video encoding thread");
        this.x = new HandlerThread("CameraX-audio encoding thread");
        this.v.start();
        this.w = new Handler(this.v.getLooper());
        this.x.start();
        this.y = new Handler(this.x.getLooper());
    }

    @Override // androidx.camera.core.UseCase
    public void r() {
        B();
        d.h.b.a.a.a<Void> aVar = this.B;
        if (aVar != null) {
            aVar.a(new h1(this), AppCompatDelegateImpl.e.a0());
        } else {
            y();
        }
    }

    @Override // androidx.camera.core.UseCase
    public Size t(Size size) {
        if (this.G != null) {
            this.z.stop();
            this.z.release();
            this.A.stop();
            this.A.release();
            x(false);
        }
        try {
            this.z = MediaCodec.createEncoderByType("video/avc");
            this.A = MediaCodec.createEncoderByType("audio/mp4a-latm");
            z(c(), size);
            return size;
        } catch (IOException e2) {
            StringBuilder B2 = d.a.a.a.a.B("Unable to create MediaCodec due to: ");
            B2.append(e2.getCause());
            throw new IllegalStateException(B2.toString());
        }
    }

    @SuppressLint({"UnsafeNewApiCall"})
    public final MediaMuxer w(c cVar) {
        ContentValues contentValues;
        MediaMuxer mediaMuxer;
        File file = cVar.f626b;
        boolean z2 = true;
        if (file != null) {
            this.O = Uri.fromFile(file);
            return new MediaMuxer(file.getAbsolutePath(), 0);
        }
        if (!(cVar.f627c != null)) {
            if (cVar.f629e == null || cVar.f628d == null || cVar.f630f == null) {
                z2 = false;
            }
            if (z2) {
                if (cVar.f630f != null) {
                    contentValues = new ContentValues(cVar.f630f);
                } else {
                    contentValues = new ContentValues();
                }
                Uri insert = cVar.f628d.insert(cVar.f629e, contentValues);
                this.O = insert;
                if (insert != null) {
                    try {
                        if (Build.VERSION.SDK_INT < 26) {
                            String F2 = AppCompatDelegateImpl.e.F(cVar.f628d, insert);
                            e2.c("VideoCapture", "Saved Location Path: " + F2);
                            mediaMuxer = new MediaMuxer(F2, 0);
                        } else {
                            this.P = cVar.f628d.openFileDescriptor(insert, "rw");
                            return new MediaMuxer(this.P.getFileDescriptor(), 0);
                        }
                    } catch (IOException e2) {
                        this.O = null;
                        throw e2;
                    }
                } else {
                    throw new IOException("Invalid Uri!");
                }
            } else {
                throw new IllegalArgumentException("The OutputFileOptions should assign before recording");
            }
        } else if (Build.VERSION.SDK_INT >= 26) {
            mediaMuxer = new MediaMuxer(cVar.f627c, 0);
        } else {
            throw new IllegalArgumentException("Using a FileDescriptor to record a video is only supported for Android 8.0 or above.");
        }
        return mediaMuxer;
    }

    public final void x(boolean z2) {
        DeferrableSurface deferrableSurface = this.N;
        if (deferrableSurface != null) {
            MediaCodec mediaCodec = this.z;
            deferrableSurface.a();
            this.N.b().a(new c1(z2, mediaCodec), AppCompatDelegateImpl.e.a0());
            if (z2) {
                this.z = null;
            }
            this.G = null;
            this.N = null;
        }
    }

    public final void y() {
        this.v.quitSafely();
        this.x.quitSafely();
        MediaCodec mediaCodec = this.A;
        if (mediaCodec != null) {
            mediaCodec.release();
            this.A = null;
        }
        AudioRecord audioRecord = this.H;
        if (audioRecord != null) {
            audioRecord.release();
            this.H = null;
        }
        if (this.G != null) {
            x(true);
        }
    }

    public void z(String str, Size size) {
        boolean z2;
        AudioRecord audioRecord;
        VideoCaptureConfig videoCaptureConfig = (VideoCaptureConfig) this.f611f;
        this.z.reset();
        MediaCodec mediaCodec = this.z;
        MediaFormat createVideoFormat = MediaFormat.createVideoFormat("video/avc", size.getWidth(), size.getHeight());
        createVideoFormat.setInteger("color-format", 2130708361);
        createVideoFormat.setInteger(IjkMediaMeta.IJKM_KEY_BITRATE, ((Integer) videoCaptureConfig.retrieveOption(VideoCaptureConfig.f701b)).intValue());
        createVideoFormat.setInteger("frame-rate", ((Integer) videoCaptureConfig.retrieveOption(VideoCaptureConfig.f700a)).intValue());
        createVideoFormat.setInteger("i-frame-interval", ((Integer) videoCaptureConfig.retrieveOption(VideoCaptureConfig.f702c)).intValue());
        mediaCodec.configure(createVideoFormat, (Surface) null, (MediaCrypto) null, 1);
        if (this.G != null) {
            x(false);
        }
        Surface createInputSurface = this.z.createInputSurface();
        this.G = createInputSurface;
        SessionConfig.Builder c2 = SessionConfig.Builder.c(videoCaptureConfig);
        DeferrableSurface deferrableSurface = this.N;
        if (deferrableSurface != null) {
            deferrableSurface.a();
        }
        ImmediateSurface immediateSurface = new ImmediateSurface(this.G);
        this.N = immediateSurface;
        d.h.b.a.a.a<Void> b2 = immediateSurface.b();
        Objects.requireNonNull(createInputSurface);
        b2.a(new h0(createInputSurface), AppCompatDelegateImpl.e.a0());
        c2.a(this.N);
        c2.f696e.add(new a(str, size));
        c2.b();
        try {
            int[] iArr = f617l;
            int length = iArr.length;
            int i2 = 0;
            while (true) {
                if (i2 >= length) {
                    break;
                }
                int i3 = iArr[i2];
                if (CamcorderProfile.hasProfile(Integer.parseInt(str), i3)) {
                    CamcorderProfile camcorderProfile = CamcorderProfile.get(Integer.parseInt(str), i3);
                    if (size.getWidth() == camcorderProfile.videoFrameWidth && size.getHeight() == camcorderProfile.videoFrameHeight) {
                        this.K = camcorderProfile.audioChannels;
                        this.L = camcorderProfile.audioSampleRate;
                        this.M = camcorderProfile.audioBitRate;
                        z2 = true;
                        break;
                    }
                }
                i2++;
            }
        } catch (NumberFormatException unused) {
            e2.c("VideoCapture", "The camera Id is not an integer because the camera may be a removable device. Use the default values for the audio related settings.");
        }
        z2 = false;
        if (!z2) {
            VideoCaptureConfig videoCaptureConfig2 = (VideoCaptureConfig) this.f611f;
            this.K = ((Integer) videoCaptureConfig2.retrieveOption(VideoCaptureConfig.f705f)).intValue();
            this.L = ((Integer) videoCaptureConfig2.retrieveOption(VideoCaptureConfig.f704e)).intValue();
            this.M = ((Integer) videoCaptureConfig2.retrieveOption(VideoCaptureConfig.f703d)).intValue();
        }
        this.A.reset();
        MediaCodec mediaCodec2 = this.A;
        MediaFormat createAudioFormat = MediaFormat.createAudioFormat("audio/mp4a-latm", this.L, this.K);
        createAudioFormat.setInteger("aac-profile", 2);
        createAudioFormat.setInteger(IjkMediaMeta.IJKM_KEY_BITRATE, this.M);
        mediaCodec2.configure(createAudioFormat, (Surface) null, (MediaCrypto) null, 1);
        AudioRecord audioRecord2 = this.H;
        if (audioRecord2 != null) {
            audioRecord2.release();
        }
        short[] sArr = m;
        int length2 = sArr.length;
        int i4 = 0;
        while (true) {
            if (i4 >= length2) {
                audioRecord = null;
                break;
            }
            short s2 = sArr[i4];
            int i5 = this.K == 1 ? 16 : 12;
            int intValue = ((Integer) videoCaptureConfig.retrieveOption(VideoCaptureConfig.f706g)).intValue();
            try {
                int minBufferSize = AudioRecord.getMinBufferSize(this.L, i5, s2);
                if (minBufferSize <= 0) {
                    minBufferSize = ((Integer) videoCaptureConfig.retrieveOption(VideoCaptureConfig.f707h)).intValue();
                }
                AudioRecord audioRecord3 = new AudioRecord(intValue, this.L, i5, s2, minBufferSize * 2);
                if (audioRecord3.getState() == 1) {
                    this.I = minBufferSize;
                    e2.c("VideoCapture", "source: " + intValue + " audioSampleRate: " + this.L + " channelConfig: " + i5 + " audioFormat: " + ((int) s2) + " bufferSize: " + minBufferSize);
                    audioRecord = audioRecord3;
                    break;
                }
                i4++;
            } catch (Exception e2) {
                e2.b("VideoCapture", "Exception, keep trying.", e2);
            }
        }
        this.H = audioRecord;
        if (audioRecord == null) {
            e2.b("VideoCapture", "AudioRecord object cannot initialized correctly!", null);
        }
        this.E = -1;
        this.F = -1;
        this.J = false;
    }
}
