package androidx.camera.core.impl;

import android.util.Log;
import android.view.Surface;
import androidx.appcompat.app.AppCompatDelegateImpl;
import b.d.a.e2;
import b.d.a.q2.c;
import b.d.a.q2.d;
import b.d.a.q2.d0.j.e;
import b.g.a.a;
import b.g.a.b;
import java.util.concurrent.atomic.AtomicInteger;

public abstract class DeferrableSurface {

    /* renamed from: a  reason: collision with root package name */
    public static final boolean f654a = e2.d("DeferrableSurface");

    /* renamed from: b  reason: collision with root package name */
    public static final AtomicInteger f655b = new AtomicInteger(0);

    /* renamed from: c  reason: collision with root package name */
    public static final AtomicInteger f656c = new AtomicInteger(0);

    /* renamed from: d  reason: collision with root package name */
    public final Object f657d = new Object();

    /* renamed from: e  reason: collision with root package name */
    public boolean f658e = false;

    /* renamed from: f  reason: collision with root package name */
    public a<Void> f659f;

    /* renamed from: g  reason: collision with root package name */
    public final d.h.b.a.a.a<Void> f660g;

    public static final class SurfaceClosedException extends Exception {
        public DeferrableSurface mDeferrableSurface;

        public SurfaceClosedException(String str, DeferrableSurface deferrableSurface) {
            super(str);
            this.mDeferrableSurface = deferrableSurface;
        }

        public DeferrableSurface getDeferrableSurface() {
            return this.mDeferrableSurface;
        }
    }

    public static final class SurfaceUnavailableException extends Exception {
        public SurfaceUnavailableException(String str) {
            super(str);
        }
    }

    public DeferrableSurface() {
        d.h.b.a.a.a<Void> H = AppCompatDelegateImpl.e.H(new d(this));
        this.f660g = H;
        if (e2.d("DeferrableSurface")) {
            c("Surface created", f656c.incrementAndGet(), f655b.get());
            ((b) H).f2955h.a(new c(this, Log.getStackTraceString(new Exception())), AppCompatDelegateImpl.e.B());
        }
    }

    public final void a() {
        a<Void> aVar;
        synchronized (this.f657d) {
            if (!this.f658e) {
                this.f658e = true;
                aVar = this.f659f;
                this.f659f = null;
                if (e2.d("DeferrableSurface")) {
                    e2.a("DeferrableSurface", "surface closed,  useCount=" + 0 + " closed=true " + this);
                }
            } else {
                aVar = null;
            }
        }
        if (aVar != null) {
            aVar.a(null);
        }
    }

    public d.h.b.a.a.a<Void> b() {
        return e.e(this.f660g);
    }

    public final void c(String str, int i2, int i3) {
        if (!f654a && e2.d("DeferrableSurface")) {
            e2.a("DeferrableSurface", "DeferrableSurface usage statistics may be inaccurate since debug logging was not enabled at static initialization time. App restart may be required to enable accurate usage statistics.");
        }
        e2.a("DeferrableSurface", str + "[total_surfaces=" + i2 + ", used_surfaces=" + i3 + "](" + this + "}");
    }

    public abstract d.h.b.a.a.a<Surface> d();
}
