package androidx.camera.core.impl;

import android.util.ArrayMap;
import androidx.camera.core.impl.Config;
import b.d.a.q2.j;
import d.a.a.a.a;
import java.util.Collections;
import java.util.Map;
import java.util.Set;
import java.util.TreeMap;

public final class MutableOptionsBundle extends OptionsBundle implements MutableConfig {

    /* renamed from: c  reason: collision with root package name */
    public static final Config.OptionPriority f681c = Config.OptionPriority.OPTIONAL;

    public MutableOptionsBundle(TreeMap<Config.a<?>, Map<Config.OptionPriority, Object>> treeMap) {
        super(treeMap);
    }

    public static MutableOptionsBundle b() {
        return new MutableOptionsBundle(new TreeMap(j.f2719d));
    }

    public static MutableOptionsBundle c(Config config) {
        TreeMap treeMap = new TreeMap(j.f2719d);
        for (Config.a<?> aVar : config.listOptions()) {
            Set<Config.OptionPriority> priorities = config.getPriorities(aVar);
            ArrayMap arrayMap = new ArrayMap();
            for (Config.OptionPriority optionPriority : priorities) {
                arrayMap.put(optionPriority, config.retrieveOptionWithPriority(aVar, optionPriority));
            }
            treeMap.put(aVar, arrayMap);
        }
        return new MutableOptionsBundle(treeMap);
    }

    @Override // androidx.camera.core.impl.MutableConfig
    public <ValueT> void insertOption(Config.a<ValueT> aVar, ValueT valuet) {
        insertOption(aVar, f681c, valuet);
    }

    @Override // androidx.camera.core.impl.MutableConfig
    public <ValueT> ValueT removeOption(Config.a<ValueT> aVar) {
        return (ValueT) this.f683b.remove(aVar);
    }

    @Override // androidx.camera.core.impl.MutableConfig
    public <ValueT> void insertOption(Config.a<ValueT> aVar, Config.OptionPriority optionPriority, ValueT valuet) {
        Config.OptionPriority optionPriority2;
        Map<Config.OptionPriority, Object> map = this.f683b.get(aVar);
        if (map == null) {
            ArrayMap arrayMap = new ArrayMap();
            this.f683b.put(aVar, arrayMap);
            arrayMap.put(optionPriority, valuet);
            return;
        }
        Config.OptionPriority optionPriority3 = (Config.OptionPriority) Collections.min(map.keySet());
        if (!map.get(optionPriority3).equals(valuet)) {
            Config.OptionPriority optionPriority4 = Config.OptionPriority.ALWAYS_OVERRIDE;
            boolean z = true;
            if (!((optionPriority3 == optionPriority4 && optionPriority == optionPriority4) || (optionPriority3 == (optionPriority2 = Config.OptionPriority.REQUIRED) && optionPriority == optionPriority2))) {
                z = false;
            }
            if (z) {
                StringBuilder B = a.B("Option values conflicts: ");
                B.append(aVar.a());
                B.append(", existing value (");
                B.append(optionPriority3);
                B.append(")=");
                B.append(map.get(optionPriority3));
                B.append(", conflicting (");
                B.append(optionPriority);
                B.append(")=");
                B.append((Object) valuet);
                throw new IllegalArgumentException(B.toString());
            }
        }
        map.put(optionPriority, valuet);
    }
}
