package androidx.camera.core.impl;

import android.util.ArrayMap;
import androidx.camera.core.impl.Config;
import b.d.a.q2.j;
import b.d.a.q2.k;
import java.util.Collections;
import java.util.Map;
import java.util.Set;
import java.util.TreeMap;

public class OptionsBundle implements Config {

    /* renamed from: a  reason: collision with root package name */
    public static final OptionsBundle f682a = new OptionsBundle(new TreeMap(j.f2719d));

    /* renamed from: b  reason: collision with root package name */
    public final TreeMap<Config.a<?>, Map<Config.OptionPriority, Object>> f683b;

    public OptionsBundle(TreeMap<Config.a<?>, Map<Config.OptionPriority, Object>> treeMap) {
        this.f683b = treeMap;
    }

    public static OptionsBundle a(Config config) {
        if (OptionsBundle.class.equals(config.getClass())) {
            return (OptionsBundle) config;
        }
        TreeMap treeMap = new TreeMap(j.f2719d);
        for (Config.a<?> aVar : config.listOptions()) {
            Set<Config.OptionPriority> priorities = config.getPriorities(aVar);
            ArrayMap arrayMap = new ArrayMap();
            for (Config.OptionPriority optionPriority : priorities) {
                arrayMap.put(optionPriority, config.retrieveOptionWithPriority(aVar, optionPriority));
            }
            treeMap.put(aVar, arrayMap);
        }
        return new OptionsBundle(treeMap);
    }

    @Override // androidx.camera.core.impl.Config
    public boolean containsOption(Config.a<?> aVar) {
        return this.f683b.containsKey(aVar);
    }

    /* JADX WARNING: Removed duplicated region for block: B:3:0x001c  */
    @Override // androidx.camera.core.impl.Config
    public void findOptions(String str, Config.OptionMatcher optionMatcher) {
        for (Map.Entry<Config.a<?>, Map<Config.OptionPriority, Object>> entry : this.f683b.tailMap(new k(str, Void.class, null)).entrySet()) {
            if (!entry.getKey().a().startsWith(str) || !optionMatcher.onOptionMatched(entry.getKey())) {
                return;
            }
            while (r0.hasNext()) {
            }
        }
    }

    @Override // androidx.camera.core.impl.Config
    public Config.OptionPriority getOptionPriority(Config.a<?> aVar) {
        Map<Config.OptionPriority, Object> map = this.f683b.get(aVar);
        if (map != null) {
            return (Config.OptionPriority) Collections.min(map.keySet());
        }
        throw new IllegalArgumentException("Option does not exist: " + aVar);
    }

    @Override // androidx.camera.core.impl.Config
    public Set<Config.OptionPriority> getPriorities(Config.a<?> aVar) {
        Map<Config.OptionPriority, Object> map = this.f683b.get(aVar);
        if (map == null) {
            return Collections.emptySet();
        }
        return Collections.unmodifiableSet(map.keySet());
    }

    @Override // androidx.camera.core.impl.Config
    public Set<Config.a<?>> listOptions() {
        return Collections.unmodifiableSet(this.f683b.keySet());
    }

    @Override // androidx.camera.core.impl.Config
    public <ValueT> ValueT retrieveOption(Config.a<ValueT> aVar) {
        Map<Config.OptionPriority, Object> map = this.f683b.get(aVar);
        if (map != null) {
            return (ValueT) map.get((Config.OptionPriority) Collections.min(map.keySet()));
        }
        throw new IllegalArgumentException("Option does not exist: " + aVar);
    }

    @Override // androidx.camera.core.impl.Config
    public <ValueT> ValueT retrieveOptionWithPriority(Config.a<ValueT> aVar, Config.OptionPriority optionPriority) {
        Map<Config.OptionPriority, Object> map = this.f683b.get(aVar);
        if (map == null) {
            throw new IllegalArgumentException("Option does not exist: " + aVar);
        } else if (map.containsKey(optionPriority)) {
            return (ValueT) map.get(optionPriority);
        } else {
            throw new IllegalArgumentException("Option does not exist: " + aVar + " with priority=" + optionPriority);
        }
    }

    @Override // androidx.camera.core.impl.Config
    public <ValueT> ValueT retrieveOption(Config.a<ValueT> aVar, ValueT valuet) {
        try {
            return (ValueT) retrieveOption(aVar);
        } catch (IllegalArgumentException unused) {
            return valuet;
        }
    }
}
