package androidx.camera.core.impl;

import android.hardware.camera2.CameraCaptureSession;
import android.hardware.camera2.CameraDevice;
import androidx.camera.core.impl.CaptureConfig;
import b.d.a.q2.m;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

public final class SessionConfig {

    /* renamed from: a  reason: collision with root package name */
    public final List<DeferrableSurface> f687a;

    /* renamed from: b  reason: collision with root package name */
    public final List<CameraDevice.StateCallback> f688b;

    /* renamed from: c  reason: collision with root package name */
    public final List<CameraCaptureSession.StateCallback> f689c;

    /* renamed from: d  reason: collision with root package name */
    public final List<m> f690d;

    /* renamed from: e  reason: collision with root package name */
    public final List<ErrorListener> f691e;

    public static class Builder extends a {
        public static Builder c(UseCaseConfig<?> useCaseConfig) {
            OptionUnpacker sessionOptionUnpacker = useCaseConfig.getSessionOptionUnpacker(null);
            if (sessionOptionUnpacker != null) {
                Builder builder = new Builder();
                sessionOptionUnpacker.unpack(useCaseConfig, builder);
                return builder;
            }
            StringBuilder B = d.a.a.a.a.B("Implementation is missing option unpacker for ");
            B.append(useCaseConfig.getTargetName(useCaseConfig.toString()));
            throw new IllegalStateException(B.toString());
        }

        public void a(DeferrableSurface deferrableSurface) {
            this.f692a.add(deferrableSurface);
            this.f693b.f647a.add(deferrableSurface);
        }

        public SessionConfig b() {
            return new SessionConfig(new ArrayList(this.f692a), this.f694c, this.f695d, this.f697f, this.f696e, this.f693b.c());
        }
    }

    public interface ErrorListener {
        void onError(SessionConfig sessionConfig, SessionError sessionError);
    }

    public interface OptionUnpacker {
        void unpack(UseCaseConfig<?> useCaseConfig, Builder builder);
    }

    public enum SessionError {
        SESSION_ERROR_SURFACE_NEEDS_RESET,
        SESSION_ERROR_UNKNOWN
    }

    public static final class ValidatingBuilder extends a {
    }

    public static class a {

        /* renamed from: a  reason: collision with root package name */
        public final Set<DeferrableSurface> f692a = new HashSet();

        /* renamed from: b  reason: collision with root package name */
        public final CaptureConfig.a f693b = new CaptureConfig.a();

        /* renamed from: c  reason: collision with root package name */
        public final List<CameraDevice.StateCallback> f694c = new ArrayList();

        /* renamed from: d  reason: collision with root package name */
        public final List<CameraCaptureSession.StateCallback> f695d = new ArrayList();

        /* renamed from: e  reason: collision with root package name */
        public final List<ErrorListener> f696e = new ArrayList();

        /* renamed from: f  reason: collision with root package name */
        public final List<m> f697f = new ArrayList();
    }

    public SessionConfig(List<DeferrableSurface> list, List<CameraDevice.StateCallback> list2, List<CameraCaptureSession.StateCallback> list3, List<m> list4, List<ErrorListener> list5, CaptureConfig captureConfig) {
        this.f687a = list;
        this.f688b = Collections.unmodifiableList(list2);
        this.f689c = Collections.unmodifiableList(list3);
        this.f690d = Collections.unmodifiableList(list4);
        this.f691e = Collections.unmodifiableList(list5);
    }
}
