package androidx.camera.core.internal;

import android.graphics.Rect;
import android.graphics.YuvImage;
import android.media.Image;
import android.media.ImageWriter;
import android.os.Build;
import android.util.Size;
import android.view.Surface;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.camera.core.ImageProxy;
import androidx.camera.core.impl.CaptureProcessor;
import androidx.camera.core.impl.ImageProxyBundle;
import androidx.camera.core.impl.utils.ExifData;
import b.d.a.e2;
import b.d.a.q2.d0.d;
import b.d.a.q2.d0.e;
import b.d.a.q2.d0.f;
import java.io.EOFException;
import java.io.OutputStream;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Objects;
import java.util.concurrent.ExecutionException;

public class YuvToJpegProcessor implements CaptureProcessor {

    /* renamed from: a  reason: collision with root package name */
    public static final Rect f741a = new Rect(0, 0, 0, 0);

    /* renamed from: b  reason: collision with root package name */
    public final int f742b;

    /* renamed from: c  reason: collision with root package name */
    public final int f743c;

    /* renamed from: d  reason: collision with root package name */
    public final Object f744d = new Object();

    /* renamed from: e  reason: collision with root package name */
    public boolean f745e = false;

    /* renamed from: f  reason: collision with root package name */
    public int f746f = 0;

    /* renamed from: g  reason: collision with root package name */
    public ImageWriter f747g;

    /* renamed from: h  reason: collision with root package name */
    public Rect f748h = f741a;

    public YuvToJpegProcessor(int i2, int i3) {
        this.f742b = i2;
        this.f743c = i3;
    }

    public static ExifData a(ImageProxy imageProxy) {
        f[] fVarArr = ExifData.f709a;
        ExifData.a aVar = new ExifData.a(ByteOrder.BIG_ENDIAN);
        aVar.c("Orientation", String.valueOf(1), aVar.f722e);
        aVar.c("XResolution", "72/1", aVar.f722e);
        aVar.c("YResolution", "72/1", aVar.f722e);
        aVar.c("ResolutionUnit", String.valueOf(2), aVar.f722e);
        aVar.c("YCbCrPositioning", String.valueOf(1), aVar.f722e);
        aVar.c("Make", Build.MANUFACTURER, aVar.f722e);
        aVar.c("Model", Build.MODEL, aVar.f722e);
        imageProxy.getImageInfo().populateExifData(aVar);
        aVar.c("ImageWidth", String.valueOf(imageProxy.getWidth()), aVar.f722e);
        aVar.c("ImageLength", String.valueOf(imageProxy.getHeight()), aVar.f722e);
        ArrayList list = Collections.list(new d(aVar));
        if (!list.get(1).isEmpty()) {
            aVar.b("ExposureProgram", String.valueOf(0), list);
            aVar.b("ExifVersion", "0230", list);
            aVar.b("ComponentsConfiguration", "1,2,3,0", list);
            aVar.b("MeteringMode", String.valueOf(0), list);
            aVar.b("LightSource", String.valueOf(0), list);
            aVar.b("FlashpixVersion", "0100", list);
            aVar.b("FocalPlaneResolutionUnit", String.valueOf(2), list);
            aVar.b("FileSource", String.valueOf(3), list);
            aVar.b("SceneType", String.valueOf(1), list);
            aVar.b("CustomRendered", String.valueOf(0), list);
            aVar.b("SceneCaptureType", String.valueOf(0), list);
            aVar.b("Contrast", String.valueOf(0), list);
            aVar.b("Saturation", String.valueOf(0), list);
            aVar.b("Sharpness", String.valueOf(0), list);
        }
        if (!list.get(2).isEmpty()) {
            aVar.b("GPSVersionID", "2300", list);
            aVar.b("GPSSpeedRef", "K", list);
            aVar.b("GPSTrackRef", "T", list);
            aVar.b("GPSImgDirectionRef", "T", list);
            aVar.b("GPSDestBearingRef", "T", list);
            aVar.b("GPSDestDistanceRef", "K", list);
        }
        return new ExifData(aVar.f723f, list);
    }

    @Override // androidx.camera.core.impl.CaptureProcessor
    public void onOutputSurface(Surface surface, int i2) {
        AppCompatDelegateImpl.e.n(i2 == 256, "YuvToJpegProcessor only supports JPEG output format.");
        synchronized (this.f744d) {
            if (this.f745e) {
                e2.f("YuvToJpegProcessor", "Cannot set output surface. Processor is closed.", null);
            } else if (this.f747g == null) {
                this.f747g = AppCompatDelegateImpl.e.e0(surface, this.f743c, i2);
            } else {
                throw new IllegalStateException("Output surface already set.");
            }
        }
    }

    @Override // androidx.camera.core.impl.CaptureProcessor
    public void onResolutionUpdate(Size size) {
        synchronized (this.f744d) {
            this.f748h = new Rect(0, 0, size.getWidth(), size.getHeight());
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r2v10 */
    /* JADX WARN: Type inference failed for: r2v12 */
    /* JADX WARN: Type inference failed for: r2v14 */
    /* JADX WARN: Type inference failed for: r2v15 */
    /* JADX WARNING: Removed duplicated region for block: B:112:0x017e  */
    /* JADX WARNING: Removed duplicated region for block: B:81:0x012a  */
    /* JADX WARNING: Removed duplicated region for block: B:92:0x0151  */
    @Override // androidx.camera.core.impl.CaptureProcessor
    public void process(ImageProxyBundle imageProxyBundle) {
        ImageWriter imageWriter;
        boolean z;
        Rect rect;
        Image image;
        Throwable th;
        Throwable e2;
        Image dequeueInputImage;
        ImageProxy imageProxy;
        List<Integer> captureIds = imageProxyBundle.getCaptureIds();
        boolean z2 = false;
        boolean z3 = captureIds.size() == 1;
        StringBuilder B = d.a.a.a.a.B("Processing image bundle have single capture id, but found ");
        B.append(captureIds.size());
        AppCompatDelegateImpl.e.h(z3, B.toString());
        d.h.b.a.a.a<ImageProxy> imageProxy2 = imageProxyBundle.getImageProxy(captureIds.get(0).intValue());
        AppCompatDelegateImpl.e.g(imageProxy2.isDone());
        synchronized (this.f744d) {
            imageWriter = this.f747g;
            z = !this.f745e;
            rect = this.f748h;
            if (z) {
                this.f746f++;
            }
        }
        ImageProxy imageProxy3 = 0;
        try {
            ImageProxy imageProxy4 = imageProxy2.get();
            if (!z) {
                try {
                    e2.f("YuvToJpegProcessor", "Image enqueued for processing on closed processor.", null);
                    imageProxy4.close();
                    synchronized (this.f744d) {
                        if (z) {
                            int i2 = this.f746f;
                            this.f746f = i2 - 1;
                            if (i2 == 0 && this.f745e) {
                                z2 = true;
                            }
                        }
                    }
                    if (z2) {
                        imageWriter.close();
                        e2.a("YuvToJpegProcessor", "Closed after completion of last image processed.");
                    }
                } catch (InterruptedException | ExecutionException e3) {
                    e2 = e3;
                    image = imageProxy3;
                    imageProxy3 = imageProxy4;
                    if (z) {
                    }
                    synchronized (this.f744d) {
                    }
                } catch (Throwable th2) {
                    th = th2;
                    image = imageProxy3;
                    imageProxy3 = imageProxy4;
                    synchronized (this.f744d) {
                        if (z) {
                            int i3 = this.f746f;
                            this.f746f = i3 - 1;
                            if (i3 == 0 && this.f745e) {
                                z2 = true;
                            }
                        }
                    }
                    if (image != null) {
                        image.close();
                    }
                    if (imageProxy3 != null) {
                        imageProxy3.close();
                    }
                    if (z2) {
                        imageWriter.close();
                        e2.a("YuvToJpegProcessor", "Closed after completion of last image processed.");
                    }
                    throw th;
                }
            } else {
                image = imageWriter.dequeueInputImage();
                try {
                    imageProxy = imageProxy2.get();
                } catch (InterruptedException | ExecutionException e4) {
                    e2 = e4;
                    imageProxy3 = image;
                    image = imageProxy3;
                    imageProxy3 = imageProxy4;
                    if (z) {
                    }
                    synchronized (this.f744d) {
                    }
                } catch (Throwable th3) {
                    th = th3;
                    imageProxy3 = image;
                    image = imageProxy3;
                    imageProxy3 = imageProxy4;
                    synchronized (this.f744d) {
                    }
                }
                try {
                    AppCompatDelegateImpl.e.n(imageProxy.getFormat() == 35, "Input image is not expected YUV_420_888 image format");
                    YuvImage yuvImage = new YuvImage(AppCompatDelegateImpl.e.N0(imageProxy), 17, imageProxy.getWidth(), imageProxy.getHeight(), null);
                    ByteBuffer buffer = image.getPlanes()[0].getBuffer();
                    int position = buffer.position();
                    yuvImage.compressToJpeg(rect, this.f742b, new e(new a(buffer), a(imageProxy)));
                    imageProxy.close();
                    try {
                        buffer.limit(buffer.position());
                        buffer.position(position);
                        imageWriter.queueInputImage(image);
                        synchronized (this.f744d) {
                            if (z) {
                                int i4 = this.f746f;
                                this.f746f = i4 - 1;
                                if (i4 == 0 && this.f745e) {
                                    z2 = true;
                                }
                            }
                        }
                        if (z2) {
                            imageWriter.close();
                            e2.a("YuvToJpegProcessor", "Closed after completion of last image processed.");
                        }
                    } catch (InterruptedException | ExecutionException e5) {
                        e2 = e5;
                        if (z) {
                            try {
                                e2.b("YuvToJpegProcessor", "Failed to process YUV -> JPEG", e2);
                                dequeueInputImage = imageWriter.dequeueInputImage();
                            } catch (Throwable th4) {
                                th = th4;
                                synchronized (this.f744d) {
                                }
                            }
                            try {
                                ByteBuffer buffer2 = dequeueInputImage.getPlanes()[0].getBuffer();
                                buffer2.rewind();
                                buffer2.limit(0);
                                imageWriter.queueInputImage(dequeueInputImage);
                                image = dequeueInputImage;
                            } catch (Throwable th5) {
                                th = th5;
                                image = dequeueInputImage;
                                synchronized (this.f744d) {
                                }
                            }
                        }
                        synchronized (this.f744d) {
                            if (z) {
                                int i5 = this.f746f;
                                this.f746f = i5 - 1;
                                if (i5 == 0 && this.f745e) {
                                    z2 = true;
                                }
                            }
                        }
                        if (image != null) {
                            image.close();
                        }
                        if (imageProxy3 != null) {
                            imageProxy3.close();
                        }
                        if (!z2) {
                            return;
                        }
                        imageWriter.close();
                        e2.a("YuvToJpegProcessor", "Closed after completion of last image processed.");
                    }
                } catch (InterruptedException | ExecutionException e6) {
                    e2 = e6;
                    imageProxy3 = imageProxy;
                    if (z) {
                    }
                    synchronized (this.f744d) {
                    }
                } catch (Throwable th6) {
                    th = th6;
                    imageProxy3 = imageProxy;
                    synchronized (this.f744d) {
                    }
                }
            }
        } catch (InterruptedException | ExecutionException e7) {
            e2 = e7;
            image = null;
            if (z) {
            }
            synchronized (this.f744d) {
            }
        } catch (Throwable th7) {
            th = th7;
            image = null;
            synchronized (this.f744d) {
            }
        }
    }

    public static final class a extends OutputStream {

        /* renamed from: d  reason: collision with root package name */
        public final ByteBuffer f749d;

        public a(ByteBuffer byteBuffer) {
            this.f749d = byteBuffer;
        }

        @Override // java.io.OutputStream
        public void write(int i2) {
            if (this.f749d.hasRemaining()) {
                this.f749d.put((byte) i2);
                return;
            }
            throw new EOFException("Output ByteBuffer has no bytes remaining.");
        }

        @Override // java.io.OutputStream
        public void write(byte[] bArr, int i2, int i3) {
            int i4;
            Objects.requireNonNull(bArr);
            if (i2 < 0 || i2 > bArr.length || i3 < 0 || (i4 = i2 + i3) > bArr.length || i4 < 0) {
                throw new IndexOutOfBoundsException();
            } else if (i3 != 0) {
                if (this.f749d.remaining() >= i3) {
                    this.f749d.put(bArr, i2, i3);
                    return;
                }
                throw new EOFException("Output ByteBuffer has insufficient bytes remaining.");
            }
        }
    }
}
