package androidx.camera.lifecycle;

import androidx.camera.core.internal.CameraUseCaseAdapter;
import androidx.lifecycle.Lifecycle;
import androidx.lifecycle.LifecycleObserver;
import androidx.lifecycle.LifecycleOwner;
import androidx.lifecycle.LifecycleRegistry;
import b.q.g;
import java.util.ArrayDeque;
import java.util.Collection;
import java.util.Collections;
import java.util.HashMap;
import java.util.Map;
import java.util.Objects;
import java.util.Set;

public final class LifecycleCameraRepository {

    /* renamed from: a  reason: collision with root package name */
    public final Object f756a = new Object();

    /* renamed from: b  reason: collision with root package name */
    public final Map<a, LifecycleCamera> f757b = new HashMap();

    /* renamed from: c  reason: collision with root package name */
    public final Map<LifecycleCameraRepositoryObserver, Set<a>> f758c = new HashMap();

    /* renamed from: d  reason: collision with root package name */
    public final ArrayDeque<LifecycleOwner> f759d = new ArrayDeque<>();

    public static class LifecycleCameraRepositoryObserver implements LifecycleObserver {

        /* renamed from: d  reason: collision with root package name */
        public final LifecycleCameraRepository f760d;

        /* renamed from: h  reason: collision with root package name */
        public final LifecycleOwner f761h;

        @g(Lifecycle.Event.ON_DESTROY)
        public void onDestroy(LifecycleOwner lifecycleOwner) {
            LifecycleCameraRepository lifecycleCameraRepository = this.f760d;
            synchronized (lifecycleCameraRepository.f756a) {
                LifecycleCameraRepositoryObserver a2 = lifecycleCameraRepository.a(lifecycleOwner);
                if (a2 != null) {
                    lifecycleCameraRepository.e(lifecycleOwner);
                    for (a aVar : lifecycleCameraRepository.f758c.get(a2)) {
                        lifecycleCameraRepository.f757b.remove(aVar);
                    }
                    lifecycleCameraRepository.f758c.remove(a2);
                    LifecycleRegistry lifecycleRegistry = (LifecycleRegistry) a2.f761h.getLifecycle();
                    lifecycleRegistry.d("removeObserver");
                    lifecycleRegistry.f1605a.e(a2);
                }
            }
        }

        @g(Lifecycle.Event.ON_START)
        public void onStart(LifecycleOwner lifecycleOwner) {
            this.f760d.d(lifecycleOwner);
        }

        @g(Lifecycle.Event.ON_STOP)
        public void onStop(LifecycleOwner lifecycleOwner) {
            this.f760d.e(lifecycleOwner);
        }
    }

    public static abstract class a {
        public abstract CameraUseCaseAdapter.a a();

        public abstract LifecycleOwner b();
    }

    public final LifecycleCameraRepositoryObserver a(LifecycleOwner lifecycleOwner) {
        synchronized (this.f756a) {
            for (LifecycleCameraRepositoryObserver lifecycleCameraRepositoryObserver : this.f758c.keySet()) {
                if (lifecycleOwner.equals(lifecycleCameraRepositoryObserver.f761h)) {
                    return lifecycleCameraRepositoryObserver;
                }
            }
            return null;
        }
    }

    public Collection<LifecycleCamera> b() {
        Collection<LifecycleCamera> unmodifiableCollection;
        synchronized (this.f756a) {
            unmodifiableCollection = Collections.unmodifiableCollection(this.f757b.values());
        }
        return unmodifiableCollection;
    }

    public final boolean c(LifecycleOwner lifecycleOwner) {
        synchronized (this.f756a) {
            LifecycleCameraRepositoryObserver a2 = a(lifecycleOwner);
            if (a2 == null) {
                return false;
            }
            for (a aVar : this.f758c.get(a2)) {
                LifecycleCamera lifecycleCamera = this.f757b.get(aVar);
                Objects.requireNonNull(lifecycleCamera);
                if (!lifecycleCamera.b().isEmpty()) {
                    return true;
                }
            }
            return false;
        }
    }

    public void d(LifecycleOwner lifecycleOwner) {
        synchronized (this.f756a) {
            if (c(lifecycleOwner)) {
                if (this.f759d.isEmpty()) {
                    this.f759d.push(lifecycleOwner);
                } else {
                    LifecycleOwner peek = this.f759d.peek();
                    if (!lifecycleOwner.equals(peek)) {
                        f(peek);
                        this.f759d.remove(lifecycleOwner);
                        this.f759d.push(lifecycleOwner);
                    }
                }
                g(lifecycleOwner);
            }
        }
    }

    public void e(LifecycleOwner lifecycleOwner) {
        synchronized (this.f756a) {
            this.f759d.remove(lifecycleOwner);
            f(lifecycleOwner);
            if (!this.f759d.isEmpty()) {
                g(this.f759d.peek());
            }
        }
    }

    public final void f(LifecycleOwner lifecycleOwner) {
        synchronized (this.f756a) {
            for (a aVar : this.f758c.get(a(lifecycleOwner))) {
                LifecycleCamera lifecycleCamera = this.f757b.get(aVar);
                Objects.requireNonNull(lifecycleCamera);
                lifecycleCamera.d();
            }
        }
    }

    public final void g(LifecycleOwner lifecycleOwner) {
        synchronized (this.f756a) {
            for (a aVar : this.f758c.get(a(lifecycleOwner))) {
                LifecycleCamera lifecycleCamera = this.f757b.get(aVar);
                Objects.requireNonNull(lifecycleCamera);
                if (!lifecycleCamera.b().isEmpty()) {
                    lifecycleCamera.e();
                }
            }
        }
    }
}
