package androidx.camera.lifecycle;

import android.content.Context;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.camera.core.Camera;
import androidx.camera.core.CameraFilter;
import androidx.camera.core.CameraInfo;
import androidx.camera.core.CameraX;
import androidx.camera.core.CameraXConfig;
import androidx.camera.core.UseCase;
import androidx.camera.core.impl.CameraInternal;
import androidx.camera.core.internal.CameraUseCaseAdapter;
import androidx.camera.lifecycle.LifecycleCameraRepository;
import androidx.lifecycle.Lifecycle;
import androidx.lifecycle.LifecycleOwner;
import androidx.lifecycle.LifecycleRegistry;
import b.d.a.e2;
import b.d.a.p2;
import b.d.a.q1;
import b.d.a.q2.d0.j.b;
import b.d.a.q2.d0.j.d;
import d.h.b.a.a.a;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.HashSet;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.LinkedHashSet;
import java.util.List;
import java.util.Objects;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;

public final class ProcessCameraProvider implements LifecycleCameraProvider {

    /* renamed from: a  reason: collision with root package name */
    public static final ProcessCameraProvider f762a = new ProcessCameraProvider();

    /* renamed from: b  reason: collision with root package name */
    public final LifecycleCameraRepository f763b = new LifecycleCameraRepository();

    /* renamed from: c  reason: collision with root package name */
    public CameraX f764c;

    private ProcessCameraProvider() {
    }

    public static a<ProcessCameraProvider> c(Context context) {
        a<CameraX> c2;
        Objects.requireNonNull(context);
        Object obj = CameraX.f520a;
        AppCompatDelegateImpl.e.l(context, "Context must not be null.");
        synchronized (CameraX.f520a) {
            boolean z = false;
            boolean z2 = CameraX.f521b != null;
            c2 = CameraX.c();
            if (c2.isDone()) {
                try {
                    c2.get();
                } catch (InterruptedException e2) {
                    throw new RuntimeException("Unexpected thread interrupt. Should not be possible since future is already complete.", e2);
                } catch (ExecutionException unused) {
                    CameraX.d();
                    c2 = null;
                }
            }
            if (c2 == null) {
                if (!z2) {
                    CameraXConfig.Provider b2 = CameraX.b(context);
                    if (b2 != null) {
                        if (CameraX.f521b == null) {
                            z = true;
                        }
                        AppCompatDelegateImpl.e.n(z, "CameraX has already been configured. To use a different configuration, shutdown() must be called.");
                        CameraX.f521b = b2;
                        Integer num = (Integer) b2.getCameraXConfig().retrieveOption(CameraXConfig.f530f, null);
                        if (num != null) {
                            e2.f2498a = num.intValue();
                        }
                    } else {
                        throw new IllegalStateException("CameraX is not configured properly. The most likely cause is you did not include a default implementation in your build such as 'camera-camera2'.");
                    }
                }
                Object obj2 = CameraX.f520a;
                AppCompatDelegateImpl.e.n(true, "CameraX already initialized.");
                Objects.requireNonNull(CameraX.f521b);
                CameraXConfig cameraXConfig = CameraX.f521b.getCameraXConfig();
                new LinkedHashMap();
                new HashSet();
                CameraX.InternalInitState internalInitState = CameraX.InternalInitState.UNINITIALIZED;
                Objects.requireNonNull(cameraXConfig);
                throw null;
            }
        }
        b.d.b.a aVar = b.d.b.a.f2793a;
        Executor B = AppCompatDelegateImpl.e.B();
        b bVar = new b(new d(aVar), c2);
        c2.a(bVar, B);
        return bVar;
    }

    public Camera a(LifecycleOwner lifecycleOwner, q1 q1Var, p2 p2Var, UseCase... useCaseArr) {
        LifecycleCamera lifecycleCamera;
        AppCompatDelegateImpl.e.k();
        LinkedHashSet linkedHashSet = new LinkedHashSet(q1Var.f2627c);
        for (UseCase useCase : useCaseArr) {
            q1 cameraSelector = useCase.f611f.getCameraSelector(null);
            if (cameraSelector != null) {
                Iterator<CameraFilter> it = cameraSelector.f2627c.iterator();
                while (it.hasNext()) {
                    linkedHashSet.add(it.next());
                }
            }
        }
        CameraUseCaseAdapter.a aVar = new CameraUseCaseAdapter.a(new q1(linkedHashSet).a(this.f764c.f524e.a()));
        LifecycleCameraRepository lifecycleCameraRepository = this.f763b;
        synchronized (lifecycleCameraRepository.f756a) {
            lifecycleCamera = lifecycleCameraRepository.f757b.get(new b.d.b.b(lifecycleOwner, aVar));
        }
        Collection<LifecycleCamera> b2 = this.f763b.b();
        for (UseCase useCase2 : useCaseArr) {
            for (LifecycleCamera lifecycleCamera2 : b2) {
                if (lifecycleCamera2.c(useCase2) && lifecycleCamera2 != lifecycleCamera) {
                    throw new IllegalStateException(String.format("Use case %s already bound to a different lifecycle.", useCase2));
                }
            }
        }
        if (lifecycleCamera == null) {
            Objects.requireNonNull(this.f764c);
            throw new IllegalStateException("CameraX not initialized yet.");
        } else if (useCaseArr.length == 0) {
            return lifecycleCamera;
        } else {
            LifecycleCameraRepository lifecycleCameraRepository2 = this.f763b;
            List asList = Arrays.asList(useCaseArr);
            synchronized (lifecycleCameraRepository2.f756a) {
                AppCompatDelegateImpl.e.g(!asList.isEmpty());
                LifecycleOwner a2 = lifecycleCamera.a();
                for (LifecycleCameraRepository.a aVar2 : lifecycleCameraRepository2.f758c.get(lifecycleCameraRepository2.a(a2))) {
                    LifecycleCamera lifecycleCamera3 = lifecycleCameraRepository2.f757b.get(aVar2);
                    Objects.requireNonNull(lifecycleCamera3);
                    if (!lifecycleCamera3.equals(lifecycleCamera)) {
                        if (!lifecycleCamera3.b().isEmpty()) {
                            throw new IllegalArgumentException("Multiple LifecycleCameras with use cases are registered to the same LifecycleOwner.");
                        }
                    }
                }
                try {
                    CameraUseCaseAdapter cameraUseCaseAdapter = lifecycleCamera.f754j;
                    synchronized (cameraUseCaseAdapter.o) {
                        cameraUseCaseAdapter.m = p2Var;
                    }
                    synchronized (lifecycleCamera.f752d) {
                        lifecycleCamera.f754j.a(asList);
                    }
                    if (((LifecycleRegistry) a2.getLifecycle()).f1606b.isAtLeast(Lifecycle.State.STARTED)) {
                        lifecycleCameraRepository2.d(a2);
                    }
                } catch (CameraUseCaseAdapter.CameraException e2) {
                    throw new IllegalArgumentException(e2.getMessage());
                }
            }
            return lifecycleCamera;
        }
    }

    public Camera b(LifecycleOwner lifecycleOwner, q1 q1Var, UseCase... useCaseArr) {
        return a(lifecycleOwner, q1Var, null, useCaseArr);
    }

    @Override // androidx.camera.core.CameraProvider
    public List<CameraInfo> getAvailableCameraInfos() {
        ArrayList arrayList = new ArrayList();
        for (CameraInternal cameraInternal : this.f764c.f524e.a()) {
            arrayList.add(cameraInternal.getCameraInfo());
        }
        return arrayList;
    }

    @Override // androidx.camera.core.CameraProvider
    public boolean hasCamera(q1 q1Var) {
        try {
            q1Var.c(this.f764c.f524e.a());
            return true;
        } catch (IllegalArgumentException unused) {
            return false;
        }
    }

    @Override // androidx.camera.lifecycle.LifecycleCameraProvider
    public boolean isBound(UseCase useCase) {
        for (LifecycleCamera lifecycleCamera : this.f763b.b()) {
            if (lifecycleCamera.c(useCase)) {
                return true;
            }
        }
        return false;
    }

    @Override // androidx.camera.lifecycle.LifecycleCameraProvider
    public void unbind(UseCase... useCaseArr) {
        AppCompatDelegateImpl.e.k();
        LifecycleCameraRepository lifecycleCameraRepository = this.f763b;
        List asList = Arrays.asList(useCaseArr);
        synchronized (lifecycleCameraRepository.f756a) {
            for (LifecycleCameraRepository.a aVar : lifecycleCameraRepository.f757b.keySet()) {
                LifecycleCamera lifecycleCamera = lifecycleCameraRepository.f757b.get(aVar);
                boolean z = !lifecycleCamera.b().isEmpty();
                synchronized (lifecycleCamera.f752d) {
                    ArrayList arrayList = new ArrayList(asList);
                    arrayList.retainAll(lifecycleCamera.f754j.f());
                    lifecycleCamera.f754j.h(arrayList);
                }
                if (z && lifecycleCamera.b().isEmpty()) {
                    lifecycleCameraRepository.e(lifecycleCamera.a());
                }
            }
        }
    }

    @Override // androidx.camera.lifecycle.LifecycleCameraProvider
    public void unbindAll() {
        AppCompatDelegateImpl.e.k();
        LifecycleCameraRepository lifecycleCameraRepository = this.f763b;
        synchronized (lifecycleCameraRepository.f756a) {
            for (LifecycleCameraRepository.a aVar : lifecycleCameraRepository.f757b.keySet()) {
                LifecycleCamera lifecycleCamera = lifecycleCameraRepository.f757b.get(aVar);
                synchronized (lifecycleCamera.f752d) {
                    CameraUseCaseAdapter cameraUseCaseAdapter = lifecycleCamera.f754j;
                    cameraUseCaseAdapter.h(cameraUseCaseAdapter.f());
                }
                lifecycleCameraRepository.e(lifecycleCamera.a());
            }
        }
    }
}
