package androidx.camera.view;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.TypedArray;
import android.hardware.display.DisplayManager;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Parcelable;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.Display;
import android.view.MotionEvent;
import android.view.ScaleGestureDetector;
import android.view.ViewConfiguration;
import android.widget.FrameLayout;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.camera.core.Camera;
import androidx.camera.core.CameraControl;
import androidx.camera.core.ImageCapture;
import androidx.camera.core.impl.utils.futures.FutureCallback;
import androidx.camera.view.PreviewView;
import androidx.lifecycle.LifecycleOwner;
import androidx.lifecycle.LiveData;
import b.d.a.e2;
import b.d.a.g2;
import b.d.a.h2;
import b.d.a.q2.d0.j.e;
import b.d.a.t1;
import b.d.a.u1;
import java.util.Objects;

@Deprecated
public final class CameraView extends FrameLayout {

    /* renamed from: d  reason: collision with root package name */
    public static final String f765d = CameraView.class.getSimpleName();

    /* renamed from: h  reason: collision with root package name */
    public long f766h;

    /* renamed from: j  reason: collision with root package name */
    public c f767j;

    /* renamed from: k  reason: collision with root package name */
    public boolean f768k;

    /* renamed from: l  reason: collision with root package name */
    public CameraXModule f769l;
    public final DisplayManager.DisplayListener m;
    public PreviewView n;
    public MotionEvent o;

    public enum CaptureMode {
        IMAGE(0),
        VIDEO(1),
        MIXED(2);
        
        private final int mId;

        private CaptureMode(int i2) {
            this.mId = i2;
        }

        public static CaptureMode fromId(int i2) {
            CaptureMode[] values = values();
            for (int i3 = 0; i3 < 3; i3++) {
                CaptureMode captureMode = values[i3];
                if (captureMode.mId == i2) {
                    return captureMode;
                }
            }
            throw new IllegalArgumentException();
        }

        public int getId() {
            return this.mId;
        }
    }

    public class a implements DisplayManager.DisplayListener {
        public a() {
        }

        public void onDisplayAdded(int i2) {
        }

        public void onDisplayChanged(int i2) {
            CameraView.this.f769l.h();
        }

        public void onDisplayRemoved(int i2) {
        }
    }

    public class b implements FutureCallback<u1> {
        public b(CameraView cameraView) {
        }

        @Override // androidx.camera.core.impl.utils.futures.FutureCallback
        public void onFailure(Throwable th) {
            throw new RuntimeException(th);
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // androidx.camera.core.impl.utils.futures.FutureCallback
        public void onSuccess(u1 u1Var) {
        }
    }

    public class c extends ScaleGestureDetector implements ScaleGestureDetector.OnScaleGestureListener {

        /* renamed from: a  reason: collision with root package name */
        public final /* synthetic */ CameraView f771a;

        /* JADX WARNING: Illegal instructions before constructor call */
        public c(CameraView cameraView, Context context) {
            super(context, r0);
            d dVar = new d();
            this.f771a = cameraView;
            dVar.f772a = this;
        }

        public boolean onScale(ScaleGestureDetector scaleGestureDetector) {
            float scaleFactor = scaleGestureDetector.getScaleFactor();
            float zoomRatio = this.f771a.getZoomRatio() * (scaleFactor > 1.0f ? d.a.a.a.a.b(scaleFactor, 1.0f, 2.0f, 1.0f) : 1.0f - ((1.0f - scaleFactor) * 2.0f));
            CameraView cameraView = this.f771a;
            float maxZoomRatio = cameraView.getMaxZoomRatio();
            float minZoomRatio = this.f771a.getMinZoomRatio();
            Objects.requireNonNull(cameraView);
            this.f771a.setZoomRatio(Math.min(Math.max(zoomRatio, minZoomRatio), maxZoomRatio));
            return true;
        }

        public boolean onScaleBegin(ScaleGestureDetector scaleGestureDetector) {
            return true;
        }

        public void onScaleEnd(ScaleGestureDetector scaleGestureDetector) {
        }
    }

    public static class d extends ScaleGestureDetector.SimpleOnScaleGestureListener {

        /* renamed from: a  reason: collision with root package name */
        public ScaleGestureDetector.OnScaleGestureListener f772a;

        public boolean onScale(ScaleGestureDetector scaleGestureDetector) {
            return this.f772a.onScale(scaleGestureDetector);
        }
    }

    public CameraView(Context context) {
        this(context, null);
    }

    private long getMaxVideoSize() {
        return this.f769l.f783k;
    }

    private void setMaxVideoDuration(long j2) {
        this.f769l.f782j = j2;
    }

    private void setMaxVideoSize(long j2) {
        this.f769l.f783k = j2;
    }

    public Integer getCameraLensFacing() {
        return this.f769l.t;
    }

    public CaptureMode getCaptureMode() {
        return this.f769l.f781i;
    }

    public int getDisplaySurfaceRotation() {
        Display display = getDisplay();
        if (display == null) {
            return 0;
        }
        return display.getRotation();
    }

    public int getFlash() {
        return this.f769l.f784l;
    }

    public long getMaxVideoDuration() {
        return this.f769l.f782j;
    }

    public float getMaxZoomRatio() {
        return this.f769l.e();
    }

    public float getMinZoomRatio() {
        Camera camera = this.f769l.m;
        if (camera != null) {
            return camera.getCameraInfo().getZoomState().d().getMinZoomRatio();
        }
        return 1.0f;
    }

    public LiveData<PreviewView.StreamState> getPreviewStreamState() {
        return this.n.getPreviewStreamState();
    }

    public PreviewView getPreviewView() {
        return this.n;
    }

    public PreviewView.ScaleType getScaleType() {
        return this.n.getScaleType();
    }

    public float getZoomRatio() {
        Camera camera = this.f769l.m;
        if (camera != null) {
            return camera.getCameraInfo().getZoomState().d().getZoomRatio();
        }
        return 1.0f;
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        ((DisplayManager) getContext().getSystemService("display")).registerDisplayListener(this.m, new Handler(Looper.getMainLooper()));
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        ((DisplayManager) getContext().getSystemService("display")).unregisterDisplayListener(this.m);
    }

    @SuppressLint({"MissingPermission"})
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        this.f769l.b();
        this.f769l.h();
        super.onLayout(z, i2, i3, i4, i5);
    }

    @SuppressLint({"MissingPermission"})
    public void onMeasure(int i2, int i3) {
        if (getMeasuredWidth() > 0 && getMeasuredHeight() > 0) {
            this.f769l.b();
        }
        super.onMeasure(i2, i3);
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        Integer num;
        if (parcelable instanceof Bundle) {
            Bundle bundle = (Bundle) parcelable;
            super.onRestoreInstanceState(bundle.getParcelable("super"));
            setScaleType(PreviewView.ScaleType.fromId(bundle.getInt("scale_type")));
            setZoomRatio(bundle.getFloat("zoom_ratio"));
            setPinchToZoomEnabled(bundle.getBoolean("pinch_to_zoom_enabled"));
            String string = bundle.getString("flash");
            Objects.requireNonNull(string, "name cannot be null");
            string.hashCode();
            int i2 = 2;
            int i3 = 0;
            char c2 = 65535;
            switch (string.hashCode()) {
                case 2527:
                    if (string.equals("ON")) {
                        c2 = 0;
                        break;
                    }
                    break;
                case 78159:
                    if (string.equals("OFF")) {
                        c2 = 1;
                        break;
                    }
                    break;
                case 2020783:
                    if (string.equals("AUTO")) {
                        c2 = 2;
                        break;
                    }
                    break;
            }
            switch (c2) {
                case 0:
                    i2 = 1;
                    break;
                case 1:
                    break;
                case 2:
                    i2 = 0;
                    break;
                default:
                    throw new IllegalArgumentException(d.a.a.a.a.s("Unknown flash mode name ", string));
            }
            setFlash(i2);
            setMaxVideoDuration(bundle.getLong("max_video_duration"));
            setMaxVideoSize(bundle.getLong("max_video_size"));
            String string2 = bundle.getString("camera_direction");
            if (TextUtils.isEmpty(string2)) {
                num = null;
            } else {
                Objects.requireNonNull(string2, "name cannot be null");
                if (string2.equals("BACK")) {
                    i3 = 1;
                } else if (!string2.equals("FRONT")) {
                    throw new IllegalArgumentException(d.a.a.a.a.s("Unknown len facing name ", string2));
                }
                num = Integer.valueOf(i3);
            }
            setCameraLensFacing(num);
            setCaptureMode(CaptureMode.fromId(bundle.getInt("captureMode")));
            return;
        }
        super.onRestoreInstanceState(parcelable);
    }

    public Parcelable onSaveInstanceState() {
        String str;
        String str2;
        Bundle bundle = new Bundle();
        bundle.putParcelable("super", super.onSaveInstanceState());
        bundle.putInt("scale_type", getScaleType().getId());
        bundle.putFloat("zoom_ratio", getZoomRatio());
        bundle.putBoolean("pinch_to_zoom_enabled", this.f768k);
        int flash = getFlash();
        if (flash == 0) {
            str = "AUTO";
        } else if (flash == 1) {
            str = "ON";
        } else if (flash == 2) {
            str = "OFF";
        } else {
            throw new IllegalArgumentException(d.a.a.a.a.k("Unknown flash mode ", flash));
        }
        bundle.putString("flash", str);
        bundle.putLong("max_video_duration", getMaxVideoDuration());
        bundle.putLong("max_video_size", getMaxVideoSize());
        if (getCameraLensFacing() != null) {
            int intValue = getCameraLensFacing().intValue();
            if (intValue == 0) {
                str2 = "FRONT";
            } else if (intValue == 1) {
                str2 = "BACK";
            } else {
                throw new IllegalArgumentException(d.a.a.a.a.k("Unknown lens facing ", intValue));
            }
            bundle.putString("camera_direction", str2);
        }
        bundle.putInt("captureMode", getCaptureMode().getId());
        return bundle;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        Objects.requireNonNull(this.f769l);
        if (this.f768k) {
            this.f767j.onTouchEvent(motionEvent);
        }
        boolean z = false;
        if (motionEvent.getPointerCount() == 2 && this.f768k) {
            if (this.f769l.e() != 1.0f) {
                return true;
            }
        }
        int action = motionEvent.getAction();
        if (action == 0) {
            this.f766h = System.currentTimeMillis();
        } else if (action != 1) {
            return false;
        } else {
            if (System.currentTimeMillis() - this.f766h < ((long) ViewConfiguration.getLongPressTimeout())) {
                if (this.f769l.m != null) {
                    z = true;
                }
                if (z) {
                    this.o = motionEvent;
                    performClick();
                }
            }
        }
        return true;
    }

    public boolean performClick() {
        super.performClick();
        MotionEvent motionEvent = this.o;
        float x = motionEvent != null ? motionEvent.getX() : getX() + (((float) getWidth()) / 2.0f);
        MotionEvent motionEvent2 = this.o;
        float y = motionEvent2 != null ? motionEvent2.getY() : (((float) getHeight()) / 2.0f) + getY();
        this.o = null;
        Camera camera = this.f769l.m;
        if (camera != null) {
            h2 meteringPointFactory = this.n.getMeteringPointFactory();
            g2 b2 = meteringPointFactory.b(x, y, 0.16666667f);
            g2 b3 = meteringPointFactory.b(x, y, 0.25f);
            CameraControl cameraControl = camera.getCameraControl();
            t1.a aVar = new t1.a(b2, 1);
            aVar.a(b3, 2);
            d.h.b.a.a.a<u1> startFocusAndMetering = cameraControl.startFocusAndMetering(new t1(aVar));
            startFocusAndMetering.a(new e.d(startFocusAndMetering, new b(this)), AppCompatDelegateImpl.e.B());
        } else {
            e2.a(f765d, "cannot access camera");
        }
        return true;
    }

    public void setCameraLensFacing(Integer num) {
        CameraXModule cameraXModule = this.f769l;
        if (!Objects.equals(cameraXModule.t, num)) {
            cameraXModule.t = num;
            LifecycleOwner lifecycleOwner = cameraXModule.q;
            if (lifecycleOwner != null) {
                cameraXModule.a(lifecycleOwner);
            }
        }
    }

    public void setCaptureMode(CaptureMode captureMode) {
        CameraXModule cameraXModule = this.f769l;
        cameraXModule.f781i = captureMode;
        LifecycleOwner lifecycleOwner = cameraXModule.q;
        if (lifecycleOwner != null) {
            cameraXModule.a(lifecycleOwner);
        }
    }

    public void setFlash(int i2) {
        CameraXModule cameraXModule = this.f769l;
        cameraXModule.f784l = i2;
        ImageCapture imageCapture = cameraXModule.n;
        if (imageCapture != null) {
            imageCapture.C(i2);
        }
    }

    public void setPinchToZoomEnabled(boolean z) {
        this.f768k = z;
    }

    public void setScaleType(PreviewView.ScaleType scaleType) {
        this.n.setScaleType(scaleType);
    }

    public void setZoomRatio(float f2) {
        this.f769l.i(f2);
    }

    public CameraView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    @Override // android.widget.FrameLayout, android.widget.FrameLayout
    public FrameLayout.LayoutParams generateDefaultLayoutParams() {
        return new FrameLayout.LayoutParams(-1, -1);
    }

    public CameraView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f768k = true;
        this.m = new a();
        PreviewView previewView = new PreviewView(getContext());
        this.n = previewView;
        addView(previewView, 0);
        this.f769l = new CameraXModule(this);
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.CameraView);
            setScaleType(PreviewView.ScaleType.fromId(obtainStyledAttributes.getInteger(R$styleable.CameraView_scaleType, getScaleType().getId())));
            setPinchToZoomEnabled(obtainStyledAttributes.getBoolean(R$styleable.CameraView_pinchToZoomEnabled, this.f768k));
            setCaptureMode(CaptureMode.fromId(obtainStyledAttributes.getInteger(R$styleable.CameraView_captureMode, getCaptureMode().getId())));
            int i3 = obtainStyledAttributes.getInt(R$styleable.CameraView_lensFacing, 2);
            if (i3 == 0) {
                setCameraLensFacing(null);
            } else if (i3 == 1) {
                setCameraLensFacing(0);
            } else if (i3 == 2) {
                setCameraLensFacing(1);
            }
            int i4 = obtainStyledAttributes.getInt(R$styleable.CameraView_flash, 0);
            if (i4 == 1) {
                setFlash(0);
            } else if (i4 == 2) {
                setFlash(1);
            } else if (i4 == 4) {
                setFlash(2);
            }
            obtainStyledAttributes.recycle();
        }
        if (getBackground() == null) {
            setBackgroundColor(-15658735);
        }
        this.f767j = new c(this, context);
    }
}
