package androidx.camera.view;

import android.annotation.SuppressLint;
import android.util.Rational;
import android.util.Size;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.camera.core.Camera;
import androidx.camera.core.CameraInfoUnavailableException;
import androidx.camera.core.ImageCapture;
import androidx.camera.core.Preview;
import androidx.camera.core.UseCase;
import androidx.camera.core.VideoCapture;
import androidx.camera.core.impl.Config;
import androidx.camera.core.impl.ImageOutputConfig;
import androidx.camera.core.impl.LensFacingCameraFilter;
import androidx.camera.core.impl.MutableOptionsBundle;
import androidx.camera.core.impl.utils.futures.FutureCallback;
import androidx.camera.core.internal.TargetConfig;
import androidx.camera.lifecycle.ProcessCameraProvider;
import androidx.camera.view.CameraView;
import androidx.lifecycle.Lifecycle;
import androidx.lifecycle.LifecycleObserver;
import androidx.lifecycle.LifecycleOwner;
import androidx.lifecycle.LifecycleRegistry;
import b.d.a.e2;
import b.d.a.q1;
import b.d.a.q2.d0.j.c;
import b.d.a.q2.d0.j.e;
import b.q.g;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.LinkedHashSet;
import java.util.Objects;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.atomic.AtomicBoolean;

@Deprecated
public final class CameraXModule {

    /* renamed from: a  reason: collision with root package name */
    public static final Rational f773a = new Rational(16, 9);

    /* renamed from: b  reason: collision with root package name */
    public static final Rational f774b = new Rational(4, 3);

    /* renamed from: c  reason: collision with root package name */
    public static final Rational f775c = new Rational(9, 16);

    /* renamed from: d  reason: collision with root package name */
    public static final Rational f776d = new Rational(3, 4);

    /* renamed from: e  reason: collision with root package name */
    public final Preview.Builder f777e;

    /* renamed from: f  reason: collision with root package name */
    public final VideoCapture.Builder f778f;

    /* renamed from: g  reason: collision with root package name */
    public final ImageCapture.Builder f779g;

    /* renamed from: h  reason: collision with root package name */
    public final CameraView f780h;

    /* renamed from: i  reason: collision with root package name */
    public CameraView.CaptureMode f781i = CameraView.CaptureMode.IMAGE;

    /* renamed from: j  reason: collision with root package name */
    public long f782j = -1;

    /* renamed from: k  reason: collision with root package name */
    public long f783k = -1;

    /* renamed from: l  reason: collision with root package name */
    public int f784l = 2;
    public Camera m;
    public ImageCapture n;
    public VideoCapture o;
    public Preview p;
    public LifecycleOwner q;
    public final LifecycleObserver r = new LifecycleObserver() {
        /* class androidx.camera.view.CameraXModule.AnonymousClass1 */

        @g(Lifecycle.Event.ON_DESTROY)
        public void onDestroy(LifecycleOwner lifecycleOwner) {
            CameraXModule cameraXModule = CameraXModule.this;
            if (lifecycleOwner == cameraXModule.q) {
                cameraXModule.c();
            }
        }
    };
    public LifecycleOwner s;
    public Integer t = 1;
    public ProcessCameraProvider u;

    public class a implements FutureCallback<ProcessCameraProvider> {
        public a() {
        }

        @Override // androidx.camera.core.impl.utils.futures.FutureCallback
        public void onFailure(Throwable th) {
            throw new RuntimeException("CameraX failed to initialize.", th);
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // androidx.camera.core.impl.utils.futures.FutureCallback
        @SuppressLint({"MissingPermission"})
        public void onSuccess(ProcessCameraProvider processCameraProvider) {
            ProcessCameraProvider processCameraProvider2 = processCameraProvider;
            Objects.requireNonNull(processCameraProvider2);
            CameraXModule cameraXModule = CameraXModule.this;
            cameraXModule.u = processCameraProvider2;
            LifecycleOwner lifecycleOwner = cameraXModule.q;
            if (lifecycleOwner != null) {
                cameraXModule.a(lifecycleOwner);
            }
        }
    }

    public class b implements FutureCallback<Void> {
        public b(CameraXModule cameraXModule) {
        }

        @Override // androidx.camera.core.impl.utils.futures.FutureCallback
        public void onFailure(Throwable th) {
            throw new RuntimeException(th);
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // androidx.camera.core.impl.utils.futures.FutureCallback
        public void onSuccess(Void r1) {
        }
    }

    public CameraXModule(CameraView cameraView) {
        new AtomicBoolean(false);
        this.f780h = cameraView;
        d.h.b.a.a.a<ProcessCameraProvider> c2 = ProcessCameraProvider.c(cameraView.getContext());
        a aVar = new a();
        ScheduledExecutorService a0 = AppCompatDelegateImpl.e.a0();
        ((c) c2).f2686d.a(new e.d(c2, aVar), a0);
        Preview.Builder builder = new Preview.Builder();
        MutableOptionsBundle mutableOptionsBundle = builder.f584a;
        Config.a<String> aVar2 = TargetConfig.OPTION_TARGET_NAME;
        Config.OptionPriority optionPriority = MutableOptionsBundle.f681c;
        mutableOptionsBundle.insertOption(aVar2, optionPriority, "Preview");
        this.f777e = builder;
        ImageCapture.Builder builder2 = new ImageCapture.Builder();
        builder2.f543a.insertOption(aVar2, optionPriority, "ImageCapture");
        this.f779g = builder2;
        VideoCapture.Builder builder3 = new VideoCapture.Builder();
        builder3.f618a.insertOption(aVar2, optionPriority, "VideoCapture");
        this.f778f = builder3;
    }

    public void a(LifecycleOwner lifecycleOwner) {
        this.s = lifecycleOwner;
        if (f() > 0 && this.f780h.getMeasuredHeight() > 0) {
            b();
        }
    }

    public void b() {
        Rational rational;
        if (this.s != null) {
            c();
            if (((LifecycleRegistry) this.s.getLifecycle()).f1606b == Lifecycle.State.DESTROYED) {
                this.s = null;
                return;
            }
            this.q = this.s;
            this.s = null;
            if (this.u != null) {
                LinkedHashSet linkedHashSet = new LinkedHashSet(Arrays.asList(0, 1));
                if (this.q != null) {
                    if (!g(1)) {
                        linkedHashSet.remove(1);
                    }
                    if (!g(0)) {
                        linkedHashSet.remove(0);
                    }
                }
                if (linkedHashSet.isEmpty()) {
                    e2.f("CameraXModule", "Unable to bindToLifeCycle since no cameras available", null);
                    this.t = null;
                }
                Integer num = this.t;
                if (num != null && !linkedHashSet.contains(num)) {
                    StringBuilder B = d.a.a.a.a.B("Camera does not exist with direction ");
                    B.append(this.t);
                    e2.f("CameraXModule", B.toString(), null);
                    this.t = (Integer) linkedHashSet.iterator().next();
                    StringBuilder B2 = d.a.a.a.a.B("Defaulting to primary camera with direction ");
                    B2.append(this.t);
                    e2.f("CameraXModule", B2.toString(), null);
                }
                if (this.t != null) {
                    boolean z = AppCompatDelegateImpl.e.H0(d()) == 0 || AppCompatDelegateImpl.e.H0(d()) == 180;
                    CameraView.CaptureMode captureMode = this.f781i;
                    CameraView.CaptureMode captureMode2 = CameraView.CaptureMode.IMAGE;
                    if (captureMode == captureMode2) {
                        rational = z ? f776d : f774b;
                    } else {
                        this.f779g.c(1);
                        this.f778f.c(1);
                        rational = z ? f775c : f773a;
                    }
                    ImageCapture.Builder builder = this.f779g;
                    int d2 = d();
                    MutableOptionsBundle mutableOptionsBundle = builder.f543a;
                    Config.a<Integer> aVar = ImageOutputConfig.OPTION_TARGET_ROTATION;
                    Integer valueOf = Integer.valueOf(d2);
                    Config.OptionPriority optionPriority = MutableOptionsBundle.f681c;
                    mutableOptionsBundle.insertOption(aVar, optionPriority, valueOf);
                    this.n = this.f779g.build();
                    this.f778f.f618a.insertOption(aVar, optionPriority, Integer.valueOf(d()));
                    this.o = this.f778f.build();
                    this.f777e.f584a.insertOption(ImageOutputConfig.OPTION_TARGET_RESOLUTION, optionPriority, new Size(f(), (int) (((float) f()) / rational.floatValue())));
                    Preview a2 = this.f777e.build();
                    this.p = a2;
                    a2.z(this.f780h.getPreviewView().getSurfaceProvider());
                    LinkedHashSet linkedHashSet2 = new LinkedHashSet();
                    linkedHashSet2.add(new LensFacingCameraFilter(this.t.intValue()));
                    q1 q1Var = new q1(linkedHashSet2);
                    CameraView.CaptureMode captureMode3 = this.f781i;
                    if (captureMode3 == captureMode2) {
                        this.m = this.u.b(this.q, q1Var, this.n, this.p);
                    } else if (captureMode3 == CameraView.CaptureMode.VIDEO) {
                        this.m = this.u.b(this.q, q1Var, this.o, this.p);
                    } else {
                        this.m = this.u.b(this.q, q1Var, this.n, this.o, this.p);
                    }
                    i(1.0f);
                    this.q.getLifecycle().a(this.r);
                    int i2 = this.f784l;
                    this.f784l = i2;
                    ImageCapture imageCapture = this.n;
                    if (imageCapture != null) {
                        imageCapture.C(i2);
                    }
                }
            }
        }
    }

    public void c() {
        if (!(this.q == null || this.u == null)) {
            ArrayList arrayList = new ArrayList();
            ImageCapture imageCapture = this.n;
            if (imageCapture != null && this.u.isBound(imageCapture)) {
                arrayList.add(this.n);
            }
            VideoCapture videoCapture = this.o;
            if (videoCapture != null && this.u.isBound(videoCapture)) {
                arrayList.add(this.o);
            }
            Preview preview = this.p;
            if (preview != null && this.u.isBound(preview)) {
                arrayList.add(this.p);
            }
            if (!arrayList.isEmpty()) {
                this.u.unbind((UseCase[]) arrayList.toArray(new UseCase[0]));
            }
            Preview preview2 = this.p;
            if (preview2 != null) {
                preview2.z(null);
            }
        }
        this.m = null;
        this.q = null;
    }

    public int d() {
        return this.f780h.getDisplaySurfaceRotation();
    }

    public float e() {
        Camera camera = this.m;
        if (camera != null) {
            return camera.getCameraInfo().getZoomState().d().getMaxZoomRatio();
        }
        return 1.0f;
    }

    public final int f() {
        return this.f780h.getMeasuredWidth();
    }

    public boolean g(int i2) {
        ProcessCameraProvider processCameraProvider = this.u;
        if (processCameraProvider == null) {
            return false;
        }
        LinkedHashSet linkedHashSet = new LinkedHashSet();
        linkedHashSet.add(new LensFacingCameraFilter(i2));
        try {
            new q1(linkedHashSet).c(processCameraProvider.f764c.f524e.a());
            return true;
        } catch (CameraInfoUnavailableException unused) {
            return false;
        }
    }

    public void h() {
        ImageCapture imageCapture = this.n;
        if (imageCapture != null) {
            imageCapture.s = new Rational(this.f780h.getWidth(), this.f780h.getHeight());
            this.n.D(d());
        }
        VideoCapture videoCapture = this.o;
        if (videoCapture != null) {
            videoCapture.u(d());
        }
    }

    public void i(float f2) {
        Camera camera = this.m;
        if (camera != null) {
            d.h.b.a.a.a<Void> zoomRatio = camera.getCameraControl().setZoomRatio(f2);
            b bVar = new b(this);
            zoomRatio.a(new e.d(zoomRatio, bVar), AppCompatDelegateImpl.e.B());
            return;
        }
        e2.b("CameraXModule", "Failed to set zoom ratio", null);
    }
}
