package androidx.camera.view;

import android.graphics.Bitmap;
import android.graphics.RectF;
import android.util.Size;
import android.view.Display;
import android.view.TextureView;
import android.view.View;
import android.widget.FrameLayout;
import androidx.camera.core.SurfaceRequest;
import b.d.a.e2;
import b.d.c.a0;
import d.h.b.a.a.a;
import java.util.Objects;

public abstract class PreviewViewImplementation {

    /* renamed from: a  reason: collision with root package name */
    public Size f794a;

    /* renamed from: b  reason: collision with root package name */
    public FrameLayout f795b;

    /* renamed from: c  reason: collision with root package name */
    public final a0 f796c;

    public interface OnSurfaceNotInUseListener {
        void onSurfaceNotInUse();
    }

    public PreviewViewImplementation(FrameLayout frameLayout, a0 a0Var) {
        this.f795b = frameLayout;
        this.f796c = a0Var;
    }

    public abstract View a();

    public abstract Bitmap b();

    public abstract void c();

    public abstract void d();

    public abstract void e(SurfaceRequest surfaceRequest, OnSurfaceNotInUseListener onSurfaceNotInUseListener);

    public void f() {
        View a2 = a();
        if (a2 != null) {
            a0 a0Var = this.f796c;
            Size size = new Size(this.f795b.getWidth(), this.f795b.getHeight());
            int layoutDirection = this.f795b.getLayoutDirection();
            Objects.requireNonNull(a0Var);
            if (size.getHeight() == 0 || size.getWidth() == 0) {
                e2.f("PreviewTransform", "Transform not applied due to PreviewView size: " + size, null);
            } else if (a0Var.f()) {
                if (a2 instanceof TextureView) {
                    ((TextureView) a2).setTransform(a0Var.d());
                } else {
                    Display display = a2.getDisplay();
                    if (!(display == null || display.getRotation() == a0Var.f2802f)) {
                        e2.b("PreviewTransform", "Non-display rotation not supported with SurfaceView / PERFORMANCE mode.", null);
                    }
                }
                RectF e2 = a0Var.e(size, layoutDirection);
                a2.setPivotX(0.0f);
                a2.setPivotY(0.0f);
                a2.setScaleX(e2.width() / ((float) a0Var.f2798b.getWidth()));
                a2.setScaleY(e2.height() / ((float) a0Var.f2798b.getHeight()));
                a2.setTranslationX(e2.left - ((float) a2.getLeft()));
                a2.setTranslationY(e2.top - ((float) a2.getTop()));
            }
        }
    }

    public abstract a<Void> g();
}
