package androidx.concurrent.futures;

import java.util.Locale;
import java.util.Objects;
import java.util.concurrent.CancellationException;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;
import java.util.concurrent.Future;
import java.util.concurrent.ScheduledFuture;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import java.util.concurrent.atomic.AtomicReferenceFieldUpdater;
import java.util.concurrent.locks.LockSupport;
import java.util.logging.Level;
import java.util.logging.Logger;

public abstract class AbstractResolvableFuture<V> implements d.h.b.a.a.a<V> {

    /* renamed from: d  reason: collision with root package name */
    public static final boolean f801d = Boolean.parseBoolean(System.getProperty("guava.concurrent.generate_cancellation_cause", "false"));

    /* renamed from: h  reason: collision with root package name */
    public static final Logger f802h = Logger.getLogger(AbstractResolvableFuture.class.getName());

    /* renamed from: j  reason: collision with root package name */
    public static final b f803j;

    /* renamed from: k  reason: collision with root package name */
    public static final Object f804k = new Object();

    /* renamed from: l  reason: collision with root package name */
    public volatile Object f805l;
    public volatile d m;
    public volatile h n;

    public static final class Failure {

        /* renamed from: a  reason: collision with root package name */
        public final Throwable f806a;

        static {
            AnonymousClass1 r0 = new Throwable("Failure occurred while trying to finish a future.") {
                /* class androidx.concurrent.futures.AbstractResolvableFuture.Failure.AnonymousClass1 */

                public synchronized Throwable fillInStackTrace() {
                    return this;
                }
            };
            boolean z = AbstractResolvableFuture.f801d;
            Objects.requireNonNull(r0);
        }

        public Failure(Throwable th) {
            boolean z = AbstractResolvableFuture.f801d;
            Objects.requireNonNull(th);
            this.f806a = th;
        }
    }

    public static abstract class b {
        public b(a aVar) {
        }

        public abstract boolean a(AbstractResolvableFuture<?> abstractResolvableFuture, d dVar, d dVar2);

        public abstract boolean b(AbstractResolvableFuture<?> abstractResolvableFuture, Object obj, Object obj2);

        public abstract boolean c(AbstractResolvableFuture<?> abstractResolvableFuture, h hVar, h hVar2);

        public abstract void d(h hVar, h hVar2);

        public abstract void e(h hVar, Thread thread);
    }

    public static final class c {

        /* renamed from: a  reason: collision with root package name */
        public static final c f807a;

        /* renamed from: b  reason: collision with root package name */
        public static final c f808b;

        /* renamed from: c  reason: collision with root package name */
        public final boolean f809c;

        /* renamed from: d  reason: collision with root package name */
        public final Throwable f810d;

        static {
            if (AbstractResolvableFuture.f801d) {
                f808b = null;
                f807a = null;
                return;
            }
            f808b = new c(false, null);
            f807a = new c(true, null);
        }

        public c(boolean z, Throwable th) {
            this.f809c = z;
            this.f810d = th;
        }
    }

    public static final class d {

        /* renamed from: a  reason: collision with root package name */
        public static final d f811a = new d(null, null);

        /* renamed from: b  reason: collision with root package name */
        public final Runnable f812b;

        /* renamed from: c  reason: collision with root package name */
        public final Executor f813c;

        /* renamed from: d  reason: collision with root package name */
        public d f814d;

        public d(Runnable runnable, Executor executor) {
            this.f812b = runnable;
            this.f813c = executor;
        }
    }

    public static final class e extends b {

        /* renamed from: a  reason: collision with root package name */
        public final AtomicReferenceFieldUpdater<h, Thread> f815a;

        /* renamed from: b  reason: collision with root package name */
        public final AtomicReferenceFieldUpdater<h, h> f816b;

        /* renamed from: c  reason: collision with root package name */
        public final AtomicReferenceFieldUpdater<AbstractResolvableFuture, h> f817c;

        /* renamed from: d  reason: collision with root package name */
        public final AtomicReferenceFieldUpdater<AbstractResolvableFuture, d> f818d;

        /* renamed from: e  reason: collision with root package name */
        public final AtomicReferenceFieldUpdater<AbstractResolvableFuture, Object> f819e;

        public e(AtomicReferenceFieldUpdater<h, Thread> atomicReferenceFieldUpdater, AtomicReferenceFieldUpdater<h, h> atomicReferenceFieldUpdater2, AtomicReferenceFieldUpdater<AbstractResolvableFuture, h> atomicReferenceFieldUpdater3, AtomicReferenceFieldUpdater<AbstractResolvableFuture, d> atomicReferenceFieldUpdater4, AtomicReferenceFieldUpdater<AbstractResolvableFuture, Object> atomicReferenceFieldUpdater5) {
            super(null);
            this.f815a = atomicReferenceFieldUpdater;
            this.f816b = atomicReferenceFieldUpdater2;
            this.f817c = atomicReferenceFieldUpdater3;
            this.f818d = atomicReferenceFieldUpdater4;
            this.f819e = atomicReferenceFieldUpdater5;
        }

        @Override // androidx.concurrent.futures.AbstractResolvableFuture.b
        public boolean a(AbstractResolvableFuture<?> abstractResolvableFuture, d dVar, d dVar2) {
            return this.f818d.compareAndSet(abstractResolvableFuture, dVar, dVar2);
        }

        @Override // androidx.concurrent.futures.AbstractResolvableFuture.b
        public boolean b(AbstractResolvableFuture<?> abstractResolvableFuture, Object obj, Object obj2) {
            return this.f819e.compareAndSet(abstractResolvableFuture, obj, obj2);
        }

        @Override // androidx.concurrent.futures.AbstractResolvableFuture.b
        public boolean c(AbstractResolvableFuture<?> abstractResolvableFuture, h hVar, h hVar2) {
            return this.f817c.compareAndSet(abstractResolvableFuture, hVar, hVar2);
        }

        @Override // androidx.concurrent.futures.AbstractResolvableFuture.b
        public void d(h hVar, h hVar2) {
            this.f816b.lazySet(hVar, hVar2);
        }

        @Override // androidx.concurrent.futures.AbstractResolvableFuture.b
        public void e(h hVar, Thread thread) {
            this.f815a.lazySet(hVar, thread);
        }
    }

    public static final class f<V> implements Runnable {
        public void run() {
            throw null;
        }
    }

    public static final class g extends b {
        public g() {
            super(null);
        }

        @Override // androidx.concurrent.futures.AbstractResolvableFuture.b
        public boolean a(AbstractResolvableFuture<?> abstractResolvableFuture, d dVar, d dVar2) {
            synchronized (abstractResolvableFuture) {
                if (abstractResolvableFuture.m != dVar) {
                    return false;
                }
                abstractResolvableFuture.m = dVar2;
                return true;
            }
        }

        @Override // androidx.concurrent.futures.AbstractResolvableFuture.b
        public boolean b(AbstractResolvableFuture<?> abstractResolvableFuture, Object obj, Object obj2) {
            synchronized (abstractResolvableFuture) {
                if (abstractResolvableFuture.f805l != obj) {
                    return false;
                }
                abstractResolvableFuture.f805l = obj2;
                return true;
            }
        }

        @Override // androidx.concurrent.futures.AbstractResolvableFuture.b
        public boolean c(AbstractResolvableFuture<?> abstractResolvableFuture, h hVar, h hVar2) {
            synchronized (abstractResolvableFuture) {
                if (abstractResolvableFuture.n != hVar) {
                    return false;
                }
                abstractResolvableFuture.n = hVar2;
                return true;
            }
        }

        @Override // androidx.concurrent.futures.AbstractResolvableFuture.b
        public void d(h hVar, h hVar2) {
            hVar.f822c = hVar2;
        }

        @Override // androidx.concurrent.futures.AbstractResolvableFuture.b
        public void e(h hVar, Thread thread) {
            hVar.f821b = thread;
        }
    }

    public static final class h {

        /* renamed from: a  reason: collision with root package name */
        public static final h f820a = new h(false);

        /* renamed from: b  reason: collision with root package name */
        public volatile Thread f821b;

        /* renamed from: c  reason: collision with root package name */
        public volatile h f822c;

        public h(boolean z) {
        }

        public h() {
            AbstractResolvableFuture.f803j.e(this, Thread.currentThread());
        }
    }

    static {
        b bVar;
        Throwable th;
        try {
            bVar = new e(AtomicReferenceFieldUpdater.newUpdater(h.class, Thread.class, "b"), AtomicReferenceFieldUpdater.newUpdater(h.class, h.class, "c"), AtomicReferenceFieldUpdater.newUpdater(AbstractResolvableFuture.class, h.class, "n"), AtomicReferenceFieldUpdater.newUpdater(AbstractResolvableFuture.class, d.class, "m"), AtomicReferenceFieldUpdater.newUpdater(AbstractResolvableFuture.class, Object.class, "l"));
            th = null;
        } catch (Throwable th2) {
            th = th2;
            bVar = new g();
        }
        f803j = bVar;
        if (th != null) {
            f802h.log(Level.SEVERE, "SafeAtomicHelper is broken!", th);
        }
    }

    public static void c(AbstractResolvableFuture<?> abstractResolvableFuture) {
        h hVar;
        d dVar;
        do {
            hVar = abstractResolvableFuture.n;
        } while (!f803j.c(abstractResolvableFuture, hVar, h.f820a));
        while (hVar != null) {
            Thread thread = hVar.f821b;
            if (thread != null) {
                hVar.f821b = null;
                LockSupport.unpark(thread);
            }
            hVar = hVar.f822c;
        }
        do {
            dVar = abstractResolvableFuture.m;
        } while (!f803j.a(abstractResolvableFuture, dVar, d.f811a));
        d dVar2 = null;
        while (dVar != null) {
            d dVar3 = dVar.f814d;
            dVar.f814d = dVar2;
            dVar2 = dVar;
            dVar = dVar3;
        }
        while (dVar2 != null) {
            d dVar4 = dVar2.f814d;
            Runnable runnable = dVar2.f812b;
            if (!(runnable instanceof f)) {
                d(runnable, dVar2.f813c);
                dVar2 = dVar4;
            } else {
                Objects.requireNonNull((f) runnable);
                throw null;
            }
        }
    }

    public static void d(Runnable runnable, Executor executor) {
        try {
            executor.execute(runnable);
        } catch (RuntimeException e2) {
            Logger logger = f802h;
            Level level = Level.SEVERE;
            logger.log(level, "RuntimeException while executing runnable " + runnable + " with executor " + executor, (Throwable) e2);
        }
    }

    public static <V> V f(Future<V> future) {
        V v;
        boolean z = false;
        while (true) {
            try {
                v = future.get();
                break;
            } catch (InterruptedException unused) {
                z = true;
            } catch (Throwable th) {
                if (z) {
                    Thread.currentThread().interrupt();
                }
                throw th;
            }
        }
        if (z) {
            Thread.currentThread().interrupt();
        }
        return v;
    }

    @Override // d.h.b.a.a.a
    public final void a(Runnable runnable, Executor executor) {
        Objects.requireNonNull(runnable);
        Objects.requireNonNull(executor);
        d dVar = this.m;
        if (dVar != d.f811a) {
            d dVar2 = new d(runnable, executor);
            do {
                dVar2.f814d = dVar;
                if (!f803j.a(this, dVar, dVar2)) {
                    dVar = this.m;
                } else {
                    return;
                }
            } while (dVar != d.f811a);
        }
        d(runnable, executor);
    }

    public final void b(StringBuilder sb) {
        String str;
        try {
            Object f2 = f(this);
            sb.append("SUCCESS, result=[");
            if (f2 == this) {
                str = "this future";
            } else {
                str = String.valueOf(f2);
            }
            sb.append(str);
            sb.append("]");
        } catch (ExecutionException e2) {
            sb.append("FAILURE, cause=[");
            sb.append(e2.getCause());
            sb.append("]");
        } catch (CancellationException unused) {
            sb.append("CANCELLED");
        } catch (RuntimeException e3) {
            sb.append("UNKNOWN, cause=[");
            sb.append(e3.getClass());
            sb.append(" thrown from get()]");
        }
    }

    public final boolean cancel(boolean z) {
        c cVar;
        Object obj = this.f805l;
        if (!(obj == null) && !(obj instanceof f)) {
            return false;
        }
        if (f801d) {
            cVar = new c(z, new CancellationException("Future.cancel() was called."));
        } else if (z) {
            cVar = c.f807a;
        } else {
            cVar = c.f808b;
        }
        while (!f803j.b(this, obj, cVar)) {
            obj = this.f805l;
            if (!(obj instanceof f)) {
            }
        }
        c(this);
        if (!(obj instanceof f)) {
            return true;
        }
        Objects.requireNonNull((f) obj);
        throw null;
        return false;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: java.lang.Object */
    /* JADX WARN: Multi-variable type inference failed */
    public final V e(Object obj) {
        if (obj instanceof c) {
            Throwable th = ((c) obj).f810d;
            CancellationException cancellationException = new CancellationException("Task was cancelled.");
            cancellationException.initCause(th);
            throw cancellationException;
        } else if (obj instanceof Failure) {
            throw new ExecutionException(((Failure) obj).f806a);
        } else if (obj == f804k) {
            return null;
        } else {
            return obj;
        }
    }

    public String g() {
        Object obj = this.f805l;
        if (obj instanceof f) {
            Objects.requireNonNull((f) obj);
            return "setFuture=[null]";
        } else if (!(this instanceof ScheduledFuture)) {
            return null;
        } else {
            StringBuilder B = d.a.a.a.a.B("remaining delay=[");
            B.append(((ScheduledFuture) this).getDelay(TimeUnit.MILLISECONDS));
            B.append(" ms]");
            return B.toString();
        }
    }

    @Override // java.util.concurrent.Future
    public final V get(long j2, TimeUnit timeUnit) {
        long nanos = timeUnit.toNanos(j2);
        if (!Thread.interrupted()) {
            Object obj = this.f805l;
            if ((obj != null) && (!(obj instanceof f))) {
                return e(obj);
            }
            long nanoTime = nanos > 0 ? System.nanoTime() + nanos : 0;
            if (nanos >= 1000) {
                h hVar = this.n;
                if (hVar != h.f820a) {
                    h hVar2 = new h();
                    do {
                        b bVar = f803j;
                        bVar.d(hVar2, hVar);
                        if (bVar.c(this, hVar, hVar2)) {
                            do {
                                LockSupport.parkNanos(this, nanos);
                                if (!Thread.interrupted()) {
                                    Object obj2 = this.f805l;
                                    if ((obj2 != null) && (!(obj2 instanceof f))) {
                                        return e(obj2);
                                    }
                                    nanos = nanoTime - System.nanoTime();
                                } else {
                                    h(hVar2);
                                    throw new InterruptedException();
                                }
                            } while (nanos >= 1000);
                            h(hVar2);
                        } else {
                            hVar = this.n;
                        }
                    } while (hVar != h.f820a);
                }
                return e(this.f805l);
            }
            while (nanos > 0) {
                Object obj3 = this.f805l;
                if ((obj3 != null) && (!(obj3 instanceof f))) {
                    return e(obj3);
                }
                if (!Thread.interrupted()) {
                    nanos = nanoTime - System.nanoTime();
                } else {
                    throw new InterruptedException();
                }
            }
            String abstractResolvableFuture = toString();
            String timeUnit2 = timeUnit.toString();
            Locale locale = Locale.ROOT;
            String lowerCase = timeUnit2.toLowerCase(locale);
            StringBuilder E = d.a.a.a.a.E("Waited ", j2, " ");
            E.append(timeUnit.toString().toLowerCase(locale));
            String sb = E.toString();
            if (nanos + 1000 < 0) {
                String s = d.a.a.a.a.s(sb, " (plus ");
                long j3 = -nanos;
                long convert = timeUnit.convert(j3, TimeUnit.NANOSECONDS);
                long nanos2 = j3 - timeUnit.toNanos(convert);
                int i2 = (convert > 0 ? 1 : (convert == 0 ? 0 : -1));
                boolean z = i2 == 0 || nanos2 > 1000;
                if (i2 > 0) {
                    String str = s + convert + " " + lowerCase;
                    if (z) {
                        str = d.a.a.a.a.s(str, ",");
                    }
                    s = d.a.a.a.a.s(str, " ");
                }
                if (z) {
                    s = s + nanos2 + " nanoseconds ";
                }
                sb = d.a.a.a.a.s(s, "delay)");
            }
            if (isDone()) {
                throw new TimeoutException(d.a.a.a.a.s(sb, " but future completed as timeout expired"));
            }
            throw new TimeoutException(d.a.a.a.a.t(sb, " for ", abstractResolvableFuture));
        }
        throw new InterruptedException();
    }

    public final void h(h hVar) {
        hVar.f821b = null;
        while (true) {
            h hVar2 = this.n;
            if (hVar2 != h.f820a) {
                h hVar3 = null;
                while (hVar2 != null) {
                    h hVar4 = hVar2.f822c;
                    if (hVar2.f821b != null) {
                        hVar3 = hVar2;
                    } else if (hVar3 != null) {
                        hVar3.f822c = hVar4;
                        if (hVar3.f821b == null) {
                        }
                    } else if (!f803j.c(this, hVar2, hVar4)) {
                    }
                    hVar2 = hVar4;
                }
                return;
            }
            return;
        }
    }

    public boolean i(V v) {
        if (v == null) {
            v = (V) f804k;
        }
        if (!f803j.b(this, null, v)) {
            return false;
        }
        c(this);
        return true;
    }

    public final boolean isCancelled() {
        return this.f805l instanceof c;
    }

    public final boolean isDone() {
        Object obj = this.f805l;
        return (!(obj instanceof f)) & (obj != null);
    }

    public boolean j(Throwable th) {
        Objects.requireNonNull(th);
        if (!f803j.b(this, null, new Failure(th))) {
            return false;
        }
        c(this);
        return true;
    }

    public String toString() {
        String str;
        StringBuilder sb = new StringBuilder();
        sb.append(super.toString());
        sb.append("[status=");
        if (isCancelled()) {
            sb.append("CANCELLED");
        } else if (isDone()) {
            b(sb);
        } else {
            try {
                str = g();
            } catch (RuntimeException e2) {
                StringBuilder B = d.a.a.a.a.B("Exception thrown from implementation: ");
                B.append(e2.getClass());
                str = B.toString();
            }
            if (str != null && !str.isEmpty()) {
                sb.append("PENDING, info=[");
                sb.append(str);
                sb.append("]");
            } else if (isDone()) {
                b(sb);
            } else {
                sb.append("PENDING");
            }
        }
        sb.append("]");
        return sb.toString();
    }

    @Override // java.util.concurrent.Future
    public final V get() {
        Object obj;
        if (!Thread.interrupted()) {
            Object obj2 = this.f805l;
            if ((obj2 != null) && (!(obj2 instanceof f))) {
                return e(obj2);
            }
            h hVar = this.n;
            if (hVar != h.f820a) {
                h hVar2 = new h();
                do {
                    b bVar = f803j;
                    bVar.d(hVar2, hVar);
                    if (bVar.c(this, hVar, hVar2)) {
                        do {
                            LockSupport.park(this);
                            if (!Thread.interrupted()) {
                                obj = this.f805l;
                            } else {
                                h(hVar2);
                                throw new InterruptedException();
                            }
                        } while (!((obj != null) & (!(obj instanceof f))));
                        return e(obj);
                    }
                    hVar = this.n;
                } while (hVar != h.f820a);
            }
            return e(this.f805l);
        }
        throw new InterruptedException();
    }
}
