package androidx.constraintlayout.core;

import androidx.constraintlayout.core.LinearSystem;
import androidx.constraintlayout.core.SolverVariable;
import d.a.a.a.a;
import java.util.ArrayList;

public class ArrayRow implements LinearSystem.Row {

    /* renamed from: a  reason: collision with root package name */
    public SolverVariable f833a = null;

    /* renamed from: b  reason: collision with root package name */
    public float f834b = 0.0f;

    /* renamed from: c  reason: collision with root package name */
    public ArrayList<SolverVariable> f835c = new ArrayList<>();

    /* renamed from: d  reason: collision with root package name */
    public ArrayRowVariables f836d;

    /* renamed from: e  reason: collision with root package name */
    public boolean f837e = false;

    public interface ArrayRowVariables {
        void add(SolverVariable solverVariable, float f2, boolean z);

        void clear();

        boolean contains(SolverVariable solverVariable);

        void display();

        void divideByAmount(float f2);

        float get(SolverVariable solverVariable);

        int getCurrentSize();

        SolverVariable getVariable(int i2);

        float getVariableValue(int i2);

        int indexOf(SolverVariable solverVariable);

        void invert();

        void put(SolverVariable solverVariable, float f2);

        float remove(SolverVariable solverVariable, boolean z);

        int sizeInBytes();

        float use(ArrayRow arrayRow, boolean z);
    }

    public ArrayRow() {
    }

    public ArrayRow a(LinearSystem linearSystem, int i2) {
        this.f836d.put(linearSystem.k(i2, "ep"), 1.0f);
        this.f836d.put(linearSystem.k(i2, "em"), -1.0f);
        return this;
    }

    @Override // androidx.constraintlayout.core.LinearSystem.Row
    public void addError(SolverVariable solverVariable) {
        int i2 = solverVariable.f861l;
        float f2 = 1.0f;
        if (i2 != 1) {
            if (i2 == 2) {
                f2 = 1000.0f;
            } else if (i2 == 3) {
                f2 = 1000000.0f;
            } else if (i2 == 4) {
                f2 = 1.0E9f;
            } else if (i2 == 5) {
                f2 = 1.0E12f;
            }
        }
        this.f836d.put(solverVariable, f2);
    }

    public ArrayRow b(SolverVariable solverVariable, SolverVariable solverVariable2, SolverVariable solverVariable3, SolverVariable solverVariable4, float f2) {
        this.f836d.put(solverVariable, -1.0f);
        this.f836d.put(solverVariable2, 1.0f);
        this.f836d.put(solverVariable3, f2);
        this.f836d.put(solverVariable4, -f2);
        return this;
    }

    public ArrayRow c(SolverVariable solverVariable, SolverVariable solverVariable2, SolverVariable solverVariable3, int i2) {
        boolean z = false;
        if (i2 != 0) {
            if (i2 < 0) {
                i2 *= -1;
                z = true;
            }
            this.f834b = (float) i2;
        }
        if (!z) {
            this.f836d.put(solverVariable, -1.0f);
            this.f836d.put(solverVariable2, 1.0f);
            this.f836d.put(solverVariable3, 1.0f);
        } else {
            this.f836d.put(solverVariable, 1.0f);
            this.f836d.put(solverVariable2, -1.0f);
            this.f836d.put(solverVariable3, -1.0f);
        }
        return this;
    }

    @Override // androidx.constraintlayout.core.LinearSystem.Row
    public void clear() {
        this.f836d.clear();
        this.f833a = null;
        this.f834b = 0.0f;
    }

    public ArrayRow d(SolverVariable solverVariable, SolverVariable solverVariable2, SolverVariable solverVariable3, int i2) {
        boolean z = false;
        if (i2 != 0) {
            if (i2 < 0) {
                i2 *= -1;
                z = true;
            }
            this.f834b = (float) i2;
        }
        if (!z) {
            this.f836d.put(solverVariable, -1.0f);
            this.f836d.put(solverVariable2, 1.0f);
            this.f836d.put(solverVariable3, -1.0f);
        } else {
            this.f836d.put(solverVariable, 1.0f);
            this.f836d.put(solverVariable2, -1.0f);
            this.f836d.put(solverVariable3, 1.0f);
        }
        return this;
    }

    public ArrayRow e(SolverVariable solverVariable, SolverVariable solverVariable2, SolverVariable solverVariable3, SolverVariable solverVariable4, float f2) {
        this.f836d.put(solverVariable3, 0.5f);
        this.f836d.put(solverVariable4, 0.5f);
        this.f836d.put(solverVariable, -0.5f);
        this.f836d.put(solverVariable2, -0.5f);
        this.f834b = -f2;
        return this;
    }

    public final boolean f(SolverVariable solverVariable) {
        return solverVariable.t <= 1;
    }

    public final SolverVariable g(boolean[] zArr, SolverVariable solverVariable) {
        SolverVariable.Type type;
        int currentSize = this.f836d.getCurrentSize();
        SolverVariable solverVariable2 = null;
        float f2 = 0.0f;
        for (int i2 = 0; i2 < currentSize; i2++) {
            float variableValue = this.f836d.getVariableValue(i2);
            if (variableValue < 0.0f) {
                SolverVariable variable = this.f836d.getVariable(i2);
                if ((zArr == null || !zArr[variable.f859j]) && variable != solverVariable && (((type = variable.q) == SolverVariable.Type.SLACK || type == SolverVariable.Type.ERROR) && variableValue < f2)) {
                    f2 = variableValue;
                    solverVariable2 = variable;
                }
            }
        }
        return solverVariable2;
    }

    @Override // androidx.constraintlayout.core.LinearSystem.Row
    public SolverVariable getKey() {
        return this.f833a;
    }

    @Override // androidx.constraintlayout.core.LinearSystem.Row
    public SolverVariable getPivotCandidate(LinearSystem linearSystem, boolean[] zArr) {
        return g(zArr, null);
    }

    public void h(SolverVariable solverVariable) {
        SolverVariable solverVariable2 = this.f833a;
        if (solverVariable2 != null) {
            this.f836d.put(solverVariable2, -1.0f);
            this.f833a.f860k = -1;
            this.f833a = null;
        }
        float remove = this.f836d.remove(solverVariable, true) * -1.0f;
        this.f833a = solverVariable;
        if (remove != 1.0f) {
            this.f834b /= remove;
            this.f836d.divideByAmount(remove);
        }
    }

    @Override // androidx.constraintlayout.core.LinearSystem.Row
    public void initFromRow(LinearSystem.Row row) {
        ArrayRow arrayRow = (ArrayRow) row;
        this.f833a = null;
        this.f836d.clear();
        for (int i2 = 0; i2 < arrayRow.f836d.getCurrentSize(); i2++) {
            this.f836d.add(arrayRow.f836d.getVariable(i2), arrayRow.f836d.getVariableValue(i2), true);
        }
    }

    @Override // androidx.constraintlayout.core.LinearSystem.Row
    public boolean isEmpty() {
        return this.f833a == null && this.f834b == 0.0f && this.f836d.getCurrentSize() == 0;
    }

    /* JADX WARNING: Removed duplicated region for block: B:25:0x007a  */
    /* JADX WARNING: Removed duplicated region for block: B:26:0x007f  */
    public String toString() {
        String str;
        boolean z;
        float variableValue;
        int i2;
        if (this.f833a == null) {
            str = "0";
        } else {
            StringBuilder B = a.B("");
            B.append(this.f833a);
            str = B.toString();
        }
        String s = a.s(str, " = ");
        if (this.f834b != 0.0f) {
            StringBuilder B2 = a.B(s);
            B2.append(this.f834b);
            s = B2.toString();
            z = true;
        } else {
            z = false;
        }
        int currentSize = this.f836d.getCurrentSize();
        for (int i3 = 0; i3 < currentSize; i3++) {
            SolverVariable variable = this.f836d.getVariable(i3);
            if (!(variable == null || (variableValue = this.f836d.getVariableValue(i3)) == 0.0f)) {
                String solverVariable = variable.toString();
                if (!z) {
                    if (variableValue < 0.0f) {
                        s = a.s(s, "- ");
                    }
                    s = variableValue == 1.0f ? a.s(s, solverVariable) : s + variableValue + " " + solverVariable;
                    z = true;
                } else if (i2 > 0) {
                    s = a.s(s, " + ");
                    if (variableValue == 1.0f) {
                    }
                    z = true;
                } else {
                    s = a.s(s, " - ");
                }
                variableValue *= -1.0f;
                if (variableValue == 1.0f) {
                }
                z = true;
            }
        }
        return !z ? a.s(s, "0.0") : s;
    }

    @Override // androidx.constraintlayout.core.LinearSystem.Row
    public void updateFromFinalVariable(LinearSystem linearSystem, SolverVariable solverVariable, boolean z) {
        if (solverVariable.n) {
            float f2 = this.f836d.get(solverVariable);
            this.f834b = (solverVariable.m * f2) + this.f834b;
            this.f836d.remove(solverVariable, z);
            if (z) {
                solverVariable.b(this);
            }
            if (this.f836d.getCurrentSize() == 0) {
                this.f837e = true;
                linearSystem.f841d = true;
            }
        }
    }

    @Override // androidx.constraintlayout.core.LinearSystem.Row
    public void updateFromRow(LinearSystem linearSystem, ArrayRow arrayRow, boolean z) {
        float use = this.f836d.use(arrayRow, z);
        this.f834b = (arrayRow.f834b * use) + this.f834b;
        if (z) {
            arrayRow.f833a.b(this);
        }
        if (this.f833a != null && this.f836d.getCurrentSize() == 0) {
            this.f837e = true;
            linearSystem.f841d = true;
        }
    }

    @Override // androidx.constraintlayout.core.LinearSystem.Row
    public void updateFromSystem(LinearSystem linearSystem) {
        if (linearSystem.f846i.length != 0) {
            boolean z = false;
            while (!z) {
                int currentSize = this.f836d.getCurrentSize();
                for (int i2 = 0; i2 < currentSize; i2++) {
                    SolverVariable variable = this.f836d.getVariable(i2);
                    if (variable.f860k != -1 || variable.n) {
                        this.f835c.add(variable);
                    }
                }
                int size = this.f835c.size();
                if (size > 0) {
                    for (int i3 = 0; i3 < size; i3++) {
                        SolverVariable solverVariable = this.f835c.get(i3);
                        if (solverVariable.n) {
                            updateFromFinalVariable(linearSystem, solverVariable, true);
                        } else {
                            updateFromRow(linearSystem, linearSystem.f846i[solverVariable.f860k], true);
                        }
                    }
                    this.f835c.clear();
                } else {
                    z = true;
                }
            }
            if (this.f833a != null && this.f836d.getCurrentSize() == 0) {
                this.f837e = true;
                linearSystem.f841d = true;
            }
        }
    }

    public ArrayRow(b.h.a.a aVar) {
        this.f836d = new ArrayLinkedVariables(this, aVar);
    }
}
