package androidx.constraintlayout.core.widgets;

import androidx.constraintlayout.core.ArrayRow;
import androidx.constraintlayout.core.LinearSystem;
import androidx.constraintlayout.core.SolverVariable;
import androidx.constraintlayout.core.widgets.ConstraintAnchor;
import androidx.constraintlayout.core.widgets.analyzer.ChainRun;
import androidx.constraintlayout.core.widgets.analyzer.DependencyNode;
import androidx.constraintlayout.core.widgets.analyzer.HorizontalWidgetRun;
import androidx.constraintlayout.core.widgets.analyzer.VerticalWidgetRun;
import b.h.a.f.a;
import b.h.a.g.b;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Objects;
import org.dsq.library.widget.bigImage.SubsamplingScaleImageView;

public class ConstraintWidget {
    public float A = 1.0f;
    public boolean A0;
    public boolean B;
    public boolean B0;
    public boolean C;
    public boolean C0;
    public int D = -1;
    public int D0;
    public float E = 1.0f;
    public int E0;
    public int[] F = {SubsamplingScaleImageView.TILE_SIZE_AUTO, SubsamplingScaleImageView.TILE_SIZE_AUTO};
    public boolean F0;
    public float G = 0.0f;
    public boolean G0;
    public boolean H = false;
    public float[] H0;
    public boolean I;
    public ConstraintWidget[] I0;
    public boolean J = false;
    public ConstraintWidget[] J0;
    public int K = 0;
    public ConstraintWidget K0;
    public int L = 0;
    public ConstraintWidget L0;
    public ConstraintAnchor M;
    public int M0;
    public ConstraintAnchor N;
    public int N0;
    public ConstraintAnchor O;
    public ConstraintAnchor P;
    public ConstraintAnchor Q;
    public ConstraintAnchor R;
    public ConstraintAnchor S;
    public ConstraintAnchor T;
    public ConstraintAnchor[] U;
    public ArrayList<ConstraintAnchor> V;
    public boolean[] W;
    public DimensionBehaviour[] X;
    public ConstraintWidget Y;
    public int Z;

    /* renamed from: a  reason: collision with root package name */
    public boolean f1002a = false;
    public int a0;

    /* renamed from: b  reason: collision with root package name */
    public ChainRun f1003b;
    public float b0;

    /* renamed from: c  reason: collision with root package name */
    public ChainRun f1004c;
    public int c0;

    /* renamed from: d  reason: collision with root package name */
    public HorizontalWidgetRun f1005d = null;
    public int d0;

    /* renamed from: e  reason: collision with root package name */
    public VerticalWidgetRun f1006e = null;
    public int e0;

    /* renamed from: f  reason: collision with root package name */
    public boolean[] f1007f = {true, true};
    public int f0;

    /* renamed from: g  reason: collision with root package name */
    public boolean f1008g = true;
    public int g0;

    /* renamed from: h  reason: collision with root package name */
    public boolean f1009h = true;
    public int h0;

    /* renamed from: i  reason: collision with root package name */
    public int f1010i = -1;
    public int i0;

    /* renamed from: j  reason: collision with root package name */
    public int f1011j = -1;
    public int j0;

    /* renamed from: k  reason: collision with root package name */
    public a f1012k = new a(this);
    public int k0;

    /* renamed from: l  reason: collision with root package name */
    public boolean f1013l = false;
    public int l0;
    public boolean m = false;
    public float m0;
    public boolean n = false;
    public float n0;
    public boolean o = false;
    public Object o0;
    public int p = -1;
    public int p0;
    public int q = -1;
    public int q0;
    public int r = 0;
    public String r0;
    public int s = 0;
    public String s0;
    public int t = 0;
    public int t0;
    public int[] u = new int[2];
    public int u0;
    public int v = 0;
    public int v0;
    public int w = 0;
    public int w0;
    public float x = 1.0f;
    public boolean x0;
    public int y = 0;
    public boolean y0;
    public int z = 0;
    public boolean z0;

    public enum DimensionBehaviour {
        FIXED,
        WRAP_CONTENT,
        MATCH_CONSTRAINT,
        MATCH_PARENT
    }

    public ConstraintWidget() {
        ConstraintAnchor constraintAnchor = new ConstraintAnchor(this, ConstraintAnchor.Type.LEFT);
        this.M = constraintAnchor;
        ConstraintAnchor constraintAnchor2 = new ConstraintAnchor(this, ConstraintAnchor.Type.TOP);
        this.N = constraintAnchor2;
        ConstraintAnchor constraintAnchor3 = new ConstraintAnchor(this, ConstraintAnchor.Type.RIGHT);
        this.O = constraintAnchor3;
        ConstraintAnchor constraintAnchor4 = new ConstraintAnchor(this, ConstraintAnchor.Type.BOTTOM);
        this.P = constraintAnchor4;
        ConstraintAnchor constraintAnchor5 = new ConstraintAnchor(this, ConstraintAnchor.Type.BASELINE);
        this.Q = constraintAnchor5;
        this.R = new ConstraintAnchor(this, ConstraintAnchor.Type.CENTER_X);
        this.S = new ConstraintAnchor(this, ConstraintAnchor.Type.CENTER_Y);
        ConstraintAnchor constraintAnchor6 = new ConstraintAnchor(this, ConstraintAnchor.Type.CENTER);
        this.T = constraintAnchor6;
        this.U = new ConstraintAnchor[]{constraintAnchor, constraintAnchor3, constraintAnchor2, constraintAnchor4, constraintAnchor5, constraintAnchor6};
        this.V = new ArrayList<>();
        this.W = new boolean[2];
        DimensionBehaviour dimensionBehaviour = DimensionBehaviour.FIXED;
        this.X = new DimensionBehaviour[]{dimensionBehaviour, dimensionBehaviour};
        this.Y = null;
        this.Z = 0;
        this.a0 = 0;
        this.b0 = 0.0f;
        this.c0 = -1;
        this.d0 = 0;
        this.e0 = 0;
        this.f0 = 0;
        this.g0 = 0;
        this.h0 = 0;
        this.i0 = 0;
        this.j0 = 0;
        this.m0 = 0.5f;
        this.n0 = 0.5f;
        this.p0 = 0;
        this.q0 = 0;
        this.r0 = null;
        this.s0 = null;
        this.D0 = 0;
        this.E0 = 0;
        this.H0 = new float[]{-1.0f, -1.0f};
        this.I0 = new ConstraintWidget[]{null, null};
        this.J0 = new ConstraintWidget[]{null, null};
        this.K0 = null;
        this.L0 = null;
        this.M0 = -1;
        this.N0 = -1;
        a();
    }

    public final boolean A(int i2) {
        int i3 = i2 * 2;
        ConstraintAnchor[] constraintAnchorArr = this.U;
        if (!(constraintAnchorArr[i3].f998f == null || constraintAnchorArr[i3].f998f.f998f == constraintAnchorArr[i3])) {
            int i4 = i3 + 1;
            return constraintAnchorArr[i4].f998f != null && constraintAnchorArr[i4].f998f.f998f == constraintAnchorArr[i4];
        }
    }

    public boolean B() {
        ConstraintAnchor constraintAnchor = this.M;
        ConstraintAnchor constraintAnchor2 = constraintAnchor.f998f;
        if (constraintAnchor2 != null && constraintAnchor2.f998f == constraintAnchor) {
            return true;
        }
        ConstraintAnchor constraintAnchor3 = this.O;
        ConstraintAnchor constraintAnchor4 = constraintAnchor3.f998f;
        return constraintAnchor4 != null && constraintAnchor4.f998f == constraintAnchor3;
    }

    public boolean C() {
        ConstraintAnchor constraintAnchor = this.N;
        ConstraintAnchor constraintAnchor2 = constraintAnchor.f998f;
        if (constraintAnchor2 != null && constraintAnchor2.f998f == constraintAnchor) {
            return true;
        }
        ConstraintAnchor constraintAnchor3 = this.P;
        ConstraintAnchor constraintAnchor4 = constraintAnchor3.f998f;
        return constraintAnchor4 != null && constraintAnchor4.f998f == constraintAnchor3;
    }

    public boolean D() {
        return this.f1008g && this.q0 != 8;
    }

    public boolean E() {
        return this.f1013l || (this.M.f995c && this.O.f995c);
    }

    public boolean F() {
        return this.m || (this.N.f995c && this.P.f995c);
    }

    public void G() {
        this.M.k();
        this.N.k();
        this.O.k();
        this.P.k();
        this.Q.k();
        this.R.k();
        this.S.k();
        this.T.k();
        this.Y = null;
        this.G = 0.0f;
        this.Z = 0;
        this.a0 = 0;
        this.b0 = 0.0f;
        this.c0 = -1;
        this.d0 = 0;
        this.e0 = 0;
        this.h0 = 0;
        this.i0 = 0;
        this.j0 = 0;
        this.k0 = 0;
        this.l0 = 0;
        this.m0 = 0.5f;
        this.n0 = 0.5f;
        DimensionBehaviour[] dimensionBehaviourArr = this.X;
        DimensionBehaviour dimensionBehaviour = DimensionBehaviour.FIXED;
        dimensionBehaviourArr[0] = dimensionBehaviour;
        dimensionBehaviourArr[1] = dimensionBehaviour;
        this.o0 = null;
        this.p0 = 0;
        this.q0 = 0;
        this.s0 = null;
        this.B0 = false;
        this.C0 = false;
        this.D0 = 0;
        this.E0 = 0;
        this.F0 = false;
        this.G0 = false;
        float[] fArr = this.H0;
        fArr[0] = -1.0f;
        fArr[1] = -1.0f;
        this.p = -1;
        this.q = -1;
        int[] iArr = this.F;
        iArr[0] = Integer.MAX_VALUE;
        iArr[1] = Integer.MAX_VALUE;
        this.s = 0;
        this.t = 0;
        this.x = 1.0f;
        this.A = 1.0f;
        this.w = SubsamplingScaleImageView.TILE_SIZE_AUTO;
        this.z = SubsamplingScaleImageView.TILE_SIZE_AUTO;
        this.v = 0;
        this.y = 0;
        this.D = -1;
        this.E = 1.0f;
        boolean[] zArr = this.f1007f;
        zArr[0] = true;
        zArr[1] = true;
        this.J = false;
        boolean[] zArr2 = this.W;
        zArr2[0] = false;
        zArr2[1] = false;
        this.f1008g = true;
        int[] iArr2 = this.u;
        iArr2[0] = 0;
        iArr2[1] = 0;
        this.f1010i = -1;
        this.f1011j = -1;
    }

    public void H() {
        ConstraintWidget constraintWidget = this.Y;
        if (constraintWidget != null && (constraintWidget instanceof ConstraintWidgetContainer)) {
            Objects.requireNonNull((ConstraintWidgetContainer) constraintWidget);
        }
        int size = this.V.size();
        for (int i2 = 0; i2 < size; i2++) {
            this.V.get(i2).k();
        }
    }

    public void I() {
        this.f1013l = false;
        this.m = false;
        this.n = false;
        this.o = false;
        int size = this.V.size();
        for (int i2 = 0; i2 < size; i2++) {
            ConstraintAnchor constraintAnchor = this.V.get(i2);
            constraintAnchor.f995c = false;
            constraintAnchor.f994b = 0;
        }
    }

    public void J(b.h.a.a aVar) {
        this.M.l();
        this.N.l();
        this.O.l();
        this.P.l();
        this.Q.l();
        this.T.l();
        this.R.l();
        this.S.l();
    }

    public void K(int i2) {
        this.j0 = i2;
        this.H = i2 > 0;
    }

    public void L(int i2, int i3) {
        if (!this.f1013l) {
            ConstraintAnchor constraintAnchor = this.M;
            constraintAnchor.f994b = i2;
            constraintAnchor.f995c = true;
            ConstraintAnchor constraintAnchor2 = this.O;
            constraintAnchor2.f994b = i3;
            constraintAnchor2.f995c = true;
            this.d0 = i2;
            this.Z = i3 - i2;
            this.f1013l = true;
        }
    }

    public void M(int i2, int i3) {
        if (!this.m) {
            ConstraintAnchor constraintAnchor = this.N;
            constraintAnchor.f994b = i2;
            constraintAnchor.f995c = true;
            ConstraintAnchor constraintAnchor2 = this.P;
            constraintAnchor2.f994b = i3;
            constraintAnchor2.f995c = true;
            this.e0 = i2;
            this.a0 = i3 - i2;
            if (this.H) {
                this.Q.m(i2 + this.j0);
            }
            this.m = true;
        }
    }

    public void N(int i2) {
        this.a0 = i2;
        int i3 = this.l0;
        if (i2 < i3) {
            this.a0 = i3;
        }
    }

    public void O(DimensionBehaviour dimensionBehaviour) {
        this.X[0] = dimensionBehaviour;
    }

    public void P(int i2) {
        if (i2 < 0) {
            this.l0 = 0;
        } else {
            this.l0 = i2;
        }
    }

    public void Q(int i2) {
        if (i2 < 0) {
            this.k0 = 0;
        } else {
            this.k0 = i2;
        }
    }

    public void R(DimensionBehaviour dimensionBehaviour) {
        this.X[1] = dimensionBehaviour;
    }

    public void S(int i2) {
        this.Z = i2;
        int i3 = this.k0;
        if (i2 < i3) {
            this.Z = i3;
        }
    }

    public void T(boolean z2, boolean z3) {
        if (this.D == -1) {
            if (z2 && !z3) {
                this.D = 0;
            } else if (!z2 && z3) {
                this.D = 1;
                if (this.c0 == -1) {
                    this.E = 1.0f / this.E;
                }
            }
        }
        if (this.D == 0 && (!this.N.i() || !this.P.i())) {
            this.D = 1;
        } else if (this.D == 1 && (!this.M.i() || !this.O.i())) {
            this.D = 0;
        }
        if (this.D == -1 && (!this.N.i() || !this.P.i() || !this.M.i() || !this.O.i())) {
            if (this.N.i() && this.P.i()) {
                this.D = 0;
            } else if (this.M.i() && this.O.i()) {
                this.E = 1.0f / this.E;
                this.D = 1;
            }
        }
        if (this.D == -1) {
            int i2 = this.v;
            if (i2 > 0 && this.y == 0) {
                this.D = 0;
            } else if (i2 == 0 && this.y > 0) {
                this.E = 1.0f / this.E;
                this.D = 1;
            }
        }
    }

    public void U(boolean z2, boolean z3) {
        int i2;
        int i3;
        HorizontalWidgetRun horizontalWidgetRun = this.f1005d;
        boolean z4 = z2 & horizontalWidgetRun.f1062g;
        VerticalWidgetRun verticalWidgetRun = this.f1006e;
        boolean z5 = z3 & verticalWidgetRun.f1062g;
        int i4 = horizontalWidgetRun.f1063h.f1047g;
        int i5 = verticalWidgetRun.f1063h.f1047g;
        int i6 = horizontalWidgetRun.f1064i.f1047g;
        int i7 = verticalWidgetRun.f1064i.f1047g;
        int i8 = i7 - i5;
        if (i6 - i4 < 0 || i8 < 0 || i4 == Integer.MIN_VALUE || i4 == Integer.MAX_VALUE || i5 == Integer.MIN_VALUE || i5 == Integer.MAX_VALUE || i6 == Integer.MIN_VALUE || i6 == Integer.MAX_VALUE || i7 == Integer.MIN_VALUE || i7 == Integer.MAX_VALUE) {
            i6 = 0;
            i7 = 0;
            i4 = 0;
            i5 = 0;
        }
        int i9 = i6 - i4;
        int i10 = i7 - i5;
        if (z4) {
            this.d0 = i4;
        }
        if (z5) {
            this.e0 = i5;
        }
        if (this.q0 == 8) {
            this.Z = 0;
            this.a0 = 0;
            return;
        }
        if (z4) {
            if (this.X[0] == DimensionBehaviour.FIXED && i9 < (i3 = this.Z)) {
                i9 = i3;
            }
            this.Z = i9;
            int i11 = this.k0;
            if (i9 < i11) {
                this.Z = i11;
            }
        }
        if (z5) {
            if (this.X[1] == DimensionBehaviour.FIXED && i10 < (i2 = this.a0)) {
                i10 = i2;
            }
            this.a0 = i10;
            int i12 = this.l0;
            if (i10 < i12) {
                this.a0 = i12;
            }
        }
    }

    public void V(LinearSystem linearSystem, boolean z2) {
        int i2;
        int i3;
        VerticalWidgetRun verticalWidgetRun;
        HorizontalWidgetRun horizontalWidgetRun;
        int o2 = linearSystem.o(this.M);
        int o3 = linearSystem.o(this.N);
        int o4 = linearSystem.o(this.O);
        int o5 = linearSystem.o(this.P);
        if (z2 && (horizontalWidgetRun = this.f1005d) != null) {
            DependencyNode dependencyNode = horizontalWidgetRun.f1063h;
            if (dependencyNode.f1050j) {
                DependencyNode dependencyNode2 = horizontalWidgetRun.f1064i;
                if (dependencyNode2.f1050j) {
                    o2 = dependencyNode.f1047g;
                    o4 = dependencyNode2.f1047g;
                }
            }
        }
        if (z2 && (verticalWidgetRun = this.f1006e) != null) {
            DependencyNode dependencyNode3 = verticalWidgetRun.f1063h;
            if (dependencyNode3.f1050j) {
                DependencyNode dependencyNode4 = verticalWidgetRun.f1064i;
                if (dependencyNode4.f1050j) {
                    o3 = dependencyNode3.f1047g;
                    o5 = dependencyNode4.f1047g;
                }
            }
        }
        int i4 = o5 - o3;
        if (o4 - o2 < 0 || i4 < 0 || o2 == Integer.MIN_VALUE || o2 == Integer.MAX_VALUE || o3 == Integer.MIN_VALUE || o3 == Integer.MAX_VALUE || o4 == Integer.MIN_VALUE || o4 == Integer.MAX_VALUE || o5 == Integer.MIN_VALUE || o5 == Integer.MAX_VALUE) {
            o5 = 0;
            o2 = 0;
            o3 = 0;
            o4 = 0;
        }
        int i5 = o4 - o2;
        int i6 = o5 - o3;
        this.d0 = o2;
        this.e0 = o3;
        if (this.q0 == 8) {
            this.Z = 0;
            this.a0 = 0;
            return;
        }
        DimensionBehaviour[] dimensionBehaviourArr = this.X;
        DimensionBehaviour dimensionBehaviour = dimensionBehaviourArr[0];
        DimensionBehaviour dimensionBehaviour2 = DimensionBehaviour.FIXED;
        if (dimensionBehaviour == dimensionBehaviour2 && i5 < (i3 = this.Z)) {
            i5 = i3;
        }
        if (dimensionBehaviourArr[1] == dimensionBehaviour2 && i6 < (i2 = this.a0)) {
            i6 = i2;
        }
        this.Z = i5;
        this.a0 = i6;
        int i7 = this.l0;
        if (i6 < i7) {
            this.a0 = i7;
        }
        int i8 = this.k0;
        if (i5 < i8) {
            this.Z = i8;
        }
        int i9 = this.w;
        if (i9 > 0 && dimensionBehaviourArr[0] == DimensionBehaviour.MATCH_CONSTRAINT) {
            this.Z = Math.min(this.Z, i9);
        }
        int i10 = this.z;
        if (i10 > 0 && this.X[1] == DimensionBehaviour.MATCH_CONSTRAINT) {
            this.a0 = Math.min(this.a0, i10);
        }
        int i11 = this.Z;
        if (i5 != i11) {
            this.f1010i = i11;
        }
        int i12 = this.a0;
        if (i6 != i12) {
            this.f1011j = i12;
        }
    }

    public final void a() {
        this.V.add(this.M);
        this.V.add(this.N);
        this.V.add(this.O);
        this.V.add(this.P);
        this.V.add(this.R);
        this.V.add(this.S);
        this.V.add(this.T);
        this.V.add(this.Q);
    }

    public void b(ConstraintWidgetContainer constraintWidgetContainer, LinearSystem linearSystem, HashSet<ConstraintWidget> hashSet, int i2, boolean z2) {
        if (z2) {
            if (hashSet.contains(this)) {
                b.a(constraintWidgetContainer, linearSystem, this);
                hashSet.remove(this);
                d(linearSystem, constraintWidgetContainer.g0(64));
            } else {
                return;
            }
        }
        if (i2 == 0) {
            HashSet<ConstraintAnchor> hashSet2 = this.M.f993a;
            if (hashSet2 != null) {
                Iterator<ConstraintAnchor> it = hashSet2.iterator();
                while (it.hasNext()) {
                    it.next().f996d.b(constraintWidgetContainer, linearSystem, hashSet, i2, true);
                }
            }
            HashSet<ConstraintAnchor> hashSet3 = this.O.f993a;
            if (hashSet3 != null) {
                Iterator<ConstraintAnchor> it2 = hashSet3.iterator();
                while (it2.hasNext()) {
                    it2.next().f996d.b(constraintWidgetContainer, linearSystem, hashSet, i2, true);
                }
                return;
            }
            return;
        }
        HashSet<ConstraintAnchor> hashSet4 = this.N.f993a;
        if (hashSet4 != null) {
            Iterator<ConstraintAnchor> it3 = hashSet4.iterator();
            while (it3.hasNext()) {
                it3.next().f996d.b(constraintWidgetContainer, linearSystem, hashSet, i2, true);
            }
        }
        HashSet<ConstraintAnchor> hashSet5 = this.P.f993a;
        if (hashSet5 != null) {
            Iterator<ConstraintAnchor> it4 = hashSet5.iterator();
            while (it4.hasNext()) {
                it4.next().f996d.b(constraintWidgetContainer, linearSystem, hashSet, i2, true);
            }
        }
        HashSet<ConstraintAnchor> hashSet6 = this.Q.f993a;
        if (hashSet6 != null) {
            Iterator<ConstraintAnchor> it5 = hashSet6.iterator();
            while (it5.hasNext()) {
                it5.next().f996d.b(constraintWidgetContainer, linearSystem, hashSet, i2, true);
            }
        }
    }

    public boolean c() {
        return (this instanceof VirtualLayout) || (this instanceof Guideline);
    }

    /* JADX WARNING: Removed duplicated region for block: B:188:0x02f0  */
    /* JADX WARNING: Removed duplicated region for block: B:192:0x02fa  */
    /* JADX WARNING: Removed duplicated region for block: B:195:0x02ff  */
    /* JADX WARNING: Removed duplicated region for block: B:202:0x0314  */
    /* JADX WARNING: Removed duplicated region for block: B:207:0x031d  */
    /* JADX WARNING: Removed duplicated region for block: B:220:0x034f  */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x0063  */
    /* JADX WARNING: Removed duplicated region for block: B:245:0x0430  */
    /* JADX WARNING: Removed duplicated region for block: B:262:0x0494  */
    /* JADX WARNING: Removed duplicated region for block: B:266:0x04a8  */
    /* JADX WARNING: Removed duplicated region for block: B:267:0x04aa  */
    /* JADX WARNING: Removed duplicated region for block: B:269:0x04ad  */
    /* JADX WARNING: Removed duplicated region for block: B:304:0x0540  */
    /* JADX WARNING: Removed duplicated region for block: B:305:0x0543  */
    /* JADX WARNING: Removed duplicated region for block: B:309:0x0589  */
    /* JADX WARNING: Removed duplicated region for block: B:313:0x05b4  */
    /* JADX WARNING: Removed duplicated region for block: B:316:0x05be  */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x0098  */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x00c9  */
    public void d(LinearSystem linearSystem, boolean z2) {
        boolean z3;
        boolean z4;
        boolean z5;
        boolean z6;
        boolean z7;
        int i2;
        int i3;
        boolean z8;
        int i4;
        SolverVariable solverVariable;
        SolverVariable solverVariable2;
        char c2;
        boolean z9;
        int i5;
        boolean z10;
        DimensionBehaviour dimensionBehaviour;
        SolverVariable solverVariable3;
        SolverVariable solverVariable4;
        SolverVariable solverVariable5;
        DimensionBehaviour dimensionBehaviour2;
        SolverVariable solverVariable6;
        SolverVariable solverVariable7;
        ConstraintWidget constraintWidget;
        LinearSystem linearSystem2;
        SolverVariable solverVariable8;
        SolverVariable solverVariable9;
        char c3;
        int i6;
        boolean z11;
        int i7;
        SolverVariable solverVariable10;
        SolverVariable solverVariable11;
        SolverVariable solverVariable12;
        ConstraintWidget constraintWidget2;
        boolean z12;
        HorizontalWidgetRun horizontalWidgetRun;
        int i8;
        int i9;
        boolean z13;
        boolean z14;
        HorizontalWidgetRun horizontalWidgetRun2;
        VerticalWidgetRun verticalWidgetRun;
        ConstraintWidget constraintWidget3;
        ConstraintWidget constraintWidget4;
        boolean z15;
        SolverVariable l2 = linearSystem.l(this.M);
        SolverVariable l3 = linearSystem.l(this.O);
        SolverVariable l4 = linearSystem.l(this.N);
        SolverVariable l5 = linearSystem.l(this.P);
        SolverVariable l6 = linearSystem.l(this.Q);
        ConstraintWidget constraintWidget5 = this.Y;
        if (constraintWidget5 != null) {
            boolean z16 = constraintWidget5 != null && constraintWidget5.X[0] == DimensionBehaviour.WRAP_CONTENT;
            boolean z17 = constraintWidget5 != null && constraintWidget5.X[1] == DimensionBehaviour.WRAP_CONTENT;
            int i10 = this.r;
            if (i10 == 1) {
                z3 = z16;
                z4 = false;
            } else if (i10 == 2) {
                z4 = z17;
                z3 = false;
            } else if (i10 != 3) {
                z4 = z17;
                z3 = z16;
            }
            if (this.q0 == 8) {
                int size = this.V.size();
                int i11 = 0;
                while (true) {
                    if (i11 >= size) {
                        z15 = false;
                        break;
                    } else if (this.V.get(i11).h()) {
                        z15 = true;
                        break;
                    } else {
                        i11++;
                    }
                }
                if (!z15) {
                    boolean[] zArr = this.W;
                    if (!zArr[0] && !zArr[1]) {
                        return;
                    }
                }
            }
            z5 = this.f1013l;
            if (z5 || this.m) {
                if (z5) {
                    linearSystem.e(l2, this.d0);
                    linearSystem.e(l3, this.d0 + this.Z);
                    if (z3 && (constraintWidget4 = this.Y) != null) {
                        if (this.f1009h) {
                            ConstraintWidgetContainer constraintWidgetContainer = (ConstraintWidgetContainer) constraintWidget4;
                            constraintWidgetContainer.a0(this.M);
                            constraintWidgetContainer.Z(this.O);
                        } else {
                            linearSystem.f(linearSystem.l(constraintWidget4.O), l3, 0, 5);
                        }
                    }
                }
                if (this.m) {
                    linearSystem.e(l4, this.e0);
                    linearSystem.e(l5, this.e0 + this.a0);
                    if (this.Q.h()) {
                        linearSystem.e(l6, this.e0 + this.j0);
                    }
                    if (z4 && (constraintWidget3 = this.Y) != null) {
                        if (this.f1009h) {
                            ConstraintWidgetContainer constraintWidgetContainer2 = (ConstraintWidgetContainer) constraintWidget3;
                            constraintWidgetContainer2.c0(this.N);
                            constraintWidgetContainer2.b0(this.P);
                        } else {
                            linearSystem.f(linearSystem.l(constraintWidget3.P), l5, 0, 5);
                        }
                    }
                }
                if (this.f1013l && this.m) {
                    this.f1013l = false;
                    this.m = false;
                }
            }
            if (!(!z2 || (horizontalWidgetRun2 = this.f1005d) == null || (verticalWidgetRun = this.f1006e) == null)) {
                DependencyNode dependencyNode = horizontalWidgetRun2.f1063h;
                if (dependencyNode.f1050j && horizontalWidgetRun2.f1064i.f1050j && verticalWidgetRun.f1063h.f1050j && verticalWidgetRun.f1064i.f1050j) {
                    linearSystem.e(l2, dependencyNode.f1047g);
                    linearSystem.e(l3, this.f1005d.f1064i.f1047g);
                    linearSystem.e(l4, this.f1006e.f1063h.f1047g);
                    linearSystem.e(l5, this.f1006e.f1064i.f1047g);
                    linearSystem.e(l6, this.f1006e.f1054k.f1047g);
                    if (this.Y != null) {
                        if (z3 && this.f1007f[0] && !B()) {
                            linearSystem.f(linearSystem.l(this.Y.O), l3, 0, 8);
                        }
                        if (z4 && this.f1007f[1] && !C()) {
                            linearSystem.f(linearSystem.l(this.Y.P), l5, 0, 8);
                        }
                    }
                    this.f1013l = false;
                    this.m = false;
                    return;
                }
            }
            if (this.Y != null) {
                if (A(0)) {
                    ((ConstraintWidgetContainer) this.Y).X(this, 0);
                    z13 = true;
                } else {
                    z13 = B();
                }
                if (A(1)) {
                    ((ConstraintWidgetContainer) this.Y).X(this, 1);
                    z14 = true;
                } else {
                    z14 = C();
                }
                if (!z13 && z3 && this.q0 != 8 && this.M.f998f == null && this.O.f998f == null) {
                    linearSystem.f(linearSystem.l(this.Y.O), l3, 0, 1);
                }
                if (!z14 && z4 && this.q0 != 8 && this.N.f998f == null && this.P.f998f == null && this.Q == null) {
                    linearSystem.f(linearSystem.l(this.Y.P), l5, 0, 1);
                }
                z6 = z13;
                z7 = z14;
            } else {
                z7 = false;
                z6 = false;
            }
            int i12 = this.Z;
            int i13 = this.k0;
            if (i12 >= i13) {
                i13 = i12;
            }
            int i14 = this.a0;
            int i15 = this.l0;
            if (i14 >= i15) {
                i15 = i14;
            }
            DimensionBehaviour[] dimensionBehaviourArr = this.X;
            DimensionBehaviour dimensionBehaviour3 = dimensionBehaviourArr[0];
            int i16 = i13;
            DimensionBehaviour dimensionBehaviour4 = DimensionBehaviour.MATCH_CONSTRAINT;
            boolean z18 = dimensionBehaviour3 != dimensionBehaviour4;
            boolean z19 = dimensionBehaviourArr[1] != dimensionBehaviour4;
            int i17 = this.c0;
            this.D = i17;
            float f2 = this.b0;
            this.E = f2;
            int i18 = this.s;
            int i19 = this.t;
            if (f2 > 0.0f) {
                solverVariable2 = l4;
                if (this.q0 != 8) {
                    if (dimensionBehaviourArr[0] == dimensionBehaviour4 && i18 == 0) {
                        i18 = 3;
                    }
                    if (dimensionBehaviourArr[1] == dimensionBehaviour4 && i19 == 0) {
                        solverVariable = l3;
                        i19 = 3;
                    } else {
                        solverVariable = l3;
                    }
                    if (dimensionBehaviourArr[0] == dimensionBehaviour4 && dimensionBehaviourArr[1] == dimensionBehaviour4) {
                        i9 = 3;
                        if (i18 == 3 && i19 == 3) {
                            T(z18, z19);
                            c2 = 0;
                            i2 = i18;
                            i3 = i19;
                            i4 = i15;
                            z8 = true;
                            int[] iArr = this.u;
                            iArr[c2] = i2;
                            iArr[1] = i3;
                            if (z8) {
                                int i20 = this.D;
                                i5 = -1;
                                if (i20 == 0 || i20 == -1) {
                                    z9 = true;
                                    boolean z20 = !z8 && ((i8 = this.D) == 1 || i8 == i5);
                                    DimensionBehaviour dimensionBehaviour5 = this.X[0];
                                    DimensionBehaviour dimensionBehaviour6 = DimensionBehaviour.WRAP_CONTENT;
                                    z10 = dimensionBehaviour5 != dimensionBehaviour6 && (this instanceof ConstraintWidgetContainer);
                                    if (z10) {
                                        i16 = 0;
                                    }
                                    boolean z21 = !this.T.i();
                                    boolean[] zArr2 = this.W;
                                    boolean z22 = zArr2[0];
                                    boolean z23 = zArr2[1];
                                    if (this.p != 2 && !this.f1013l) {
                                        if (z2 && (horizontalWidgetRun = this.f1005d) != null) {
                                            DependencyNode dependencyNode2 = horizontalWidgetRun.f1063h;
                                            if (dependencyNode2.f1050j && horizontalWidgetRun.f1064i.f1050j) {
                                                if (z2) {
                                                    linearSystem.e(l2, dependencyNode2.f1047g);
                                                    linearSystem.e(solverVariable, this.f1005d.f1064i.f1047g);
                                                    if (this.Y != null && z3 && this.f1007f[0] && !B()) {
                                                        linearSystem.f(linearSystem.l(this.Y.O), solverVariable, 0, 8);
                                                    }
                                                    dimensionBehaviour2 = dimensionBehaviour4;
                                                    dimensionBehaviour = dimensionBehaviour6;
                                                    solverVariable5 = l6;
                                                    solverVariable4 = l5;
                                                    solverVariable3 = solverVariable2;
                                                    solverVariable7 = solverVariable;
                                                    solverVariable6 = l2;
                                                    if (!z2) {
                                                        constraintWidget = this;
                                                        VerticalWidgetRun verticalWidgetRun2 = constraintWidget.f1006e;
                                                        if (verticalWidgetRun2 != null) {
                                                            DependencyNode dependencyNode3 = verticalWidgetRun2.f1063h;
                                                            if (dependencyNode3.f1050j && verticalWidgetRun2.f1064i.f1050j) {
                                                                linearSystem2 = linearSystem;
                                                                solverVariable8 = solverVariable3;
                                                                linearSystem2.e(solverVariable8, dependencyNode3.f1047g);
                                                                solverVariable9 = solverVariable4;
                                                                linearSystem2.e(solverVariable9, constraintWidget.f1006e.f1064i.f1047g);
                                                                solverVariable10 = solverVariable5;
                                                                linearSystem2.e(solverVariable10, constraintWidget.f1006e.f1054k.f1047g);
                                                                ConstraintWidget constraintWidget6 = constraintWidget.Y;
                                                                if (constraintWidget6 == null || z7 || !z4) {
                                                                    i7 = 8;
                                                                    i6 = 0;
                                                                    c3 = 1;
                                                                } else {
                                                                    c3 = 1;
                                                                    if (constraintWidget.f1007f[1]) {
                                                                        i7 = 8;
                                                                        i6 = 0;
                                                                        linearSystem2.f(linearSystem2.l(constraintWidget6.P), solverVariable9, 0, 8);
                                                                    } else {
                                                                        i7 = 8;
                                                                        i6 = 0;
                                                                    }
                                                                }
                                                                z11 = false;
                                                                if ((constraintWidget.q == 2 ? false : z11) || constraintWidget.m) {
                                                                    solverVariable12 = solverVariable9;
                                                                    solverVariable11 = solverVariable8;
                                                                } else {
                                                                    boolean z24 = constraintWidget.X[c3] == dimensionBehaviour && (constraintWidget instanceof ConstraintWidgetContainer);
                                                                    if (z24) {
                                                                        i4 = 0;
                                                                    }
                                                                    ConstraintWidget constraintWidget7 = constraintWidget.Y;
                                                                    SolverVariable l7 = constraintWidget7 != null ? linearSystem2.l(constraintWidget7.P) : null;
                                                                    ConstraintWidget constraintWidget8 = constraintWidget.Y;
                                                                    SolverVariable l8 = constraintWidget8 != null ? linearSystem2.l(constraintWidget8.N) : null;
                                                                    int i21 = constraintWidget.j0;
                                                                    if (i21 > 0 || constraintWidget.q0 == i7) {
                                                                        ConstraintAnchor constraintAnchor = constraintWidget.Q;
                                                                        if (constraintAnchor.f998f != null) {
                                                                            linearSystem2.d(solverVariable10, solverVariable8, i21, i7);
                                                                            linearSystem2.d(solverVariable10, linearSystem2.l(constraintWidget.Q.f998f), constraintWidget.Q.e(), i7);
                                                                            if (z4) {
                                                                                linearSystem2.f(l7, linearSystem2.l(constraintWidget.P), i6, 5);
                                                                            }
                                                                            z12 = false;
                                                                            boolean z25 = constraintWidget.f1007f[c3];
                                                                            DimensionBehaviour[] dimensionBehaviourArr2 = constraintWidget.X;
                                                                            solverVariable12 = solverVariable9;
                                                                            solverVariable11 = solverVariable8;
                                                                            f(linearSystem, false, z4, z3, z25, l8, l7, dimensionBehaviourArr2[c3], z24, constraintWidget.N, constraintWidget.P, constraintWidget.e0, i4, constraintWidget.l0, constraintWidget.F[c3], constraintWidget.n0, z20, dimensionBehaviourArr2[0] != dimensionBehaviour2, z7, z6, z23, i3, i2, constraintWidget.y, constraintWidget.z, constraintWidget.A, z12);
                                                                        } else if (constraintWidget.q0 == i7) {
                                                                            linearSystem2.d(solverVariable10, solverVariable8, constraintAnchor.e(), i7);
                                                                        } else {
                                                                            linearSystem2.d(solverVariable10, solverVariable8, i21, i7);
                                                                        }
                                                                    }
                                                                    z12 = z21;
                                                                    boolean z252 = constraintWidget.f1007f[c3];
                                                                    DimensionBehaviour[] dimensionBehaviourArr22 = constraintWidget.X;
                                                                    solverVariable12 = solverVariable9;
                                                                    solverVariable11 = solverVariable8;
                                                                    f(linearSystem, false, z4, z3, z252, l8, l7, dimensionBehaviourArr22[c3], z24, constraintWidget.N, constraintWidget.P, constraintWidget.e0, i4, constraintWidget.l0, constraintWidget.F[c3], constraintWidget.n0, z20, dimensionBehaviourArr22[0] != dimensionBehaviour2, z7, z6, z23, i3, i2, constraintWidget.y, constraintWidget.z, constraintWidget.A, z12);
                                                                }
                                                                if (z8) {
                                                                    constraintWidget2 = this;
                                                                    if (constraintWidget2.D == 1) {
                                                                        linearSystem.h(solverVariable12, solverVariable11, solverVariable7, solverVariable6, constraintWidget2.E, 8);
                                                                    } else {
                                                                        linearSystem.h(solverVariable7, solverVariable6, solverVariable12, solverVariable11, constraintWidget2.E, 8);
                                                                    }
                                                                } else {
                                                                    constraintWidget2 = this;
                                                                }
                                                                if (constraintWidget2.T.i()) {
                                                                    ConstraintWidget constraintWidget9 = constraintWidget2.T.f998f.f996d;
                                                                    int e2 = constraintWidget2.T.e();
                                                                    ConstraintAnchor.Type type = ConstraintAnchor.Type.LEFT;
                                                                    SolverVariable l9 = linearSystem.l(constraintWidget2.l(type));
                                                                    ConstraintAnchor.Type type2 = ConstraintAnchor.Type.TOP;
                                                                    SolverVariable l10 = linearSystem.l(constraintWidget2.l(type2));
                                                                    ConstraintAnchor.Type type3 = ConstraintAnchor.Type.RIGHT;
                                                                    SolverVariable l11 = linearSystem.l(constraintWidget2.l(type3));
                                                                    ConstraintAnchor.Type type4 = ConstraintAnchor.Type.BOTTOM;
                                                                    SolverVariable l12 = linearSystem.l(constraintWidget2.l(type4));
                                                                    SolverVariable l13 = linearSystem.l(constraintWidget9.l(type));
                                                                    SolverVariable l14 = linearSystem.l(constraintWidget9.l(type2));
                                                                    SolverVariable l15 = linearSystem.l(constraintWidget9.l(type3));
                                                                    SolverVariable l16 = linearSystem.l(constraintWidget9.l(type4));
                                                                    ArrayRow m2 = linearSystem.m();
                                                                    double radians = (double) ((float) Math.toRadians((double) (constraintWidget2.G + 90.0f)));
                                                                    double d2 = (double) e2;
                                                                    m2.e(l10, l12, l14, l16, (float) (Math.sin(radians) * d2));
                                                                    linearSystem.c(m2);
                                                                    ArrayRow m3 = linearSystem.m();
                                                                    m3.e(l9, l11, l13, l15, (float) (Math.cos(radians) * d2));
                                                                    linearSystem.c(m3);
                                                                }
                                                                this.f1013l = false;
                                                                this.m = false;
                                                                return;
                                                            }
                                                        }
                                                        linearSystem2 = linearSystem;
                                                        solverVariable10 = solverVariable5;
                                                        solverVariable9 = solverVariable4;
                                                        solverVariable8 = solverVariable3;
                                                        i7 = 8;
                                                        i6 = 0;
                                                        c3 = 1;
                                                    } else {
                                                        i7 = 8;
                                                        i6 = 0;
                                                        c3 = 1;
                                                        constraintWidget = this;
                                                        linearSystem2 = linearSystem;
                                                        solverVariable10 = solverVariable5;
                                                        solverVariable9 = solverVariable4;
                                                        solverVariable8 = solverVariable3;
                                                    }
                                                    z11 = true;
                                                    if (constraintWidget.q == 2 ? false : z11) {
                                                    }
                                                    solverVariable12 = solverVariable9;
                                                    solverVariable11 = solverVariable8;
                                                    if (z8) {
                                                    }
                                                    if (constraintWidget2.T.i()) {
                                                    }
                                                    this.f1013l = false;
                                                    this.m = false;
                                                    return;
                                                }
                                            }
                                        }
                                        ConstraintWidget constraintWidget10 = this.Y;
                                        SolverVariable l17 = constraintWidget10 != null ? linearSystem.l(constraintWidget10.O) : null;
                                        ConstraintWidget constraintWidget11 = this.Y;
                                        SolverVariable l18 = constraintWidget11 != null ? linearSystem.l(constraintWidget11.M) : null;
                                        boolean z26 = this.f1007f[0];
                                        DimensionBehaviour[] dimensionBehaviourArr3 = this.X;
                                        dimensionBehaviour2 = dimensionBehaviour4;
                                        solverVariable5 = l6;
                                        solverVariable4 = l5;
                                        solverVariable3 = solverVariable2;
                                        dimensionBehaviour = dimensionBehaviour6;
                                        solverVariable7 = solverVariable;
                                        solverVariable6 = l2;
                                        f(linearSystem, true, z3, z4, z26, l18, l17, dimensionBehaviourArr3[0], z10, this.M, this.O, this.d0, i16, this.k0, this.F[0], this.m0, z9, dimensionBehaviourArr3[1] == dimensionBehaviour4, z6, z7, z22, i2, i3, this.v, this.w, this.x, z21);
                                        if (!z2) {
                                        }
                                        z11 = true;
                                        if (constraintWidget.q == 2 ? false : z11) {
                                        }
                                        solverVariable12 = solverVariable9;
                                        solverVariable11 = solverVariable8;
                                        if (z8) {
                                        }
                                        if (constraintWidget2.T.i()) {
                                        }
                                        this.f1013l = false;
                                        this.m = false;
                                        return;
                                    }
                                    dimensionBehaviour2 = dimensionBehaviour4;
                                    dimensionBehaviour = dimensionBehaviour6;
                                    solverVariable5 = l6;
                                    solverVariable4 = l5;
                                    solverVariable3 = solverVariable2;
                                    solverVariable7 = solverVariable;
                                    solverVariable6 = l2;
                                    if (!z2) {
                                    }
                                    z11 = true;
                                    if (constraintWidget.q == 2 ? false : z11) {
                                    }
                                    solverVariable12 = solverVariable9;
                                    solverVariable11 = solverVariable8;
                                    if (z8) {
                                    }
                                    if (constraintWidget2.T.i()) {
                                    }
                                    this.f1013l = false;
                                    this.m = false;
                                    return;
                                }
                            } else {
                                i5 = -1;
                            }
                            z9 = false;
                            if (!z8) {
                            }
                            DimensionBehaviour dimensionBehaviour52 = this.X[0];
                            DimensionBehaviour dimensionBehaviour62 = DimensionBehaviour.WRAP_CONTENT;
                            if (dimensionBehaviour52 != dimensionBehaviour62) {
                            }
                            if (z10) {
                            }
                            boolean z212 = !this.T.i();
                            boolean[] zArr22 = this.W;
                            boolean z222 = zArr22[0];
                            boolean z232 = zArr22[1];
                            DependencyNode dependencyNode22 = horizontalWidgetRun.f1063h;
                            if (z2) {
                            }
                            dimensionBehaviour2 = dimensionBehaviour4;
                            dimensionBehaviour = dimensionBehaviour62;
                            solverVariable5 = l6;
                            solverVariable4 = l5;
                            solverVariable3 = solverVariable2;
                            solverVariable7 = solverVariable;
                            solverVariable6 = l2;
                            if (!z2) {
                            }
                            z11 = true;
                            if (constraintWidget.q == 2 ? false : z11) {
                            }
                            solverVariable12 = solverVariable9;
                            solverVariable11 = solverVariable8;
                            if (z8) {
                            }
                            if (constraintWidget2.T.i()) {
                            }
                            this.f1013l = false;
                            this.m = false;
                            return;
                        }
                    } else {
                        i9 = 3;
                    }
                    if (dimensionBehaviourArr[0] == dimensionBehaviour4 && i18 == i9) {
                        this.D = 0;
                        i16 = (int) (f2 * ((float) i14));
                        if (dimensionBehaviourArr[1] != dimensionBehaviour4) {
                            i3 = i19;
                            i4 = i15;
                            c2 = 0;
                            z8 = false;
                            i2 = 4;
                            int[] iArr2 = this.u;
                            iArr2[c2] = i2;
                            iArr2[1] = i3;
                            if (z8) {
                            }
                            z9 = false;
                            if (!z8) {
                            }
                            DimensionBehaviour dimensionBehaviour522 = this.X[0];
                            DimensionBehaviour dimensionBehaviour622 = DimensionBehaviour.WRAP_CONTENT;
                            if (dimensionBehaviour522 != dimensionBehaviour622) {
                            }
                            if (z10) {
                            }
                            boolean z2122 = !this.T.i();
                            boolean[] zArr222 = this.W;
                            boolean z2222 = zArr222[0];
                            boolean z2322 = zArr222[1];
                            DependencyNode dependencyNode222 = horizontalWidgetRun.f1063h;
                            if (z2) {
                            }
                            dimensionBehaviour2 = dimensionBehaviour4;
                            dimensionBehaviour = dimensionBehaviour622;
                            solverVariable5 = l6;
                            solverVariable4 = l5;
                            solverVariable3 = solverVariable2;
                            solverVariable7 = solverVariable;
                            solverVariable6 = l2;
                            if (!z2) {
                            }
                            z11 = true;
                            if (constraintWidget.q == 2 ? false : z11) {
                            }
                            solverVariable12 = solverVariable9;
                            solverVariable11 = solverVariable8;
                            if (z8) {
                            }
                            if (constraintWidget2.T.i()) {
                            }
                            this.f1013l = false;
                            this.m = false;
                            return;
                        }
                        i2 = i18;
                        i3 = i19;
                        i4 = i15;
                        c2 = 0;
                        z8 = true;
                        int[] iArr22 = this.u;
                        iArr22[c2] = i2;
                        iArr22[1] = i3;
                        if (z8) {
                        }
                        z9 = false;
                        if (!z8) {
                        }
                        DimensionBehaviour dimensionBehaviour5222 = this.X[0];
                        DimensionBehaviour dimensionBehaviour6222 = DimensionBehaviour.WRAP_CONTENT;
                        if (dimensionBehaviour5222 != dimensionBehaviour6222) {
                        }
                        if (z10) {
                        }
                        boolean z21222 = !this.T.i();
                        boolean[] zArr2222 = this.W;
                        boolean z22222 = zArr2222[0];
                        boolean z23222 = zArr2222[1];
                        DependencyNode dependencyNode2222 = horizontalWidgetRun.f1063h;
                        if (z2) {
                        }
                        dimensionBehaviour2 = dimensionBehaviour4;
                        dimensionBehaviour = dimensionBehaviour6222;
                        solverVariable5 = l6;
                        solverVariable4 = l5;
                        solverVariable3 = solverVariable2;
                        solverVariable7 = solverVariable;
                        solverVariable6 = l2;
                        if (!z2) {
                        }
                        z11 = true;
                        if (constraintWidget.q == 2 ? false : z11) {
                        }
                        solverVariable12 = solverVariable9;
                        solverVariable11 = solverVariable8;
                        if (z8) {
                        }
                        if (constraintWidget2.T.i()) {
                        }
                        this.f1013l = false;
                        this.m = false;
                        return;
                    }
                    if (dimensionBehaviourArr[1] == dimensionBehaviour4 && i19 == 3) {
                        this.D = 1;
                        if (i17 == -1) {
                            this.E = 1.0f / f2;
                        }
                        c2 = 0;
                        i4 = (int) (this.E * ((float) i12));
                        i2 = i18;
                        if (dimensionBehaviourArr[0] != dimensionBehaviour4) {
                            z8 = false;
                            i3 = 4;
                            int[] iArr222 = this.u;
                            iArr222[c2] = i2;
                            iArr222[1] = i3;
                            if (z8) {
                            }
                            z9 = false;
                            if (!z8) {
                            }
                            DimensionBehaviour dimensionBehaviour52222 = this.X[0];
                            DimensionBehaviour dimensionBehaviour62222 = DimensionBehaviour.WRAP_CONTENT;
                            if (dimensionBehaviour52222 != dimensionBehaviour62222) {
                            }
                            if (z10) {
                            }
                            boolean z212222 = !this.T.i();
                            boolean[] zArr22222 = this.W;
                            boolean z222222 = zArr22222[0];
                            boolean z232222 = zArr22222[1];
                            DependencyNode dependencyNode22222 = horizontalWidgetRun.f1063h;
                            if (z2) {
                            }
                            dimensionBehaviour2 = dimensionBehaviour4;
                            dimensionBehaviour = dimensionBehaviour62222;
                            solverVariable5 = l6;
                            solverVariable4 = l5;
                            solverVariable3 = solverVariable2;
                            solverVariable7 = solverVariable;
                            solverVariable6 = l2;
                            if (!z2) {
                            }
                            z11 = true;
                            if (constraintWidget.q == 2 ? false : z11) {
                            }
                            solverVariable12 = solverVariable9;
                            solverVariable11 = solverVariable8;
                            if (z8) {
                            }
                            if (constraintWidget2.T.i()) {
                            }
                            this.f1013l = false;
                            this.m = false;
                            return;
                        }
                        i3 = i19;
                        z8 = true;
                        int[] iArr2222 = this.u;
                        iArr2222[c2] = i2;
                        iArr2222[1] = i3;
                        if (z8) {
                        }
                        z9 = false;
                        if (!z8) {
                        }
                        DimensionBehaviour dimensionBehaviour522222 = this.X[0];
                        DimensionBehaviour dimensionBehaviour622222 = DimensionBehaviour.WRAP_CONTENT;
                        if (dimensionBehaviour522222 != dimensionBehaviour622222) {
                        }
                        if (z10) {
                        }
                        boolean z2122222 = !this.T.i();
                        boolean[] zArr222222 = this.W;
                        boolean z2222222 = zArr222222[0];
                        boolean z2322222 = zArr222222[1];
                        DependencyNode dependencyNode222222 = horizontalWidgetRun.f1063h;
                        if (z2) {
                        }
                        dimensionBehaviour2 = dimensionBehaviour4;
                        dimensionBehaviour = dimensionBehaviour622222;
                        solverVariable5 = l6;
                        solverVariable4 = l5;
                        solverVariable3 = solverVariable2;
                        solverVariable7 = solverVariable;
                        solverVariable6 = l2;
                        if (!z2) {
                        }
                        z11 = true;
                        if (constraintWidget.q == 2 ? false : z11) {
                        }
                        solverVariable12 = solverVariable9;
                        solverVariable11 = solverVariable8;
                        if (z8) {
                        }
                        if (constraintWidget2.T.i()) {
                        }
                        this.f1013l = false;
                        this.m = false;
                        return;
                    }
                    c2 = 0;
                    i2 = i18;
                    i3 = i19;
                    i4 = i15;
                    z8 = true;
                    int[] iArr22222 = this.u;
                    iArr22222[c2] = i2;
                    iArr22222[1] = i3;
                    if (z8) {
                    }
                    z9 = false;
                    if (!z8) {
                    }
                    DimensionBehaviour dimensionBehaviour5222222 = this.X[0];
                    DimensionBehaviour dimensionBehaviour6222222 = DimensionBehaviour.WRAP_CONTENT;
                    if (dimensionBehaviour5222222 != dimensionBehaviour6222222) {
                    }
                    if (z10) {
                    }
                    boolean z21222222 = !this.T.i();
                    boolean[] zArr2222222 = this.W;
                    boolean z22222222 = zArr2222222[0];
                    boolean z23222222 = zArr2222222[1];
                    DependencyNode dependencyNode2222222 = horizontalWidgetRun.f1063h;
                    if (z2) {
                    }
                    dimensionBehaviour2 = dimensionBehaviour4;
                    dimensionBehaviour = dimensionBehaviour6222222;
                    solverVariable5 = l6;
                    solverVariable4 = l5;
                    solverVariable3 = solverVariable2;
                    solverVariable7 = solverVariable;
                    solverVariable6 = l2;
                    if (!z2) {
                    }
                    z11 = true;
                    if (constraintWidget.q == 2 ? false : z11) {
                    }
                    solverVariable12 = solverVariable9;
                    solverVariable11 = solverVariable8;
                    if (z8) {
                    }
                    if (constraintWidget2.T.i()) {
                    }
                    this.f1013l = false;
                    this.m = false;
                    return;
                }
            } else {
                solverVariable2 = l4;
            }
            solverVariable = l3;
            c2 = 0;
            i2 = i18;
            i3 = i19;
            i4 = i15;
            z8 = false;
            int[] iArr222222 = this.u;
            iArr222222[c2] = i2;
            iArr222222[1] = i3;
            if (z8) {
            }
            z9 = false;
            if (!z8) {
            }
            DimensionBehaviour dimensionBehaviour52222222 = this.X[0];
            DimensionBehaviour dimensionBehaviour62222222 = DimensionBehaviour.WRAP_CONTENT;
            if (dimensionBehaviour52222222 != dimensionBehaviour62222222) {
            }
            if (z10) {
            }
            boolean z212222222 = !this.T.i();
            boolean[] zArr22222222 = this.W;
            boolean z222222222 = zArr22222222[0];
            boolean z232222222 = zArr22222222[1];
            DependencyNode dependencyNode22222222 = horizontalWidgetRun.f1063h;
            if (z2) {
            }
            dimensionBehaviour2 = dimensionBehaviour4;
            dimensionBehaviour = dimensionBehaviour62222222;
            solverVariable5 = l6;
            solverVariable4 = l5;
            solverVariable3 = solverVariable2;
            solverVariable7 = solverVariable;
            solverVariable6 = l2;
            if (!z2) {
            }
            z11 = true;
            if (constraintWidget.q == 2 ? false : z11) {
            }
            solverVariable12 = solverVariable9;
            solverVariable11 = solverVariable8;
            if (z8) {
            }
            if (constraintWidget2.T.i()) {
            }
            this.f1013l = false;
            this.m = false;
            return;
        }
        z4 = false;
        z3 = false;
        if (this.q0 == 8) {
        }
        z5 = this.f1013l;
        if (z5) {
        }
        if (this.m) {
        }
        this.f1013l = false;
        this.m = false;
    }

    public boolean e() {
        return this.q0 != 8;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:247:0x03e5, code lost:
        if ((r3 instanceof androidx.constraintlayout.core.widgets.Barrier) != false) goto L_0x03ea;
     */
    /* JADX WARNING: Removed duplicated region for block: B:109:0x01bb A[ADDED_TO_REGION] */
    /* JADX WARNING: Removed duplicated region for block: B:181:0x02b7  */
    /* JADX WARNING: Removed duplicated region for block: B:182:0x02bb  */
    /* JADX WARNING: Removed duplicated region for block: B:221:0x0362 A[ADDED_TO_REGION] */
    /* JADX WARNING: Removed duplicated region for block: B:226:0x0371  */
    /* JADX WARNING: Removed duplicated region for block: B:234:0x03b6  */
    /* JADX WARNING: Removed duplicated region for block: B:237:0x03cc  */
    /* JADX WARNING: Removed duplicated region for block: B:241:0x03d5  */
    /* JADX WARNING: Removed duplicated region for block: B:253:0x0406  */
    /* JADX WARNING: Removed duplicated region for block: B:255:0x040e A[ADDED_TO_REGION] */
    /* JADX WARNING: Removed duplicated region for block: B:266:0x0428  */
    /* JADX WARNING: Removed duplicated region for block: B:296:0x0471  */
    /* JADX WARNING: Removed duplicated region for block: B:304:0x0485 A[ADDED_TO_REGION] */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x0081  */
    /* JADX WARNING: Removed duplicated region for block: B:316:0x04a1 A[ADDED_TO_REGION] */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x0084  */
    /* JADX WARNING: Removed duplicated region for block: B:325:0x04c6 A[ADDED_TO_REGION] */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x0089  */
    /* JADX WARNING: Removed duplicated region for block: B:351:? A[ADDED_TO_REGION, RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:355:? A[ADDED_TO_REGION, RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x00a7  */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x00c6  */
    public final void f(LinearSystem linearSystem, boolean z2, boolean z3, boolean z4, boolean z5, SolverVariable solverVariable, SolverVariable solverVariable2, DimensionBehaviour dimensionBehaviour, boolean z6, ConstraintAnchor constraintAnchor, ConstraintAnchor constraintAnchor2, int i2, int i3, int i4, int i5, float f2, boolean z7, boolean z8, boolean z9, boolean z10, boolean z11, int i6, int i7, int i8, int i9, float f3, boolean z12) {
        int i10;
        SolverVariable solverVariable3;
        int i11;
        boolean z13;
        int i12;
        int i13;
        boolean z14;
        int i14;
        boolean z15;
        int i15;
        boolean z16;
        SolverVariable solverVariable4;
        SolverVariable solverVariable5;
        SolverVariable solverVariable6;
        int i16;
        int i17;
        ConstraintAnchor constraintAnchor3;
        DimensionBehaviour[] dimensionBehaviourArr;
        DimensionBehaviour dimensionBehaviour2;
        boolean z17;
        int i18;
        int i19;
        SolverVariable solverVariable7;
        boolean z18;
        boolean z19;
        boolean z20;
        int i20;
        int i21;
        int i22;
        SolverVariable solverVariable8;
        boolean z21;
        boolean z22;
        SolverVariable solverVariable9;
        ConstraintWidget constraintWidget;
        ConstraintWidget constraintWidget2;
        ConstraintWidget constraintWidget3;
        int i23;
        boolean z23;
        SolverVariable solverVariable10;
        ConstraintWidget constraintWidget4;
        ConstraintWidget constraintWidget5;
        int i24;
        int i25;
        ConstraintWidget constraintWidget6;
        int i26;
        int i27;
        int i28;
        int i29;
        int i30;
        boolean z24;
        int i31;
        int i32;
        SolverVariable solverVariable11;
        int i33;
        int i34;
        int i35;
        int i36;
        int i37;
        boolean z25;
        int i38;
        int i39;
        boolean z26;
        boolean z27;
        boolean z28;
        int i40;
        int i41;
        int i42;
        int i43;
        int i44;
        SolverVariable solverVariable12;
        SolverVariable solverVariable13;
        int i45 = i9;
        SolverVariable l2 = linearSystem.l(constraintAnchor);
        SolverVariable l3 = linearSystem.l(constraintAnchor2);
        SolverVariable l4 = linearSystem.l(constraintAnchor.f998f);
        SolverVariable l5 = linearSystem.l(constraintAnchor2.f998f);
        boolean i46 = constraintAnchor.i();
        boolean i47 = constraintAnchor2.i();
        boolean i48 = this.T.i();
        if (i47) {
            i10 = (i46 ? 1 : 0) + 1;
        } else {
            i10 = i46 ? 1 : 0;
        }
        if (i48) {
            i10++;
        }
        if (z7) {
            solverVariable3 = l5;
            i11 = 3;
        } else {
            i11 = i6;
            solverVariable3 = l5;
        }
        int ordinal = dimensionBehaviour.ordinal();
        if (ordinal != 0 && ordinal != 1 && ordinal == 2) {
            if (i11 != 4) {
                z13 = true;
                i12 = this.f1010i;
                if (i12 != -1 && z2) {
                    this.f1010i = -1;
                    i3 = i12;
                    z13 = false;
                }
                i13 = this.f1011j;
                if (i13 != -1 || z2) {
                    i13 = i3;
                } else {
                    this.f1011j = -1;
                    z13 = false;
                }
                if (this.q0 != 8) {
                    i14 = 0;
                    z14 = false;
                } else {
                    z14 = z13;
                    i14 = i13;
                }
                if (z12) {
                    if (!i46 && !i47 && !i48) {
                        linearSystem.e(l2, i2);
                    } else if (i46 && !i47) {
                        linearSystem.d(l2, l4, constraintAnchor.e(), 8);
                        if (!z14) {
                            if (z6) {
                                linearSystem.d(l3, l2, 0, 3);
                                if (i4 > 0) {
                                    linearSystem.f(l3, l2, i4, 8);
                                }
                                if (i5 < Integer.MAX_VALUE) {
                                    linearSystem.g(l3, l2, i5, 8);
                                }
                            } else {
                                linearSystem.d(l3, l2, i14, 8);
                            }
                            i42 = i8;
                        } else if (i10 == 2 || z7 || !(i11 == 1 || i11 == 0)) {
                            i42 = i8 == -2 ? i14 : i8;
                            i17 = i45 == -2 ? i14 : i45;
                            if (i14 > 0 && i11 != 1) {
                                i14 = 0;
                            }
                            if (i42 > 0) {
                                linearSystem.f(l3, l2, i42, 8);
                                i14 = Math.max(i14, i42);
                            }
                            if (i17 > 0) {
                                if (!z3 || i11 != 1) {
                                    i43 = 8;
                                    linearSystem.g(l3, l2, i17, 8);
                                } else {
                                    i43 = 8;
                                }
                                i14 = Math.min(i14, i17);
                            } else {
                                i43 = 8;
                            }
                            if (i11 == 1) {
                                if (z3) {
                                    linearSystem.d(l3, l2, i14, i43);
                                } else if (z9) {
                                    linearSystem.d(l3, l2, i14, 5);
                                    linearSystem.g(l3, l2, i14, i43);
                                } else {
                                    linearSystem.d(l3, l2, i14, 5);
                                    linearSystem.g(l3, l2, i14, i43);
                                }
                                i45 = i17;
                            } else {
                                if (i11 == 2) {
                                    ConstraintAnchor.Type type = constraintAnchor.f997e;
                                    ConstraintAnchor.Type type2 = ConstraintAnchor.Type.TOP;
                                    if (type == type2 || type == ConstraintAnchor.Type.BOTTOM) {
                                        solverVariable13 = linearSystem.l(this.Y.l(type2));
                                        solverVariable12 = linearSystem.l(this.Y.l(ConstraintAnchor.Type.BOTTOM));
                                    } else {
                                        solverVariable13 = linearSystem.l(this.Y.l(ConstraintAnchor.Type.LEFT));
                                        solverVariable12 = linearSystem.l(this.Y.l(ConstraintAnchor.Type.RIGHT));
                                    }
                                    ArrayRow m2 = linearSystem.m();
                                    i44 = i42;
                                    i16 = i10;
                                    boolean z29 = z14;
                                    solverVariable5 = solverVariable3;
                                    solverVariable4 = l4;
                                    solverVariable6 = l3;
                                    m2.b(l3, l2, solverVariable12, solverVariable13, f3);
                                    linearSystem.c(m2);
                                    if (z3) {
                                        z29 = false;
                                    }
                                    z16 = z5;
                                    i17 = i17;
                                    z15 = z29;
                                } else {
                                    i44 = i42;
                                    i16 = i10;
                                    solverVariable4 = l4;
                                    solverVariable6 = l3;
                                    solverVariable5 = solverVariable3;
                                    z15 = z14;
                                    z16 = true;
                                }
                                i15 = i44;
                                if (!z12 && !z9) {
                                    if (i46 || i47 || i48) {
                                        if (i46 && !i47) {
                                            i19 = (!z3 || !(constraintAnchor.f998f.f996d instanceof Barrier)) ? 5 : 8;
                                            z17 = z3;
                                            i18 = 0;
                                            if (!z17) {
                                            }
                                        } else if (i46 || !i47) {
                                            if (i46 && i47) {
                                                ConstraintWidget constraintWidget7 = constraintAnchor.f998f.f996d;
                                                ConstraintWidget constraintWidget8 = constraintAnchor2.f998f.f996d;
                                                ConstraintWidget constraintWidget9 = this.Y;
                                                if (z15) {
                                                    if (i11 == 0) {
                                                        if (i17 != 0 || i15 != 0) {
                                                            i41 = 5;
                                                            i40 = 5;
                                                            z28 = true;
                                                            z27 = false;
                                                            z26 = true;
                                                        } else if (!solverVariable4.n || !solverVariable5.n) {
                                                            i41 = 8;
                                                            i40 = 8;
                                                            z28 = false;
                                                            z27 = true;
                                                            z26 = false;
                                                        } else {
                                                            linearSystem.d(l2, solverVariable4, constraintAnchor.e(), 8);
                                                            linearSystem.d(solverVariable6, solverVariable5, -constraintAnchor2.e(), 8);
                                                            return;
                                                        }
                                                        if ((constraintWidget7 instanceof Barrier) || (constraintWidget8 instanceof Barrier)) {
                                                            i41 = 4;
                                                        }
                                                        solverVariable8 = solverVariable2;
                                                        i21 = i41;
                                                        i20 = i40;
                                                        z18 = z27;
                                                        z19 = z26;
                                                        z20 = z28;
                                                        i22 = 6;
                                                        if (z19 || solverVariable4 != solverVariable5 || constraintWidget7 == constraintWidget9) {
                                                            z21 = z19;
                                                            z22 = true;
                                                        } else {
                                                            z22 = false;
                                                            z21 = false;
                                                        }
                                                        if (!z20) {
                                                            if (z15 || z8 || z10 || solverVariable4 != solverVariable || solverVariable5 != solverVariable8) {
                                                                i29 = i20;
                                                                i30 = i22;
                                                                z17 = z3;
                                                            } else {
                                                                z17 = false;
                                                                i30 = 8;
                                                                i29 = 8;
                                                                z22 = false;
                                                            }
                                                            i23 = 8;
                                                            constraintWidget3 = constraintWidget9;
                                                            constraintWidget2 = constraintWidget8;
                                                            constraintWidget = constraintWidget7;
                                                            solverVariable9 = l2;
                                                            linearSystem.b(l2, solverVariable4, constraintAnchor.e(), f2, solverVariable5, solverVariable6, constraintAnchor2.e(), i30);
                                                            i20 = i29;
                                                        } else {
                                                            constraintWidget3 = constraintWidget9;
                                                            constraintWidget2 = constraintWidget8;
                                                            constraintWidget = constraintWidget7;
                                                            solverVariable9 = l2;
                                                            i23 = 8;
                                                            z17 = z3;
                                                        }
                                                        z23 = z22;
                                                        if (this.q0 == i23 || constraintAnchor2.h()) {
                                                            if (!z21) {
                                                                if (!z17 || solverVariable4 == solverVariable5 || z15) {
                                                                    constraintWidget4 = constraintWidget2;
                                                                    constraintWidget5 = constraintWidget;
                                                                } else {
                                                                    constraintWidget5 = constraintWidget;
                                                                    if (!(constraintWidget5 instanceof Barrier)) {
                                                                        constraintWidget4 = constraintWidget2;
                                                                    } else {
                                                                        constraintWidget4 = constraintWidget2;
                                                                    }
                                                                    i28 = 6;
                                                                    solverVariable10 = solverVariable9;
                                                                    linearSystem.f(solverVariable10, solverVariable4, constraintAnchor.e(), i28);
                                                                    linearSystem.g(solverVariable6, solverVariable5, -constraintAnchor2.e(), i28);
                                                                    i20 = i28;
                                                                }
                                                                i28 = i20;
                                                                solverVariable10 = solverVariable9;
                                                                linearSystem.f(solverVariable10, solverVariable4, constraintAnchor.e(), i28);
                                                                linearSystem.g(solverVariable6, solverVariable5, -constraintAnchor2.e(), i28);
                                                                i20 = i28;
                                                            } else {
                                                                constraintWidget4 = constraintWidget2;
                                                                constraintWidget5 = constraintWidget;
                                                                solverVariable10 = solverVariable9;
                                                            }
                                                            if (z17 || !z11 || (constraintWidget5 instanceof Barrier) || (constraintWidget4 instanceof Barrier)) {
                                                                constraintWidget6 = constraintWidget3;
                                                            } else {
                                                                constraintWidget6 = constraintWidget3;
                                                                if (constraintWidget4 != constraintWidget6) {
                                                                    z23 = true;
                                                                    i25 = 6;
                                                                    i24 = 6;
                                                                    if (z23) {
                                                                        if (!z18 || (z10 && !z4)) {
                                                                            i27 = i25;
                                                                        } else {
                                                                            int i49 = (constraintWidget5 == constraintWidget6 || constraintWidget4 == constraintWidget6) ? 6 : i25;
                                                                            if ((constraintWidget5 instanceof Guideline) || (constraintWidget4 instanceof Guideline)) {
                                                                                i49 = 5;
                                                                            }
                                                                            if ((constraintWidget5 instanceof Barrier) || (constraintWidget4 instanceof Barrier)) {
                                                                                i49 = 5;
                                                                            }
                                                                            if (z10) {
                                                                                i49 = 5;
                                                                            }
                                                                            i27 = Math.max(i49, i25);
                                                                        }
                                                                        if (z17) {
                                                                            i27 = Math.min(i24, i27);
                                                                            if (z7 && !z10 && (constraintWidget5 == constraintWidget6 || constraintWidget4 == constraintWidget6)) {
                                                                                i27 = 4;
                                                                            }
                                                                        }
                                                                        linearSystem.d(solverVariable10, solverVariable4, constraintAnchor.e(), i27);
                                                                        linearSystem.d(solverVariable6, solverVariable5, -constraintAnchor2.e(), i27);
                                                                    }
                                                                    if (z17) {
                                                                        int e2 = solverVariable == solverVariable4 ? constraintAnchor.e() : 0;
                                                                        if (solverVariable4 != solverVariable) {
                                                                            i26 = 5;
                                                                            linearSystem.f(solverVariable10, solverVariable, e2, 5);
                                                                            if (z17 || !z15 || i4 != 0 || i15 != 0) {
                                                                                i18 = 0;
                                                                                i19 = 5;
                                                                                if (!z17 && z16) {
                                                                                    if (constraintAnchor2.f998f != null) {
                                                                                        solverVariable7 = solverVariable2;
                                                                                        i18 = constraintAnchor2.e();
                                                                                    } else {
                                                                                        solverVariable7 = solverVariable2;
                                                                                    }
                                                                                    if (solverVariable5 != solverVariable7) {
                                                                                        linearSystem.f(solverVariable7, solverVariable6, i18, i19);
                                                                                        return;
                                                                                    }
                                                                                    return;
                                                                                }
                                                                                return;
                                                                            }
                                                                            if (!z15 || i11 != 3) {
                                                                                i18 = 0;
                                                                                linearSystem.f(solverVariable6, solverVariable10, 0, i26);
                                                                            } else {
                                                                                i18 = 0;
                                                                                linearSystem.f(solverVariable6, solverVariable10, 0, i23);
                                                                            }
                                                                            i19 = 5;
                                                                            if (!z17) {
                                                                                return;
                                                                            }
                                                                            return;
                                                                        }
                                                                    }
                                                                    i26 = 5;
                                                                    if (z17) {
                                                                    }
                                                                    i18 = 0;
                                                                    i19 = 5;
                                                                    if (!z17) {
                                                                    }
                                                                }
                                                            }
                                                            i25 = i21;
                                                            i24 = i20;
                                                            if (z23) {
                                                            }
                                                            if (z17) {
                                                            }
                                                            i26 = 5;
                                                            if (z17) {
                                                            }
                                                            i18 = 0;
                                                            i19 = 5;
                                                            if (!z17) {
                                                            }
                                                        } else {
                                                            return;
                                                        }
                                                    } else if (i11 == 2) {
                                                        if ((constraintWidget7 instanceof Barrier) || (constraintWidget8 instanceof Barrier)) {
                                                            solverVariable8 = solverVariable2;
                                                        } else {
                                                            solverVariable8 = solverVariable2;
                                                            i32 = 5;
                                                            i21 = i32;
                                                            i31 = 5;
                                                            z24 = true;
                                                            z20 = true;
                                                            z19 = z24;
                                                            z18 = false;
                                                            i20 = i31;
                                                            i22 = 6;
                                                            if (z19) {
                                                            }
                                                            z21 = z19;
                                                            z22 = true;
                                                            if (!z20) {
                                                            }
                                                            z23 = z22;
                                                            if (this.q0 == i23) {
                                                            }
                                                            if (!z21) {
                                                            }
                                                            if (z17) {
                                                            }
                                                            constraintWidget6 = constraintWidget3;
                                                            i25 = i21;
                                                            i24 = i20;
                                                            if (z23) {
                                                            }
                                                            if (z17) {
                                                            }
                                                            i26 = 5;
                                                            if (z17) {
                                                            }
                                                            i18 = 0;
                                                            i19 = 5;
                                                            if (!z17) {
                                                            }
                                                        }
                                                    } else if (i11 == 1) {
                                                        solverVariable8 = solverVariable2;
                                                        i31 = 8;
                                                        i21 = 4;
                                                        z24 = true;
                                                        z20 = true;
                                                        z19 = z24;
                                                        z18 = false;
                                                        i20 = i31;
                                                        i22 = 6;
                                                        if (z19) {
                                                        }
                                                        z21 = z19;
                                                        z22 = true;
                                                        if (!z20) {
                                                        }
                                                        z23 = z22;
                                                        if (this.q0 == i23) {
                                                        }
                                                        if (!z21) {
                                                        }
                                                        if (z17) {
                                                        }
                                                        constraintWidget6 = constraintWidget3;
                                                        i25 = i21;
                                                        i24 = i20;
                                                        if (z23) {
                                                        }
                                                        if (z17) {
                                                        }
                                                        i26 = 5;
                                                        if (z17) {
                                                        }
                                                        i18 = 0;
                                                        i19 = 5;
                                                        if (!z17) {
                                                        }
                                                    } else if (i11 == 3) {
                                                        if (this.D == -1) {
                                                            i36 = z10 ? z3 ? 5 : 4 : 8;
                                                            i35 = 5;
                                                            i34 = 8;
                                                        } else if (z7) {
                                                            if (i7 != 2) {
                                                                if (i7 != 1) {
                                                                    z25 = false;
                                                                    if (z25) {
                                                                        i39 = 5;
                                                                        i38 = 8;
                                                                    } else {
                                                                        i39 = 4;
                                                                        i38 = 5;
                                                                    }
                                                                    i21 = i39;
                                                                    i20 = i38;
                                                                    i22 = 6;
                                                                    z20 = true;
                                                                    z19 = true;
                                                                    z18 = true;
                                                                    solverVariable8 = solverVariable2;
                                                                    if (z19) {
                                                                    }
                                                                    z21 = z19;
                                                                    z22 = true;
                                                                    if (!z20) {
                                                                    }
                                                                    z23 = z22;
                                                                    if (this.q0 == i23) {
                                                                    }
                                                                    if (!z21) {
                                                                    }
                                                                    if (z17) {
                                                                    }
                                                                    constraintWidget6 = constraintWidget3;
                                                                    i25 = i21;
                                                                    i24 = i20;
                                                                    if (z23) {
                                                                    }
                                                                    if (z17) {
                                                                    }
                                                                    i26 = 5;
                                                                    if (z17) {
                                                                    }
                                                                    i18 = 0;
                                                                    i19 = 5;
                                                                    if (!z17) {
                                                                    }
                                                                }
                                                            }
                                                            z25 = true;
                                                            if (z25) {
                                                            }
                                                            i21 = i39;
                                                            i20 = i38;
                                                            i22 = 6;
                                                            z20 = true;
                                                            z19 = true;
                                                            z18 = true;
                                                            solverVariable8 = solverVariable2;
                                                            if (z19) {
                                                            }
                                                            z21 = z19;
                                                            z22 = true;
                                                            if (!z20) {
                                                            }
                                                            z23 = z22;
                                                            if (this.q0 == i23) {
                                                            }
                                                            if (!z21) {
                                                            }
                                                            if (z17) {
                                                            }
                                                            constraintWidget6 = constraintWidget3;
                                                            i25 = i21;
                                                            i24 = i20;
                                                            if (z23) {
                                                            }
                                                            if (z17) {
                                                            }
                                                            i26 = 5;
                                                            if (z17) {
                                                            }
                                                            i18 = 0;
                                                            i19 = 5;
                                                            if (!z17) {
                                                            }
                                                        } else {
                                                            if (i17 > 0) {
                                                                i37 = 5;
                                                            } else if (i17 != 0 || i15 != 0) {
                                                                i37 = 4;
                                                            } else if (!z10) {
                                                                i37 = 8;
                                                            } else {
                                                                i34 = (constraintWidget7 == constraintWidget9 || constraintWidget8 == constraintWidget9) ? 5 : 4;
                                                                i36 = 6;
                                                                i35 = 4;
                                                            }
                                                            i35 = i37;
                                                            i36 = 6;
                                                            i34 = 5;
                                                        }
                                                        i22 = i36;
                                                        i21 = i35;
                                                        i20 = i34;
                                                        z20 = true;
                                                        z19 = true;
                                                        z18 = true;
                                                        solverVariable8 = solverVariable2;
                                                        if (z19) {
                                                        }
                                                        z21 = z19;
                                                        z22 = true;
                                                        if (!z20) {
                                                        }
                                                        z23 = z22;
                                                        if (this.q0 == i23) {
                                                        }
                                                        if (!z21) {
                                                        }
                                                        if (z17) {
                                                        }
                                                        constraintWidget6 = constraintWidget3;
                                                        i25 = i21;
                                                        i24 = i20;
                                                        if (z23) {
                                                        }
                                                        if (z17) {
                                                        }
                                                        i26 = 5;
                                                        if (z17) {
                                                        }
                                                        i18 = 0;
                                                        i19 = 5;
                                                        if (!z17) {
                                                        }
                                                    } else {
                                                        solverVariable8 = solverVariable2;
                                                        i31 = 5;
                                                        i21 = 4;
                                                        z24 = false;
                                                        z20 = false;
                                                        z19 = z24;
                                                        z18 = false;
                                                        i20 = i31;
                                                        i22 = 6;
                                                        if (z19) {
                                                        }
                                                        z21 = z19;
                                                        z22 = true;
                                                        if (!z20) {
                                                        }
                                                        z23 = z22;
                                                        if (this.q0 == i23) {
                                                        }
                                                        if (!z21) {
                                                        }
                                                        if (z17) {
                                                        }
                                                        constraintWidget6 = constraintWidget3;
                                                        i25 = i21;
                                                        i24 = i20;
                                                        if (z23) {
                                                        }
                                                        if (z17) {
                                                        }
                                                        i26 = 5;
                                                        if (z17) {
                                                        }
                                                        i18 = 0;
                                                        i19 = 5;
                                                        if (!z17) {
                                                        }
                                                    }
                                                } else if (!solverVariable4.n || !solverVariable5.n) {
                                                    solverVariable8 = solverVariable2;
                                                } else {
                                                    linearSystem.b(l2, solverVariable4, constraintAnchor.e(), f2, solverVariable5, solverVariable6, constraintAnchor2.e(), 8);
                                                    if (z3 && z16) {
                                                        if (constraintAnchor2.f998f != null) {
                                                            i33 = constraintAnchor2.e();
                                                            solverVariable11 = solverVariable2;
                                                        } else {
                                                            solverVariable11 = solverVariable2;
                                                            i33 = 0;
                                                        }
                                                        if (solverVariable5 != solverVariable11) {
                                                            linearSystem.f(solverVariable11, solverVariable6, i33, 5);
                                                            return;
                                                        }
                                                        return;
                                                    }
                                                    return;
                                                }
                                                i32 = 4;
                                                i21 = i32;
                                                i31 = 5;
                                                z24 = true;
                                                z20 = true;
                                                z19 = z24;
                                                z18 = false;
                                                i20 = i31;
                                                i22 = 6;
                                                if (z19) {
                                                }
                                                z21 = z19;
                                                z22 = true;
                                                if (!z20) {
                                                }
                                                z23 = z22;
                                                if (this.q0 == i23) {
                                                }
                                                if (!z21) {
                                                }
                                                if (z17) {
                                                }
                                                constraintWidget6 = constraintWidget3;
                                                i25 = i21;
                                                i24 = i20;
                                                if (z23) {
                                                }
                                                if (z17) {
                                                }
                                                i26 = 5;
                                                if (z17) {
                                                }
                                                i18 = 0;
                                                i19 = 5;
                                                if (!z17) {
                                                }
                                            }
                                            i18 = 0;
                                            z17 = z3;
                                            i19 = 5;
                                            if (!z17) {
                                            }
                                        } else {
                                            linearSystem.d(solverVariable6, solverVariable5, -constraintAnchor2.e(), 8);
                                            if (z3) {
                                                linearSystem.f(l2, solverVariable, 0, 5);
                                                i18 = 0;
                                                z17 = z3;
                                                i19 = 5;
                                                if (!z17) {
                                                }
                                            }
                                        }
                                    }
                                    i18 = 0;
                                    z17 = z3;
                                    i19 = 5;
                                    if (!z17) {
                                    }
                                } else if (i16 < 2 && z3 && z16) {
                                    linearSystem.f(l2, solverVariable, 0, 8);
                                    boolean z30 = z2 || this.Q.f998f == null;
                                    if (!z2 && (constraintAnchor3 = this.Q.f998f) != null) {
                                        ConstraintWidget constraintWidget10 = constraintAnchor3.f996d;
                                        z30 = constraintWidget10.b0 != 0.0f && (dimensionBehaviourArr = constraintWidget10.X)[0] == (dimensionBehaviour2 = DimensionBehaviour.MATCH_CONSTRAINT) && dimensionBehaviourArr[1] == dimensionBehaviour2;
                                    }
                                    if (z30) {
                                        linearSystem.f(solverVariable2, solverVariable6, 0, 8);
                                        return;
                                    }
                                    return;
                                } else {
                                    return;
                                }
                            }
                        } else {
                            int max = Math.max(i8, i14);
                            if (i45 > 0) {
                                max = Math.min(i45, max);
                            }
                            linearSystem.d(l3, l2, max, 8);
                            i42 = i8;
                            z14 = false;
                        }
                        i15 = i42;
                        i17 = i45;
                        i16 = i10;
                        solverVariable4 = l4;
                        solverVariable6 = l3;
                        z15 = z14;
                        solverVariable5 = solverVariable3;
                        z16 = z5;
                        if (!z12) {
                        }
                        if (i16 < 2) {
                            return;
                        }
                        return;
                    }
                }
                if (!z14) {
                }
                i15 = i42;
                i17 = i45;
                i16 = i10;
                solverVariable4 = l4;
                solverVariable6 = l3;
                z15 = z14;
                solverVariable5 = solverVariable3;
                z16 = z5;
                if (!z12) {
                }
                if (i16 < 2) {
                }
            }
        }
        z13 = false;
        i12 = this.f1010i;
        this.f1010i = -1;
        i3 = i12;
        z13 = false;
        i13 = this.f1011j;
        if (i13 != -1) {
        }
        i13 = i3;
        if (this.q0 != 8) {
        }
        if (z12) {
        }
        if (!z14) {
        }
        i15 = i42;
        i17 = i45;
        i16 = i10;
        solverVariable4 = l4;
        solverVariable6 = l3;
        z15 = z14;
        solverVariable5 = solverVariable3;
        z16 = z5;
        if (!z12) {
        }
        if (i16 < 2) {
        }
    }

    public void g(ConstraintAnchor.Type type, ConstraintWidget constraintWidget, ConstraintAnchor.Type type2, int i2) {
        ConstraintAnchor.Type type3;
        ConstraintAnchor.Type type4;
        boolean z2;
        ConstraintAnchor.Type type5 = ConstraintAnchor.Type.CENTER;
        if (type != type5) {
            ConstraintAnchor.Type type6 = ConstraintAnchor.Type.CENTER_X;
            if (type == type6 && (type2 == (type4 = ConstraintAnchor.Type.LEFT) || type2 == ConstraintAnchor.Type.RIGHT)) {
                ConstraintAnchor l2 = l(type4);
                ConstraintAnchor l3 = constraintWidget.l(type2);
                ConstraintAnchor l4 = l(ConstraintAnchor.Type.RIGHT);
                l2.a(l3, 0);
                l4.a(l3, 0);
                l(type6).a(l3, 0);
                return;
            }
            ConstraintAnchor.Type type7 = ConstraintAnchor.Type.CENTER_Y;
            if (type == type7 && (type2 == (type3 = ConstraintAnchor.Type.TOP) || type2 == ConstraintAnchor.Type.BOTTOM)) {
                ConstraintAnchor l5 = constraintWidget.l(type2);
                l(type3).a(l5, 0);
                l(ConstraintAnchor.Type.BOTTOM).a(l5, 0);
                l(type7).a(l5, 0);
            } else if (type == type6 && type2 == type6) {
                ConstraintAnchor.Type type8 = ConstraintAnchor.Type.LEFT;
                l(type8).a(constraintWidget.l(type8), 0);
                ConstraintAnchor.Type type9 = ConstraintAnchor.Type.RIGHT;
                l(type9).a(constraintWidget.l(type9), 0);
                l(type6).a(constraintWidget.l(type2), 0);
            } else if (type == type7 && type2 == type7) {
                ConstraintAnchor.Type type10 = ConstraintAnchor.Type.TOP;
                l(type10).a(constraintWidget.l(type10), 0);
                ConstraintAnchor.Type type11 = ConstraintAnchor.Type.BOTTOM;
                l(type11).a(constraintWidget.l(type11), 0);
                l(type7).a(constraintWidget.l(type2), 0);
            } else {
                ConstraintAnchor l6 = l(type);
                ConstraintAnchor l7 = constraintWidget.l(type2);
                if (l6.j(l7)) {
                    ConstraintAnchor.Type type12 = ConstraintAnchor.Type.BASELINE;
                    if (type == type12) {
                        ConstraintAnchor l8 = l(ConstraintAnchor.Type.TOP);
                        ConstraintAnchor l9 = l(ConstraintAnchor.Type.BOTTOM);
                        if (l8 != null) {
                            l8.k();
                        }
                        if (l9 != null) {
                            l9.k();
                        }
                    } else if (type == ConstraintAnchor.Type.TOP || type == ConstraintAnchor.Type.BOTTOM) {
                        ConstraintAnchor l10 = l(type12);
                        if (l10 != null) {
                            l10.k();
                        }
                        ConstraintAnchor l11 = l(type5);
                        if (l11.f998f != l7) {
                            l11.k();
                        }
                        ConstraintAnchor f2 = l(type).f();
                        ConstraintAnchor l12 = l(type7);
                        if (l12.i()) {
                            f2.k();
                            l12.k();
                        }
                    } else if (type == ConstraintAnchor.Type.LEFT || type == ConstraintAnchor.Type.RIGHT) {
                        ConstraintAnchor l13 = l(type5);
                        if (l13.f998f != l7) {
                            l13.k();
                        }
                        ConstraintAnchor f3 = l(type).f();
                        ConstraintAnchor l14 = l(type6);
                        if (l14.i()) {
                            f3.k();
                            l14.k();
                        }
                    }
                    l6.a(l7, i2);
                }
            }
        } else if (type2 == type5) {
            ConstraintAnchor.Type type13 = ConstraintAnchor.Type.LEFT;
            ConstraintAnchor l15 = l(type13);
            ConstraintAnchor.Type type14 = ConstraintAnchor.Type.RIGHT;
            ConstraintAnchor l16 = l(type14);
            ConstraintAnchor.Type type15 = ConstraintAnchor.Type.TOP;
            ConstraintAnchor l17 = l(type15);
            ConstraintAnchor.Type type16 = ConstraintAnchor.Type.BOTTOM;
            ConstraintAnchor l18 = l(type16);
            boolean z3 = true;
            if ((l15 == null || !l15.i()) && (l16 == null || !l16.i())) {
                g(type13, constraintWidget, type13, 0);
                g(type14, constraintWidget, type14, 0);
                z2 = true;
            } else {
                z2 = false;
            }
            if ((l17 == null || !l17.i()) && (l18 == null || !l18.i())) {
                g(type15, constraintWidget, type15, 0);
                g(type16, constraintWidget, type16, 0);
            } else {
                z3 = false;
            }
            if (z2 && z3) {
                l(type5).a(constraintWidget.l(type5), 0);
            } else if (z2) {
                ConstraintAnchor.Type type17 = ConstraintAnchor.Type.CENTER_X;
                l(type17).a(constraintWidget.l(type17), 0);
            } else if (z3) {
                ConstraintAnchor.Type type18 = ConstraintAnchor.Type.CENTER_Y;
                l(type18).a(constraintWidget.l(type18), 0);
            }
        } else {
            ConstraintAnchor.Type type19 = ConstraintAnchor.Type.LEFT;
            if (type2 == type19 || type2 == ConstraintAnchor.Type.RIGHT) {
                g(type19, constraintWidget, type2, 0);
                g(ConstraintAnchor.Type.RIGHT, constraintWidget, type2, 0);
                l(type5).a(constraintWidget.l(type2), 0);
                return;
            }
            ConstraintAnchor.Type type20 = ConstraintAnchor.Type.TOP;
            if (type2 == type20 || type2 == ConstraintAnchor.Type.BOTTOM) {
                g(type20, constraintWidget, type2, 0);
                g(ConstraintAnchor.Type.BOTTOM, constraintWidget, type2, 0);
                l(type5).a(constraintWidget.l(type2), 0);
            }
        }
    }

    public void h(ConstraintAnchor constraintAnchor, ConstraintAnchor constraintAnchor2, int i2) {
        if (constraintAnchor.f996d == this) {
            g(constraintAnchor.f997e, constraintAnchor2.f996d, constraintAnchor2.f997e, i2);
        }
    }

    public void i(ConstraintWidget constraintWidget, HashMap<ConstraintWidget, ConstraintWidget> hashMap) {
        this.p = constraintWidget.p;
        this.q = constraintWidget.q;
        this.s = constraintWidget.s;
        this.t = constraintWidget.t;
        int[] iArr = this.u;
        int[] iArr2 = constraintWidget.u;
        iArr[0] = iArr2[0];
        iArr[1] = iArr2[1];
        this.v = constraintWidget.v;
        this.w = constraintWidget.w;
        this.y = constraintWidget.y;
        this.z = constraintWidget.z;
        this.A = constraintWidget.A;
        this.B = constraintWidget.B;
        this.C = constraintWidget.C;
        this.D = constraintWidget.D;
        this.E = constraintWidget.E;
        int[] iArr3 = constraintWidget.F;
        this.F = Arrays.copyOf(iArr3, iArr3.length);
        this.G = constraintWidget.G;
        this.H = constraintWidget.H;
        this.I = constraintWidget.I;
        this.M.k();
        this.N.k();
        this.O.k();
        this.P.k();
        this.Q.k();
        this.R.k();
        this.S.k();
        this.T.k();
        this.X = (DimensionBehaviour[]) Arrays.copyOf(this.X, 2);
        ConstraintWidget constraintWidget2 = null;
        this.Y = this.Y == null ? null : hashMap.get(constraintWidget.Y);
        this.Z = constraintWidget.Z;
        this.a0 = constraintWidget.a0;
        this.b0 = constraintWidget.b0;
        this.c0 = constraintWidget.c0;
        this.d0 = constraintWidget.d0;
        this.e0 = constraintWidget.e0;
        this.f0 = constraintWidget.f0;
        this.g0 = constraintWidget.g0;
        this.h0 = constraintWidget.h0;
        this.i0 = constraintWidget.i0;
        this.j0 = constraintWidget.j0;
        this.k0 = constraintWidget.k0;
        this.l0 = constraintWidget.l0;
        this.m0 = constraintWidget.m0;
        this.n0 = constraintWidget.n0;
        this.o0 = constraintWidget.o0;
        this.p0 = constraintWidget.p0;
        this.q0 = constraintWidget.q0;
        this.r0 = constraintWidget.r0;
        this.s0 = constraintWidget.s0;
        this.t0 = constraintWidget.t0;
        this.u0 = constraintWidget.u0;
        this.v0 = constraintWidget.v0;
        this.w0 = constraintWidget.w0;
        this.x0 = constraintWidget.x0;
        this.y0 = constraintWidget.y0;
        this.z0 = constraintWidget.z0;
        this.A0 = constraintWidget.A0;
        this.B0 = constraintWidget.B0;
        this.C0 = constraintWidget.C0;
        this.D0 = constraintWidget.D0;
        this.E0 = constraintWidget.E0;
        this.F0 = constraintWidget.F0;
        this.G0 = constraintWidget.G0;
        float[] fArr = this.H0;
        float[] fArr2 = constraintWidget.H0;
        fArr[0] = fArr2[0];
        fArr[1] = fArr2[1];
        ConstraintWidget[] constraintWidgetArr = this.I0;
        ConstraintWidget[] constraintWidgetArr2 = constraintWidget.I0;
        constraintWidgetArr[0] = constraintWidgetArr2[0];
        constraintWidgetArr[1] = constraintWidgetArr2[1];
        ConstraintWidget[] constraintWidgetArr3 = this.J0;
        ConstraintWidget[] constraintWidgetArr4 = constraintWidget.J0;
        constraintWidgetArr3[0] = constraintWidgetArr4[0];
        constraintWidgetArr3[1] = constraintWidgetArr4[1];
        ConstraintWidget constraintWidget3 = constraintWidget.K0;
        this.K0 = constraintWidget3 == null ? null : hashMap.get(constraintWidget3);
        ConstraintWidget constraintWidget4 = constraintWidget.L0;
        if (constraintWidget4 != null) {
            constraintWidget2 = hashMap.get(constraintWidget4);
        }
        this.L0 = constraintWidget2;
    }

    public void j(LinearSystem linearSystem) {
        linearSystem.l(this.M);
        linearSystem.l(this.N);
        linearSystem.l(this.O);
        linearSystem.l(this.P);
        if (this.j0 > 0) {
            linearSystem.l(this.Q);
        }
    }

    public void k() {
        if (this.f1005d == null) {
            this.f1005d = new HorizontalWidgetRun(this);
        }
        if (this.f1006e == null) {
            this.f1006e = new VerticalWidgetRun(this);
        }
    }

    public ConstraintAnchor l(ConstraintAnchor.Type type) {
        switch (type.ordinal()) {
            case 0:
                return null;
            case 1:
                return this.M;
            case 2:
                return this.N;
            case 3:
                return this.O;
            case 4:
                return this.P;
            case 5:
                return this.Q;
            case 6:
                return this.T;
            case 7:
                return this.R;
            case 8:
                return this.S;
            default:
                throw new AssertionError(type.name());
        }
    }

    public int m() {
        return w() + this.a0;
    }

    public DimensionBehaviour n(int i2) {
        if (i2 == 0) {
            return p();
        }
        if (i2 == 1) {
            return t();
        }
        return null;
    }

    public int o() {
        if (this.q0 == 8) {
            return 0;
        }
        return this.a0;
    }

    public DimensionBehaviour p() {
        return this.X[0];
    }

    public ConstraintWidget q(int i2) {
        ConstraintAnchor constraintAnchor;
        ConstraintAnchor constraintAnchor2;
        if (i2 == 0) {
            ConstraintAnchor constraintAnchor3 = this.O;
            ConstraintAnchor constraintAnchor4 = constraintAnchor3.f998f;
            if (constraintAnchor4 == null || constraintAnchor4.f998f != constraintAnchor3) {
                return null;
            }
            return constraintAnchor4.f996d;
        } else if (i2 == 1 && (constraintAnchor2 = (constraintAnchor = this.P).f998f) != null && constraintAnchor2.f998f == constraintAnchor) {
            return constraintAnchor2.f996d;
        } else {
            return null;
        }
    }

    public ConstraintWidget r(int i2) {
        ConstraintAnchor constraintAnchor;
        ConstraintAnchor constraintAnchor2;
        if (i2 == 0) {
            ConstraintAnchor constraintAnchor3 = this.M;
            ConstraintAnchor constraintAnchor4 = constraintAnchor3.f998f;
            if (constraintAnchor4 == null || constraintAnchor4.f998f != constraintAnchor3) {
                return null;
            }
            return constraintAnchor4.f996d;
        } else if (i2 == 1 && (constraintAnchor2 = (constraintAnchor = this.N).f998f) != null && constraintAnchor2.f998f == constraintAnchor) {
            return constraintAnchor2.f996d;
        } else {
            return null;
        }
    }

    public int s() {
        return v() + this.Z;
    }

    public DimensionBehaviour t() {
        return this.X[1];
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        String str = "";
        sb.append(this.s0 != null ? d.a.a.a.a.y(d.a.a.a.a.B("type: "), this.s0, " ") : str);
        if (this.r0 != null) {
            str = d.a.a.a.a.y(d.a.a.a.a.B("id: "), this.r0, " ");
        }
        sb.append(str);
        sb.append("(");
        sb.append(this.d0);
        sb.append(", ");
        sb.append(this.e0);
        sb.append(") - (");
        sb.append(this.Z);
        sb.append(" x ");
        return d.a.a.a.a.v(sb, this.a0, ")");
    }

    public int u() {
        if (this.q0 == 8) {
            return 0;
        }
        return this.Z;
    }

    public int v() {
        ConstraintWidget constraintWidget = this.Y;
        if (constraintWidget == null || !(constraintWidget instanceof ConstraintWidgetContainer)) {
            return this.d0;
        }
        return ((ConstraintWidgetContainer) constraintWidget).V0 + this.d0;
    }

    public int w() {
        ConstraintWidget constraintWidget = this.Y;
        if (constraintWidget == null || !(constraintWidget instanceof ConstraintWidgetContainer)) {
            return this.e0;
        }
        return ((ConstraintWidgetContainer) constraintWidget).W0 + this.e0;
    }

    public boolean x(int i2) {
        if (i2 == 0) {
            return (this.M.f998f != null ? 1 : 0) + (this.O.f998f != null ? 1 : 0) < 2;
        }
        if ((this.N.f998f != null ? 1 : 0) + (this.P.f998f != null ? 1 : 0) + (this.Q.f998f != null ? 1 : 0) < 2) {
            return true;
        }
        return false;
    }

    public boolean y(int i2, int i3) {
        ConstraintAnchor constraintAnchor;
        ConstraintAnchor constraintAnchor2;
        if (i2 == 0) {
            ConstraintAnchor constraintAnchor3 = this.M.f998f;
            if (constraintAnchor3 != null && constraintAnchor3.f995c && (constraintAnchor2 = this.O.f998f) != null && constraintAnchor2.f995c) {
                if ((constraintAnchor2.d() - this.O.e()) - (this.M.e() + this.M.f998f.d()) >= i3) {
                    return true;
                }
                return false;
            }
        } else {
            ConstraintAnchor constraintAnchor4 = this.N.f998f;
            if (constraintAnchor4 != null && constraintAnchor4.f995c && (constraintAnchor = this.P.f998f) != null && constraintAnchor.f995c) {
                if ((constraintAnchor.d() - this.P.e()) - (this.N.e() + this.N.f998f.d()) >= i3) {
                    return true;
                }
                return false;
            }
        }
        return false;
    }

    public void z(ConstraintAnchor.Type type, ConstraintWidget constraintWidget, ConstraintAnchor.Type type2, int i2, int i3) {
        l(type).b(constraintWidget.l(type2), i2, i3, true);
    }
}
