package androidx.constraintlayout.motion.utils;

import android.util.Log;
import android.view.View;
import androidx.constraintlayout.core.motion.utils.KeyCycleOscillator;
import androidx.constraintlayout.motion.widget.MotionLayout;
import androidx.constraintlayout.widget.ConstraintAttribute;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

public abstract class ViewOscillator extends KeyCycleOscillator {

    public static class PathRotateSet extends ViewOscillator {
        @Override // androidx.constraintlayout.motion.utils.ViewOscillator
        public void e(View view, float f2) {
        }
    }

    public static class a extends ViewOscillator {
        @Override // androidx.constraintlayout.motion.utils.ViewOscillator
        public void e(View view, float f2) {
            view.setAlpha(a(f2));
        }
    }

    public static class b extends ViewOscillator {

        /* renamed from: g  reason: collision with root package name */
        public float[] f1072g = new float[1];

        /* renamed from: h  reason: collision with root package name */
        public ConstraintAttribute f1073h;

        @Override // androidx.constraintlayout.core.motion.utils.KeyCycleOscillator
        public void c(Object obj) {
            this.f1073h = (ConstraintAttribute) obj;
        }

        @Override // androidx.constraintlayout.motion.utils.ViewOscillator
        public void e(View view, float f2) {
            this.f1072g[0] = a(f2);
            this.f1073h.h(view, this.f1072g);
        }
    }

    public static class c extends ViewOscillator {
        @Override // androidx.constraintlayout.motion.utils.ViewOscillator
        public void e(View view, float f2) {
            view.setElevation(a(f2));
        }
    }

    public static class d extends ViewOscillator {

        /* renamed from: g  reason: collision with root package name */
        public boolean f1074g = false;

        @Override // androidx.constraintlayout.motion.utils.ViewOscillator
        public void e(View view, float f2) {
            if (view instanceof MotionLayout) {
                ((MotionLayout) view).setProgress(a(f2));
            } else if (!this.f1074g) {
                Method method = null;
                try {
                    method = view.getClass().getMethod("setProgress", Float.TYPE);
                } catch (NoSuchMethodException unused) {
                    this.f1074g = true;
                }
                if (method != null) {
                    try {
                        method.invoke(view, Float.valueOf(a(f2)));
                    } catch (IllegalAccessException e2) {
                        Log.e("ViewOscillator", "unable to setProgress", e2);
                    } catch (InvocationTargetException e3) {
                        Log.e("ViewOscillator", "unable to setProgress", e3);
                    }
                }
            }
        }
    }

    public static class e extends ViewOscillator {
        @Override // androidx.constraintlayout.motion.utils.ViewOscillator
        public void e(View view, float f2) {
            view.setRotation(a(f2));
        }
    }

    public static class f extends ViewOscillator {
        @Override // androidx.constraintlayout.motion.utils.ViewOscillator
        public void e(View view, float f2) {
            view.setRotationX(a(f2));
        }
    }

    public static class g extends ViewOscillator {
        @Override // androidx.constraintlayout.motion.utils.ViewOscillator
        public void e(View view, float f2) {
            view.setRotationY(a(f2));
        }
    }

    public static class h extends ViewOscillator {
        @Override // androidx.constraintlayout.motion.utils.ViewOscillator
        public void e(View view, float f2) {
            view.setScaleX(a(f2));
        }
    }

    public static class i extends ViewOscillator {
        @Override // androidx.constraintlayout.motion.utils.ViewOscillator
        public void e(View view, float f2) {
            view.setScaleY(a(f2));
        }
    }

    public static class j extends ViewOscillator {
        @Override // androidx.constraintlayout.motion.utils.ViewOscillator
        public void e(View view, float f2) {
            view.setTranslationX(a(f2));
        }
    }

    public static class k extends ViewOscillator {
        @Override // androidx.constraintlayout.motion.utils.ViewOscillator
        public void e(View view, float f2) {
            view.setTranslationY(a(f2));
        }
    }

    public static class l extends ViewOscillator {
        @Override // androidx.constraintlayout.motion.utils.ViewOscillator
        public void e(View view, float f2) {
            view.setTranslationZ(a(f2));
        }
    }

    public abstract void e(View view, float f2);
}
