package androidx.constraintlayout.motion.utils;

import android.util.Log;
import android.util.SparseArray;
import android.view.View;
import androidx.constraintlayout.core.motion.utils.SplineSet;
import androidx.constraintlayout.motion.widget.MotionLayout;
import androidx.constraintlayout.widget.ConstraintAttribute;
import java.lang.reflect.Array;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

public abstract class ViewSpline extends SplineSet {

    public static class CustomSet extends ViewSpline {

        /* renamed from: f  reason: collision with root package name */
        public SparseArray<ConstraintAttribute> f1075f;

        /* renamed from: g  reason: collision with root package name */
        public float[] f1076g;

        public CustomSet(String str, SparseArray<ConstraintAttribute> sparseArray) {
            String str2 = str.split(",")[1];
            this.f1075f = sparseArray;
        }

        @Override // androidx.constraintlayout.core.motion.utils.SplineSet
        public void b(int i2, float f2) {
            throw new RuntimeException("don't call for custom attribute call setPoint(pos, ConstraintAttribute)");
        }

        @Override // androidx.constraintlayout.core.motion.utils.SplineSet
        public void c(int i2) {
            int size = this.f1075f.size();
            int e2 = this.f1075f.valueAt(0).e();
            double[] dArr = new double[size];
            this.f1076g = new float[e2];
            int[] iArr = new int[2];
            iArr[1] = e2;
            iArr[0] = size;
            double[][] dArr2 = (double[][]) Array.newInstance(double.class, iArr);
            for (int i3 = 0; i3 < size; i3++) {
                dArr[i3] = ((double) this.f1075f.keyAt(i3)) * 0.01d;
                this.f1075f.valueAt(i3).c(this.f1076g);
                int i4 = 0;
                while (true) {
                    float[] fArr = this.f1076g;
                    if (i4 >= fArr.length) {
                        break;
                    }
                    dArr2[i3][i4] = (double) fArr[i4];
                    i4++;
                }
            }
            this.f949a = b.h.a.d.a.a.a(i2, dArr, dArr2);
        }

        @Override // androidx.constraintlayout.motion.utils.ViewSpline
        public void d(View view, float f2) {
            this.f949a.d((double) f2, this.f1076g);
            this.f1075f.valueAt(0).h(view, this.f1076g);
        }
    }

    public static class PathRotate extends ViewSpline {
        @Override // androidx.constraintlayout.motion.utils.ViewSpline
        public void d(View view, float f2) {
        }
    }

    public static class a extends ViewSpline {
        @Override // androidx.constraintlayout.motion.utils.ViewSpline
        public void d(View view, float f2) {
            view.setAlpha((float) this.f949a.b((double) f2, 0));
        }
    }

    public static class b extends ViewSpline {
        @Override // androidx.constraintlayout.motion.utils.ViewSpline
        public void d(View view, float f2) {
            view.setElevation((float) this.f949a.b((double) f2, 0));
        }
    }

    public static class c extends ViewSpline {
        @Override // androidx.constraintlayout.motion.utils.ViewSpline
        public void d(View view, float f2) {
            view.setPivotX((float) this.f949a.b((double) f2, 0));
        }
    }

    public static class d extends ViewSpline {
        @Override // androidx.constraintlayout.motion.utils.ViewSpline
        public void d(View view, float f2) {
            view.setPivotY((float) this.f949a.b((double) f2, 0));
        }
    }

    public static class e extends ViewSpline {

        /* renamed from: f  reason: collision with root package name */
        public boolean f1077f = false;

        @Override // androidx.constraintlayout.motion.utils.ViewSpline
        public void d(View view, float f2) {
            if (view instanceof MotionLayout) {
                ((MotionLayout) view).setProgress((float) this.f949a.b((double) f2, 0));
            } else if (!this.f1077f) {
                Method method = null;
                try {
                    method = view.getClass().getMethod("setProgress", Float.TYPE);
                } catch (NoSuchMethodException unused) {
                    this.f1077f = true;
                }
                if (method != null) {
                    try {
                        method.invoke(view, Float.valueOf((float) this.f949a.b((double) f2, 0)));
                    } catch (IllegalAccessException e2) {
                        Log.e("ViewSpline", "unable to setProgress", e2);
                    } catch (InvocationTargetException e3) {
                        Log.e("ViewSpline", "unable to setProgress", e3);
                    }
                }
            }
        }
    }

    public static class f extends ViewSpline {
        @Override // androidx.constraintlayout.motion.utils.ViewSpline
        public void d(View view, float f2) {
            view.setRotation((float) this.f949a.b((double) f2, 0));
        }
    }

    public static class g extends ViewSpline {
        @Override // androidx.constraintlayout.motion.utils.ViewSpline
        public void d(View view, float f2) {
            view.setRotationX((float) this.f949a.b((double) f2, 0));
        }
    }

    public static class h extends ViewSpline {
        @Override // androidx.constraintlayout.motion.utils.ViewSpline
        public void d(View view, float f2) {
            view.setRotationY((float) this.f949a.b((double) f2, 0));
        }
    }

    public static class i extends ViewSpline {
        @Override // androidx.constraintlayout.motion.utils.ViewSpline
        public void d(View view, float f2) {
            view.setScaleX((float) this.f949a.b((double) f2, 0));
        }
    }

    public static class j extends ViewSpline {
        @Override // androidx.constraintlayout.motion.utils.ViewSpline
        public void d(View view, float f2) {
            view.setScaleY((float) this.f949a.b((double) f2, 0));
        }
    }

    public static class k extends ViewSpline {
        @Override // androidx.constraintlayout.motion.utils.ViewSpline
        public void d(View view, float f2) {
            view.setTranslationX((float) this.f949a.b((double) f2, 0));
        }
    }

    public static class l extends ViewSpline {
        @Override // androidx.constraintlayout.motion.utils.ViewSpline
        public void d(View view, float f2) {
            view.setTranslationY((float) this.f949a.b((double) f2, 0));
        }
    }

    public static class m extends ViewSpline {
        @Override // androidx.constraintlayout.motion.utils.ViewSpline
        public void d(View view, float f2) {
            view.setTranslationZ((float) this.f949a.b((double) f2, 0));
        }
    }

    public abstract void d(View view, float f2);
}
