package androidx.constraintlayout.motion.utils;

import android.util.Log;
import android.util.SparseArray;
import android.view.View;
import androidx.constraintlayout.core.motion.utils.TimeCycleSplineSet;
import androidx.constraintlayout.motion.widget.MotionLayout;
import androidx.constraintlayout.widget.ConstraintAttribute;
import java.lang.reflect.Array;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.Arrays;
import java.util.HashMap;

public abstract class ViewTimeCycle extends TimeCycleSplineSet {

    public static class CustomSet extends ViewTimeCycle {

        /* renamed from: k  reason: collision with root package name */
        public String f1078k;

        /* renamed from: l  reason: collision with root package name */
        public SparseArray<ConstraintAttribute> f1079l;
        public SparseArray<float[]> m = new SparseArray<>();
        public float[] n;
        public float[] o;

        public CustomSet(String str, SparseArray<ConstraintAttribute> sparseArray) {
            this.f1078k = str.split(",")[1];
            this.f1079l = sparseArray;
        }

        @Override // androidx.constraintlayout.core.motion.utils.TimeCycleSplineSet
        public void b(int i2, float f2, float f3, int i3, float f4) {
            throw new RuntimeException("don't call for custom attribute call setPoint(pos, ConstraintAttribute,...)");
        }

        @Override // androidx.constraintlayout.core.motion.utils.TimeCycleSplineSet
        public void c(int i2) {
            int size = this.f1079l.size();
            int e2 = this.f1079l.valueAt(0).e();
            double[] dArr = new double[size];
            int i3 = e2 + 2;
            this.n = new float[i3];
            this.o = new float[e2];
            int[] iArr = new int[2];
            iArr[1] = i3;
            iArr[0] = size;
            double[][] dArr2 = (double[][]) Array.newInstance(double.class, iArr);
            for (int i4 = 0; i4 < size; i4++) {
                int keyAt = this.f1079l.keyAt(i4);
                float[] valueAt = this.m.valueAt(i4);
                dArr[i4] = ((double) keyAt) * 0.01d;
                this.f1079l.valueAt(i4).c(this.n);
                int i5 = 0;
                while (true) {
                    float[] fArr = this.n;
                    if (i5 >= fArr.length) {
                        break;
                    }
                    dArr2[i4][i5] = (double) fArr[i5];
                    i5++;
                }
                dArr2[i4][e2] = (double) valueAt[0];
                dArr2[i4][e2 + 1] = (double) valueAt[1];
            }
            this.f976a = b.h.a.d.a.a.a(i2, dArr, dArr2);
        }

        @Override // androidx.constraintlayout.motion.utils.ViewTimeCycle
        public boolean e(View view, float f2, long j2, b.h.a.d.a.d dVar) {
            this.f976a.d((double) f2, this.n);
            float[] fArr = this.n;
            float f3 = fArr[fArr.length - 2];
            float f4 = fArr[fArr.length - 1];
            long j3 = j2 - this.f984i;
            if (Float.isNaN(this.f985j)) {
                float a2 = dVar.a(view, this.f1078k, 0);
                this.f985j = a2;
                if (Float.isNaN(a2)) {
                    this.f985j = 0.0f;
                }
            }
            float f5 = (float) ((((((double) j3) * 1.0E-9d) * ((double) f3)) + ((double) this.f985j)) % 1.0d);
            this.f985j = f5;
            this.f984i = j2;
            float a3 = a(f5);
            this.f983h = false;
            int i2 = 0;
            while (true) {
                float[] fArr2 = this.o;
                if (i2 >= fArr2.length) {
                    break;
                }
                boolean z = this.f983h;
                float[] fArr3 = this.n;
                this.f983h = z | (((double) fArr3[i2]) != 0.0d);
                fArr2[i2] = (fArr3[i2] * a3) + f4;
                i2++;
            }
            this.f1079l.valueAt(0).h(view, this.o);
            if (f3 != 0.0f) {
                this.f983h = true;
            }
            return this.f983h;
        }
    }

    public static class PathRotate extends ViewTimeCycle {
        @Override // androidx.constraintlayout.motion.utils.ViewTimeCycle
        public boolean e(View view, float f2, long j2, b.h.a.d.a.d dVar) {
            return this.f983h;
        }
    }

    public static class a extends ViewTimeCycle {
        @Override // androidx.constraintlayout.motion.utils.ViewTimeCycle
        public boolean e(View view, float f2, long j2, b.h.a.d.a.d dVar) {
            view.setAlpha(d(f2, j2, view, dVar));
            return this.f983h;
        }
    }

    public static class b extends ViewTimeCycle {
        @Override // androidx.constraintlayout.motion.utils.ViewTimeCycle
        public boolean e(View view, float f2, long j2, b.h.a.d.a.d dVar) {
            view.setElevation(d(f2, j2, view, dVar));
            return this.f983h;
        }
    }

    public static class c extends ViewTimeCycle {

        /* renamed from: k  reason: collision with root package name */
        public boolean f1080k = false;

        @Override // androidx.constraintlayout.motion.utils.ViewTimeCycle
        public boolean e(View view, float f2, long j2, b.h.a.d.a.d dVar) {
            if (view instanceof MotionLayout) {
                ((MotionLayout) view).setProgress(d(f2, j2, view, dVar));
            } else if (this.f1080k) {
                return false;
            } else {
                Method method = null;
                try {
                    method = view.getClass().getMethod("setProgress", Float.TYPE);
                } catch (NoSuchMethodException unused) {
                    this.f1080k = true;
                }
                if (method != null) {
                    try {
                        method.invoke(view, Float.valueOf(d(f2, j2, view, dVar)));
                    } catch (IllegalAccessException e2) {
                        Log.e("ViewTimeCycle", "unable to setProgress", e2);
                    } catch (InvocationTargetException e3) {
                        Log.e("ViewTimeCycle", "unable to setProgress", e3);
                    }
                }
            }
            return this.f983h;
        }
    }

    public static class d extends ViewTimeCycle {
        @Override // androidx.constraintlayout.motion.utils.ViewTimeCycle
        public boolean e(View view, float f2, long j2, b.h.a.d.a.d dVar) {
            view.setRotation(d(f2, j2, view, dVar));
            return this.f983h;
        }
    }

    public static class e extends ViewTimeCycle {
        @Override // androidx.constraintlayout.motion.utils.ViewTimeCycle
        public boolean e(View view, float f2, long j2, b.h.a.d.a.d dVar) {
            view.setRotationX(d(f2, j2, view, dVar));
            return this.f983h;
        }
    }

    public static class f extends ViewTimeCycle {
        @Override // androidx.constraintlayout.motion.utils.ViewTimeCycle
        public boolean e(View view, float f2, long j2, b.h.a.d.a.d dVar) {
            view.setRotationY(d(f2, j2, view, dVar));
            return this.f983h;
        }
    }

    public static class g extends ViewTimeCycle {
        @Override // androidx.constraintlayout.motion.utils.ViewTimeCycle
        public boolean e(View view, float f2, long j2, b.h.a.d.a.d dVar) {
            view.setScaleX(d(f2, j2, view, dVar));
            return this.f983h;
        }
    }

    public static class h extends ViewTimeCycle {
        @Override // androidx.constraintlayout.motion.utils.ViewTimeCycle
        public boolean e(View view, float f2, long j2, b.h.a.d.a.d dVar) {
            view.setScaleY(d(f2, j2, view, dVar));
            return this.f983h;
        }
    }

    public static class i extends ViewTimeCycle {
        @Override // androidx.constraintlayout.motion.utils.ViewTimeCycle
        public boolean e(View view, float f2, long j2, b.h.a.d.a.d dVar) {
            view.setTranslationX(d(f2, j2, view, dVar));
            return this.f983h;
        }
    }

    public static class j extends ViewTimeCycle {
        @Override // androidx.constraintlayout.motion.utils.ViewTimeCycle
        public boolean e(View view, float f2, long j2, b.h.a.d.a.d dVar) {
            view.setTranslationY(d(f2, j2, view, dVar));
            return this.f983h;
        }
    }

    public static class k extends ViewTimeCycle {
        @Override // androidx.constraintlayout.motion.utils.ViewTimeCycle
        public boolean e(View view, float f2, long j2, b.h.a.d.a.d dVar) {
            view.setTranslationZ(d(f2, j2, view, dVar));
            return this.f983h;
        }
    }

    public float d(float f2, long j2, View view, b.h.a.d.a.d dVar) {
        this.f976a.d((double) f2, this.f982g);
        float[] fArr = this.f982g;
        boolean z = true;
        float f3 = fArr[1];
        int i2 = (f3 > 0.0f ? 1 : (f3 == 0.0f ? 0 : -1));
        if (i2 == 0) {
            this.f983h = false;
            return fArr[2];
        }
        if (Float.isNaN(this.f985j)) {
            float a2 = dVar.a(view, this.f981f, 0);
            this.f985j = a2;
            if (Float.isNaN(a2)) {
                this.f985j = 0.0f;
            }
        }
        float f4 = (float) ((((((double) (j2 - this.f984i)) * 1.0E-9d) * ((double) f3)) + ((double) this.f985j)) % 1.0d);
        this.f985j = f4;
        String str = this.f981f;
        if (!dVar.f2971a.containsKey(view)) {
            HashMap<String, float[]> hashMap = new HashMap<>();
            hashMap.put(str, new float[]{f4});
            dVar.f2971a.put(view, hashMap);
        } else {
            HashMap<String, float[]> hashMap2 = dVar.f2971a.get(view);
            if (hashMap2 == null) {
                hashMap2 = new HashMap<>();
            }
            if (!hashMap2.containsKey(str)) {
                hashMap2.put(str, new float[]{f4});
                dVar.f2971a.put(view, hashMap2);
            } else {
                float[] fArr2 = hashMap2.get(str);
                if (fArr2 == null) {
                    fArr2 = new float[0];
                }
                if (fArr2.length <= 0) {
                    fArr2 = Arrays.copyOf(fArr2, 1);
                }
                fArr2[0] = f4;
                hashMap2.put(str, fArr2);
            }
        }
        this.f984i = j2;
        float f5 = this.f982g[0];
        float a3 = (a(this.f985j) * f5) + this.f982g[2];
        if (f5 == 0.0f && i2 == 0) {
            z = false;
        }
        this.f983h = z;
        return a3;
    }

    public abstract boolean e(View view, float f2, long j2, b.h.a.d.a.d dVar);
}
