package androidx.constraintlayout.motion.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseIntArray;
import androidx.constraintlayout.core.motion.utils.KeyCycleOscillator;
import androidx.constraintlayout.core.motion.utils.TypedValues;
import androidx.constraintlayout.motion.utils.ViewOscillator;
import androidx.constraintlayout.motion.utils.ViewSpline;
import androidx.constraintlayout.widget.ConstraintAttribute;
import androidx.constraintlayout.widget.R$styleable;
import b.h.c.a.b;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;

public class KeyCycle extends b {

    /* renamed from: f  reason: collision with root package name */
    public String f1092f = null;

    /* renamed from: g  reason: collision with root package name */
    public int f1093g = 0;

    /* renamed from: h  reason: collision with root package name */
    public int f1094h = -1;

    /* renamed from: i  reason: collision with root package name */
    public String f1095i = null;

    /* renamed from: j  reason: collision with root package name */
    public float f1096j = Float.NaN;

    /* renamed from: k  reason: collision with root package name */
    public float f1097k = 0.0f;

    /* renamed from: l  reason: collision with root package name */
    public float f1098l = 0.0f;
    public float m = Float.NaN;
    public int n = -1;
    public float o = Float.NaN;
    public float p = Float.NaN;
    public float q = Float.NaN;
    public float r = Float.NaN;
    public float s = Float.NaN;
    public float t = Float.NaN;
    public float u = Float.NaN;
    public float v = Float.NaN;
    public float w = Float.NaN;
    public float x = Float.NaN;
    public float y = Float.NaN;

    public static class a {

        /* renamed from: a  reason: collision with root package name */
        public static SparseIntArray f1099a;

        static {
            SparseIntArray sparseIntArray = new SparseIntArray();
            f1099a = sparseIntArray;
            sparseIntArray.append(R$styleable.KeyCycle_motionTarget, 1);
            f1099a.append(R$styleable.KeyCycle_framePosition, 2);
            f1099a.append(R$styleable.KeyCycle_transitionEasing, 3);
            f1099a.append(R$styleable.KeyCycle_curveFit, 4);
            f1099a.append(R$styleable.KeyCycle_waveShape, 5);
            f1099a.append(R$styleable.KeyCycle_wavePeriod, 6);
            f1099a.append(R$styleable.KeyCycle_waveOffset, 7);
            f1099a.append(R$styleable.KeyCycle_waveVariesBy, 8);
            f1099a.append(R$styleable.KeyCycle_android_alpha, 9);
            f1099a.append(R$styleable.KeyCycle_android_elevation, 10);
            f1099a.append(R$styleable.KeyCycle_android_rotation, 11);
            f1099a.append(R$styleable.KeyCycle_android_rotationX, 12);
            f1099a.append(R$styleable.KeyCycle_android_rotationY, 13);
            f1099a.append(R$styleable.KeyCycle_transitionPathRotate, 14);
            f1099a.append(R$styleable.KeyCycle_android_scaleX, 15);
            f1099a.append(R$styleable.KeyCycle_android_scaleY, 16);
            f1099a.append(R$styleable.KeyCycle_android_translationX, 17);
            f1099a.append(R$styleable.KeyCycle_android_translationY, 18);
            f1099a.append(R$styleable.KeyCycle_android_translationZ, 19);
            f1099a.append(R$styleable.KeyCycle_motionProgress, 20);
            f1099a.append(R$styleable.KeyCycle_wavePhase, 21);
        }
    }

    public KeyCycle() {
        this.f3024d = 4;
        this.f3025e = new HashMap<>();
    }

    @Override // b.h.c.a.b
    public void a(HashMap<String, ViewSpline> hashMap) {
        int size = hashMap.size();
        StringBuilder sb = new StringBuilder(22);
        sb.append("add ");
        sb.append(size);
        sb.append(" values");
        String sb2 = sb.toString();
        StackTraceElement[] stackTrace = new Throwable().getStackTrace();
        int min = Math.min(2, stackTrace.length - 1);
        String str = " ";
        for (int i2 = 1; i2 <= min; i2++) {
            StackTraceElement stackTraceElement = stackTrace[i2];
            String fileName = stackTrace[i2].getFileName();
            int lineNumber = stackTrace[i2].getLineNumber();
            String methodName = stackTrace[i2].getMethodName();
            StringBuilder sb3 = new StringBuilder(d.a.a.a.a.R(methodName, d.a.a.a.a.R(fileName, 16)));
            sb3.append(".(");
            sb3.append(fileName);
            sb3.append(":");
            sb3.append(lineNumber);
            String y2 = d.a.a.a.a.y(sb3, ") ", methodName);
            str = String.valueOf(str).concat(" ");
            Log.v(TypedValues.Cycle.NAME, d.a.a.a.a.f(d.a.a.a.a.R(str, d.a.a.a.a.R(y2, d.a.a.a.a.R(str, String.valueOf(sb2).length()))), sb2, str, y2, str));
        }
        for (String str2 : hashMap.keySet()) {
            ViewSpline viewSpline = hashMap.get(str2);
            if (viewSpline != null) {
                str2.hashCode();
                str2.hashCode();
                char c2 = 65535;
                switch (str2.hashCode()) {
                    case -1249320806:
                        if (str2.equals("rotationX")) {
                            c2 = 0;
                            break;
                        }
                        break;
                    case -1249320805:
                        if (str2.equals("rotationY")) {
                            c2 = 1;
                            break;
                        }
                        break;
                    case -1225497657:
                        if (str2.equals("translationX")) {
                            c2 = 2;
                            break;
                        }
                        break;
                    case -1225497656:
                        if (str2.equals("translationY")) {
                            c2 = 3;
                            break;
                        }
                        break;
                    case -1225497655:
                        if (str2.equals("translationZ")) {
                            c2 = 4;
                            break;
                        }
                        break;
                    case -1001078227:
                        if (str2.equals("progress")) {
                            c2 = 5;
                            break;
                        }
                        break;
                    case -908189618:
                        if (str2.equals("scaleX")) {
                            c2 = 6;
                            break;
                        }
                        break;
                    case -908189617:
                        if (str2.equals("scaleY")) {
                            c2 = 7;
                            break;
                        }
                        break;
                    case -40300674:
                        if (str2.equals("rotation")) {
                            c2 = '\b';
                            break;
                        }
                        break;
                    case -4379043:
                        if (str2.equals("elevation")) {
                            c2 = '\t';
                            break;
                        }
                        break;
                    case 37232917:
                        if (str2.equals("transitionPathRotate")) {
                            c2 = '\n';
                            break;
                        }
                        break;
                    case 92909918:
                        if (str2.equals("alpha")) {
                            c2 = 11;
                            break;
                        }
                        break;
                    case 156108012:
                        if (str2.equals("waveOffset")) {
                            c2 = '\f';
                            break;
                        }
                        break;
                    case 1530034690:
                        if (str2.equals("wavePhase")) {
                            c2 = '\r';
                            break;
                        }
                        break;
                }
                switch (c2) {
                    case 0:
                        viewSpline.b(this.f3021a, this.s);
                        continue;
                    case 1:
                        viewSpline.b(this.f3021a, this.t);
                        continue;
                    case 2:
                        viewSpline.b(this.f3021a, this.w);
                        continue;
                    case 3:
                        viewSpline.b(this.f3021a, this.x);
                        continue;
                    case 4:
                        viewSpline.b(this.f3021a, this.y);
                        continue;
                    case 5:
                        viewSpline.b(this.f3021a, this.m);
                        continue;
                    case 6:
                        viewSpline.b(this.f3021a, this.u);
                        continue;
                    case 7:
                        viewSpline.b(this.f3021a, this.v);
                        continue;
                    case '\b':
                        viewSpline.b(this.f3021a, this.q);
                        continue;
                    case '\t':
                        viewSpline.b(this.f3021a, this.p);
                        continue;
                    case '\n':
                        viewSpline.b(this.f3021a, this.r);
                        continue;
                    case 11:
                        viewSpline.b(this.f3021a, this.o);
                        continue;
                    case '\f':
                        viewSpline.b(this.f3021a, this.f1097k);
                        continue;
                    case '\r':
                        viewSpline.b(this.f3021a, this.f1098l);
                        continue;
                    default:
                        if (!str2.startsWith("CUSTOM")) {
                            Log.v("WARNING KeyCycle", str2.length() != 0 ? "  UNKNOWN  ".concat(str2) : new String("  UNKNOWN  "));
                            break;
                        } else {
                            continue;
                        }
                }
            }
        }
    }

    @Override // b.h.c.a.b
    /* renamed from: b */
    public b clone() {
        KeyCycle keyCycle = new KeyCycle();
        super.c(this);
        keyCycle.f1092f = this.f1092f;
        keyCycle.f1093g = this.f1093g;
        keyCycle.f1094h = this.f1094h;
        keyCycle.f1095i = this.f1095i;
        keyCycle.f1096j = this.f1096j;
        keyCycle.f1097k = this.f1097k;
        keyCycle.f1098l = this.f1098l;
        keyCycle.m = this.m;
        keyCycle.n = this.n;
        keyCycle.o = this.o;
        keyCycle.p = this.p;
        keyCycle.q = this.q;
        keyCycle.r = this.r;
        keyCycle.s = this.s;
        keyCycle.t = this.t;
        keyCycle.u = this.u;
        keyCycle.v = this.v;
        keyCycle.w = this.w;
        keyCycle.x = this.x;
        keyCycle.y = this.y;
        return keyCycle;
    }

    @Override // b.h.c.a.b
    public void d(HashSet<String> hashSet) {
        if (!Float.isNaN(this.o)) {
            hashSet.add("alpha");
        }
        if (!Float.isNaN(this.p)) {
            hashSet.add("elevation");
        }
        if (!Float.isNaN(this.q)) {
            hashSet.add("rotation");
        }
        if (!Float.isNaN(this.s)) {
            hashSet.add("rotationX");
        }
        if (!Float.isNaN(this.t)) {
            hashSet.add("rotationY");
        }
        if (!Float.isNaN(this.u)) {
            hashSet.add("scaleX");
        }
        if (!Float.isNaN(this.v)) {
            hashSet.add("scaleY");
        }
        if (!Float.isNaN(this.r)) {
            hashSet.add("transitionPathRotate");
        }
        if (!Float.isNaN(this.w)) {
            hashSet.add("translationX");
        }
        if (!Float.isNaN(this.x)) {
            hashSet.add("translationY");
        }
        if (!Float.isNaN(this.y)) {
            hashSet.add("translationZ");
        }
        if (this.f3025e.size() > 0) {
            for (String str : this.f3025e.keySet()) {
                String valueOf = String.valueOf(str);
                hashSet.add(valueOf.length() != 0 ? "CUSTOM,".concat(valueOf) : new String("CUSTOM,"));
            }
        }
    }

    @Override // b.h.c.a.b
    public void e(Context context, AttributeSet attributeSet) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.KeyCycle);
        SparseIntArray sparseIntArray = a.f1099a;
        int indexCount = obtainStyledAttributes.getIndexCount();
        for (int i2 = 0; i2 < indexCount; i2++) {
            int index = obtainStyledAttributes.getIndex(i2);
            switch (a.f1099a.get(index)) {
                case 1:
                    if (!MotionLayout.f1123d) {
                        if (obtainStyledAttributes.peekValue(index).type == 3) {
                            this.f3023c = obtainStyledAttributes.getString(index);
                            break;
                        } else {
                            this.f3022b = obtainStyledAttributes.getResourceId(index, this.f3022b);
                            break;
                        }
                    } else {
                        int resourceId = obtainStyledAttributes.getResourceId(index, this.f3022b);
                        this.f3022b = resourceId;
                        if (resourceId == -1) {
                            this.f3023c = obtainStyledAttributes.getString(index);
                            break;
                        } else {
                            break;
                        }
                    }
                case 2:
                    this.f3021a = obtainStyledAttributes.getInt(index, this.f3021a);
                    break;
                case 3:
                    this.f1092f = obtainStyledAttributes.getString(index);
                    break;
                case 4:
                    this.f1093g = obtainStyledAttributes.getInteger(index, this.f1093g);
                    break;
                case 5:
                    if (obtainStyledAttributes.peekValue(index).type == 3) {
                        this.f1095i = obtainStyledAttributes.getString(index);
                        this.f1094h = 7;
                        break;
                    } else {
                        this.f1094h = obtainStyledAttributes.getInt(index, this.f1094h);
                        break;
                    }
                case 6:
                    this.f1096j = obtainStyledAttributes.getFloat(index, this.f1096j);
                    break;
                case 7:
                    if (obtainStyledAttributes.peekValue(index).type == 5) {
                        this.f1097k = obtainStyledAttributes.getDimension(index, this.f1097k);
                        break;
                    } else {
                        this.f1097k = obtainStyledAttributes.getFloat(index, this.f1097k);
                        break;
                    }
                case 8:
                    this.n = obtainStyledAttributes.getInt(index, this.n);
                    break;
                case 9:
                    this.o = obtainStyledAttributes.getFloat(index, this.o);
                    break;
                case 10:
                    this.p = obtainStyledAttributes.getDimension(index, this.p);
                    break;
                case 11:
                    this.q = obtainStyledAttributes.getFloat(index, this.q);
                    break;
                case 12:
                    this.s = obtainStyledAttributes.getFloat(index, this.s);
                    break;
                case 13:
                    this.t = obtainStyledAttributes.getFloat(index, this.t);
                    break;
                case 14:
                    this.r = obtainStyledAttributes.getFloat(index, this.r);
                    break;
                case 15:
                    this.u = obtainStyledAttributes.getFloat(index, this.u);
                    break;
                case 16:
                    this.v = obtainStyledAttributes.getFloat(index, this.v);
                    break;
                case 17:
                    this.w = obtainStyledAttributes.getDimension(index, this.w);
                    break;
                case 18:
                    this.x = obtainStyledAttributes.getDimension(index, this.x);
                    break;
                case 19:
                    this.y = obtainStyledAttributes.getDimension(index, this.y);
                    break;
                case 20:
                    this.m = obtainStyledAttributes.getFloat(index, this.m);
                    break;
                case 21:
                    this.f1098l = obtainStyledAttributes.getFloat(index, this.f1098l) / 360.0f;
                    break;
                default:
                    String hexString = Integer.toHexString(index);
                    Log.e(TypedValues.Cycle.NAME, d.a.a.a.a.e(d.a.a.a.a.R(hexString, 33), "unused attribute 0x", hexString, "   ", a.f1099a.get(index)));
                    break;
            }
        }
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    /* JADX WARNING: Code restructure failed: missing block: B:37:0x00c7, code lost:
        if (r3.equals("scaleY") == false) goto L_0x0071;
     */
    public void i(HashMap<String, ViewOscillator> hashMap) {
        float f2;
        ViewOscillator viewOscillator;
        float f3;
        ViewOscillator viewOscillator2;
        Iterator<String> it = hashMap.keySet().iterator();
        while (it.hasNext()) {
            String next = it.next();
            char c2 = 7;
            if (next.startsWith("CUSTOM")) {
                ConstraintAttribute constraintAttribute = this.f3025e.get(next.substring(7));
                if (!(constraintAttribute == null || constraintAttribute.f1199c != ConstraintAttribute.AttributeType.FLOAT_TYPE || (viewOscillator2 = hashMap.get(next)) == null)) {
                    int i2 = this.f3021a;
                    int i3 = this.f1094h;
                    String str = this.f1095i;
                    int i4 = this.n;
                    viewOscillator2.f923f.add(new KeyCycleOscillator.c(i2, this.f1096j, this.f1097k, this.f1098l, constraintAttribute.b()));
                    if (i4 != -1) {
                        viewOscillator2.f922e = i4;
                    }
                    viewOscillator2.f920c = i3;
                    viewOscillator2.c(constraintAttribute);
                    viewOscillator2.f921d = str;
                }
            } else {
                switch (next.hashCode()) {
                    case -1249320806:
                        if (next.equals("rotationX")) {
                            c2 = 0;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case -1249320805:
                        if (next.equals("rotationY")) {
                            c2 = 1;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case -1225497657:
                        if (next.equals("translationX")) {
                            c2 = 2;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case -1225497656:
                        if (next.equals("translationY")) {
                            c2 = 3;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case -1225497655:
                        if (next.equals("translationZ")) {
                            c2 = 4;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case -1001078227:
                        if (next.equals("progress")) {
                            c2 = 5;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case -908189618:
                        if (next.equals("scaleX")) {
                            c2 = 6;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case -908189617:
                        break;
                    case -40300674:
                        if (next.equals("rotation")) {
                            c2 = '\b';
                            break;
                        }
                        c2 = 65535;
                        break;
                    case -4379043:
                        if (next.equals("elevation")) {
                            c2 = '\t';
                            break;
                        }
                        c2 = 65535;
                        break;
                    case 37232917:
                        if (next.equals("transitionPathRotate")) {
                            c2 = '\n';
                            break;
                        }
                        c2 = 65535;
                        break;
                    case 92909918:
                        if (next.equals("alpha")) {
                            c2 = 11;
                            break;
                        }
                        c2 = 65535;
                        break;
                    case 156108012:
                        if (next.equals("waveOffset")) {
                            c2 = '\f';
                            break;
                        }
                        c2 = 65535;
                        break;
                    case 1530034690:
                        if (next.equals("wavePhase")) {
                            c2 = '\r';
                            break;
                        }
                        c2 = 65535;
                        break;
                    default:
                        c2 = 65535;
                        break;
                }
                switch (c2) {
                    case 0:
                        f3 = this.s;
                        f2 = f3;
                        break;
                    case 1:
                        f3 = this.t;
                        f2 = f3;
                        break;
                    case 2:
                        f3 = this.w;
                        f2 = f3;
                        break;
                    case 3:
                        f3 = this.x;
                        f2 = f3;
                        break;
                    case 4:
                        f3 = this.y;
                        f2 = f3;
                        break;
                    case 5:
                        f3 = this.m;
                        f2 = f3;
                        break;
                    case 6:
                        f3 = this.u;
                        f2 = f3;
                        break;
                    case 7:
                        f3 = this.v;
                        f2 = f3;
                        break;
                    case '\b':
                        f3 = this.q;
                        f2 = f3;
                        break;
                    case '\t':
                        f3 = this.p;
                        f2 = f3;
                        break;
                    case '\n':
                        f3 = this.r;
                        f2 = f3;
                        break;
                    case 11:
                        f3 = this.o;
                        f2 = f3;
                        break;
                    case '\f':
                        f3 = this.f1097k;
                        f2 = f3;
                        break;
                    case '\r':
                        f3 = this.f1098l;
                        f2 = f3;
                        break;
                    default:
                        if (!next.startsWith("CUSTOM")) {
                            Log.v("WARNING! KeyCycle", next.length() != 0 ? "  UNKNOWN  ".concat(next) : new String("  UNKNOWN  "));
                        }
                        f2 = Float.NaN;
                        break;
                }
                if (!Float.isNaN(f2) && (viewOscillator = hashMap.get(next)) != null) {
                    int i5 = this.f3021a;
                    int i6 = this.f1094h;
                    String str2 = this.f1095i;
                    int i7 = this.n;
                    viewOscillator.f923f.add(new KeyCycleOscillator.c(i5, this.f1096j, this.f1097k, this.f1098l, f2));
                    if (i7 != -1) {
                        viewOscillator.f922e = i7;
                    }
                    viewOscillator.f920c = i6;
                    viewOscillator.f921d = str2;
                }
            }
        }
    }
}
