package androidx.constraintlayout.motion.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseIntArray;
import android.view.View;
import android.view.ViewGroup;
import androidx.constraintlayout.core.motion.utils.TypedValues;
import androidx.constraintlayout.motion.utils.ViewSpline;
import androidx.constraintlayout.widget.R$styleable;
import b.h.c.a.b;
import b.h.c.a.d;
import java.util.HashMap;

public class KeyPosition extends d {

    /* renamed from: g  reason: collision with root package name */
    public String f1100g = null;

    /* renamed from: h  reason: collision with root package name */
    public int f1101h = -1;

    /* renamed from: i  reason: collision with root package name */
    public int f1102i = 0;

    /* renamed from: j  reason: collision with root package name */
    public float f1103j = Float.NaN;

    /* renamed from: k  reason: collision with root package name */
    public float f1104k = Float.NaN;

    /* renamed from: l  reason: collision with root package name */
    public float f1105l = Float.NaN;
    public float m = Float.NaN;
    public float n = Float.NaN;
    public float o = Float.NaN;
    public int p = 0;
    public float q = Float.NaN;
    public float r = Float.NaN;

    public static class a {

        /* renamed from: a  reason: collision with root package name */
        public static SparseIntArray f1106a;

        static {
            SparseIntArray sparseIntArray = new SparseIntArray();
            f1106a = sparseIntArray;
            sparseIntArray.append(R$styleable.KeyPosition_motionTarget, 1);
            f1106a.append(R$styleable.KeyPosition_framePosition, 2);
            f1106a.append(R$styleable.KeyPosition_transitionEasing, 3);
            f1106a.append(R$styleable.KeyPosition_curveFit, 4);
            f1106a.append(R$styleable.KeyPosition_drawPath, 5);
            f1106a.append(R$styleable.KeyPosition_percentX, 6);
            f1106a.append(R$styleable.KeyPosition_percentY, 7);
            f1106a.append(R$styleable.KeyPosition_keyPositionType, 9);
            f1106a.append(R$styleable.KeyPosition_sizePercent, 8);
            f1106a.append(R$styleable.KeyPosition_percentWidth, 11);
            f1106a.append(R$styleable.KeyPosition_percentHeight, 12);
            f1106a.append(R$styleable.KeyPosition_pathMotionArc, 10);
        }
    }

    public KeyPosition() {
        this.f3024d = 2;
    }

    @Override // b.h.c.a.b
    public void a(HashMap<String, ViewSpline> hashMap) {
    }

    @Override // b.h.c.a.b
    public b b() {
        KeyPosition keyPosition = new KeyPosition();
        super.c(this);
        keyPosition.f1100g = this.f1100g;
        keyPosition.f1101h = this.f1101h;
        keyPosition.f1102i = this.f1102i;
        keyPosition.f1103j = this.f1103j;
        keyPosition.f1104k = Float.NaN;
        keyPosition.f1105l = this.f1105l;
        keyPosition.m = this.m;
        keyPosition.n = this.n;
        keyPosition.o = this.o;
        keyPosition.q = this.q;
        keyPosition.r = this.r;
        return keyPosition;
    }

    @Override // b.h.c.a.b
    public void e(Context context, AttributeSet attributeSet) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.KeyPosition);
        SparseIntArray sparseIntArray = a.f1106a;
        int indexCount = obtainStyledAttributes.getIndexCount();
        for (int i2 = 0; i2 < indexCount; i2++) {
            int index = obtainStyledAttributes.getIndex(i2);
            switch (a.f1106a.get(index)) {
                case 1:
                    if (!MotionLayout.f1123d) {
                        if (obtainStyledAttributes.peekValue(index).type == 3) {
                            this.f3023c = obtainStyledAttributes.getString(index);
                            break;
                        } else {
                            this.f3022b = obtainStyledAttributes.getResourceId(index, this.f3022b);
                            break;
                        }
                    } else {
                        int resourceId = obtainStyledAttributes.getResourceId(index, this.f3022b);
                        this.f3022b = resourceId;
                        if (resourceId == -1) {
                            this.f3023c = obtainStyledAttributes.getString(index);
                            break;
                        } else {
                            break;
                        }
                    }
                case 2:
                    this.f3021a = obtainStyledAttributes.getInt(index, this.f3021a);
                    break;
                case 3:
                    if (obtainStyledAttributes.peekValue(index).type == 3) {
                        this.f1100g = obtainStyledAttributes.getString(index);
                        break;
                    } else {
                        this.f1100g = b.h.a.d.a.b.f2965b[obtainStyledAttributes.getInteger(index, 0)];
                        break;
                    }
                case 4:
                    this.f3028f = obtainStyledAttributes.getInteger(index, this.f3028f);
                    break;
                case 5:
                    this.f1102i = obtainStyledAttributes.getInt(index, this.f1102i);
                    break;
                case 6:
                    this.f1105l = obtainStyledAttributes.getFloat(index, this.f1105l);
                    break;
                case 7:
                    this.m = obtainStyledAttributes.getFloat(index, this.m);
                    break;
                case 8:
                    float f2 = obtainStyledAttributes.getFloat(index, this.f1104k);
                    this.f1103j = f2;
                    this.f1104k = f2;
                    break;
                case 9:
                    this.p = obtainStyledAttributes.getInt(index, this.p);
                    break;
                case 10:
                    this.f1101h = obtainStyledAttributes.getInt(index, this.f1101h);
                    break;
                case 11:
                    this.f1103j = obtainStyledAttributes.getFloat(index, this.f1103j);
                    break;
                case 12:
                    this.f1104k = obtainStyledAttributes.getFloat(index, this.f1104k);
                    break;
                default:
                    String hexString = Integer.toHexString(index);
                    Log.e(TypedValues.Position.NAME, d.a.a.a.a.e(d.a.a.a.a.R(hexString, 33), "unused attribute 0x", hexString, "   ", a.f1106a.get(index)));
                    break;
            }
        }
        if (this.f3021a == -1) {
            Log.e(TypedValues.Position.NAME, "no frame position");
        }
    }

    @Override // b.h.c.a.d
    public boolean i(int i2, int i3, RectF rectF, RectF rectF2, float f2, float f3) {
        float centerX = rectF.centerX();
        float centerY = rectF.centerY();
        float centerX2 = rectF2.centerX();
        float centerY2 = rectF2.centerY();
        int i4 = this.p;
        if (i4 == 1) {
            float f4 = centerX2 - centerX;
            float f5 = centerY2 - centerY;
            float f6 = this.f1105l;
            float f7 = (f4 * f6) + centerX;
            float f8 = this.m;
            this.q = ((-f5) * f8) + f7;
            this.r = (f4 * f8) + (f5 * f6) + centerY;
        } else if (i4 != 2) {
            float f9 = centerX2 - centerX;
            float f10 = centerY2 - centerY;
            float f11 = 0.0f;
            float f12 = Float.isNaN(this.f1105l) ? 0.0f : this.f1105l;
            float f13 = Float.isNaN(this.o) ? 0.0f : this.o;
            float f14 = Float.isNaN(this.m) ? 0.0f : this.m;
            if (!Float.isNaN(this.n)) {
                f11 = this.n;
            }
            this.q = (float) ((int) ((f11 * f10) + (f12 * f9) + centerX));
            this.r = (float) ((int) ((f10 * f14) + (f9 * f13) + centerY));
        } else {
            float f15 = this.f1105l;
            float f16 = (float) 0;
            this.q = (((float) (i2 - 0)) * f15) + f16;
            this.r = (((float) (i3 - 0)) * f15) + f16;
        }
        return Math.abs(f2 - this.q) < 20.0f && Math.abs(f3 - this.r) < 20.0f;
    }

    @Override // b.h.c.a.d
    public void j(View view, RectF rectF, RectF rectF2, float f2, float f3, String[] strArr, float[] fArr) {
        int i2 = this.p;
        if (i2 == 1) {
            float centerX = rectF.centerX();
            float centerY = rectF.centerY();
            float centerX2 = rectF2.centerX() - centerX;
            float centerY2 = rectF2.centerY() - centerY;
            float hypot = (float) Math.hypot((double) centerX2, (double) centerY2);
            if (((double) hypot) < 1.0E-4d) {
                System.out.println("distance ~ 0");
                fArr[0] = 0.0f;
                fArr[1] = 0.0f;
                return;
            }
            float f4 = centerX2 / hypot;
            float f5 = centerY2 / hypot;
            float f6 = f3 - centerY;
            float f7 = f2 - centerX;
            float f8 = ((f4 * f6) - (f7 * f5)) / hypot;
            float f9 = ((f5 * f6) + (f4 * f7)) / hypot;
            if (strArr[0] == null) {
                strArr[0] = TypedValues.Position.S_PERCENT_X;
                strArr[1] = TypedValues.Position.S_PERCENT_Y;
                fArr[0] = f9;
                fArr[1] = f8;
            } else if (TypedValues.Position.S_PERCENT_X.equals(strArr[0])) {
                fArr[0] = f9;
                fArr[1] = f8;
            }
        } else if (i2 != 2) {
            float centerX3 = rectF.centerX();
            float centerY3 = rectF.centerY();
            float centerX4 = rectF2.centerX() - centerX3;
            float centerY4 = rectF2.centerY() - centerY3;
            if (strArr[0] == null) {
                strArr[0] = TypedValues.Position.S_PERCENT_X;
                fArr[0] = (f2 - centerX3) / centerX4;
                strArr[1] = TypedValues.Position.S_PERCENT_Y;
                fArr[1] = (f3 - centerY3) / centerY4;
            } else if (TypedValues.Position.S_PERCENT_X.equals(strArr[0])) {
                fArr[0] = (f2 - centerX3) / centerX4;
                fArr[1] = (f3 - centerY3) / centerY4;
            } else {
                fArr[1] = (f2 - centerX3) / centerX4;
                fArr[0] = (f3 - centerY3) / centerY4;
            }
        } else {
            rectF.centerX();
            rectF.centerY();
            rectF2.centerX();
            rectF2.centerY();
            ViewGroup viewGroup = (ViewGroup) view.getParent();
            int width = viewGroup.getWidth();
            int height = viewGroup.getHeight();
            if (strArr[0] == null) {
                strArr[0] = TypedValues.Position.S_PERCENT_X;
                fArr[0] = f2 / ((float) width);
                strArr[1] = TypedValues.Position.S_PERCENT_Y;
                fArr[1] = f3 / ((float) height);
            } else if (TypedValues.Position.S_PERCENT_X.equals(strArr[0])) {
                fArr[0] = f2 / ((float) width);
                fArr[1] = f3 / ((float) height);
            } else {
                fArr[1] = f2 / ((float) width);
                fArr[0] = f3 / ((float) height);
            }
        }
    }

    public void k(String str, Object obj) {
        char c2 = 65535;
        switch (str.hashCode()) {
            case -1812823328:
                if (str.equals(TypedValues.Position.S_TRANSITION_EASING)) {
                    c2 = 0;
                    break;
                }
                break;
            case -1127236479:
                if (str.equals(TypedValues.Position.S_PERCENT_WIDTH)) {
                    c2 = 1;
                    break;
                }
                break;
            case -1017587252:
                if (str.equals(TypedValues.Position.S_PERCENT_HEIGHT)) {
                    c2 = 2;
                    break;
                }
                break;
            case -827014263:
                if (str.equals(TypedValues.Position.S_DRAWPATH)) {
                    c2 = 3;
                    break;
                }
                break;
            case -200259324:
                if (str.equals(TypedValues.Position.S_SIZE_PERCENT)) {
                    c2 = 4;
                    break;
                }
                break;
            case 428090547:
                if (str.equals(TypedValues.Position.S_PERCENT_X)) {
                    c2 = 5;
                    break;
                }
                break;
            case 428090548:
                if (str.equals(TypedValues.Position.S_PERCENT_Y)) {
                    c2 = 6;
                    break;
                }
                break;
        }
        switch (c2) {
            case 0:
                this.f1100g = obj.toString();
                return;
            case 1:
                this.f1103j = g(obj);
                return;
            case 2:
                this.f1104k = g(obj);
                return;
            case 3:
                this.f1102i = h(obj);
                return;
            case 4:
                float g2 = g(obj);
                this.f1103j = g2;
                this.f1104k = g2;
                return;
            case 5:
                this.f1105l = g(obj);
                return;
            case 6:
                this.m = g(obj);
                return;
            default:
                return;
        }
    }
}
