package androidx.constraintlayout.motion.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.RectF;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseIntArray;
import android.view.View;
import android.view.ViewGroup;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.constraintlayout.core.motion.utils.TypedValues;
import androidx.constraintlayout.motion.utils.ViewSpline;
import androidx.constraintlayout.motion.widget.MotionLayout;
import androidx.constraintlayout.widget.ConstraintAttribute;
import androidx.constraintlayout.widget.R$styleable;
import b.h.c.a.b;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Locale;
import java.util.concurrent.CopyOnWriteArrayList;

public class KeyTrigger extends b {

    /* renamed from: f  reason: collision with root package name */
    public int f1115f = -1;

    /* renamed from: g  reason: collision with root package name */
    public String f1116g = null;

    /* renamed from: h  reason: collision with root package name */
    public int f1117h = -1;

    /* renamed from: i  reason: collision with root package name */
    public String f1118i = null;

    /* renamed from: j  reason: collision with root package name */
    public String f1119j = null;

    /* renamed from: k  reason: collision with root package name */
    public int f1120k = -1;

    /* renamed from: l  reason: collision with root package name */
    public int f1121l = -1;
    public View m = null;
    public float n = 0.1f;
    public boolean o = true;
    public boolean p = true;
    public boolean q = true;
    public float r = Float.NaN;
    public float s;
    public boolean t = false;
    public int u = -1;
    public int v = -1;
    public int w = -1;
    public RectF x = new RectF();
    public RectF y = new RectF();
    public HashMap<String, Method> z = new HashMap<>();

    public static class a {

        /* renamed from: a  reason: collision with root package name */
        public static SparseIntArray f1122a;

        static {
            SparseIntArray sparseIntArray = new SparseIntArray();
            f1122a = sparseIntArray;
            sparseIntArray.append(R$styleable.KeyTrigger_framePosition, 8);
            f1122a.append(R$styleable.KeyTrigger_onCross, 4);
            f1122a.append(R$styleable.KeyTrigger_onNegativeCross, 1);
            f1122a.append(R$styleable.KeyTrigger_onPositiveCross, 2);
            f1122a.append(R$styleable.KeyTrigger_motionTarget, 7);
            f1122a.append(R$styleable.KeyTrigger_triggerId, 6);
            f1122a.append(R$styleable.KeyTrigger_triggerSlack, 5);
            f1122a.append(R$styleable.KeyTrigger_motion_triggerOnCollision, 9);
            f1122a.append(R$styleable.KeyTrigger_motion_postLayoutCollision, 10);
            f1122a.append(R$styleable.KeyTrigger_triggerReceiver, 11);
            f1122a.append(R$styleable.KeyTrigger_viewTransitionOnCross, 12);
            f1122a.append(R$styleable.KeyTrigger_viewTransitionOnNegativeCross, 13);
            f1122a.append(R$styleable.KeyTrigger_viewTransitionOnPositiveCross, 14);
        }
    }

    public KeyTrigger() {
        this.f3024d = 5;
        this.f3025e = new HashMap<>();
    }

    @Override // b.h.c.a.b
    public void a(HashMap<String, ViewSpline> hashMap) {
    }

    @Override // b.h.c.a.b
    /* renamed from: b */
    public b clone() {
        KeyTrigger keyTrigger = new KeyTrigger();
        super.c(this);
        keyTrigger.f1115f = this.f1115f;
        keyTrigger.f1116g = this.f1116g;
        keyTrigger.f1117h = this.f1117h;
        keyTrigger.f1118i = this.f1118i;
        keyTrigger.f1119j = this.f1119j;
        keyTrigger.f1120k = this.f1120k;
        keyTrigger.f1121l = this.f1121l;
        keyTrigger.m = this.m;
        keyTrigger.n = this.n;
        keyTrigger.o = this.o;
        keyTrigger.p = this.p;
        keyTrigger.q = this.q;
        keyTrigger.r = this.r;
        keyTrigger.s = this.s;
        keyTrigger.t = this.t;
        keyTrigger.x = this.x;
        keyTrigger.y = this.y;
        keyTrigger.z = this.z;
        return keyTrigger;
    }

    @Override // b.h.c.a.b
    public void d(HashSet<String> hashSet) {
    }

    @Override // b.h.c.a.b
    public void e(Context context, AttributeSet attributeSet) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.KeyTrigger);
        SparseIntArray sparseIntArray = a.f1122a;
        int indexCount = obtainStyledAttributes.getIndexCount();
        for (int i2 = 0; i2 < indexCount; i2++) {
            int index = obtainStyledAttributes.getIndex(i2);
            switch (a.f1122a.get(index)) {
                case 1:
                    this.f1118i = obtainStyledAttributes.getString(index);
                    break;
                case 2:
                    this.f1119j = obtainStyledAttributes.getString(index);
                    break;
                case 3:
                default:
                    String hexString = Integer.toHexString(index);
                    Log.e(TypedValues.Trigger.NAME, d.a.a.a.a.e(d.a.a.a.a.R(hexString, 33), "unused attribute 0x", hexString, "   ", a.f1122a.get(index)));
                    break;
                case 4:
                    this.f1116g = obtainStyledAttributes.getString(index);
                    break;
                case 5:
                    this.n = obtainStyledAttributes.getFloat(index, this.n);
                    break;
                case 6:
                    this.f1120k = obtainStyledAttributes.getResourceId(index, this.f1120k);
                    break;
                case 7:
                    if (!MotionLayout.f1123d) {
                        if (obtainStyledAttributes.peekValue(index).type == 3) {
                            this.f3023c = obtainStyledAttributes.getString(index);
                            break;
                        } else {
                            this.f3022b = obtainStyledAttributes.getResourceId(index, this.f3022b);
                            break;
                        }
                    } else {
                        int resourceId = obtainStyledAttributes.getResourceId(index, this.f3022b);
                        this.f3022b = resourceId;
                        if (resourceId == -1) {
                            this.f3023c = obtainStyledAttributes.getString(index);
                            break;
                        } else {
                            break;
                        }
                    }
                case 8:
                    int integer = obtainStyledAttributes.getInteger(index, this.f3021a);
                    this.f3021a = integer;
                    this.r = (((float) integer) + 0.5f) / 100.0f;
                    break;
                case 9:
                    this.f1121l = obtainStyledAttributes.getResourceId(index, this.f1121l);
                    break;
                case 10:
                    this.t = obtainStyledAttributes.getBoolean(index, this.t);
                    break;
                case 11:
                    this.f1117h = obtainStyledAttributes.getResourceId(index, this.f1117h);
                    break;
                case 12:
                    this.w = obtainStyledAttributes.getResourceId(index, this.w);
                    break;
                case 13:
                    this.u = obtainStyledAttributes.getResourceId(index, this.u);
                    break;
                case 14:
                    this.v = obtainStyledAttributes.getResourceId(index, this.v);
                    break;
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:36:0x008c  */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x00a1  */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x00b6  */
    /* JADX WARNING: Removed duplicated region for block: B:54:0x00d0  */
    /* JADX WARNING: Removed duplicated region for block: B:65:0x00f6  */
    /* JADX WARNING: Removed duplicated region for block: B:68:0x00fd  */
    /* JADX WARNING: Removed duplicated region for block: B:74:0x0115  */
    /* JADX WARNING: Removed duplicated region for block: B:75:0x0117  */
    /* JADX WARNING: Removed duplicated region for block: B:77:0x0125  */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x0141  */
    /* JADX WARNING: Removed duplicated region for block: B:91:0x015d  */
    /* JADX WARNING: Removed duplicated region for block: B:99:? A[RETURN, SYNTHETIC] */
    public void i(float f2, View view) {
        boolean z2;
        boolean z3;
        boolean z4;
        MotionLayout.TransitionListener transitionListener;
        CopyOnWriteArrayList<MotionLayout.TransitionListener> copyOnWriteArrayList;
        boolean z5;
        boolean z6;
        boolean z7;
        if (this.f1121l != -1) {
            if (this.m == null) {
                this.m = ((ViewGroup) view.getParent()).findViewById(this.f1121l);
            }
            k(this.x, this.m, this.t);
            k(this.y, view, this.t);
            if (this.x.intersect(this.y)) {
                if (this.o) {
                    this.o = false;
                    z4 = true;
                } else {
                    z4 = false;
                }
                if (this.q) {
                    this.q = false;
                    z7 = true;
                } else {
                    z7 = false;
                }
                this.p = true;
                z2 = z7;
                z3 = false;
                this.s = f2;
                if (z3 || z4 || z2) {
                    MotionLayout motionLayout = (MotionLayout) view.getParent();
                    int i2 = this.f1120k;
                    transitionListener = motionLayout.B;
                    if (transitionListener != null) {
                        transitionListener.onTransitionTrigger(motionLayout, i2, z2, f2);
                    }
                    copyOnWriteArrayList = motionLayout.V;
                    if (copyOnWriteArrayList != null) {
                        Iterator<MotionLayout.TransitionListener> it = copyOnWriteArrayList.iterator();
                        while (it.hasNext()) {
                            it.next().onTransitionTrigger(motionLayout, i2, z2, f2);
                        }
                    }
                }
                View findViewById = this.f1117h == -1 ? view : ((MotionLayout) view.getParent()).findViewById(this.f1117h);
                if (z3) {
                    String str = this.f1118i;
                    if (str != null) {
                        j(str, findViewById);
                    }
                    if (this.u != -1) {
                        ((MotionLayout) view.getParent()).w(this.u, findViewById);
                    }
                }
                if (z2) {
                    String str2 = this.f1119j;
                    if (str2 != null) {
                        j(str2, findViewById);
                    }
                    if (this.v != -1) {
                        ((MotionLayout) view.getParent()).w(this.v, findViewById);
                    }
                }
                if (z4) {
                    String str3 = this.f1116g;
                    if (str3 != null) {
                        j(str3, findViewById);
                    }
                    if (this.w != -1) {
                        ((MotionLayout) view.getParent()).w(this.w, findViewById);
                        return;
                    }
                    return;
                }
                return;
            }
            if (!this.o) {
                this.o = true;
                z4 = true;
            } else {
                z4 = false;
            }
            if (this.p) {
                this.p = false;
                z3 = true;
            } else {
                z3 = false;
            }
            this.q = true;
        } else {
            if (this.o) {
                float f3 = this.r;
                if ((this.s - f3) * (f2 - f3) < 0.0f) {
                    this.o = false;
                    z4 = true;
                    if (!this.p) {
                        float f4 = this.r;
                        float f5 = f2 - f4;
                        if ((this.s - f4) * f5 < 0.0f && f5 < 0.0f) {
                            this.p = false;
                            z5 = true;
                            if (this.q) {
                                float f6 = this.r;
                                float f7 = f2 - f6;
                                if ((this.s - f6) * f7 >= 0.0f || f7 <= 0.0f) {
                                    z6 = false;
                                } else {
                                    this.q = false;
                                    z6 = true;
                                }
                                z2 = z6;
                                z3 = z5;
                                this.s = f2;
                                MotionLayout motionLayout2 = (MotionLayout) view.getParent();
                                int i22 = this.f1120k;
                                transitionListener = motionLayout2.B;
                                if (transitionListener != null) {
                                }
                                copyOnWriteArrayList = motionLayout2.V;
                                if (copyOnWriteArrayList != null) {
                                }
                                if (this.f1117h == -1) {
                                }
                                if (z3) {
                                }
                                if (z2) {
                                }
                                if (z4) {
                                }
                            } else {
                                if (Math.abs(f2 - this.r) > this.n) {
                                    this.q = true;
                                }
                                z3 = z5;
                            }
                        }
                    } else if (Math.abs(f2 - this.r) > this.n) {
                        this.p = true;
                    }
                    z5 = false;
                    if (this.q) {
                    }
                }
            } else if (Math.abs(f2 - this.r) > this.n) {
                this.o = true;
            }
            z4 = false;
            if (!this.p) {
            }
            z5 = false;
            if (this.q) {
            }
        }
        z2 = false;
        this.s = f2;
        MotionLayout motionLayout22 = (MotionLayout) view.getParent();
        int i222 = this.f1120k;
        transitionListener = motionLayout22.B;
        if (transitionListener != null) {
        }
        copyOnWriteArrayList = motionLayout22.V;
        if (copyOnWriteArrayList != null) {
        }
        if (this.f1117h == -1) {
        }
        if (z3) {
        }
        if (z2) {
        }
        if (z4) {
        }
    }

    public final void j(String str, View view) {
        Method method;
        ConstraintAttribute constraintAttribute;
        String str2;
        if (str != null) {
            if (str.startsWith(".")) {
                boolean z2 = str.length() == 1;
                if (!z2) {
                    str = str.substring(1).toLowerCase(Locale.ROOT);
                }
                for (String str3 : this.f3025e.keySet()) {
                    String lowerCase = str3.toLowerCase(Locale.ROOT);
                    if ((z2 || lowerCase.matches(str)) && (constraintAttribute = this.f3025e.get(str3)) != null) {
                        Class<?> cls = view.getClass();
                        String str4 = constraintAttribute.f1198b;
                        if (!constraintAttribute.f1197a) {
                            String valueOf = String.valueOf(str4);
                            str2 = valueOf.length() != 0 ? "set".concat(valueOf) : new String("set");
                        } else {
                            str2 = str4;
                        }
                        try {
                            switch (constraintAttribute.f1199c.ordinal()) {
                                case 0:
                                case 7:
                                    cls.getMethod(str2, Integer.TYPE).invoke(view, Integer.valueOf(constraintAttribute.f1200d));
                                    continue;
                                case 1:
                                    cls.getMethod(str2, Float.TYPE).invoke(view, Float.valueOf(constraintAttribute.f1201e));
                                    continue;
                                case 2:
                                    cls.getMethod(str2, Integer.TYPE).invoke(view, Integer.valueOf(constraintAttribute.f1204h));
                                    continue;
                                case 3:
                                    Method method2 = cls.getMethod(str2, Drawable.class);
                                    ColorDrawable colorDrawable = new ColorDrawable();
                                    colorDrawable.setColor(constraintAttribute.f1204h);
                                    method2.invoke(view, colorDrawable);
                                    continue;
                                case 4:
                                    cls.getMethod(str2, CharSequence.class).invoke(view, constraintAttribute.f1202f);
                                    continue;
                                case 5:
                                    cls.getMethod(str2, Boolean.TYPE).invoke(view, Boolean.valueOf(constraintAttribute.f1203g));
                                    continue;
                                case 6:
                                    cls.getMethod(str2, Float.TYPE).invoke(view, Float.valueOf(constraintAttribute.f1201e));
                                    continue;
                                default:
                                    continue;
                            }
                        } catch (NoSuchMethodException e2) {
                            Log.e("TransitionLayout", e2.getMessage());
                            String name = cls.getName();
                            Log.e("TransitionLayout", d.a.a.a.a.f(name.length() + d.a.a.a.a.R(str4, 34), " Custom Attribute \"", str4, "\" not found on ", name));
                            String name2 = cls.getName();
                            StringBuilder sb = new StringBuilder(d.a.a.a.a.R(str2, name2.length() + 20));
                            sb.append(name2);
                            sb.append(" must have a method ");
                            sb.append(str2);
                            Log.e("TransitionLayout", sb.toString());
                        } catch (IllegalAccessException e3) {
                            String name3 = cls.getName();
                            Log.e("TransitionLayout", d.a.a.a.a.f(name3.length() + d.a.a.a.a.R(str4, 34), " Custom Attribute \"", str4, "\" not found on ", name3));
                            e3.printStackTrace();
                        } catch (InvocationTargetException e4) {
                            String name4 = cls.getName();
                            Log.e("TransitionLayout", d.a.a.a.a.f(name4.length() + d.a.a.a.a.R(str4, 34), " Custom Attribute \"", str4, "\" not found on ", name4));
                            e4.printStackTrace();
                        }
                    }
                }
                return;
            }
            if (this.z.containsKey(str)) {
                method = this.z.get(str);
                if (method == null) {
                    return;
                }
            } else {
                method = null;
            }
            if (method == null) {
                try {
                    method = view.getClass().getMethod(str, new Class[0]);
                    this.z.put(str, method);
                } catch (NoSuchMethodException unused) {
                    this.z.put(str, null);
                    String simpleName = view.getClass().getSimpleName();
                    String M = AppCompatDelegateImpl.e.M(view);
                    StringBuilder sb2 = new StringBuilder(d.a.a.a.a.R(M, simpleName.length() + str.length() + 34));
                    sb2.append("Could not find method \"");
                    sb2.append(str);
                    sb2.append("\"on class ");
                    sb2.append(simpleName);
                    sb2.append(" ");
                    sb2.append(M);
                    Log.e(TypedValues.Trigger.NAME, sb2.toString());
                    return;
                }
            }
            try {
                method.invoke(view, new Object[0]);
            } catch (Exception unused2) {
                String str5 = this.f1116g;
                String simpleName2 = view.getClass().getSimpleName();
                String M2 = AppCompatDelegateImpl.e.M(view);
                StringBuilder sb3 = new StringBuilder(d.a.a.a.a.R(M2, simpleName2.length() + d.a.a.a.a.R(str5, 30)));
                sb3.append("Exception in call \"");
                sb3.append(str5);
                sb3.append("\"on class ");
                sb3.append(simpleName2);
                sb3.append(" ");
                sb3.append(M2);
                Log.e(TypedValues.Trigger.NAME, sb3.toString());
            }
        }
    }

    public final void k(RectF rectF, View view, boolean z2) {
        rectF.top = (float) view.getTop();
        rectF.bottom = (float) view.getBottom();
        rectF.left = (float) view.getLeft();
        rectF.right = (float) view.getRight();
        if (z2) {
            view.getMatrix().mapRect(rectF);
        }
    }
}
