package androidx.constraintlayout.motion.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.DashPathEffect;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.Rect;
import android.graphics.RectF;
import android.os.Bundle;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.util.SparseBooleanArray;
import android.util.SparseIntArray;
import android.view.Display;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.AccelerateDecelerateInterpolator;
import android.view.animation.AccelerateInterpolator;
import android.view.animation.AnimationUtils;
import android.view.animation.BounceInterpolator;
import android.view.animation.DecelerateInterpolator;
import android.view.animation.Interpolator;
import android.view.animation.OvershootInterpolator;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.constraintlayout.core.motion.utils.SpringStopEngine;
import androidx.constraintlayout.core.widgets.Barrier;
import androidx.constraintlayout.core.widgets.ConstraintWidget;
import androidx.constraintlayout.core.widgets.ConstraintWidgetContainer;
import androidx.constraintlayout.core.widgets.Flow;
import androidx.constraintlayout.core.widgets.Guideline;
import androidx.constraintlayout.core.widgets.Helper;
import androidx.constraintlayout.core.widgets.HelperWidget;
import androidx.constraintlayout.core.widgets.Placeholder;
import androidx.constraintlayout.core.widgets.VirtualLayout;
import androidx.constraintlayout.core.widgets.WidgetContainer;
import androidx.constraintlayout.motion.utils.StopLogic;
import androidx.constraintlayout.widget.ConstraintHelper;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.constraintlayout.widget.Constraints;
import androidx.constraintlayout.widget.R$styleable;
import androidx.core.internal.view.SupportMenu;
import androidx.core.view.NestedScrollingParent3;
import androidx.core.widget.NestedScrollView;
import b.h.c.a.i;
import b.h.c.a.j;
import b.h.c.a.k;
import b.h.c.a.l;
import b.h.c.a.m;
import b.h.c.a.o;
import b.h.c.a.p;
import b.h.d.b;
import b.h.d.d;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Objects;
import java.util.concurrent.CopyOnWriteArrayList;

public class MotionLayout extends ConstraintLayout implements NestedScrollingParent3 {

    /* renamed from: d  reason: collision with root package name */
    public static boolean f1123d;
    public boolean A = false;
    public TransitionListener B;
    public float C;
    public float D;
    public int E = 0;
    public e F;
    public boolean G = false;
    public StopLogic H = new StopLogic();
    public d I = new d();
    public DesignTool J;
    public int K;
    public int L;
    public boolean M = false;
    public float N;
    public float O;
    public long P;
    public float Q;
    public boolean R = false;
    public ArrayList<MotionHelper> S = null;
    public ArrayList<MotionHelper> T = null;
    public ArrayList<MotionHelper> U = null;
    public CopyOnWriteArrayList<TransitionListener> V = null;
    public int W = 0;
    public long a0 = -1;
    public float b0 = 0.0f;
    public int c0 = 0;
    public float d0 = 0.0f;
    public boolean e0 = false;
    public int f0;
    public int g0;

    /* renamed from: h  reason: collision with root package name */
    public j f1124h;
    public int h0;
    public int i0;

    /* renamed from: j  reason: collision with root package name */
    public Interpolator f1125j;
    public int j0;

    /* renamed from: k  reason: collision with root package name */
    public Interpolator f1126k = null;
    public int k0;

    /* renamed from: l  reason: collision with root package name */
    public float f1127l = 0.0f;
    public float l0;
    public int m = -1;
    public b.h.a.d.a.d m0 = new b.h.a.d.a.d();
    public int n = -1;
    public boolean n0 = false;
    public int o = -1;
    public h o0;
    public int p = 0;
    public Runnable p0 = null;
    public int q = 0;
    public HashMap<View, ?> q0 = new HashMap<>();
    public boolean r = true;
    public Rect r0 = new Rect();
    public HashMap<View, b.h.c.a.g> s = new HashMap<>();
    public boolean s0 = false;
    public long t = 0;
    public TransitionState t0 = TransitionState.UNDEFINED;
    public float u = 1.0f;
    public f u0 = new f();
    public float v = 0.0f;
    public boolean v0 = false;
    public float w = 0.0f;
    public RectF w0 = new RectF();
    public long x;
    public View x0 = null;
    public float y = 0.0f;
    public Matrix y0 = null;
    public boolean z;
    public ArrayList<Integer> z0 = new ArrayList<>();

    public interface MotionTracker {
        void addMovement(MotionEvent motionEvent);

        void clear();

        void computeCurrentVelocity(int i2);

        void computeCurrentVelocity(int i2, float f2);

        float getXVelocity();

        float getXVelocity(int i2);

        float getYVelocity();

        float getYVelocity(int i2);

        void recycle();
    }

    public interface TransitionListener {
        void onTransitionChange(MotionLayout motionLayout, int i2, int i3, float f2);

        void onTransitionCompleted(MotionLayout motionLayout, int i2);

        void onTransitionStarted(MotionLayout motionLayout, int i2, int i3);

        void onTransitionTrigger(MotionLayout motionLayout, int i2, boolean z, float f2);
    }

    public enum TransitionState {
        UNDEFINED,
        SETUP,
        MOVING,
        FINISHED
    }

    public class a implements Runnable {
        public a() {
        }

        public void run() {
            MotionLayout.this.o0.a();
        }
    }

    public class b implements Runnable {

        /* renamed from: d  reason: collision with root package name */
        public final /* synthetic */ View f1129d;

        public b(View view) {
            this.f1129d = view;
        }

        public void run() {
            this.f1129d.setNestedScrollingEnabled(true);
        }
    }

    public class c implements Runnable {
        public c() {
        }

        public void run() {
            MotionLayout.this.o0.a();
        }
    }

    public class d extends b.h.c.a.h {

        /* renamed from: a  reason: collision with root package name */
        public float f1131a = 0.0f;

        /* renamed from: b  reason: collision with root package name */
        public float f1132b = 0.0f;

        /* renamed from: c  reason: collision with root package name */
        public float f1133c;

        public d() {
        }

        @Override // b.h.c.a.h
        public float a() {
            return MotionLayout.this.f1127l;
        }

        public float getInterpolation(float f2) {
            float f3 = this.f1131a;
            if (f3 > 0.0f) {
                float f4 = this.f1133c;
                if (f3 / f4 < f2) {
                    f2 = f3 / f4;
                }
                MotionLayout.this.f1127l = f3 - (f4 * f2);
                return ((f3 * f2) - (((f4 * f2) * f2) / 2.0f)) + this.f1132b;
            }
            float f5 = this.f1133c;
            if ((-f3) / f5 < f2) {
                f2 = (-f3) / f5;
            }
            MotionLayout.this.f1127l = (f5 * f2) + f3;
            return (((f5 * f2) * f2) / 2.0f) + (f3 * f2) + this.f1132b;
        }
    }

    public class e {

        /* renamed from: a  reason: collision with root package name */
        public float[] f1135a;

        /* renamed from: b  reason: collision with root package name */
        public int[] f1136b;

        /* renamed from: c  reason: collision with root package name */
        public float[] f1137c;

        /* renamed from: d  reason: collision with root package name */
        public Path f1138d;

        /* renamed from: e  reason: collision with root package name */
        public Paint f1139e;

        /* renamed from: f  reason: collision with root package name */
        public Paint f1140f;

        /* renamed from: g  reason: collision with root package name */
        public Paint f1141g;

        /* renamed from: h  reason: collision with root package name */
        public Paint f1142h;

        /* renamed from: i  reason: collision with root package name */
        public Paint f1143i;

        /* renamed from: j  reason: collision with root package name */
        public float[] f1144j;

        /* renamed from: k  reason: collision with root package name */
        public DashPathEffect f1145k;

        /* renamed from: l  reason: collision with root package name */
        public int f1146l;
        public Rect m = new Rect();
        public int n = 1;

        public e() {
            Paint paint = new Paint();
            this.f1139e = paint;
            paint.setAntiAlias(true);
            this.f1139e.setColor(-21965);
            this.f1139e.setStrokeWidth(2.0f);
            this.f1139e.setStyle(Paint.Style.STROKE);
            Paint paint2 = new Paint();
            this.f1140f = paint2;
            paint2.setAntiAlias(true);
            this.f1140f.setColor(-2067046);
            this.f1140f.setStrokeWidth(2.0f);
            this.f1140f.setStyle(Paint.Style.STROKE);
            Paint paint3 = new Paint();
            this.f1141g = paint3;
            paint3.setAntiAlias(true);
            this.f1141g.setColor(-13391360);
            this.f1141g.setStrokeWidth(2.0f);
            this.f1141g.setStyle(Paint.Style.STROKE);
            Paint paint4 = new Paint();
            this.f1142h = paint4;
            paint4.setAntiAlias(true);
            this.f1142h.setColor(-13391360);
            this.f1142h.setTextSize(MotionLayout.this.getContext().getResources().getDisplayMetrics().density * 12.0f);
            this.f1144j = new float[8];
            Paint paint5 = new Paint();
            this.f1143i = paint5;
            paint5.setAntiAlias(true);
            DashPathEffect dashPathEffect = new DashPathEffect(new float[]{4.0f, 8.0f}, 0.0f);
            this.f1145k = dashPathEffect;
            this.f1141g.setPathEffect(dashPathEffect);
            this.f1137c = new float[100];
            this.f1136b = new int[50];
        }

        public void a(Canvas canvas, int i2, int i3, b.h.c.a.g gVar) {
            int i4;
            int i5;
            int i6;
            float f2;
            float f3;
            if (i2 == 4) {
                boolean z = false;
                boolean z2 = false;
                for (int i7 = 0; i7 < this.f1146l; i7++) {
                    int[] iArr = this.f1136b;
                    if (iArr[i7] == 1) {
                        z = true;
                    }
                    if (iArr[i7] == 0) {
                        z2 = true;
                    }
                }
                if (z) {
                    d(canvas);
                }
                if (z2) {
                    b(canvas);
                }
            }
            if (i2 == 2) {
                d(canvas);
            }
            if (i2 == 3) {
                b(canvas);
            }
            canvas.drawLines(this.f1135a, this.f1139e);
            View view = gVar.f3036b;
            if (view != null) {
                i5 = view.getWidth();
                i4 = gVar.f3036b.getHeight();
            } else {
                i5 = 0;
                i4 = 0;
            }
            int i8 = 1;
            while (i8 < i3 - 1) {
                if (i2 == 4 && this.f1136b[i8 - 1] == 0) {
                    i6 = i8;
                } else {
                    float[] fArr = this.f1137c;
                    int i9 = i8 * 2;
                    float f4 = fArr[i9];
                    float f5 = fArr[i9 + 1];
                    this.f1138d.reset();
                    this.f1138d.moveTo(f4, f5 + 10.0f);
                    this.f1138d.lineTo(f4 + 10.0f, f5);
                    this.f1138d.lineTo(f4, f5 - 10.0f);
                    this.f1138d.lineTo(f4 - 10.0f, f5);
                    this.f1138d.close();
                    int i10 = i8 - 1;
                    gVar.v.get(i10);
                    if (i2 == 4) {
                        int[] iArr2 = this.f1136b;
                        if (iArr2[i10] == 1) {
                            e(canvas, f4 - 0.0f, f5 - 0.0f);
                        } else if (iArr2[i10] == 0) {
                            c(canvas, f4 - 0.0f, f5 - 0.0f);
                        } else if (iArr2[i10] == 2) {
                            f2 = f5;
                            f3 = f4;
                            i6 = i8;
                            f(canvas, f4 - 0.0f, f5 - 0.0f, i5, i4);
                            canvas.drawPath(this.f1138d, this.f1143i);
                        }
                        f2 = f5;
                        f3 = f4;
                        i6 = i8;
                        canvas.drawPath(this.f1138d, this.f1143i);
                    } else {
                        f2 = f5;
                        f3 = f4;
                        i6 = i8;
                    }
                    if (i2 == 2) {
                        e(canvas, f3 - 0.0f, f2 - 0.0f);
                    }
                    if (i2 == 3) {
                        c(canvas, f3 - 0.0f, f2 - 0.0f);
                    }
                    if (i2 == 6) {
                        f(canvas, f3 - 0.0f, f2 - 0.0f, i5, i4);
                    }
                    canvas.drawPath(this.f1138d, this.f1143i);
                }
                i8 = i6 + 1;
            }
            float[] fArr2 = this.f1135a;
            if (fArr2.length > 1) {
                canvas.drawCircle(fArr2[0], fArr2[1], 8.0f, this.f1140f);
                float[] fArr3 = this.f1135a;
                canvas.drawCircle(fArr3[fArr3.length - 2], fArr3[fArr3.length - 1], 8.0f, this.f1140f);
            }
        }

        public final void b(Canvas canvas) {
            float[] fArr = this.f1135a;
            float f2 = fArr[0];
            float f3 = fArr[1];
            float f4 = fArr[fArr.length - 2];
            float f5 = fArr[fArr.length - 1];
            canvas.drawLine(Math.min(f2, f4), Math.max(f3, f5), Math.max(f2, f4), Math.max(f3, f5), this.f1141g);
            canvas.drawLine(Math.min(f2, f4), Math.min(f3, f5), Math.min(f2, f4), Math.max(f3, f5), this.f1141g);
        }

        public final void c(Canvas canvas, float f2, float f3) {
            float[] fArr = this.f1135a;
            float f4 = fArr[0];
            float f5 = fArr[1];
            float f6 = fArr[fArr.length - 2];
            float f7 = fArr[fArr.length - 1];
            float min = Math.min(f4, f6);
            float max = Math.max(f5, f7);
            float min2 = f2 - Math.min(f4, f6);
            float max2 = Math.max(f5, f7) - f3;
            StringBuilder sb = new StringBuilder(15);
            sb.append(((float) ((int) (((double) ((min2 * 100.0f) / Math.abs(f6 - f4))) + 0.5d))) / 100.0f);
            String sb2 = sb.toString();
            g(sb2, this.f1142h);
            canvas.drawText(sb2, ((min2 / 2.0f) - ((float) (this.m.width() / 2))) + min, f3 - 20.0f, this.f1142h);
            canvas.drawLine(f2, f3, Math.min(f4, f6), f3, this.f1141g);
            StringBuilder sb3 = new StringBuilder(15);
            sb3.append(((float) ((int) (((double) ((max2 * 100.0f) / Math.abs(f7 - f5))) + 0.5d))) / 100.0f);
            String sb4 = sb3.toString();
            g(sb4, this.f1142h);
            canvas.drawText(sb4, f2 + 5.0f, max - ((max2 / 2.0f) - ((float) (this.m.height() / 2))), this.f1142h);
            canvas.drawLine(f2, f3, f2, Math.max(f5, f7), this.f1141g);
        }

        public final void d(Canvas canvas) {
            float[] fArr = this.f1135a;
            canvas.drawLine(fArr[0], fArr[1], fArr[fArr.length - 2], fArr[fArr.length - 1], this.f1141g);
        }

        public final void e(Canvas canvas, float f2, float f3) {
            float[] fArr = this.f1135a;
            float f4 = fArr[0];
            float f5 = fArr[1];
            float f6 = fArr[fArr.length - 2];
            float f7 = fArr[fArr.length - 1];
            float hypot = (float) Math.hypot((double) (f4 - f6), (double) (f5 - f7));
            float f8 = f6 - f4;
            float f9 = f7 - f5;
            float f10 = (((f3 - f5) * f9) + ((f2 - f4) * f8)) / (hypot * hypot);
            float f11 = f4 + (f8 * f10);
            float f12 = f5 + (f10 * f9);
            Path path = new Path();
            path.moveTo(f2, f3);
            path.lineTo(f11, f12);
            float hypot2 = (float) Math.hypot((double) (f11 - f2), (double) (f12 - f3));
            StringBuilder sb = new StringBuilder(15);
            sb.append(((float) ((int) ((hypot2 * 100.0f) / hypot))) / 100.0f);
            String sb2 = sb.toString();
            g(sb2, this.f1142h);
            canvas.drawTextOnPath(sb2, path, (hypot2 / 2.0f) - ((float) (this.m.width() / 2)), -20.0f, this.f1142h);
            canvas.drawLine(f2, f3, f11, f12, this.f1141g);
        }

        public final void f(Canvas canvas, float f2, float f3, int i2, int i3) {
            StringBuilder sb = new StringBuilder(15);
            sb.append(((float) ((int) (((double) (((f2 - ((float) (i2 / 2))) * 100.0f) / ((float) (MotionLayout.this.getWidth() - i2)))) + 0.5d))) / 100.0f);
            String sb2 = sb.toString();
            g(sb2, this.f1142h);
            canvas.drawText(sb2, ((f2 / 2.0f) - ((float) (this.m.width() / 2))) + 0.0f, f3 - 20.0f, this.f1142h);
            canvas.drawLine(f2, f3, Math.min(0.0f, 1.0f), f3, this.f1141g);
            StringBuilder sb3 = new StringBuilder(15);
            sb3.append(((float) ((int) (((double) (((f3 - ((float) (i3 / 2))) * 100.0f) / ((float) (MotionLayout.this.getHeight() - i3)))) + 0.5d))) / 100.0f);
            String sb4 = sb3.toString();
            g(sb4, this.f1142h);
            canvas.drawText(sb4, f2 + 5.0f, 0.0f - ((f3 / 2.0f) - ((float) (this.m.height() / 2))), this.f1142h);
            canvas.drawLine(f2, f3, f2, Math.max(0.0f, 1.0f), this.f1141g);
        }

        public void g(String str, Paint paint) {
            paint.getTextBounds(str, 0, str.length(), this.m);
        }
    }

    public class f {

        /* renamed from: a  reason: collision with root package name */
        public ConstraintWidgetContainer f1147a = new ConstraintWidgetContainer();

        /* renamed from: b  reason: collision with root package name */
        public ConstraintWidgetContainer f1148b = new ConstraintWidgetContainer();

        /* renamed from: c  reason: collision with root package name */
        public b.h.d.b f1149c = null;

        /* renamed from: d  reason: collision with root package name */
        public b.h.d.b f1150d = null;

        /* renamed from: e  reason: collision with root package name */
        public int f1151e;

        /* renamed from: f  reason: collision with root package name */
        public int f1152f;

        public f() {
        }

        public void a() {
            int[] iArr;
            SparseArray sparseArray;
            int i2;
            String str;
            String str2;
            String str3;
            int i3;
            b.h.d.b bVar;
            Rect rect;
            Interpolator interpolator;
            int childCount = MotionLayout.this.getChildCount();
            MotionLayout.this.s.clear();
            SparseArray sparseArray2 = new SparseArray();
            int[] iArr2 = new int[childCount];
            for (int i4 = 0; i4 < childCount; i4++) {
                View childAt = MotionLayout.this.getChildAt(i4);
                b.h.c.a.g gVar = new b.h.c.a.g(childAt);
                int id = childAt.getId();
                iArr2[i4] = id;
                sparseArray2.put(id, gVar);
                MotionLayout.this.s.put(childAt, gVar);
            }
            int i5 = 0;
            while (i5 < childCount) {
                View childAt2 = MotionLayout.this.getChildAt(i5);
                b.h.c.a.g gVar2 = MotionLayout.this.s.get(childAt2);
                if (gVar2 == null) {
                    i2 = childCount;
                    sparseArray = sparseArray2;
                    iArr = iArr2;
                } else {
                    if (this.f1149c != null) {
                        ConstraintWidget d2 = d(this.f1147a, childAt2);
                        if (d2 != null) {
                            Rect a2 = MotionLayout.a(MotionLayout.this, d2);
                            b.h.d.b bVar2 = this.f1149c;
                            int width = MotionLayout.this.getWidth();
                            int height = MotionLayout.this.getHeight();
                            int i6 = bVar2.f3148f;
                            if (i6 != 0) {
                                i3 = i6;
                                bVar = bVar2;
                                sparseArray = sparseArray2;
                                rect = a2;
                                str = "MotionLayout";
                                iArr = iArr2;
                                str2 = "no widget for  ";
                                i2 = childCount;
                                str3 = " (";
                                gVar2.i(a2, gVar2.f3035a, i3, width, height);
                            } else {
                                i2 = childCount;
                                sparseArray = sparseArray2;
                                iArr = iArr2;
                                i3 = i6;
                                bVar = bVar2;
                                rect = a2;
                                str = "MotionLayout";
                                str2 = "no widget for  ";
                                str3 = " (";
                            }
                            i iVar = gVar2.f3040f;
                            iVar.f3050k = 0.0f;
                            iVar.f3051l = 0.0f;
                            gVar2.h(iVar);
                            gVar2.f3040f.d((float) rect.left, (float) rect.top, (float) rect.width(), (float) rect.height());
                            b.a i7 = bVar.i(gVar2.f3037c);
                            gVar2.f3040f.a(i7);
                            gVar2.f3046l = i7.f3155d.f3191h;
                            gVar2.f3042h.d(rect, bVar, i3, gVar2.f3037c);
                            gVar2.D = i7.f3157f.f3210j;
                            b.c cVar = i7.f3155d;
                            gVar2.F = cVar.f3195l;
                            gVar2.G = cVar.f3194k;
                            Context context = gVar2.f3036b.getContext();
                            b.c cVar2 = i7.f3155d;
                            int i8 = cVar2.n;
                            String str4 = cVar2.m;
                            int i9 = cVar2.o;
                            if (i8 == -2) {
                                interpolator = AnimationUtils.loadInterpolator(context, i9);
                            } else if (i8 == -1) {
                                interpolator = new b.h.c.a.f(b.h.a.d.a.b.c(str4));
                            } else if (i8 == 0) {
                                interpolator = new AccelerateDecelerateInterpolator();
                            } else if (i8 == 1) {
                                interpolator = new AccelerateInterpolator();
                            } else if (i8 == 2) {
                                interpolator = new DecelerateInterpolator();
                            } else if (i8 == 4) {
                                interpolator = new BounceInterpolator();
                            } else if (i8 != 5) {
                                interpolator = null;
                            } else {
                                interpolator = new OvershootInterpolator();
                            }
                            gVar2.H = interpolator;
                        } else {
                            i2 = childCount;
                            sparseArray = sparseArray2;
                            iArr = iArr2;
                            str = "MotionLayout";
                            str2 = "no widget for  ";
                            str3 = " (";
                            if (MotionLayout.this.E != 0) {
                                String K = AppCompatDelegateImpl.e.K();
                                String M = AppCompatDelegateImpl.e.M(childAt2);
                                String name = childAt2.getClass().getName();
                                StringBuilder sb = new StringBuilder(name.length() + String.valueOf(M).length() + String.valueOf(K).length() + 18);
                                sb.append(K);
                                sb.append(str2);
                                sb.append(M);
                                sb.append(str3);
                                sb.append(name);
                                sb.append(")");
                                Log.e(str, sb.toString());
                            }
                        }
                    } else {
                        i2 = childCount;
                        sparseArray = sparseArray2;
                        iArr = iArr2;
                        str = "MotionLayout";
                        str2 = "no widget for  ";
                        str3 = " (";
                        Objects.requireNonNull(MotionLayout.this);
                    }
                    if (this.f1150d != null) {
                        ConstraintWidget d3 = d(this.f1148b, childAt2);
                        if (d3 != null) {
                            Rect a3 = MotionLayout.a(MotionLayout.this, d3);
                            b.h.d.b bVar3 = this.f1150d;
                            int width2 = MotionLayout.this.getWidth();
                            int height2 = MotionLayout.this.getHeight();
                            int i10 = bVar3.f3148f;
                            if (i10 != 0) {
                                gVar2.i(a3, gVar2.f3035a, i10, width2, height2);
                                a3 = gVar2.f3035a;
                            }
                            i iVar2 = gVar2.f3041g;
                            iVar2.f3050k = 1.0f;
                            iVar2.f3051l = 1.0f;
                            gVar2.h(iVar2);
                            gVar2.f3041g.d((float) a3.left, (float) a3.top, (float) a3.width(), (float) a3.height());
                            gVar2.f3041g.a(bVar3.i(gVar2.f3037c));
                            gVar2.f3043i.d(a3, bVar3, i10, gVar2.f3037c);
                        } else if (MotionLayout.this.E != 0) {
                            String K2 = AppCompatDelegateImpl.e.K();
                            String M2 = AppCompatDelegateImpl.e.M(childAt2);
                            String name2 = childAt2.getClass().getName();
                            StringBuilder sb2 = new StringBuilder(name2.length() + String.valueOf(M2).length() + String.valueOf(K2).length() + 18);
                            sb2.append(K2);
                            sb2.append(str2);
                            sb2.append(M2);
                            sb2.append(str3);
                            sb2.append(name2);
                            sb2.append(")");
                            Log.e(str, sb2.toString());
                        }
                    }
                }
                i5++;
                childCount = i2;
                sparseArray2 = sparseArray;
                iArr2 = iArr;
            }
            SparseArray sparseArray3 = sparseArray2;
            int i11 = 0;
            while (i11 < childCount) {
                b.h.c.a.g gVar3 = (b.h.c.a.g) sparseArray3.get(iArr2[i11]);
                int i12 = gVar3.f3040f.s;
                if (i12 != -1) {
                    b.h.c.a.g gVar4 = (b.h.c.a.g) sparseArray3.get(i12);
                    gVar3.f3040f.f(gVar4, gVar4.f3040f);
                    gVar3.f3041g.f(gVar4, gVar4.f3041g);
                }
                i11++;
                sparseArray3 = sparseArray3;
            }
        }

        public final void b(int i2, int i3) {
            int optimizationLevel = MotionLayout.this.getOptimizationLevel();
            MotionLayout motionLayout = MotionLayout.this;
            if (motionLayout.n == motionLayout.getStartState()) {
                MotionLayout motionLayout2 = MotionLayout.this;
                ConstraintWidgetContainer constraintWidgetContainer = this.f1148b;
                b.h.d.b bVar = this.f1150d;
                motionLayout2.resolveSystem(constraintWidgetContainer, optimizationLevel, (bVar == null || bVar.f3148f == 0) ? i2 : i3, (bVar == null || bVar.f3148f == 0) ? i3 : i2);
                b.h.d.b bVar2 = this.f1149c;
                if (bVar2 != null) {
                    MotionLayout motionLayout3 = MotionLayout.this;
                    ConstraintWidgetContainer constraintWidgetContainer2 = this.f1147a;
                    int i4 = bVar2.f3148f;
                    int i5 = i4 == 0 ? i2 : i3;
                    if (i4 == 0) {
                        i2 = i3;
                    }
                    motionLayout3.resolveSystem(constraintWidgetContainer2, optimizationLevel, i5, i2);
                    return;
                }
                return;
            }
            b.h.d.b bVar3 = this.f1149c;
            if (bVar3 != null) {
                MotionLayout motionLayout4 = MotionLayout.this;
                ConstraintWidgetContainer constraintWidgetContainer3 = this.f1147a;
                int i6 = bVar3.f3148f;
                motionLayout4.resolveSystem(constraintWidgetContainer3, optimizationLevel, i6 == 0 ? i2 : i3, i6 == 0 ? i3 : i2);
            }
            MotionLayout motionLayout5 = MotionLayout.this;
            ConstraintWidgetContainer constraintWidgetContainer4 = this.f1148b;
            b.h.d.b bVar4 = this.f1150d;
            int i7 = (bVar4 == null || bVar4.f3148f == 0) ? i2 : i3;
            if (bVar4 == null || bVar4.f3148f == 0) {
                i2 = i3;
            }
            motionLayout5.resolveSystem(constraintWidgetContainer4, optimizationLevel, i7, i2);
        }

        public void c(ConstraintWidgetContainer constraintWidgetContainer, ConstraintWidgetContainer constraintWidgetContainer2) {
            ConstraintWidget constraintWidget;
            ArrayList<ConstraintWidget> arrayList = constraintWidgetContainer.O0;
            HashMap<ConstraintWidget, ConstraintWidget> hashMap = new HashMap<>();
            hashMap.put(constraintWidgetContainer, constraintWidgetContainer2);
            constraintWidgetContainer2.O0.clear();
            constraintWidgetContainer2.i(constraintWidgetContainer, hashMap);
            Iterator<ConstraintWidget> it = arrayList.iterator();
            while (it.hasNext()) {
                ConstraintWidget next = it.next();
                if (next instanceof Barrier) {
                    constraintWidget = new Barrier();
                } else if (next instanceof Guideline) {
                    constraintWidget = new Guideline();
                } else if (next instanceof Flow) {
                    constraintWidget = new Flow();
                } else if (next instanceof Placeholder) {
                    constraintWidget = new Placeholder();
                } else if (next instanceof Helper) {
                    constraintWidget = new HelperWidget();
                } else {
                    constraintWidget = new ConstraintWidget();
                }
                constraintWidgetContainer2.O0.add(constraintWidget);
                ConstraintWidget constraintWidget2 = constraintWidget.Y;
                if (constraintWidget2 != null) {
                    ((WidgetContainer) constraintWidget2).O0.remove(constraintWidget);
                    constraintWidget.G();
                }
                constraintWidget.Y = constraintWidgetContainer2;
                hashMap.put(next, constraintWidget);
            }
            Iterator<ConstraintWidget> it2 = arrayList.iterator();
            while (it2.hasNext()) {
                ConstraintWidget next2 = it2.next();
                hashMap.get(next2).i(next2, hashMap);
            }
        }

        public ConstraintWidget d(ConstraintWidgetContainer constraintWidgetContainer, View view) {
            if (constraintWidgetContainer.o0 == view) {
                return constraintWidgetContainer;
            }
            ArrayList<ConstraintWidget> arrayList = constraintWidgetContainer.O0;
            int size = arrayList.size();
            for (int i2 = 0; i2 < size; i2++) {
                ConstraintWidget constraintWidget = arrayList.get(i2);
                if (constraintWidget.o0 == view) {
                    return constraintWidget;
                }
            }
            return null;
        }

        public void e(b.h.d.b bVar, b.h.d.b bVar2) {
            this.f1149c = bVar;
            this.f1150d = bVar2;
            this.f1147a = new ConstraintWidgetContainer();
            this.f1148b = new ConstraintWidgetContainer();
            ConstraintWidgetContainer constraintWidgetContainer = this.f1147a;
            MotionLayout motionLayout = MotionLayout.this;
            boolean z = MotionLayout.f1123d;
            constraintWidgetContainer.h0(motionLayout.mLayoutWidget.S0);
            this.f1148b.h0(MotionLayout.this.mLayoutWidget.S0);
            this.f1147a.O0.clear();
            this.f1148b.O0.clear();
            c(MotionLayout.this.mLayoutWidget, this.f1147a);
            c(MotionLayout.this.mLayoutWidget, this.f1148b);
            if (((double) MotionLayout.this.w) > 0.5d) {
                if (bVar != null) {
                    g(this.f1147a, bVar);
                }
                g(this.f1148b, bVar2);
            } else {
                g(this.f1148b, bVar2);
                if (bVar != null) {
                    g(this.f1147a, bVar);
                }
            }
            this.f1147a.T0 = MotionLayout.this.isRtl();
            ConstraintWidgetContainer constraintWidgetContainer2 = this.f1147a;
            constraintWidgetContainer2.P0.c(constraintWidgetContainer2);
            this.f1148b.T0 = MotionLayout.this.isRtl();
            ConstraintWidgetContainer constraintWidgetContainer3 = this.f1148b;
            constraintWidgetContainer3.P0.c(constraintWidgetContainer3);
            ViewGroup.LayoutParams layoutParams = MotionLayout.this.getLayoutParams();
            if (layoutParams != null) {
                if (layoutParams.width == -2) {
                    ConstraintWidgetContainer constraintWidgetContainer4 = this.f1147a;
                    ConstraintWidget.DimensionBehaviour dimensionBehaviour = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
                    constraintWidgetContainer4.O(dimensionBehaviour);
                    this.f1148b.O(dimensionBehaviour);
                }
                if (layoutParams.height == -2) {
                    ConstraintWidgetContainer constraintWidgetContainer5 = this.f1147a;
                    ConstraintWidget.DimensionBehaviour dimensionBehaviour2 = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
                    constraintWidgetContainer5.R(dimensionBehaviour2);
                    this.f1148b.R(dimensionBehaviour2);
                }
            }
        }

        public void f() {
            MotionLayout motionLayout = MotionLayout.this;
            int i2 = motionLayout.p;
            int i3 = motionLayout.q;
            int mode = View.MeasureSpec.getMode(i2);
            int mode2 = View.MeasureSpec.getMode(i3);
            MotionLayout motionLayout2 = MotionLayout.this;
            motionLayout2.j0 = mode;
            motionLayout2.k0 = mode2;
            motionLayout2.getOptimizationLevel();
            b(i2, i3);
            int i4 = 0;
            boolean z = true;
            if (((MotionLayout.this.getParent() instanceof MotionLayout) && mode == 1073741824 && mode2 == 1073741824) ? false : true) {
                b(i2, i3);
                MotionLayout.this.f0 = this.f1147a.u();
                MotionLayout.this.g0 = this.f1147a.o();
                MotionLayout.this.h0 = this.f1148b.u();
                MotionLayout.this.i0 = this.f1148b.o();
                MotionLayout motionLayout3 = MotionLayout.this;
                motionLayout3.e0 = (motionLayout3.f0 == motionLayout3.h0 && motionLayout3.g0 == motionLayout3.i0) ? false : true;
            }
            MotionLayout motionLayout4 = MotionLayout.this;
            int i5 = motionLayout4.f0;
            int i6 = motionLayout4.g0;
            int i7 = motionLayout4.j0;
            if (i7 == Integer.MIN_VALUE || i7 == 0) {
                i5 = (int) ((motionLayout4.l0 * ((float) (motionLayout4.h0 - i5))) + ((float) i5));
            }
            int i8 = motionLayout4.k0;
            if (i8 == Integer.MIN_VALUE || i8 == 0) {
                i6 = (int) ((motionLayout4.l0 * ((float) (motionLayout4.i0 - i6))) + ((float) i6));
            }
            ConstraintWidgetContainer constraintWidgetContainer = this.f1147a;
            motionLayout4.resolveMeasuredDimension(i2, i3, i5, i6, constraintWidgetContainer.c1 || this.f1148b.c1, constraintWidgetContainer.d1 || this.f1148b.d1);
            MotionLayout motionLayout5 = MotionLayout.this;
            int childCount = motionLayout5.getChildCount();
            motionLayout5.u0.a();
            motionLayout5.A = true;
            SparseArray sparseArray = new SparseArray();
            for (int i9 = 0; i9 < childCount; i9++) {
                View childAt = motionLayout5.getChildAt(i9);
                sparseArray.put(childAt.getId(), motionLayout5.s.get(childAt));
            }
            int width = motionLayout5.getWidth();
            int height = motionLayout5.getHeight();
            j.b bVar = motionLayout5.f1124h.f3054c;
            int i10 = bVar != null ? bVar.p : -1;
            if (i10 != -1) {
                for (int i11 = 0; i11 < childCount; i11++) {
                    b.h.c.a.g gVar = motionLayout5.s.get(motionLayout5.getChildAt(i11));
                    if (gVar != null) {
                        gVar.C = i10;
                    }
                }
            }
            SparseBooleanArray sparseBooleanArray = new SparseBooleanArray();
            int[] iArr = new int[motionLayout5.s.size()];
            int i12 = 0;
            for (int i13 = 0; i13 < childCount; i13++) {
                b.h.c.a.g gVar2 = motionLayout5.s.get(motionLayout5.getChildAt(i13));
                int i14 = gVar2.f3040f.s;
                if (i14 != -1) {
                    sparseBooleanArray.put(i14, true);
                    iArr[i12] = gVar2.f3040f.s;
                    i12++;
                }
            }
            if (motionLayout5.U != null) {
                for (int i15 = 0; i15 < i12; i15++) {
                    b.h.c.a.g gVar3 = motionLayout5.s.get(motionLayout5.findViewById(iArr[i15]));
                    if (gVar3 != null) {
                        motionLayout5.f1124h.g(gVar3);
                    }
                }
                Iterator<MotionHelper> it = motionLayout5.U.iterator();
                while (it.hasNext()) {
                    it.next().onPreSetup(motionLayout5, motionLayout5.s);
                }
                for (int i16 = 0; i16 < i12; i16++) {
                    b.h.c.a.g gVar4 = motionLayout5.s.get(motionLayout5.findViewById(iArr[i16]));
                    if (gVar4 != null) {
                        gVar4.j(width, height, motionLayout5.getNanoTime());
                    }
                }
            } else {
                for (int i17 = 0; i17 < i12; i17++) {
                    b.h.c.a.g gVar5 = motionLayout5.s.get(motionLayout5.findViewById(iArr[i17]));
                    if (gVar5 != null) {
                        motionLayout5.f1124h.g(gVar5);
                        gVar5.j(width, height, motionLayout5.getNanoTime());
                    }
                }
            }
            for (int i18 = 0; i18 < childCount; i18++) {
                View childAt2 = motionLayout5.getChildAt(i18);
                b.h.c.a.g gVar6 = motionLayout5.s.get(childAt2);
                if (!sparseBooleanArray.get(childAt2.getId()) && gVar6 != null) {
                    motionLayout5.f1124h.g(gVar6);
                    gVar6.j(width, height, motionLayout5.getNanoTime());
                }
            }
            j.b bVar2 = motionLayout5.f1124h.f3054c;
            float f2 = bVar2 != null ? bVar2.f3073i : 0.0f;
            if (f2 != 0.0f) {
                boolean z2 = ((double) f2) < 0.0d;
                float abs = Math.abs(f2);
                float f3 = -3.4028235E38f;
                float f4 = Float.MAX_VALUE;
                int i19 = 0;
                float f5 = Float.MAX_VALUE;
                float f6 = -3.4028235E38f;
                while (true) {
                    if (i19 >= childCount) {
                        z = false;
                        break;
                    }
                    b.h.c.a.g gVar7 = motionLayout5.s.get(motionLayout5.getChildAt(i19));
                    if (!Float.isNaN(gVar7.f3046l)) {
                        break;
                    }
                    i iVar = gVar7.f3041g;
                    float f7 = iVar.m;
                    float f8 = iVar.n;
                    float f9 = z2 ? f8 - f7 : f8 + f7;
                    f5 = Math.min(f5, f9);
                    f6 = Math.max(f6, f9);
                    i19++;
                }
                if (z) {
                    for (int i20 = 0; i20 < childCount; i20++) {
                        b.h.c.a.g gVar8 = motionLayout5.s.get(motionLayout5.getChildAt(i20));
                        if (!Float.isNaN(gVar8.f3046l)) {
                            f4 = Math.min(f4, gVar8.f3046l);
                            f3 = Math.max(f3, gVar8.f3046l);
                        }
                    }
                    while (i4 < childCount) {
                        b.h.c.a.g gVar9 = motionLayout5.s.get(motionLayout5.getChildAt(i4));
                        if (!Float.isNaN(gVar9.f3046l)) {
                            gVar9.n = 1.0f / (1.0f - abs);
                            if (z2) {
                                gVar9.m = abs - (((f3 - gVar9.f3046l) / (f3 - f4)) * abs);
                            } else {
                                gVar9.m = abs - (((gVar9.f3046l - f4) * abs) / (f3 - f4));
                            }
                        }
                        i4++;
                    }
                    return;
                }
                while (i4 < childCount) {
                    b.h.c.a.g gVar10 = motionLayout5.s.get(motionLayout5.getChildAt(i4));
                    i iVar2 = gVar10.f3041g;
                    float f10 = iVar2.m;
                    float f11 = iVar2.n;
                    float f12 = z2 ? f11 - f10 : f11 + f10;
                    gVar10.n = 1.0f / (1.0f - abs);
                    gVar10.m = abs - (((f12 - f5) * abs) / (f6 - f5));
                    i4++;
                }
            }
        }

        public final void g(ConstraintWidgetContainer constraintWidgetContainer, b.h.d.b bVar) {
            b.a aVar;
            b.a aVar2;
            SparseArray<ConstraintWidget> sparseArray = new SparseArray<>();
            Constraints.LayoutParams layoutParams = new Constraints.LayoutParams(-2, -2);
            sparseArray.clear();
            sparseArray.put(0, constraintWidgetContainer);
            sparseArray.put(MotionLayout.this.getId(), constraintWidgetContainer);
            if (!(bVar == null || bVar.f3148f == 0)) {
                MotionLayout motionLayout = MotionLayout.this;
                ConstraintWidgetContainer constraintWidgetContainer2 = this.f1148b;
                int optimizationLevel = motionLayout.getOptimizationLevel();
                int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(MotionLayout.this.getHeight(), 1073741824);
                int makeMeasureSpec2 = View.MeasureSpec.makeMeasureSpec(MotionLayout.this.getWidth(), 1073741824);
                boolean z = MotionLayout.f1123d;
                motionLayout.resolveSystem(constraintWidgetContainer2, optimizationLevel, makeMeasureSpec, makeMeasureSpec2);
            }
            Iterator<ConstraintWidget> it = constraintWidgetContainer.O0.iterator();
            while (it.hasNext()) {
                ConstraintWidget next = it.next();
                sparseArray.put(((View) next.o0).getId(), next);
            }
            Iterator<ConstraintWidget> it2 = constraintWidgetContainer.O0.iterator();
            while (it2.hasNext()) {
                ConstraintWidget next2 = it2.next();
                View view = (View) next2.o0;
                int id = view.getId();
                if (bVar.f3151i.containsKey(Integer.valueOf(id)) && (aVar2 = bVar.f3151i.get(Integer.valueOf(id))) != null) {
                    aVar2.a(layoutParams);
                }
                next2.S(bVar.i(view.getId()).f3156e.f3175d);
                next2.N(bVar.i(view.getId()).f3156e.f3176e);
                if (view instanceof ConstraintHelper) {
                    ConstraintHelper constraintHelper = (ConstraintHelper) view;
                    int id2 = constraintHelper.getId();
                    if (bVar.f3151i.containsKey(Integer.valueOf(id2)) && (aVar = bVar.f3151i.get(Integer.valueOf(id2))) != null && (next2 instanceof HelperWidget)) {
                        constraintHelper.k(aVar, (HelperWidget) next2, layoutParams, sparseArray);
                    }
                    if (view instanceof androidx.constraintlayout.widget.Barrier) {
                        ((androidx.constraintlayout.widget.Barrier) view).q();
                    }
                }
                layoutParams.resolveLayoutDirection(MotionLayout.this.getLayoutDirection());
                MotionLayout motionLayout2 = MotionLayout.this;
                boolean z2 = MotionLayout.f1123d;
                motionLayout2.applyConstraintsFromLayoutParams(false, view, next2, layoutParams, sparseArray);
                if (bVar.i(view.getId()).f3154c.f3198c == 1) {
                    next2.q0 = view.getVisibility();
                } else {
                    next2.q0 = bVar.i(view.getId()).f3154c.f3197b;
                }
            }
            Iterator<ConstraintWidget> it3 = constraintWidgetContainer.O0.iterator();
            while (it3.hasNext()) {
                ConstraintWidget next3 = it3.next();
                if (next3 instanceof VirtualLayout) {
                    Helper helper = (Helper) next3;
                    ((ConstraintHelper) next3.o0).p(constraintWidgetContainer, helper, sparseArray);
                    ((VirtualLayout) helper).X();
                }
            }
        }
    }

    public class h {

        /* renamed from: a  reason: collision with root package name */
        public float f1156a = Float.NaN;

        /* renamed from: b  reason: collision with root package name */
        public float f1157b = Float.NaN;

        /* renamed from: c  reason: collision with root package name */
        public int f1158c = -1;

        /* renamed from: d  reason: collision with root package name */
        public int f1159d = -1;

        public h() {
        }

        public void a() {
            int i2 = this.f1158c;
            if (!(i2 == -1 && this.f1159d == -1)) {
                if (i2 == -1) {
                    MotionLayout.this.s(this.f1159d);
                } else {
                    int i3 = this.f1159d;
                    if (i3 == -1) {
                        MotionLayout.this.setState(i2, -1, -1);
                    } else {
                        MotionLayout.this.p(i2, i3);
                    }
                }
                MotionLayout.this.setState(TransitionState.SETUP);
            }
            if (!Float.isNaN(this.f1157b)) {
                MotionLayout motionLayout = MotionLayout.this;
                float f2 = this.f1156a;
                float f3 = this.f1157b;
                if (!motionLayout.isAttachedToWindow()) {
                    if (motionLayout.o0 == null) {
                        motionLayout.o0 = new h();
                    }
                    h hVar = motionLayout.o0;
                    hVar.f1156a = f2;
                    hVar.f1157b = f3;
                } else {
                    motionLayout.setProgress(f2);
                    motionLayout.setState(TransitionState.MOVING);
                    motionLayout.f1127l = f3;
                    float f4 = 1.0f;
                    int i4 = (f3 > 0.0f ? 1 : (f3 == 0.0f ? 0 : -1));
                    if (i4 != 0) {
                        if (i4 <= 0) {
                            f4 = 0.0f;
                        }
                        motionLayout.c(f4);
                    } else if (!(f2 == 0.0f || f2 == 1.0f)) {
                        if (f2 <= 0.5f) {
                            f4 = 0.0f;
                        }
                        motionLayout.c(f4);
                    }
                }
                this.f1156a = Float.NaN;
                this.f1157b = Float.NaN;
                this.f1158c = -1;
                this.f1159d = -1;
            } else if (!Float.isNaN(this.f1156a)) {
                MotionLayout.this.setProgress(this.f1156a);
            }
        }
    }

    public MotionLayout(Context context) {
        super(context);
        l(null);
    }

    public static Rect a(MotionLayout motionLayout, ConstraintWidget constraintWidget) {
        motionLayout.r0.top = constraintWidget.w();
        motionLayout.r0.left = constraintWidget.v();
        Rect rect = motionLayout.r0;
        int u2 = constraintWidget.u();
        Rect rect2 = motionLayout.r0;
        rect.right = u2 + rect2.left;
        int o2 = constraintWidget.o();
        Rect rect3 = motionLayout.r0;
        rect2.bottom = o2 + rect3.top;
        return rect3;
    }

    public void c(float f2) {
        j jVar = this.f1124h;
        if (jVar != null) {
            float f3 = this.w;
            float f4 = this.v;
            if (f3 != f4 && this.z) {
                this.w = f4;
            }
            float f5 = this.w;
            if (f5 != f2) {
                this.G = false;
                this.y = f2;
                this.u = ((float) jVar.c()) / 1000.0f;
                setProgress(this.y);
                this.f1125j = null;
                this.f1126k = this.f1124h.f();
                this.z = false;
                this.t = getNanoTime();
                this.A = true;
                this.v = f5;
                this.w = f5;
                invalidate();
            }
        }
    }

    public void d(boolean z2) {
        int childCount = getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            b.h.c.a.g gVar = this.s.get(getChildAt(i2));
            if (gVar != null && "button".equals(AppCompatDelegateImpl.e.M(gVar.f3036b)) && gVar.B != null) {
                int i3 = 0;
                while (true) {
                    KeyTrigger[] keyTriggerArr = gVar.B;
                    if (i3 >= keyTriggerArr.length) {
                        break;
                    }
                    keyTriggerArr[i3].i(z2 ? -100.0f : 100.0f, gVar.f3036b);
                    i3++;
                }
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:103:0x03c1  */
    /* JADX WARNING: Removed duplicated region for block: B:124:? A[ORIG_RETURN, RETURN, SYNTHETIC] */
    @Override // androidx.constraintlayout.widget.ConstraintLayout
    public void dispatchDraw(Canvas canvas) {
        ArrayList<MotionHelper> arrayList;
        int i2;
        Iterator<b.h.c.a.g> it;
        int i3;
        int i4;
        p pVar;
        ArrayList<o.a> arrayList2;
        MotionLayout motionLayout = this;
        Canvas canvas2 = canvas;
        ArrayList<MotionHelper> arrayList3 = motionLayout.U;
        if (arrayList3 != null) {
            Iterator<MotionHelper> it2 = arrayList3.iterator();
            while (it2.hasNext()) {
                it2.next().onPreDraw(canvas2);
            }
        }
        char c2 = 0;
        motionLayout.e(false);
        j jVar = motionLayout.f1124h;
        float[] fArr = null;
        if (!(jVar == null || (pVar = jVar.q) == null || (arrayList2 = pVar.f3121e) == null)) {
            Iterator<o.a> it3 = arrayList2.iterator();
            while (it3.hasNext()) {
                it3.next().a();
            }
            pVar.f3121e.removeAll(pVar.f3122f);
            pVar.f3122f.clear();
            if (pVar.f3121e.isEmpty()) {
                pVar.f3121e = null;
            }
        }
        super.dispatchDraw(canvas);
        if (motionLayout.f1124h != null) {
            int i5 = 1;
            if ((motionLayout.E & 1) == 1 && !isInEditMode()) {
                motionLayout.W++;
                long nanoTime = getNanoTime();
                long j2 = motionLayout.a0;
                if (j2 != -1) {
                    long j3 = nanoTime - j2;
                    if (j3 > 200000000) {
                        motionLayout.b0 = ((float) ((int) ((((float) motionLayout.W) / (((float) j3) * 1.0E-9f)) * 100.0f))) / 100.0f;
                        motionLayout.W = 0;
                        motionLayout.a0 = nanoTime;
                    }
                } else {
                    motionLayout.a0 = nanoTime;
                }
                Paint paint = new Paint();
                paint.setTextSize(42.0f);
                float progress = ((float) ((int) (getProgress() * 1000.0f))) / 10.0f;
                float f2 = motionLayout.b0;
                String R2 = AppCompatDelegateImpl.e.R(motionLayout, motionLayout.m);
                StringBuilder sb = new StringBuilder(d.a.a.a.a.R(R2, 24));
                sb.append(f2);
                sb.append(" fps ");
                sb.append(R2);
                sb.append(" -> ");
                String valueOf = String.valueOf(sb.toString());
                String R3 = AppCompatDelegateImpl.e.R(motionLayout, motionLayout.o);
                int i6 = motionLayout.n;
                String R4 = i6 == -1 ? "undefined" : AppCompatDelegateImpl.e.R(motionLayout, i6);
                StringBuilder sb2 = new StringBuilder(d.a.a.a.a.R(R4, d.a.a.a.a.R(R3, valueOf.length() + 36)));
                sb2.append(valueOf);
                sb2.append(R3);
                sb2.append(" (progress: ");
                sb2.append(progress);
                sb2.append(" ) state=");
                sb2.append(R4);
                String sb3 = sb2.toString();
                paint.setColor(-16777216);
                canvas2.drawText(sb3, 11.0f, (float) (getHeight() - 29), paint);
                paint.setColor(-7864184);
                canvas2.drawText(sb3, 10.0f, (float) (getHeight() - 30), paint);
            }
            if (motionLayout.E > 1) {
                if (motionLayout.F == null) {
                    motionLayout.F = new e();
                }
                e eVar = motionLayout.F;
                HashMap<View, b.h.c.a.g> hashMap = motionLayout.s;
                int c3 = motionLayout.f1124h.c();
                int i7 = motionLayout.E;
                Objects.requireNonNull(eVar);
                if (hashMap != null) {
                    if (hashMap.size() != 0) {
                        canvas.save();
                        if (!MotionLayout.this.isInEditMode() && (i7 & 1) == 2) {
                            String resourceName = MotionLayout.this.getContext().getResources().getResourceName(MotionLayout.this.o);
                            float progress2 = MotionLayout.this.getProgress();
                            StringBuilder sb4 = new StringBuilder(d.a.a.a.a.R(resourceName, 16));
                            sb4.append(resourceName);
                            sb4.append(":");
                            sb4.append(progress2);
                            String sb5 = sb4.toString();
                            canvas2.drawText(sb5, 10.0f, (float) (MotionLayout.this.getHeight() - 30), eVar.f1142h);
                            canvas2.drawText(sb5, 11.0f, (float) (MotionLayout.this.getHeight() - 29), eVar.f1139e);
                        }
                        Iterator<b.h.c.a.g> it4 = hashMap.values().iterator();
                        while (it4.hasNext()) {
                            b.h.c.a.g next = it4.next();
                            int i8 = next.f3040f.f3049j;
                            Iterator<i> it5 = next.v.iterator();
                            while (it5.hasNext()) {
                                i8 = Math.max(i8, it5.next().f3049j);
                            }
                            int max = Math.max(i8, next.f3041g.f3049j);
                            if (i7 > 0 && max == 0) {
                                max = 1;
                            }
                            if (max != 0) {
                                eVar.f1146l = next.a(eVar.f1137c, eVar.f1136b);
                                if (max >= i5) {
                                    int i9 = c3 / 16;
                                    float[] fArr2 = eVar.f1135a;
                                    if (fArr2 == null || fArr2.length != i9 * 2) {
                                        eVar.f1135a = new float[(i9 * 2)];
                                        eVar.f1138d = new Path();
                                    }
                                    float f3 = (float) eVar.n;
                                    canvas2.translate(f3, f3);
                                    eVar.f1139e.setColor(1996488704);
                                    eVar.f1143i.setColor(1996488704);
                                    eVar.f1140f.setColor(1996488704);
                                    eVar.f1141g.setColor(1996488704);
                                    next.b(eVar.f1135a, i9);
                                    eVar.a(canvas2, max, eVar.f1146l, next);
                                    eVar.f1139e.setColor(-21965);
                                    eVar.f1140f.setColor(-2067046);
                                    eVar.f1143i.setColor(-2067046);
                                    eVar.f1141g.setColor(-13391360);
                                    float f4 = (float) (-eVar.n);
                                    canvas2.translate(f4, f4);
                                    eVar.a(canvas2, max, eVar.f1146l, next);
                                    if (max == 5) {
                                        eVar.f1138d.reset();
                                        int i10 = 0;
                                        while (i10 <= 50) {
                                            float[] fArr3 = eVar.f1144j;
                                            next.f3044j[c2].c((double) next.c(((float) i10) / ((float) 50), fArr), next.p);
                                            i iVar = next.f3040f;
                                            double[] dArr = next.p;
                                            float f5 = iVar.m;
                                            float f6 = iVar.n;
                                            float f7 = iVar.o;
                                            float f8 = iVar.p;
                                            int i11 = 0;
                                            for (int[] iArr = next.o; i11 < iArr.length; iArr = iArr) {
                                                float f9 = (float) dArr[i11];
                                                int i12 = iArr[i11];
                                                if (i12 == 1) {
                                                    f5 = f9;
                                                } else if (i12 == 2) {
                                                    f6 = f9;
                                                } else if (i12 == 3) {
                                                    f7 = f9;
                                                } else if (i12 == 4) {
                                                    f8 = f9;
                                                }
                                                i11++;
                                                c3 = c3;
                                                i7 = i7;
                                            }
                                            if (iVar.u != null) {
                                                double d2 = (double) 0.0f;
                                                double d3 = (double) f5;
                                                i4 = c3;
                                                double d4 = (double) f6;
                                                f6 = (float) ((d2 - (Math.cos(d4) * d3)) - ((double) (f8 / 2.0f)));
                                                f5 = (float) (d.a.a.a.a.a(d4, d3, d2) - ((double) (f7 / 2.0f)));
                                            } else {
                                                i4 = c3;
                                            }
                                            float f10 = f7 + f5;
                                            float f11 = f8 + f6;
                                            Float.isNaN(Float.NaN);
                                            Float.isNaN(Float.NaN);
                                            float f12 = f5 + 0.0f;
                                            float f13 = f6 + 0.0f;
                                            float f14 = f10 + 0.0f;
                                            float f15 = f11 + 0.0f;
                                            fArr3[0] = f12;
                                            fArr3[1] = f13;
                                            fArr3[2] = f14;
                                            fArr3[3] = f13;
                                            fArr3[4] = f14;
                                            fArr3[5] = f15;
                                            fArr3[6] = f12;
                                            fArr3[7] = f15;
                                            Path path = eVar.f1138d;
                                            float[] fArr4 = eVar.f1144j;
                                            path.moveTo(fArr4[0], fArr4[1]);
                                            Path path2 = eVar.f1138d;
                                            float[] fArr5 = eVar.f1144j;
                                            path2.lineTo(fArr5[2], fArr5[3]);
                                            Path path3 = eVar.f1138d;
                                            float[] fArr6 = eVar.f1144j;
                                            path3.lineTo(fArr6[4], fArr6[5]);
                                            Path path4 = eVar.f1138d;
                                            float[] fArr7 = eVar.f1144j;
                                            path4.lineTo(fArr7[6], fArr7[7]);
                                            eVar.f1138d.close();
                                            i10++;
                                            fArr = null;
                                            c3 = i4;
                                            it4 = it4;
                                            next = next;
                                            i7 = i7;
                                            c2 = 0;
                                        }
                                        it = it4;
                                        i3 = c3;
                                        i2 = i7;
                                        eVar.f1139e.setColor(1140850688);
                                        canvas2 = canvas;
                                        canvas2.translate(2.0f, 2.0f);
                                        canvas2.drawPath(eVar.f1138d, eVar.f1139e);
                                        canvas2.translate(-2.0f, -2.0f);
                                        eVar.f1139e.setColor(SupportMenu.CATEGORY_MASK);
                                        canvas2.drawPath(eVar.f1138d, eVar.f1139e);
                                        fArr = null;
                                        i5 = 1;
                                        c3 = i3;
                                        it4 = it;
                                        i7 = i2;
                                        c2 = 0;
                                    }
                                }
                                it = it4;
                                i3 = c3;
                                i2 = i7;
                                fArr = null;
                                i5 = 1;
                                c3 = i3;
                                it4 = it;
                                i7 = i2;
                                c2 = 0;
                            }
                        }
                        canvas.restore();
                    }
                    arrayList = motionLayout.U;
                    if (arrayList == null) {
                        Iterator<MotionHelper> it6 = arrayList.iterator();
                        while (it6.hasNext()) {
                            it6.next().onPostDraw(canvas2);
                        }
                        return;
                    }
                    return;
                }
            }
            motionLayout = this;
            arrayList = motionLayout.U;
            if (arrayList == null) {
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:115:0x01c4  */
    /* JADX WARNING: Removed duplicated region for block: B:130:0x020d  */
    /* JADX WARNING: Removed duplicated region for block: B:70:0x0117  */
    /* JADX WARNING: Removed duplicated region for block: B:72:0x011e A[ADDED_TO_REGION] */
    /* JADX WARNING: Removed duplicated region for block: B:87:0x0155  */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x0157  */
    /* JADX WARNING: Removed duplicated region for block: B:91:0x015f  */
    /* JADX WARNING: Removed duplicated region for block: B:94:0x0176  */
    /* JADX WARNING: Removed duplicated region for block: B:99:0x019e  */
    public void e(boolean z2) {
        boolean z3;
        char c2;
        int childCount;
        Interpolator interpolator;
        int i2;
        int i3;
        int i4;
        if (this.x == -1) {
            this.x = getNanoTime();
        }
        float f2 = this.w;
        if (f2 > 0.0f && f2 < 1.0f) {
            this.n = -1;
        }
        boolean z4 = true;
        boolean z5 = false;
        if (this.R || (this.A && (z2 || this.y != f2))) {
            float signum = Math.signum(this.y - f2);
            long nanoTime = getNanoTime();
            Interpolator interpolator2 = this.f1125j;
            float f3 = !(interpolator2 instanceof b.h.c.a.h) ? ((((float) (nanoTime - this.x)) * signum) * 1.0E-9f) / this.u : 0.0f;
            float f4 = this.w + f3;
            if (this.z) {
                f4 = this.y;
            }
            int i5 = (signum > 0.0f ? 1 : (signum == 0.0f ? 0 : -1));
            if ((i5 <= 0 || f4 < this.y) && (signum > 0.0f || f4 > this.y)) {
                z3 = false;
            } else {
                f4 = this.y;
                this.A = false;
                z3 = true;
            }
            this.w = f4;
            this.v = f4;
            this.x = nanoTime;
            if (interpolator2 == null || z3) {
                this.f1127l = f3;
            } else if (this.G) {
                float interpolation = interpolator2.getInterpolation(((float) (nanoTime - this.t)) * 1.0E-9f);
                Interpolator interpolator3 = this.f1125j;
                StopLogic stopLogic = this.H;
                c2 = interpolator3 == stopLogic ? stopLogic.f1071c.isStopped() ? (char) 2 : 1 : 0;
                this.w = interpolation;
                this.x = nanoTime;
                Interpolator interpolator4 = this.f1125j;
                if (interpolator4 instanceof b.h.c.a.h) {
                    float a2 = ((b.h.c.a.h) interpolator4).a();
                    this.f1127l = a2;
                    if (Math.abs(a2) * this.u <= 1.0E-5f && c2 == 2) {
                        this.A = false;
                    }
                    if (a2 > 0.0f && interpolation >= 1.0f) {
                        this.w = 1.0f;
                        this.A = false;
                        interpolation = 1.0f;
                    }
                    if (a2 < 0.0f && interpolation <= 0.0f) {
                        this.w = 0.0f;
                        this.A = false;
                        f4 = 0.0f;
                        if (Math.abs(this.f1127l) > 1.0E-5f) {
                            setState(TransitionState.MOVING);
                        }
                        if (c2 != 1) {
                            if ((i5 > 0 && f4 >= this.y) || (signum <= 0.0f && f4 <= this.y)) {
                                f4 = this.y;
                                this.A = false;
                            }
                            if (f4 >= 1.0f || f4 <= 0.0f) {
                                this.A = false;
                                setState(TransitionState.FINISHED);
                            }
                        }
                        childCount = getChildCount();
                        this.R = false;
                        long nanoTime2 = getNanoTime();
                        this.l0 = f4;
                        Interpolator interpolator5 = this.f1126k;
                        float interpolation2 = interpolator5 == null ? f4 : interpolator5.getInterpolation(f4);
                        interpolator = this.f1126k;
                        if (interpolator != null) {
                            float interpolation3 = interpolator.getInterpolation((signum / this.u) + f4);
                            this.f1127l = interpolation3;
                            this.f1127l = interpolation3 - this.f1126k.getInterpolation(f4);
                        }
                        for (i2 = 0; i2 < childCount; i2++) {
                            View childAt = getChildAt(i2);
                            b.h.c.a.g gVar = this.s.get(childAt);
                            if (gVar != null) {
                                this.R = gVar.g(childAt, interpolation2, nanoTime2, this.m0) | this.R;
                            }
                        }
                        boolean z6 = (i5 <= 0 && f4 >= this.y) || (signum <= 0.0f && f4 <= this.y);
                        if (!this.R && !this.A && z6) {
                            setState(TransitionState.FINISHED);
                        }
                        if (this.e0) {
                            requestLayout();
                        }
                        this.R = (!z6) | this.R;
                        if (!(f4 > 0.0f || (i4 = this.m) == -1 || this.n == i4)) {
                            this.n = i4;
                            this.f1124h.b(i4).a(this);
                            setState(TransitionState.FINISHED);
                            z5 = true;
                        }
                        if (((double) f4) >= 1.0d && this.n != (i3 = this.o)) {
                            this.n = i3;
                            this.f1124h.b(i3).a(this);
                            setState(TransitionState.FINISHED);
                            z5 = true;
                        }
                        if (!this.R || this.A) {
                            invalidate();
                        } else if ((i5 > 0 && f4 == 1.0f) || (signum < 0.0f && f4 == 0.0f)) {
                            setState(TransitionState.FINISHED);
                        }
                        if (!this.R && !this.A && ((i5 > 0 && f4 == 1.0f) || (signum < 0.0f && f4 == 0.0f))) {
                            m();
                        }
                    }
                }
                f4 = interpolation;
                if (Math.abs(this.f1127l) > 1.0E-5f) {
                }
                if (c2 != 1) {
                }
                childCount = getChildCount();
                this.R = false;
                long nanoTime22 = getNanoTime();
                this.l0 = f4;
                Interpolator interpolator52 = this.f1126k;
                if (interpolator52 == null) {
                }
                interpolator = this.f1126k;
                if (interpolator != null) {
                }
                while (i2 < childCount) {
                }
                if (i5 <= 0) {
                }
                setState(TransitionState.FINISHED);
                if (this.e0) {
                }
                this.R = (!z6) | this.R;
                this.n = i4;
                this.f1124h.b(i4).a(this);
                setState(TransitionState.FINISHED);
                z5 = true;
                this.n = i3;
                this.f1124h.b(i3).a(this);
                setState(TransitionState.FINISHED);
                z5 = true;
                if (!this.R) {
                }
                invalidate();
                m();
            } else {
                float interpolation4 = interpolator2.getInterpolation(f4);
                Interpolator interpolator6 = this.f1125j;
                if (interpolator6 instanceof b.h.c.a.h) {
                    this.f1127l = ((b.h.c.a.h) interpolator6).a();
                } else {
                    this.f1127l = ((interpolator6.getInterpolation(f4 + f3) - interpolation4) * signum) / f3;
                }
                f4 = interpolation4;
            }
            c2 = 0;
            if (Math.abs(this.f1127l) > 1.0E-5f) {
            }
            if (c2 != 1) {
            }
            childCount = getChildCount();
            this.R = false;
            long nanoTime222 = getNanoTime();
            this.l0 = f4;
            Interpolator interpolator522 = this.f1126k;
            if (interpolator522 == null) {
            }
            interpolator = this.f1126k;
            if (interpolator != null) {
            }
            while (i2 < childCount) {
            }
            if (i5 <= 0) {
            }
            setState(TransitionState.FINISHED);
            if (this.e0) {
            }
            this.R = (!z6) | this.R;
            this.n = i4;
            this.f1124h.b(i4).a(this);
            setState(TransitionState.FINISHED);
            z5 = true;
            this.n = i3;
            this.f1124h.b(i3).a(this);
            setState(TransitionState.FINISHED);
            z5 = true;
            if (!this.R) {
            }
            invalidate();
            m();
        }
        float f5 = this.w;
        if (f5 >= 1.0f) {
            int i6 = this.n;
            int i7 = this.o;
            if (i6 == i7) {
                z4 = z5;
            }
            this.n = i7;
        } else {
            if (f5 <= 0.0f) {
                int i8 = this.n;
                int i9 = this.m;
                if (i8 == i9) {
                    z4 = z5;
                }
                this.n = i9;
            }
            this.v0 |= z5;
            if (z5 && !this.n0) {
                requestLayout();
            }
            this.v = this.w;
        }
        z5 = z4;
        this.v0 |= z5;
        requestLayout();
        this.v = this.w;
    }

    public final void f() {
        CopyOnWriteArrayList<TransitionListener> copyOnWriteArrayList;
        if ((this.B != null || ((copyOnWriteArrayList = this.V) != null && !copyOnWriteArrayList.isEmpty())) && this.d0 != this.v) {
            if (this.c0 != -1) {
                TransitionListener transitionListener = this.B;
                if (transitionListener != null) {
                    transitionListener.onTransitionStarted(this, this.m, this.o);
                }
                CopyOnWriteArrayList<TransitionListener> copyOnWriteArrayList2 = this.V;
                if (copyOnWriteArrayList2 != null) {
                    Iterator<TransitionListener> it = copyOnWriteArrayList2.iterator();
                    while (it.hasNext()) {
                        it.next().onTransitionStarted(this, this.m, this.o);
                    }
                }
            }
            this.c0 = -1;
            float f2 = this.v;
            this.d0 = f2;
            TransitionListener transitionListener2 = this.B;
            if (transitionListener2 != null) {
                transitionListener2.onTransitionChange(this, this.m, this.o, f2);
            }
            CopyOnWriteArrayList<TransitionListener> copyOnWriteArrayList3 = this.V;
            if (copyOnWriteArrayList3 != null) {
                Iterator<TransitionListener> it2 = copyOnWriteArrayList3.iterator();
                while (it2.hasNext()) {
                    it2.next().onTransitionChange(this, this.m, this.o, this.v);
                }
            }
        }
    }

    public void g() {
        int i2;
        CopyOnWriteArrayList<TransitionListener> copyOnWriteArrayList;
        if ((this.B != null || ((copyOnWriteArrayList = this.V) != null && !copyOnWriteArrayList.isEmpty())) && this.c0 == -1) {
            this.c0 = this.n;
            if (!this.z0.isEmpty()) {
                ArrayList<Integer> arrayList = this.z0;
                i2 = arrayList.get(arrayList.size() - 1).intValue();
            } else {
                i2 = -1;
            }
            int i3 = this.n;
            if (!(i2 == i3 || i3 == -1)) {
                this.z0.add(Integer.valueOf(i3));
            }
        }
        n();
        Runnable runnable = this.p0;
        if (runnable != null) {
            runnable.run();
        }
    }

    public int[] getConstraintSetIds() {
        j jVar = this.f1124h;
        if (jVar == null) {
            return null;
        }
        int size = jVar.f3058g.size();
        int[] iArr = new int[size];
        for (int i2 = 0; i2 < size; i2++) {
            iArr[i2] = jVar.f3058g.keyAt(i2);
        }
        return iArr;
    }

    public int getCurrentState() {
        return this.n;
    }

    public ArrayList<j.b> getDefinedTransitions() {
        j jVar = this.f1124h;
        if (jVar == null) {
            return null;
        }
        return jVar.f3055d;
    }

    public DesignTool getDesignTool() {
        if (this.J == null) {
            this.J = new DesignTool(this);
        }
        return this.J;
    }

    public int getEndState() {
        return this.o;
    }

    public long getNanoTime() {
        return System.nanoTime();
    }

    public float getProgress() {
        return this.w;
    }

    public j getScene() {
        return this.f1124h;
    }

    public int getStartState() {
        return this.m;
    }

    public float getTargetPosition() {
        return this.y;
    }

    public Bundle getTransitionState() {
        if (this.o0 == null) {
            this.o0 = new h();
        }
        h hVar = this.o0;
        MotionLayout motionLayout = MotionLayout.this;
        hVar.f1159d = motionLayout.o;
        hVar.f1158c = motionLayout.m;
        hVar.f1157b = motionLayout.getVelocity();
        hVar.f1156a = MotionLayout.this.getProgress();
        h hVar2 = this.o0;
        Objects.requireNonNull(hVar2);
        Bundle bundle = new Bundle();
        bundle.putFloat("motion.progress", hVar2.f1156a);
        bundle.putFloat("motion.velocity", hVar2.f1157b);
        bundle.putInt("motion.StartState", hVar2.f1158c);
        bundle.putInt("motion.EndState", hVar2.f1159d);
        return bundle;
    }

    public long getTransitionTimeMs() {
        j jVar = this.f1124h;
        if (jVar != null) {
            this.u = ((float) jVar.c()) / 1000.0f;
        }
        return (long) (this.u * 1000.0f);
    }

    public float getVelocity() {
        return this.f1127l;
    }

    public void h(int i2, float f2, float f3, float f4, float[] fArr) {
        String str;
        HashMap<View, b.h.c.a.g> hashMap = this.s;
        View viewById = getViewById(i2);
        b.h.c.a.g gVar = hashMap.get(viewById);
        if (gVar != null) {
            gVar.e(f2, f3, f4, fArr);
            float y2 = viewById.getY();
            int i3 = ((f2 - this.C) > 0.0f ? 1 : ((f2 - this.C) == 0.0f ? 0 : -1));
            this.C = f2;
            this.D = y2;
            return;
        }
        if (viewById == null) {
            StringBuilder sb = new StringBuilder(11);
            sb.append(i2);
            str = sb.toString();
        } else {
            str = viewById.getContext().getResources().getResourceName(i2);
        }
        String valueOf = String.valueOf(str);
        Log.w("MotionLayout", valueOf.length() != 0 ? "WARNING could not find view id ".concat(valueOf) : new String("WARNING could not find view id "));
    }

    public b.h.d.b i(int i2) {
        j jVar = this.f1124h;
        if (jVar == null) {
            return null;
        }
        return jVar.b(i2);
    }

    public boolean isAttachedToWindow() {
        return super.isAttachedToWindow();
    }

    public j.b j(int i2) {
        Iterator<j.b> it = this.f1124h.f3055d.iterator();
        while (it.hasNext()) {
            j.b next = it.next();
            if (next.f3065a == i2) {
                return next;
            }
        }
        return null;
    }

    /* JADX WARNING: Removed duplicated region for block: B:10:0x0039  */
    public final boolean k(float f2, float f3, View view, MotionEvent motionEvent) {
        boolean z2;
        boolean z3;
        if (view instanceof ViewGroup) {
            ViewGroup viewGroup = (ViewGroup) view;
            int childCount = viewGroup.getChildCount() - 1;
            while (true) {
                if (childCount < 0) {
                    break;
                }
                View childAt = viewGroup.getChildAt(childCount);
                if (k((((float) childAt.getLeft()) + f2) - ((float) view.getScrollX()), (((float) childAt.getTop()) + f3) - ((float) view.getScrollY()), childAt, motionEvent)) {
                    z2 = true;
                    break;
                }
                childCount--;
            }
            if (!z2) {
                this.w0.set(f2, f3, (((float) view.getRight()) + f2) - ((float) view.getLeft()), (((float) view.getBottom()) + f3) - ((float) view.getTop()));
                if (motionEvent.getAction() != 0 || this.w0.contains(motionEvent.getX(), motionEvent.getY())) {
                    float f4 = -f2;
                    float f5 = -f3;
                    Matrix matrix = view.getMatrix();
                    if (matrix.isIdentity()) {
                        motionEvent.offsetLocation(f4, f5);
                        z3 = view.onTouchEvent(motionEvent);
                        motionEvent.offsetLocation(-f4, -f5);
                    } else {
                        MotionEvent obtain = MotionEvent.obtain(motionEvent);
                        obtain.offsetLocation(f4, f5);
                        if (this.y0 == null) {
                            this.y0 = new Matrix();
                        }
                        matrix.invert(this.y0);
                        obtain.transform(this.y0);
                        z3 = view.onTouchEvent(obtain);
                        obtain.recycle();
                    }
                    if (z3) {
                        return true;
                    }
                }
            }
            return z2;
        }
        z2 = false;
        if (!z2) {
        }
        return z2;
    }

    public final void l(AttributeSet attributeSet) {
        j jVar;
        f1123d = isInEditMode();
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, R$styleable.MotionLayout);
            int indexCount = obtainStyledAttributes.getIndexCount();
            boolean z2 = true;
            for (int i2 = 0; i2 < indexCount; i2++) {
                int index = obtainStyledAttributes.getIndex(i2);
                if (index == R$styleable.MotionLayout_layoutDescription) {
                    this.f1124h = new j(getContext(), this, obtainStyledAttributes.getResourceId(index, -1));
                } else if (index == R$styleable.MotionLayout_currentState) {
                    this.n = obtainStyledAttributes.getResourceId(index, -1);
                } else if (index == R$styleable.MotionLayout_motionProgress) {
                    this.y = obtainStyledAttributes.getFloat(index, 0.0f);
                    this.A = true;
                } else if (index == R$styleable.MotionLayout_applyMotionScene) {
                    z2 = obtainStyledAttributes.getBoolean(index, z2);
                } else if (index == R$styleable.MotionLayout_showPaths) {
                    if (this.E == 0) {
                        this.E = obtainStyledAttributes.getBoolean(index, false) ? 2 : 0;
                    }
                } else if (index == R$styleable.MotionLayout_motionDebug) {
                    this.E = obtainStyledAttributes.getInt(index, 0);
                }
            }
            obtainStyledAttributes.recycle();
            if (this.f1124h == null) {
                Log.e("MotionLayout", "WARNING NO app:layoutDescription tag");
            }
            if (!z2) {
                this.f1124h = null;
            }
        }
        if (this.E != 0) {
            j jVar2 = this.f1124h;
            if (jVar2 == null) {
                Log.e("MotionLayout", "CHECK: motion scene not set! set \"app:layoutDescription=\"@xml/file\"");
            } else {
                int i3 = jVar2.i();
                j jVar3 = this.f1124h;
                b.h.d.b b2 = jVar3.b(jVar3.i());
                String L2 = AppCompatDelegateImpl.e.L(getContext(), i3);
                int childCount = getChildCount();
                for (int i4 = 0; i4 < childCount; i4++) {
                    View childAt = getChildAt(i4);
                    int id = childAt.getId();
                    if (id == -1) {
                        String name = childAt.getClass().getName();
                        StringBuilder sb = new StringBuilder(name.length() + d.a.a.a.a.R(L2, 45));
                        sb.append("CHECK: ");
                        sb.append(L2);
                        sb.append(" ALL VIEWS SHOULD HAVE ID's ");
                        sb.append(name);
                        sb.append(" does not!");
                        Log.w("MotionLayout", sb.toString());
                    }
                    if (b2.j(id) == null) {
                        String M2 = AppCompatDelegateImpl.e.M(childAt);
                        Log.w("MotionLayout", d.a.a.a.a.f(d.a.a.a.a.R(M2, d.a.a.a.a.R(L2, 27)), "CHECK: ", L2, " NO CONSTRAINTS for ", M2));
                    }
                }
                Integer[] numArr = (Integer[]) b2.f3151i.keySet().toArray(new Integer[0]);
                int length = numArr.length;
                int[] iArr = new int[length];
                for (int i5 = 0; i5 < length; i5++) {
                    iArr[i5] = numArr[i5].intValue();
                }
                for (int i6 = 0; i6 < length; i6++) {
                    int i7 = iArr[i6];
                    String L3 = AppCompatDelegateImpl.e.L(getContext(), i7);
                    if (findViewById(iArr[i6]) == null) {
                        Log.w("MotionLayout", d.a.a.a.a.f(d.a.a.a.a.R(L3, d.a.a.a.a.R(L2, 27)), "CHECK: ", L2, " NO View matches id ", L3));
                    }
                    if (b2.i(i7).f3156e.f3176e == -1) {
                        StringBuilder sb2 = new StringBuilder(d.a.a.a.a.R(L3, d.a.a.a.a.R(L2, 26)));
                        sb2.append("CHECK: ");
                        sb2.append(L2);
                        sb2.append("(");
                        sb2.append(L3);
                        sb2.append(") no LAYOUT_HEIGHT");
                        Log.w("MotionLayout", sb2.toString());
                    }
                    if (b2.i(i7).f3156e.f3175d == -1) {
                        StringBuilder sb3 = new StringBuilder(d.a.a.a.a.R(L3, d.a.a.a.a.R(L2, 26)));
                        sb3.append("CHECK: ");
                        sb3.append(L2);
                        sb3.append("(");
                        sb3.append(L3);
                        sb3.append(") no LAYOUT_HEIGHT");
                        Log.w("MotionLayout", sb3.toString());
                    }
                }
                SparseIntArray sparseIntArray = new SparseIntArray();
                SparseIntArray sparseIntArray2 = new SparseIntArray();
                Iterator<j.b> it = this.f1124h.f3055d.iterator();
                while (it.hasNext()) {
                    j.b next = it.next();
                    if (next == this.f1124h.f3054c) {
                        Log.v("MotionLayout", "CHECK: CURRENT");
                    }
                    if (next.f3068d == next.f3067c) {
                        Log.e("MotionLayout", "CHECK: start and end constraint set should not be the same!");
                    }
                    int i8 = next.f3068d;
                    int i9 = next.f3067c;
                    String L4 = AppCompatDelegateImpl.e.L(getContext(), i8);
                    String L5 = AppCompatDelegateImpl.e.L(getContext(), i9);
                    if (sparseIntArray.get(i8) == i9) {
                        Log.e("MotionLayout", d.a.a.a.a.f(d.a.a.a.a.R(L5, d.a.a.a.a.R(L4, 53)), "CHECK: two transitions with the same start and end ", L4, "->", L5));
                    }
                    if (sparseIntArray2.get(i9) == i8) {
                        Log.e("MotionLayout", d.a.a.a.a.f(d.a.a.a.a.R(L5, d.a.a.a.a.R(L4, 43)), "CHECK: you can't have reverse transitions", L4, "->", L5));
                    }
                    sparseIntArray.put(i8, i9);
                    sparseIntArray2.put(i9, i8);
                    if (this.f1124h.b(i8) == null) {
                        String valueOf = String.valueOf(L4);
                        Log.e("MotionLayout", valueOf.length() != 0 ? " no such constraintSetStart ".concat(valueOf) : new String(" no such constraintSetStart "));
                    }
                    if (this.f1124h.b(i9) == null) {
                        String valueOf2 = String.valueOf(L4);
                        Log.e("MotionLayout", valueOf2.length() != 0 ? " no such constraintSetEnd ".concat(valueOf2) : new String(" no such constraintSetEnd "));
                    }
                }
            }
        }
        if (this.n == -1 && (jVar = this.f1124h) != null) {
            this.n = jVar.i();
            this.m = this.f1124h.i();
            this.o = this.f1124h.d();
        }
    }

    @Override // androidx.constraintlayout.widget.ConstraintLayout
    public void loadLayoutDescription(int i2) {
        j.b bVar;
        if (i2 != 0) {
            try {
                j jVar = new j(getContext(), this, i2);
                this.f1124h = jVar;
                if (this.n == -1) {
                    this.n = jVar.i();
                    this.m = this.f1124h.i();
                    this.o = this.f1124h.d();
                }
                if (isAttachedToWindow()) {
                    try {
                        Display display = getDisplay();
                        if (display != null) {
                            display.getRotation();
                        }
                        j jVar2 = this.f1124h;
                        if (jVar2 != null) {
                            b.h.d.b b2 = jVar2.b(this.n);
                            this.f1124h.o(this);
                            ArrayList<MotionHelper> arrayList = this.U;
                            if (arrayList != null) {
                                Iterator<MotionHelper> it = arrayList.iterator();
                                while (it.hasNext()) {
                                    it.next().onFinishedMotionScene(this);
                                }
                            }
                            if (b2 != null) {
                                b2.c(this, true);
                                setConstraintSet(null);
                                requestLayout();
                            }
                            this.m = this.n;
                        }
                        m();
                        h hVar = this.o0;
                        if (hVar == null) {
                            j jVar3 = this.f1124h;
                            if (jVar3 != null && (bVar = jVar3.f3054c) != null && bVar.n == 4) {
                                r();
                                setState(TransitionState.SETUP);
                                setState(TransitionState.MOVING);
                            }
                        } else if (this.s0) {
                            post(new a());
                        } else {
                            hVar.a();
                        }
                    } catch (Exception e2) {
                        throw new IllegalArgumentException("unable to parse MotionScene file", e2);
                    }
                } else {
                    this.f1124h = null;
                }
            } catch (Exception e3) {
                throw new IllegalArgumentException("unable to parse MotionScene file", e3);
            }
        } else {
            this.f1124h = null;
        }
    }

    public void m() {
        j.b bVar;
        m mVar;
        View view;
        j jVar = this.f1124h;
        if (jVar != null) {
            if (jVar.a(this, this.n)) {
                requestLayout();
                return;
            }
            int i2 = this.n;
            if (i2 != -1) {
                j jVar2 = this.f1124h;
                Iterator<j.b> it = jVar2.f3055d.iterator();
                while (it.hasNext()) {
                    j.b next = it.next();
                    if (next.m.size() > 0) {
                        Iterator<j.b.a> it2 = next.m.iterator();
                        while (it2.hasNext()) {
                            it2.next().b(this);
                        }
                    }
                }
                Iterator<j.b> it3 = jVar2.f3057f.iterator();
                while (it3.hasNext()) {
                    j.b next2 = it3.next();
                    if (next2.m.size() > 0) {
                        Iterator<j.b.a> it4 = next2.m.iterator();
                        while (it4.hasNext()) {
                            it4.next().b(this);
                        }
                    }
                }
                Iterator<j.b> it5 = jVar2.f3055d.iterator();
                while (it5.hasNext()) {
                    j.b next3 = it5.next();
                    if (next3.m.size() > 0) {
                        Iterator<j.b.a> it6 = next3.m.iterator();
                        while (it6.hasNext()) {
                            it6.next().a(this, i2, next3);
                        }
                    }
                }
                Iterator<j.b> it7 = jVar2.f3057f.iterator();
                while (it7.hasNext()) {
                    j.b next4 = it7.next();
                    if (next4.m.size() > 0) {
                        Iterator<j.b.a> it8 = next4.m.iterator();
                        while (it8.hasNext()) {
                            it8.next().a(this, i2, next4);
                        }
                    }
                }
            }
            if (this.f1124h.r() && (bVar = this.f1124h.f3054c) != null && (mVar = bVar.f3076l) != null) {
                int i3 = mVar.f3085f;
                if (i3 != -1) {
                    view = mVar.t.findViewById(i3);
                    if (view == null) {
                        String valueOf = String.valueOf(AppCompatDelegateImpl.e.L(mVar.t.getContext(), mVar.f3085f));
                        Log.e("TouchResponse", valueOf.length() != 0 ? "cannot find TouchAnchorId @id/".concat(valueOf) : new String("cannot find TouchAnchorId @id/"));
                    }
                } else {
                    view = null;
                }
                if (view instanceof NestedScrollView) {
                    NestedScrollView nestedScrollView = (NestedScrollView) view;
                    nestedScrollView.setOnTouchListener(new k());
                    nestedScrollView.setOnScrollChangeListener(new l());
                }
            }
        }
    }

    public final void n() {
        CopyOnWriteArrayList<TransitionListener> copyOnWriteArrayList;
        if (this.B != null || ((copyOnWriteArrayList = this.V) != null && !copyOnWriteArrayList.isEmpty())) {
            Iterator<Integer> it = this.z0.iterator();
            while (it.hasNext()) {
                Integer next = it.next();
                TransitionListener transitionListener = this.B;
                if (transitionListener != null) {
                    transitionListener.onTransitionCompleted(this, next.intValue());
                }
                CopyOnWriteArrayList<TransitionListener> copyOnWriteArrayList2 = this.V;
                if (copyOnWriteArrayList2 != null) {
                    Iterator<TransitionListener> it2 = copyOnWriteArrayList2.iterator();
                    while (it2.hasNext()) {
                        it2.next().onTransitionCompleted(this, next.intValue());
                    }
                }
            }
            this.z0.clear();
        }
    }

    public void o() {
        this.u0.f();
        invalidate();
    }

    public void onAttachedToWindow() {
        j.b bVar;
        int i2;
        super.onAttachedToWindow();
        Display display = getDisplay();
        if (display != null) {
            display.getRotation();
        }
        j jVar = this.f1124h;
        if (!(jVar == null || (i2 = this.n) == -1)) {
            b.h.d.b b2 = jVar.b(i2);
            this.f1124h.o(this);
            ArrayList<MotionHelper> arrayList = this.U;
            if (arrayList != null) {
                Iterator<MotionHelper> it = arrayList.iterator();
                while (it.hasNext()) {
                    it.next().onFinishedMotionScene(this);
                }
            }
            if (b2 != null) {
                b2.c(this, true);
                setConstraintSet(null);
                requestLayout();
            }
            this.m = this.n;
        }
        m();
        h hVar = this.o0;
        if (hVar == null) {
            j jVar2 = this.f1124h;
            if (jVar2 != null && (bVar = jVar2.f3054c) != null && bVar.n == 4) {
                r();
                setState(TransitionState.SETUP);
                setState(TransitionState.MOVING);
            }
        } else if (this.s0) {
            post(new c());
        } else {
            hVar.a();
        }
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        m mVar;
        int i2;
        RectF b2;
        int currentState;
        o oVar;
        j jVar = this.f1124h;
        if (jVar != null && this.r) {
            p pVar = jVar.q;
            if (!(pVar == null || (currentState = pVar.f3117a.getCurrentState()) == -1)) {
                if (pVar.f3119c == null) {
                    pVar.f3119c = new HashSet<>();
                    Iterator<o> it = pVar.f3118b.iterator();
                    while (it.hasNext()) {
                        o next = it.next();
                        int childCount = pVar.f3117a.getChildCount();
                        for (int i3 = 0; i3 < childCount; i3++) {
                            View childAt = pVar.f3117a.getChildAt(i3);
                            if (next.c(childAt)) {
                                childAt.getId();
                                pVar.f3119c.add(childAt);
                            }
                        }
                    }
                }
                float x2 = motionEvent.getX();
                float y2 = motionEvent.getY();
                Rect rect = new Rect();
                int action = motionEvent.getAction();
                ArrayList<o.a> arrayList = pVar.f3121e;
                int i4 = 2;
                if (arrayList != null && !arrayList.isEmpty()) {
                    Iterator<o.a> it2 = pVar.f3121e.iterator();
                    while (it2.hasNext()) {
                        o.a next2 = it2.next();
                        Objects.requireNonNull(next2);
                        if (action != 1) {
                            if (action == 2) {
                                next2.f3108d.f3036b.getHitRect(next2.m);
                                if (!next2.m.contains((int) x2, (int) y2) && !next2.f3113i) {
                                    next2.b(true);
                                }
                            }
                        } else if (!next2.f3113i) {
                            next2.b(true);
                        }
                    }
                }
                if (action == 0 || action == 1) {
                    b.h.d.b i5 = pVar.f3117a.i(currentState);
                    Iterator<o> it3 = pVar.f3118b.iterator();
                    while (it3.hasNext()) {
                        o next3 = it3.next();
                        int i6 = next3.f3094b;
                        if (i6 != 1 ? !(i6 != i4 ? !(i6 == 3 && action == 0) : action != 1) : action == 0) {
                            Iterator<View> it4 = pVar.f3119c.iterator();
                            while (it4.hasNext()) {
                                View next4 = it4.next();
                                if (next3.c(next4)) {
                                    next4.getHitRect(rect);
                                    if (rect.contains((int) x2, (int) y2)) {
                                        oVar = next3;
                                        next3.a(pVar, pVar.f3117a, currentState, i5, next4);
                                    } else {
                                        oVar = next3;
                                    }
                                    next3 = oVar;
                                    i4 = 2;
                                }
                            }
                        }
                    }
                }
            }
            j.b bVar = this.f1124h.f3054c;
            if (bVar != null && (!bVar.o) && (mVar = bVar.f3076l) != null && ((motionEvent.getAction() != 0 || (b2 = mVar.b(this, new RectF())) == null || b2.contains(motionEvent.getX(), motionEvent.getY())) && (i2 = mVar.f3086g) != -1)) {
                View view = this.x0;
                if (view == null || view.getId() != i2) {
                    this.x0 = findViewById(i2);
                }
                View view2 = this.x0;
                if (view2 != null) {
                    this.w0.set((float) view2.getLeft(), (float) this.x0.getTop(), (float) this.x0.getRight(), (float) this.x0.getBottom());
                    if (this.w0.contains(motionEvent.getX(), motionEvent.getY()) && !k((float) this.x0.getLeft(), (float) this.x0.getTop(), this.x0, motionEvent)) {
                        return onTouchEvent(motionEvent);
                    }
                }
            }
        }
        return false;
    }

    @Override // androidx.constraintlayout.widget.ConstraintLayout
    public void onLayout(boolean z2, int i2, int i3, int i4, int i5) {
        this.n0 = true;
        try {
            if (this.f1124h == null) {
                super.onLayout(z2, i2, i3, i4, i5);
                return;
            }
            int i6 = i4 - i2;
            int i7 = i5 - i3;
            if (!(this.K == i6 && this.L == i7)) {
                o();
                e(true);
            }
            this.K = i6;
            this.L = i7;
            this.n0 = false;
        } finally {
            this.n0 = false;
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:24:0x004e, code lost:
        if (((r6 == r8.f1151e && r7 == r8.f1152f) ? false : true) != false) goto L_0x0050;
     */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x00ea  */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x00f7  */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x00ff  */
    /* JADX WARNING: Removed duplicated region for block: B:64:0x0121  */
    /* JADX WARNING: Removed duplicated region for block: B:65:0x012c  */
    /* JADX WARNING: Removed duplicated region for block: B:76:0x0153  */
    /* JADX WARNING: Removed duplicated region for block: B:78:0x0159  */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x0178  */
    /* JADX WARNING: Removed duplicated region for block: B:90:? A[RETURN, SYNTHETIC] */
    @Override // androidx.constraintlayout.widget.ConstraintLayout
    public void onMeasure(int i2, int i3) {
        boolean z2;
        float f2;
        int i4;
        int childCount;
        Interpolator interpolator;
        if (this.f1124h == null) {
            super.onMeasure(i2, i3);
            return;
        }
        boolean z3 = true;
        boolean z4 = (this.p == i2 && this.q == i3) ? false : true;
        if (this.v0) {
            this.v0 = false;
            m();
            n();
            z4 = true;
        }
        if (this.mDirtyHierarchy) {
            z4 = true;
        }
        this.p = i2;
        this.q = i3;
        int i5 = this.f1124h.i();
        int d2 = this.f1124h.d();
        if (!z4) {
            f fVar = this.u0;
        }
        if (this.m != -1) {
            super.onMeasure(i2, i3);
            this.u0.e(this.f1124h.b(i5), this.f1124h.b(d2));
            this.u0.f();
            f fVar2 = this.u0;
            fVar2.f1151e = i5;
            fVar2.f1152f = d2;
            z2 = false;
            if (this.e0 || z2) {
                int paddingBottom = getPaddingBottom() + getPaddingTop();
                int u2 = this.mLayoutWidget.u() + getPaddingRight() + getPaddingLeft();
                int o2 = this.mLayoutWidget.o() + paddingBottom;
                int i6 = this.j0;
                if (i6 == Integer.MIN_VALUE || i6 == 0) {
                    int i7 = this.f0;
                    u2 = (int) ((this.l0 * ((float) (this.h0 - i7))) + ((float) i7));
                    requestLayout();
                }
                int i8 = this.k0;
                if (i8 == Integer.MIN_VALUE || i8 == 0) {
                    int i9 = this.g0;
                    o2 = (int) ((this.l0 * ((float) (this.i0 - i9))) + ((float) i9));
                    requestLayout();
                }
                setMeasuredDimension(u2, o2);
            }
            float signum = Math.signum(this.y - this.w);
            long nanoTime = getNanoTime();
            Interpolator interpolator2 = this.f1125j;
            f2 = this.w + (interpolator2 instanceof StopLogic ? ((((float) (nanoTime - this.x)) * signum) * 1.0E-9f) / this.u : 0.0f);
            if (this.z) {
                f2 = this.y;
            }
            i4 = (signum > 0.0f ? 1 : (signum == 0.0f ? 0 : -1));
            if ((i4 > 0 || f2 < this.y) && (signum > 0.0f || f2 > this.y)) {
                z3 = false;
            } else {
                f2 = this.y;
            }
            if (interpolator2 != null && !z3) {
                if (!this.G) {
                    f2 = interpolator2.getInterpolation(((float) (nanoTime - this.t)) * 1.0E-9f);
                } else {
                    f2 = interpolator2.getInterpolation(f2);
                }
            }
            if ((i4 > 0 && f2 >= this.y) || (signum <= 0.0f && f2 <= this.y)) {
                f2 = this.y;
            }
            this.l0 = f2;
            childCount = getChildCount();
            long nanoTime2 = getNanoTime();
            interpolator = this.f1126k;
            if (interpolator != null) {
                f2 = interpolator.getInterpolation(f2);
            }
            for (int i10 = 0; i10 < childCount; i10++) {
                View childAt = getChildAt(i10);
                b.h.c.a.g gVar = this.s.get(childAt);
                if (gVar != null) {
                    gVar.g(childAt, f2, nanoTime2, this.m0);
                }
            }
            if (!this.e0) {
                requestLayout();
                return;
            }
            return;
        }
        if (z4) {
            super.onMeasure(i2, i3);
        }
        z2 = true;
        int paddingBottom2 = getPaddingBottom() + getPaddingTop();
        int u22 = this.mLayoutWidget.u() + getPaddingRight() + getPaddingLeft();
        int o22 = this.mLayoutWidget.o() + paddingBottom2;
        int i62 = this.j0;
        int i72 = this.f0;
        u22 = (int) ((this.l0 * ((float) (this.h0 - i72))) + ((float) i72));
        requestLayout();
        int i82 = this.k0;
        int i92 = this.g0;
        o22 = (int) ((this.l0 * ((float) (this.i0 - i92))) + ((float) i92));
        requestLayout();
        setMeasuredDimension(u22, o22);
        float signum2 = Math.signum(this.y - this.w);
        long nanoTime3 = getNanoTime();
        Interpolator interpolator22 = this.f1125j;
        f2 = this.w + (interpolator22 instanceof StopLogic ? ((((float) (nanoTime3 - this.x)) * signum2) * 1.0E-9f) / this.u : 0.0f);
        if (this.z) {
        }
        i4 = (signum2 > 0.0f ? 1 : (signum2 == 0.0f ? 0 : -1));
        if (i4 > 0) {
        }
        z3 = false;
        if (!this.G) {
        }
        f2 = this.y;
        this.l0 = f2;
        childCount = getChildCount();
        long nanoTime22 = getNanoTime();
        interpolator = this.f1126k;
        if (interpolator != null) {
        }
        while (i10 < childCount) {
        }
        if (!this.e0) {
        }
    }

    @Override // androidx.core.view.NestedScrollingParent
    public boolean onNestedFling(View view, float f2, float f3, boolean z2) {
        return false;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public boolean onNestedPreFling(View view, float f2, float f3) {
        return false;
    }

    @Override // androidx.core.view.NestedScrollingParent2
    public void onNestedPreScroll(View view, int i2, int i3, int[] iArr, int i4) {
        j.b bVar;
        boolean z2;
        boolean z3;
        m mVar;
        float f2;
        float f3;
        m mVar2;
        m mVar3;
        m mVar4;
        int i5;
        j jVar = this.f1124h;
        if (jVar != null && (bVar = jVar.f3054c) != null && (!bVar.o)) {
            int i6 = -1;
            if (!z2 || (mVar4 = bVar.f3076l) == null || (i5 = mVar4.f3086g) == -1 || view.getId() == i5) {
                j.b bVar2 = jVar.f3054c;
                if ((bVar2 == null || (mVar3 = bVar2.f3076l) == null) ? false : mVar3.w) {
                    m mVar5 = bVar.f3076l;
                    if (!(mVar5 == null || (mVar5.y & 4) == 0)) {
                        i6 = i3;
                    }
                    float f4 = this.v;
                    if ((f4 == 1.0f || f4 == 0.0f) && view.canScrollVertically(i6)) {
                        return;
                    }
                }
                m mVar6 = bVar.f3076l;
                if (!(mVar6 == null || (mVar6.y & 1) == 0)) {
                    float f5 = (float) i2;
                    float f6 = (float) i3;
                    j.b bVar3 = jVar.f3054c;
                    if (bVar3 == null || (mVar2 = bVar3.f3076l) == null) {
                        f3 = 0.0f;
                    } else {
                        mVar2.t.h(mVar2.f3085f, mVar2.t.getProgress(), mVar2.f3089j, mVar2.f3088i, mVar2.p);
                        float f7 = mVar2.m;
                        if (f7 != 0.0f) {
                            float[] fArr = mVar2.p;
                            if (fArr[0] == 0.0f) {
                                fArr[0] = 1.0E-7f;
                            }
                            f3 = (f5 * f7) / fArr[0];
                        } else {
                            float[] fArr2 = mVar2.p;
                            if (fArr2[1] == 0.0f) {
                                fArr2[1] = 1.0E-7f;
                            }
                            f3 = (f6 * mVar2.n) / fArr2[1];
                        }
                    }
                    float f8 = this.w;
                    if ((f8 <= 0.0f && f3 < 0.0f) || (f8 >= 1.0f && f3 > 0.0f)) {
                        view.setNestedScrollingEnabled(false);
                        view.post(new b(view));
                        return;
                    }
                }
                float f9 = this.v;
                long nanoTime = getNanoTime();
                float f10 = (float) i2;
                this.N = f10;
                float f11 = (float) i3;
                this.O = f11;
                this.Q = (float) (((double) (nanoTime - this.P)) * 1.0E-9d);
                this.P = nanoTime;
                j.b bVar4 = jVar.f3054c;
                if (!(bVar4 == null || (mVar = bVar4.f3076l) == null)) {
                    float progress = mVar.t.getProgress();
                    if (!mVar.o) {
                        mVar.o = true;
                        mVar.t.setProgress(progress);
                    }
                    mVar.t.h(mVar.f3085f, progress, mVar.f3089j, mVar.f3088i, mVar.p);
                    float f12 = mVar.m;
                    float[] fArr3 = mVar.p;
                    if (((double) Math.abs((mVar.n * fArr3[1]) + (f12 * fArr3[0]))) < 0.01d) {
                        float[] fArr4 = mVar.p;
                        fArr4[0] = 0.01f;
                        fArr4[1] = 0.01f;
                    }
                    float f13 = mVar.m;
                    if (f13 != 0.0f) {
                        f2 = (f10 * f13) / mVar.p[0];
                    } else {
                        f2 = (f11 * mVar.n) / mVar.p[1];
                    }
                    float max = Math.max(Math.min(progress + f2, 1.0f), 0.0f);
                    if (max != mVar.t.getProgress()) {
                        mVar.t.setProgress(max);
                    }
                }
                if (f9 != this.v) {
                    iArr[0] = i2;
                    z3 = true;
                    iArr[1] = i3;
                } else {
                    z3 = true;
                }
                e(false);
                if (iArr[0] == 0) {
                    char c2 = z3 ? 1 : 0;
                    char c3 = z3 ? 1 : 0;
                    char c4 = z3 ? 1 : 0;
                    if (iArr[c2] == 0) {
                        return;
                    }
                }
                this.M = z3;
            }
        }
    }

    @Override // androidx.core.view.NestedScrollingParent2
    public void onNestedScroll(View view, int i2, int i3, int i4, int i5, int i6) {
    }

    @Override // androidx.core.view.NestedScrollingParent3
    public void onNestedScroll(View view, int i2, int i3, int i4, int i5, int i6, int[] iArr) {
        if (!(!this.M && i2 == 0 && i3 == 0)) {
            iArr[0] = iArr[0] + i4;
            iArr[1] = iArr[1] + i5;
        }
        this.M = false;
    }

    @Override // androidx.core.view.NestedScrollingParent2
    public void onNestedScrollAccepted(View view, View view2, int i2, int i3) {
        this.P = getNanoTime();
        this.Q = 0.0f;
        this.N = 0.0f;
        this.O = 0.0f;
    }

    public void onRtlPropertiesChanged(int i2) {
        m mVar;
        j jVar = this.f1124h;
        if (jVar != null) {
            boolean isRtl = isRtl();
            jVar.p = isRtl;
            j.b bVar = jVar.f3054c;
            if (bVar != null && (mVar = bVar.f3076l) != null) {
                mVar.c(isRtl);
            }
        }
    }

    @Override // androidx.core.view.NestedScrollingParent2
    public boolean onStartNestedScroll(View view, View view2, int i2, int i3) {
        j.b bVar;
        m mVar;
        j jVar = this.f1124h;
        return (jVar == null || (bVar = jVar.f3054c) == null || (mVar = bVar.f3076l) == null || (mVar.y & 2) != 0) ? false : true;
    }

    @Override // androidx.core.view.NestedScrollingParent2
    public void onStopNestedScroll(View view, int i2) {
        m mVar;
        float f2;
        j jVar = this.f1124h;
        if (jVar != null) {
            float f3 = this.Q;
            float f4 = 0.0f;
            if (f3 != 0.0f) {
                float f5 = this.N / f3;
                float f6 = this.O / f3;
                j.b bVar = jVar.f3054c;
                if (bVar != null && (mVar = bVar.f3076l) != null) {
                    boolean z2 = false;
                    mVar.o = false;
                    float progress = mVar.t.getProgress();
                    mVar.t.h(mVar.f3085f, progress, mVar.f3089j, mVar.f3088i, mVar.p);
                    float f7 = mVar.m;
                    float[] fArr = mVar.p;
                    float f8 = fArr[0];
                    float f9 = mVar.n;
                    float f10 = fArr[1];
                    if (f7 != 0.0f) {
                        f2 = (f5 * f7) / fArr[0];
                    } else {
                        f2 = (f6 * f9) / fArr[1];
                    }
                    if (!Float.isNaN(f2)) {
                        progress += f2 / 3.0f;
                    }
                    if (progress != 0.0f) {
                        boolean z3 = progress != 1.0f;
                        int i3 = mVar.f3084e;
                        if (i3 != 3) {
                            z2 = true;
                        }
                        if (z2 && z3) {
                            MotionLayout motionLayout = mVar.t;
                            if (((double) progress) >= 0.5d) {
                                f4 = 1.0f;
                            }
                            motionLayout.q(i3, f4, f2);
                        }
                    }
                }
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:161:0x04da  */
    /* JADX WARNING: Removed duplicated region for block: B:162:0x04ff  */
    /* JADX WARNING: Removed duplicated region for block: B:165:0x051c  */
    /* JADX WARNING: Removed duplicated region for block: B:166:0x052c  */
    /* JADX WARNING: Removed duplicated region for block: B:303:0x0810  */
    /* JADX WARNING: Removed duplicated region for block: B:305:0x0819 A[RETURN] */
    public boolean onTouchEvent(MotionEvent motionEvent) {
        MotionTracker motionTracker;
        m mVar;
        char c2;
        char c3;
        float f2;
        int i2;
        char c4;
        char c5;
        char c6;
        char c7;
        float f3;
        int i3;
        float f4;
        int i4;
        int i5;
        float f5;
        float f6;
        int i6;
        char c8;
        MotionEvent motionEvent2;
        j.b bVar;
        int i7;
        float f7;
        float f8;
        Iterator it;
        RectF rectF;
        j.b bVar2;
        MotionEvent motionEvent3;
        m mVar2;
        RectF a2;
        j jVar = this.f1124h;
        if (jVar == null || !this.r || !jVar.r()) {
            return super.onTouchEvent(motionEvent);
        }
        j jVar2 = this.f1124h;
        j.b bVar3 = jVar2.f3054c;
        if (bVar3 != null && !(!bVar3.o)) {
            return super.onTouchEvent(motionEvent);
        }
        int currentState = getCurrentState();
        Objects.requireNonNull(jVar2);
        RectF rectF2 = new RectF();
        if (jVar2.o == null) {
            Objects.requireNonNull(jVar2.f3052a);
            g.f1154a.f1155b = VelocityTracker.obtain();
            jVar2.o = g.f1154a;
        }
        jVar2.o.addMovement(motionEvent);
        if (currentState != -1) {
            int action = motionEvent.getAction();
            if (action == 0) {
                jVar2.r = motionEvent.getRawX();
                jVar2.s = motionEvent.getRawY();
                jVar2.f3063l = motionEvent;
                jVar2.m = false;
                m mVar3 = jVar2.f3054c.f3076l;
                if (mVar3 != null) {
                    RectF a3 = mVar3.a(jVar2.f3052a, rectF2);
                    if (a3 == null || a3.contains(jVar2.f3063l.getX(), jVar2.f3063l.getY())) {
                        RectF b2 = jVar2.f3054c.f3076l.b(jVar2.f3052a, rectF2);
                        if (b2 == null || b2.contains(jVar2.f3063l.getX(), jVar2.f3063l.getY())) {
                            jVar2.n = false;
                        } else {
                            jVar2.n = true;
                        }
                        m mVar4 = jVar2.f3054c.f3076l;
                        float f9 = jVar2.r;
                        float f10 = jVar2.s;
                        mVar4.r = f9;
                        mVar4.s = f10;
                    } else {
                        jVar2.f3063l = null;
                        jVar2.m = true;
                    }
                }
            } else if (action == 2 && !jVar2.m) {
                float rawY = motionEvent.getRawY() - jVar2.s;
                float rawX = motionEvent.getRawX() - jVar2.r;
                if (!((((double) rawX) == 0.0d && ((double) rawY) == 0.0d) || (motionEvent2 = jVar2.f3063l) == null)) {
                    if (currentState != -1) {
                        b.h.d.d dVar = jVar2.f3053b;
                        if (dVar == null || (i7 = dVar.a(currentState, -1, -1)) == -1) {
                            i7 = currentState;
                        }
                        ArrayList arrayList = new ArrayList();
                        Iterator<j.b> it2 = jVar2.f3055d.iterator();
                        while (it2.hasNext()) {
                            j.b next = it2.next();
                            if (next.f3068d == i7 || next.f3067c == i7) {
                                arrayList.add(next);
                            }
                        }
                        RectF rectF3 = new RectF();
                        Iterator it3 = arrayList.iterator();
                        float f11 = 0.0f;
                        bVar = null;
                        while (it3.hasNext()) {
                            j.b bVar4 = (j.b) it3.next();
                            if (!bVar4.o && (mVar2 = bVar4.f3076l) != null) {
                                mVar2.c(jVar2.p);
                                RectF b3 = bVar4.f3076l.b(jVar2.f3052a, rectF3);
                                if ((b3 == null || b3.contains(motionEvent2.getX(), motionEvent2.getY())) && ((a2 = bVar4.f3076l.a(jVar2.f3052a, rectF3)) == null || a2.contains(motionEvent2.getX(), motionEvent2.getY()))) {
                                    m mVar5 = bVar4.f3076l;
                                    float f12 = (mVar5.n * rawY) + (mVar5.m * rawX);
                                    if (mVar5.f3091l) {
                                        float x2 = motionEvent2.getX();
                                        Objects.requireNonNull(bVar4.f3076l);
                                        float f13 = x2 - 0.5f;
                                        float y2 = motionEvent2.getY();
                                        rectF = rectF3;
                                        Objects.requireNonNull(bVar4.f3076l);
                                        float f14 = y2 - 0.5f;
                                        it = it3;
                                        f8 = rawY;
                                        f7 = rawX;
                                        double atan2 = Math.atan2((double) (rawY + f14), (double) (rawX + f13));
                                        double d2 = (double) f13;
                                        motionEvent3 = motionEvent2;
                                        bVar2 = bVar;
                                        f12 = ((float) (atan2 - Math.atan2(d2, (double) f14))) * 10.0f;
                                    } else {
                                        rectF = rectF3;
                                        it = it3;
                                        f8 = rawY;
                                        f7 = rawX;
                                        motionEvent3 = motionEvent2;
                                        bVar2 = bVar;
                                    }
                                    float f15 = (bVar4.f3067c == currentState ? -1.0f : 1.1f) * f12;
                                    if (f15 > f11) {
                                        motionEvent2 = motionEvent3;
                                        f11 = f15;
                                        bVar = bVar4;
                                        rectF3 = rectF;
                                        it3 = it;
                                        rawY = f8;
                                        rawX = f7;
                                    }
                                    motionEvent2 = motionEvent3;
                                    bVar = bVar2;
                                    rectF3 = rectF;
                                    it3 = it;
                                    rawY = f8;
                                    rawX = f7;
                                }
                            }
                            rectF = rectF3;
                            it = it3;
                            f8 = rawY;
                            f7 = rawX;
                            motionEvent3 = motionEvent2;
                            bVar2 = bVar;
                            motionEvent2 = motionEvent3;
                            bVar = bVar2;
                            rectF3 = rectF;
                            it3 = it;
                            rawY = f8;
                            rawX = f7;
                        }
                    } else {
                        bVar = jVar2.f3054c;
                    }
                    if (bVar != null) {
                        setTransition(bVar);
                        RectF b4 = jVar2.f3054c.f3076l.b(jVar2.f3052a, rectF2);
                        jVar2.n = b4 != null && !b4.contains(jVar2.f3063l.getX(), jVar2.f3063l.getY());
                        m mVar6 = jVar2.f3054c.f3076l;
                        float f16 = jVar2.r;
                        float f17 = jVar2.s;
                        mVar6.r = f16;
                        mVar6.s = f17;
                        mVar6.o = false;
                    }
                }
            }
            if (!this.f1124h.f3054c.a(4)) {
                return this.f1124h.f3054c.f3076l.o;
            }
            return true;
        }
        if (!jVar2.m) {
            j.b bVar5 = jVar2.f3054c;
            if (!(bVar5 == null || (mVar = bVar5.f3076l) == null || jVar2.n)) {
                MotionTracker motionTracker2 = jVar2.o;
                if (mVar.f3091l) {
                    motionTracker2.addMovement(motionEvent);
                    int action2 = motionEvent.getAction();
                    if (action2 == 0) {
                        mVar.r = motionEvent.getRawX();
                        mVar.s = motionEvent.getRawY();
                        mVar.o = false;
                    } else if (action2 == 1) {
                        mVar.o = false;
                        motionTracker2.computeCurrentVelocity(16);
                        float xVelocity = motionTracker2.getXVelocity();
                        float yVelocity = motionTracker2.getYVelocity();
                        float progress = mVar.t.getProgress();
                        float width = ((float) mVar.t.getWidth()) / 2.0f;
                        float height = ((float) mVar.t.getHeight()) / 2.0f;
                        int i8 = mVar.f3090k;
                        if (i8 != -1) {
                            View findViewById = mVar.t.findViewById(i8);
                            mVar.t.getLocationOnScreen(mVar.q);
                            f5 = (((float) (findViewById.getRight() + findViewById.getLeft())) / 2.0f) + ((float) mVar.q[0]);
                            f6 = (float) mVar.q[1];
                            i5 = findViewById.getTop();
                            i6 = findViewById.getBottom();
                        } else {
                            int i9 = mVar.f3085f;
                            if (i9 != -1) {
                                MotionLayout motionLayout = mVar.t;
                                View findViewById2 = mVar.t.findViewById(motionLayout.s.get(motionLayout.findViewById(i9)).f3040f.s);
                                mVar.t.getLocationOnScreen(mVar.q);
                                f5 = (((float) (findViewById2.getRight() + findViewById2.getLeft())) / 2.0f) + ((float) mVar.q[0]);
                                f6 = (float) mVar.q[1];
                                i5 = findViewById2.getTop();
                                i6 = findViewById2.getBottom();
                            }
                            float rawX2 = motionEvent.getRawX() - width;
                            float rawY2 = motionEvent.getRawY() - height;
                            double degrees = Math.toDegrees(Math.atan2((double) rawY2, (double) rawX2));
                            i3 = mVar.f3085f;
                            if (i3 == -1) {
                                mVar.t.h(i3, progress, mVar.f3089j, mVar.f3088i, mVar.p);
                                float[] fArr = mVar.p;
                                fArr[1] = (float) Math.toDegrees((double) fArr[1]);
                            } else {
                                mVar.p[1] = 360.0f;
                            }
                            float degrees2 = ((float) (Math.toDegrees(Math.atan2((double) (yVelocity + rawY2), (double) (xVelocity + rawX2))) - degrees)) * 62.5f;
                            f4 = Float.isNaN(degrees2) ? (((degrees2 * 3.0f) * mVar.x) / mVar.p[1]) + progress : progress;
                            if (f4 == 0.0f && f4 != 1.0f && (i4 = mVar.f3084e) != 3) {
                                float f18 = (degrees2 * mVar.x) / mVar.p[1];
                                float f19 = ((double) f4) < 0.5d ? 0.0f : 1.0f;
                                if (i4 == 6) {
                                    if (progress + f18 < 0.0f) {
                                        f18 = Math.abs(f18);
                                    }
                                    f19 = 1.0f;
                                }
                                if (mVar.f3084e == 7) {
                                    if (progress + f18 > 1.0f) {
                                        f18 = -Math.abs(f18);
                                    }
                                    f19 = 0.0f;
                                }
                                mVar.t.q(mVar.f3084e, f19, f18 * 3.0f);
                                if (0.0f >= progress || 1.0f <= progress) {
                                    mVar.t.setState(TransitionState.FINISHED);
                                }
                            } else if (0.0f >= f4 || 1.0f <= f4) {
                                mVar.t.setState(TransitionState.FINISHED);
                            }
                        }
                        height = f6 + (((float) (i6 + i5)) / 2.0f);
                        width = f5;
                        float rawX22 = motionEvent.getRawX() - width;
                        float rawY22 = motionEvent.getRawY() - height;
                        double degrees3 = Math.toDegrees(Math.atan2((double) rawY22, (double) rawX22));
                        i3 = mVar.f3085f;
                        if (i3 == -1) {
                        }
                        float degrees22 = ((float) (Math.toDegrees(Math.atan2((double) (yVelocity + rawY22), (double) (xVelocity + rawX22))) - degrees3)) * 62.5f;
                        if (Float.isNaN(degrees22)) {
                        }
                        if (f4 == 0.0f) {
                        }
                        mVar.t.setState(TransitionState.FINISHED);
                    } else if (action2 == 2) {
                        motionEvent.getRawY();
                        motionEvent.getRawX();
                        float width2 = ((float) mVar.t.getWidth()) / 2.0f;
                        float height2 = ((float) mVar.t.getHeight()) / 2.0f;
                        int i10 = mVar.f3090k;
                        if (i10 != -1) {
                            View findViewById3 = mVar.t.findViewById(i10);
                            mVar.t.getLocationOnScreen(mVar.q);
                            float right = ((float) mVar.q[0]) + (((float) (findViewById3.getRight() + findViewById3.getLeft())) / 2.0f);
                            height2 = (((float) (findViewById3.getBottom() + findViewById3.getTop())) / 2.0f) + ((float) mVar.q[1]);
                            width2 = right;
                        } else {
                            int i11 = mVar.f3085f;
                            if (i11 != -1) {
                                MotionLayout motionLayout2 = mVar.t;
                                View findViewById4 = mVar.t.findViewById(motionLayout2.s.get(motionLayout2.findViewById(i11)).f3040f.s);
                                if (findViewById4 == null) {
                                    Log.e("TouchResponse", "could not find view to animate to");
                                } else {
                                    mVar.t.getLocationOnScreen(mVar.q);
                                    width2 = ((float) mVar.q[0]) + (((float) (findViewById4.getRight() + findViewById4.getLeft())) / 2.0f);
                                    height2 = ((float) mVar.q[1]) + (((float) (findViewById4.getBottom() + findViewById4.getTop())) / 2.0f);
                                }
                            }
                        }
                        float rawX3 = motionEvent.getRawX() - width2;
                        float rawY3 = motionEvent.getRawY() - height2;
                        double atan22 = Math.atan2((double) (motionEvent.getRawY() - height2), (double) (motionEvent.getRawX() - width2));
                        float atan23 = (float) (((atan22 - Math.atan2((double) (mVar.s - height2), (double) (mVar.r - width2))) * 180.0d) / 3.141592653589793d);
                        if (atan23 > 330.0f) {
                            atan23 -= 360.0f;
                        } else if (atan23 < -330.0f) {
                            atan23 += 360.0f;
                        }
                        if (((double) Math.abs(atan23)) > 0.01d || mVar.o) {
                            float progress2 = mVar.t.getProgress();
                            if (!mVar.o) {
                                mVar.o = true;
                                mVar.t.setProgress(progress2);
                            }
                            int i12 = mVar.f3085f;
                            if (i12 != -1) {
                                mVar.t.h(i12, progress2, mVar.f3089j, mVar.f3088i, mVar.p);
                                float[] fArr2 = mVar.p;
                                c8 = 1;
                                fArr2[1] = (float) Math.toDegrees((double) fArr2[1]);
                            } else {
                                c8 = 1;
                                mVar.p[1] = 360.0f;
                            }
                            float max = Math.max(Math.min(((atan23 * mVar.x) / mVar.p[c8]) + progress2, 1.0f), 0.0f);
                            float progress3 = mVar.t.getProgress();
                            if (max != progress3) {
                                int i13 = (progress3 > 0.0f ? 1 : (progress3 == 0.0f ? 0 : -1));
                                if (i13 == 0 || progress3 == 1.0f) {
                                    mVar.t.d(i13 == 0);
                                }
                                mVar.t.setProgress(max);
                                motionTracker2.computeCurrentVelocity(1000);
                                float xVelocity2 = motionTracker2.getXVelocity();
                                double yVelocity2 = (double) motionTracker2.getYVelocity();
                                double d3 = (double) xVelocity2;
                                mVar.t.f1127l = (float) Math.toDegrees((double) ((float) ((Math.sin(Math.atan2(yVelocity2, d3) - atan22) * Math.hypot(yVelocity2, d3)) / Math.hypot((double) rawX3, (double) rawY3))));
                            } else {
                                mVar.t.f1127l = 0.0f;
                            }
                            mVar.r = motionEvent.getRawX();
                            mVar.s = motionEvent.getRawY();
                        }
                    }
                } else {
                    motionTracker2.addMovement(motionEvent);
                    int action3 = motionEvent.getAction();
                    if (action3 == 0) {
                        mVar.r = motionEvent.getRawX();
                        mVar.s = motionEvent.getRawY();
                        mVar.o = false;
                    } else if (action3 == 1) {
                        mVar.o = false;
                        motionTracker2.computeCurrentVelocity(1000);
                        float xVelocity3 = motionTracker2.getXVelocity();
                        float yVelocity3 = motionTracker2.getYVelocity();
                        float progress4 = mVar.t.getProgress();
                        int i14 = mVar.f3085f;
                        if (i14 != -1) {
                            mVar.t.h(i14, progress4, mVar.f3089j, mVar.f3088i, mVar.p);
                            c3 = 0;
                            c2 = 1;
                        } else {
                            float min = (float) Math.min(mVar.t.getWidth(), mVar.t.getHeight());
                            float[] fArr3 = mVar.p;
                            c2 = 1;
                            fArr3[1] = mVar.n * min;
                            c3 = 0;
                            fArr3[0] = min * mVar.m;
                        }
                        float f20 = mVar.m;
                        float[] fArr4 = mVar.p;
                        float f21 = fArr4[c3];
                        float f22 = fArr4[c2];
                        if (f20 != 0.0f) {
                            f2 = xVelocity3 / fArr4[c3];
                        } else {
                            f2 = yVelocity3 / fArr4[c2];
                        }
                        float f23 = !Float.isNaN(f2) ? (f2 / 3.0f) + progress4 : progress4;
                        if (f23 != 0.0f && f23 != 1.0f && (i2 = mVar.f3084e) != 3) {
                            float f24 = ((double) f23) < 0.5d ? 0.0f : 1.0f;
                            if (i2 == 6) {
                                if (progress4 + f2 < 0.0f) {
                                    f2 = Math.abs(f2);
                                }
                                f24 = 1.0f;
                            }
                            if (mVar.f3084e == 7) {
                                if (progress4 + f2 > 1.0f) {
                                    f2 = -Math.abs(f2);
                                }
                                f24 = 0.0f;
                            }
                            mVar.t.q(mVar.f3084e, f24, f2);
                            if (0.0f >= progress4 || 1.0f <= progress4) {
                                mVar.t.setState(TransitionState.FINISHED);
                            }
                        } else if (0.0f >= f23 || 1.0f <= f23) {
                            mVar.t.setState(TransitionState.FINISHED);
                        }
                    } else if (action3 == 2) {
                        float rawY4 = motionEvent.getRawY() - mVar.s;
                        float rawX4 = motionEvent.getRawX() - mVar.r;
                        if (Math.abs((mVar.n * rawY4) + (mVar.m * rawX4)) > mVar.z || mVar.o) {
                            float progress5 = mVar.t.getProgress();
                            if (!mVar.o) {
                                mVar.o = true;
                                mVar.t.setProgress(progress5);
                            }
                            int i15 = mVar.f3085f;
                            if (i15 != -1) {
                                mVar.t.h(i15, progress5, mVar.f3089j, mVar.f3088i, mVar.p);
                                c5 = 0;
                                c4 = 1;
                            } else {
                                float min2 = (float) Math.min(mVar.t.getWidth(), mVar.t.getHeight());
                                float[] fArr5 = mVar.p;
                                c4 = 1;
                                fArr5[1] = mVar.n * min2;
                                c5 = 0;
                                fArr5[0] = min2 * mVar.m;
                            }
                            float f25 = mVar.m;
                            float[] fArr6 = mVar.p;
                            if (((double) Math.abs(((mVar.n * fArr6[c4]) + (f25 * fArr6[c5])) * mVar.x)) < 0.01d) {
                                float[] fArr7 = mVar.p;
                                c7 = 0;
                                fArr7[0] = 0.01f;
                                c6 = 1;
                                fArr7[1] = 0.01f;
                            } else {
                                c7 = 0;
                                c6 = 1;
                            }
                            if (mVar.m != 0.0f) {
                                f3 = rawX4 / mVar.p[c7];
                            } else {
                                f3 = rawY4 / mVar.p[c6];
                            }
                            float max2 = Math.max(Math.min(progress5 + f3, 1.0f), 0.0f);
                            if (mVar.f3084e == 6) {
                                max2 = Math.max(max2, 0.01f);
                            }
                            if (mVar.f3084e == 7) {
                                max2 = Math.min(max2, 0.99f);
                            }
                            float progress6 = mVar.t.getProgress();
                            if (max2 != progress6) {
                                int i16 = (progress6 > 0.0f ? 1 : (progress6 == 0.0f ? 0 : -1));
                                if (i16 == 0 || progress6 == 1.0f) {
                                    mVar.t.d(i16 == 0);
                                }
                                mVar.t.setProgress(max2);
                                motionTracker2.computeCurrentVelocity(1000);
                                mVar.t.f1127l = mVar.m != 0.0f ? motionTracker2.getXVelocity() / mVar.p[0] : motionTracker2.getYVelocity() / mVar.p[1];
                            } else {
                                mVar.t.f1127l = 0.0f;
                            }
                            mVar.r = motionEvent.getRawX();
                            mVar.s = motionEvent.getRawY();
                        }
                    }
                }
            }
            jVar2.r = motionEvent.getRawX();
            jVar2.s = motionEvent.getRawY();
            if (motionEvent.getAction() == 1 && (motionTracker = jVar2.o) != null) {
                motionTracker.recycle();
                jVar2.o = null;
                int i17 = this.n;
                if (i17 != -1) {
                    jVar2.a(this, i17);
                }
            }
        }
        if (!this.f1124h.f3054c.a(4)) {
        }
    }

    @Override // androidx.constraintlayout.widget.ConstraintLayout
    public void onViewAdded(View view) {
        super.onViewAdded(view);
        if (view instanceof MotionHelper) {
            MotionHelper motionHelper = (MotionHelper) view;
            if (this.V == null) {
                this.V = new CopyOnWriteArrayList<>();
            }
            this.V.add(motionHelper);
            if (motionHelper.isUsedOnShow()) {
                if (this.S == null) {
                    this.S = new ArrayList<>();
                }
                this.S.add(motionHelper);
            }
            if (motionHelper.isUseOnHide()) {
                if (this.T == null) {
                    this.T = new ArrayList<>();
                }
                this.T.add(motionHelper);
            }
            if (motionHelper.isDecorator()) {
                if (this.U == null) {
                    this.U = new ArrayList<>();
                }
                this.U.add(motionHelper);
            }
        }
    }

    @Override // androidx.constraintlayout.widget.ConstraintLayout
    public void onViewRemoved(View view) {
        super.onViewRemoved(view);
        ArrayList<MotionHelper> arrayList = this.S;
        if (arrayList != null) {
            arrayList.remove(view);
        }
        ArrayList<MotionHelper> arrayList2 = this.T;
        if (arrayList2 != null) {
            arrayList2.remove(view);
        }
    }

    public void p(int i2, int i3) {
        if (!isAttachedToWindow()) {
            if (this.o0 == null) {
                this.o0 = new h();
            }
            h hVar = this.o0;
            hVar.f1158c = i2;
            hVar.f1159d = i3;
            return;
        }
        j jVar = this.f1124h;
        if (jVar != null) {
            this.m = i2;
            this.o = i3;
            jVar.q(i2, i3);
            this.u0.e(this.f1124h.b(i2), this.f1124h.b(i3));
            o();
            this.w = 0.0f;
            c(0.0f);
        }
    }

    @Override // androidx.constraintlayout.widget.ConstraintLayout
    public void parseLayoutDescription(int i2) {
        this.mConstraintLayoutSpec = null;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:15:0x0041, code lost:
        if (r15 != 7) goto L_0x0171;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:19:0x0060, code lost:
        if ((((r17 * r6) - (((r3 * r6) * r6) / 2.0f)) + r1) > 1.0f) goto L_0x0074;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:21:0x0070, code lost:
        if ((((((r3 * r6) * r6) / 2.0f) + (r17 * r6)) + r1) < 0.0f) goto L_0x0074;
     */
    public void q(int i2, float f2, float f3) {
        m mVar;
        m mVar2;
        m mVar3;
        m mVar4;
        m mVar5;
        m mVar6;
        m mVar7;
        m mVar8;
        float f4 = f2;
        if (this.f1124h != null && this.w != f4) {
            boolean z2 = true;
            this.G = true;
            this.t = getNanoTime();
            float c2 = ((float) this.f1124h.c()) / 1000.0f;
            this.u = c2;
            this.y = f4;
            this.A = true;
            if (!(i2 == 0 || i2 == 1 || i2 == 2)) {
                if (i2 == 4) {
                    d dVar = this.I;
                    float f5 = this.w;
                    float h2 = this.f1124h.h();
                    dVar.f1131a = f3;
                    dVar.f1132b = f5;
                    dVar.f1133c = h2;
                    this.f1125j = this.I;
                } else if (i2 == 5) {
                    float f6 = this.w;
                    float h3 = this.f1124h.h();
                    if (f3 > 0.0f) {
                        float f7 = f3 / h3;
                    } else {
                        float f8 = (-f3) / h3;
                    }
                    z2 = false;
                    if (z2) {
                        d dVar2 = this.I;
                        float f9 = this.w;
                        float h4 = this.f1124h.h();
                        dVar2.f1131a = f3;
                        dVar2.f1132b = f9;
                        dVar2.f1133c = h4;
                        this.f1125j = this.I;
                    } else {
                        StopLogic stopLogic = this.H;
                        float f10 = this.w;
                        float f11 = this.u;
                        float h5 = this.f1124h.h();
                        j.b bVar = this.f1124h.f3054c;
                        stopLogic.b(f10, f2, f3, f11, h5, (bVar == null || (mVar8 = bVar.f3076l) == null) ? 0.0f : mVar8.u);
                        this.f1127l = 0.0f;
                        int i3 = this.n;
                        this.y = f4;
                        this.n = i3;
                        this.f1125j = this.H;
                    }
                } else if (i2 != 6) {
                }
                this.z = false;
                this.t = getNanoTime();
                invalidate();
            }
            if (i2 == 1 || i2 == 7) {
                f4 = 0.0f;
            } else if (i2 == 2 || i2 == 6) {
                f4 = 1.0f;
            }
            j jVar = this.f1124h;
            j.b bVar2 = jVar.f3054c;
            if (((bVar2 == null || (mVar7 = bVar2.f3076l) == null) ? 0 : mVar7.F) == 0) {
                StopLogic stopLogic2 = this.H;
                float f12 = this.w;
                float h6 = jVar.h();
                j.b bVar3 = this.f1124h.f3054c;
                stopLogic2.b(f12, f4, f3, c2, h6, (bVar3 == null || (mVar6 = bVar3.f3076l) == null) ? 0.0f : mVar6.u);
            } else {
                StopLogic stopLogic3 = this.H;
                float f13 = this.w;
                float f14 = (bVar2 == null || (mVar5 = bVar2.f3076l) == null) ? 0.0f : mVar5.B;
                float f15 = (bVar2 == null || (mVar4 = bVar2.f3076l) == null) ? 0.0f : mVar4.C;
                float f16 = (bVar2 == null || (mVar3 = bVar2.f3076l) == null) ? 0.0f : mVar3.A;
                float f17 = (bVar2 == null || (mVar2 = bVar2.f3076l) == null) ? 0.0f : mVar2.D;
                int i4 = (bVar2 == null || (mVar = bVar2.f3076l) == null) ? 0 : mVar.E;
                if (stopLogic3.f1070b == null) {
                    stopLogic3.f1070b = new SpringStopEngine();
                }
                SpringStopEngine springStopEngine = stopLogic3.f1070b;
                stopLogic3.f1071c = springStopEngine;
                springStopEngine.f956c = (double) f4;
                springStopEngine.f954a = (double) f16;
                springStopEngine.f958e = f13;
                springStopEngine.f955b = (double) f15;
                springStopEngine.f960g = f14;
                springStopEngine.f961h = f17;
                springStopEngine.f962i = i4;
                springStopEngine.f957d = 0.0f;
            }
            int i5 = this.n;
            this.y = f4;
            this.n = i5;
            this.f1125j = this.H;
            this.z = false;
            this.t = getNanoTime();
            invalidate();
        }
    }

    public void r() {
        c(1.0f);
        this.p0 = null;
    }

    @Override // androidx.constraintlayout.widget.ConstraintLayout
    public void requestLayout() {
        j jVar;
        j.b bVar;
        if (!this.e0 && this.n == -1 && (jVar = this.f1124h) != null && (bVar = jVar.f3054c) != null) {
            int i2 = bVar.q;
            if (i2 == 0) {
                return;
            }
            if (i2 == 2) {
                int childCount = getChildCount();
                for (int i3 = 0; i3 < childCount; i3++) {
                    this.s.get(getChildAt(i3)).f3038d = true;
                }
                return;
            }
        }
        super.requestLayout();
    }

    public void s(int i2) {
        if (!isAttachedToWindow()) {
            if (this.o0 == null) {
                this.o0 = new h();
            }
            this.o0.f1159d = i2;
            return;
        }
        u(i2, -1, -1, -1);
    }

    public void setDebugMode(int i2) {
        this.E = i2;
        invalidate();
    }

    public void setDelayedApplicationOfInitialState(boolean z2) {
        this.s0 = z2;
    }

    public void setInteractionEnabled(boolean z2) {
        this.r = z2;
    }

    public void setInterpolatedProgress(float f2) {
        if (this.f1124h != null) {
            setState(TransitionState.MOVING);
            Interpolator f3 = this.f1124h.f();
            if (f3 != null) {
                setProgress(f3.getInterpolation(f2));
                return;
            }
        }
        setProgress(f2);
    }

    public void setOnHide(float f2) {
        ArrayList<MotionHelper> arrayList = this.T;
        if (arrayList != null) {
            int size = arrayList.size();
            for (int i2 = 0; i2 < size; i2++) {
                this.T.get(i2).setProgress(f2);
            }
        }
    }

    public void setOnShow(float f2) {
        ArrayList<MotionHelper> arrayList = this.S;
        if (arrayList != null) {
            int size = arrayList.size();
            for (int i2 = 0; i2 < size; i2++) {
                this.S.get(i2).setProgress(f2);
            }
        }
    }

    public void setProgress(float f2) {
        int i2 = (f2 > 0.0f ? 1 : (f2 == 0.0f ? 0 : -1));
        if (i2 < 0 || f2 > 1.0f) {
            Log.w("MotionLayout", "Warning! Progress is defined for values between 0.0 and 1.0 inclusive");
        }
        if (!isAttachedToWindow()) {
            if (this.o0 == null) {
                this.o0 = new h();
            }
            this.o0.f1156a = f2;
            return;
        }
        if (i2 <= 0) {
            if (this.w == 1.0f && this.n == this.o) {
                setState(TransitionState.MOVING);
            }
            this.n = this.m;
            if (this.w == 0.0f) {
                setState(TransitionState.FINISHED);
            }
        } else if (f2 >= 1.0f) {
            if (this.w == 0.0f && this.n == this.m) {
                setState(TransitionState.MOVING);
            }
            this.n = this.o;
            if (this.w == 1.0f) {
                setState(TransitionState.FINISHED);
            }
        } else {
            this.n = -1;
            setState(TransitionState.MOVING);
        }
        if (this.f1124h != null) {
            this.z = true;
            this.y = f2;
            this.v = f2;
            this.x = -1;
            this.t = -1;
            this.f1125j = null;
            this.A = true;
            invalidate();
        }
    }

    public void setScene(j jVar) {
        m mVar;
        this.f1124h = jVar;
        boolean isRtl = isRtl();
        jVar.p = isRtl;
        j.b bVar = jVar.f3054c;
        if (!(bVar == null || (mVar = bVar.f3076l) == null)) {
            mVar.c(isRtl);
        }
        o();
    }

    public void setStartState(int i2) {
        if (!isAttachedToWindow()) {
            if (this.o0 == null) {
                this.o0 = new h();
            }
            h hVar = this.o0;
            hVar.f1158c = i2;
            hVar.f1159d = i2;
            return;
        }
        this.n = i2;
    }

    public void setState(TransitionState transitionState) {
        TransitionState transitionState2 = TransitionState.FINISHED;
        if (transitionState != transitionState2 || this.n != -1) {
            TransitionState transitionState3 = this.t0;
            this.t0 = transitionState;
            TransitionState transitionState4 = TransitionState.MOVING;
            if (transitionState3 == transitionState4 && transitionState == transitionState4) {
                f();
            }
            int ordinal = transitionState3.ordinal();
            if (ordinal == 0 || ordinal == 1) {
                if (transitionState == transitionState4) {
                    f();
                }
                if (transitionState == transitionState2) {
                    g();
                }
            } else if (ordinal == 2 && transitionState == transitionState2) {
                g();
            }
        }
    }

    public void setTransition(int i2) {
        if (this.f1124h != null) {
            j.b j2 = j(i2);
            this.m = j2.f3068d;
            this.o = j2.f3067c;
            if (!isAttachedToWindow()) {
                if (this.o0 == null) {
                    this.o0 = new h();
                }
                h hVar = this.o0;
                hVar.f1158c = this.m;
                hVar.f1159d = this.o;
                return;
            }
            float f2 = Float.NaN;
            int i3 = this.n;
            if (i3 == this.m) {
                f2 = 0.0f;
            } else if (i3 == this.o) {
                f2 = 1.0f;
            }
            j jVar = this.f1124h;
            jVar.f3054c = j2;
            m mVar = j2.f3076l;
            if (mVar != null) {
                mVar.c(jVar.p);
            }
            this.u0.e(this.f1124h.b(this.m), this.f1124h.b(this.o));
            o();
            if (this.w != f2) {
                if (f2 == 0.0f) {
                    d(true);
                    this.f1124h.b(this.m).c(this, true);
                    setConstraintSet(null);
                    requestLayout();
                } else if (f2 == 1.0f) {
                    d(false);
                    this.f1124h.b(this.o).c(this, true);
                    setConstraintSet(null);
                    requestLayout();
                }
            }
            this.w = Float.isNaN(f2) ? 0.0f : f2;
            if (Float.isNaN(f2)) {
                Log.v("MotionLayout", String.valueOf(AppCompatDelegateImpl.e.K()).concat(" transitionToStart "));
                c(0.0f);
                return;
            }
            setProgress(f2);
        }
    }

    public void setTransitionDuration(int i2) {
        j jVar = this.f1124h;
        if (jVar == null) {
            Log.e("MotionLayout", "MotionScene not defined");
            return;
        }
        j.b bVar = jVar.f3054c;
        if (bVar != null) {
            bVar.b(i2);
        } else {
            jVar.f3061j = i2;
        }
    }

    public void setTransitionListener(TransitionListener transitionListener) {
        this.B = transitionListener;
    }

    public void setTransitionState(Bundle bundle) {
        if (this.o0 == null) {
            this.o0 = new h();
        }
        h hVar = this.o0;
        Objects.requireNonNull(hVar);
        hVar.f1156a = bundle.getFloat("motion.progress");
        hVar.f1157b = bundle.getFloat("motion.velocity");
        hVar.f1158c = bundle.getInt("motion.StartState");
        hVar.f1159d = bundle.getInt("motion.EndState");
        if (isAttachedToWindow()) {
            this.o0.a();
        }
    }

    public void t(int i2, int i3) {
        if (!isAttachedToWindow()) {
            if (this.o0 == null) {
                this.o0 = new h();
            }
            this.o0.f1159d = i2;
            return;
        }
        u(i2, -1, -1, i3);
    }

    public String toString() {
        Context context = getContext();
        String L2 = AppCompatDelegateImpl.e.L(context, this.m);
        String L3 = AppCompatDelegateImpl.e.L(context, this.o);
        float f2 = this.w;
        float f3 = this.f1127l;
        StringBuilder sb = new StringBuilder(String.valueOf(L3).length() + String.valueOf(L2).length() + 47);
        sb.append(L2);
        sb.append("->");
        sb.append(L3);
        sb.append(" (pos:");
        sb.append(f2);
        sb.append(" Dpos/Dt:");
        sb.append(f3);
        return sb.toString();
    }

    public void u(int i2, int i3, int i4, int i5) {
        b.h.d.d dVar;
        j jVar = this.f1124h;
        if (!(jVar == null || (dVar = jVar.f3053b) == null)) {
            int i6 = this.n;
            float f2 = (float) i3;
            float f3 = (float) i4;
            d.a aVar = dVar.f3214b.get(i2);
            if (aVar == null) {
                i6 = i2;
            } else if (f2 != -1.0f && f3 != -1.0f) {
                Iterator<d.b> it = aVar.f3216b.iterator();
                d.b bVar = null;
                while (true) {
                    if (it.hasNext()) {
                        d.b next = it.next();
                        if (next.a(f2, f3)) {
                            if (i6 == next.f3222e) {
                                break;
                            }
                            bVar = next;
                        }
                    } else {
                        i6 = bVar != null ? bVar.f3222e : aVar.f3217c;
                    }
                }
            } else if (aVar.f3217c != i6) {
                Iterator<d.b> it2 = aVar.f3216b.iterator();
                while (true) {
                    if (it2.hasNext()) {
                        if (i6 == it2.next().f3222e) {
                            break;
                        }
                    } else {
                        i6 = aVar.f3217c;
                        break;
                    }
                }
            }
            if (i6 != -1) {
                i2 = i6;
            }
        }
        int i7 = this.n;
        if (i7 != i2) {
            if (this.m == i2) {
                c(0.0f);
                if (i5 > 0) {
                    this.u = ((float) i5) / 1000.0f;
                }
            } else if (this.o == i2) {
                c(1.0f);
                if (i5 > 0) {
                    this.u = ((float) i5) / 1000.0f;
                }
            } else {
                this.o = i2;
                if (i7 != -1) {
                    p(i7, i2);
                    c(1.0f);
                    this.w = 0.0f;
                    r();
                    if (i5 > 0) {
                        this.u = ((float) i5) / 1000.0f;
                        return;
                    }
                    return;
                }
                this.G = false;
                this.y = 1.0f;
                this.v = 0.0f;
                this.w = 0.0f;
                this.x = getNanoTime();
                this.t = getNanoTime();
                this.z = false;
                this.f1125j = null;
                if (i5 == -1) {
                    this.u = ((float) this.f1124h.c()) / 1000.0f;
                }
                this.m = -1;
                this.f1124h.q(-1, this.o);
                SparseArray sparseArray = new SparseArray();
                if (i5 == 0) {
                    this.u = ((float) this.f1124h.c()) / 1000.0f;
                } else if (i5 > 0) {
                    this.u = ((float) i5) / 1000.0f;
                }
                int childCount = getChildCount();
                this.s.clear();
                for (int i8 = 0; i8 < childCount; i8++) {
                    View childAt = getChildAt(i8);
                    this.s.put(childAt, new b.h.c.a.g(childAt));
                    sparseArray.put(childAt.getId(), this.s.get(childAt));
                }
                this.A = true;
                this.u0.e(null, this.f1124h.b(i2));
                o();
                this.u0.a();
                int childCount2 = getChildCount();
                for (int i9 = 0; i9 < childCount2; i9++) {
                    View childAt2 = getChildAt(i9);
                    b.h.c.a.g gVar = this.s.get(childAt2);
                    if (gVar != null) {
                        i iVar = gVar.f3040f;
                        iVar.f3050k = 0.0f;
                        iVar.f3051l = 0.0f;
                        iVar.d(childAt2.getX(), childAt2.getY(), (float) childAt2.getWidth(), (float) childAt2.getHeight());
                        gVar.f3042h.e(childAt2);
                    }
                }
                int width = getWidth();
                int height = getHeight();
                if (this.U != null) {
                    for (int i10 = 0; i10 < childCount; i10++) {
                        b.h.c.a.g gVar2 = this.s.get(getChildAt(i10));
                        if (gVar2 != null) {
                            this.f1124h.g(gVar2);
                        }
                    }
                    Iterator<MotionHelper> it3 = this.U.iterator();
                    while (it3.hasNext()) {
                        it3.next().onPreSetup(this, this.s);
                    }
                    for (int i11 = 0; i11 < childCount; i11++) {
                        b.h.c.a.g gVar3 = this.s.get(getChildAt(i11));
                        if (gVar3 != null) {
                            gVar3.j(width, height, getNanoTime());
                        }
                    }
                } else {
                    for (int i12 = 0; i12 < childCount; i12++) {
                        b.h.c.a.g gVar4 = this.s.get(getChildAt(i12));
                        if (gVar4 != null) {
                            this.f1124h.g(gVar4);
                            gVar4.j(width, height, getNanoTime());
                        }
                    }
                }
                j.b bVar2 = this.f1124h.f3054c;
                float f4 = bVar2 != null ? bVar2.f3073i : 0.0f;
                if (f4 != 0.0f) {
                    float f5 = Float.MAX_VALUE;
                    float f6 = -3.4028235E38f;
                    for (int i13 = 0; i13 < childCount; i13++) {
                        i iVar2 = this.s.get(getChildAt(i13)).f3041g;
                        float f7 = iVar2.n + iVar2.m;
                        f5 = Math.min(f5, f7);
                        f6 = Math.max(f6, f7);
                    }
                    for (int i14 = 0; i14 < childCount; i14++) {
                        b.h.c.a.g gVar5 = this.s.get(getChildAt(i14));
                        i iVar3 = gVar5.f3041g;
                        float f8 = iVar3.m;
                        float f9 = iVar3.n;
                        gVar5.n = 1.0f / (1.0f - f4);
                        gVar5.m = f4 - ((((f8 + f9) - f5) * f4) / (f6 - f5));
                    }
                }
                this.v = 0.0f;
                this.w = 0.0f;
                this.A = true;
                invalidate();
            }
        }
    }

    public void v(int i2, b.h.d.b bVar) {
        j jVar = this.f1124h;
        if (jVar != null) {
            jVar.f3058g.put(i2, bVar);
        }
        this.u0.e(this.f1124h.b(this.m), this.f1124h.b(this.o));
        o();
        if (this.n == i2) {
            bVar.c(this, true);
            setConstraintSet(null);
            requestLayout();
        }
    }

    public void w(int i2, View... viewArr) {
        j jVar = this.f1124h;
        if (jVar != null) {
            p pVar = jVar.q;
            Objects.requireNonNull(pVar);
            ArrayList arrayList = new ArrayList();
            Iterator<o> it = pVar.f3118b.iterator();
            o oVar = null;
            while (it.hasNext()) {
                o next = it.next();
                if (next.f3093a == i2) {
                    for (View view : viewArr) {
                        if (next.b(view)) {
                            arrayList.add(view);
                        }
                    }
                    if (!arrayList.isEmpty()) {
                        View[] viewArr2 = (View[]) arrayList.toArray(new View[0]);
                        int currentState = pVar.f3117a.getCurrentState();
                        if (next.f3097e == 2) {
                            next.a(pVar, pVar.f3117a, currentState, null, viewArr2);
                        } else if (currentState == -1) {
                            String str = pVar.f3120d;
                            String valueOf = String.valueOf(pVar.f3117a.toString());
                            Log.w(str, valueOf.length() != 0 ? "No support for ViewTransition within transition yet. Currently: ".concat(valueOf) : new String("No support for ViewTransition within transition yet. Currently: "));
                        } else {
                            b.h.d.b i3 = pVar.f3117a.i(currentState);
                            if (i3 != null) {
                                next.a(pVar, pVar.f3117a, currentState, i3, viewArr2);
                            }
                        }
                        arrayList.clear();
                    }
                    oVar = next;
                }
            }
            if (oVar == null) {
                Log.e(pVar.f3120d, " Could not find ViewTransition");
                return;
            }
            return;
        }
        Log.e("MotionLayout", " no motionScene");
    }

    public static class g implements MotionTracker {

        /* renamed from: a  reason: collision with root package name */
        public static g f1154a = new g();

        /* renamed from: b  reason: collision with root package name */
        public VelocityTracker f1155b;

        @Override // androidx.constraintlayout.motion.widget.MotionLayout.MotionTracker
        public void addMovement(MotionEvent motionEvent) {
            VelocityTracker velocityTracker = this.f1155b;
            if (velocityTracker != null) {
                velocityTracker.addMovement(motionEvent);
            }
        }

        @Override // androidx.constraintlayout.motion.widget.MotionLayout.MotionTracker
        public void clear() {
            VelocityTracker velocityTracker = this.f1155b;
            if (velocityTracker != null) {
                velocityTracker.clear();
            }
        }

        @Override // androidx.constraintlayout.motion.widget.MotionLayout.MotionTracker
        public void computeCurrentVelocity(int i2) {
            VelocityTracker velocityTracker = this.f1155b;
            if (velocityTracker != null) {
                velocityTracker.computeCurrentVelocity(i2);
            }
        }

        @Override // androidx.constraintlayout.motion.widget.MotionLayout.MotionTracker
        public float getXVelocity() {
            VelocityTracker velocityTracker = this.f1155b;
            if (velocityTracker != null) {
                return velocityTracker.getXVelocity();
            }
            return 0.0f;
        }

        @Override // androidx.constraintlayout.motion.widget.MotionLayout.MotionTracker
        public float getYVelocity() {
            VelocityTracker velocityTracker = this.f1155b;
            if (velocityTracker != null) {
                return velocityTracker.getYVelocity();
            }
            return 0.0f;
        }

        @Override // androidx.constraintlayout.motion.widget.MotionLayout.MotionTracker
        public void recycle() {
            VelocityTracker velocityTracker = this.f1155b;
            if (velocityTracker != null) {
                velocityTracker.recycle();
                this.f1155b = null;
            }
        }

        @Override // androidx.constraintlayout.motion.widget.MotionLayout.MotionTracker
        public void computeCurrentVelocity(int i2, float f2) {
            VelocityTracker velocityTracker = this.f1155b;
            if (velocityTracker != null) {
                velocityTracker.computeCurrentVelocity(i2, f2);
            }
        }

        @Override // androidx.constraintlayout.motion.widget.MotionLayout.MotionTracker
        public float getXVelocity(int i2) {
            VelocityTracker velocityTracker = this.f1155b;
            if (velocityTracker != null) {
                return velocityTracker.getXVelocity(i2);
            }
            return 0.0f;
        }

        @Override // androidx.constraintlayout.motion.widget.MotionLayout.MotionTracker
        public float getYVelocity(int i2) {
            if (this.f1155b != null) {
                return getYVelocity(i2);
            }
            return 0.0f;
        }
    }

    @Override // androidx.constraintlayout.widget.ConstraintLayout
    public void setState(int i2, int i3, int i4) {
        setState(TransitionState.SETUP);
        this.n = i2;
        this.m = -1;
        this.o = -1;
        b.h.d.a aVar = this.mConstraintLayoutSpec;
        if (aVar != null) {
            aVar.b(i2, (float) i3, (float) i4);
            return;
        }
        j jVar = this.f1124h;
        if (jVar != null) {
            jVar.b(i2).c(this, true);
            setConstraintSet(null);
            requestLayout();
        }
    }

    public void setTransition(j.b bVar) {
        m mVar;
        j jVar = this.f1124h;
        jVar.f3054c = bVar;
        if (!(bVar == null || (mVar = bVar.f3076l) == null)) {
            mVar.c(jVar.p);
        }
        setState(TransitionState.SETUP);
        if (this.n == this.f1124h.d()) {
            this.w = 1.0f;
            this.v = 1.0f;
            this.y = 1.0f;
        } else {
            this.w = 0.0f;
            this.v = 0.0f;
            this.y = 0.0f;
        }
        this.x = bVar.a(1) ? -1 : getNanoTime();
        int i2 = this.f1124h.i();
        int d2 = this.f1124h.d();
        if (i2 != this.m || d2 != this.o) {
            this.m = i2;
            this.o = d2;
            this.f1124h.q(i2, d2);
            this.u0.e(this.f1124h.b(this.m), this.f1124h.b(this.o));
            f fVar = this.u0;
            int i3 = this.m;
            int i4 = this.o;
            fVar.f1151e = i3;
            fVar.f1152f = i4;
            fVar.f();
            o();
        }
    }

    public MotionLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        l(attributeSet);
    }

    public MotionLayout(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        l(attributeSet);
    }
}
