package androidx.constraintlayout.utils.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.Outline;
import android.graphics.Path;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewOutlineProvider;
import android.widget.ImageView;
import androidx.appcompat.widget.AppCompatImageButton;
import androidx.constraintlayout.utils.widget.ImageFilterView;
import androidx.constraintlayout.widget.R$styleable;

public class ImageFilterButton extends AppCompatImageButton {

    /* renamed from: j  reason: collision with root package name */
    public ImageFilterView.c f1161j;

    /* renamed from: k  reason: collision with root package name */
    public float f1162k;

    /* renamed from: l  reason: collision with root package name */
    public float f1163l;
    public float m;
    public Path n;
    public ViewOutlineProvider o;
    public RectF p;
    public Drawable[] q;
    public LayerDrawable r;
    public boolean s;
    public Drawable t;
    public Drawable u;
    public float v;
    public float w;
    public float x;
    public float y;

    public class a extends ViewOutlineProvider {
        public a() {
        }

        public void getOutline(View view, Outline outline) {
            int width = ImageFilterButton.this.getWidth();
            int height = ImageFilterButton.this.getHeight();
            outline.setRoundRect(0, 0, width, height, (((float) Math.min(width, height)) * ImageFilterButton.this.f1163l) / 2.0f);
        }
    }

    public class b extends ViewOutlineProvider {
        public b() {
        }

        public void getOutline(View view, Outline outline) {
            outline.setRoundRect(0, 0, ImageFilterButton.this.getWidth(), ImageFilterButton.this.getHeight(), ImageFilterButton.this.m);
        }
    }

    public ImageFilterButton(Context context) {
        super(context);
        this.f1161j = new ImageFilterView.c();
        this.f1162k = 0.0f;
        this.f1163l = 0.0f;
        this.m = Float.NaN;
        this.q = new Drawable[2];
        this.s = true;
        this.t = null;
        this.u = null;
        this.v = Float.NaN;
        this.w = Float.NaN;
        this.x = Float.NaN;
        this.y = Float.NaN;
        a(null);
    }

    private void setOverlay(boolean z) {
        this.s = z;
    }

    public final void a(AttributeSet attributeSet) {
        setPadding(0, 0, 0, 0);
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, R$styleable.ImageFilterView);
            int indexCount = obtainStyledAttributes.getIndexCount();
            this.t = obtainStyledAttributes.getDrawable(R$styleable.ImageFilterView_altSrc);
            for (int i2 = 0; i2 < indexCount; i2++) {
                int index = obtainStyledAttributes.getIndex(i2);
                if (index == R$styleable.ImageFilterView_crossfade) {
                    this.f1162k = obtainStyledAttributes.getFloat(index, 0.0f);
                } else if (index == R$styleable.ImageFilterView_warmth) {
                    setWarmth(obtainStyledAttributes.getFloat(index, 0.0f));
                } else if (index == R$styleable.ImageFilterView_saturation) {
                    setSaturation(obtainStyledAttributes.getFloat(index, 0.0f));
                } else if (index == R$styleable.ImageFilterView_contrast) {
                    setContrast(obtainStyledAttributes.getFloat(index, 0.0f));
                } else if (index == R$styleable.ImageFilterView_round) {
                    setRound(obtainStyledAttributes.getDimension(index, 0.0f));
                } else if (index == R$styleable.ImageFilterView_roundPercent) {
                    setRoundPercent(obtainStyledAttributes.getFloat(index, 0.0f));
                } else if (index == R$styleable.ImageFilterView_overlay) {
                    setOverlay(obtainStyledAttributes.getBoolean(index, this.s));
                } else if (index == R$styleable.ImageFilterView_imagePanX) {
                    setImagePanX(obtainStyledAttributes.getFloat(index, this.v));
                } else if (index == R$styleable.ImageFilterView_imagePanY) {
                    setImagePanY(obtainStyledAttributes.getFloat(index, this.w));
                } else if (index == R$styleable.ImageFilterView_imageRotate) {
                    setImageRotate(obtainStyledAttributes.getFloat(index, this.y));
                } else if (index == R$styleable.ImageFilterView_imageZoom) {
                    setImageZoom(obtainStyledAttributes.getFloat(index, this.x));
                }
            }
            obtainStyledAttributes.recycle();
            Drawable drawable = getDrawable();
            this.u = drawable;
            if (this.t == null || drawable == null) {
                Drawable drawable2 = getDrawable();
                this.u = drawable2;
                if (drawable2 != null) {
                    Drawable[] drawableArr = this.q;
                    Drawable mutate = drawable2.mutate();
                    this.u = mutate;
                    drawableArr[0] = mutate;
                    return;
                }
                return;
            }
            Drawable[] drawableArr2 = this.q;
            Drawable mutate2 = getDrawable().mutate();
            this.u = mutate2;
            drawableArr2[0] = mutate2;
            this.q[1] = this.t.mutate();
            LayerDrawable layerDrawable = new LayerDrawable(this.q);
            this.r = layerDrawable;
            layerDrawable.getDrawable(1).setAlpha((int) (this.f1162k * 255.0f));
            if (!this.s) {
                this.r.getDrawable(0).setAlpha((int) ((1.0f - this.f1162k) * 255.0f));
            }
            super.setImageDrawable(this.r);
        }
    }

    public final void b() {
        if (!Float.isNaN(this.v) || !Float.isNaN(this.w) || !Float.isNaN(this.x) || !Float.isNaN(this.y)) {
            float f2 = 0.0f;
            float f3 = Float.isNaN(this.v) ? 0.0f : this.v;
            float f4 = Float.isNaN(this.w) ? 0.0f : this.w;
            float f5 = Float.isNaN(this.x) ? 1.0f : this.x;
            if (!Float.isNaN(this.y)) {
                f2 = this.y;
            }
            Matrix matrix = new Matrix();
            matrix.reset();
            float intrinsicWidth = (float) getDrawable().getIntrinsicWidth();
            float intrinsicHeight = (float) getDrawable().getIntrinsicHeight();
            float width = (float) getWidth();
            float height = (float) getHeight();
            float f6 = f5 * (intrinsicWidth * height < intrinsicHeight * width ? width / intrinsicWidth : height / intrinsicHeight);
            matrix.postScale(f6, f6);
            float f7 = intrinsicWidth * f6;
            float f8 = f6 * intrinsicHeight;
            matrix.postTranslate(((((width - f7) * f3) + width) - f7) * 0.5f, ((((height - f8) * f4) + height) - f8) * 0.5f);
            matrix.postRotate(f2, width / 2.0f, height / 2.0f);
            setImageMatrix(matrix);
            setScaleType(ImageView.ScaleType.MATRIX);
        }
    }

    public final void c() {
        if (!Float.isNaN(this.v) || !Float.isNaN(this.w) || !Float.isNaN(this.x) || !Float.isNaN(this.y)) {
            b();
        } else {
            setScaleType(ImageView.ScaleType.FIT_CENTER);
        }
    }

    public void draw(Canvas canvas) {
        super.draw(canvas);
        if (0 != 0) {
            canvas.restore();
        }
    }

    public float getContrast() {
        return this.f1161j.f1178f;
    }

    public float getCrossfade() {
        return this.f1162k;
    }

    public float getImagePanX() {
        return this.v;
    }

    public float getImagePanY() {
        return this.w;
    }

    public float getImageRotate() {
        return this.y;
    }

    public float getImageZoom() {
        return this.x;
    }

    public float getRound() {
        return this.m;
    }

    public float getRoundPercent() {
        return this.f1163l;
    }

    public float getSaturation() {
        return this.f1161j.f1177e;
    }

    public float getWarmth() {
        return this.f1161j.f1179g;
    }

    public void layout(int i2, int i3, int i4, int i5) {
        super.layout(i2, i3, i4, i5);
        b();
    }

    public void setAltImageResource(int i2) {
        Drawable mutate = b.b.b.a.a.b(getContext(), i2).mutate();
        this.t = mutate;
        Drawable[] drawableArr = this.q;
        drawableArr[0] = this.u;
        drawableArr[1] = mutate;
        LayerDrawable layerDrawable = new LayerDrawable(this.q);
        this.r = layerDrawable;
        super.setImageDrawable(layerDrawable);
        setCrossfade(this.f1162k);
    }

    public void setBrightness(float f2) {
        ImageFilterView.c cVar = this.f1161j;
        cVar.f1176d = f2;
        cVar.a(this);
    }

    public void setContrast(float f2) {
        ImageFilterView.c cVar = this.f1161j;
        cVar.f1178f = f2;
        cVar.a(this);
    }

    public void setCrossfade(float f2) {
        this.f1162k = f2;
        if (this.q != null) {
            if (!this.s) {
                this.r.getDrawable(0).setAlpha((int) ((1.0f - this.f1162k) * 255.0f));
            }
            this.r.getDrawable(1).setAlpha((int) (this.f1162k * 255.0f));
            super.setImageDrawable(this.r);
        }
    }

    @Override // androidx.appcompat.widget.AppCompatImageButton
    public void setImageDrawable(Drawable drawable) {
        if (this.t == null || drawable == null) {
            super.setImageDrawable(drawable);
            return;
        }
        Drawable mutate = drawable.mutate();
        this.u = mutate;
        Drawable[] drawableArr = this.q;
        drawableArr[0] = mutate;
        drawableArr[1] = this.t;
        LayerDrawable layerDrawable = new LayerDrawable(this.q);
        this.r = layerDrawable;
        super.setImageDrawable(layerDrawable);
        setCrossfade(this.f1162k);
    }

    public void setImagePanX(float f2) {
        this.v = f2;
        c();
    }

    public void setImagePanY(float f2) {
        this.w = f2;
        c();
    }

    @Override // androidx.appcompat.widget.AppCompatImageButton
    public void setImageResource(int i2) {
        if (this.t != null) {
            Drawable mutate = b.b.b.a.a.b(getContext(), i2).mutate();
            this.u = mutate;
            Drawable[] drawableArr = this.q;
            drawableArr[0] = mutate;
            drawableArr[1] = this.t;
            LayerDrawable layerDrawable = new LayerDrawable(this.q);
            this.r = layerDrawable;
            super.setImageDrawable(layerDrawable);
            setCrossfade(this.f1162k);
            return;
        }
        super.setImageResource(i2);
    }

    public void setImageRotate(float f2) {
        this.y = f2;
        c();
    }

    public void setImageZoom(float f2) {
        this.x = f2;
        c();
    }

    public void setRound(float f2) {
        if (Float.isNaN(f2)) {
            this.m = f2;
            float f3 = this.f1163l;
            this.f1163l = -1.0f;
            setRoundPercent(f3);
            return;
        }
        boolean z = this.m != f2;
        this.m = f2;
        if (f2 != 0.0f) {
            if (this.n == null) {
                this.n = new Path();
            }
            if (this.p == null) {
                this.p = new RectF();
            }
            if (this.o == null) {
                b bVar = new b();
                this.o = bVar;
                setOutlineProvider(bVar);
            }
            setClipToOutline(true);
            this.p.set(0.0f, 0.0f, (float) getWidth(), (float) getHeight());
            this.n.reset();
            Path path = this.n;
            RectF rectF = this.p;
            float f4 = this.m;
            path.addRoundRect(rectF, f4, f4, Path.Direction.CW);
        } else {
            setClipToOutline(false);
        }
        if (z) {
            invalidateOutline();
        }
    }

    public void setRoundPercent(float f2) {
        boolean z = this.f1163l != f2;
        this.f1163l = f2;
        if (f2 != 0.0f) {
            if (this.n == null) {
                this.n = new Path();
            }
            if (this.p == null) {
                this.p = new RectF();
            }
            if (this.o == null) {
                a aVar = new a();
                this.o = aVar;
                setOutlineProvider(aVar);
            }
            setClipToOutline(true);
            int width = getWidth();
            int height = getHeight();
            float min = (((float) Math.min(width, height)) * this.f1163l) / 2.0f;
            this.p.set(0.0f, 0.0f, (float) width, (float) height);
            this.n.reset();
            this.n.addRoundRect(this.p, min, min, Path.Direction.CW);
        } else {
            setClipToOutline(false);
        }
        if (z) {
            invalidateOutline();
        }
    }

    public void setSaturation(float f2) {
        ImageFilterView.c cVar = this.f1161j;
        cVar.f1177e = f2;
        cVar.a(this);
    }

    public void setWarmth(float f2) {
        ImageFilterView.c cVar = this.f1161j;
        cVar.f1179g = f2;
        cVar.a(this);
    }

    public ImageFilterButton(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f1161j = new ImageFilterView.c();
        this.f1162k = 0.0f;
        this.f1163l = 0.0f;
        this.m = Float.NaN;
        this.q = new Drawable[2];
        this.s = true;
        this.t = null;
        this.u = null;
        this.v = Float.NaN;
        this.w = Float.NaN;
        this.x = Float.NaN;
        this.y = Float.NaN;
        a(attributeSet);
    }

    public ImageFilterButton(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f1161j = new ImageFilterView.c();
        this.f1162k = 0.0f;
        this.f1163l = 0.0f;
        this.m = Float.NaN;
        this.q = new Drawable[2];
        this.s = true;
        this.t = null;
        this.u = null;
        this.v = Float.NaN;
        this.w = Float.NaN;
        this.x = Float.NaN;
        this.y = Float.NaN;
        a(attributeSet);
    }
}
