package androidx.constraintlayout.utils.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.ColorMatrix;
import android.graphics.ColorMatrixColorFilter;
import android.graphics.Matrix;
import android.graphics.Outline;
import android.graphics.Path;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewOutlineProvider;
import android.widget.ImageView;
import androidx.appcompat.widget.AppCompatImageView;
import androidx.constraintlayout.widget.R$styleable;

public class ImageFilterView extends AppCompatImageView {

    /* renamed from: d  reason: collision with root package name */
    public c f1166d;

    /* renamed from: h  reason: collision with root package name */
    public boolean f1167h;

    /* renamed from: j  reason: collision with root package name */
    public Drawable f1168j;

    /* renamed from: k  reason: collision with root package name */
    public Drawable f1169k;

    /* renamed from: l  reason: collision with root package name */
    public float f1170l;
    public float m;
    public float n;
    public Path o;
    public ViewOutlineProvider p;
    public RectF q;
    public Drawable[] r;
    public LayerDrawable s;
    public float t;
    public float u;
    public float v;
    public float w;

    public class a extends ViewOutlineProvider {
        public a() {
        }

        public void getOutline(View view, Outline outline) {
            int width = ImageFilterView.this.getWidth();
            int height = ImageFilterView.this.getHeight();
            outline.setRoundRect(0, 0, width, height, (((float) Math.min(width, height)) * ImageFilterView.this.m) / 2.0f);
        }
    }

    public class b extends ViewOutlineProvider {
        public b() {
        }

        public void getOutline(View view, Outline outline) {
            outline.setRoundRect(0, 0, ImageFilterView.this.getWidth(), ImageFilterView.this.getHeight(), ImageFilterView.this.n);
        }
    }

    public static class c {

        /* renamed from: a  reason: collision with root package name */
        public float[] f1173a = new float[20];

        /* renamed from: b  reason: collision with root package name */
        public ColorMatrix f1174b = new ColorMatrix();

        /* renamed from: c  reason: collision with root package name */
        public ColorMatrix f1175c = new ColorMatrix();

        /* renamed from: d  reason: collision with root package name */
        public float f1176d = 1.0f;

        /* renamed from: e  reason: collision with root package name */
        public float f1177e = 1.0f;

        /* renamed from: f  reason: collision with root package name */
        public float f1178f = 1.0f;

        /* renamed from: g  reason: collision with root package name */
        public float f1179g = 1.0f;

        public void a(ImageView imageView) {
            boolean z;
            float f2;
            float f3;
            float f4;
            float f5;
            this.f1174b.reset();
            float f6 = this.f1177e;
            boolean z2 = true;
            if (f6 != 1.0f) {
                float f7 = 1.0f - f6;
                float f8 = 0.2999f * f7;
                float f9 = 0.587f * f7;
                float f10 = f7 * 0.114f;
                float[] fArr = this.f1173a;
                fArr[0] = f8 + f6;
                fArr[1] = f9;
                fArr[2] = f10;
                fArr[3] = 0.0f;
                fArr[4] = 0.0f;
                fArr[5] = f8;
                fArr[6] = f9 + f6;
                fArr[7] = f10;
                fArr[8] = 0.0f;
                fArr[9] = 0.0f;
                fArr[10] = f8;
                fArr[11] = f9;
                fArr[12] = f10 + f6;
                fArr[13] = 0.0f;
                fArr[14] = 0.0f;
                fArr[15] = 0.0f;
                fArr[16] = 0.0f;
                fArr[17] = 0.0f;
                f2 = 1.0f;
                fArr[18] = 1.0f;
                fArr[19] = 0.0f;
                this.f1174b.set(fArr);
                z = true;
            } else {
                f2 = 1.0f;
                z = false;
            }
            float f11 = this.f1178f;
            if (f11 != f2) {
                this.f1175c.setScale(f11, f11, f11, f2);
                this.f1174b.postConcat(this.f1175c);
                z = true;
            }
            float f12 = this.f1179g;
            if (f12 != f2) {
                if (f12 <= 0.0f) {
                    f12 = 0.01f;
                }
                float f13 = (5000.0f / f12) / 100.0f;
                if (f13 > 66.0f) {
                    double d2 = (double) (f13 - 60.0f);
                    f5 = ((float) Math.pow(d2, 0.07551484555006027d)) * 288.12216f;
                    f4 = ((float) Math.pow(d2, -0.13320475816726685d)) * 329.69873f;
                } else {
                    f5 = (((float) Math.log((double) f13)) * 99.4708f) - 161.11957f;
                    f4 = 255.0f;
                }
                float log = f13 < 66.0f ? f13 > 19.0f ? (((float) Math.log((double) (f13 - 10.0f))) * 138.51773f) - 305.0448f : 0.0f : 255.0f;
                float min = Math.min(255.0f, Math.max(f4, 0.0f));
                float min2 = Math.min(255.0f, Math.max(f5, 0.0f));
                float min3 = Math.min(255.0f, Math.max(log, 0.0f));
                float min4 = Math.min(255.0f, Math.max(255.0f, 0.0f));
                float min5 = Math.min(255.0f, Math.max((((float) Math.log((double) 50.0f)) * 99.4708f) - 161.11957f, 0.0f));
                float min6 = min3 / Math.min(255.0f, Math.max((((float) Math.log((double) 40.0f)) * 138.51773f) - 305.0448f, 0.0f));
                float[] fArr2 = this.f1173a;
                fArr2[0] = min / min4;
                fArr2[1] = 0.0f;
                fArr2[2] = 0.0f;
                fArr2[3] = 0.0f;
                fArr2[4] = 0.0f;
                fArr2[5] = 0.0f;
                fArr2[6] = min2 / min5;
                fArr2[7] = 0.0f;
                fArr2[8] = 0.0f;
                fArr2[9] = 0.0f;
                fArr2[10] = 0.0f;
                fArr2[11] = 0.0f;
                fArr2[12] = min6;
                fArr2[13] = 0.0f;
                fArr2[14] = 0.0f;
                fArr2[15] = 0.0f;
                fArr2[16] = 0.0f;
                fArr2[17] = 0.0f;
                f3 = 1.0f;
                fArr2[18] = 1.0f;
                fArr2[19] = 0.0f;
                this.f1175c.set(fArr2);
                this.f1174b.postConcat(this.f1175c);
                z = true;
            } else {
                f3 = 1.0f;
            }
            float f14 = this.f1176d;
            if (f14 != f3) {
                float[] fArr3 = this.f1173a;
                fArr3[0] = f14;
                fArr3[1] = 0.0f;
                fArr3[2] = 0.0f;
                fArr3[3] = 0.0f;
                fArr3[4] = 0.0f;
                fArr3[5] = 0.0f;
                fArr3[6] = f14;
                fArr3[7] = 0.0f;
                fArr3[8] = 0.0f;
                fArr3[9] = 0.0f;
                fArr3[10] = 0.0f;
                fArr3[11] = 0.0f;
                fArr3[12] = f14;
                fArr3[13] = 0.0f;
                fArr3[14] = 0.0f;
                fArr3[15] = 0.0f;
                fArr3[16] = 0.0f;
                fArr3[17] = 0.0f;
                fArr3[18] = 1.0f;
                fArr3[19] = 0.0f;
                this.f1175c.set(fArr3);
                this.f1174b.postConcat(this.f1175c);
            } else {
                z2 = z;
            }
            if (z2) {
                imageView.setColorFilter(new ColorMatrixColorFilter(this.f1174b));
            } else {
                imageView.clearColorFilter();
            }
        }
    }

    public ImageFilterView(Context context) {
        super(context);
        this.f1166d = new c();
        this.f1167h = true;
        this.f1168j = null;
        this.f1169k = null;
        this.f1170l = 0.0f;
        this.m = 0.0f;
        this.n = Float.NaN;
        this.r = new Drawable[2];
        this.t = Float.NaN;
        this.u = Float.NaN;
        this.v = Float.NaN;
        this.w = Float.NaN;
        a(null);
    }

    private void setOverlay(boolean z) {
        this.f1167h = z;
    }

    public final void a(AttributeSet attributeSet) {
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, R$styleable.ImageFilterView);
            int indexCount = obtainStyledAttributes.getIndexCount();
            this.f1168j = obtainStyledAttributes.getDrawable(R$styleable.ImageFilterView_altSrc);
            for (int i2 = 0; i2 < indexCount; i2++) {
                int index = obtainStyledAttributes.getIndex(i2);
                if (index == R$styleable.ImageFilterView_crossfade) {
                    this.f1170l = obtainStyledAttributes.getFloat(index, 0.0f);
                } else if (index == R$styleable.ImageFilterView_warmth) {
                    setWarmth(obtainStyledAttributes.getFloat(index, 0.0f));
                } else if (index == R$styleable.ImageFilterView_saturation) {
                    setSaturation(obtainStyledAttributes.getFloat(index, 0.0f));
                } else if (index == R$styleable.ImageFilterView_contrast) {
                    setContrast(obtainStyledAttributes.getFloat(index, 0.0f));
                } else if (index == R$styleable.ImageFilterView_brightness) {
                    setBrightness(obtainStyledAttributes.getFloat(index, 0.0f));
                } else if (index == R$styleable.ImageFilterView_round) {
                    setRound(obtainStyledAttributes.getDimension(index, 0.0f));
                } else if (index == R$styleable.ImageFilterView_roundPercent) {
                    setRoundPercent(obtainStyledAttributes.getFloat(index, 0.0f));
                } else if (index == R$styleable.ImageFilterView_overlay) {
                    setOverlay(obtainStyledAttributes.getBoolean(index, this.f1167h));
                } else if (index == R$styleable.ImageFilterView_imagePanX) {
                    setImagePanX(obtainStyledAttributes.getFloat(index, this.t));
                } else if (index == R$styleable.ImageFilterView_imagePanY) {
                    setImagePanY(obtainStyledAttributes.getFloat(index, this.u));
                } else if (index == R$styleable.ImageFilterView_imageRotate) {
                    setImageRotate(obtainStyledAttributes.getFloat(index, this.w));
                } else if (index == R$styleable.ImageFilterView_imageZoom) {
                    setImageZoom(obtainStyledAttributes.getFloat(index, this.v));
                }
            }
            obtainStyledAttributes.recycle();
            Drawable drawable = getDrawable();
            this.f1169k = drawable;
            if (this.f1168j == null || drawable == null) {
                Drawable drawable2 = getDrawable();
                this.f1169k = drawable2;
                if (drawable2 != null) {
                    Drawable[] drawableArr = this.r;
                    Drawable mutate = drawable2.mutate();
                    this.f1169k = mutate;
                    drawableArr[0] = mutate;
                    return;
                }
                return;
            }
            Drawable[] drawableArr2 = this.r;
            Drawable mutate2 = getDrawable().mutate();
            this.f1169k = mutate2;
            drawableArr2[0] = mutate2;
            this.r[1] = this.f1168j.mutate();
            LayerDrawable layerDrawable = new LayerDrawable(this.r);
            this.s = layerDrawable;
            layerDrawable.getDrawable(1).setAlpha((int) (this.f1170l * 255.0f));
            if (!this.f1167h) {
                this.s.getDrawable(0).setAlpha((int) ((1.0f - this.f1170l) * 255.0f));
            }
            super.setImageDrawable(this.s);
        }
    }

    public final void b() {
        if (!Float.isNaN(this.t) || !Float.isNaN(this.u) || !Float.isNaN(this.v) || !Float.isNaN(this.w)) {
            float f2 = 0.0f;
            float f3 = Float.isNaN(this.t) ? 0.0f : this.t;
            float f4 = Float.isNaN(this.u) ? 0.0f : this.u;
            float f5 = Float.isNaN(this.v) ? 1.0f : this.v;
            if (!Float.isNaN(this.w)) {
                f2 = this.w;
            }
            Matrix matrix = new Matrix();
            matrix.reset();
            float intrinsicWidth = (float) getDrawable().getIntrinsicWidth();
            float intrinsicHeight = (float) getDrawable().getIntrinsicHeight();
            float width = (float) getWidth();
            float height = (float) getHeight();
            float f6 = f5 * (intrinsicWidth * height < intrinsicHeight * width ? width / intrinsicWidth : height / intrinsicHeight);
            matrix.postScale(f6, f6);
            float f7 = intrinsicWidth * f6;
            float f8 = f6 * intrinsicHeight;
            matrix.postTranslate(((((width - f7) * f3) + width) - f7) * 0.5f, ((((height - f8) * f4) + height) - f8) * 0.5f);
            matrix.postRotate(f2, width / 2.0f, height / 2.0f);
            setImageMatrix(matrix);
            setScaleType(ImageView.ScaleType.MATRIX);
        }
    }

    public final void c() {
        if (!Float.isNaN(this.t) || !Float.isNaN(this.u) || !Float.isNaN(this.v) || !Float.isNaN(this.w)) {
            b();
        } else {
            setScaleType(ImageView.ScaleType.FIT_CENTER);
        }
    }

    public void draw(Canvas canvas) {
        super.draw(canvas);
        if (0 != 0) {
            canvas.restore();
        }
    }

    public float getBrightness() {
        return this.f1166d.f1176d;
    }

    public float getContrast() {
        return this.f1166d.f1178f;
    }

    public float getCrossfade() {
        return this.f1170l;
    }

    public float getImagePanX() {
        return this.t;
    }

    public float getImagePanY() {
        return this.u;
    }

    public float getImageRotate() {
        return this.w;
    }

    public float getImageZoom() {
        return this.v;
    }

    public float getRound() {
        return this.n;
    }

    public float getRoundPercent() {
        return this.m;
    }

    public float getSaturation() {
        return this.f1166d.f1177e;
    }

    public float getWarmth() {
        return this.f1166d.f1179g;
    }

    public void layout(int i2, int i3, int i4, int i5) {
        super.layout(i2, i3, i4, i5);
        b();
    }

    public void setAltImageResource(int i2) {
        Drawable mutate = b.b.b.a.a.b(getContext(), i2).mutate();
        this.f1168j = mutate;
        Drawable[] drawableArr = this.r;
        drawableArr[0] = this.f1169k;
        drawableArr[1] = mutate;
        LayerDrawable layerDrawable = new LayerDrawable(this.r);
        this.s = layerDrawable;
        super.setImageDrawable(layerDrawable);
        setCrossfade(this.f1170l);
    }

    public void setBrightness(float f2) {
        c cVar = this.f1166d;
        cVar.f1176d = f2;
        cVar.a(this);
    }

    public void setContrast(float f2) {
        c cVar = this.f1166d;
        cVar.f1178f = f2;
        cVar.a(this);
    }

    public void setCrossfade(float f2) {
        this.f1170l = f2;
        if (this.r != null) {
            if (!this.f1167h) {
                this.s.getDrawable(0).setAlpha((int) ((1.0f - this.f1170l) * 255.0f));
            }
            this.s.getDrawable(1).setAlpha((int) (this.f1170l * 255.0f));
            super.setImageDrawable(this.s);
        }
    }

    @Override // androidx.appcompat.widget.AppCompatImageView
    public void setImageDrawable(Drawable drawable) {
        if (this.f1168j == null || drawable == null) {
            super.setImageDrawable(drawable);
            return;
        }
        Drawable mutate = drawable.mutate();
        this.f1169k = mutate;
        Drawable[] drawableArr = this.r;
        drawableArr[0] = mutate;
        drawableArr[1] = this.f1168j;
        LayerDrawable layerDrawable = new LayerDrawable(this.r);
        this.s = layerDrawable;
        super.setImageDrawable(layerDrawable);
        setCrossfade(this.f1170l);
    }

    public void setImagePanX(float f2) {
        this.t = f2;
        c();
    }

    public void setImagePanY(float f2) {
        this.u = f2;
        c();
    }

    @Override // androidx.appcompat.widget.AppCompatImageView
    public void setImageResource(int i2) {
        if (this.f1168j != null) {
            Drawable mutate = b.b.b.a.a.b(getContext(), i2).mutate();
            this.f1169k = mutate;
            Drawable[] drawableArr = this.r;
            drawableArr[0] = mutate;
            drawableArr[1] = this.f1168j;
            LayerDrawable layerDrawable = new LayerDrawable(this.r);
            this.s = layerDrawable;
            super.setImageDrawable(layerDrawable);
            setCrossfade(this.f1170l);
            return;
        }
        super.setImageResource(i2);
    }

    public void setImageRotate(float f2) {
        this.w = f2;
        c();
    }

    public void setImageZoom(float f2) {
        this.v = f2;
        c();
    }

    public void setRound(float f2) {
        if (Float.isNaN(f2)) {
            this.n = f2;
            float f3 = this.m;
            this.m = -1.0f;
            setRoundPercent(f3);
            return;
        }
        boolean z = this.n != f2;
        this.n = f2;
        if (f2 != 0.0f) {
            if (this.o == null) {
                this.o = new Path();
            }
            if (this.q == null) {
                this.q = new RectF();
            }
            if (this.p == null) {
                b bVar = new b();
                this.p = bVar;
                setOutlineProvider(bVar);
            }
            setClipToOutline(true);
            this.q.set(0.0f, 0.0f, (float) getWidth(), (float) getHeight());
            this.o.reset();
            Path path = this.o;
            RectF rectF = this.q;
            float f4 = this.n;
            path.addRoundRect(rectF, f4, f4, Path.Direction.CW);
        } else {
            setClipToOutline(false);
        }
        if (z) {
            invalidateOutline();
        }
    }

    public void setRoundPercent(float f2) {
        boolean z = this.m != f2;
        this.m = f2;
        if (f2 != 0.0f) {
            if (this.o == null) {
                this.o = new Path();
            }
            if (this.q == null) {
                this.q = new RectF();
            }
            if (this.p == null) {
                a aVar = new a();
                this.p = aVar;
                setOutlineProvider(aVar);
            }
            setClipToOutline(true);
            int width = getWidth();
            int height = getHeight();
            float min = (((float) Math.min(width, height)) * this.m) / 2.0f;
            this.q.set(0.0f, 0.0f, (float) width, (float) height);
            this.o.reset();
            this.o.addRoundRect(this.q, min, min, Path.Direction.CW);
        } else {
            setClipToOutline(false);
        }
        if (z) {
            invalidateOutline();
        }
    }

    public void setSaturation(float f2) {
        c cVar = this.f1166d;
        cVar.f1177e = f2;
        cVar.a(this);
    }

    public void setWarmth(float f2) {
        c cVar = this.f1166d;
        cVar.f1179g = f2;
        cVar.a(this);
    }

    public ImageFilterView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f1166d = new c();
        this.f1167h = true;
        this.f1168j = null;
        this.f1169k = null;
        this.f1170l = 0.0f;
        this.m = 0.0f;
        this.n = Float.NaN;
        this.r = new Drawable[2];
        this.t = Float.NaN;
        this.u = Float.NaN;
        this.v = Float.NaN;
        this.w = Float.NaN;
        a(attributeSet);
    }

    public ImageFilterView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f1166d = new c();
        this.f1167h = true;
        this.f1168j = null;
        this.f1169k = null;
        this.f1170l = 0.0f;
        this.m = 0.0f;
        this.n = Float.NaN;
        this.r = new Drawable[2];
        this.t = Float.NaN;
        this.u = Float.NaN;
        this.v = Float.NaN;
        this.w = Float.NaN;
        a(attributeSet);
    }
}
