package androidx.constraintlayout.utils.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Outline;
import android.graphics.Path;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewOutlineProvider;
import androidx.appcompat.widget.AppCompatButton;
import androidx.constraintlayout.widget.R$styleable;

public class MotionButton extends AppCompatButton {

    /* renamed from: j  reason: collision with root package name */
    public float f1185j = 0.0f;

    /* renamed from: k  reason: collision with root package name */
    public float f1186k = Float.NaN;

    /* renamed from: l  reason: collision with root package name */
    public Path f1187l;
    public ViewOutlineProvider m;
    public RectF n;

    public class a extends ViewOutlineProvider {
        public a() {
        }

        public void getOutline(View view, Outline outline) {
            int width = MotionButton.this.getWidth();
            int height = MotionButton.this.getHeight();
            outline.setRoundRect(0, 0, width, height, (((float) Math.min(width, height)) * MotionButton.this.f1185j) / 2.0f);
        }
    }

    public class b extends ViewOutlineProvider {
        public b() {
        }

        public void getOutline(View view, Outline outline) {
            outline.setRoundRect(0, 0, MotionButton.this.getWidth(), MotionButton.this.getHeight(), MotionButton.this.f1186k);
        }
    }

    public MotionButton(Context context) {
        super(context);
        a(null);
    }

    public final void a(AttributeSet attributeSet) {
        setPadding(0, 0, 0, 0);
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, R$styleable.ImageFilterView);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i2 = 0; i2 < indexCount; i2++) {
                int index = obtainStyledAttributes.getIndex(i2);
                if (index == R$styleable.ImageFilterView_round) {
                    setRound(obtainStyledAttributes.getDimension(index, 0.0f));
                } else if (index == R$styleable.ImageFilterView_roundPercent) {
                    setRoundPercent(obtainStyledAttributes.getFloat(index, 0.0f));
                }
            }
            obtainStyledAttributes.recycle();
        }
    }

    public void draw(Canvas canvas) {
        super.draw(canvas);
        if (0 != 0) {
            canvas.restore();
        }
    }

    public float getRound() {
        return this.f1186k;
    }

    public float getRoundPercent() {
        return this.f1185j;
    }

    public void setRound(float f2) {
        if (Float.isNaN(f2)) {
            this.f1186k = f2;
            float f3 = this.f1185j;
            this.f1185j = -1.0f;
            setRoundPercent(f3);
            return;
        }
        boolean z = this.f1186k != f2;
        this.f1186k = f2;
        if (f2 != 0.0f) {
            if (this.f1187l == null) {
                this.f1187l = new Path();
            }
            if (this.n == null) {
                this.n = new RectF();
            }
            if (this.m == null) {
                b bVar = new b();
                this.m = bVar;
                setOutlineProvider(bVar);
            }
            setClipToOutline(true);
            this.n.set(0.0f, 0.0f, (float) getWidth(), (float) getHeight());
            this.f1187l.reset();
            Path path = this.f1187l;
            RectF rectF = this.n;
            float f4 = this.f1186k;
            path.addRoundRect(rectF, f4, f4, Path.Direction.CW);
        } else {
            setClipToOutline(false);
        }
        if (z) {
            invalidateOutline();
        }
    }

    public void setRoundPercent(float f2) {
        boolean z = this.f1185j != f2;
        this.f1185j = f2;
        if (f2 != 0.0f) {
            if (this.f1187l == null) {
                this.f1187l = new Path();
            }
            if (this.n == null) {
                this.n = new RectF();
            }
            if (this.m == null) {
                a aVar = new a();
                this.m = aVar;
                setOutlineProvider(aVar);
            }
            setClipToOutline(true);
            int width = getWidth();
            int height = getHeight();
            float min = (((float) Math.min(width, height)) * this.f1185j) / 2.0f;
            this.n.set(0.0f, 0.0f, (float) width, (float) height);
            this.f1187l.reset();
            this.f1187l.addRoundRect(this.n, min, min, Path.Direction.CW);
        } else {
            setClipToOutline(false);
        }
        if (z) {
            invalidateOutline();
        }
    }

    public MotionButton(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        a(attributeSet);
    }

    public MotionButton(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        a(attributeSet);
    }
}
