package androidx.constraintlayout.utils.widget;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Bitmap;
import android.graphics.BitmapShader;
import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.Outline;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Shader;
import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import android.text.TextPaint;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.view.View;
import android.view.ViewOutlineProvider;
import androidx.appcompat.R$attr;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.constraintlayout.motion.widget.FloatLayout;
import androidx.constraintlayout.widget.R$styleable;

public class MotionLabel extends View implements FloatLayout {
    public int A = 1;
    public int B = 1;
    public String C;
    public int D = 8388659;
    public int E = 0;
    public boolean F = false;
    public float G;
    public float H;
    public float I;
    public Drawable J;
    public Matrix K;
    public Bitmap L;
    public BitmapShader M;
    public Matrix N;
    public float O = Float.NaN;
    public float P = Float.NaN;
    public float Q = 0.0f;
    public float R = 0.0f;
    public Paint S = new Paint();
    public int T = 0;
    public Rect U;
    public Paint V;
    public float W;
    public float a0 = Float.NaN;
    public float b0 = Float.NaN;
    public float c0 = Float.NaN;

    /* renamed from: d  reason: collision with root package name */
    public TextPaint f1190d = new TextPaint();
    public float d0 = Float.NaN;

    /* renamed from: h  reason: collision with root package name */
    public Path f1191h = new Path();

    /* renamed from: j  reason: collision with root package name */
    public int f1192j = 65535;

    /* renamed from: k  reason: collision with root package name */
    public int f1193k = 65535;

    /* renamed from: l  reason: collision with root package name */
    public boolean f1194l = false;
    public float m = 0.0f;
    public float n = Float.NaN;
    public ViewOutlineProvider o;
    public RectF p;
    public float q = 48.0f;
    public float r = Float.NaN;
    public int s;
    public int t;
    public float u = 0.0f;
    public String v = "Hello World";
    public boolean w = true;
    public Rect x = new Rect();
    public int y = 1;
    public int z = 1;

    public class a extends ViewOutlineProvider {
        public a() {
        }

        public void getOutline(View view, Outline outline) {
            int width = MotionLabel.this.getWidth();
            int height = MotionLabel.this.getHeight();
            outline.setRoundRect(0, 0, width, height, (((float) Math.min(width, height)) * MotionLabel.this.m) / 2.0f);
        }
    }

    public class b extends ViewOutlineProvider {
        public b() {
        }

        public void getOutline(View view, Outline outline) {
            outline.setRoundRect(0, 0, MotionLabel.this.getWidth(), MotionLabel.this.getHeight(), MotionLabel.this.n);
        }
    }

    public MotionLabel(Context context) {
        super(context);
        b(context, null);
    }

    private float getHorizontalOffset() {
        float f2 = Float.isNaN(this.r) ? 1.0f : this.q / this.r;
        TextPaint textPaint = this.f1190d;
        String str = this.v;
        return ((this.Q + 1.0f) * ((((Float.isNaN(this.H) ? (float) getMeasuredWidth() : this.H) - ((float) getPaddingLeft())) - ((float) getPaddingRight())) - (textPaint.measureText(str, 0, str.length()) * f2))) / 2.0f;
    }

    private float getVerticalOffset() {
        float f2 = Float.isNaN(this.r) ? 1.0f : this.q / this.r;
        Paint.FontMetrics fontMetrics = this.f1190d.getFontMetrics();
        float measuredHeight = ((Float.isNaN(this.I) ? (float) getMeasuredHeight() : this.I) - ((float) getPaddingTop())) - ((float) getPaddingBottom());
        float f3 = fontMetrics.descent;
        float f4 = fontMetrics.ascent;
        return (((1.0f - this.R) * (measuredHeight - ((f3 - f4) * f2))) / 2.0f) - (f2 * f4);
    }

    public void a(float f2) {
        if (this.f1194l || f2 != 1.0f) {
            this.f1191h.reset();
            String str = this.v;
            int length = str.length();
            this.f1190d.getTextBounds(str, 0, length, this.x);
            this.f1190d.getTextPath(str, 0, length, 0.0f, 0.0f, this.f1191h);
            if (f2 != 1.0f) {
                String J2 = AppCompatDelegateImpl.e.J();
                StringBuilder sb = new StringBuilder(String.valueOf(J2).length() + 22);
                sb.append(J2);
                sb.append(" scale ");
                sb.append(f2);
                Log.v("MotionLabel", sb.toString());
                Matrix matrix = new Matrix();
                matrix.postScale(f2, f2);
                this.f1191h.transform(matrix);
            }
            Rect rect = this.x;
            rect.right--;
            rect.left++;
            rect.bottom++;
            rect.top--;
            RectF rectF = new RectF();
            rectF.bottom = (float) getHeight();
            rectF.right = (float) getWidth();
            this.w = false;
        }
    }

    public final void b(Context context, AttributeSet attributeSet) {
        Typeface typeface;
        Typeface typeface2;
        c(context);
        boolean z2 = false;
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, R$styleable.MotionLabel);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i2 = 0; i2 < indexCount; i2++) {
                int index = obtainStyledAttributes.getIndex(i2);
                if (index == R$styleable.MotionLabel_android_text) {
                    setText(obtainStyledAttributes.getText(index));
                } else if (index == R$styleable.MotionLabel_android_fontFamily) {
                    this.C = obtainStyledAttributes.getString(index);
                } else if (index == R$styleable.MotionLabel_scaleFromTextSize) {
                    this.r = (float) obtainStyledAttributes.getDimensionPixelSize(index, (int) this.r);
                } else if (index == R$styleable.MotionLabel_android_textSize) {
                    this.q = (float) obtainStyledAttributes.getDimensionPixelSize(index, (int) this.q);
                } else if (index == R$styleable.MotionLabel_android_textStyle) {
                    this.s = obtainStyledAttributes.getInt(index, this.s);
                } else if (index == R$styleable.MotionLabel_android_typeface) {
                    this.t = obtainStyledAttributes.getInt(index, this.t);
                } else if (index == R$styleable.MotionLabel_android_textColor) {
                    this.f1192j = obtainStyledAttributes.getColor(index, this.f1192j);
                } else if (index == R$styleable.MotionLabel_borderRound) {
                    float dimension = obtainStyledAttributes.getDimension(index, this.n);
                    this.n = dimension;
                    setRound(dimension);
                } else if (index == R$styleable.MotionLabel_borderRoundPercent) {
                    float f2 = obtainStyledAttributes.getFloat(index, this.m);
                    this.m = f2;
                    setRoundPercent(f2);
                } else if (index == R$styleable.MotionLabel_android_gravity) {
                    setGravity(obtainStyledAttributes.getInt(index, -1));
                } else if (index == R$styleable.MotionLabel_android_autoSizeTextType) {
                    this.E = obtainStyledAttributes.getInt(index, 0);
                } else if (index == R$styleable.MotionLabel_textOutlineColor) {
                    this.f1193k = obtainStyledAttributes.getInt(index, this.f1193k);
                    this.f1194l = true;
                } else if (index == R$styleable.MotionLabel_textOutlineThickness) {
                    this.u = obtainStyledAttributes.getDimension(index, this.u);
                    this.f1194l = true;
                } else if (index == R$styleable.MotionLabel_textBackground) {
                    this.J = obtainStyledAttributes.getDrawable(index);
                    this.f1194l = true;
                } else if (index == R$styleable.MotionLabel_textBackgroundPanX) {
                    this.a0 = obtainStyledAttributes.getFloat(index, this.a0);
                } else if (index == R$styleable.MotionLabel_textBackgroundPanY) {
                    this.b0 = obtainStyledAttributes.getFloat(index, this.b0);
                } else if (index == R$styleable.MotionLabel_textPanX) {
                    this.Q = obtainStyledAttributes.getFloat(index, this.Q);
                } else if (index == R$styleable.MotionLabel_textPanY) {
                    this.R = obtainStyledAttributes.getFloat(index, this.R);
                } else if (index == R$styleable.MotionLabel_textBackgroundRotate) {
                    this.d0 = obtainStyledAttributes.getFloat(index, this.d0);
                } else if (index == R$styleable.MotionLabel_textBackgroundZoom) {
                    this.c0 = obtainStyledAttributes.getFloat(index, this.c0);
                } else if (index == R$styleable.MotionLabel_textureHeight) {
                    this.O = obtainStyledAttributes.getDimension(index, this.O);
                } else if (index == R$styleable.MotionLabel_textureWidth) {
                    this.P = obtainStyledAttributes.getDimension(index, this.P);
                } else if (index == R$styleable.MotionLabel_textureEffect) {
                    this.T = obtainStyledAttributes.getInt(index, this.T);
                }
            }
            obtainStyledAttributes.recycle();
        }
        if (this.J != null) {
            this.N = new Matrix();
            int intrinsicWidth = this.J.getIntrinsicWidth();
            int intrinsicHeight = this.J.getIntrinsicHeight();
            if (intrinsicWidth <= 0 && (intrinsicWidth = getWidth()) == 0) {
                intrinsicWidth = Float.isNaN(this.P) ? 128 : (int) this.P;
            }
            if (intrinsicHeight <= 0 && (intrinsicHeight = getHeight()) == 0) {
                intrinsicHeight = Float.isNaN(this.O) ? 128 : (int) this.O;
            }
            if (this.T != 0) {
                intrinsicWidth /= 2;
                intrinsicHeight /= 2;
            }
            this.L = Bitmap.createBitmap(intrinsicWidth, intrinsicHeight, Bitmap.Config.ARGB_8888);
            Canvas canvas = new Canvas(this.L);
            this.J.setBounds(0, 0, canvas.getWidth(), canvas.getHeight());
            this.J.setFilterBitmap(true);
            this.J.draw(canvas);
            if (this.T != 0) {
                Bitmap bitmap = this.L;
                System.nanoTime();
                int width = bitmap.getWidth() / 2;
                int height = bitmap.getHeight() / 2;
                Bitmap createScaledBitmap = Bitmap.createScaledBitmap(bitmap, width, height, true);
                for (int i3 = 0; i3 < 4 && width >= 32 && height >= 32; i3++) {
                    width /= 2;
                    height /= 2;
                    createScaledBitmap = Bitmap.createScaledBitmap(createScaledBitmap, width, height, true);
                }
                this.L = createScaledBitmap;
            }
            Bitmap bitmap2 = this.L;
            Shader.TileMode tileMode = Shader.TileMode.REPEAT;
            this.M = new BitmapShader(bitmap2, tileMode, tileMode);
        }
        this.y = getPaddingLeft();
        this.z = getPaddingRight();
        this.A = getPaddingTop();
        this.B = getPaddingBottom();
        String str = this.C;
        int i4 = this.t;
        int i5 = this.s;
        if (str != null) {
            typeface = Typeface.create(str, i5);
            if (typeface != null) {
                setTypeface(typeface);
                this.f1190d.setColor(this.f1192j);
                this.f1190d.setStrokeWidth(this.u);
                this.f1190d.setStyle(Paint.Style.FILL_AND_STROKE);
                this.f1190d.setFlags(128);
                setTextSize(this.q);
                this.f1190d.setAntiAlias(true);
            }
        } else {
            typeface = null;
        }
        if (i4 == 1) {
            typeface = Typeface.SANS_SERIF;
        } else if (i4 == 2) {
            typeface = Typeface.SERIF;
        } else if (i4 == 3) {
            typeface = Typeface.MONOSPACE;
        }
        float f3 = 0.0f;
        if (i5 > 0) {
            if (typeface == null) {
                typeface2 = Typeface.defaultFromStyle(i5);
            } else {
                typeface2 = Typeface.create(typeface, i5);
            }
            setTypeface(typeface2);
            int i6 = (~(typeface2 != null ? typeface2.getStyle() : 0)) & i5;
            TextPaint textPaint = this.f1190d;
            if ((i6 & 1) != 0) {
                z2 = true;
            }
            textPaint.setFakeBoldText(z2);
            TextPaint textPaint2 = this.f1190d;
            if ((i6 & 2) != 0) {
                f3 = -0.25f;
            }
            textPaint2.setTextSkewX(f3);
        } else {
            this.f1190d.setFakeBoldText(false);
            this.f1190d.setTextSkewX(0.0f);
            setTypeface(typeface);
        }
        this.f1190d.setColor(this.f1192j);
        this.f1190d.setStrokeWidth(this.u);
        this.f1190d.setStyle(Paint.Style.FILL_AND_STROKE);
        this.f1190d.setFlags(128);
        setTextSize(this.q);
        this.f1190d.setAntiAlias(true);
    }

    public final void c(Context context) {
        TypedValue typedValue = new TypedValue();
        context.getTheme().resolveAttribute(R$attr.colorPrimary, typedValue, true);
        TextPaint textPaint = this.f1190d;
        int i2 = typedValue.data;
        this.f1192j = i2;
        textPaint.setColor(i2);
    }

    public final void d() {
        float f2 = 0.0f;
        float f3 = Float.isNaN(this.a0) ? 0.0f : this.a0;
        float f4 = Float.isNaN(this.b0) ? 0.0f : this.b0;
        float f5 = Float.isNaN(this.c0) ? 1.0f : this.c0;
        if (!Float.isNaN(this.d0)) {
            f2 = this.d0;
        }
        this.N.reset();
        float width = (float) this.L.getWidth();
        float height = (float) this.L.getHeight();
        float f6 = Float.isNaN(this.P) ? this.H : this.P;
        float f7 = Float.isNaN(this.O) ? this.I : this.O;
        float f8 = f5 * (width * f7 < height * f6 ? f6 / width : f7 / height);
        this.N.postScale(f8, f8);
        float f9 = width * f8;
        float f10 = f6 - f9;
        float f11 = f8 * height;
        float f12 = f7 - f11;
        if (!Float.isNaN(this.O)) {
            f12 = this.O / 2.0f;
        }
        if (!Float.isNaN(this.P)) {
            f10 = this.P / 2.0f;
        }
        this.N.postTranslate((((f3 * f10) + f6) - f9) * 0.5f, (((f4 * f12) + f7) - f11) * 0.5f);
        this.N.postRotate(f2, f6 / 2.0f, f7 / 2.0f);
        this.M.setLocalMatrix(this.N);
    }

    public float getRound() {
        return this.n;
    }

    public float getRoundPercent() {
        return this.m;
    }

    public float getScaleFromTextSize() {
        return this.r;
    }

    public float getTextBackgroundPanX() {
        return this.a0;
    }

    public float getTextBackgroundPanY() {
        return this.b0;
    }

    public float getTextBackgroundRotate() {
        return this.d0;
    }

    public float getTextBackgroundZoom() {
        return this.c0;
    }

    public int getTextOutlineColor() {
        return this.f1193k;
    }

    public float getTextPanX() {
        return this.Q;
    }

    public float getTextPanY() {
        return this.R;
    }

    public float getTextureHeight() {
        return this.O;
    }

    public float getTextureWidth() {
        return this.P;
    }

    public Typeface getTypeface() {
        return this.f1190d.getTypeface();
    }

    public void layout(int i2, int i3, int i4, int i5) {
        float f2;
        super.layout(i2, i3, i4, i5);
        boolean isNaN = Float.isNaN(this.r);
        if (isNaN) {
            f2 = 1.0f;
        } else {
            f2 = this.q / this.r;
        }
        this.H = (float) (i4 - i2);
        this.I = (float) (i5 - i3);
        if (this.F) {
            if (this.U == null) {
                this.V = new Paint();
                this.U = new Rect();
                this.V.set(this.f1190d);
                this.W = this.V.getTextSize();
            }
            Paint paint = this.V;
            String str = this.v;
            paint.getTextBounds(str, 0, str.length(), this.U);
            int width = this.U.width();
            int height = (int) (((float) this.U.height()) * 1.3f);
            float f3 = (this.H - ((float) this.z)) - ((float) this.y);
            float f4 = (this.I - ((float) this.B)) - ((float) this.A);
            if (isNaN) {
                float f5 = (float) width;
                float f6 = (float) height;
                if (f5 * f4 > f6 * f3) {
                    this.f1190d.setTextSize((this.W * f3) / f5);
                } else {
                    this.f1190d.setTextSize((this.W * f4) / f6);
                }
            } else {
                float f7 = (float) width;
                float f8 = (float) height;
                f2 = f7 * f4 > f8 * f3 ? f3 / f7 : f4 / f8;
            }
        }
        if (this.f1194l || !isNaN) {
            float f9 = (float) i2;
            float f10 = (float) i3;
            float f11 = (float) i4;
            float f12 = (float) i5;
            if (this.N != null) {
                this.H = f11 - f9;
                this.I = f12 - f10;
                d();
            }
            a(f2);
        }
    }

    public void onDraw(Canvas canvas) {
        float f2 = Float.isNaN(this.r) ? 1.0f : this.q / this.r;
        super.onDraw(canvas);
        if (this.f1194l || f2 != 1.0f) {
            if (this.w) {
                a(f2);
            }
            if (this.K == null) {
                this.K = new Matrix();
            }
            if (this.f1194l) {
                this.S.set(this.f1190d);
                this.K.reset();
                float horizontalOffset = ((float) this.y) + getHorizontalOffset();
                float verticalOffset = ((float) this.A) + getVerticalOffset();
                this.K.postTranslate(horizontalOffset, verticalOffset);
                this.K.preScale(f2, f2);
                this.f1191h.transform(this.K);
                if (this.M != null) {
                    this.f1190d.setFilterBitmap(true);
                    this.f1190d.setShader(this.M);
                } else {
                    this.f1190d.setColor(this.f1192j);
                }
                this.f1190d.setStyle(Paint.Style.FILL);
                this.f1190d.setStrokeWidth(this.u);
                canvas.drawPath(this.f1191h, this.f1190d);
                if (this.M != null) {
                    this.f1190d.setShader(null);
                }
                this.f1190d.setColor(this.f1193k);
                this.f1190d.setStyle(Paint.Style.STROKE);
                this.f1190d.setStrokeWidth(this.u);
                canvas.drawPath(this.f1191h, this.f1190d);
                this.K.reset();
                this.K.postTranslate(-horizontalOffset, -verticalOffset);
                this.f1191h.transform(this.K);
                this.f1190d.set(this.S);
                return;
            }
            float horizontalOffset2 = ((float) this.y) + getHorizontalOffset();
            float verticalOffset2 = ((float) this.A) + getVerticalOffset();
            this.K.reset();
            this.K.preTranslate(horizontalOffset2, verticalOffset2);
            this.f1191h.transform(this.K);
            this.f1190d.setColor(this.f1192j);
            this.f1190d.setStyle(Paint.Style.FILL_AND_STROKE);
            this.f1190d.setStrokeWidth(this.u);
            canvas.drawPath(this.f1191h, this.f1190d);
            this.K.reset();
            this.K.preTranslate(-horizontalOffset2, -verticalOffset2);
            this.f1191h.transform(this.K);
            return;
        }
        canvas.drawText(this.v, this.G + ((float) this.y) + getHorizontalOffset(), ((float) this.A) + getVerticalOffset(), this.f1190d);
    }

    public void onMeasure(int i2, int i3) {
        int mode = View.MeasureSpec.getMode(i2);
        int mode2 = View.MeasureSpec.getMode(i3);
        int size = View.MeasureSpec.getSize(i2);
        int size2 = View.MeasureSpec.getSize(i3);
        this.F = false;
        this.y = getPaddingLeft();
        this.z = getPaddingRight();
        this.A = getPaddingTop();
        this.B = getPaddingBottom();
        if (mode != 1073741824 || mode2 != 1073741824) {
            TextPaint textPaint = this.f1190d;
            String str = this.v;
            textPaint.getTextBounds(str, 0, str.length(), this.x);
            if (mode != 1073741824) {
                size = (int) (((float) this.x.width()) + 0.99999f);
            }
            size += this.y + this.z;
            if (mode2 != 1073741824) {
                int fontMetricsInt = (int) (((float) this.f1190d.getFontMetricsInt(null)) + 0.99999f);
                if (mode2 == Integer.MIN_VALUE) {
                    fontMetricsInt = Math.min(size2, fontMetricsInt);
                }
                size2 = this.A + this.B + fontMetricsInt;
            }
        } else if (this.E != 0) {
            this.F = true;
        }
        setMeasuredDimension(size, size2);
    }

    @SuppressLint({"RtlHardcoded"})
    public void setGravity(int i2) {
        if ((i2 & 8388615) == 0) {
            i2 |= 8388611;
        }
        if ((i2 & 112) == 0) {
            i2 |= 48;
        }
        int i3 = i2 & 8388615;
        int i4 = this.D;
        int i5 = i4 & 8388615;
        if (i2 != i4) {
            invalidate();
        }
        this.D = i2;
        int i6 = i2 & 112;
        if (i6 == 48) {
            this.R = -1.0f;
        } else if (i6 != 80) {
            this.R = 0.0f;
        } else {
            this.R = 1.0f;
        }
        int i7 = i2 & 8388615;
        if (i7 != 3) {
            if (i7 != 5) {
                if (i7 != 8388611) {
                    if (i7 != 8388613) {
                        this.Q = 0.0f;
                        return;
                    }
                }
            }
            this.Q = 1.0f;
            return;
        }
        this.Q = -1.0f;
    }

    public void setRound(float f2) {
        if (Float.isNaN(f2)) {
            this.n = f2;
            float f3 = this.m;
            this.m = -1.0f;
            setRoundPercent(f3);
            return;
        }
        boolean z2 = this.n != f2;
        this.n = f2;
        if (f2 != 0.0f) {
            if (this.f1191h == null) {
                this.f1191h = new Path();
            }
            if (this.p == null) {
                this.p = new RectF();
            }
            if (this.o == null) {
                b bVar = new b();
                this.o = bVar;
                setOutlineProvider(bVar);
            }
            setClipToOutline(true);
            this.p.set(0.0f, 0.0f, (float) getWidth(), (float) getHeight());
            this.f1191h.reset();
            Path path = this.f1191h;
            RectF rectF = this.p;
            float f4 = this.n;
            path.addRoundRect(rectF, f4, f4, Path.Direction.CW);
        } else {
            setClipToOutline(false);
        }
        if (z2) {
            invalidateOutline();
        }
    }

    public void setRoundPercent(float f2) {
        boolean z2 = this.m != f2;
        this.m = f2;
        if (f2 != 0.0f) {
            if (this.f1191h == null) {
                this.f1191h = new Path();
            }
            if (this.p == null) {
                this.p = new RectF();
            }
            if (this.o == null) {
                a aVar = new a();
                this.o = aVar;
                setOutlineProvider(aVar);
            }
            setClipToOutline(true);
            int width = getWidth();
            int height = getHeight();
            float min = (((float) Math.min(width, height)) * this.m) / 2.0f;
            this.p.set(0.0f, 0.0f, (float) width, (float) height);
            this.f1191h.reset();
            this.f1191h.addRoundRect(this.p, min, min, Path.Direction.CW);
        } else {
            setClipToOutline(false);
        }
        if (z2) {
            invalidateOutline();
        }
    }

    public void setScaleFromTextSize(float f2) {
        this.r = f2;
    }

    public void setText(CharSequence charSequence) {
        this.v = charSequence.toString();
        invalidate();
    }

    public void setTextBackgroundPanX(float f2) {
        this.a0 = f2;
        d();
        invalidate();
    }

    public void setTextBackgroundPanY(float f2) {
        this.b0 = f2;
        d();
        invalidate();
    }

    public void setTextBackgroundRotate(float f2) {
        this.d0 = f2;
        d();
        invalidate();
    }

    public void setTextBackgroundZoom(float f2) {
        this.c0 = f2;
        d();
        invalidate();
    }

    public void setTextFillColor(int i2) {
        this.f1192j = i2;
        invalidate();
    }

    public void setTextOutlineColor(int i2) {
        this.f1193k = i2;
        this.f1194l = true;
        invalidate();
    }

    public void setTextOutlineThickness(float f2) {
        this.u = f2;
        this.f1194l = true;
        if (Float.isNaN(f2)) {
            this.u = 1.0f;
            this.f1194l = false;
        }
        invalidate();
    }

    public void setTextPanX(float f2) {
        this.Q = f2;
        invalidate();
    }

    public void setTextPanY(float f2) {
        this.R = f2;
        invalidate();
    }

    public void setTextSize(float f2) {
        this.q = f2;
        String J2 = AppCompatDelegateImpl.e.J();
        float f3 = this.r;
        StringBuilder sb = new StringBuilder(String.valueOf(J2).length() + 35);
        sb.append(J2);
        sb.append("  ");
        sb.append(f2);
        sb.append(" / ");
        sb.append(f3);
        Log.v("MotionLabel", sb.toString());
        TextPaint textPaint = this.f1190d;
        if (!Float.isNaN(this.r)) {
            f2 = this.r;
        }
        textPaint.setTextSize(f2);
        a(Float.isNaN(this.r) ? 1.0f : this.q / this.r);
        requestLayout();
        invalidate();
    }

    public void setTextureHeight(float f2) {
        this.O = f2;
        d();
        invalidate();
    }

    public void setTextureWidth(float f2) {
        this.P = f2;
        d();
        invalidate();
    }

    public void setTypeface(Typeface typeface) {
        if (this.f1190d.getTypeface() != typeface) {
            this.f1190d.setTypeface(typeface);
        }
    }

    @Override // androidx.constraintlayout.motion.widget.FloatLayout
    public void layout(float f2, float f3, float f4, float f5) {
        int i2 = (int) (f2 + 0.5f);
        this.G = f2 - ((float) i2);
        int i3 = (int) (f4 + 0.5f);
        int i4 = i3 - i2;
        int i5 = (int) (f5 + 0.5f);
        int i6 = (int) (0.5f + f3);
        int i7 = i5 - i6;
        float f6 = f4 - f2;
        this.H = f6;
        float f7 = f5 - f3;
        this.I = f7;
        if (this.N != null) {
            this.H = f6;
            this.I = f7;
            d();
        }
        if (getMeasuredHeight() == i7 && getMeasuredWidth() == i4) {
            super.layout(i2, i6, i3, i5);
        } else {
            measure(View.MeasureSpec.makeMeasureSpec(i4, 1073741824), View.MeasureSpec.makeMeasureSpec(i7, 1073741824));
            super.layout(i2, i6, i3, i5);
        }
        if (this.F) {
            if (this.U == null) {
                this.V = new Paint();
                this.U = new Rect();
                this.V.set(this.f1190d);
                this.W = this.V.getTextSize();
            }
            this.H = f6;
            this.I = f7;
            Paint paint = this.V;
            String str = this.v;
            paint.getTextBounds(str, 0, str.length(), this.U);
            int width = this.U.width();
            float height = ((float) this.U.height()) * 1.3f;
            float f8 = (f6 - ((float) this.z)) - ((float) this.y);
            float f9 = (f7 - ((float) this.B)) - ((float) this.A);
            float f10 = (float) width;
            if (f10 * f9 > height * f8) {
                this.f1190d.setTextSize((this.W * f8) / f10);
            } else {
                this.f1190d.setTextSize((this.W * f9) / height);
            }
            if (this.f1194l || !Float.isNaN(this.r)) {
                a(Float.isNaN(this.r) ? 1.0f : this.q / this.r);
            }
        }
    }

    public MotionLabel(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        b(context, attributeSet);
    }

    public MotionLabel(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        b(context, attributeSet);
    }
}
