package androidx.constraintlayout.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.util.Log;
import android.util.TypedValue;
import android.util.Xml;
import android.view.View;
import androidx.appcompat.app.AppCompatDelegateImpl;
import com.shuyu.gsyvideoplayer.utils.NeuQuant;
import d.a.a.a.a;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.HashMap;
import org.xmlpull.v1.XmlPullParser;

public class ConstraintAttribute {

    /* renamed from: a  reason: collision with root package name */
    public boolean f1197a = false;

    /* renamed from: b  reason: collision with root package name */
    public String f1198b;

    /* renamed from: c  reason: collision with root package name */
    public AttributeType f1199c;

    /* renamed from: d  reason: collision with root package name */
    public int f1200d;

    /* renamed from: e  reason: collision with root package name */
    public float f1201e;

    /* renamed from: f  reason: collision with root package name */
    public String f1202f;

    /* renamed from: g  reason: collision with root package name */
    public boolean f1203g;

    /* renamed from: h  reason: collision with root package name */
    public int f1204h;

    public enum AttributeType {
        INT_TYPE,
        FLOAT_TYPE,
        COLOR_TYPE,
        COLOR_DRAWABLE_TYPE,
        STRING_TYPE,
        BOOLEAN_TYPE,
        DIMENSION_TYPE,
        REFERENCE_TYPE
    }

    public ConstraintAttribute(String str, AttributeType attributeType, Object obj, boolean z) {
        this.f1198b = str;
        this.f1199c = attributeType;
        this.f1197a = z;
        i(obj);
    }

    public static int a(int i2) {
        int i3 = (i2 & (~(i2 >> 31))) - 255;
        return (i3 & (i3 >> 31)) + NeuQuant.maxnetpos;
    }

    public static void f(Context context, XmlPullParser xmlPullParser, HashMap<String, ConstraintAttribute> hashMap) {
        Object obj;
        AttributeType attributeType;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(Xml.asAttributeSet(xmlPullParser), R$styleable.CustomAttribute);
        int indexCount = obtainStyledAttributes.getIndexCount();
        String str = null;
        Object obj2 = null;
        AttributeType attributeType2 = null;
        boolean z = false;
        for (int i2 = 0; i2 < indexCount; i2++) {
            int index = obtainStyledAttributes.getIndex(i2);
            if (index == R$styleable.CustomAttribute_attributeName) {
                str = obtainStyledAttributes.getString(index);
                if (str != null && str.length() > 0) {
                    char upperCase = Character.toUpperCase(str.charAt(0));
                    String substring = str.substring(1);
                    StringBuilder sb = new StringBuilder(String.valueOf(substring).length() + 1);
                    sb.append(upperCase);
                    sb.append(substring);
                    str = sb.toString();
                }
            } else if (index == R$styleable.CustomAttribute_methodName) {
                str = obtainStyledAttributes.getString(index);
                z = true;
            } else if (index == R$styleable.CustomAttribute_customBoolean) {
                obj2 = Boolean.valueOf(obtainStyledAttributes.getBoolean(index, false));
                attributeType2 = AttributeType.BOOLEAN_TYPE;
            } else {
                if (index == R$styleable.CustomAttribute_customColorValue) {
                    attributeType = AttributeType.COLOR_TYPE;
                    obj = Integer.valueOf(obtainStyledAttributes.getColor(index, 0));
                } else if (index == R$styleable.CustomAttribute_customColorDrawableValue) {
                    attributeType = AttributeType.COLOR_DRAWABLE_TYPE;
                    obj = Integer.valueOf(obtainStyledAttributes.getColor(index, 0));
                } else if (index == R$styleable.CustomAttribute_customPixelDimension) {
                    attributeType = AttributeType.DIMENSION_TYPE;
                    obj = Float.valueOf(TypedValue.applyDimension(1, obtainStyledAttributes.getDimension(index, 0.0f), context.getResources().getDisplayMetrics()));
                } else if (index == R$styleable.CustomAttribute_customDimension) {
                    attributeType = AttributeType.DIMENSION_TYPE;
                    obj = Float.valueOf(obtainStyledAttributes.getDimension(index, 0.0f));
                } else if (index == R$styleable.CustomAttribute_customFloatValue) {
                    attributeType = AttributeType.FLOAT_TYPE;
                    obj = Float.valueOf(obtainStyledAttributes.getFloat(index, Float.NaN));
                } else if (index == R$styleable.CustomAttribute_customIntegerValue) {
                    attributeType = AttributeType.INT_TYPE;
                    obj = Integer.valueOf(obtainStyledAttributes.getInteger(index, -1));
                } else if (index == R$styleable.CustomAttribute_customStringValue) {
                    attributeType = AttributeType.STRING_TYPE;
                    obj = obtainStyledAttributes.getString(index);
                } else if (index == R$styleable.CustomAttribute_customReference) {
                    attributeType = AttributeType.REFERENCE_TYPE;
                    int resourceId = obtainStyledAttributes.getResourceId(index, -1);
                    if (resourceId == -1) {
                        resourceId = obtainStyledAttributes.getInt(index, -1);
                    }
                    obj = Integer.valueOf(resourceId);
                }
                attributeType2 = attributeType;
                obj2 = obj;
            }
        }
        if (!(str == null || obj2 == null)) {
            hashMap.put(str, new ConstraintAttribute(str, attributeType2, obj2, z));
        }
        obtainStyledAttributes.recycle();
    }

    public static void g(View view, HashMap<String, ConstraintAttribute> hashMap) {
        String str;
        Class<?> cls = view.getClass();
        for (String str2 : hashMap.keySet()) {
            ConstraintAttribute constraintAttribute = hashMap.get(str2);
            if (!constraintAttribute.f1197a) {
                String valueOf = String.valueOf(str2);
                str = valueOf.length() != 0 ? "set".concat(valueOf) : new String("set");
            } else {
                str = str2;
            }
            try {
                switch (constraintAttribute.f1199c.ordinal()) {
                    case 0:
                        cls.getMethod(str, Integer.TYPE).invoke(view, Integer.valueOf(constraintAttribute.f1200d));
                        continue;
                    case 1:
                        cls.getMethod(str, Float.TYPE).invoke(view, Float.valueOf(constraintAttribute.f1201e));
                        continue;
                    case 2:
                        cls.getMethod(str, Integer.TYPE).invoke(view, Integer.valueOf(constraintAttribute.f1204h));
                        continue;
                    case 3:
                        Method method = cls.getMethod(str, Drawable.class);
                        ColorDrawable colorDrawable = new ColorDrawable();
                        colorDrawable.setColor(constraintAttribute.f1204h);
                        method.invoke(view, colorDrawable);
                        continue;
                    case 4:
                        cls.getMethod(str, CharSequence.class).invoke(view, constraintAttribute.f1202f);
                        continue;
                    case 5:
                        cls.getMethod(str, Boolean.TYPE).invoke(view, Boolean.valueOf(constraintAttribute.f1203g));
                        continue;
                    case 6:
                        cls.getMethod(str, Float.TYPE).invoke(view, Float.valueOf(constraintAttribute.f1201e));
                        continue;
                    case 7:
                        cls.getMethod(str, Integer.TYPE).invoke(view, Integer.valueOf(constraintAttribute.f1200d));
                        continue;
                    default:
                        continue;
                }
            } catch (NoSuchMethodException e2) {
                Log.e("TransitionLayout", e2.getMessage());
                String name = cls.getName();
                Log.e("TransitionLayout", a.f(name.length() + a.R(str2, 34), " Custom Attribute \"", str2, "\" not found on ", name));
                String name2 = cls.getName();
                StringBuilder sb = new StringBuilder(a.R(str, name2.length() + 20));
                sb.append(name2);
                sb.append(" must have a method ");
                sb.append(str);
                Log.e("TransitionLayout", sb.toString());
            } catch (IllegalAccessException e3) {
                String name3 = cls.getName();
                Log.e("TransitionLayout", a.f(name3.length() + a.R(str2, 34), " Custom Attribute \"", str2, "\" not found on ", name3));
                e3.printStackTrace();
            } catch (InvocationTargetException e4) {
                String name4 = cls.getName();
                Log.e("TransitionLayout", a.f(name4.length() + a.R(str2, 34), " Custom Attribute \"", str2, "\" not found on ", name4));
                e4.printStackTrace();
            }
        }
    }

    public float b() {
        switch (this.f1199c.ordinal()) {
            case 0:
                return (float) this.f1200d;
            case 1:
                return this.f1201e;
            case 2:
            case 3:
                throw new RuntimeException("Color does not have a single color to interpolate");
            case 4:
                throw new RuntimeException("Cannot interpolate String");
            case 5:
                return this.f1203g ? 1.0f : 0.0f;
            case 6:
                return this.f1201e;
            default:
                return Float.NaN;
        }
    }

    public void c(float[] fArr) {
        switch (this.f1199c.ordinal()) {
            case 0:
                fArr[0] = (float) this.f1200d;
                return;
            case 1:
                fArr[0] = this.f1201e;
                return;
            case 2:
            case 3:
                int i2 = this.f1204h;
                int i3 = (i2 >> 24) & NeuQuant.maxnetpos;
                int i4 = (i2 >> 16) & NeuQuant.maxnetpos;
                int i5 = (i2 >> 8) & NeuQuant.maxnetpos;
                int i6 = i2 & NeuQuant.maxnetpos;
                float pow = (float) Math.pow((double) (((float) i4) / 255.0f), 2.2d);
                float pow2 = (float) Math.pow((double) (((float) i5) / 255.0f), 2.2d);
                fArr[0] = pow;
                fArr[1] = pow2;
                fArr[2] = (float) Math.pow((double) (((float) i6) / 255.0f), 2.2d);
                fArr[3] = ((float) i3) / 255.0f;
                return;
            case 4:
                throw new RuntimeException("Color does not have a single color to interpolate");
            case 5:
                fArr[0] = this.f1203g ? 1.0f : 0.0f;
                return;
            case 6:
                fArr[0] = this.f1201e;
                return;
            default:
                return;
        }
    }

    public boolean d() {
        int ordinal = this.f1199c.ordinal();
        return (ordinal == 4 || ordinal == 5 || ordinal == 7) ? false : true;
    }

    public int e() {
        int ordinal = this.f1199c.ordinal();
        return (ordinal == 2 || ordinal == 3) ? 4 : 1;
    }

    public void h(View view, float[] fArr) {
        Class<?> cls = view.getClass();
        String valueOf = String.valueOf(this.f1198b);
        String concat = valueOf.length() != 0 ? "set".concat(valueOf) : new String("set");
        try {
            switch (this.f1199c.ordinal()) {
                case 0:
                    cls.getMethod(concat, Integer.TYPE).invoke(view, Integer.valueOf((int) fArr[0]));
                    return;
                case 1:
                    cls.getMethod(concat, Float.TYPE).invoke(view, Float.valueOf(fArr[0]));
                    return;
                case 2:
                    cls.getMethod(concat, Integer.TYPE).invoke(view, Integer.valueOf((a((int) (((float) Math.pow((double) fArr[0], 0.45454545454545453d)) * 255.0f)) << 16) | (a((int) (fArr[3] * 255.0f)) << 24) | (a((int) (((float) Math.pow((double) fArr[1], 0.45454545454545453d)) * 255.0f)) << 8) | a((int) (((float) Math.pow((double) fArr[2], 0.45454545454545453d)) * 255.0f))));
                    return;
                case 3:
                    Method method = cls.getMethod(concat, Drawable.class);
                    int a2 = a((int) (((float) Math.pow((double) fArr[0], 0.45454545454545453d)) * 255.0f));
                    int a3 = a((int) (((float) Math.pow((double) fArr[1], 0.45454545454545453d)) * 255.0f));
                    ColorDrawable colorDrawable = new ColorDrawable();
                    colorDrawable.setColor((a2 << 16) | (a((int) (fArr[3] * 255.0f)) << 24) | (a3 << 8) | a((int) (((float) Math.pow((double) fArr[2], 0.45454545454545453d)) * 255.0f)));
                    method.invoke(view, colorDrawable);
                    return;
                case 4:
                    String valueOf2 = String.valueOf(this.f1198b);
                    throw new RuntimeException(valueOf2.length() != 0 ? "unable to interpolate strings ".concat(valueOf2) : new String("unable to interpolate strings "));
                case 5:
                    Method method2 = cls.getMethod(concat, Boolean.TYPE);
                    Object[] objArr = new Object[1];
                    objArr[0] = Boolean.valueOf(fArr[0] > 0.5f);
                    method2.invoke(view, objArr);
                    return;
                case 6:
                    cls.getMethod(concat, Float.TYPE).invoke(view, Float.valueOf(fArr[0]));
                    return;
                default:
                    return;
            }
        } catch (NoSuchMethodException e2) {
            String M = AppCompatDelegateImpl.e.M(view);
            StringBuilder sb = new StringBuilder(String.valueOf(M).length() + String.valueOf(concat).length() + 21);
            sb.append("no method ");
            sb.append(concat);
            sb.append(" on View \"");
            sb.append(M);
            sb.append("\"");
            Log.e("TransitionLayout", sb.toString());
            e2.printStackTrace();
        } catch (IllegalAccessException e3) {
            String M2 = AppCompatDelegateImpl.e.M(view);
            StringBuilder sb2 = new StringBuilder(String.valueOf(M2).length() + String.valueOf(concat).length() + 32);
            sb2.append("cannot access method ");
            sb2.append(concat);
            sb2.append(" on View \"");
            sb2.append(M2);
            sb2.append("\"");
            Log.e("TransitionLayout", sb2.toString());
            e3.printStackTrace();
        } catch (InvocationTargetException e4) {
            e4.printStackTrace();
        }
    }

    public void i(Object obj) {
        switch (this.f1199c.ordinal()) {
            case 0:
            case 7:
                this.f1200d = ((Integer) obj).intValue();
                return;
            case 1:
                this.f1201e = ((Float) obj).floatValue();
                return;
            case 2:
            case 3:
                this.f1204h = ((Integer) obj).intValue();
                return;
            case 4:
                this.f1202f = (String) obj;
                return;
            case 5:
                this.f1203g = ((Boolean) obj).booleanValue();
                return;
            case 6:
                this.f1201e = ((Float) obj).floatValue();
                return;
            default:
                return;
        }
    }

    public ConstraintAttribute(ConstraintAttribute constraintAttribute, Object obj) {
        this.f1198b = constraintAttribute.f1198b;
        this.f1199c = constraintAttribute.f1199c;
        i(obj);
    }
}
