package androidx.constraintlayout.widget;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import androidx.constraintlayout.core.widgets.ConstraintWidget;
import androidx.constraintlayout.core.widgets.ConstraintWidgetContainer;
import androidx.constraintlayout.core.widgets.Helper;
import androidx.constraintlayout.core.widgets.HelperWidget;
import androidx.constraintlayout.widget.ConstraintLayout;
import b.h.d.b;
import java.util.Arrays;
import java.util.HashMap;

public abstract class ConstraintHelper extends View {

    /* renamed from: d  reason: collision with root package name */
    public int[] f1205d;

    /* renamed from: h  reason: collision with root package name */
    public int f1206h;

    /* renamed from: j  reason: collision with root package name */
    public Context f1207j;

    /* renamed from: k  reason: collision with root package name */
    public Helper f1208k;

    /* renamed from: l  reason: collision with root package name */
    public String f1209l;
    public String m;
    public View[] n;
    public HashMap<Integer, String> o;

    public ConstraintHelper(Context context) {
        super(context);
        this.f1205d = new int[32];
        this.n = null;
        this.o = new HashMap<>();
        this.f1207j = context;
        j(null);
    }

    public final void a(String str) {
        if (str != null && str.length() != 0 && this.f1207j != null) {
            String trim = str.trim();
            if (getParent() instanceof ConstraintLayout) {
                ConstraintLayout constraintLayout = (ConstraintLayout) getParent();
            }
            int h2 = h(trim);
            if (h2 != 0) {
                this.o.put(Integer.valueOf(h2), trim);
                b(h2);
                return;
            }
            StringBuilder sb = new StringBuilder(String.valueOf(trim).length() + 23);
            sb.append("Could not find id of \"");
            sb.append(trim);
            sb.append("\"");
            Log.w("ConstraintHelper", sb.toString());
        }
    }

    public final void b(int i2) {
        if (i2 != getId()) {
            int i3 = this.f1206h + 1;
            int[] iArr = this.f1205d;
            if (i3 > iArr.length) {
                this.f1205d = Arrays.copyOf(iArr, iArr.length * 2);
            }
            int[] iArr2 = this.f1205d;
            int i4 = this.f1206h;
            iArr2[i4] = i2;
            this.f1206h = i4 + 1;
        }
    }

    public final void c(String str) {
        if (!(str == null || str.length() == 0 || this.f1207j == null)) {
            String trim = str.trim();
            ConstraintLayout constraintLayout = null;
            if (getParent() instanceof ConstraintLayout) {
                constraintLayout = (ConstraintLayout) getParent();
            }
            if (constraintLayout == null) {
                Log.w("ConstraintHelper", "Parent not a ConstraintLayout");
                return;
            }
            int childCount = constraintLayout.getChildCount();
            for (int i2 = 0; i2 < childCount; i2++) {
                View childAt = constraintLayout.getChildAt(i2);
                ViewGroup.LayoutParams layoutParams = childAt.getLayoutParams();
                if ((layoutParams instanceof ConstraintLayout.a) && trim.equals(((ConstraintLayout.a) layoutParams).X)) {
                    if (childAt.getId() == -1) {
                        String simpleName = childAt.getClass().getSimpleName();
                        StringBuilder sb = new StringBuilder(simpleName.length() + 42);
                        sb.append("to use ConstraintTag view ");
                        sb.append(simpleName);
                        sb.append(" must have an ID");
                        Log.w("ConstraintHelper", sb.toString());
                    } else {
                        b(childAt.getId());
                    }
                }
            }
        }
    }

    public void d() {
        ViewParent parent = getParent();
        if (parent != null && (parent instanceof ConstraintLayout)) {
            e((ConstraintLayout) parent);
        }
    }

    public void e(ConstraintLayout constraintLayout) {
        int visibility = getVisibility();
        float elevation = getElevation();
        for (int i2 = 0; i2 < this.f1206h; i2++) {
            View viewById = constraintLayout.getViewById(this.f1205d[i2]);
            if (viewById != null) {
                viewById.setVisibility(visibility);
                if (elevation > 0.0f) {
                    viewById.setTranslationZ(viewById.getTranslationZ() + elevation);
                }
            }
        }
    }

    public void f(ConstraintLayout constraintLayout) {
    }

    public final int g(ConstraintLayout constraintLayout, String str) {
        Resources resources;
        if (str == null || (resources = this.f1207j.getResources()) == null) {
            return 0;
        }
        int childCount = constraintLayout.getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = constraintLayout.getChildAt(i2);
            if (childAt.getId() != -1) {
                String str2 = null;
                try {
                    str2 = resources.getResourceEntryName(childAt.getId());
                } catch (Resources.NotFoundException unused) {
                }
                if (str.equals(str2)) {
                    return childAt.getId();
                }
            }
        }
        return 0;
    }

    public int[] getReferencedIds() {
        return Arrays.copyOf(this.f1205d, this.f1206h);
    }

    public final int h(String str) {
        ConstraintLayout constraintLayout = getParent() instanceof ConstraintLayout ? (ConstraintLayout) getParent() : null;
        int i2 = 0;
        if (isInEditMode() && constraintLayout != null) {
            Object designInformation = constraintLayout.getDesignInformation(0, str);
            if (designInformation instanceof Integer) {
                i2 = ((Integer) designInformation).intValue();
            }
        }
        if (i2 == 0 && constraintLayout != null) {
            i2 = g(constraintLayout, str);
        }
        if (i2 == 0) {
            try {
                i2 = R$id.class.getField(str).getInt(null);
            } catch (Exception unused) {
            }
        }
        return i2 == 0 ? this.f1207j.getResources().getIdentifier(str, "id", this.f1207j.getPackageName()) : i2;
    }

    public View[] i(ConstraintLayout constraintLayout) {
        View[] viewArr = this.n;
        if (viewArr == null || viewArr.length != this.f1206h) {
            this.n = new View[this.f1206h];
        }
        for (int i2 = 0; i2 < this.f1206h; i2++) {
            this.n[i2] = constraintLayout.getViewById(this.f1205d[i2]);
        }
        return this.n;
    }

    public void j(AttributeSet attributeSet) {
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, R$styleable.ConstraintLayout_Layout);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i2 = 0; i2 < indexCount; i2++) {
                int index = obtainStyledAttributes.getIndex(i2);
                if (index == R$styleable.ConstraintLayout_Layout_constraint_referenced_ids) {
                    String string = obtainStyledAttributes.getString(index);
                    this.f1209l = string;
                    setIds(string);
                } else if (index == R$styleable.ConstraintLayout_Layout_constraint_referenced_tags) {
                    String string2 = obtainStyledAttributes.getString(index);
                    this.m = string2;
                    setReferenceTags(string2);
                }
            }
            obtainStyledAttributes.recycle();
        }
    }

    public void k(b.a aVar, HelperWidget helperWidget, ConstraintLayout.a aVar2, SparseArray<ConstraintWidget> sparseArray) {
        b.C0018b bVar = aVar.f3156e;
        int[] iArr = bVar.j0;
        int i2 = 0;
        if (iArr != null) {
            setReferencedIds(iArr);
        } else {
            String str = bVar.k0;
            if (str != null) {
                if (str.length() > 0) {
                    b.C0018b bVar2 = aVar.f3156e;
                    String[] split = bVar2.k0.split(",");
                    getContext();
                    int[] iArr2 = new int[split.length];
                    int i3 = 0;
                    for (String str2 : split) {
                        int h2 = h(str2.trim());
                        if (h2 != 0) {
                            iArr2[i3] = h2;
                            i3++;
                        }
                    }
                    if (i3 != split.length) {
                        iArr2 = Arrays.copyOf(iArr2, i3);
                    }
                    bVar2.j0 = iArr2;
                } else {
                    aVar.f3156e.j0 = null;
                }
            }
        }
        if (helperWidget != null) {
            helperWidget.removeAllIds();
            if (aVar.f3156e.j0 != null) {
                while (true) {
                    int[] iArr3 = aVar.f3156e.j0;
                    if (i2 < iArr3.length) {
                        ConstraintWidget constraintWidget = sparseArray.get(iArr3[i2]);
                        if (constraintWidget != null) {
                            helperWidget.add(constraintWidget);
                        }
                        i2++;
                    } else {
                        return;
                    }
                }
            }
        }
    }

    public void l(ConstraintWidget constraintWidget, boolean z) {
    }

    public void m(ConstraintLayout constraintLayout) {
    }

    public void n() {
    }

    public void o(ConstraintLayout constraintLayout) {
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        String str = this.f1209l;
        if (str != null) {
            setIds(str);
        }
        String str2 = this.m;
        if (str2 != null) {
            setReferenceTags(str2);
        }
    }

    public void onDraw(Canvas canvas) {
    }

    public void onMeasure(int i2, int i3) {
        setMeasuredDimension(0, 0);
    }

    public void p(ConstraintWidgetContainer constraintWidgetContainer, Helper helper, SparseArray<ConstraintWidget> sparseArray) {
        helper.removeAllIds();
        for (int i2 = 0; i2 < this.f1206h; i2++) {
            helper.add(sparseArray.get(this.f1205d[i2]));
        }
    }

    public void q() {
        if (this.f1208k != null) {
            ViewGroup.LayoutParams layoutParams = getLayoutParams();
            if (layoutParams instanceof ConstraintLayout.a) {
                ((ConstraintLayout.a) layoutParams).p0 = (ConstraintWidget) this.f1208k;
            }
        }
    }

    public void setIds(String str) {
        this.f1209l = str;
        if (str != null) {
            int i2 = 0;
            this.f1206h = 0;
            while (true) {
                int indexOf = str.indexOf(44, i2);
                if (indexOf == -1) {
                    a(str.substring(i2));
                    return;
                } else {
                    a(str.substring(i2, indexOf));
                    i2 = indexOf + 1;
                }
            }
        }
    }

    public void setReferenceTags(String str) {
        this.m = str;
        if (str != null) {
            int i2 = 0;
            this.f1206h = 0;
            while (true) {
                int indexOf = str.indexOf(44, i2);
                if (indexOf == -1) {
                    c(str.substring(i2));
                    return;
                } else {
                    c(str.substring(i2, indexOf));
                    i2 = indexOf + 1;
                }
            }
        }
    }

    public void setReferencedIds(int[] iArr) {
        this.f1209l = null;
        this.f1206h = 0;
        for (int i2 : iArr) {
            b(i2);
        }
    }

    public void setTag(int i2, Object obj) {
        super.setTag(i2, obj);
        if (obj == null && this.f1209l == null) {
            b(i2);
        }
    }

    public ConstraintHelper(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f1205d = new int[32];
        this.n = null;
        this.o = new HashMap<>();
        this.f1207j = context;
        j(attributeSet);
    }

    public ConstraintHelper(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f1205d = new int[32];
        this.n = null;
        this.o = new HashMap<>();
        this.f1207j = context;
        j(attributeSet);
    }
}
