package androidx.constraintlayout.widget;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.util.SparseIntArray;
import android.view.View;
import android.view.ViewGroup;
import androidx.constraintlayout.core.LinearSystem;
import androidx.constraintlayout.core.widgets.Barrier;
import androidx.constraintlayout.core.widgets.ConstraintAnchor;
import androidx.constraintlayout.core.widgets.ConstraintWidget;
import androidx.constraintlayout.core.widgets.ConstraintWidgetContainer;
import androidx.constraintlayout.core.widgets.Guideline;
import androidx.constraintlayout.core.widgets.Helper;
import androidx.constraintlayout.core.widgets.VirtualLayout;
import androidx.constraintlayout.core.widgets.WidgetContainer;
import androidx.constraintlayout.core.widgets.analyzer.BasicMeasure;
import androidx.constraintlayout.core.widgets.analyzer.ChainRun;
import androidx.constraintlayout.core.widgets.analyzer.HorizontalWidgetRun;
import androidx.constraintlayout.core.widgets.analyzer.VerticalWidgetRun;
import androidx.constraintlayout.core.widgets.analyzer.WidgetRun;
import androidx.core.internal.view.SupportMenu;
import b.h.a.g.c.e;
import b.h.d.c;
import com.luck.picture.lib.camera.CustomCameraView;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Objects;
import org.dsq.library.widget.bigImage.SubsamplingScaleImageView;

public class ConstraintLayout extends ViewGroup {
    private static final boolean DEBUG = false;
    private static final boolean DEBUG_DRAW_CONSTRAINTS = false;
    public static final int DESIGN_INFO_ID = 0;
    private static final boolean MEASURE = false;
    private static final boolean OPTIMIZE_HEIGHT_CHANGE = false;
    private static final String TAG = "ConstraintLayout";
    private static final boolean USE_CONSTRAINTS_HELPER = true;
    public static final String VERSION = "ConstraintLayout-2.1.2";
    private static SharedValues sSharedValues;
    public SparseArray<View> mChildrenByIds = new SparseArray<>();
    private ArrayList<ConstraintHelper> mConstraintHelpers = new ArrayList<>(4);
    public b.h.d.a mConstraintLayoutSpec = null;
    private b.h.d.b mConstraintSet = null;
    private int mConstraintSetId = -1;
    private c mConstraintsChangedListener;
    private HashMap<String, Integer> mDesignIds = new HashMap<>();
    public boolean mDirtyHierarchy = true;
    private int mLastMeasureHeight = -1;
    public int mLastMeasureHeightMode = 0;
    public int mLastMeasureHeightSize = -1;
    private int mLastMeasureWidth = -1;
    public int mLastMeasureWidthMode = 0;
    public int mLastMeasureWidthSize = -1;
    public ConstraintWidgetContainer mLayoutWidget = new ConstraintWidgetContainer();
    private int mMaxHeight = SubsamplingScaleImageView.TILE_SIZE_AUTO;
    private int mMaxWidth = SubsamplingScaleImageView.TILE_SIZE_AUTO;
    public b mMeasurer = new b(this);
    private b.h.a.b mMetrics;
    private int mMinHeight = 0;
    private int mMinWidth = 0;
    private int mOnMeasureHeightMeasureSpec = 0;
    private int mOnMeasureWidthMeasureSpec = 0;
    private int mOptimizationLevel = CustomCameraView.BUTTON_STATE_ONLY_CAPTURE;
    private SparseArray<ConstraintWidget> mTempMapIdToWidget = new SparseArray<>();

    public class b implements BasicMeasure.Measurer {

        /* renamed from: a  reason: collision with root package name */
        public ConstraintLayout f1223a;

        /* renamed from: b  reason: collision with root package name */
        public int f1224b;

        /* renamed from: c  reason: collision with root package name */
        public int f1225c;

        /* renamed from: d  reason: collision with root package name */
        public int f1226d;

        /* renamed from: e  reason: collision with root package name */
        public int f1227e;

        /* renamed from: f  reason: collision with root package name */
        public int f1228f;

        /* renamed from: g  reason: collision with root package name */
        public int f1229g;

        public b(ConstraintLayout constraintLayout) {
            this.f1223a = constraintLayout;
        }

        public final boolean a(int i2, int i3, int i4) {
            if (i2 == i3) {
                return true;
            }
            int mode = View.MeasureSpec.getMode(i2);
            View.MeasureSpec.getSize(i2);
            int mode2 = View.MeasureSpec.getMode(i3);
            int size = View.MeasureSpec.getSize(i3);
            if (mode2 != 1073741824) {
                return false;
            }
            if ((mode == Integer.MIN_VALUE || mode == 0) && i4 == size) {
                return true;
            }
            return false;
        }

        @Override // androidx.constraintlayout.core.widgets.analyzer.BasicMeasure.Measurer
        public final void didMeasures() {
            int childCount = this.f1223a.getChildCount();
            for (int i2 = 0; i2 < childCount; i2++) {
                View childAt = this.f1223a.getChildAt(i2);
                if (childAt instanceof Placeholder) {
                    ((Placeholder) childAt).b();
                }
            }
            int size = this.f1223a.mConstraintHelpers.size();
            if (size > 0) {
                for (int i3 = 0; i3 < size; i3++) {
                    ((ConstraintHelper) this.f1223a.mConstraintHelpers.get(i3)).n();
                }
            }
        }

        /* JADX WARNING: Removed duplicated region for block: B:117:0x01a5  */
        /* JADX WARNING: Removed duplicated region for block: B:121:0x01ba  */
        /* JADX WARNING: Removed duplicated region for block: B:122:0x01bc  */
        /* JADX WARNING: Removed duplicated region for block: B:124:0x01bf  */
        /* JADX WARNING: Removed duplicated region for block: B:125:0x01c1  */
        /* JADX WARNING: Removed duplicated region for block: B:149:0x01f1 A[RETURN] */
        /* JADX WARNING: Removed duplicated region for block: B:150:0x01f2  */
        @Override // androidx.constraintlayout.core.widgets.analyzer.BasicMeasure.Measurer
        @SuppressLint({"WrongCall"})
        public final void measure(ConstraintWidget constraintWidget, BasicMeasure.a aVar) {
            int i2;
            int i3;
            int i4;
            int i5;
            int i6;
            int i7;
            int i8;
            int i9;
            int i10;
            if (constraintWidget != null) {
                int i11 = 0;
                if (constraintWidget.q0 == 8 && !constraintWidget.I) {
                    aVar.f1033e = 0;
                    aVar.f1034f = 0;
                    aVar.f1035g = 0;
                } else if (constraintWidget.Y != null) {
                    ConstraintWidget.DimensionBehaviour dimensionBehaviour = aVar.f1029a;
                    ConstraintWidget.DimensionBehaviour dimensionBehaviour2 = aVar.f1030b;
                    int i12 = aVar.f1031c;
                    int i13 = aVar.f1032d;
                    int i14 = this.f1224b + this.f1225c;
                    int i15 = this.f1226d;
                    View view = (View) constraintWidget.o0;
                    int ordinal = dimensionBehaviour.ordinal();
                    if (ordinal == 0) {
                        i11 = View.MeasureSpec.makeMeasureSpec(i12, 1073741824);
                    } else if (ordinal == 1) {
                        i11 = ViewGroup.getChildMeasureSpec(this.f1228f, i15, -2);
                    } else if (ordinal == 2) {
                        i11 = ViewGroup.getChildMeasureSpec(this.f1228f, i15, -2);
                        boolean z = constraintWidget.s == 1;
                        int i16 = aVar.f1038j;
                        if (i16 == 1 || i16 == 2) {
                            if (aVar.f1038j == 2 || !z || (z && (view.getMeasuredHeight() == constraintWidget.o())) || (view instanceof Placeholder) || constraintWidget.E()) {
                                i11 = View.MeasureSpec.makeMeasureSpec(constraintWidget.u(), 1073741824);
                            }
                        }
                    } else if (ordinal == 3) {
                        int i17 = this.f1228f;
                        ConstraintAnchor constraintAnchor = constraintWidget.M;
                        int i18 = constraintAnchor != null ? constraintAnchor.f999g + 0 : 0;
                        ConstraintAnchor constraintAnchor2 = constraintWidget.O;
                        if (constraintAnchor2 != null) {
                            i18 += constraintAnchor2.f999g;
                        }
                        i11 = ViewGroup.getChildMeasureSpec(i17, i15 + i18, -1);
                    }
                    int ordinal2 = dimensionBehaviour2.ordinal();
                    if (ordinal2 == 0) {
                        i10 = View.MeasureSpec.makeMeasureSpec(i13, 1073741824);
                    } else if (ordinal2 == 1) {
                        i10 = ViewGroup.getChildMeasureSpec(this.f1229g, i14, -2);
                    } else if (ordinal2 == 2) {
                        i10 = ViewGroup.getChildMeasureSpec(this.f1229g, i14, -2);
                        boolean z2 = constraintWidget.t == 1;
                        int i19 = aVar.f1038j;
                        if (i19 == 1 || i19 == 2) {
                            if (aVar.f1038j == 2 || !z2 || (z2 && (view.getMeasuredWidth() == constraintWidget.u())) || (view instanceof Placeholder) || constraintWidget.F()) {
                                i10 = View.MeasureSpec.makeMeasureSpec(constraintWidget.o(), 1073741824);
                            }
                        }
                    } else if (ordinal2 != 3) {
                        i2 = 0;
                        ConstraintWidgetContainer constraintWidgetContainer = (ConstraintWidgetContainer) constraintWidget.Y;
                        if (constraintWidgetContainer != null && b.h.a.g.b.b(ConstraintLayout.this.mOptimizationLevel, 256) && view.getMeasuredWidth() == constraintWidget.u() && view.getMeasuredWidth() < constraintWidgetContainer.u() && view.getMeasuredHeight() == constraintWidget.o() && view.getMeasuredHeight() < constraintWidgetContainer.o() && view.getBaseline() == constraintWidget.j0 && !constraintWidget.D()) {
                            if (!a(constraintWidget.K, i11, constraintWidget.u()) && a(constraintWidget.L, i2, constraintWidget.o())) {
                                aVar.f1033e = constraintWidget.u();
                                aVar.f1034f = constraintWidget.o();
                                aVar.f1035g = constraintWidget.j0;
                                return;
                            }
                        }
                        ConstraintWidget.DimensionBehaviour dimensionBehaviour3 = ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT;
                        boolean z3 = dimensionBehaviour != dimensionBehaviour3;
                        boolean z4 = dimensionBehaviour2 != dimensionBehaviour3;
                        ConstraintWidget.DimensionBehaviour dimensionBehaviour4 = ConstraintWidget.DimensionBehaviour.MATCH_PARENT;
                        boolean z5 = dimensionBehaviour2 != dimensionBehaviour4 || dimensionBehaviour2 == ConstraintWidget.DimensionBehaviour.FIXED;
                        boolean z6 = dimensionBehaviour != dimensionBehaviour4 || dimensionBehaviour == ConstraintWidget.DimensionBehaviour.FIXED;
                        boolean z7 = !z3 && constraintWidget.b0 > 0.0f;
                        boolean z8 = !z4 && constraintWidget.b0 > 0.0f;
                        if (view == null) {
                            a aVar2 = (a) view.getLayoutParams();
                            int i20 = aVar.f1038j;
                            if (i20 == 1 || i20 == 2 || !z3 || constraintWidget.s != 0 || !z4 || constraintWidget.t != 0) {
                                if (!(view instanceof VirtualLayout) || !(constraintWidget instanceof VirtualLayout)) {
                                    view.measure(i11, i2);
                                } else {
                                    ((VirtualLayout) view).r((VirtualLayout) constraintWidget, i11, i2);
                                }
                                constraintWidget.K = i11;
                                constraintWidget.L = i2;
                                constraintWidget.f1008g = false;
                                int measuredWidth = view.getMeasuredWidth();
                                int measuredHeight = view.getMeasuredHeight();
                                i5 = view.getBaseline();
                                int i21 = constraintWidget.v;
                                i4 = i21 > 0 ? Math.max(i21, measuredWidth) : measuredWidth;
                                int i22 = constraintWidget.w;
                                if (i22 > 0) {
                                    i4 = Math.min(i22, i4);
                                }
                                int i23 = constraintWidget.y;
                                if (i23 > 0) {
                                    i3 = Math.max(i23, measuredHeight);
                                    i7 = i11;
                                } else {
                                    i7 = i11;
                                    i3 = measuredHeight;
                                }
                                int i24 = constraintWidget.z;
                                if (i24 > 0) {
                                    i3 = Math.min(i24, i3);
                                }
                                if (!b.h.a.g.b.b(ConstraintLayout.this.mOptimizationLevel, 1)) {
                                    if (z7 && z5) {
                                        i4 = (int) ((((float) i3) * constraintWidget.b0) + 0.5f);
                                    } else if (z8 && z6) {
                                        i3 = (int) ((((float) i4) / constraintWidget.b0) + 0.5f);
                                    }
                                }
                                if (measuredWidth == i4 && measuredHeight == i3) {
                                    i6 = -1;
                                } else {
                                    if (measuredWidth != i4) {
                                        i9 = 1073741824;
                                        i8 = View.MeasureSpec.makeMeasureSpec(i4, 1073741824);
                                    } else {
                                        i9 = 1073741824;
                                        i8 = i7;
                                    }
                                    if (measuredHeight != i3) {
                                        i2 = View.MeasureSpec.makeMeasureSpec(i3, i9);
                                    }
                                    view.measure(i8, i2);
                                    constraintWidget.K = i8;
                                    constraintWidget.L = i2;
                                    constraintWidget.f1008g = false;
                                    i4 = view.getMeasuredWidth();
                                    i3 = view.getMeasuredHeight();
                                    i5 = view.getBaseline();
                                    i6 = -1;
                                }
                            } else {
                                i6 = -1;
                                i5 = 0;
                                i4 = 0;
                                i3 = 0;
                            }
                            boolean z9 = i5 != i6;
                            aVar.f1037i = (i4 == aVar.f1031c && i3 == aVar.f1032d) ? false : true;
                            if (aVar2.b0) {
                                z9 = true;
                            }
                            if (!(!z9 || i5 == -1 || constraintWidget.j0 == i5)) {
                                aVar.f1037i = true;
                            }
                            aVar.f1033e = i4;
                            aVar.f1034f = i3;
                            aVar.f1036h = z9;
                            aVar.f1035g = i5;
                            return;
                        }
                        return;
                    } else {
                        int i25 = this.f1229g;
                        int i26 = constraintWidget.M != null ? constraintWidget.N.f999g + 0 : 0;
                        if (constraintWidget.O != null) {
                            i26 += constraintWidget.P.f999g;
                        }
                        i10 = ViewGroup.getChildMeasureSpec(i25, i14 + i26, -1);
                    }
                    i2 = i10;
                    ConstraintWidgetContainer constraintWidgetContainer2 = (ConstraintWidgetContainer) constraintWidget.Y;
                    if (!a(constraintWidget.K, i11, constraintWidget.u()) && a(constraintWidget.L, i2, constraintWidget.o())) {
                    }
                    ConstraintWidget.DimensionBehaviour dimensionBehaviour32 = ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT;
                    if (dimensionBehaviour != dimensionBehaviour32) {
                    }
                    if (dimensionBehaviour2 != dimensionBehaviour32) {
                    }
                    ConstraintWidget.DimensionBehaviour dimensionBehaviour42 = ConstraintWidget.DimensionBehaviour.MATCH_PARENT;
                    if (dimensionBehaviour2 != dimensionBehaviour42) {
                    }
                    if (dimensionBehaviour != dimensionBehaviour42) {
                    }
                    if (!z3) {
                    }
                    if (!z4) {
                    }
                    if (view == null) {
                    }
                }
            }
        }
    }

    public ConstraintLayout(Context context) {
        super(context);
        init(null, 0, 0);
    }

    private int getPaddingWidth() {
        int max = Math.max(0, getPaddingRight()) + Math.max(0, getPaddingLeft());
        int max2 = Math.max(0, getPaddingEnd()) + Math.max(0, getPaddingStart());
        return max2 > 0 ? max2 : max;
    }

    public static SharedValues getSharedValues() {
        if (sSharedValues == null) {
            sSharedValues = new SharedValues();
        }
        return sSharedValues;
    }

    private final ConstraintWidget getTargetWidget(int i2) {
        if (i2 == 0) {
            return this.mLayoutWidget;
        }
        View view = this.mChildrenByIds.get(i2);
        if (view == null && (view = findViewById(i2)) != null && view != this && view.getParent() == this) {
            onViewAdded(view);
        }
        if (view == this) {
            return this.mLayoutWidget;
        }
        if (view == null) {
            return null;
        }
        return ((a) view.getLayoutParams()).p0;
    }

    private void init(AttributeSet attributeSet, int i2, int i3) {
        ConstraintWidgetContainer constraintWidgetContainer = this.mLayoutWidget;
        constraintWidgetContainer.o0 = this;
        constraintWidgetContainer.h0(this.mMeasurer);
        this.mChildrenByIds.put(getId(), this);
        this.mConstraintSet = null;
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, R$styleable.ConstraintLayout_Layout, i2, i3);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i4 = 0; i4 < indexCount; i4++) {
                int index = obtainStyledAttributes.getIndex(i4);
                if (index == R$styleable.ConstraintLayout_Layout_android_minWidth) {
                    this.mMinWidth = obtainStyledAttributes.getDimensionPixelOffset(index, this.mMinWidth);
                } else if (index == R$styleable.ConstraintLayout_Layout_android_minHeight) {
                    this.mMinHeight = obtainStyledAttributes.getDimensionPixelOffset(index, this.mMinHeight);
                } else if (index == R$styleable.ConstraintLayout_Layout_android_maxWidth) {
                    this.mMaxWidth = obtainStyledAttributes.getDimensionPixelOffset(index, this.mMaxWidth);
                } else if (index == R$styleable.ConstraintLayout_Layout_android_maxHeight) {
                    this.mMaxHeight = obtainStyledAttributes.getDimensionPixelOffset(index, this.mMaxHeight);
                } else if (index == R$styleable.ConstraintLayout_Layout_layout_optimizationLevel) {
                    this.mOptimizationLevel = obtainStyledAttributes.getInt(index, this.mOptimizationLevel);
                } else if (index == R$styleable.ConstraintLayout_Layout_layoutDescription) {
                    int resourceId = obtainStyledAttributes.getResourceId(index, 0);
                    if (resourceId != 0) {
                        try {
                            parseLayoutDescription(resourceId);
                        } catch (Resources.NotFoundException unused) {
                            this.mConstraintLayoutSpec = null;
                        }
                    }
                } else if (index == R$styleable.ConstraintLayout_Layout_constraintSet) {
                    int resourceId2 = obtainStyledAttributes.getResourceId(index, 0);
                    try {
                        b.h.d.b bVar = new b.h.d.b();
                        this.mConstraintSet = bVar;
                        bVar.k(getContext(), resourceId2);
                    } catch (Resources.NotFoundException unused2) {
                        this.mConstraintSet = null;
                    }
                    this.mConstraintSetId = resourceId2;
                }
            }
            obtainStyledAttributes.recycle();
        }
        this.mLayoutWidget.i0(this.mOptimizationLevel);
    }

    private void markHierarchyDirty() {
        this.mDirtyHierarchy = true;
        this.mLastMeasureWidth = -1;
        this.mLastMeasureHeight = -1;
        this.mLastMeasureWidthSize = -1;
        this.mLastMeasureHeightSize = -1;
        this.mLastMeasureWidthMode = 0;
        this.mLastMeasureHeightMode = 0;
    }

    private void setChildrenConstraints() {
        String str;
        int g2;
        boolean isInEditMode = isInEditMode();
        int childCount = getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            ConstraintWidget viewWidget = getViewWidget(getChildAt(i2));
            if (viewWidget != null) {
                viewWidget.G();
            }
        }
        if (isInEditMode) {
            for (int i3 = 0; i3 < childCount; i3++) {
                View childAt = getChildAt(i3);
                try {
                    String resourceName = getResources().getResourceName(childAt.getId());
                    setDesignInformation(0, resourceName, Integer.valueOf(childAt.getId()));
                    int indexOf = resourceName.indexOf(47);
                    if (indexOf != -1) {
                        resourceName = resourceName.substring(indexOf + 1);
                    }
                    getTargetWidget(childAt.getId()).r0 = resourceName;
                } catch (Resources.NotFoundException unused) {
                }
            }
        }
        if (this.mConstraintSetId != -1) {
            for (int i4 = 0; i4 < childCount; i4++) {
                View childAt2 = getChildAt(i4);
                if (childAt2.getId() == this.mConstraintSetId && (childAt2 instanceof Constraints)) {
                    this.mConstraintSet = ((Constraints) childAt2).getConstraintSet();
                }
            }
        }
        b.h.d.b bVar = this.mConstraintSet;
        if (bVar != null) {
            bVar.c(this, true);
        }
        this.mLayoutWidget.O0.clear();
        int size = this.mConstraintHelpers.size();
        if (size > 0) {
            for (int i5 = 0; i5 < size; i5++) {
                ConstraintHelper constraintHelper = this.mConstraintHelpers.get(i5);
                if (constraintHelper.isInEditMode()) {
                    constraintHelper.setIds(constraintHelper.f1209l);
                }
                Helper helper = constraintHelper.f1208k;
                if (helper != null) {
                    helper.removeAllIds();
                    for (int i6 = 0; i6 < constraintHelper.f1206h; i6++) {
                        int i7 = constraintHelper.f1205d[i6];
                        View viewById = getViewById(i7);
                        if (viewById == null && (g2 = constraintHelper.g(this, (str = constraintHelper.o.get(Integer.valueOf(i7))))) != 0) {
                            constraintHelper.f1205d[i6] = g2;
                            constraintHelper.o.put(Integer.valueOf(g2), str);
                            viewById = getViewById(g2);
                        }
                        if (viewById != null) {
                            constraintHelper.f1208k.add(getViewWidget(viewById));
                        }
                    }
                    constraintHelper.f1208k.updateConstraints(this.mLayoutWidget);
                }
            }
        }
        for (int i8 = 0; i8 < childCount; i8++) {
            View childAt3 = getChildAt(i8);
            if (childAt3 instanceof Placeholder) {
                Placeholder placeholder = (Placeholder) childAt3;
                if (placeholder.f1232d == -1 && !placeholder.isInEditMode()) {
                    placeholder.setVisibility(placeholder.f1234j);
                }
                View findViewById = findViewById(placeholder.f1232d);
                placeholder.f1233h = findViewById;
                if (findViewById != null) {
                    ((a) findViewById.getLayoutParams()).e0 = true;
                    placeholder.f1233h.setVisibility(0);
                    placeholder.setVisibility(0);
                }
            }
        }
        this.mTempMapIdToWidget.clear();
        this.mTempMapIdToWidget.put(0, this.mLayoutWidget);
        this.mTempMapIdToWidget.put(getId(), this.mLayoutWidget);
        for (int i9 = 0; i9 < childCount; i9++) {
            View childAt4 = getChildAt(i9);
            this.mTempMapIdToWidget.put(childAt4.getId(), getViewWidget(childAt4));
        }
        for (int i10 = 0; i10 < childCount; i10++) {
            View childAt5 = getChildAt(i10);
            ConstraintWidget viewWidget2 = getViewWidget(childAt5);
            if (viewWidget2 != null) {
                a aVar = (a) childAt5.getLayoutParams();
                ConstraintWidgetContainer constraintWidgetContainer = this.mLayoutWidget;
                constraintWidgetContainer.O0.add(viewWidget2);
                ConstraintWidget constraintWidget = viewWidget2.Y;
                if (constraintWidget != null) {
                    ((WidgetContainer) constraintWidget).O0.remove(viewWidget2);
                    viewWidget2.G();
                }
                viewWidget2.Y = constraintWidgetContainer;
                applyConstraintsFromLayoutParams(isInEditMode, childAt5, viewWidget2, aVar, this.mTempMapIdToWidget);
            }
        }
    }

    private void setWidgetBaseline(ConstraintWidget constraintWidget, a aVar, SparseArray<ConstraintWidget> sparseArray, int i2, ConstraintAnchor.Type type) {
        View view = this.mChildrenByIds.get(i2);
        ConstraintWidget constraintWidget2 = sparseArray.get(i2);
        if (constraintWidget2 != null && view != null && (view.getLayoutParams() instanceof a)) {
            aVar.b0 = true;
            ConstraintAnchor.Type type2 = ConstraintAnchor.Type.BASELINE;
            if (type == type2) {
                a aVar2 = (a) view.getLayoutParams();
                aVar2.b0 = true;
                aVar2.p0.H = true;
            }
            constraintWidget.l(type2).b(constraintWidget2.l(type), aVar.C, aVar.B, true);
            constraintWidget.H = true;
            constraintWidget.l(ConstraintAnchor.Type.TOP).k();
            constraintWidget.l(ConstraintAnchor.Type.BOTTOM).k();
        }
    }

    private boolean updateHierarchy() {
        int childCount = getChildCount();
        boolean z = false;
        int i2 = 0;
        while (true) {
            if (i2 >= childCount) {
                break;
            } else if (getChildAt(i2).isLayoutRequested()) {
                z = true;
                break;
            } else {
                i2++;
            }
        }
        if (z) {
            setChildrenConstraints();
        }
        return z;
    }

    /* JADX WARNING: Removed duplicated region for block: B:152:0x02d6  */
    public void applyConstraintsFromLayoutParams(boolean z, View view, ConstraintWidget constraintWidget, a aVar, SparseArray<ConstraintWidget> sparseArray) {
        float f2;
        int i2;
        int i3;
        float f3;
        int i4;
        ConstraintWidget constraintWidget2;
        ConstraintWidget constraintWidget3;
        ConstraintWidget constraintWidget4;
        ConstraintWidget constraintWidget5;
        aVar.a();
        constraintWidget.q0 = view.getVisibility();
        if (aVar.e0) {
            constraintWidget.I = true;
            constraintWidget.q0 = 8;
        }
        constraintWidget.o0 = view;
        if (view instanceof ConstraintHelper) {
            ((ConstraintHelper) view).l(constraintWidget, this.mLayoutWidget.T0);
        }
        int i5 = -1;
        if (aVar.c0) {
            Guideline guideline = (Guideline) constraintWidget;
            int i6 = aVar.m0;
            int i7 = aVar.n0;
            float f4 = aVar.o0;
            int i8 = (f4 > -1.0f ? 1 : (f4 == -1.0f ? 0 : -1));
            if (i8 != 0) {
                if (i8 > 0) {
                    guideline.O0 = f4;
                    guideline.P0 = -1;
                    guideline.Q0 = -1;
                }
            } else if (i6 != -1) {
                if (i6 > -1) {
                    guideline.O0 = -1.0f;
                    guideline.P0 = i6;
                    guideline.Q0 = -1;
                }
            } else if (i7 != -1 && i7 > -1) {
                guideline.O0 = -1.0f;
                guideline.P0 = -1;
                guideline.Q0 = i7;
            }
        } else {
            int i9 = aVar.f0;
            int i10 = aVar.g0;
            int i11 = aVar.h0;
            int i12 = aVar.i0;
            int i13 = aVar.j0;
            int i14 = aVar.k0;
            float f5 = aVar.l0;
            int i15 = aVar.o;
            if (i15 != -1) {
                ConstraintWidget constraintWidget6 = sparseArray.get(i15);
                if (constraintWidget6 != null) {
                    float f6 = aVar.q;
                    int i16 = aVar.p;
                    ConstraintAnchor.Type type = ConstraintAnchor.Type.CENTER;
                    constraintWidget.z(type, constraintWidget6, type, i16, 0);
                    constraintWidget.G = f6;
                }
                f2 = 0.0f;
            } else {
                if (i9 != -1) {
                    ConstraintWidget constraintWidget7 = sparseArray.get(i9);
                    if (constraintWidget7 != null) {
                        ConstraintAnchor.Type type2 = ConstraintAnchor.Type.LEFT;
                        f2 = 0.0f;
                        constraintWidget.z(type2, constraintWidget7, type2, ((ViewGroup.MarginLayoutParams) aVar).leftMargin, i13);
                    } else {
                        f2 = 0.0f;
                    }
                } else {
                    f2 = 0.0f;
                    if (!(i10 == -1 || (constraintWidget5 = sparseArray.get(i10)) == null)) {
                        constraintWidget.z(ConstraintAnchor.Type.LEFT, constraintWidget5, ConstraintAnchor.Type.RIGHT, ((ViewGroup.MarginLayoutParams) aVar).leftMargin, i13);
                    }
                }
                if (i11 != -1) {
                    ConstraintWidget constraintWidget8 = sparseArray.get(i11);
                    if (constraintWidget8 != null) {
                        constraintWidget.z(ConstraintAnchor.Type.RIGHT, constraintWidget8, ConstraintAnchor.Type.LEFT, ((ViewGroup.MarginLayoutParams) aVar).rightMargin, i14);
                    }
                } else if (!(i12 == -1 || (constraintWidget4 = sparseArray.get(i12)) == null)) {
                    ConstraintAnchor.Type type3 = ConstraintAnchor.Type.RIGHT;
                    constraintWidget.z(type3, constraintWidget4, type3, ((ViewGroup.MarginLayoutParams) aVar).rightMargin, i14);
                }
                int i17 = aVar.f1217h;
                if (i17 != -1) {
                    ConstraintWidget constraintWidget9 = sparseArray.get(i17);
                    if (constraintWidget9 != null) {
                        ConstraintAnchor.Type type4 = ConstraintAnchor.Type.TOP;
                        constraintWidget.z(type4, constraintWidget9, type4, ((ViewGroup.MarginLayoutParams) aVar).topMargin, aVar.w);
                    }
                } else {
                    int i18 = aVar.f1218i;
                    if (!(i18 == -1 || (constraintWidget3 = sparseArray.get(i18)) == null)) {
                        constraintWidget.z(ConstraintAnchor.Type.TOP, constraintWidget3, ConstraintAnchor.Type.BOTTOM, ((ViewGroup.MarginLayoutParams) aVar).topMargin, aVar.w);
                    }
                }
                int i19 = aVar.f1219j;
                if (i19 != -1) {
                    ConstraintWidget constraintWidget10 = sparseArray.get(i19);
                    if (constraintWidget10 != null) {
                        constraintWidget.z(ConstraintAnchor.Type.BOTTOM, constraintWidget10, ConstraintAnchor.Type.TOP, ((ViewGroup.MarginLayoutParams) aVar).bottomMargin, aVar.y);
                    }
                } else {
                    int i20 = aVar.f1220k;
                    if (!(i20 == -1 || (constraintWidget2 = sparseArray.get(i20)) == null)) {
                        ConstraintAnchor.Type type5 = ConstraintAnchor.Type.BOTTOM;
                        constraintWidget.z(type5, constraintWidget2, type5, ((ViewGroup.MarginLayoutParams) aVar).bottomMargin, aVar.y);
                    }
                }
                int i21 = aVar.f1221l;
                if (i21 != -1) {
                    setWidgetBaseline(constraintWidget, aVar, sparseArray, i21, ConstraintAnchor.Type.BASELINE);
                } else {
                    int i22 = aVar.m;
                    if (i22 != -1) {
                        setWidgetBaseline(constraintWidget, aVar, sparseArray, i22, ConstraintAnchor.Type.TOP);
                    } else {
                        int i23 = aVar.n;
                        if (i23 != -1) {
                            setWidgetBaseline(constraintWidget, aVar, sparseArray, i23, ConstraintAnchor.Type.BOTTOM);
                        }
                    }
                }
                if (f5 >= f2) {
                    constraintWidget.m0 = f5;
                }
                float f7 = aVar.E;
                if (f7 >= f2) {
                    constraintWidget.n0 = f7;
                }
            }
            if (z && !((i4 = aVar.S) == -1 && aVar.T == -1)) {
                int i24 = aVar.T;
                constraintWidget.d0 = i4;
                constraintWidget.e0 = i24;
            }
            int i25 = 0;
            if (aVar.Z) {
                constraintWidget.O(ConstraintWidget.DimensionBehaviour.FIXED);
                constraintWidget.S(((ViewGroup.MarginLayoutParams) aVar).width);
                if (((ViewGroup.MarginLayoutParams) aVar).width == -2) {
                    constraintWidget.O(ConstraintWidget.DimensionBehaviour.WRAP_CONTENT);
                }
            } else if (((ViewGroup.MarginLayoutParams) aVar).width == -1) {
                if (aVar.V) {
                    constraintWidget.O(ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT);
                } else {
                    constraintWidget.O(ConstraintWidget.DimensionBehaviour.MATCH_PARENT);
                }
                constraintWidget.l(ConstraintAnchor.Type.LEFT).f999g = ((ViewGroup.MarginLayoutParams) aVar).leftMargin;
                constraintWidget.l(ConstraintAnchor.Type.RIGHT).f999g = ((ViewGroup.MarginLayoutParams) aVar).rightMargin;
            } else {
                constraintWidget.O(ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT);
                constraintWidget.S(0);
            }
            if (aVar.a0) {
                constraintWidget.R(ConstraintWidget.DimensionBehaviour.FIXED);
                constraintWidget.N(((ViewGroup.MarginLayoutParams) aVar).height);
                if (((ViewGroup.MarginLayoutParams) aVar).height == -2) {
                    constraintWidget.R(ConstraintWidget.DimensionBehaviour.WRAP_CONTENT);
                }
            } else if (((ViewGroup.MarginLayoutParams) aVar).height == -1) {
                if (aVar.W) {
                    constraintWidget.R(ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT);
                } else {
                    constraintWidget.R(ConstraintWidget.DimensionBehaviour.MATCH_PARENT);
                }
                constraintWidget.l(ConstraintAnchor.Type.TOP).f999g = ((ViewGroup.MarginLayoutParams) aVar).topMargin;
                constraintWidget.l(ConstraintAnchor.Type.BOTTOM).f999g = ((ViewGroup.MarginLayoutParams) aVar).bottomMargin;
            } else {
                constraintWidget.R(ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT);
                constraintWidget.N(0);
            }
            String str = aVar.F;
            if (str == null || str.length() == 0) {
                constraintWidget.b0 = f2;
            } else {
                int length = str.length();
                int indexOf = str.indexOf(44);
                if (indexOf <= 0 || indexOf >= length - 1) {
                    i2 = 1;
                    i3 = 0;
                } else {
                    String substring = str.substring(0, indexOf);
                    if (substring.equalsIgnoreCase("W")) {
                        i2 = 1;
                        i5 = 0;
                    } else if (substring.equalsIgnoreCase("H")) {
                        i2 = 1;
                        i5 = 1;
                    } else {
                        i2 = 1;
                    }
                    i3 = indexOf + i2;
                }
                int indexOf2 = str.indexOf(58);
                if (indexOf2 < 0 || indexOf2 >= length - i2) {
                    String substring2 = str.substring(i3);
                    if (substring2.length() > 0) {
                        f3 = Float.parseFloat(substring2);
                        if (f3 > f2) {
                            constraintWidget.b0 = f3;
                            constraintWidget.c0 = i5;
                        }
                    }
                } else {
                    String substring3 = str.substring(i3, indexOf2);
                    String substring4 = str.substring(indexOf2 + i2);
                    if (substring3.length() > 0 && substring4.length() > 0) {
                        try {
                            float parseFloat = Float.parseFloat(substring3);
                            float parseFloat2 = Float.parseFloat(substring4);
                            if (parseFloat > f2 && parseFloat2 > f2) {
                                f3 = i5 == 1 ? Math.abs(parseFloat2 / parseFloat) : Math.abs(parseFloat / parseFloat2);
                                if (f3 > f2) {
                                }
                            }
                        } catch (NumberFormatException unused) {
                        }
                    }
                }
                f3 = 0.0f;
                if (f3 > f2) {
                }
            }
            float f8 = aVar.G;
            float[] fArr = constraintWidget.H0;
            fArr[0] = f8;
            fArr[1] = aVar.H;
            constraintWidget.D0 = aVar.I;
            constraintWidget.E0 = aVar.J;
            int i26 = aVar.Y;
            if (i26 >= 0 && i26 <= 3) {
                constraintWidget.r = i26;
            }
            int i27 = aVar.K;
            int i28 = aVar.M;
            int i29 = aVar.O;
            float f9 = aVar.Q;
            constraintWidget.s = i27;
            constraintWidget.v = i28;
            if (i29 == Integer.MAX_VALUE) {
                i29 = 0;
            }
            constraintWidget.w = i29;
            constraintWidget.x = f9;
            if (f9 > f2 && f9 < 1.0f && i27 == 0) {
                constraintWidget.s = 2;
            }
            int i30 = aVar.L;
            int i31 = aVar.N;
            int i32 = aVar.P;
            float f10 = aVar.R;
            constraintWidget.t = i30;
            constraintWidget.y = i31;
            if (i32 != Integer.MAX_VALUE) {
                i25 = i32;
            }
            constraintWidget.z = i25;
            constraintWidget.A = f10;
            if (f10 > f2 && f10 < 1.0f && i30 == 0) {
                constraintWidget.t = 2;
            }
        }
    }

    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return layoutParams instanceof a;
    }

    public void dispatchDraw(Canvas canvas) {
        Object tag;
        int size;
        ArrayList<ConstraintHelper> arrayList = this.mConstraintHelpers;
        if (arrayList != null && (size = arrayList.size()) > 0) {
            for (int i2 = 0; i2 < size; i2++) {
                this.mConstraintHelpers.get(i2).o(this);
            }
        }
        super.dispatchDraw(canvas);
        if (isInEditMode()) {
            float width = (float) getWidth();
            float height = (float) getHeight();
            int childCount = getChildCount();
            for (int i3 = 0; i3 < childCount; i3++) {
                View childAt = getChildAt(i3);
                if (!(childAt.getVisibility() == 8 || (tag = childAt.getTag()) == null || !(tag instanceof String))) {
                    String[] split = ((String) tag).split(",");
                    if (split.length == 4) {
                        int parseInt = Integer.parseInt(split[0]);
                        int parseInt2 = Integer.parseInt(split[1]);
                        int parseInt3 = Integer.parseInt(split[2]);
                        int i4 = (int) ((((float) parseInt) / 1080.0f) * width);
                        int i5 = (int) ((((float) parseInt2) / 1920.0f) * height);
                        Paint paint = new Paint();
                        paint.setColor(SupportMenu.CATEGORY_MASK);
                        float f2 = (float) i4;
                        float f3 = (float) i5;
                        float f4 = (float) (i4 + ((int) ((((float) parseInt3) / 1080.0f) * width)));
                        canvas.drawLine(f2, f3, f4, f3, paint);
                        float parseInt4 = (float) (i5 + ((int) ((((float) Integer.parseInt(split[3])) / 1920.0f) * height)));
                        canvas.drawLine(f4, f3, f4, parseInt4, paint);
                        canvas.drawLine(f4, parseInt4, f2, parseInt4, paint);
                        canvas.drawLine(f2, parseInt4, f2, f3, paint);
                        paint.setColor(-16711936);
                        canvas.drawLine(f2, f3, f4, parseInt4, paint);
                        canvas.drawLine(f2, parseInt4, f4, f3, paint);
                    }
                }
            }
        }
    }

    public void fillMetrics(b.h.a.b bVar) {
        Objects.requireNonNull(this.mLayoutWidget.U0);
    }

    public void forceLayout() {
        markHierarchyDirty();
        super.forceLayout();
    }

    public Object getDesignInformation(int i2, Object obj) {
        if (i2 != 0 || !(obj instanceof String)) {
            return null;
        }
        String str = (String) obj;
        HashMap<String, Integer> hashMap = this.mDesignIds;
        if (hashMap == null || !hashMap.containsKey(str)) {
            return null;
        }
        return this.mDesignIds.get(str);
    }

    public int getMaxHeight() {
        return this.mMaxHeight;
    }

    public int getMaxWidth() {
        return this.mMaxWidth;
    }

    public int getMinHeight() {
        return this.mMinHeight;
    }

    public int getMinWidth() {
        return this.mMinWidth;
    }

    public int getOptimizationLevel() {
        return this.mLayoutWidget.b1;
    }

    public View getViewById(int i2) {
        return this.mChildrenByIds.get(i2);
    }

    public final ConstraintWidget getViewWidget(View view) {
        if (view == this) {
            return this.mLayoutWidget;
        }
        if (view == null) {
            return null;
        }
        if (view.getLayoutParams() instanceof a) {
            return ((a) view.getLayoutParams()).p0;
        }
        view.setLayoutParams(generateLayoutParams(view.getLayoutParams()));
        if (view.getLayoutParams() instanceof a) {
            return ((a) view.getLayoutParams()).p0;
        }
        return null;
    }

    public boolean isRtl() {
        if (!((getContext().getApplicationInfo().flags & 4194304) != 0) || 1 != getLayoutDirection()) {
            return false;
        }
        return true;
    }

    public void loadLayoutDescription(int i2) {
        if (i2 != 0) {
            try {
                this.mConstraintLayoutSpec = new b.h.d.a(getContext(), this, i2);
            } catch (Resources.NotFoundException unused) {
                this.mConstraintLayoutSpec = null;
            }
        } else {
            this.mConstraintLayoutSpec = null;
        }
    }

    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        View content;
        int childCount = getChildCount();
        boolean isInEditMode = isInEditMode();
        for (int i6 = 0; i6 < childCount; i6++) {
            View childAt = getChildAt(i6);
            a aVar = (a) childAt.getLayoutParams();
            ConstraintWidget constraintWidget = aVar.p0;
            if ((childAt.getVisibility() != 8 || aVar.c0 || aVar.d0 || isInEditMode) && !aVar.e0) {
                int v = constraintWidget.v();
                int w = constraintWidget.w();
                int u = constraintWidget.u() + v;
                int o = constraintWidget.o() + w;
                childAt.layout(v, w, u, o);
                if ((childAt instanceof Placeholder) && (content = ((Placeholder) childAt).getContent()) != null) {
                    content.setVisibility(0);
                    content.layout(v, w, u, o);
                }
            }
        }
        int size = this.mConstraintHelpers.size();
        if (size > 0) {
            for (int i7 = 0; i7 < size; i7++) {
                this.mConstraintHelpers.get(i7).m(this);
            }
        }
    }

    public void onMeasure(int i2, int i3) {
        if (this.mOnMeasureWidthMeasureSpec == i2) {
            int i4 = this.mOnMeasureHeightMeasureSpec;
        }
        if (!this.mDirtyHierarchy) {
            int childCount = getChildCount();
            int i5 = 0;
            while (true) {
                if (i5 >= childCount) {
                    break;
                } else if (getChildAt(i5).isLayoutRequested()) {
                    this.mDirtyHierarchy = true;
                    break;
                } else {
                    i5++;
                }
            }
        }
        boolean z = this.mDirtyHierarchy;
        this.mOnMeasureWidthMeasureSpec = i2;
        this.mOnMeasureHeightMeasureSpec = i3;
        this.mLayoutWidget.T0 = isRtl();
        if (this.mDirtyHierarchy) {
            this.mDirtyHierarchy = false;
            if (updateHierarchy()) {
                ConstraintWidgetContainer constraintWidgetContainer = this.mLayoutWidget;
                constraintWidgetContainer.P0.c(constraintWidgetContainer);
            }
        }
        resolveSystem(this.mLayoutWidget, this.mOptimizationLevel, i2, i3);
        int u = this.mLayoutWidget.u();
        int o = this.mLayoutWidget.o();
        ConstraintWidgetContainer constraintWidgetContainer2 = this.mLayoutWidget;
        resolveMeasuredDimension(i2, i3, u, o, constraintWidgetContainer2.c1, constraintWidgetContainer2.d1);
    }

    public void onViewAdded(View view) {
        super.onViewAdded(view);
        ConstraintWidget viewWidget = getViewWidget(view);
        if ((view instanceof Guideline) && !(viewWidget instanceof Guideline)) {
            a aVar = (a) view.getLayoutParams();
            Guideline guideline = new Guideline();
            aVar.p0 = guideline;
            aVar.c0 = true;
            guideline.X(aVar.U);
        }
        if (view instanceof ConstraintHelper) {
            ConstraintHelper constraintHelper = (ConstraintHelper) view;
            constraintHelper.q();
            ((a) view.getLayoutParams()).d0 = true;
            if (!this.mConstraintHelpers.contains(constraintHelper)) {
                this.mConstraintHelpers.add(constraintHelper);
            }
        }
        this.mChildrenByIds.put(view.getId(), view);
        this.mDirtyHierarchy = true;
    }

    public void onViewRemoved(View view) {
        super.onViewRemoved(view);
        this.mChildrenByIds.remove(view.getId());
        ConstraintWidget viewWidget = getViewWidget(view);
        this.mLayoutWidget.O0.remove(viewWidget);
        viewWidget.G();
        this.mConstraintHelpers.remove(view);
        this.mDirtyHierarchy = true;
    }

    public void parseLayoutDescription(int i2) {
        this.mConstraintLayoutSpec = new b.h.d.a(getContext(), this, i2);
    }

    public void requestLayout() {
        markHierarchyDirty();
        super.requestLayout();
    }

    public void resolveMeasuredDimension(int i2, int i3, int i4, int i5, boolean z, boolean z2) {
        b bVar = this.mMeasurer;
        int i6 = bVar.f1227e;
        int resolveSizeAndState = ViewGroup.resolveSizeAndState(i4 + bVar.f1226d, i2, 0);
        int min = Math.min(this.mMaxWidth, resolveSizeAndState & 16777215);
        int min2 = Math.min(this.mMaxHeight, ViewGroup.resolveSizeAndState(i5 + i6, i3, 0) & 16777215);
        if (z) {
            min |= 16777216;
        }
        if (z2) {
            min2 |= 16777216;
        }
        setMeasuredDimension(min, min2);
        this.mLastMeasureWidth = min;
        this.mLastMeasureHeight = min2;
    }

    /* JADX WARNING: Removed duplicated region for block: B:162:0x03ba  */
    /* JADX WARNING: Removed duplicated region for block: B:164:0x03c4  */
    /* JADX WARNING: Removed duplicated region for block: B:168:0x03cb  */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x00a6  */
    /* JADX WARNING: Removed duplicated region for block: B:224:0x0476  */
    /* JADX WARNING: Removed duplicated region for block: B:225:0x047d  */
    /* JADX WARNING: Removed duplicated region for block: B:227:0x0482  */
    /* JADX WARNING: Removed duplicated region for block: B:306:0x060d  */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x010a A[ADDED_TO_REGION] */
    /* JADX WARNING: Removed duplicated region for block: B:55:0x0114  */
    public void resolveSystem(ConstraintWidgetContainer constraintWidgetContainer, int i2, int i3, int i4) {
        int i5;
        int size;
        boolean z;
        boolean z2;
        boolean z3;
        int i6;
        BasicMeasure.Measurer measurer;
        boolean z4;
        int i7;
        boolean z5;
        int size2;
        int i8;
        int i9;
        int i10;
        int i11;
        BasicMeasure.Measurer measurer2;
        int i12;
        BasicMeasure.Measurer measurer3;
        boolean z6;
        HorizontalWidgetRun horizontalWidgetRun;
        VerticalWidgetRun verticalWidgetRun;
        int i13;
        int i14;
        int i15;
        int i16;
        boolean z7;
        boolean z8;
        int mode = View.MeasureSpec.getMode(i3);
        int size3 = View.MeasureSpec.getSize(i3);
        int mode2 = View.MeasureSpec.getMode(i4);
        int size4 = View.MeasureSpec.getSize(i4);
        int max = Math.max(0, getPaddingTop());
        int max2 = Math.max(0, getPaddingBottom());
        int i17 = max + max2;
        int paddingWidth = getPaddingWidth();
        b bVar = this.mMeasurer;
        bVar.f1224b = max;
        bVar.f1225c = max2;
        bVar.f1226d = paddingWidth;
        bVar.f1227e = i17;
        bVar.f1228f = i3;
        bVar.f1229g = i4;
        int max3 = Math.max(0, getPaddingStart());
        int max4 = Math.max(0, getPaddingEnd());
        if (max3 <= 0 && max4 <= 0) {
            max3 = Math.max(0, getPaddingLeft());
        } else if (isRtl()) {
            i5 = max4;
            int i18 = size3 - paddingWidth;
            int i19 = size4 - i17;
            setSelfDimensionBehaviour(constraintWidgetContainer, mode, i18, mode2, i19);
            constraintWidgetContainer.V0 = i5;
            constraintWidgetContainer.W0 = max;
            BasicMeasure basicMeasure = constraintWidgetContainer.P0;
            Objects.requireNonNull(basicMeasure);
            BasicMeasure.Measurer measurer4 = constraintWidgetContainer.S0;
            size = constraintWidgetContainer.O0.size();
            int u = constraintWidgetContainer.u();
            int o = constraintWidgetContainer.o();
            boolean b2 = b.h.a.g.b.b(i2, 128);
            z = !b2 || b.h.a.g.b.b(i2, 64);
            if (z) {
                int i20 = 0;
                while (true) {
                    if (i20 >= size) {
                        break;
                    }
                    ConstraintWidget constraintWidget = constraintWidgetContainer.O0.get(i20);
                    ConstraintWidget.DimensionBehaviour p = constraintWidget.p();
                    ConstraintWidget.DimensionBehaviour dimensionBehaviour = ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT;
                    boolean z9 = (p == dimensionBehaviour) && (constraintWidget.t() == dimensionBehaviour) && constraintWidget.b0 > 0.0f;
                    if ((!constraintWidget.B() || !z9) && ((!constraintWidget.C() || !z9) && !(constraintWidget instanceof VirtualLayout) && !constraintWidget.B() && !constraintWidget.C())) {
                        i20++;
                        z = z;
                    }
                }
                z2 = false;
                z3 = z2 & ((mode != 1073741824 && mode2 == 1073741824) || b2);
                if (z3) {
                    int min = Math.min(constraintWidgetContainer.F[0], i18);
                    int min2 = Math.min(constraintWidgetContainer.F[1], i19);
                    if (mode == 1073741824 && constraintWidgetContainer.u() != min) {
                        constraintWidgetContainer.S(min);
                        constraintWidgetContainer.e0();
                    }
                    if (mode2 == 1073741824 && constraintWidgetContainer.o() != min2) {
                        constraintWidgetContainer.N(min2);
                        constraintWidgetContainer.e0();
                    }
                    if (mode == 1073741824 && mode2 == 1073741824) {
                        b.h.a.g.c.b bVar2 = constraintWidgetContainer.Q0;
                        boolean z10 = b2 & true;
                        if (bVar2.f2999b || bVar2.f3000c) {
                            Iterator<ConstraintWidget> it = bVar2.f2998a.O0.iterator();
                            while (it.hasNext()) {
                                ConstraintWidget next = it.next();
                                next.k();
                                next.f1002a = false;
                                next.f1005d.o();
                                next.f1006e.n();
                            }
                            i16 = 0;
                            bVar2.f2998a.k();
                            ConstraintWidgetContainer constraintWidgetContainer2 = bVar2.f2998a;
                            constraintWidgetContainer2.f1002a = false;
                            constraintWidgetContainer2.f1005d.o();
                            bVar2.f2998a.f1006e.n();
                            bVar2.f3000c = false;
                        } else {
                            i16 = 0;
                        }
                        bVar2.b(bVar2.f3001d);
                        ConstraintWidgetContainer constraintWidgetContainer3 = bVar2.f2998a;
                        constraintWidgetContainer3.d0 = i16;
                        constraintWidgetContainer3.e0 = i16;
                        ConstraintWidget.DimensionBehaviour n = constraintWidgetContainer3.n(i16);
                        ConstraintWidget.DimensionBehaviour n2 = bVar2.f2998a.n(1);
                        if (bVar2.f2999b) {
                            bVar2.c();
                        }
                        int v = bVar2.f2998a.v();
                        int w = bVar2.f2998a.w();
                        bVar2.f2998a.f1005d.f1063h.b(v);
                        bVar2.f2998a.f1006e.f1063h.b(w);
                        bVar2.g();
                        ConstraintWidget.DimensionBehaviour dimensionBehaviour2 = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
                        if (n == dimensionBehaviour2 || n2 == dimensionBehaviour2) {
                            if (z10) {
                                Iterator<WidgetRun> it2 = bVar2.f3002e.iterator();
                                while (true) {
                                    if (it2.hasNext()) {
                                        if (!it2.next().j()) {
                                            z10 = false;
                                            break;
                                        }
                                    } else {
                                        break;
                                    }
                                }
                            }
                            if (!z10 || n != ConstraintWidget.DimensionBehaviour.WRAP_CONTENT) {
                                measurer = measurer4;
                                z4 = z3;
                            } else {
                                z4 = z3;
                                bVar2.f2998a.O(ConstraintWidget.DimensionBehaviour.FIXED);
                                ConstraintWidgetContainer constraintWidgetContainer4 = bVar2.f2998a;
                                measurer = measurer4;
                                constraintWidgetContainer4.S(bVar2.d(constraintWidgetContainer4, 0));
                                ConstraintWidgetContainer constraintWidgetContainer5 = bVar2.f2998a;
                                constraintWidgetContainer5.f1005d.f1060e.b(constraintWidgetContainer5.u());
                            }
                            if (z10 && n2 == ConstraintWidget.DimensionBehaviour.WRAP_CONTENT) {
                                bVar2.f2998a.R(ConstraintWidget.DimensionBehaviour.FIXED);
                                ConstraintWidgetContainer constraintWidgetContainer6 = bVar2.f2998a;
                                constraintWidgetContainer6.N(bVar2.d(constraintWidgetContainer6, 1));
                                ConstraintWidgetContainer constraintWidgetContainer7 = bVar2.f2998a;
                                constraintWidgetContainer7.f1006e.f1060e.b(constraintWidgetContainer7.o());
                            }
                        } else {
                            measurer = measurer4;
                            z4 = z3;
                        }
                        ConstraintWidgetContainer constraintWidgetContainer8 = bVar2.f2998a;
                        ConstraintWidget.DimensionBehaviour[] dimensionBehaviourArr = constraintWidgetContainer8.X;
                        ConstraintWidget.DimensionBehaviour dimensionBehaviour3 = dimensionBehaviourArr[0];
                        i6 = u;
                        ConstraintWidget.DimensionBehaviour dimensionBehaviour4 = ConstraintWidget.DimensionBehaviour.FIXED;
                        if (dimensionBehaviour3 == dimensionBehaviour4 || dimensionBehaviourArr[0] == ConstraintWidget.DimensionBehaviour.MATCH_PARENT) {
                            int u2 = constraintWidgetContainer8.u() + v;
                            bVar2.f2998a.f1005d.f1064i.b(u2);
                            bVar2.f2998a.f1005d.f1060e.b(u2 - v);
                            bVar2.g();
                            ConstraintWidgetContainer constraintWidgetContainer9 = bVar2.f2998a;
                            ConstraintWidget.DimensionBehaviour[] dimensionBehaviourArr2 = constraintWidgetContainer9.X;
                            if (dimensionBehaviourArr2[1] == dimensionBehaviour4 || dimensionBehaviourArr2[1] == ConstraintWidget.DimensionBehaviour.MATCH_PARENT) {
                                int o2 = constraintWidgetContainer9.o() + w;
                                bVar2.f2998a.f1006e.f1064i.b(o2);
                                bVar2.f2998a.f1006e.f1060e.b(o2 - w);
                            }
                            bVar2.g();
                            z7 = true;
                        } else {
                            z7 = false;
                        }
                        Iterator<WidgetRun> it3 = bVar2.f3002e.iterator();
                        while (it3.hasNext()) {
                            WidgetRun next2 = it3.next();
                            if (next2.f1057b != bVar2.f2998a || next2.f1062g) {
                                next2.d();
                            }
                        }
                        Iterator<WidgetRun> it4 = bVar2.f3002e.iterator();
                        while (true) {
                            if (!it4.hasNext()) {
                                z8 = true;
                                break;
                            }
                            WidgetRun next3 = it4.next();
                            if ((z7 || next3.f1057b != bVar2.f2998a) && (!next3.f1063h.f1050j || ((!next3.f1064i.f1050j && !(next3 instanceof e)) || (!next3.f1060e.f1050j && !(next3 instanceof ChainRun) && !(next3 instanceof e))))) {
                                z8 = false;
                            }
                        }
                        z8 = false;
                        bVar2.f2998a.O(n);
                        bVar2.f2998a.R(n2);
                        z5 = z8;
                        i13 = 1073741824;
                        i7 = 2;
                    } else {
                        measurer = measurer4;
                        i6 = u;
                        z4 = z3;
                        b.h.a.g.c.b bVar3 = constraintWidgetContainer.Q0;
                        if (bVar3.f2999b) {
                            Iterator<ConstraintWidget> it5 = bVar3.f2998a.O0.iterator();
                            while (it5.hasNext()) {
                                ConstraintWidget next4 = it5.next();
                                next4.k();
                                next4.f1002a = false;
                                HorizontalWidgetRun horizontalWidgetRun2 = next4.f1005d;
                                horizontalWidgetRun2.f1060e.f1050j = false;
                                horizontalWidgetRun2.f1062g = false;
                                horizontalWidgetRun2.o();
                                VerticalWidgetRun verticalWidgetRun2 = next4.f1006e;
                                verticalWidgetRun2.f1060e.f1050j = false;
                                verticalWidgetRun2.f1062g = false;
                                verticalWidgetRun2.n();
                            }
                            i14 = 0;
                            bVar3.f2998a.k();
                            ConstraintWidgetContainer constraintWidgetContainer10 = bVar3.f2998a;
                            constraintWidgetContainer10.f1002a = false;
                            HorizontalWidgetRun horizontalWidgetRun3 = constraintWidgetContainer10.f1005d;
                            horizontalWidgetRun3.f1060e.f1050j = false;
                            horizontalWidgetRun3.f1062g = false;
                            horizontalWidgetRun3.o();
                            VerticalWidgetRun verticalWidgetRun3 = bVar3.f2998a.f1006e;
                            verticalWidgetRun3.f1060e.f1050j = false;
                            verticalWidgetRun3.f1062g = false;
                            verticalWidgetRun3.n();
                            bVar3.c();
                        } else {
                            i14 = 0;
                        }
                        bVar3.b(bVar3.f3001d);
                        ConstraintWidgetContainer constraintWidgetContainer11 = bVar3.f2998a;
                        constraintWidgetContainer11.d0 = i14;
                        constraintWidgetContainer11.e0 = i14;
                        constraintWidgetContainer11.f1005d.f1063h.b(i14);
                        bVar3.f2998a.f1006e.f1063h.b(i14);
                        i13 = 1073741824;
                        if (mode == 1073741824) {
                            i15 = 1;
                            z5 = constraintWidgetContainer.d0(b2, i14) & true;
                            i7 = 1;
                        } else {
                            i15 = 1;
                            z5 = true;
                            i7 = 0;
                        }
                        if (mode2 == 1073741824) {
                            z5 &= constraintWidgetContainer.d0(b2, i15);
                            i7++;
                        }
                    }
                    if (z5) {
                        constraintWidgetContainer.U(mode == i13, mode2 == i13);
                    }
                } else {
                    measurer = measurer4;
                    i6 = u;
                    z4 = z3;
                    z5 = false;
                    i7 = 0;
                }
                if (z5 || i7 != 2) {
                    int i21 = constraintWidgetContainer.b1;
                    if (size > 0) {
                        int size5 = constraintWidgetContainer.O0.size();
                        boolean g0 = constraintWidgetContainer.g0(64);
                        BasicMeasure.Measurer measurer5 = constraintWidgetContainer.S0;
                        for (int i22 = 0; i22 < size5; i22++) {
                            ConstraintWidget constraintWidget2 = constraintWidgetContainer.O0.get(i22);
                            if (!(constraintWidget2 instanceof Guideline) && !(constraintWidget2 instanceof Barrier) && !constraintWidget2.J && (!g0 || (horizontalWidgetRun = constraintWidget2.f1005d) == null || (verticalWidgetRun = constraintWidget2.f1006e) == null || !horizontalWidgetRun.f1060e.f1050j || !verticalWidgetRun.f1060e.f1050j)) {
                                ConstraintWidget.DimensionBehaviour n3 = constraintWidget2.n(0);
                                ConstraintWidget.DimensionBehaviour n4 = constraintWidget2.n(1);
                                ConstraintWidget.DimensionBehaviour dimensionBehaviour5 = ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT;
                                boolean z11 = n3 == dimensionBehaviour5 && constraintWidget2.s != 1 && n4 == dimensionBehaviour5 && constraintWidget2.t != 1;
                                if (!z11 && constraintWidgetContainer.g0(1) && !(constraintWidget2 instanceof VirtualLayout)) {
                                    if (n3 == dimensionBehaviour5 && constraintWidget2.s == 0 && n4 != dimensionBehaviour5 && !constraintWidget2.B()) {
                                        z11 = true;
                                    }
                                    if (n4 == dimensionBehaviour5 && constraintWidget2.t == 0 && n3 != dimensionBehaviour5 && !constraintWidget2.B()) {
                                        z11 = true;
                                    }
                                    if ((n3 == dimensionBehaviour5 || n4 == dimensionBehaviour5) && constraintWidget2.b0 > 0.0f) {
                                        z11 = true;
                                    }
                                }
                                if (!z11) {
                                    basicMeasure.a(measurer5, constraintWidget2, 0);
                                }
                            }
                        }
                        measurer5.didMeasures();
                    }
                    basicMeasure.c(constraintWidgetContainer);
                    size2 = basicMeasure.f1026a.size();
                    if (size > 0) {
                        i8 = i6;
                        basicMeasure.b(constraintWidgetContainer, 0, i8, o);
                    } else {
                        i8 = i6;
                    }
                    if (size2 > 0) {
                        ConstraintWidget.DimensionBehaviour p2 = constraintWidgetContainer.p();
                        ConstraintWidget.DimensionBehaviour dimensionBehaviour6 = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
                        boolean z12 = p2 == dimensionBehaviour6;
                        boolean z13 = constraintWidgetContainer.t() == dimensionBehaviour6;
                        int max5 = Math.max(constraintWidgetContainer.u(), basicMeasure.f1028c.k0);
                        int max6 = Math.max(constraintWidgetContainer.o(), basicMeasure.f1028c.l0);
                        int i23 = 0;
                        boolean z14 = false;
                        while (i23 < size2) {
                            ConstraintWidget constraintWidget3 = basicMeasure.f1026a.get(i23);
                            if (!(constraintWidget3 instanceof VirtualLayout)) {
                                i12 = i21;
                                measurer3 = measurer;
                            } else {
                                int u3 = constraintWidget3.u();
                                int o3 = constraintWidget3.o();
                                i12 = i21;
                                measurer3 = measurer;
                                boolean a2 = z14 | basicMeasure.a(measurer3, constraintWidget3, 1);
                                int u4 = constraintWidget3.u();
                                int o4 = constraintWidget3.o();
                                if (u4 != u3) {
                                    constraintWidget3.S(u4);
                                    if (z12 && constraintWidget3.s() > max5) {
                                        max5 = Math.max(max5, constraintWidget3.l(ConstraintAnchor.Type.RIGHT).e() + constraintWidget3.s());
                                    }
                                    z6 = true;
                                } else {
                                    z6 = a2;
                                }
                                if (o4 != o3) {
                                    constraintWidget3.N(o4);
                                    if (z13 && constraintWidget3.m() > max6) {
                                        max6 = Math.max(max6, constraintWidget3.l(ConstraintAnchor.Type.BOTTOM).e() + constraintWidget3.m());
                                    }
                                    z6 = true;
                                }
                                z14 = ((VirtualLayout) constraintWidget3).W0 | z6;
                            }
                            i23++;
                            measurer = measurer3;
                            i21 = i12;
                        }
                        BasicMeasure.Measurer measurer6 = measurer;
                        int i24 = 0;
                        int i25 = 2;
                        while (i24 < i25) {
                            boolean z15 = z14;
                            int i26 = 0;
                            while (i26 < size2) {
                                ConstraintWidget constraintWidget4 = basicMeasure.f1026a.get(i26);
                                if ((!(constraintWidget4 instanceof Helper) || (constraintWidget4 instanceof VirtualLayout)) && !(constraintWidget4 instanceof Guideline) && constraintWidget4.q0 != 8 && ((!z4 || !constraintWidget4.f1005d.f1060e.f1050j || !constraintWidget4.f1006e.f1060e.f1050j) && !(constraintWidget4 instanceof VirtualLayout))) {
                                    int u5 = constraintWidget4.u();
                                    int o5 = constraintWidget4.o();
                                    i10 = size2;
                                    int i27 = constraintWidget4.j0;
                                    i11 = i8;
                                    int i28 = 1;
                                    if (i24 == 1) {
                                        i28 = 2;
                                    }
                                    z15 |= basicMeasure.a(measurer6, constraintWidget4, i28);
                                    int u6 = constraintWidget4.u();
                                    measurer2 = measurer6;
                                    int o6 = constraintWidget4.o();
                                    if (u6 != u5) {
                                        constraintWidget4.S(u6);
                                        if (z12 && constraintWidget4.s() > max5) {
                                            max5 = Math.max(max5, constraintWidget4.l(ConstraintAnchor.Type.RIGHT).e() + constraintWidget4.s());
                                        }
                                        z15 = true;
                                    }
                                    if (o6 != o5) {
                                        constraintWidget4.N(o6);
                                        if (z13 && constraintWidget4.m() > max6) {
                                            max6 = Math.max(max6, constraintWidget4.l(ConstraintAnchor.Type.BOTTOM).e() + constraintWidget4.m());
                                        }
                                        z15 = true;
                                    }
                                    if (constraintWidget4.H && i27 != constraintWidget4.j0) {
                                        z15 = true;
                                    }
                                } else {
                                    i11 = i8;
                                    i10 = size2;
                                    measurer2 = measurer6;
                                }
                                i26++;
                                size2 = i10;
                                measurer6 = measurer2;
                                i8 = i11;
                            }
                            if (!z15) {
                                break;
                            }
                            i24++;
                            i8 = i8;
                            basicMeasure.b(constraintWidgetContainer, i24, i8, o);
                            size2 = size2;
                            measurer6 = measurer6;
                            i25 = 2;
                            z14 = false;
                        }
                        i9 = i21;
                    } else {
                        i9 = i21;
                    }
                    constraintWidgetContainer.i0(i9);
                }
                return;
            }
            z2 = z;
            z3 = z2 & ((mode != 1073741824 && mode2 == 1073741824) || b2);
            if (z3) {
            }
            if (z5) {
            }
            int i212 = constraintWidgetContainer.b1;
            if (size > 0) {
            }
            basicMeasure.c(constraintWidgetContainer);
            size2 = basicMeasure.f1026a.size();
            if (size > 0) {
            }
            if (size2 > 0) {
            }
            constraintWidgetContainer.i0(i9);
        }
        i5 = max3;
        int i182 = size3 - paddingWidth;
        int i192 = size4 - i17;
        setSelfDimensionBehaviour(constraintWidgetContainer, mode, i182, mode2, i192);
        constraintWidgetContainer.V0 = i5;
        constraintWidgetContainer.W0 = max;
        BasicMeasure basicMeasure2 = constraintWidgetContainer.P0;
        Objects.requireNonNull(basicMeasure2);
        BasicMeasure.Measurer measurer42 = constraintWidgetContainer.S0;
        size = constraintWidgetContainer.O0.size();
        int u7 = constraintWidgetContainer.u();
        int o7 = constraintWidgetContainer.o();
        boolean b22 = b.h.a.g.b.b(i2, 128);
        if (!b22) {
        }
        if (z) {
        }
        z2 = z;
        z3 = z2 & ((mode != 1073741824 && mode2 == 1073741824) || b22);
        if (z3) {
        }
        if (z5) {
        }
        int i2122 = constraintWidgetContainer.b1;
        if (size > 0) {
        }
        basicMeasure2.c(constraintWidgetContainer);
        size2 = basicMeasure2.f1026a.size();
        if (size > 0) {
        }
        if (size2 > 0) {
        }
        constraintWidgetContainer.i0(i9);
    }

    public void setConstraintSet(b.h.d.b bVar) {
        this.mConstraintSet = bVar;
    }

    public void setDesignInformation(int i2, Object obj, Object obj2) {
        if (i2 == 0 && (obj instanceof String) && (obj2 instanceof Integer)) {
            if (this.mDesignIds == null) {
                this.mDesignIds = new HashMap<>();
            }
            String str = (String) obj;
            int indexOf = str.indexOf("/");
            if (indexOf != -1) {
                str = str.substring(indexOf + 1);
            }
            this.mDesignIds.put(str, Integer.valueOf(((Integer) obj2).intValue()));
        }
    }

    public void setId(int i2) {
        this.mChildrenByIds.remove(getId());
        super.setId(i2);
        this.mChildrenByIds.put(getId(), this);
    }

    public void setMaxHeight(int i2) {
        if (i2 != this.mMaxHeight) {
            this.mMaxHeight = i2;
            requestLayout();
        }
    }

    public void setMaxWidth(int i2) {
        if (i2 != this.mMaxWidth) {
            this.mMaxWidth = i2;
            requestLayout();
        }
    }

    public void setMinHeight(int i2) {
        if (i2 != this.mMinHeight) {
            this.mMinHeight = i2;
            requestLayout();
        }
    }

    public void setMinWidth(int i2) {
        if (i2 != this.mMinWidth) {
            this.mMinWidth = i2;
            requestLayout();
        }
    }

    public void setOnConstraintsChanged(c cVar) {
        b.h.d.a aVar = this.mConstraintLayoutSpec;
        if (aVar != null) {
            Objects.requireNonNull(aVar);
        }
    }

    public void setOptimizationLevel(int i2) {
        this.mOptimizationLevel = i2;
        ConstraintWidgetContainer constraintWidgetContainer = this.mLayoutWidget;
        constraintWidgetContainer.b1 = i2;
        LinearSystem.f838a = constraintWidgetContainer.g0(512);
    }

    public void setSelfDimensionBehaviour(ConstraintWidgetContainer constraintWidgetContainer, int i2, int i3, int i4, int i5) {
        ConstraintWidget.DimensionBehaviour dimensionBehaviour;
        b bVar = this.mMeasurer;
        int i6 = bVar.f1227e;
        int i7 = bVar.f1226d;
        ConstraintWidget.DimensionBehaviour dimensionBehaviour2 = ConstraintWidget.DimensionBehaviour.FIXED;
        int childCount = getChildCount();
        if (i2 != Integer.MIN_VALUE) {
            if (i2 == 0) {
                dimensionBehaviour = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
                if (childCount == 0) {
                    i3 = Math.max(0, this.mMinWidth);
                }
            } else if (i2 != 1073741824) {
                dimensionBehaviour = dimensionBehaviour2;
            } else {
                i3 = Math.min(this.mMaxWidth - i7, i3);
                dimensionBehaviour = dimensionBehaviour2;
            }
            i3 = 0;
        } else {
            dimensionBehaviour = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
            if (childCount == 0) {
                i3 = Math.max(0, this.mMinWidth);
            }
        }
        if (i4 != Integer.MIN_VALUE) {
            if (i4 == 0) {
                dimensionBehaviour2 = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
                if (childCount == 0) {
                    i5 = Math.max(0, this.mMinHeight);
                }
            } else if (i4 == 1073741824) {
                i5 = Math.min(this.mMaxHeight - i6, i5);
            }
            i5 = 0;
        } else {
            dimensionBehaviour2 = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
            if (childCount == 0) {
                i5 = Math.max(0, this.mMinHeight);
            }
        }
        if (!(i3 == constraintWidgetContainer.u() && i5 == constraintWidgetContainer.o())) {
            constraintWidgetContainer.Q0.f3000c = true;
        }
        constraintWidgetContainer.d0 = 0;
        constraintWidgetContainer.e0 = 0;
        int[] iArr = constraintWidgetContainer.F;
        iArr[0] = this.mMaxWidth - i7;
        iArr[1] = this.mMaxHeight - i6;
        constraintWidgetContainer.Q(0);
        constraintWidgetContainer.P(0);
        constraintWidgetContainer.O(dimensionBehaviour);
        constraintWidgetContainer.S(i3);
        constraintWidgetContainer.R(dimensionBehaviour2);
        constraintWidgetContainer.N(i5);
        constraintWidgetContainer.Q(this.mMinWidth - i7);
        constraintWidgetContainer.P(this.mMinHeight - i6);
    }

    public void setState(int i2, int i3, int i4) {
        b.h.d.a aVar = this.mConstraintLayoutSpec;
        if (aVar != null) {
            aVar.b(i2, (float) i3, (float) i4);
        }
    }

    public boolean shouldDelayChildPressedState() {
        return false;
    }

    public a generateDefaultLayoutParams() {
        return new a(-2, -2);
    }

    @Override // android.view.ViewGroup
    public a generateLayoutParams(AttributeSet attributeSet) {
        return new a(getContext(), attributeSet);
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return new a(layoutParams);
    }

    public ConstraintLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        init(attributeSet, 0, 0);
    }

    public ConstraintLayout(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        init(attributeSet, i2, 0);
    }

    @TargetApi(21)
    public ConstraintLayout(Context context, AttributeSet attributeSet, int i2, int i3) {
        super(context, attributeSet, i2, i3);
        init(attributeSet, i2, i3);
    }

    public static class a extends ViewGroup.MarginLayoutParams {
        public int A = Integer.MIN_VALUE;
        public int B = Integer.MIN_VALUE;
        public int C = 0;
        public float D = 0.5f;
        public float E = 0.5f;
        public String F = null;
        public float G = -1.0f;
        public float H = -1.0f;
        public int I = 0;
        public int J = 0;
        public int K = 0;
        public int L = 0;
        public int M = 0;
        public int N = 0;
        public int O = 0;
        public int P = 0;
        public float Q = 1.0f;
        public float R = 1.0f;
        public int S = -1;
        public int T = -1;
        public int U = -1;
        public boolean V = false;
        public boolean W = false;
        public String X = null;
        public int Y = 0;
        public boolean Z = true;

        /* renamed from: a  reason: collision with root package name */
        public int f1210a = -1;
        public boolean a0 = true;

        /* renamed from: b  reason: collision with root package name */
        public int f1211b = -1;
        public boolean b0 = false;

        /* renamed from: c  reason: collision with root package name */
        public float f1212c = -1.0f;
        public boolean c0 = false;

        /* renamed from: d  reason: collision with root package name */
        public int f1213d = -1;
        public boolean d0 = false;

        /* renamed from: e  reason: collision with root package name */
        public int f1214e = -1;
        public boolean e0 = false;

        /* renamed from: f  reason: collision with root package name */
        public int f1215f = -1;
        public int f0 = -1;

        /* renamed from: g  reason: collision with root package name */
        public int f1216g = -1;
        public int g0 = -1;

        /* renamed from: h  reason: collision with root package name */
        public int f1217h = -1;
        public int h0 = -1;

        /* renamed from: i  reason: collision with root package name */
        public int f1218i = -1;
        public int i0 = -1;

        /* renamed from: j  reason: collision with root package name */
        public int f1219j = -1;
        public int j0 = Integer.MIN_VALUE;

        /* renamed from: k  reason: collision with root package name */
        public int f1220k = -1;
        public int k0 = Integer.MIN_VALUE;

        /* renamed from: l  reason: collision with root package name */
        public int f1221l = -1;
        public float l0 = 0.5f;
        public int m = -1;
        public int m0;
        public int n = -1;
        public int n0;
        public int o = -1;
        public float o0;
        public int p = 0;
        public ConstraintWidget p0 = new ConstraintWidget();
        public float q = 0.0f;
        public int r = -1;
        public int s = -1;
        public int t = -1;
        public int u = -1;
        public int v = Integer.MIN_VALUE;
        public int w = Integer.MIN_VALUE;
        public int x = Integer.MIN_VALUE;
        public int y = Integer.MIN_VALUE;
        public int z = Integer.MIN_VALUE;

        /* renamed from: androidx.constraintlayout.widget.ConstraintLayout$a$a  reason: collision with other inner class name */
        public static class C0003a {

            /* renamed from: a  reason: collision with root package name */
            public static final SparseIntArray f1222a;

            static {
                SparseIntArray sparseIntArray = new SparseIntArray();
                f1222a = sparseIntArray;
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintWidth, 64);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintHeight, 65);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintLeft_toLeftOf, 8);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintLeft_toRightOf, 9);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintRight_toLeftOf, 10);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintRight_toRightOf, 11);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintTop_toTopOf, 12);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintTop_toBottomOf, 13);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintBottom_toTopOf, 14);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintBottom_toBottomOf, 15);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintBaseline_toBaselineOf, 16);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintBaseline_toTopOf, 52);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintBaseline_toBottomOf, 53);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintCircle, 2);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintCircleRadius, 3);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintCircleAngle, 4);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_editor_absoluteX, 49);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_editor_absoluteY, 50);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintGuide_begin, 5);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintGuide_end, 6);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintGuide_percent, 7);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_android_orientation, 1);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintStart_toEndOf, 17);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintStart_toStartOf, 18);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintEnd_toStartOf, 19);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintEnd_toEndOf, 20);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_goneMarginLeft, 21);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_goneMarginTop, 22);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_goneMarginRight, 23);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_goneMarginBottom, 24);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_goneMarginStart, 25);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_goneMarginEnd, 26);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_goneMarginBaseline, 55);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_marginBaseline, 54);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintHorizontal_bias, 29);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintVertical_bias, 30);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintDimensionRatio, 44);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintHorizontal_weight, 45);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintVertical_weight, 46);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintHorizontal_chainStyle, 47);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintVertical_chainStyle, 48);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constrainedWidth, 27);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constrainedHeight, 28);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintWidth_default, 31);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintHeight_default, 32);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintWidth_min, 33);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintWidth_max, 34);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintWidth_percent, 35);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintHeight_min, 36);
                sparseIntArray.append(R$styleable.ConstraintLayout_Layout_layout_constraintHeight_max, 37);
                SparseIntArray sparseIntArray2 = f1222a;
                sparseIntArray2.append(R$styleable.ConstraintLayout_Layout_layout_constraintHeight_percent, 38);
                sparseIntArray2.append(R$styleable.ConstraintLayout_Layout_layout_constraintLeft_creator, 39);
                sparseIntArray2.append(R$styleable.ConstraintLayout_Layout_layout_constraintTop_creator, 40);
                sparseIntArray2.append(R$styleable.ConstraintLayout_Layout_layout_constraintRight_creator, 41);
                sparseIntArray2.append(R$styleable.ConstraintLayout_Layout_layout_constraintBottom_creator, 42);
                sparseIntArray2.append(R$styleable.ConstraintLayout_Layout_layout_constraintBaseline_creator, 43);
                sparseIntArray2.append(R$styleable.ConstraintLayout_Layout_layout_constraintTag, 51);
                sparseIntArray2.append(R$styleable.ConstraintLayout_Layout_layout_wrapBehaviorInParent, 66);
            }
        }

        public a(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.ConstraintLayout_Layout);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i2 = 0; i2 < indexCount; i2++) {
                int index = obtainStyledAttributes.getIndex(i2);
                int i3 = C0003a.f1222a.get(index);
                switch (i3) {
                    case 1:
                        this.U = obtainStyledAttributes.getInt(index, this.U);
                        break;
                    case 2:
                        int resourceId = obtainStyledAttributes.getResourceId(index, this.o);
                        this.o = resourceId;
                        if (resourceId == -1) {
                            this.o = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 3:
                        this.p = obtainStyledAttributes.getDimensionPixelSize(index, this.p);
                        break;
                    case 4:
                        float f2 = obtainStyledAttributes.getFloat(index, this.q) % 360.0f;
                        this.q = f2;
                        if (f2 < 0.0f) {
                            this.q = (360.0f - f2) % 360.0f;
                            break;
                        } else {
                            break;
                        }
                    case 5:
                        this.f1210a = obtainStyledAttributes.getDimensionPixelOffset(index, this.f1210a);
                        break;
                    case 6:
                        this.f1211b = obtainStyledAttributes.getDimensionPixelOffset(index, this.f1211b);
                        break;
                    case 7:
                        this.f1212c = obtainStyledAttributes.getFloat(index, this.f1212c);
                        break;
                    case 8:
                        int resourceId2 = obtainStyledAttributes.getResourceId(index, this.f1213d);
                        this.f1213d = resourceId2;
                        if (resourceId2 == -1) {
                            this.f1213d = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 9:
                        int resourceId3 = obtainStyledAttributes.getResourceId(index, this.f1214e);
                        this.f1214e = resourceId3;
                        if (resourceId3 == -1) {
                            this.f1214e = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 10:
                        int resourceId4 = obtainStyledAttributes.getResourceId(index, this.f1215f);
                        this.f1215f = resourceId4;
                        if (resourceId4 == -1) {
                            this.f1215f = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 11:
                        int resourceId5 = obtainStyledAttributes.getResourceId(index, this.f1216g);
                        this.f1216g = resourceId5;
                        if (resourceId5 == -1) {
                            this.f1216g = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 12:
                        int resourceId6 = obtainStyledAttributes.getResourceId(index, this.f1217h);
                        this.f1217h = resourceId6;
                        if (resourceId6 == -1) {
                            this.f1217h = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 13:
                        int resourceId7 = obtainStyledAttributes.getResourceId(index, this.f1218i);
                        this.f1218i = resourceId7;
                        if (resourceId7 == -1) {
                            this.f1218i = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 14:
                        int resourceId8 = obtainStyledAttributes.getResourceId(index, this.f1219j);
                        this.f1219j = resourceId8;
                        if (resourceId8 == -1) {
                            this.f1219j = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 15:
                        int resourceId9 = obtainStyledAttributes.getResourceId(index, this.f1220k);
                        this.f1220k = resourceId9;
                        if (resourceId9 == -1) {
                            this.f1220k = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 16:
                        int resourceId10 = obtainStyledAttributes.getResourceId(index, this.f1221l);
                        this.f1221l = resourceId10;
                        if (resourceId10 == -1) {
                            this.f1221l = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 17:
                        int resourceId11 = obtainStyledAttributes.getResourceId(index, this.r);
                        this.r = resourceId11;
                        if (resourceId11 == -1) {
                            this.r = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 18:
                        int resourceId12 = obtainStyledAttributes.getResourceId(index, this.s);
                        this.s = resourceId12;
                        if (resourceId12 == -1) {
                            this.s = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 19:
                        int resourceId13 = obtainStyledAttributes.getResourceId(index, this.t);
                        this.t = resourceId13;
                        if (resourceId13 == -1) {
                            this.t = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 20:
                        int resourceId14 = obtainStyledAttributes.getResourceId(index, this.u);
                        this.u = resourceId14;
                        if (resourceId14 == -1) {
                            this.u = obtainStyledAttributes.getInt(index, -1);
                            break;
                        } else {
                            break;
                        }
                    case 21:
                        this.v = obtainStyledAttributes.getDimensionPixelSize(index, this.v);
                        break;
                    case 22:
                        this.w = obtainStyledAttributes.getDimensionPixelSize(index, this.w);
                        break;
                    case 23:
                        this.x = obtainStyledAttributes.getDimensionPixelSize(index, this.x);
                        break;
                    case 24:
                        this.y = obtainStyledAttributes.getDimensionPixelSize(index, this.y);
                        break;
                    case 25:
                        this.z = obtainStyledAttributes.getDimensionPixelSize(index, this.z);
                        break;
                    case 26:
                        this.A = obtainStyledAttributes.getDimensionPixelSize(index, this.A);
                        break;
                    case 27:
                        this.V = obtainStyledAttributes.getBoolean(index, this.V);
                        break;
                    case 28:
                        this.W = obtainStyledAttributes.getBoolean(index, this.W);
                        break;
                    case 29:
                        this.D = obtainStyledAttributes.getFloat(index, this.D);
                        break;
                    case 30:
                        this.E = obtainStyledAttributes.getFloat(index, this.E);
                        break;
                    case 31:
                        int i4 = obtainStyledAttributes.getInt(index, 0);
                        this.K = i4;
                        if (i4 == 1) {
                            Log.e(ConstraintLayout.TAG, "layout_constraintWidth_default=\"wrap\" is deprecated.\nUse layout_width=\"WRAP_CONTENT\" and layout_constrainedWidth=\"true\" instead.");
                            break;
                        } else {
                            break;
                        }
                    case 32:
                        int i5 = obtainStyledAttributes.getInt(index, 0);
                        this.L = i5;
                        if (i5 == 1) {
                            Log.e(ConstraintLayout.TAG, "layout_constraintHeight_default=\"wrap\" is deprecated.\nUse layout_height=\"WRAP_CONTENT\" and layout_constrainedHeight=\"true\" instead.");
                            break;
                        } else {
                            break;
                        }
                    case 33:
                        try {
                            this.M = obtainStyledAttributes.getDimensionPixelSize(index, this.M);
                            break;
                        } catch (Exception unused) {
                            if (obtainStyledAttributes.getInt(index, this.M) == -2) {
                                this.M = -2;
                                break;
                            } else {
                                break;
                            }
                        }
                    case 34:
                        try {
                            this.O = obtainStyledAttributes.getDimensionPixelSize(index, this.O);
                            break;
                        } catch (Exception unused2) {
                            if (obtainStyledAttributes.getInt(index, this.O) == -2) {
                                this.O = -2;
                                break;
                            } else {
                                break;
                            }
                        }
                    case 35:
                        this.Q = Math.max(0.0f, obtainStyledAttributes.getFloat(index, this.Q));
                        this.K = 2;
                        break;
                    case 36:
                        try {
                            this.N = obtainStyledAttributes.getDimensionPixelSize(index, this.N);
                            break;
                        } catch (Exception unused3) {
                            if (obtainStyledAttributes.getInt(index, this.N) == -2) {
                                this.N = -2;
                                break;
                            } else {
                                break;
                            }
                        }
                    case 37:
                        try {
                            this.P = obtainStyledAttributes.getDimensionPixelSize(index, this.P);
                            break;
                        } catch (Exception unused4) {
                            if (obtainStyledAttributes.getInt(index, this.P) == -2) {
                                this.P = -2;
                                break;
                            } else {
                                break;
                            }
                        }
                    case 38:
                        this.R = Math.max(0.0f, obtainStyledAttributes.getFloat(index, this.R));
                        this.L = 2;
                        break;
                    default:
                        switch (i3) {
                            case 44:
                                b.h.d.b.n(this, obtainStyledAttributes.getString(index));
                                continue;
                            case 45:
                                this.G = obtainStyledAttributes.getFloat(index, this.G);
                                continue;
                            case 46:
                                this.H = obtainStyledAttributes.getFloat(index, this.H);
                                continue;
                            case 47:
                                this.I = obtainStyledAttributes.getInt(index, 0);
                                continue;
                            case 48:
                                this.J = obtainStyledAttributes.getInt(index, 0);
                                continue;
                            case 49:
                                this.S = obtainStyledAttributes.getDimensionPixelOffset(index, this.S);
                                continue;
                            case 50:
                                this.T = obtainStyledAttributes.getDimensionPixelOffset(index, this.T);
                                continue;
                            case 51:
                                this.X = obtainStyledAttributes.getString(index);
                                continue;
                            case 52:
                                int resourceId15 = obtainStyledAttributes.getResourceId(index, this.m);
                                this.m = resourceId15;
                                if (resourceId15 == -1) {
                                    this.m = obtainStyledAttributes.getInt(index, -1);
                                    break;
                                } else {
                                    continue;
                                }
                            case 53:
                                int resourceId16 = obtainStyledAttributes.getResourceId(index, this.n);
                                this.n = resourceId16;
                                if (resourceId16 == -1) {
                                    this.n = obtainStyledAttributes.getInt(index, -1);
                                    break;
                                } else {
                                    continue;
                                }
                            case 54:
                                this.C = obtainStyledAttributes.getDimensionPixelSize(index, this.C);
                                continue;
                            case 55:
                                this.B = obtainStyledAttributes.getDimensionPixelSize(index, this.B);
                                continue;
                            default:
                                switch (i3) {
                                    case 64:
                                        b.h.d.b.m(this, obtainStyledAttributes, index, 0);
                                        continue;
                                        continue;
                                    case 65:
                                        b.h.d.b.m(this, obtainStyledAttributes, index, 1);
                                        continue;
                                    case 66:
                                        this.Y = obtainStyledAttributes.getInt(index, this.Y);
                                        continue;
                                }
                        }
                }
            }
            obtainStyledAttributes.recycle();
            a();
        }

        public void a() {
            this.c0 = false;
            this.Z = true;
            this.a0 = true;
            int i2 = ((ViewGroup.MarginLayoutParams) this).width;
            if (i2 == -2 && this.V) {
                this.Z = false;
                if (this.K == 0) {
                    this.K = 1;
                }
            }
            int i3 = ((ViewGroup.MarginLayoutParams) this).height;
            if (i3 == -2 && this.W) {
                this.a0 = false;
                if (this.L == 0) {
                    this.L = 1;
                }
            }
            if (i2 == 0 || i2 == -1) {
                this.Z = false;
                if (i2 == 0 && this.K == 1) {
                    ((ViewGroup.MarginLayoutParams) this).width = -2;
                    this.V = true;
                }
            }
            if (i3 == 0 || i3 == -1) {
                this.a0 = false;
                if (i3 == 0 && this.L == 1) {
                    ((ViewGroup.MarginLayoutParams) this).height = -2;
                    this.W = true;
                }
            }
            if (this.f1212c != -1.0f || this.f1210a != -1 || this.f1211b != -1) {
                this.c0 = true;
                this.Z = true;
                this.a0 = true;
                if (!(this.p0 instanceof Guideline)) {
                    this.p0 = new Guideline();
                }
                ((Guideline) this.p0).X(this.U);
            }
        }

        /* JADX WARNING: Removed duplicated region for block: B:15:0x004e  */
        /* JADX WARNING: Removed duplicated region for block: B:18:0x0055  */
        /* JADX WARNING: Removed duplicated region for block: B:21:0x005c  */
        /* JADX WARNING: Removed duplicated region for block: B:24:0x0062  */
        /* JADX WARNING: Removed duplicated region for block: B:27:0x0068  */
        /* JADX WARNING: Removed duplicated region for block: B:34:0x007a  */
        /* JADX WARNING: Removed duplicated region for block: B:35:0x0082  */
        @TargetApi(17)
        public void resolveLayoutDirection(int i2) {
            int i3;
            int i4;
            int i5;
            int i6;
            int i7 = ((ViewGroup.MarginLayoutParams) this).leftMargin;
            int i8 = ((ViewGroup.MarginLayoutParams) this).rightMargin;
            super.resolveLayoutDirection(i2);
            boolean z2 = false;
            boolean z3 = 1 == getLayoutDirection();
            this.h0 = -1;
            this.i0 = -1;
            this.f0 = -1;
            this.g0 = -1;
            this.j0 = -1;
            this.k0 = -1;
            this.j0 = this.v;
            this.k0 = this.x;
            float f2 = this.D;
            this.l0 = f2;
            int i9 = this.f1210a;
            this.m0 = i9;
            int i10 = this.f1211b;
            this.n0 = i10;
            float f3 = this.f1212c;
            this.o0 = f3;
            if (z3) {
                int i11 = this.r;
                if (i11 != -1) {
                    this.h0 = i11;
                } else {
                    int i12 = this.s;
                    if (i12 != -1) {
                        this.i0 = i12;
                    }
                    i3 = this.t;
                    if (i3 != -1) {
                        this.g0 = i3;
                        z2 = true;
                    }
                    i4 = this.u;
                    if (i4 != -1) {
                        this.f0 = i4;
                        z2 = true;
                    }
                    i5 = this.z;
                    if (i5 != Integer.MIN_VALUE) {
                        this.k0 = i5;
                    }
                    i6 = this.A;
                    if (i6 != Integer.MIN_VALUE) {
                        this.j0 = i6;
                    }
                    if (z2) {
                        this.l0 = 1.0f - f2;
                    }
                    if (this.c0 && this.U == 1) {
                        if (f3 == -1.0f) {
                            this.o0 = 1.0f - f3;
                            this.m0 = -1;
                            this.n0 = -1;
                        } else if (i9 != -1) {
                            this.n0 = i9;
                            this.m0 = -1;
                            this.o0 = -1.0f;
                        } else if (i10 != -1) {
                            this.m0 = i10;
                            this.n0 = -1;
                            this.o0 = -1.0f;
                        }
                    }
                }
                z2 = true;
                i3 = this.t;
                if (i3 != -1) {
                }
                i4 = this.u;
                if (i4 != -1) {
                }
                i5 = this.z;
                if (i5 != Integer.MIN_VALUE) {
                }
                i6 = this.A;
                if (i6 != Integer.MIN_VALUE) {
                }
                if (z2) {
                }
                if (f3 == -1.0f) {
                }
            } else {
                int i13 = this.r;
                if (i13 != -1) {
                    this.g0 = i13;
                }
                int i14 = this.s;
                if (i14 != -1) {
                    this.f0 = i14;
                }
                int i15 = this.t;
                if (i15 != -1) {
                    this.h0 = i15;
                }
                int i16 = this.u;
                if (i16 != -1) {
                    this.i0 = i16;
                }
                int i17 = this.z;
                if (i17 != Integer.MIN_VALUE) {
                    this.j0 = i17;
                }
                int i18 = this.A;
                if (i18 != Integer.MIN_VALUE) {
                    this.k0 = i18;
                }
            }
            if (this.t == -1 && this.u == -1 && this.s == -1 && this.r == -1) {
                int i19 = this.f1215f;
                if (i19 != -1) {
                    this.h0 = i19;
                    if (((ViewGroup.MarginLayoutParams) this).rightMargin <= 0 && i8 > 0) {
                        ((ViewGroup.MarginLayoutParams) this).rightMargin = i8;
                    }
                } else {
                    int i20 = this.f1216g;
                    if (i20 != -1) {
                        this.i0 = i20;
                        if (((ViewGroup.MarginLayoutParams) this).rightMargin <= 0 && i8 > 0) {
                            ((ViewGroup.MarginLayoutParams) this).rightMargin = i8;
                        }
                    }
                }
                int i21 = this.f1213d;
                if (i21 != -1) {
                    this.f0 = i21;
                    if (((ViewGroup.MarginLayoutParams) this).leftMargin <= 0 && i7 > 0) {
                        ((ViewGroup.MarginLayoutParams) this).leftMargin = i7;
                        return;
                    }
                    return;
                }
                int i22 = this.f1214e;
                if (i22 != -1) {
                    this.g0 = i22;
                    if (((ViewGroup.MarginLayoutParams) this).leftMargin <= 0 && i7 > 0) {
                        ((ViewGroup.MarginLayoutParams) this).leftMargin = i7;
                    }
                }
            }
        }

        public a(int i2, int i3) {
            super(i2, i3);
        }

        public a(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }
    }
}
