package androidx.constraintlayout.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;
import android.view.ViewGroup;
import androidx.constraintlayout.widget.ConstraintLayout;
import b.h.d.b;
import java.util.Objects;

public class Constraints extends ViewGroup {

    /* renamed from: d  reason: collision with root package name */
    public b f1231d;

    public Constraints(Context context) {
        super(context);
        super.setVisibility(8);
    }

    public final void a() {
        Log.v("Constraints", " ################# init");
    }

    public ViewGroup.LayoutParams generateDefaultLayoutParams() {
        return new LayoutParams(-2, -2);
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new LayoutParams(getContext(), attributeSet);
    }

    public b getConstraintSet() {
        if (this.f1231d == null) {
            this.f1231d = new b();
        }
        b bVar = this.f1231d;
        Objects.requireNonNull(bVar);
        int childCount = getChildCount();
        bVar.f3151i.clear();
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = getChildAt(i2);
            LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
            int id = childAt.getId();
            if (!bVar.f3150h || id != -1) {
                if (!bVar.f3151i.containsKey(Integer.valueOf(id))) {
                    bVar.f3151i.put(Integer.valueOf(id), new b.a());
                }
                b.a aVar = bVar.f3151i.get(Integer.valueOf(id));
                if (aVar != null) {
                    if (childAt instanceof ConstraintHelper) {
                        ConstraintHelper constraintHelper = (ConstraintHelper) childAt;
                        aVar.d(id, layoutParams);
                        if (constraintHelper instanceof Barrier) {
                            b.C0018b bVar2 = aVar.f3156e;
                            bVar2.i0 = 1;
                            Barrier barrier = (Barrier) constraintHelper;
                            bVar2.g0 = barrier.getType();
                            aVar.f3156e.j0 = barrier.getReferencedIds();
                            aVar.f3156e.h0 = barrier.getMargin();
                        }
                    }
                    aVar.d(id, layoutParams);
                }
            } else {
                throw new RuntimeException("All children of ConstraintLayout must have ids to use ConstraintSet");
            }
        }
        return this.f1231d;
    }

    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return new ConstraintLayout.a(layoutParams);
    }

    public Constraints(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        a();
        super.setVisibility(8);
    }

    public Constraints(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        a();
        super.setVisibility(8);
    }

    public static class LayoutParams extends ConstraintLayout.a {
        public float A0;
        public float B0;
        public float C0;
        public float q0;
        public boolean r0;
        public float s0;
        public float t0;
        public float u0;
        public float v0;
        public float w0;
        public float x0;
        public float y0;
        public float z0;

        public LayoutParams(int i2, int i3) {
            super(i2, i3);
            this.q0 = 1.0f;
            this.r0 = false;
            this.s0 = 0.0f;
            this.t0 = 0.0f;
            this.u0 = 0.0f;
            this.v0 = 0.0f;
            this.w0 = 1.0f;
            this.x0 = 1.0f;
            this.y0 = 0.0f;
            this.z0 = 0.0f;
            this.A0 = 0.0f;
            this.B0 = 0.0f;
            this.C0 = 0.0f;
        }

        public LayoutParams(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            this.q0 = 1.0f;
            this.r0 = false;
            this.s0 = 0.0f;
            this.t0 = 0.0f;
            this.u0 = 0.0f;
            this.v0 = 0.0f;
            this.w0 = 1.0f;
            this.x0 = 1.0f;
            this.y0 = 0.0f;
            this.z0 = 0.0f;
            this.A0 = 0.0f;
            this.B0 = 0.0f;
            this.C0 = 0.0f;
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.ConstraintSet);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i2 = 0; i2 < indexCount; i2++) {
                int index = obtainStyledAttributes.getIndex(i2);
                if (index == R$styleable.ConstraintSet_android_alpha) {
                    this.q0 = obtainStyledAttributes.getFloat(index, this.q0);
                } else if (index == R$styleable.ConstraintSet_android_elevation) {
                    this.s0 = obtainStyledAttributes.getFloat(index, this.s0);
                    this.r0 = true;
                } else if (index == R$styleable.ConstraintSet_android_rotationX) {
                    this.u0 = obtainStyledAttributes.getFloat(index, this.u0);
                } else if (index == R$styleable.ConstraintSet_android_rotationY) {
                    this.v0 = obtainStyledAttributes.getFloat(index, this.v0);
                } else if (index == R$styleable.ConstraintSet_android_rotation) {
                    this.t0 = obtainStyledAttributes.getFloat(index, this.t0);
                } else if (index == R$styleable.ConstraintSet_android_scaleX) {
                    this.w0 = obtainStyledAttributes.getFloat(index, this.w0);
                } else if (index == R$styleable.ConstraintSet_android_scaleY) {
                    this.x0 = obtainStyledAttributes.getFloat(index, this.x0);
                } else if (index == R$styleable.ConstraintSet_android_transformPivotX) {
                    this.y0 = obtainStyledAttributes.getFloat(index, this.y0);
                } else if (index == R$styleable.ConstraintSet_android_transformPivotY) {
                    this.z0 = obtainStyledAttributes.getFloat(index, this.z0);
                } else if (index == R$styleable.ConstraintSet_android_translationX) {
                    this.A0 = obtainStyledAttributes.getFloat(index, this.A0);
                } else if (index == R$styleable.ConstraintSet_android_translationY) {
                    this.B0 = obtainStyledAttributes.getFloat(index, this.B0);
                } else if (index == R$styleable.ConstraintSet_android_translationZ) {
                    this.C0 = obtainStyledAttributes.getFloat(index, this.C0);
                }
            }
            obtainStyledAttributes.recycle();
        }
    }
}
