package androidx.constraintlayout.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.Typeface;
import android.util.AttributeSet;
import android.view.View;
import androidx.constraintlayout.core.widgets.ConstraintWidget;
import androidx.constraintlayout.widget.ConstraintLayout;
import com.shuyu.gsyvideoplayer.utils.NeuQuant;

public class Placeholder extends View {

    /* renamed from: d  reason: collision with root package name */
    public int f1232d = -1;

    /* renamed from: h  reason: collision with root package name */
    public View f1233h = null;

    /* renamed from: j  reason: collision with root package name */
    public int f1234j = 4;

    public Placeholder(Context context) {
        super(context);
        a(null);
    }

    public final void a(AttributeSet attributeSet) {
        super.setVisibility(this.f1234j);
        this.f1232d = -1;
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, R$styleable.ConstraintLayout_placeholder);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i2 = 0; i2 < indexCount; i2++) {
                int index = obtainStyledAttributes.getIndex(i2);
                if (index == R$styleable.ConstraintLayout_placeholder_content) {
                    this.f1232d = obtainStyledAttributes.getResourceId(index, this.f1232d);
                } else if (index == R$styleable.ConstraintLayout_placeholder_placeholder_emptyVisibility) {
                    this.f1234j = obtainStyledAttributes.getInt(index, this.f1234j);
                }
            }
            obtainStyledAttributes.recycle();
        }
    }

    public void b() {
        if (this.f1233h != null) {
            ConstraintLayout.a aVar = (ConstraintLayout.a) getLayoutParams();
            ConstraintLayout.a aVar2 = (ConstraintLayout.a) this.f1233h.getLayoutParams();
            aVar2.p0.q0 = 0;
            ConstraintWidget.DimensionBehaviour p = aVar.p0.p();
            ConstraintWidget.DimensionBehaviour dimensionBehaviour = ConstraintWidget.DimensionBehaviour.FIXED;
            if (p != dimensionBehaviour) {
                aVar.p0.S(aVar2.p0.u());
            }
            if (aVar.p0.t() != dimensionBehaviour) {
                aVar.p0.N(aVar2.p0.o());
            }
            aVar2.p0.q0 = 8;
        }
    }

    public View getContent() {
        return this.f1233h;
    }

    public int getEmptyVisibility() {
        return this.f1234j;
    }

    public void onDraw(Canvas canvas) {
        if (isInEditMode()) {
            canvas.drawRGB(223, 223, 223);
            Paint paint = new Paint();
            paint.setARGB(NeuQuant.maxnetpos, 210, 210, 210);
            paint.setTextAlign(Paint.Align.CENTER);
            paint.setTypeface(Typeface.create(Typeface.DEFAULT, 0));
            Rect rect = new Rect();
            canvas.getClipBounds(rect);
            paint.setTextSize((float) rect.height());
            int height = rect.height();
            int width = rect.width();
            paint.setTextAlign(Paint.Align.LEFT);
            paint.getTextBounds("?", 0, 1, rect);
            canvas.drawText("?", ((((float) width) / 2.0f) - (((float) rect.width()) / 2.0f)) - ((float) rect.left), ((((float) rect.height()) / 2.0f) + (((float) height) / 2.0f)) - ((float) rect.bottom), paint);
        }
    }

    public void setContentId(int i2) {
        View findViewById;
        if (this.f1232d != i2) {
            View view = this.f1233h;
            if (view != null) {
                view.setVisibility(0);
                ((ConstraintLayout.a) this.f1233h.getLayoutParams()).e0 = false;
                this.f1233h = null;
            }
            this.f1232d = i2;
            if (i2 != -1 && (findViewById = ((View) getParent()).findViewById(i2)) != null) {
                findViewById.setVisibility(8);
            }
        }
    }

    public void setEmptyVisibility(int i2) {
        this.f1234j = i2;
    }

    public Placeholder(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        a(attributeSet);
    }

    public Placeholder(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        a(attributeSet);
    }
}
