package androidx.constraintlayout.widget;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.util.AttributeSet;
import android.view.View;
import androidx.constraintlayout.motion.widget.MotionLayout;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.constraintlayout.widget.SharedValues;
import b.h.c.a.j;
import b.h.d.b;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.Iterator;

public class ReactiveGuide extends View implements SharedValues.SharedValuesListener {

    /* renamed from: d  reason: collision with root package name */
    public int f1235d = -1;

    /* renamed from: h  reason: collision with root package name */
    public boolean f1236h = false;

    /* renamed from: j  reason: collision with root package name */
    public int f1237j = 0;

    /* renamed from: k  reason: collision with root package name */
    public boolean f1238k = true;

    public ReactiveGuide(Context context) {
        super(context);
        super.setVisibility(8);
        b(null);
    }

    public final void a(int i2, int i3, MotionLayout motionLayout, int i4) {
        b bVar;
        j jVar = motionLayout.f1124h;
        if (jVar == null) {
            bVar = null;
        } else {
            bVar = jVar.b(i4);
        }
        bVar.p(i3, i2);
        motionLayout.v(i4, bVar);
    }

    public final void b(AttributeSet attributeSet) {
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, R$styleable.ConstraintLayout_ReactiveGuide);
            int indexCount = obtainStyledAttributes.getIndexCount();
            for (int i2 = 0; i2 < indexCount; i2++) {
                int index = obtainStyledAttributes.getIndex(i2);
                if (index == R$styleable.ConstraintLayout_ReactiveGuide_reactiveGuide_valueId) {
                    this.f1235d = obtainStyledAttributes.getResourceId(index, this.f1235d);
                } else if (index == R$styleable.ConstraintLayout_ReactiveGuide_reactiveGuide_animateChange) {
                    this.f1236h = obtainStyledAttributes.getBoolean(index, this.f1236h);
                } else if (index == R$styleable.ConstraintLayout_ReactiveGuide_reactiveGuide_applyToConstraintSet) {
                    this.f1237j = obtainStyledAttributes.getResourceId(index, this.f1237j);
                } else if (index == R$styleable.ConstraintLayout_ReactiveGuide_reactiveGuide_applyToAllConstraintSets) {
                    this.f1238k = obtainStyledAttributes.getBoolean(index, this.f1238k);
                }
            }
            obtainStyledAttributes.recycle();
        }
        if (this.f1235d != -1) {
            ConstraintLayout.getSharedValues().a(this.f1235d, this);
        }
    }

    @SuppressLint({"MissingSuperCall"})
    public void draw(Canvas canvas) {
    }

    public int getApplyToConstraintSetId() {
        return this.f1237j;
    }

    public int getAttributeId() {
        return this.f1235d;
    }

    public void onMeasure(int i2, int i3) {
        setMeasuredDimension(0, 0);
    }

    @Override // androidx.constraintlayout.widget.SharedValues.SharedValuesListener
    public void onNewValue(int i2, int i3, int i4) {
        b bVar;
        setGuidelineBegin(i3);
        int id = getId();
        if (id > 0 && (getParent() instanceof MotionLayout)) {
            MotionLayout motionLayout = (MotionLayout) getParent();
            int currentState = motionLayout.getCurrentState();
            int i5 = this.f1237j;
            if (i5 != 0) {
                currentState = i5;
            }
            int i6 = 0;
            if (this.f1236h) {
                if (this.f1238k) {
                    int[] constraintSetIds = motionLayout.getConstraintSetIds();
                    while (i6 < constraintSetIds.length) {
                        int i7 = constraintSetIds[i6];
                        if (i7 != currentState) {
                            a(i3, id, motionLayout, i7);
                        }
                        i6++;
                    }
                }
                j jVar = motionLayout.f1124h;
                if (jVar == null) {
                    bVar = null;
                } else {
                    b b2 = jVar.b(currentState);
                    b bVar2 = new b();
                    bVar2.f(b2);
                    bVar = bVar2;
                }
                bVar.p(id, i3);
                j jVar2 = motionLayout.f1124h;
                if (jVar2 != null && motionLayout.n == currentState) {
                    int i8 = R$id.view_transition;
                    motionLayout.v(i8, jVar2.b(currentState));
                    motionLayout.setState(i8, -1, -1);
                    motionLayout.v(currentState, bVar);
                    j.b bVar3 = new j.b(-1, motionLayout.f1124h, i8, currentState);
                    bVar3.b(1000);
                    motionLayout.setTransition(bVar3);
                    motionLayout.r();
                }
            } else if (this.f1238k) {
                int[] constraintSetIds2 = motionLayout.getConstraintSetIds();
                while (i6 < constraintSetIds2.length) {
                    a(i3, id, motionLayout, constraintSetIds2[i6]);
                    i6++;
                }
            } else {
                a(i3, id, motionLayout, currentState);
            }
        }
    }

    public void setAnimateChange(boolean z) {
        this.f1236h = z;
    }

    public void setApplyToConstraintSetId(int i2) {
        this.f1237j = i2;
    }

    public void setAttributeId(int i2) {
        HashSet<WeakReference<SharedValues.SharedValuesListener>> hashSet;
        SharedValues sharedValues = ConstraintLayout.getSharedValues();
        int i3 = this.f1235d;
        if (!(i3 == -1 || (hashSet = sharedValues.f1239a.get(Integer.valueOf(i3))) == null)) {
            ArrayList arrayList = new ArrayList();
            Iterator<WeakReference<SharedValues.SharedValuesListener>> it = hashSet.iterator();
            while (it.hasNext()) {
                WeakReference<SharedValues.SharedValuesListener> next = it.next();
                SharedValues.SharedValuesListener sharedValuesListener = next.get();
                if (sharedValuesListener == null || sharedValuesListener == this) {
                    arrayList.add(next);
                }
            }
            hashSet.removeAll(arrayList);
        }
        this.f1235d = i2;
        if (i2 != -1) {
            sharedValues.a(i2, this);
        }
    }

    public void setGuidelineBegin(int i2) {
        ConstraintLayout.a aVar = (ConstraintLayout.a) getLayoutParams();
        aVar.f1210a = i2;
        setLayoutParams(aVar);
    }

    public void setGuidelineEnd(int i2) {
        ConstraintLayout.a aVar = (ConstraintLayout.a) getLayoutParams();
        aVar.f1211b = i2;
        setLayoutParams(aVar);
    }

    public void setGuidelinePercent(float f2) {
        ConstraintLayout.a aVar = (ConstraintLayout.a) getLayoutParams();
        aVar.f1212c = f2;
        setLayoutParams(aVar);
    }

    public void setVisibility(int i2) {
    }

    public ReactiveGuide(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        super.setVisibility(8);
        b(attributeSet);
    }

    public ReactiveGuide(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        super.setVisibility(8);
        b(attributeSet);
    }
}
