package androidx.core.app;

import android.app.Activity;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.os.Build;
import android.os.Handler;
import android.os.Looper;
import android.text.TextUtils;
import java.util.Arrays;

public class ActivityCompat extends b.j.b.a {

    /* renamed from: b  reason: collision with root package name */
    public static final /* synthetic */ int f1255b = 0;

    public interface OnRequestPermissionsResultCallback {
        void onRequestPermissionsResult(int i2, String[] strArr, int[] iArr);
    }

    public interface PermissionCompatDelegate {
        boolean onActivityResult(Activity activity, int i2, int i3, Intent intent);

        boolean requestPermissions(Activity activity, String[] strArr, int i2);
    }

    public interface RequestPermissionsRequestCodeValidator {
        void validateRequestPermissionsRequestCode(int i2);
    }

    public class a implements Runnable {

        /* renamed from: d  reason: collision with root package name */
        public final /* synthetic */ String[] f1256d;

        /* renamed from: h  reason: collision with root package name */
        public final /* synthetic */ Activity f1257h;

        /* renamed from: j  reason: collision with root package name */
        public final /* synthetic */ int f1258j;

        public a(String[] strArr, Activity activity, int i2) {
            this.f1256d = strArr;
            this.f1257h = activity;
            this.f1258j = i2;
        }

        public void run() {
            int[] iArr = new int[this.f1256d.length];
            PackageManager packageManager = this.f1257h.getPackageManager();
            String packageName = this.f1257h.getPackageName();
            int length = this.f1256d.length;
            for (int i2 = 0; i2 < length; i2++) {
                iArr[i2] = packageManager.checkPermission(this.f1256d[i2], packageName);
            }
            ((OnRequestPermissionsResultCallback) this.f1257h).onRequestPermissionsResult(this.f1258j, this.f1256d, iArr);
        }
    }

    public static void e(Activity activity, String[] strArr, int i2) {
        for (String str : strArr) {
            if (TextUtils.isEmpty(str)) {
                throw new IllegalArgumentException(d.a.a.a.a.y(d.a.a.a.a.B("Permission request for permissions "), Arrays.toString(strArr), " must not contain null or empty values"));
            }
        }
        if (Build.VERSION.SDK_INT >= 23) {
            if (activity instanceof RequestPermissionsRequestCodeValidator) {
                ((RequestPermissionsRequestCodeValidator) activity).validateRequestPermissionsRequestCode(i2);
            }
            activity.requestPermissions(strArr, i2);
        } else if (activity instanceof OnRequestPermissionsResultCallback) {
            new Handler(Looper.getMainLooper()).post(new a(strArr, activity, i2));
        }
    }
}
