package androidx.core.app;

import android.app.Service;
import android.app.job.JobParameters;
import android.app.job.JobServiceEngine;
import android.app.job.JobWorkItem;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.os.AsyncTask;
import android.os.Build;
import android.os.IBinder;
import android.os.PowerManager;
import java.util.ArrayList;
import java.util.HashMap;

public abstract class JobIntentService extends Service {

    /* renamed from: d  reason: collision with root package name */
    public static final HashMap<ComponentName, e> f1259d = new HashMap<>();

    /* renamed from: h  reason: collision with root package name */
    public CompatJobEngine f1260h;

    /* renamed from: j  reason: collision with root package name */
    public e f1261j;

    /* renamed from: k  reason: collision with root package name */
    public a f1262k;

    /* renamed from: l  reason: collision with root package name */
    public boolean f1263l = false;
    public final ArrayList<c> m;

    public interface CompatJobEngine {
        IBinder compatGetBinder();

        GenericWorkItem dequeueWork();
    }

    public interface GenericWorkItem {
        void complete();

        Intent getIntent();
    }

    public final class a extends AsyncTask<Void, Void, Void> {
        public a() {
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object[]] */
        @Override // android.os.AsyncTask
        public Void doInBackground(Void[] voidArr) {
            c cVar;
            while (true) {
                JobIntentService jobIntentService = JobIntentService.this;
                CompatJobEngine compatJobEngine = jobIntentService.f1260h;
                if (compatJobEngine != null) {
                    cVar = compatJobEngine.dequeueWork();
                } else {
                    synchronized (jobIntentService.m) {
                        if (jobIntentService.m.size() > 0) {
                            cVar = jobIntentService.m.remove(0);
                        } else {
                            cVar = null;
                        }
                    }
                }
                if (cVar == null) {
                    return null;
                }
                JobIntentService.this.b(cVar.getIntent());
                cVar.complete();
            }
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // android.os.AsyncTask
        public void onCancelled(Void r1) {
            JobIntentService.this.c();
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // android.os.AsyncTask
        public void onPostExecute(Void r1) {
            JobIntentService.this.c();
        }
    }

    public static final class b extends e {

        /* renamed from: b  reason: collision with root package name */
        public final PowerManager.WakeLock f1265b;

        /* renamed from: c  reason: collision with root package name */
        public final PowerManager.WakeLock f1266c;

        /* renamed from: d  reason: collision with root package name */
        public boolean f1267d;

        public b(Context context, ComponentName componentName) {
            super(componentName);
            context.getApplicationContext();
            PowerManager powerManager = (PowerManager) context.getSystemService("power");
            PowerManager.WakeLock newWakeLock = powerManager.newWakeLock(1, componentName.getClassName() + ":launch");
            this.f1265b = newWakeLock;
            newWakeLock.setReferenceCounted(false);
            PowerManager.WakeLock newWakeLock2 = powerManager.newWakeLock(1, componentName.getClassName() + ":run");
            this.f1266c = newWakeLock2;
            newWakeLock2.setReferenceCounted(false);
        }

        @Override // androidx.core.app.JobIntentService.e
        public void a() {
            synchronized (this) {
                if (this.f1267d) {
                    this.f1267d = false;
                    this.f1266c.release();
                }
            }
        }

        @Override // androidx.core.app.JobIntentService.e
        public void b() {
            synchronized (this) {
                if (!this.f1267d) {
                    this.f1267d = true;
                    this.f1266c.acquire(600000);
                    this.f1265b.release();
                }
            }
        }

        @Override // androidx.core.app.JobIntentService.e
        public void c() {
            synchronized (this) {
            }
        }
    }

    public final class c implements GenericWorkItem {

        /* renamed from: a  reason: collision with root package name */
        public final Intent f1268a;

        /* renamed from: b  reason: collision with root package name */
        public final int f1269b;

        public c(Intent intent, int i2) {
            this.f1268a = intent;
            this.f1269b = i2;
        }

        @Override // androidx.core.app.JobIntentService.GenericWorkItem
        public void complete() {
            JobIntentService.this.stopSelf(this.f1269b);
        }

        @Override // androidx.core.app.JobIntentService.GenericWorkItem
        public Intent getIntent() {
            return this.f1268a;
        }
    }

    public static final class d extends JobServiceEngine implements CompatJobEngine {

        /* renamed from: a  reason: collision with root package name */
        public final JobIntentService f1271a;

        /* renamed from: b  reason: collision with root package name */
        public final Object f1272b = new Object();

        /* renamed from: c  reason: collision with root package name */
        public JobParameters f1273c;

        public final class a implements GenericWorkItem {

            /* renamed from: a  reason: collision with root package name */
            public final JobWorkItem f1274a;

            public a(JobWorkItem jobWorkItem) {
                this.f1274a = jobWorkItem;
            }

            @Override // androidx.core.app.JobIntentService.GenericWorkItem
            public void complete() {
                synchronized (d.this.f1272b) {
                    JobParameters jobParameters = d.this.f1273c;
                    if (jobParameters != null) {
                        jobParameters.completeWork(this.f1274a);
                    }
                }
            }

            @Override // androidx.core.app.JobIntentService.GenericWorkItem
            public Intent getIntent() {
                return this.f1274a.getIntent();
            }
        }

        public d(JobIntentService jobIntentService) {
            super(jobIntentService);
            this.f1271a = jobIntentService;
        }

        @Override // androidx.core.app.JobIntentService.CompatJobEngine
        public IBinder compatGetBinder() {
            return getBinder();
        }

        /* JADX WARNING: Code restructure failed: missing block: B:10:0x0011, code lost:
            r1.getIntent().setExtrasClassLoader(r3.f1271a.getClassLoader());
         */
        /* JADX WARNING: Code restructure failed: missing block: B:11:0x0023, code lost:
            return new androidx.core.app.JobIntentService.d.a(r3, r1);
         */
        /* JADX WARNING: Code restructure failed: missing block: B:12:0x0024, code lost:
            return null;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:9:0x000f, code lost:
            if (r1 == null) goto L_0x0024;
         */
        @Override // androidx.core.app.JobIntentService.CompatJobEngine
        public GenericWorkItem dequeueWork() {
            synchronized (this.f1272b) {
                JobParameters jobParameters = this.f1273c;
                if (jobParameters == null) {
                    return null;
                }
                JobWorkItem dequeueWork = jobParameters.dequeueWork();
            }
        }

        public boolean onStartJob(JobParameters jobParameters) {
            this.f1273c = jobParameters;
            this.f1271a.a(false);
            return true;
        }

        public boolean onStopJob(JobParameters jobParameters) {
            a aVar = this.f1271a.f1262k;
            if (aVar != null) {
                aVar.cancel(false);
            }
            synchronized (this.f1272b) {
                this.f1273c = null;
            }
            return true;
        }
    }

    public static abstract class e {

        /* renamed from: a  reason: collision with root package name */
        public final ComponentName f1276a;

        public e(ComponentName componentName) {
            this.f1276a = componentName;
        }

        public void a() {
        }

        public void b() {
        }

        public void c() {
        }
    }

    public JobIntentService() {
        if (Build.VERSION.SDK_INT >= 26) {
            this.m = null;
        } else {
            this.m = new ArrayList<>();
        }
    }

    public void a(boolean z) {
        if (this.f1262k == null) {
            this.f1262k = new a();
            e eVar = this.f1261j;
            if (eVar != null && z) {
                eVar.b();
            }
            this.f1262k.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new Void[0]);
        }
    }

    public abstract void b(Intent intent);

    public void c() {
        ArrayList<c> arrayList = this.m;
        if (arrayList != null) {
            synchronized (arrayList) {
                this.f1262k = null;
                ArrayList<c> arrayList2 = this.m;
                if (arrayList2 != null && arrayList2.size() > 0) {
                    a(false);
                } else if (!this.f1263l) {
                    this.f1261j.a();
                }
            }
        }
    }

    public IBinder onBind(Intent intent) {
        CompatJobEngine compatJobEngine = this.f1260h;
        if (compatJobEngine != null) {
            return compatJobEngine.compatGetBinder();
        }
        return null;
    }

    public void onCreate() {
        super.onCreate();
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 26) {
            this.f1260h = new d(this);
            this.f1261j = null;
            return;
        }
        this.f1260h = null;
        ComponentName componentName = new ComponentName(this, getClass());
        HashMap<ComponentName, e> hashMap = f1259d;
        e eVar = hashMap.get(componentName);
        if (eVar == null) {
            if (i2 < 26) {
                eVar = new b(this, componentName);
                hashMap.put(componentName, eVar);
            } else {
                throw new IllegalArgumentException("Can't be here without a job id");
            }
        }
        this.f1261j = eVar;
    }

    public void onDestroy() {
        super.onDestroy();
        ArrayList<c> arrayList = this.m;
        if (arrayList != null) {
            synchronized (arrayList) {
                this.f1263l = true;
                this.f1261j.a();
            }
        }
    }

    public int onStartCommand(Intent intent, int i2, int i3) {
        if (this.m == null) {
            return 2;
        }
        this.f1261j.c();
        synchronized (this.m) {
            ArrayList<c> arrayList = this.m;
            if (intent == null) {
                intent = new Intent();
            }
            arrayList.add(new c(intent, i3));
            a(true);
        }
        return 3;
    }
}
