package androidx.core.graphics;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.Resources;
import android.graphics.Typeface;
import android.os.CancellationSignal;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.core.content.res.FontResourcesParserCompat$FontFamilyFilesResourceEntry;
import b.j.e.l;
import java.io.File;
import java.io.InputStream;
import java.util.concurrent.ConcurrentHashMap;
import org.dsq.library.widget.bigImage.SubsamplingScaleImageView;

public class TypefaceCompatBaseImpl {
    @SuppressLint({"BanConcurrentHashMap"})

    /* renamed from: a  reason: collision with root package name */
    public ConcurrentHashMap<Long, FontResourcesParserCompat$FontFamilyFilesResourceEntry> f1331a = new ConcurrentHashMap<>();

    public interface StyleExtractor<T> {
        int getWeight(T t);

        boolean isItalic(T t);
    }

    public static <T> T e(T[] tArr, int i2, StyleExtractor<T> styleExtractor) {
        int i3 = (i2 & 1) == 0 ? 400 : 700;
        boolean z = (i2 & 2) != 0;
        T t = null;
        int i4 = SubsamplingScaleImageView.TILE_SIZE_AUTO;
        for (T t2 : tArr) {
            int abs = (Math.abs(styleExtractor.getWeight(t2) - i3) * 2) + (styleExtractor.isItalic(t2) == z ? 0 : 1);
            if (t == null || i4 > abs) {
                t = t2;
                i4 = abs;
            }
        }
        return t;
    }

    public Typeface a(Context context, FontResourcesParserCompat$FontFamilyFilesResourceEntry fontResourcesParserCompat$FontFamilyFilesResourceEntry, Resources resources, int i2) {
        throw null;
    }

    public Typeface b(Context context, CancellationSignal cancellationSignal, l[] lVarArr, int i2) {
        throw null;
    }

    public Typeface c(Context context, InputStream inputStream) {
        File S = AppCompatDelegateImpl.e.S(context);
        if (S == null) {
            return null;
        }
        try {
            if (!AppCompatDelegateImpl.e.t(S, inputStream)) {
                return null;
            }
            Typeface createFromFile = Typeface.createFromFile(S.getPath());
            S.delete();
            return createFromFile;
        } catch (RuntimeException unused) {
            return null;
        } finally {
            S.delete();
        }
    }

    public Typeface d(Context context, Resources resources, int i2, String str, int i3) {
        File S = AppCompatDelegateImpl.e.S(context);
        if (S == null) {
            return null;
        }
        try {
            if (!AppCompatDelegateImpl.e.s(S, resources, i2)) {
                return null;
            }
            Typeface createFromFile = Typeface.createFromFile(S.getPath());
            S.delete();
            return createFromFile;
        } catch (RuntimeException unused) {
            return null;
        } finally {
            S.delete();
        }
    }
}
