package androidx.core.graphics.drawable;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.BitmapShader;
import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.PorterDuff;
import android.graphics.Shader;
import android.graphics.drawable.Icon;
import android.net.Uri;
import android.os.Build;
import android.os.Parcelable;
import android.text.TextUtils;
import android.util.Log;
import androidx.versionedparcelable.CustomVersionedParcelable;
import d.a.a.a.a;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.InputStream;
import java.lang.reflect.InvocationTargetException;

public class IconCompat extends CustomVersionedParcelable {

    /* renamed from: a  reason: collision with root package name */
    public static final PorterDuff.Mode f1332a = PorterDuff.Mode.SRC_IN;

    /* renamed from: b  reason: collision with root package name */
    public int f1333b = -1;

    /* renamed from: c  reason: collision with root package name */
    public Object f1334c;

    /* renamed from: d  reason: collision with root package name */
    public byte[] f1335d = null;

    /* renamed from: e  reason: collision with root package name */
    public Parcelable f1336e = null;

    /* renamed from: f  reason: collision with root package name */
    public int f1337f = 0;

    /* renamed from: g  reason: collision with root package name */
    public int f1338g = 0;

    /* renamed from: h  reason: collision with root package name */
    public ColorStateList f1339h = null;

    /* renamed from: i  reason: collision with root package name */
    public PorterDuff.Mode f1340i = f1332a;

    /* renamed from: j  reason: collision with root package name */
    public String f1341j = null;

    /* renamed from: k  reason: collision with root package name */
    public String f1342k;

    public IconCompat() {
    }

    public static Bitmap a(Bitmap bitmap, boolean z) {
        int min = (int) (((float) Math.min(bitmap.getWidth(), bitmap.getHeight())) * 0.6666667f);
        Bitmap createBitmap = Bitmap.createBitmap(min, min, Bitmap.Config.ARGB_8888);
        Canvas canvas = new Canvas(createBitmap);
        Paint paint = new Paint(3);
        float f2 = (float) min;
        float f3 = 0.5f * f2;
        float f4 = 0.9166667f * f3;
        if (z) {
            float f5 = 0.010416667f * f2;
            paint.setColor(0);
            paint.setShadowLayer(f5, 0.0f, f2 * 0.020833334f, 1023410176);
            canvas.drawCircle(f3, f3, f4, paint);
            paint.setShadowLayer(f5, 0.0f, 0.0f, 503316480);
            canvas.drawCircle(f3, f3, f4, paint);
            paint.clearShadowLayer();
        }
        paint.setColor(-16777216);
        Shader.TileMode tileMode = Shader.TileMode.CLAMP;
        BitmapShader bitmapShader = new BitmapShader(bitmap, tileMode, tileMode);
        Matrix matrix = new Matrix();
        matrix.setTranslate((float) ((-(bitmap.getWidth() - min)) / 2), (float) ((-(bitmap.getHeight() - min)) / 2));
        bitmapShader.setLocalMatrix(matrix);
        paint.setShader(bitmapShader);
        canvas.drawCircle(f3, f3, f4, paint);
        canvas.setBitmap(null);
        return createBitmap;
    }

    public static IconCompat b(Resources resources, String str, int i2) {
        if (str == null) {
            throw new IllegalArgumentException("Package must not be null.");
        } else if (i2 != 0) {
            IconCompat iconCompat = new IconCompat(2);
            iconCompat.f1337f = i2;
            if (resources != null) {
                try {
                    iconCompat.f1334c = resources.getResourceName(i2);
                } catch (Resources.NotFoundException unused) {
                    throw new IllegalArgumentException("Icon resource cannot be found");
                }
            } else {
                iconCompat.f1334c = str;
            }
            iconCompat.f1342k = str;
            return iconCompat;
        } else {
            throw new IllegalArgumentException("Drawable resource ID must not be 0");
        }
    }

    public int c() {
        int i2;
        int i3 = this.f1333b;
        if (i3 == -1 && (i2 = Build.VERSION.SDK_INT) >= 23) {
            Icon icon = (Icon) this.f1334c;
            if (i2 >= 28) {
                return icon.getResId();
            }
            try {
                return ((Integer) icon.getClass().getMethod("getResId", new Class[0]).invoke(icon, new Object[0])).intValue();
            } catch (IllegalAccessException e2) {
                Log.e("IconCompat", "Unable to get icon resource", e2);
            } catch (InvocationTargetException e3) {
                Log.e("IconCompat", "Unable to get icon resource", e3);
            } catch (NoSuchMethodException e4) {
                Log.e("IconCompat", "Unable to get icon resource", e4);
            }
        } else if (i3 == 2) {
            return this.f1337f;
        } else {
            throw new IllegalStateException("called getResId() on " + this);
        }
        return 0;
    }

    public String d() {
        int i2;
        int i3 = this.f1333b;
        if (i3 == -1 && (i2 = Build.VERSION.SDK_INT) >= 23) {
            Icon icon = (Icon) this.f1334c;
            if (i2 >= 28) {
                return icon.getResPackage();
            }
            try {
                return (String) icon.getClass().getMethod("getResPackage", new Class[0]).invoke(icon, new Object[0]);
            } catch (IllegalAccessException e2) {
                Log.e("IconCompat", "Unable to get icon package", e2);
            } catch (InvocationTargetException e3) {
                Log.e("IconCompat", "Unable to get icon package", e3);
            } catch (NoSuchMethodException e4) {
                Log.e("IconCompat", "Unable to get icon package", e4);
            }
        } else if (i3 != 2) {
            throw new IllegalStateException("called getResPackage() on " + this);
        } else if (TextUtils.isEmpty(this.f1342k)) {
            return ((String) this.f1334c).split(":", -1)[0];
        } else {
            return this.f1342k;
        }
        return null;
    }

    public int e() {
        int i2;
        int i3 = this.f1333b;
        if (i3 != -1 || (i2 = Build.VERSION.SDK_INT) < 23) {
            return i3;
        }
        Icon icon = (Icon) this.f1334c;
        if (i2 >= 28) {
            return icon.getType();
        }
        try {
            return ((Integer) icon.getClass().getMethod("getType", new Class[0]).invoke(icon, new Object[0])).intValue();
        } catch (IllegalAccessException e2) {
            Log.e("IconCompat", "Unable to get icon type " + icon, e2);
            return -1;
        } catch (InvocationTargetException e3) {
            Log.e("IconCompat", "Unable to get icon type " + icon, e3);
            return -1;
        } catch (NoSuchMethodException e4) {
            Log.e("IconCompat", "Unable to get icon type " + icon, e4);
            return -1;
        }
    }

    public Uri f() {
        int i2;
        int i3 = this.f1333b;
        if (i3 == -1 && (i2 = Build.VERSION.SDK_INT) >= 23) {
            Icon icon = (Icon) this.f1334c;
            if (i2 >= 28) {
                return icon.getUri();
            }
            try {
                return (Uri) icon.getClass().getMethod("getUri", new Class[0]).invoke(icon, new Object[0]);
            } catch (IllegalAccessException e2) {
                Log.e("IconCompat", "Unable to get icon uri", e2);
            } catch (InvocationTargetException e3) {
                Log.e("IconCompat", "Unable to get icon uri", e3);
            } catch (NoSuchMethodException e4) {
                Log.e("IconCompat", "Unable to get icon uri", e4);
            }
        } else if (i3 == 4 || i3 == 6) {
            return Uri.parse((String) this.f1334c);
        } else {
            throw new IllegalStateException("called getUri() on " + this);
        }
        return null;
    }

    public InputStream g(Context context) {
        Uri f2 = f();
        String scheme = f2.getScheme();
        if ("content".equals(scheme) || "file".equals(scheme)) {
            try {
                return context.getContentResolver().openInputStream(f2);
            } catch (Exception e2) {
                Log.w("IconCompat", "Unable to load image from URI: " + f2, e2);
                return null;
            }
        } else {
            try {
                return new FileInputStream(new File((String) this.f1334c));
            } catch (FileNotFoundException e3) {
                Log.w("IconCompat", "Unable to load image from path: " + f2, e3);
                return null;
            }
        }
    }

    @Deprecated
    public Icon h() {
        return i(null);
    }

    public Icon i(Context context) {
        Icon icon;
        switch (this.f1333b) {
            case -1:
                return (Icon) this.f1334c;
            case 0:
            default:
                throw new IllegalArgumentException("Unknown type");
            case 1:
                icon = Icon.createWithBitmap((Bitmap) this.f1334c);
                break;
            case 2:
                icon = Icon.createWithResource(d(), this.f1337f);
                break;
            case 3:
                icon = Icon.createWithData((byte[]) this.f1334c, this.f1337f, this.f1338g);
                break;
            case 4:
                icon = Icon.createWithContentUri((String) this.f1334c);
                break;
            case 5:
                if (Build.VERSION.SDK_INT < 26) {
                    icon = Icon.createWithBitmap(a((Bitmap) this.f1334c, false));
                    break;
                } else {
                    icon = Icon.createWithAdaptiveBitmap((Bitmap) this.f1334c);
                    break;
                }
            case 6:
                int i2 = Build.VERSION.SDK_INT;
                if (i2 >= 30) {
                    icon = Icon.createWithAdaptiveBitmapContentUri(f());
                    break;
                } else if (context != null) {
                    InputStream g2 = g(context);
                    if (g2 != null) {
                        if (i2 < 26) {
                            icon = Icon.createWithBitmap(a(BitmapFactory.decodeStream(g2), false));
                            break;
                        } else {
                            icon = Icon.createWithAdaptiveBitmap(BitmapFactory.decodeStream(g2));
                            break;
                        }
                    } else {
                        StringBuilder B = a.B("Cannot load adaptive icon from uri: ");
                        B.append(f());
                        throw new IllegalStateException(B.toString());
                    }
                } else {
                    StringBuilder B2 = a.B("Context is required to resolve the file uri of the icon: ");
                    B2.append(f());
                    throw new IllegalArgumentException(B2.toString());
                }
        }
        ColorStateList colorStateList = this.f1339h;
        if (colorStateList != null) {
            icon.setTintList(colorStateList);
        }
        PorterDuff.Mode mode = this.f1340i;
        if (mode != f1332a) {
            icon.setTintMode(mode);
        }
        return icon;
    }

    public String toString() {
        String str;
        if (this.f1333b == -1) {
            return String.valueOf(this.f1334c);
        }
        StringBuilder sb = new StringBuilder("Icon(typ=");
        switch (this.f1333b) {
            case 1:
                str = "BITMAP";
                break;
            case 2:
                str = "RESOURCE";
                break;
            case 3:
                str = "DATA";
                break;
            case 4:
                str = "URI";
                break;
            case 5:
                str = "BITMAP_MASKABLE";
                break;
            case 6:
                str = "URI_MASKABLE";
                break;
            default:
                str = "UNKNOWN";
                break;
        }
        sb.append(str);
        switch (this.f1333b) {
            case 1:
            case 5:
                sb.append(" size=");
                sb.append(((Bitmap) this.f1334c).getWidth());
                sb.append("x");
                sb.append(((Bitmap) this.f1334c).getHeight());
                break;
            case 2:
                sb.append(" pkg=");
                sb.append(this.f1342k);
                sb.append(" id=");
                sb.append(String.format("0x%08x", Integer.valueOf(c())));
                break;
            case 3:
                sb.append(" len=");
                sb.append(this.f1337f);
                if (this.f1338g != 0) {
                    sb.append(" off=");
                    sb.append(this.f1338g);
                    break;
                }
                break;
            case 4:
            case 6:
                sb.append(" uri=");
                sb.append(this.f1334c);
                break;
        }
        if (this.f1339h != null) {
            sb.append(" tint=");
            sb.append(this.f1339h);
        }
        if (this.f1340i != f1332a) {
            sb.append(" mode=");
            sb.append(this.f1340i);
        }
        sb.append(")");
        return sb.toString();
    }

    public IconCompat(int i2) {
        this.f1333b = i2;
    }
}
