package androidx.core.view;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.view.KeyEvent;
import android.view.PointerIcon;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.WindowInsets;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityManager;
import androidx.core.R$id;
import androidx.core.view.accessibility.AccessibilityViewCommand;
import b.j.h.a;
import b.j.h.g;
import b.j.h.i;
import b.j.h.m;
import b.j.h.o;
import b.j.h.p.b;
import java.lang.ref.WeakReference;
import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.List;
import java.util.WeakHashMap;
import java.util.concurrent.atomic.AtomicInteger;

@SuppressLint({"PrivateConstructorForUtilityClass"})
public class ViewCompat {

    /* renamed from: a  reason: collision with root package name */
    public static final AtomicInteger f1365a = new AtomicInteger(1);

    /* renamed from: b  reason: collision with root package name */
    public static WeakHashMap<View, m> f1366b = null;

    /* renamed from: c  reason: collision with root package name */
    public static Field f1367c;

    /* renamed from: d  reason: collision with root package name */
    public static boolean f1368d = false;

    /* renamed from: e  reason: collision with root package name */
    public static ThreadLocal<Rect> f1369e;

    /* renamed from: f  reason: collision with root package name */
    public static final int[] f1370f = {R$id.accessibility_custom_action_0, R$id.accessibility_custom_action_1, R$id.accessibility_custom_action_2, R$id.accessibility_custom_action_3, R$id.accessibility_custom_action_4, R$id.accessibility_custom_action_5, R$id.accessibility_custom_action_6, R$id.accessibility_custom_action_7, R$id.accessibility_custom_action_8, R$id.accessibility_custom_action_9, R$id.accessibility_custom_action_10, R$id.accessibility_custom_action_11, R$id.accessibility_custom_action_12, R$id.accessibility_custom_action_13, R$id.accessibility_custom_action_14, R$id.accessibility_custom_action_15, R$id.accessibility_custom_action_16, R$id.accessibility_custom_action_17, R$id.accessibility_custom_action_18, R$id.accessibility_custom_action_19, R$id.accessibility_custom_action_20, R$id.accessibility_custom_action_21, R$id.accessibility_custom_action_22, R$id.accessibility_custom_action_23, R$id.accessibility_custom_action_24, R$id.accessibility_custom_action_25, R$id.accessibility_custom_action_26, R$id.accessibility_custom_action_27, R$id.accessibility_custom_action_28, R$id.accessibility_custom_action_29, R$id.accessibility_custom_action_30, R$id.accessibility_custom_action_31};

    /* renamed from: g  reason: collision with root package name */
    public static final OnReceiveContentViewBehavior f1371g = new a();

    public interface OnUnhandledKeyEventListenerCompat {
        boolean onUnhandledKeyEvent(View view, KeyEvent keyEvent);
    }

    public class a implements OnReceiveContentViewBehavior {
        @Override // androidx.core.view.OnReceiveContentViewBehavior
        public b.j.h.b onReceiveContent(b.j.h.b bVar) {
            return bVar;
        }
    }

    public static class c {

        public class a implements View.OnApplyWindowInsetsListener {

            /* renamed from: a  reason: collision with root package name */
            public o f1376a = null;

            /* renamed from: b  reason: collision with root package name */
            public final /* synthetic */ View f1377b;

            /* renamed from: c  reason: collision with root package name */
            public final /* synthetic */ OnApplyWindowInsetsListener f1378c;

            public a(View view, OnApplyWindowInsetsListener onApplyWindowInsetsListener) {
                this.f1377b = view;
                this.f1378c = onApplyWindowInsetsListener;
            }

            public WindowInsets onApplyWindowInsets(View view, WindowInsets windowInsets) {
                o k2 = o.k(windowInsets, view);
                int i2 = Build.VERSION.SDK_INT;
                if (i2 < 30) {
                    c.a(windowInsets, this.f1377b);
                    if (k2.equals(this.f1376a)) {
                        return this.f1378c.onApplyWindowInsets(view, k2).i();
                    }
                }
                this.f1376a = k2;
                o onApplyWindowInsets = this.f1378c.onApplyWindowInsets(view, k2);
                if (i2 >= 30) {
                    return onApplyWindowInsets.i();
                }
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                view.requestApplyInsets();
                return onApplyWindowInsets.i();
            }
        }

        public static void a(WindowInsets windowInsets, View view) {
            View.OnApplyWindowInsetsListener onApplyWindowInsetsListener = (View.OnApplyWindowInsetsListener) view.getTag(R$id.tag_window_insets_animation_callback);
            if (onApplyWindowInsetsListener != null) {
                onApplyWindowInsetsListener.onApplyWindowInsets(view, windowInsets);
            }
        }

        public static o b(View view, o oVar, Rect rect) {
            WindowInsets i2 = oVar.i();
            if (i2 != null) {
                return o.k(view.computeSystemWindowInsets(i2, rect), view);
            }
            rect.setEmpty();
            return oVar;
        }

        public static o c(View view) {
            o.e eVar;
            if (!o.a.f3428d || !view.isAttachedToWindow()) {
                return null;
            }
            try {
                Object obj = o.a.f3425a.get(view.getRootView());
                if (obj == null) {
                    return null;
                }
                Rect rect = (Rect) o.a.f3426b.get(obj);
                Rect rect2 = (Rect) o.a.f3427c.get(obj);
                if (rect == null || rect2 == null) {
                    return null;
                }
                int i2 = Build.VERSION.SDK_INT;
                if (i2 >= 30) {
                    eVar = new o.d();
                } else if (i2 >= 29) {
                    eVar = new o.c();
                } else {
                    eVar = new o.b();
                }
                eVar.c(b.j.c.b.a(rect.left, rect.top, rect.right, rect.bottom));
                eVar.d(b.j.c.b.a(rect2.left, rect2.top, rect2.right, rect2.bottom));
                o b2 = eVar.b();
                b2.f3424b.m(b2);
                b2.f3424b.d(view.getRootView());
                return b2;
            } catch (IllegalAccessException e2) {
                StringBuilder B = d.a.a.a.a.B("Failed to get insets from AttachInfo. ");
                B.append(e2.getMessage());
                Log.w("WindowInsetsCompat", B.toString(), e2);
                return null;
            }
        }

        public static void d(View view, OnApplyWindowInsetsListener onApplyWindowInsetsListener) {
            if (Build.VERSION.SDK_INT < 30) {
                view.setTag(R$id.tag_on_apply_window_listener, onApplyWindowInsetsListener);
            }
            if (onApplyWindowInsetsListener == null) {
                view.setOnApplyWindowInsetsListener((View.OnApplyWindowInsetsListener) view.getTag(R$id.tag_window_insets_animation_callback));
            } else {
                view.setOnApplyWindowInsetsListener(new a(view, onApplyWindowInsetsListener));
            }
        }
    }

    public static class d {
        public static o a(View view) {
            WindowInsets rootWindowInsets = view.getRootWindowInsets();
            if (rootWindowInsets == null) {
                return null;
            }
            o k2 = o.k(rootWindowInsets, null);
            k2.f3424b.m(k2);
            k2.f3424b.d(view.getRootView());
            return k2;
        }
    }

    public static class e {
        public static void a(View view, Context context, int[] iArr, AttributeSet attributeSet, TypedArray typedArray, int i2, int i3) {
            view.saveAttributeDataForStyleable(context, iArr, attributeSet, typedArray, i2, i3);
        }
    }

    public static class f {

        /* renamed from: a  reason: collision with root package name */
        public static final ArrayList<WeakReference<View>> f1379a = new ArrayList<>();

        /* renamed from: b  reason: collision with root package name */
        public WeakHashMap<View, Boolean> f1380b = null;

        /* renamed from: c  reason: collision with root package name */
        public SparseArray<WeakReference<View>> f1381c = null;

        /* renamed from: d  reason: collision with root package name */
        public WeakReference<KeyEvent> f1382d = null;

        public final View a(View view, KeyEvent keyEvent) {
            WeakHashMap<View, Boolean> weakHashMap = this.f1380b;
            if (weakHashMap != null && weakHashMap.containsKey(view)) {
                if (view instanceof ViewGroup) {
                    ViewGroup viewGroup = (ViewGroup) view;
                    for (int childCount = viewGroup.getChildCount() - 1; childCount >= 0; childCount--) {
                        View a2 = a(viewGroup.getChildAt(childCount), keyEvent);
                        if (a2 != null) {
                            return a2;
                        }
                    }
                }
                if (b(view, keyEvent)) {
                    return view;
                }
            }
            return null;
        }

        public final boolean b(View view, KeyEvent keyEvent) {
            ArrayList arrayList = (ArrayList) view.getTag(R$id.tag_unhandled_key_listeners);
            if (arrayList == null) {
                return false;
            }
            for (int size = arrayList.size() - 1; size >= 0; size--) {
                if (((OnUnhandledKeyEventListenerCompat) arrayList.get(size)).onUnhandledKeyEvent(view, keyEvent)) {
                    return true;
                }
            }
            return false;
        }
    }

    static {
        new WeakHashMap();
    }

    public static void a(View view, b.a aVar) {
        b.j.h.a g2 = g(view);
        if (g2 == null) {
            g2 = new b.j.h.a();
        }
        u(view, g2);
        r(aVar.a(), view);
        j(view).add(aVar);
        l(view, 0);
    }

    public static m b(View view) {
        if (f1366b == null) {
            f1366b = new WeakHashMap<>();
        }
        m mVar = f1366b.get(view);
        if (mVar != null) {
            return mVar;
        }
        m mVar2 = new m(view);
        f1366b.put(view, mVar2);
        return mVar2;
    }

    public static void c(View view, int i2) {
        view.offsetLeftAndRight(i2);
        if (view.getVisibility() == 0) {
            float translationY = view.getTranslationY();
            view.setTranslationY(1.0f + translationY);
            view.setTranslationY(translationY);
            ViewParent parent = view.getParent();
            if (parent instanceof View) {
                w((View) parent);
            }
        }
    }

    public static void d(View view, int i2) {
        view.offsetTopAndBottom(i2);
        if (view.getVisibility() == 0) {
            float translationY = view.getTranslationY();
            view.setTranslationY(1.0f + translationY);
            view.setTranslationY(translationY);
            ViewParent parent = view.getParent();
            if (parent instanceof View) {
                w((View) parent);
            }
        }
    }

    public static o e(View view, o oVar) {
        WindowInsets i2 = oVar.i();
        if (i2 != null) {
            WindowInsets dispatchApplyWindowInsets = view.dispatchApplyWindowInsets(i2);
            if (!dispatchApplyWindowInsets.equals(i2)) {
                return o.k(dispatchApplyWindowInsets, view);
            }
        }
        return oVar;
    }

    public static boolean f(View view, KeyEvent keyEvent) {
        if (Build.VERSION.SDK_INT >= 28) {
            return false;
        }
        ArrayList<WeakReference<View>> arrayList = f.f1379a;
        int i2 = R$id.tag_unhandled_key_event_manager;
        f fVar = (f) view.getTag(i2);
        if (fVar == null) {
            fVar = new f();
            view.setTag(i2, fVar);
        }
        if (keyEvent.getAction() == 0) {
            WeakHashMap<View, Boolean> weakHashMap = fVar.f1380b;
            if (weakHashMap != null) {
                weakHashMap.clear();
            }
            ArrayList<WeakReference<View>> arrayList2 = f.f1379a;
            if (!arrayList2.isEmpty()) {
                synchronized (arrayList2) {
                    if (fVar.f1380b == null) {
                        fVar.f1380b = new WeakHashMap<>();
                    }
                    int size = arrayList2.size();
                    while (true) {
                        size--;
                        if (size < 0) {
                            break;
                        }
                        ArrayList<WeakReference<View>> arrayList3 = f.f1379a;
                        View view2 = arrayList3.get(size).get();
                        if (view2 == null) {
                            arrayList3.remove(size);
                        } else {
                            fVar.f1380b.put(view2, Boolean.TRUE);
                            for (ViewParent parent = view2.getParent(); parent instanceof View; parent = parent.getParent()) {
                                fVar.f1380b.put((View) parent, Boolean.TRUE);
                            }
                        }
                    }
                }
            }
        }
        View a2 = fVar.a(view, keyEvent);
        if (keyEvent.getAction() == 0) {
            int keyCode = keyEvent.getKeyCode();
            if (a2 != null && !KeyEvent.isModifierKey(keyCode)) {
                if (fVar.f1381c == null) {
                    fVar.f1381c = new SparseArray<>();
                }
                fVar.f1381c.put(keyCode, new WeakReference<>(a2));
            }
        }
        if (a2 != null) {
            return true;
        }
        return false;
    }

    public static b.j.h.a g(View view) {
        View.AccessibilityDelegate h2 = h(view);
        if (h2 == null) {
            return null;
        }
        if (h2 instanceof a.C0022a) {
            return ((a.C0022a) h2).f3393a;
        }
        return new b.j.h.a(h2);
    }

    public static View.AccessibilityDelegate h(View view) {
        if (Build.VERSION.SDK_INT >= 29) {
            return view.getAccessibilityDelegate();
        }
        if (f1368d) {
            return null;
        }
        if (f1367c == null) {
            try {
                Field declaredField = View.class.getDeclaredField("mAccessibilityDelegate");
                f1367c = declaredField;
                declaredField.setAccessible(true);
            } catch (Throwable unused) {
                f1368d = true;
                return null;
            }
        }
        try {
            Object obj = f1367c.get(view);
            if (obj instanceof View.AccessibilityDelegate) {
                return (View.AccessibilityDelegate) obj;
            }
            return null;
        } catch (Throwable unused2) {
            f1368d = true;
            return null;
        }
    }

    public static CharSequence i(View view) {
        return (CharSequence) new i(R$id.tag_accessibility_pane_title, CharSequence.class, 8, 28).d(view);
    }

    public static List<b.a> j(View view) {
        int i2 = R$id.tag_accessibility_actions;
        ArrayList arrayList = (ArrayList) view.getTag(i2);
        if (arrayList != null) {
            return arrayList;
        }
        ArrayList arrayList2 = new ArrayList();
        view.setTag(i2, arrayList2);
        return arrayList2;
    }

    public static Rect k() {
        if (f1369e == null) {
            f1369e = new ThreadLocal<>();
        }
        Rect rect = f1369e.get();
        if (rect == null) {
            rect = new Rect();
            f1369e.set(rect);
        }
        rect.setEmpty();
        return rect;
    }

    public static void l(View view, int i2) {
        AccessibilityManager accessibilityManager = (AccessibilityManager) view.getContext().getSystemService("accessibility");
        if (accessibilityManager.isEnabled()) {
            boolean z = i(view) != null && view.getVisibility() == 0;
            int i3 = 32;
            if (view.getAccessibilityLiveRegion() != 0 || z) {
                AccessibilityEvent obtain = AccessibilityEvent.obtain();
                if (!z) {
                    i3 = 2048;
                }
                obtain.setEventType(i3);
                obtain.setContentChangeTypes(i2);
                if (z) {
                    obtain.getText().add(i(view));
                    if (view.getImportantForAccessibility() == 0) {
                        view.setImportantForAccessibility(1);
                    }
                    ViewParent parent = view.getParent();
                    while (true) {
                        if (!(parent instanceof View)) {
                            break;
                        } else if (((View) parent).getImportantForAccessibility() == 4) {
                            view.setImportantForAccessibility(2);
                            break;
                        } else {
                            parent = parent.getParent();
                        }
                    }
                }
                view.sendAccessibilityEventUnchecked(obtain);
            } else if (i2 == 32) {
                AccessibilityEvent obtain2 = AccessibilityEvent.obtain();
                view.onInitializeAccessibilityEvent(obtain2);
                obtain2.setEventType(32);
                obtain2.setContentChangeTypes(i2);
                obtain2.setSource(view);
                view.onPopulateAccessibilityEvent(obtain2);
                obtain2.getText().add(i(view));
                accessibilityManager.sendAccessibilityEvent(obtain2);
            } else if (view.getParent() != null) {
                try {
                    view.getParent().notifySubtreeAccessibilityStateChanged(view, view, i2);
                } catch (AbstractMethodError e2) {
                    Log.e("ViewCompat", view.getParent().getClass().getSimpleName() + " does not fully implement ViewParent", e2);
                }
            }
        }
    }

    public static void m(View view, int i2) {
        if (Build.VERSION.SDK_INT >= 23) {
            view.offsetLeftAndRight(i2);
            return;
        }
        Rect k2 = k();
        boolean z = false;
        ViewParent parent = view.getParent();
        if (parent instanceof View) {
            View view2 = (View) parent;
            k2.set(view2.getLeft(), view2.getTop(), view2.getRight(), view2.getBottom());
            z = !k2.intersects(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
        }
        c(view, i2);
        if (z && k2.intersect(view.getLeft(), view.getTop(), view.getRight(), view.getBottom())) {
            ((View) parent).invalidate(k2);
        }
    }

    public static void n(View view, int i2) {
        if (Build.VERSION.SDK_INT >= 23) {
            view.offsetTopAndBottom(i2);
            return;
        }
        Rect k2 = k();
        boolean z = false;
        ViewParent parent = view.getParent();
        if (parent instanceof View) {
            View view2 = (View) parent;
            k2.set(view2.getLeft(), view2.getTop(), view2.getRight(), view2.getBottom());
            z = !k2.intersects(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
        }
        d(view, i2);
        if (z && k2.intersect(view.getLeft(), view.getTop(), view.getRight(), view.getBottom())) {
            ((View) parent).invalidate(k2);
        }
    }

    public static o o(View view, o oVar) {
        WindowInsets i2 = oVar.i();
        if (i2 != null) {
            WindowInsets onApplyWindowInsets = view.onApplyWindowInsets(i2);
            if (!onApplyWindowInsets.equals(i2)) {
                return o.k(onApplyWindowInsets, view);
            }
        }
        return oVar;
    }

    public static b.j.h.b p(View view, b.j.h.b bVar) {
        OnReceiveContentViewBehavior onReceiveContentViewBehavior;
        OnReceiveContentViewBehavior onReceiveContentViewBehavior2;
        if (Log.isLoggable("ViewCompat", 3)) {
            Log.d("ViewCompat", "performReceiveContent: " + bVar + ", view=" + view.getClass().getSimpleName() + "[" + view.getId() + "]");
        }
        OnReceiveContentListener onReceiveContentListener = (OnReceiveContentListener) view.getTag(R$id.tag_on_receive_content_listener);
        if (onReceiveContentListener != null) {
            b.j.h.b onReceiveContent = onReceiveContentListener.onReceiveContent(view, bVar);
            if (onReceiveContent == null) {
                return null;
            }
            if (view instanceof OnReceiveContentViewBehavior) {
                onReceiveContentViewBehavior2 = (OnReceiveContentViewBehavior) view;
            } else {
                onReceiveContentViewBehavior2 = f1371g;
            }
            return onReceiveContentViewBehavior2.onReceiveContent(onReceiveContent);
        }
        if (view instanceof OnReceiveContentViewBehavior) {
            onReceiveContentViewBehavior = (OnReceiveContentViewBehavior) view;
        } else {
            onReceiveContentViewBehavior = f1371g;
        }
        return onReceiveContentViewBehavior.onReceiveContent(bVar);
    }

    public static void q(View view, int i2) {
        r(i2, view);
        l(view, 0);
    }

    public static void r(int i2, View view) {
        List<b.a> j2 = j(view);
        for (int i3 = 0; i3 < j2.size(); i3++) {
            if (j2.get(i3).a() == i2) {
                j2.remove(i3);
                return;
            }
        }
    }

    public static void s(View view, b.a aVar, CharSequence charSequence, AccessibilityViewCommand accessibilityViewCommand) {
        if (accessibilityViewCommand == null) {
            r(aVar.a(), view);
            l(view, 0);
            return;
        }
        a(view, new b.a(null, aVar.m, null, accessibilityViewCommand, aVar.n));
    }

    public static void t(View view, @SuppressLint({"ContextFirst"}) Context context, int[] iArr, AttributeSet attributeSet, TypedArray typedArray, int i2, int i3) {
        if (Build.VERSION.SDK_INT >= 29) {
            e.a(view, context, iArr, attributeSet, typedArray, i2, i3);
        }
    }

    public static void u(View view, b.j.h.a aVar) {
        View.AccessibilityDelegate accessibilityDelegate;
        if (aVar == null && (h(view) instanceof a.C0022a)) {
            aVar = new b.j.h.a();
        }
        if (aVar == null) {
            accessibilityDelegate = null;
        } else {
            accessibilityDelegate = aVar.f3392c;
        }
        view.setAccessibilityDelegate(accessibilityDelegate);
    }

    public static void v(View view, g gVar) {
        if (Build.VERSION.SDK_INT >= 24) {
            view.setPointerIcon((PointerIcon) (gVar != null ? gVar.f3415a : null));
        }
    }

    public static void w(View view) {
        float translationY = view.getTranslationY();
        view.setTranslationY(1.0f + translationY);
        view.setTranslationY(translationY);
    }

    public static abstract class b<T> {

        /* renamed from: a  reason: collision with root package name */
        public final int f1372a;

        /* renamed from: b  reason: collision with root package name */
        public final Class<T> f1373b;

        /* renamed from: c  reason: collision with root package name */
        public final int f1374c;

        /* renamed from: d  reason: collision with root package name */
        public final int f1375d;

        public b(int i2, Class<T> cls, int i3) {
            this.f1372a = i2;
            this.f1373b = cls;
            this.f1375d = 0;
            this.f1374c = i3;
        }

        public boolean a(Boolean bool, Boolean bool2) {
            boolean z;
            boolean booleanValue = bool == null ? false : bool.booleanValue();
            if (bool2 == null) {
                z = false;
            } else {
                z = bool2.booleanValue();
            }
            if (booleanValue == z) {
                return true;
            }
            return false;
        }

        public abstract T b(View view);

        public abstract void c(View view, T t);

        public T d(View view) {
            if (Build.VERSION.SDK_INT >= this.f1374c) {
                return b(view);
            }
            T t = (T) view.getTag(this.f1372a);
            if (this.f1373b.isInstance(t)) {
                return t;
            }
            return null;
        }

        public void e(View view, T t) {
            if (Build.VERSION.SDK_INT >= this.f1374c) {
                c(view, t);
            } else if (f(d(view), t)) {
                b.j.h.a g2 = ViewCompat.g(view);
                if (g2 == null) {
                    g2 = new b.j.h.a();
                }
                ViewCompat.u(view, g2);
                view.setTag(this.f1372a, t);
                ViewCompat.l(view, this.f1375d);
            }
        }

        public abstract boolean f(T t, T t2);

        public b(int i2, Class<T> cls, int i3, int i4) {
            this.f1372a = i2;
            this.f1373b = cls;
            this.f1375d = i3;
            this.f1374c = i4;
        }
    }
}
