package androidx.cursoradapter.widget;

import android.content.Context;
import android.database.ContentObserver;
import android.database.Cursor;
import android.database.DataSetObserver;
import android.os.Handler;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.Filter;
import android.widget.Filterable;
import androidx.cursoradapter.widget.CursorFilter;
import b.b.f.u;

public abstract class CursorAdapter extends BaseAdapter implements Filterable, CursorFilter.CursorFilterClient {

    /* renamed from: d  reason: collision with root package name */
    public boolean f1392d;

    /* renamed from: h  reason: collision with root package name */
    public boolean f1393h;

    /* renamed from: j  reason: collision with root package name */
    public Cursor f1394j;

    /* renamed from: k  reason: collision with root package name */
    public Context f1395k;

    /* renamed from: l  reason: collision with root package name */
    public int f1396l;
    public a m;
    public DataSetObserver n;
    public CursorFilter o;

    public class a extends ContentObserver {
        public a() {
            super(new Handler());
        }

        public boolean deliverSelfNotifications() {
            return true;
        }

        public void onChange(boolean z) {
            Cursor cursor;
            CursorAdapter cursorAdapter = CursorAdapter.this;
            if (cursorAdapter.f1393h && (cursor = cursorAdapter.f1394j) != null && !cursor.isClosed()) {
                cursorAdapter.f1392d = cursorAdapter.f1394j.requery();
            }
        }
    }

    public class b extends DataSetObserver {
        public b() {
        }

        public void onChanged() {
            CursorAdapter cursorAdapter = CursorAdapter.this;
            cursorAdapter.f1392d = true;
            cursorAdapter.notifyDataSetChanged();
        }

        public void onInvalidated() {
            CursorAdapter cursorAdapter = CursorAdapter.this;
            cursorAdapter.f1392d = false;
            cursorAdapter.notifyDataSetInvalidated();
        }
    }

    public CursorAdapter(Context context, Cursor cursor, boolean z) {
        boolean z2 = true;
        int i2 = z ? 1 : 2;
        if ((i2 & 1) == 1) {
            i2 |= 2;
            this.f1393h = true;
        } else {
            this.f1393h = false;
        }
        z2 = cursor == null ? false : z2;
        this.f1394j = cursor;
        this.f1392d = z2;
        this.f1395k = context;
        this.f1396l = z2 ? cursor.getColumnIndexOrThrow("_id") : -1;
        if ((i2 & 2) == 2) {
            this.m = new a();
            this.n = new b();
        } else {
            this.m = null;
            this.n = null;
        }
        if (z2) {
            a aVar = this.m;
            if (aVar != null) {
                cursor.registerContentObserver(aVar);
            }
            DataSetObserver dataSetObserver = this.n;
            if (dataSetObserver != null) {
                cursor.registerDataSetObserver(dataSetObserver);
            }
        }
    }

    public abstract void a(View view, Context context, Cursor cursor);

    public View b(Context context, Cursor cursor, ViewGroup viewGroup) {
        return c(context, cursor, viewGroup);
    }

    public abstract View c(Context context, Cursor cursor, ViewGroup viewGroup);

    @Override // androidx.cursoradapter.widget.CursorFilter.CursorFilterClient
    public void changeCursor(Cursor cursor) {
        Cursor d2 = d(cursor);
        if (d2 != null) {
            d2.close();
        }
    }

    @Override // androidx.cursoradapter.widget.CursorFilter.CursorFilterClient
    public CharSequence convertToString(Cursor cursor) {
        return cursor == null ? "" : cursor.toString();
    }

    public Cursor d(Cursor cursor) {
        Cursor cursor2 = this.f1394j;
        if (cursor == cursor2) {
            return null;
        }
        if (cursor2 != null) {
            a aVar = this.m;
            if (aVar != null) {
                cursor2.unregisterContentObserver(aVar);
            }
            DataSetObserver dataSetObserver = this.n;
            if (dataSetObserver != null) {
                cursor2.unregisterDataSetObserver(dataSetObserver);
            }
        }
        this.f1394j = cursor;
        if (cursor != null) {
            a aVar2 = this.m;
            if (aVar2 != null) {
                cursor.registerContentObserver(aVar2);
            }
            DataSetObserver dataSetObserver2 = this.n;
            if (dataSetObserver2 != null) {
                cursor.registerDataSetObserver(dataSetObserver2);
            }
            this.f1396l = cursor.getColumnIndexOrThrow("_id");
            this.f1392d = true;
            notifyDataSetChanged();
        } else {
            this.f1396l = -1;
            this.f1392d = false;
            notifyDataSetInvalidated();
        }
        return cursor2;
    }

    public int getCount() {
        Cursor cursor;
        if (!this.f1392d || (cursor = this.f1394j) == null) {
            return 0;
        }
        return cursor.getCount();
    }

    @Override // androidx.cursoradapter.widget.CursorFilter.CursorFilterClient
    public Cursor getCursor() {
        return this.f1394j;
    }

    public View getDropDownView(int i2, View view, ViewGroup viewGroup) {
        if (!this.f1392d) {
            return null;
        }
        this.f1394j.moveToPosition(i2);
        if (view == null) {
            view = b(this.f1395k, this.f1394j, viewGroup);
        }
        a(view, this.f1395k, this.f1394j);
        return view;
    }

    public Filter getFilter() {
        if (this.o == null) {
            this.o = new CursorFilter(this);
        }
        return this.o;
    }

    public Object getItem(int i2) {
        Cursor cursor;
        if (!this.f1392d || (cursor = this.f1394j) == null) {
            return null;
        }
        cursor.moveToPosition(i2);
        return this.f1394j;
    }

    public long getItemId(int i2) {
        Cursor cursor;
        if (!this.f1392d || (cursor = this.f1394j) == null || !cursor.moveToPosition(i2)) {
            return 0;
        }
        return this.f1394j.getLong(this.f1396l);
    }

    public View getView(int i2, View view, ViewGroup viewGroup) {
        if (!this.f1392d) {
            throw new IllegalStateException("this should only be called when the cursor is valid");
        } else if (this.f1394j.moveToPosition(i2)) {
            if (view == null) {
                view = c(this.f1395k, this.f1394j, viewGroup);
            }
            a(view, this.f1395k, this.f1394j);
            return view;
        } else {
            throw new IllegalStateException(d.a.a.a.a.k("couldn't move cursor to position ", i2));
        }
    }

    public boolean hasStableIds() {
        return !(this instanceof u);
    }

    @Override // androidx.cursoradapter.widget.CursorFilter.CursorFilterClient
    public Cursor runQueryOnBackgroundThread(CharSequence charSequence) {
        return this.f1394j;
    }
}
