package androidx.customview.widget;

import android.graphics.Rect;
import android.os.Bundle;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityManager;
import android.view.accessibility.AccessibilityNodeInfo;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.core.view.ViewCompat;
import b.f.h;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.concurrent.atomic.AtomicInteger;
import org.dsq.library.widget.bigImage.SubsamplingScaleImageView;

public abstract class ExploreByTouchHelper extends b.j.h.a {

    /* renamed from: d  reason: collision with root package name */
    public static final Rect f1400d = new Rect(SubsamplingScaleImageView.TILE_SIZE_AUTO, SubsamplingScaleImageView.TILE_SIZE_AUTO, Integer.MIN_VALUE, Integer.MIN_VALUE);

    /* renamed from: e  reason: collision with root package name */
    public static final FocusStrategy$BoundsAdapter<b.j.h.p.b> f1401e = new a();

    /* renamed from: f  reason: collision with root package name */
    public static final FocusStrategy$CollectionAdapter<h<b.j.h.p.b>, b.j.h.p.b> f1402f = new b();

    /* renamed from: g  reason: collision with root package name */
    public final Rect f1403g = new Rect();

    /* renamed from: h  reason: collision with root package name */
    public final Rect f1404h = new Rect();

    /* renamed from: i  reason: collision with root package name */
    public final Rect f1405i = new Rect();

    /* renamed from: j  reason: collision with root package name */
    public final int[] f1406j = new int[2];

    /* renamed from: k  reason: collision with root package name */
    public final AccessibilityManager f1407k;

    /* renamed from: l  reason: collision with root package name */
    public final View f1408l;
    public c m;
    public int n = Integer.MIN_VALUE;
    public int o = Integer.MIN_VALUE;
    public int p = Integer.MIN_VALUE;

    public static class a implements FocusStrategy$BoundsAdapter<b.j.h.p.b> {
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, android.graphics.Rect] */
        @Override // androidx.customview.widget.FocusStrategy$BoundsAdapter
        public void obtainBounds(b.j.h.p.b bVar, Rect rect) {
            bVar.f3453b.getBoundsInParent(rect);
        }
    }

    public static class b implements FocusStrategy$CollectionAdapter<h<b.j.h.p.b>, b.j.h.p.b> {
        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, int] */
        @Override // androidx.customview.widget.FocusStrategy$CollectionAdapter
        public b.j.h.p.b get(h<b.j.h.p.b> hVar, int i2) {
            h<b.j.h.p.b> hVar2 = hVar;
            if (hVar2.f2946h) {
                hVar2.c();
            }
            return (b.j.h.p.b) hVar2.f2948k[i2];
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // androidx.customview.widget.FocusStrategy$CollectionAdapter
        public int size(h<b.j.h.p.b> hVar) {
            return hVar.i();
        }
    }

    public class c extends b.j.h.p.c {
        public c() {
        }

        @Override // b.j.h.p.c
        public b.j.h.p.b a(int i2) {
            return new b.j.h.p.b(AccessibilityNodeInfo.obtain(ExploreByTouchHelper.this.s(i2).f3453b));
        }

        @Override // b.j.h.p.c
        public b.j.h.p.b b(int i2) {
            int i3 = i2 == 2 ? ExploreByTouchHelper.this.n : ExploreByTouchHelper.this.o;
            if (i3 == Integer.MIN_VALUE) {
                return null;
            }
            return new b.j.h.p.b(AccessibilityNodeInfo.obtain(ExploreByTouchHelper.this.s(i3).f3453b));
        }

        @Override // b.j.h.p.c
        public boolean c(int i2, int i3, Bundle bundle) {
            int i4;
            ExploreByTouchHelper exploreByTouchHelper = ExploreByTouchHelper.this;
            if (i2 != -1) {
                boolean z = true;
                if (i3 == 1) {
                    return exploreByTouchHelper.z(i2);
                }
                if (i3 == 2) {
                    return exploreByTouchHelper.k(i2);
                }
                if (i3 == 64) {
                    if (!exploreByTouchHelper.f1407k.isEnabled() || !exploreByTouchHelper.f1407k.isTouchExplorationEnabled() || (i4 = exploreByTouchHelper.n) == i2) {
                        z = false;
                    } else {
                        if (i4 != Integer.MIN_VALUE) {
                            exploreByTouchHelper.j(i4);
                        }
                        exploreByTouchHelper.n = i2;
                        exploreByTouchHelper.f1408l.invalidate();
                        exploreByTouchHelper.A(i2, 32768);
                    }
                    return z;
                } else if (i3 != 128) {
                    return exploreByTouchHelper.t(i2, i3, bundle);
                } else {
                    return exploreByTouchHelper.j(i2);
                }
            } else {
                View view = exploreByTouchHelper.f1408l;
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                return view.performAccessibilityAction(i3, bundle);
            }
        }
    }

    public ExploreByTouchHelper(View view) {
        if (view != null) {
            this.f1408l = view;
            this.f1407k = (AccessibilityManager) view.getContext().getSystemService("accessibility");
            view.setFocusable(true);
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            if (view.getImportantForAccessibility() == 0) {
                view.setImportantForAccessibility(1);
                return;
            }
            return;
        }
        throw new IllegalArgumentException("View may not be null");
    }

    public final boolean A(int i2, int i3) {
        ViewParent parent;
        if (i2 == Integer.MIN_VALUE || !this.f1407k.isEnabled() || (parent = this.f1408l.getParent()) == null) {
            return false;
        }
        return parent.requestSendAccessibilityEvent(this.f1408l, l(i2, i3));
    }

    public final void B(int i2) {
        int i3 = this.p;
        if (i3 != i2) {
            this.p = i2;
            A(i2, 128);
            A(i3, 256);
        }
    }

    @Override // b.j.h.a
    public b.j.h.p.c b(View view) {
        if (this.m == null) {
            this.m = new c();
        }
        return this.m;
    }

    @Override // b.j.h.a
    public void c(View view, AccessibilityEvent accessibilityEvent) {
        this.f3391b.onInitializeAccessibilityEvent(view, accessibilityEvent);
        u();
    }

    @Override // b.j.h.a
    public void d(View view, b.j.h.p.b bVar) {
        this.f3391b.onInitializeAccessibilityNodeInfo(view, bVar.f3453b);
        w(bVar);
    }

    public final boolean j(int i2) {
        if (this.n != i2) {
            return false;
        }
        this.n = Integer.MIN_VALUE;
        this.f1408l.invalidate();
        A(i2, 65536);
        return true;
    }

    public final boolean k(int i2) {
        if (this.o != i2) {
            return false;
        }
        this.o = Integer.MIN_VALUE;
        y(i2, false);
        A(i2, 8);
        return true;
    }

    public final AccessibilityEvent l(int i2, int i3) {
        if (i2 != -1) {
            AccessibilityEvent obtain = AccessibilityEvent.obtain(i3);
            b.j.h.p.b s = s(i2);
            obtain.getText().add(s.j());
            obtain.setContentDescription(s.g());
            obtain.setScrollable(s.f3453b.isScrollable());
            obtain.setPassword(s.f3453b.isPassword());
            obtain.setEnabled(s.l());
            obtain.setChecked(s.f3453b.isChecked());
            v();
            if (!obtain.getText().isEmpty() || obtain.getContentDescription() != null) {
                obtain.setClassName(s.e());
                obtain.setSource(this.f1408l, i2);
                obtain.setPackageName(this.f1408l.getContext().getPackageName());
                return obtain;
            }
            throw new RuntimeException("Callbacks must add text or a content description in populateEventForVirtualViewId()");
        }
        AccessibilityEvent obtain2 = AccessibilityEvent.obtain(i3);
        this.f1408l.onInitializeAccessibilityEvent(obtain2);
        return obtain2;
    }

    public final b.j.h.p.b m(int i2) {
        AccessibilityNodeInfo obtain = AccessibilityNodeInfo.obtain();
        b.j.h.p.b bVar = new b.j.h.p.b(obtain);
        obtain.setEnabled(true);
        obtain.setFocusable(true);
        obtain.setClassName("android.view.View");
        Rect rect = f1400d;
        obtain.setBoundsInParent(rect);
        obtain.setBoundsInScreen(rect);
        bVar.v(this.f1408l);
        x(i2, bVar);
        if (bVar.j() == null && bVar.g() == null) {
            throw new RuntimeException("Callbacks must add text or a content description in populateNodeForVirtualViewId()");
        }
        obtain.getBoundsInParent(this.f1404h);
        if (!this.f1404h.equals(rect)) {
            int d2 = bVar.d();
            if ((d2 & 64) != 0) {
                throw new RuntimeException("Callbacks must not add ACTION_ACCESSIBILITY_FOCUS in populateNodeForVirtualViewId()");
            } else if ((d2 & 128) == 0) {
                obtain.setPackageName(this.f1408l.getContext().getPackageName());
                View view = this.f1408l;
                bVar.f3455d = i2;
                obtain.setSource(view, i2);
                boolean z = false;
                if (this.n == i2) {
                    obtain.setAccessibilityFocused(true);
                    obtain.addAction(128);
                } else {
                    obtain.setAccessibilityFocused(false);
                    obtain.addAction(64);
                }
                boolean z2 = this.o == i2;
                if (z2) {
                    obtain.addAction(2);
                } else if (bVar.m()) {
                    obtain.addAction(1);
                }
                obtain.setFocused(z2);
                this.f1408l.getLocationOnScreen(this.f1406j);
                obtain.getBoundsInScreen(this.f1403g);
                if (this.f1403g.equals(rect)) {
                    obtain.getBoundsInParent(this.f1403g);
                    if (bVar.f3454c != -1) {
                        b.j.h.p.b bVar2 = new b.j.h.p.b(AccessibilityNodeInfo.obtain());
                        for (int i3 = bVar.f3454c; i3 != -1; i3 = bVar2.f3454c) {
                            View view2 = this.f1408l;
                            bVar2.f3454c = -1;
                            bVar2.f3453b.setParent(view2, -1);
                            bVar2.f3453b.setBoundsInParent(f1400d);
                            x(i3, bVar2);
                            bVar2.f3453b.getBoundsInParent(this.f1404h);
                            Rect rect2 = this.f1403g;
                            Rect rect3 = this.f1404h;
                            rect2.offset(rect3.left, rect3.top);
                        }
                        bVar2.f3453b.recycle();
                    }
                    this.f1403g.offset(this.f1406j[0] - this.f1408l.getScrollX(), this.f1406j[1] - this.f1408l.getScrollY());
                }
                if (this.f1408l.getLocalVisibleRect(this.f1405i)) {
                    this.f1405i.offset(this.f1406j[0] - this.f1408l.getScrollX(), this.f1406j[1] - this.f1408l.getScrollY());
                    if (this.f1403g.intersect(this.f1405i)) {
                        bVar.f3453b.setBoundsInScreen(this.f1403g);
                        Rect rect4 = this.f1403g;
                        if (rect4 != null && !rect4.isEmpty() && this.f1408l.getWindowVisibility() == 0) {
                            ViewParent parent = this.f1408l.getParent();
                            while (true) {
                                if (parent instanceof View) {
                                    View view3 = (View) parent;
                                    if (view3.getAlpha() <= 0.0f || view3.getVisibility() != 0) {
                                        break;
                                    }
                                    parent = view3.getParent();
                                } else if (parent != null) {
                                    z = true;
                                }
                            }
                        }
                        if (z) {
                            bVar.f3453b.setVisibleToUser(true);
                        }
                    }
                }
                return bVar;
            } else {
                throw new RuntimeException("Callbacks must not add ACTION_CLEAR_ACCESSIBILITY_FOCUS in populateNodeForVirtualViewId()");
            }
        } else {
            throw new RuntimeException("Callbacks must set parent bounds in populateNodeForVirtualViewId()");
        }
    }

    public final boolean n(MotionEvent motionEvent) {
        int i2;
        if (this.f1407k.isEnabled() && this.f1407k.isTouchExplorationEnabled()) {
            int action = motionEvent.getAction();
            if (action == 7 || action == 9) {
                int o2 = o(motionEvent.getX(), motionEvent.getY());
                int i3 = this.p;
                if (i3 != o2) {
                    this.p = o2;
                    A(o2, 128);
                    A(i3, 256);
                }
                if (o2 != Integer.MIN_VALUE) {
                    return true;
                }
            } else if (action != 10 || (i2 = this.p) == Integer.MIN_VALUE) {
                return false;
            } else {
                if (i2 != Integer.MIN_VALUE) {
                    this.p = Integer.MIN_VALUE;
                    A(Integer.MIN_VALUE, 128);
                    A(i2, 256);
                }
                return true;
            }
        }
        return false;
    }

    public abstract int o(float f2, float f3);

    public abstract void p(List<Integer> list);

    public final void q(int i2) {
        ViewParent parent;
        if (i2 != Integer.MIN_VALUE && this.f1407k.isEnabled() && (parent = this.f1408l.getParent()) != null) {
            AccessibilityEvent l2 = l(i2, 2048);
            l2.setContentChangeTypes(0);
            parent.requestSendAccessibilityEvent(this.f1408l, l2);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:58:0x0125, code lost:
        if (r13 < ((r18 * r18) + ((r17 * 13) * r17))) goto L_0x0127;
     */
    /* JADX WARNING: Removed duplicated region for block: B:62:0x012c  */
    /* JADX WARNING: Removed duplicated region for block: B:99:0x0131 A[SYNTHETIC] */
    public final boolean r(int i2, Rect rect) {
        b.j.h.p.b bVar;
        b.j.h.p.b bVar2;
        Object obj;
        boolean z;
        ArrayList arrayList = new ArrayList();
        p(arrayList);
        h<b.j.h.p.b> hVar = new h<>();
        for (int i3 = 0; i3 < arrayList.size(); i3++) {
            hVar.h(i3, m(i3));
        }
        int i4 = this.o;
        int i5 = Integer.MIN_VALUE;
        if (i4 == Integer.MIN_VALUE) {
            bVar = null;
        } else {
            bVar = hVar.d(i4);
        }
        int i6 = -1;
        if (i2 == 1 || i2 == 2) {
            View view = this.f1408l;
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            boolean z2 = view.getLayoutDirection() == 1;
            FocusStrategy$CollectionAdapter<h<b.j.h.p.b>, b.j.h.p.b> focusStrategy$CollectionAdapter = f1402f;
            FocusStrategy$BoundsAdapter<b.j.h.p.b> focusStrategy$BoundsAdapter = f1401e;
            int size = focusStrategy$CollectionAdapter.size(hVar);
            ArrayList arrayList2 = new ArrayList(size);
            for (int i7 = 0; i7 < size; i7++) {
                arrayList2.add(focusStrategy$CollectionAdapter.get(hVar, i7));
            }
            Collections.sort(arrayList2, new b.k.a.a(z2, focusStrategy$BoundsAdapter));
            if (i2 == 1) {
                int size2 = arrayList2.size();
                if (bVar != null) {
                    size2 = arrayList2.indexOf(bVar);
                }
                int i8 = size2 - 1;
                if (i8 >= 0) {
                    obj = arrayList2.get(i8);
                    bVar2 = (b.j.h.p.b) obj;
                }
            } else if (i2 == 2) {
                int size3 = arrayList2.size();
                if (bVar != null) {
                    i6 = arrayList2.lastIndexOf(bVar);
                }
                int i9 = i6 + 1;
                if (i9 < size3) {
                    obj = arrayList2.get(i9);
                    bVar2 = (b.j.h.p.b) obj;
                }
            } else {
                throw new IllegalArgumentException("direction must be one of {FOCUS_FORWARD, FOCUS_BACKWARD}.");
            }
            obj = null;
            bVar2 = (b.j.h.p.b) obj;
        } else if (i2 == 17 || i2 == 33 || i2 == 66 || i2 == 130) {
            Rect rect2 = new Rect();
            int i10 = this.o;
            if (i10 != Integer.MIN_VALUE) {
                s(i10).f3453b.getBoundsInParent(rect2);
            } else if (rect != null) {
                rect2.set(rect);
            } else {
                View view2 = this.f1408l;
                int width = view2.getWidth();
                int height = view2.getHeight();
                if (i2 == 17) {
                    rect2.set(width, 0, width, height);
                } else if (i2 == 33) {
                    rect2.set(0, height, width, height);
                } else if (i2 == 66) {
                    rect2.set(-1, 0, -1, height);
                } else if (i2 == 130) {
                    rect2.set(0, -1, width, -1);
                } else {
                    throw new IllegalArgumentException("direction must be one of {FOCUS_UP, FOCUS_DOWN, FOCUS_LEFT, FOCUS_RIGHT}.");
                }
            }
            FocusStrategy$CollectionAdapter<h<b.j.h.p.b>, b.j.h.p.b> focusStrategy$CollectionAdapter2 = f1402f;
            FocusStrategy$BoundsAdapter<b.j.h.p.b> focusStrategy$BoundsAdapter2 = f1401e;
            Rect rect3 = new Rect(rect2);
            if (i2 == 17) {
                rect3.offset(rect2.width() + 1, 0);
            } else if (i2 == 33) {
                rect3.offset(0, rect2.height() + 1);
            } else if (i2 == 66) {
                rect3.offset(-(rect2.width() + 1), 0);
            } else if (i2 == 130) {
                rect3.offset(0, -(rect2.height() + 1));
            } else {
                throw new IllegalArgumentException("direction must be one of {FOCUS_UP, FOCUS_DOWN, FOCUS_LEFT, FOCUS_RIGHT}.");
            }
            int size4 = focusStrategy$CollectionAdapter2.size(hVar);
            Rect rect4 = new Rect();
            int i11 = 0;
            Object obj2 = null;
            while (i11 < size4) {
                b.j.h.p.b bVar3 = focusStrategy$CollectionAdapter2.get(hVar, i11);
                if (bVar3 != bVar) {
                    focusStrategy$BoundsAdapter2.obtainBounds(bVar3, rect4);
                    if (AppCompatDelegateImpl.e.Y(rect2, rect4, i2)) {
                        if (AppCompatDelegateImpl.e.Y(rect2, rect3, i2) && !AppCompatDelegateImpl.e.b(i2, rect2, rect4, rect3)) {
                            if (!AppCompatDelegateImpl.e.b(i2, rect2, rect3, rect4)) {
                                int b0 = AppCompatDelegateImpl.e.b0(i2, rect2, rect4);
                                int c0 = AppCompatDelegateImpl.e.c0(i2, rect2, rect4);
                                int i12 = (c0 * c0) + (b0 * 13 * b0);
                                int b02 = AppCompatDelegateImpl.e.b0(i2, rect2, rect3);
                                int c02 = AppCompatDelegateImpl.e.c0(i2, rect2, rect3);
                            }
                        }
                        z = true;
                        if (!z) {
                            rect3.set(rect4);
                            obj2 = bVar3;
                        }
                    }
                    z = false;
                    if (!z) {
                    }
                }
                i11++;
                obj2 = obj2;
            }
            bVar2 = (b.j.h.p.b) obj2;
        } else {
            throw new IllegalArgumentException("direction must be one of {FOCUS_FORWARD, FOCUS_BACKWARD, FOCUS_UP, FOCUS_DOWN, FOCUS_LEFT, FOCUS_RIGHT}.");
        }
        if (bVar2 != null) {
            i5 = hVar.g(hVar.f(bVar2));
        }
        return z(i5);
    }

    public b.j.h.p.b s(int i2) {
        if (i2 != -1) {
            return m(i2);
        }
        AccessibilityNodeInfo obtain = AccessibilityNodeInfo.obtain(this.f1408l);
        b.j.h.p.b bVar = new b.j.h.p.b(obtain);
        View view = this.f1408l;
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        view.onInitializeAccessibilityNodeInfo(obtain);
        ArrayList arrayList = new ArrayList();
        p(arrayList);
        if (obtain.getChildCount() <= 0 || arrayList.size() <= 0) {
            int size = arrayList.size();
            for (int i3 = 0; i3 < size; i3++) {
                bVar.f3453b.addChild(this.f1408l, ((Integer) arrayList.get(i3)).intValue());
            }
            return bVar;
        }
        throw new RuntimeException("Views cannot have both real and virtual children");
    }

    public abstract boolean t(int i2, int i3, Bundle bundle);

    public void u() {
    }

    public void v() {
    }

    public void w(b.j.h.p.b bVar) {
    }

    public abstract void x(int i2, b.j.h.p.b bVar);

    public void y(int i2, boolean z) {
    }

    public final boolean z(int i2) {
        int i3;
        if ((!this.f1408l.isFocused() && !this.f1408l.requestFocus()) || (i3 = this.o) == i2) {
            return false;
        }
        if (i3 != Integer.MIN_VALUE) {
            k(i3);
        }
        this.o = i2;
        y(i2, true);
        A(i2, 8);
        return true;
    }
}
