package androidx.drawerlayout.widget;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.SystemClock;
import android.util.AttributeSet;
import android.view.Gravity;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowInsets;
import android.view.accessibility.AccessibilityEvent;
import androidx.core.view.ViewCompat;
import androidx.customview.view.AbsSavedState;
import b.j.h.p.b;
import b.k.a.b;
import com.shuyu.gsyvideoplayer.utils.NeuQuant;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;

public class DrawerLayout extends ViewGroup {

    /* renamed from: d  reason: collision with root package name */
    public static final int[] f1433d = {16843828};

    /* renamed from: h  reason: collision with root package name */
    public static final int[] f1434h = {16842931};
    public boolean A;
    public DrawerListener B;
    public List<DrawerListener> C;
    public float D;
    public float E;
    public Drawable F;
    public Object G;
    public boolean H;
    public final ArrayList<View> I;
    public Rect J;
    public Matrix K;

    /* renamed from: j  reason: collision with root package name */
    public final c f1435j;

    /* renamed from: k  reason: collision with root package name */
    public float f1436k;

    /* renamed from: l  reason: collision with root package name */
    public int f1437l;
    public int m;
    public float n;
    public Paint o;
    public final b.k.a.b p;
    public final b.k.a.b q;
    public final e r;
    public final e s;
    public int t;
    public boolean u;
    public boolean v;
    public int w;
    public int x;
    public int y;
    public int z;

    public interface DrawerListener {
        void onDrawerClosed(View view);

        void onDrawerOpened(View view);

        void onDrawerSlide(View view, float f2);

        void onDrawerStateChanged(int i2);
    }

    public static abstract class SimpleDrawerListener implements DrawerListener {
        @Override // androidx.drawerlayout.widget.DrawerLayout.DrawerListener
        public void onDrawerClosed(View view) {
        }

        @Override // androidx.drawerlayout.widget.DrawerLayout.DrawerListener
        public void onDrawerOpened(View view) {
        }

        @Override // androidx.drawerlayout.widget.DrawerLayout.DrawerListener
        public void onDrawerSlide(View view, float f2) {
        }

        @Override // androidx.drawerlayout.widget.DrawerLayout.DrawerListener
        public void onDrawerStateChanged(int i2) {
        }
    }

    public class a implements View.OnApplyWindowInsetsListener {
        public a(DrawerLayout drawerLayout) {
        }

        public WindowInsets onApplyWindowInsets(View view, WindowInsets windowInsets) {
            DrawerLayout drawerLayout = (DrawerLayout) view;
            boolean z = true;
            boolean z2 = windowInsets.getSystemWindowInsetTop() > 0;
            drawerLayout.G = windowInsets;
            drawerLayout.H = z2;
            if (z2 || drawerLayout.getBackground() != null) {
                z = false;
            }
            drawerLayout.setWillNotDraw(z);
            drawerLayout.requestLayout();
            return windowInsets.consumeSystemWindowInsets();
        }
    }

    public class b extends b.j.h.a {

        /* renamed from: d  reason: collision with root package name */
        public final Rect f1438d = new Rect();

        public b() {
        }

        @Override // b.j.h.a
        public boolean a(View view, AccessibilityEvent accessibilityEvent) {
            if (accessibilityEvent.getEventType() != 32) {
                return this.f3391b.dispatchPopulateAccessibilityEvent(view, accessibilityEvent);
            }
            accessibilityEvent.getText();
            View f2 = DrawerLayout.this.f();
            if (f2 == null) {
                return true;
            }
            int h2 = DrawerLayout.this.h(f2);
            DrawerLayout drawerLayout = DrawerLayout.this;
            Objects.requireNonNull(drawerLayout);
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            Gravity.getAbsoluteGravity(h2, drawerLayout.getLayoutDirection());
            return true;
        }

        @Override // b.j.h.a
        public void c(View view, AccessibilityEvent accessibilityEvent) {
            this.f3391b.onInitializeAccessibilityEvent(view, accessibilityEvent);
            accessibilityEvent.setClassName(DrawerLayout.class.getName());
        }

        @Override // b.j.h.a
        public void d(View view, b.j.h.p.b bVar) {
            int[] iArr = DrawerLayout.f1433d;
            this.f3391b.onInitializeAccessibilityNodeInfo(view, bVar.f3453b);
            bVar.f3453b.setClassName(DrawerLayout.class.getName());
            bVar.f3453b.setFocusable(false);
            bVar.f3453b.setFocused(false);
            bVar.q(b.a.f3456a);
            bVar.q(b.a.f3457b);
        }

        @Override // b.j.h.a
        public boolean f(ViewGroup viewGroup, View view, AccessibilityEvent accessibilityEvent) {
            int[] iArr = DrawerLayout.f1433d;
            return this.f3391b.onRequestSendAccessibilityEvent(viewGroup, view, accessibilityEvent);
        }
    }

    public static final class c extends b.j.h.a {
        @Override // b.j.h.a
        public void d(View view, b.j.h.p.b bVar) {
            this.f3391b.onInitializeAccessibilityNodeInfo(view, bVar.f3453b);
            if (!DrawerLayout.i(view)) {
                bVar.v(null);
            }
        }
    }

    public class e extends b.c {

        /* renamed from: a  reason: collision with root package name */
        public final int f1444a;

        /* renamed from: b  reason: collision with root package name */
        public b.k.a.b f1445b;

        /* renamed from: c  reason: collision with root package name */
        public final Runnable f1446c = new a();

        public class a implements Runnable {
            public a() {
            }

            public void run() {
                int i2;
                View view;
                e eVar = e.this;
                int i3 = eVar.f1445b.p;
                boolean z = eVar.f1444a == 3;
                if (z) {
                    view = DrawerLayout.this.d(3);
                    i2 = (view != null ? -view.getWidth() : 0) + i3;
                } else {
                    view = DrawerLayout.this.d(5);
                    i2 = DrawerLayout.this.getWidth() - i3;
                }
                if (view == null) {
                    return;
                }
                if (((z && view.getLeft() < i2) || (!z && view.getLeft() > i2)) && DrawerLayout.this.g(view) == 0) {
                    eVar.f1445b.z(view, i2, view.getTop());
                    ((d) view.getLayoutParams()).f1442c = true;
                    DrawerLayout.this.invalidate();
                    eVar.a();
                    DrawerLayout drawerLayout = DrawerLayout.this;
                    if (!drawerLayout.A) {
                        long uptimeMillis = SystemClock.uptimeMillis();
                        MotionEvent obtain = MotionEvent.obtain(uptimeMillis, uptimeMillis, 3, 0.0f, 0.0f, 0);
                        int childCount = drawerLayout.getChildCount();
                        for (int i4 = 0; i4 < childCount; i4++) {
                            drawerLayout.getChildAt(i4).dispatchTouchEvent(obtain);
                        }
                        obtain.recycle();
                        drawerLayout.A = true;
                    }
                }
            }
        }

        public e(int i2) {
            this.f1444a = i2;
        }

        public final void a() {
            int i2 = 3;
            if (this.f1444a == 3) {
                i2 = 5;
            }
            View d2 = DrawerLayout.this.d(i2);
            if (d2 != null) {
                DrawerLayout.this.b(d2);
            }
        }

        public void b() {
            DrawerLayout.this.removeCallbacks(this.f1446c);
        }

        @Override // b.k.a.b.c
        public int clampViewPositionHorizontal(View view, int i2, int i3) {
            if (DrawerLayout.this.a(view, 3)) {
                return Math.max(-view.getWidth(), Math.min(i2, 0));
            }
            int width = DrawerLayout.this.getWidth();
            return Math.max(width - view.getWidth(), Math.min(i2, width));
        }

        @Override // b.k.a.b.c
        public int clampViewPositionVertical(View view, int i2, int i3) {
            return view.getTop();
        }

        @Override // b.k.a.b.c
        public int getViewHorizontalDragRange(View view) {
            if (DrawerLayout.this.k(view)) {
                return view.getWidth();
            }
            return 0;
        }

        @Override // b.k.a.b.c
        public void onEdgeDragStarted(int i2, int i3) {
            View view;
            if ((i2 & 1) == 1) {
                view = DrawerLayout.this.d(3);
            } else {
                view = DrawerLayout.this.d(5);
            }
            if (view != null && DrawerLayout.this.g(view) == 0) {
                this.f1445b.c(view, i3);
            }
        }

        @Override // b.k.a.b.c
        public boolean onEdgeLock(int i2) {
            return false;
        }

        @Override // b.k.a.b.c
        public void onEdgeTouched(int i2, int i3) {
            DrawerLayout.this.postDelayed(this.f1446c, 160);
        }

        @Override // b.k.a.b.c
        public void onViewCaptured(View view, int i2) {
            ((d) view.getLayoutParams()).f1442c = false;
            a();
        }

        @Override // b.k.a.b.c
        public void onViewDragStateChanged(int i2) {
            DrawerLayout.this.p(i2, this.f1445b.t);
        }

        @Override // b.k.a.b.c
        public void onViewPositionChanged(View view, int i2, int i3, int i4, int i5) {
            float f2;
            int width = view.getWidth();
            if (DrawerLayout.this.a(view, 3)) {
                f2 = (float) (i2 + width);
            } else {
                f2 = (float) (DrawerLayout.this.getWidth() - i2);
            }
            float f3 = f2 / ((float) width);
            DrawerLayout.this.n(view, f3);
            view.setVisibility(f3 == 0.0f ? 4 : 0);
            DrawerLayout.this.invalidate();
        }

        @Override // b.k.a.b.c
        public void onViewReleased(View view, float f2, float f3) {
            int i2;
            Objects.requireNonNull(DrawerLayout.this);
            float f4 = ((d) view.getLayoutParams()).f1441b;
            int width = view.getWidth();
            if (DrawerLayout.this.a(view, 3)) {
                int i3 = (f2 > 0.0f ? 1 : (f2 == 0.0f ? 0 : -1));
                i2 = (i3 > 0 || (i3 == 0 && f4 > 0.5f)) ? 0 : -width;
            } else {
                int width2 = DrawerLayout.this.getWidth();
                if (f2 < 0.0f || (f2 == 0.0f && f4 > 0.5f)) {
                    width2 -= width;
                }
                i2 = width2;
            }
            this.f1445b.x(i2, view.getTop());
            DrawerLayout.this.invalidate();
        }

        @Override // b.k.a.b.c
        public boolean tryCaptureView(View view, int i2) {
            return DrawerLayout.this.k(view) && DrawerLayout.this.a(view, this.f1444a) && DrawerLayout.this.g(view) == 0;
        }
    }

    public DrawerLayout(Context context) {
        this(context, null);
    }

    public static boolean i(View view) {
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        return (view.getImportantForAccessibility() == 4 || view.getImportantForAccessibility() == 2) ? false : true;
    }

    public boolean a(View view, int i2) {
        return (h(view) & i2) == i2;
    }

    @Override // android.view.View, android.view.ViewGroup
    public void addFocusables(ArrayList<View> arrayList, int i2, int i3) {
        if (getDescendantFocusability() != 393216) {
            int childCount = getChildCount();
            boolean z2 = false;
            for (int i4 = 0; i4 < childCount; i4++) {
                View childAt = getChildAt(i4);
                if (!k(childAt)) {
                    this.I.add(childAt);
                } else if (!k(childAt)) {
                    throw new IllegalArgumentException("View " + childAt + " is not a drawer");
                } else if ((((d) childAt.getLayoutParams()).f1443d & 1) == 1) {
                    childAt.addFocusables(arrayList, i2, i3);
                    z2 = true;
                }
            }
            if (!z2) {
                int size = this.I.size();
                for (int i5 = 0; i5 < size; i5++) {
                    View view = this.I.get(i5);
                    if (view.getVisibility() == 0) {
                        view.addFocusables(arrayList, i2, i3);
                    }
                }
            }
            this.I.clear();
        }
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i2, ViewGroup.LayoutParams layoutParams) {
        super.addView(view, i2, layoutParams);
        if (e() != null || k(view)) {
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            view.setImportantForAccessibility(4);
            return;
        }
        AtomicInteger atomicInteger2 = ViewCompat.f1365a;
        view.setImportantForAccessibility(1);
    }

    public void b(View view) {
        if (k(view)) {
            d dVar = (d) view.getLayoutParams();
            if (this.v) {
                dVar.f1441b = 0.0f;
                dVar.f1443d = 0;
            } else {
                dVar.f1443d |= 4;
                if (a(view, 3)) {
                    this.p.z(view, -view.getWidth(), view.getTop());
                } else {
                    this.q.z(view, getWidth(), view.getTop());
                }
            }
            invalidate();
            return;
        }
        throw new IllegalArgumentException("View " + view + " is not a sliding drawer");
    }

    public void c(boolean z2) {
        boolean z3;
        int childCount = getChildCount();
        boolean z4 = false;
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = getChildAt(i2);
            d dVar = (d) childAt.getLayoutParams();
            if (k(childAt) && (!z2 || dVar.f1442c)) {
                int width = childAt.getWidth();
                if (a(childAt, 3)) {
                    z3 = this.p.z(childAt, -width, childAt.getTop());
                } else {
                    z3 = this.q.z(childAt, getWidth(), childAt.getTop());
                }
                z4 |= z3;
                dVar.f1442c = false;
            }
        }
        this.r.b();
        this.s.b();
        if (z4) {
            invalidate();
        }
    }

    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return (layoutParams instanceof d) && super.checkLayoutParams(layoutParams);
    }

    public void computeScroll() {
        int childCount = getChildCount();
        float f2 = 0.0f;
        for (int i2 = 0; i2 < childCount; i2++) {
            f2 = Math.max(f2, ((d) getChildAt(i2).getLayoutParams()).f1441b);
        }
        this.n = f2;
        boolean j2 = this.p.j(true);
        boolean j3 = this.q.j(true);
        if (j2 || j3) {
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            postInvalidateOnAnimation();
        }
    }

    public View d(int i2) {
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        int absoluteGravity = Gravity.getAbsoluteGravity(i2, getLayoutDirection()) & 7;
        int childCount = getChildCount();
        for (int i3 = 0; i3 < childCount; i3++) {
            View childAt = getChildAt(i3);
            if ((h(childAt) & 7) == absoluteGravity) {
                return childAt;
            }
        }
        return null;
    }

    public boolean dispatchGenericMotionEvent(MotionEvent motionEvent) {
        boolean z2;
        if ((motionEvent.getSource() & 2) == 0 || motionEvent.getAction() == 10 || this.n <= 0.0f) {
            return super.dispatchGenericMotionEvent(motionEvent);
        }
        int childCount = getChildCount();
        if (childCount == 0) {
            return false;
        }
        float x2 = motionEvent.getX();
        float y2 = motionEvent.getY();
        for (int i2 = childCount - 1; i2 >= 0; i2--) {
            View childAt = getChildAt(i2);
            if (this.J == null) {
                this.J = new Rect();
            }
            childAt.getHitRect(this.J);
            if (this.J.contains((int) x2, (int) y2) && !j(childAt)) {
                if (!childAt.getMatrix().isIdentity()) {
                    MotionEvent obtain = MotionEvent.obtain(motionEvent);
                    obtain.offsetLocation((float) (getScrollX() - childAt.getLeft()), (float) (getScrollY() - childAt.getTop()));
                    Matrix matrix = childAt.getMatrix();
                    if (!matrix.isIdentity()) {
                        if (this.K == null) {
                            this.K = new Matrix();
                        }
                        matrix.invert(this.K);
                        obtain.transform(this.K);
                    }
                    z2 = childAt.dispatchGenericMotionEvent(obtain);
                    obtain.recycle();
                } else {
                    float scrollX = (float) (getScrollX() - childAt.getLeft());
                    float scrollY = (float) (getScrollY() - childAt.getTop());
                    motionEvent.offsetLocation(scrollX, scrollY);
                    z2 = childAt.dispatchGenericMotionEvent(motionEvent);
                    motionEvent.offsetLocation(-scrollX, -scrollY);
                }
                if (z2) {
                    return true;
                }
            }
        }
        return false;
    }

    public boolean drawChild(Canvas canvas, View view, long j2) {
        int height = getHeight();
        boolean j3 = j(view);
        int width = getWidth();
        int save = canvas.save();
        int i2 = 0;
        if (j3) {
            int childCount = getChildCount();
            int i3 = 0;
            for (int i4 = 0; i4 < childCount; i4++) {
                View childAt = getChildAt(i4);
                if (childAt != view && childAt.getVisibility() == 0) {
                    Drawable background = childAt.getBackground();
                    if ((background != null && background.getOpacity() == -1) && k(childAt) && childAt.getHeight() >= height) {
                        if (a(childAt, 3)) {
                            int right = childAt.getRight();
                            if (right > i3) {
                                i3 = right;
                            }
                        } else {
                            int left = childAt.getLeft();
                            if (left < width) {
                                width = left;
                            }
                        }
                    }
                }
            }
            canvas.clipRect(i3, 0, width, getHeight());
            i2 = i3;
        }
        boolean drawChild = super.drawChild(canvas, view, j2);
        canvas.restoreToCount(save);
        float f2 = this.n;
        if (f2 > 0.0f && j3) {
            int i5 = this.m;
            this.o.setColor((((int) (((float) ((-16777216 & i5) >>> 24)) * f2)) << 24) | (i5 & 16777215));
            canvas.drawRect((float) i2, 0.0f, (float) width, (float) getHeight(), this.o);
        }
        return drawChild;
    }

    public View e() {
        int childCount = getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = getChildAt(i2);
            if ((((d) childAt.getLayoutParams()).f1443d & 1) == 1) {
                return childAt;
            }
        }
        return null;
    }

    public View f() {
        int childCount = getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = getChildAt(i2);
            if (k(childAt)) {
                if (k(childAt)) {
                    if (((d) childAt.getLayoutParams()).f1441b > 0.0f) {
                        return childAt;
                    }
                } else {
                    throw new IllegalArgumentException("View " + childAt + " is not a drawer");
                }
            }
        }
        return null;
    }

    public int g(View view) {
        if (k(view)) {
            int i2 = ((d) view.getLayoutParams()).f1440a;
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            int layoutDirection = getLayoutDirection();
            if (i2 == 3) {
                int i3 = this.w;
                if (i3 != 3) {
                    return i3;
                }
                int i4 = layoutDirection == 0 ? this.y : this.z;
                if (i4 != 3) {
                    return i4;
                }
            } else if (i2 == 5) {
                int i5 = this.x;
                if (i5 != 3) {
                    return i5;
                }
                int i6 = layoutDirection == 0 ? this.z : this.y;
                if (i6 != 3) {
                    return i6;
                }
            } else if (i2 == 8388611) {
                int i7 = this.y;
                if (i7 != 3) {
                    return i7;
                }
                int i8 = layoutDirection == 0 ? this.w : this.x;
                if (i8 != 3) {
                    return i8;
                }
            } else if (i2 == 8388613) {
                int i9 = this.z;
                if (i9 != 3) {
                    return i9;
                }
                int i10 = layoutDirection == 0 ? this.x : this.w;
                if (i10 != 3) {
                    return i10;
                }
            }
            return 0;
        }
        throw new IllegalArgumentException("View " + view + " is not a drawer");
    }

    public ViewGroup.LayoutParams generateDefaultLayoutParams() {
        return new d(-1, -1);
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        if (layoutParams instanceof d) {
            return new d((d) layoutParams);
        }
        return layoutParams instanceof ViewGroup.MarginLayoutParams ? new d((ViewGroup.MarginLayoutParams) layoutParams) : new d(layoutParams);
    }

    public float getDrawerElevation() {
        return this.f1436k;
    }

    public Drawable getStatusBarBackgroundDrawable() {
        return this.F;
    }

    public int h(View view) {
        int i2 = ((d) view.getLayoutParams()).f1440a;
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        return Gravity.getAbsoluteGravity(i2, getLayoutDirection());
    }

    public boolean j(View view) {
        return ((d) view.getLayoutParams()).f1440a == 0;
    }

    public boolean k(View view) {
        int i2 = ((d) view.getLayoutParams()).f1440a;
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        int absoluteGravity = Gravity.getAbsoluteGravity(i2, view.getLayoutDirection());
        return ((absoluteGravity & 3) == 0 && (absoluteGravity & 5) == 0) ? false : true;
    }

    public void l(View view) {
        if (k(view)) {
            d dVar = (d) view.getLayoutParams();
            if (this.v) {
                dVar.f1441b = 1.0f;
                dVar.f1443d = 1;
                o(view, true);
            } else {
                dVar.f1443d |= 2;
                if (a(view, 3)) {
                    this.p.z(view, 0, view.getTop());
                } else {
                    this.q.z(view, getWidth() - view.getWidth(), view.getTop());
                }
            }
            invalidate();
            return;
        }
        throw new IllegalArgumentException("View " + view + " is not a sliding drawer");
    }

    public void m(int i2, int i3) {
        View d2;
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        int absoluteGravity = Gravity.getAbsoluteGravity(i3, getLayoutDirection());
        if (i3 == 3) {
            this.w = i2;
        } else if (i3 == 5) {
            this.x = i2;
        } else if (i3 == 8388611) {
            this.y = i2;
        } else if (i3 == 8388613) {
            this.z = i2;
        }
        if (i2 != 0) {
            (absoluteGravity == 3 ? this.p : this.q).b();
        }
        if (i2 == 1) {
            View d3 = d(absoluteGravity);
            if (d3 != null) {
                b(d3);
            }
        } else if (i2 == 2 && (d2 = d(absoluteGravity)) != null) {
            l(d2);
        }
    }

    public void n(View view, float f2) {
        d dVar = (d) view.getLayoutParams();
        if (f2 != dVar.f1441b) {
            dVar.f1441b = f2;
            List<DrawerListener> list = this.C;
            if (list != null) {
                int size = list.size();
                while (true) {
                    size--;
                    if (size >= 0) {
                        this.C.get(size).onDrawerSlide(view, f2);
                    } else {
                        return;
                    }
                }
            }
        }
    }

    public final void o(View view, boolean z2) {
        int childCount = getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = getChildAt(i2);
            if ((z2 || k(childAt)) && (!z2 || childAt != view)) {
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                childAt.setImportantForAccessibility(4);
            } else {
                AtomicInteger atomicInteger2 = ViewCompat.f1365a;
                childAt.setImportantForAccessibility(1);
            }
        }
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.v = true;
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        this.v = true;
    }

    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        if (this.H && this.F != null) {
            Object obj = this.G;
            int systemWindowInsetTop = obj != null ? ((WindowInsets) obj).getSystemWindowInsetTop() : 0;
            if (systemWindowInsetTop > 0) {
                this.F.setBounds(0, 0, getWidth(), systemWindowInsetTop);
                this.F.draw(canvas);
            }
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:6:0x001b, code lost:
        if (r0 != 3) goto L_0x006a;
     */
    /* JADX WARNING: Removed duplicated region for block: B:17:0x0054 A[LOOP:0: B:8:0x0024->B:17:0x0054, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x0052 A[SYNTHETIC] */
    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        boolean z2;
        boolean z3;
        View m2;
        boolean z4;
        boolean z5;
        int actionMasked = motionEvent.getActionMasked();
        boolean y2 = this.p.y(motionEvent) | this.q.y(motionEvent);
        if (actionMasked != 0) {
            if (actionMasked != 1) {
                if (actionMasked == 2) {
                    b.k.a.b bVar = this.p;
                    int length = bVar.f3506e.length;
                    int i2 = 0;
                    while (true) {
                        if (i2 >= length) {
                            z4 = false;
                            break;
                        }
                        if (bVar.o(i2)) {
                            float f2 = bVar.f3508g[i2] - bVar.f3506e[i2];
                            float f3 = bVar.f3509h[i2] - bVar.f3507f[i2];
                            float f4 = (f3 * f3) + (f2 * f2);
                            int i3 = bVar.f3504c;
                            if (f4 > ((float) (i3 * i3))) {
                                z5 = true;
                                if (!z5) {
                                    z4 = true;
                                    break;
                                }
                                i2++;
                            }
                        }
                        z5 = false;
                        if (!z5) {
                        }
                    }
                    if (z4) {
                        this.r.b();
                        this.s.b();
                    }
                }
                z2 = false;
            }
            c(true);
            this.A = false;
            z2 = false;
        } else {
            float x2 = motionEvent.getX();
            float y3 = motionEvent.getY();
            this.D = x2;
            this.E = y3;
            z2 = this.n > 0.0f && (m2 = this.p.m((int) x2, (int) y3)) != null && j(m2);
            this.A = false;
        }
        if (y2 || z2) {
            return true;
        }
        int childCount = getChildCount();
        int i4 = 0;
        while (true) {
            if (i4 >= childCount) {
                z3 = false;
                break;
            } else if (((d) getChildAt(i4).getLayoutParams()).f1442c) {
                z3 = true;
                break;
            } else {
                i4++;
            }
        }
        if (z3 || this.A) {
            return true;
        }
        return false;
    }

    public boolean onKeyDown(int i2, KeyEvent keyEvent) {
        if (i2 == 4) {
            if (f() != null) {
                keyEvent.startTracking();
                return true;
            }
        }
        return super.onKeyDown(i2, keyEvent);
    }

    public boolean onKeyUp(int i2, KeyEvent keyEvent) {
        if (i2 != 4) {
            return super.onKeyUp(i2, keyEvent);
        }
        View f2 = f();
        if (f2 != null && g(f2) == 0) {
            c(false);
        }
        if (f2 != null) {
            return true;
        }
        return false;
    }

    public void onLayout(boolean z2, int i2, int i3, int i4, int i5) {
        float f2;
        int i6;
        this.u = true;
        int i7 = i4 - i2;
        int childCount = getChildCount();
        for (int i8 = 0; i8 < childCount; i8++) {
            View childAt = getChildAt(i8);
            if (childAt.getVisibility() != 8) {
                d dVar = (d) childAt.getLayoutParams();
                if (j(childAt)) {
                    int i9 = ((ViewGroup.MarginLayoutParams) dVar).leftMargin;
                    childAt.layout(i9, ((ViewGroup.MarginLayoutParams) dVar).topMargin, childAt.getMeasuredWidth() + i9, childAt.getMeasuredHeight() + ((ViewGroup.MarginLayoutParams) dVar).topMargin);
                } else {
                    int measuredWidth = childAt.getMeasuredWidth();
                    int measuredHeight = childAt.getMeasuredHeight();
                    if (a(childAt, 3)) {
                        float f3 = (float) measuredWidth;
                        i6 = (-measuredWidth) + ((int) (dVar.f1441b * f3));
                        f2 = ((float) (measuredWidth + i6)) / f3;
                    } else {
                        float f4 = (float) measuredWidth;
                        int i10 = i7 - ((int) (dVar.f1441b * f4));
                        f2 = ((float) (i7 - i10)) / f4;
                        i6 = i10;
                    }
                    boolean z3 = f2 != dVar.f1441b;
                    int i11 = dVar.f1440a & 112;
                    if (i11 == 16) {
                        int i12 = i5 - i3;
                        int i13 = (i12 - measuredHeight) / 2;
                        int i14 = ((ViewGroup.MarginLayoutParams) dVar).topMargin;
                        if (i13 < i14) {
                            i13 = i14;
                        } else {
                            int i15 = i13 + measuredHeight;
                            int i16 = ((ViewGroup.MarginLayoutParams) dVar).bottomMargin;
                            if (i15 > i12 - i16) {
                                i13 = (i12 - i16) - measuredHeight;
                            }
                        }
                        childAt.layout(i6, i13, measuredWidth + i6, measuredHeight + i13);
                    } else if (i11 != 80) {
                        int i17 = ((ViewGroup.MarginLayoutParams) dVar).topMargin;
                        childAt.layout(i6, i17, measuredWidth + i6, measuredHeight + i17);
                    } else {
                        int i18 = i5 - i3;
                        childAt.layout(i6, (i18 - ((ViewGroup.MarginLayoutParams) dVar).bottomMargin) - childAt.getMeasuredHeight(), measuredWidth + i6, i18 - ((ViewGroup.MarginLayoutParams) dVar).bottomMargin);
                    }
                    if (z3) {
                        n(childAt, f2);
                    }
                    int i19 = dVar.f1441b > 0.0f ? 0 : 4;
                    if (childAt.getVisibility() != i19) {
                        childAt.setVisibility(i19);
                    }
                }
            }
        }
        this.u = false;
        this.v = false;
    }

    /* JADX WARNING: Removed duplicated region for block: B:20:0x0050  */
    @SuppressLint({"WrongConstant"})
    public void onMeasure(int i2, int i3) {
        boolean z2;
        int childCount;
        int i4;
        String str;
        int mode = View.MeasureSpec.getMode(i2);
        int mode2 = View.MeasureSpec.getMode(i3);
        int size = View.MeasureSpec.getSize(i2);
        int size2 = View.MeasureSpec.getSize(i3);
        if (!(mode == 1073741824 && mode2 == 1073741824)) {
            if (isInEditMode()) {
                if (mode != Integer.MIN_VALUE && mode == 0) {
                    size = 300;
                }
                if (mode2 != Integer.MIN_VALUE && mode2 == 0) {
                    size2 = 300;
                }
            } else {
                throw new IllegalArgumentException("DrawerLayout must be measured with MeasureSpec.EXACTLY.");
            }
        }
        setMeasuredDimension(size, size2);
        int i5 = 0;
        if (this.G != null) {
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            if (getFitsSystemWindows()) {
                z2 = true;
                AtomicInteger atomicInteger2 = ViewCompat.f1365a;
                int layoutDirection = getLayoutDirection();
                childCount = getChildCount();
                i4 = 0;
                boolean z3 = false;
                boolean z4 = false;
                while (i4 < childCount) {
                    View childAt = getChildAt(i4);
                    if (childAt.getVisibility() != 8) {
                        d dVar = (d) childAt.getLayoutParams();
                        if (z2) {
                            int absoluteGravity = Gravity.getAbsoluteGravity(dVar.f1440a, layoutDirection);
                            if (childAt.getFitsSystemWindows()) {
                                WindowInsets windowInsets = (WindowInsets) this.G;
                                if (absoluteGravity == 3) {
                                    windowInsets = windowInsets.replaceSystemWindowInsets(windowInsets.getSystemWindowInsetLeft(), windowInsets.getSystemWindowInsetTop(), i5, windowInsets.getSystemWindowInsetBottom());
                                } else if (absoluteGravity == 5) {
                                    windowInsets = windowInsets.replaceSystemWindowInsets(i5, windowInsets.getSystemWindowInsetTop(), windowInsets.getSystemWindowInsetRight(), windowInsets.getSystemWindowInsetBottom());
                                }
                                childAt.dispatchApplyWindowInsets(windowInsets);
                            } else {
                                WindowInsets windowInsets2 = (WindowInsets) this.G;
                                if (absoluteGravity == 3) {
                                    windowInsets2 = windowInsets2.replaceSystemWindowInsets(windowInsets2.getSystemWindowInsetLeft(), windowInsets2.getSystemWindowInsetTop(), i5, windowInsets2.getSystemWindowInsetBottom());
                                } else if (absoluteGravity == 5) {
                                    windowInsets2 = windowInsets2.replaceSystemWindowInsets(i5, windowInsets2.getSystemWindowInsetTop(), windowInsets2.getSystemWindowInsetRight(), windowInsets2.getSystemWindowInsetBottom());
                                }
                                ((ViewGroup.MarginLayoutParams) dVar).leftMargin = windowInsets2.getSystemWindowInsetLeft();
                                ((ViewGroup.MarginLayoutParams) dVar).topMargin = windowInsets2.getSystemWindowInsetTop();
                                ((ViewGroup.MarginLayoutParams) dVar).rightMargin = windowInsets2.getSystemWindowInsetRight();
                                ((ViewGroup.MarginLayoutParams) dVar).bottomMargin = windowInsets2.getSystemWindowInsetBottom();
                            }
                        }
                        if (j(childAt)) {
                            childAt.measure(View.MeasureSpec.makeMeasureSpec((size - ((ViewGroup.MarginLayoutParams) dVar).leftMargin) - ((ViewGroup.MarginLayoutParams) dVar).rightMargin, 1073741824), View.MeasureSpec.makeMeasureSpec((size2 - ((ViewGroup.MarginLayoutParams) dVar).topMargin) - ((ViewGroup.MarginLayoutParams) dVar).bottomMargin, 1073741824));
                        } else if (k(childAt)) {
                            float elevation = childAt.getElevation();
                            float f2 = this.f1436k;
                            if (elevation != f2) {
                                childAt.setElevation(f2);
                            }
                            int h2 = h(childAt) & 7;
                            boolean z5 = h2 == 3;
                            if ((!z5 || !z3) && (z5 || !z4)) {
                                if (z5) {
                                    z3 = true;
                                } else {
                                    z4 = true;
                                }
                                childAt.measure(ViewGroup.getChildMeasureSpec(i2, this.f1437l + ((ViewGroup.MarginLayoutParams) dVar).leftMargin + ((ViewGroup.MarginLayoutParams) dVar).rightMargin, ((ViewGroup.MarginLayoutParams) dVar).width), ViewGroup.getChildMeasureSpec(i3, ((ViewGroup.MarginLayoutParams) dVar).topMargin + ((ViewGroup.MarginLayoutParams) dVar).bottomMargin, ((ViewGroup.MarginLayoutParams) dVar).height));
                                i4++;
                                i5 = 0;
                            } else {
                                StringBuilder B2 = d.a.a.a.a.B("Child drawer has absolute gravity ");
                                if ((h2 & 3) != 3) {
                                    str = (h2 & 5) == 5 ? "RIGHT" : Integer.toHexString(h2);
                                } else {
                                    str = "LEFT";
                                }
                                B2.append(str);
                                B2.append(" but this ");
                                B2.append("DrawerLayout");
                                B2.append(" already has a ");
                                B2.append("drawer view along that edge");
                                throw new IllegalStateException(B2.toString());
                            }
                        } else {
                            throw new IllegalStateException("Child " + childAt + " at index " + i4 + " does not have a valid layout_gravity - must be Gravity.LEFT, " + "Gravity.RIGHT or Gravity.NO_GRAVITY");
                        }
                    }
                    i4++;
                    i5 = 0;
                }
            }
        }
        z2 = false;
        AtomicInteger atomicInteger22 = ViewCompat.f1365a;
        int layoutDirection2 = getLayoutDirection();
        childCount = getChildCount();
        i4 = 0;
        boolean z32 = false;
        boolean z42 = false;
        while (i4 < childCount) {
        }
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        View d2;
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        int i2 = savedState.openDrawerGravity;
        if (!(i2 == 0 || (d2 = d(i2)) == null)) {
            l(d2);
        }
        int i3 = savedState.lockModeLeft;
        if (i3 != 3) {
            m(i3, 3);
        }
        int i4 = savedState.lockModeRight;
        if (i4 != 3) {
            m(i4, 5);
        }
        int i5 = savedState.lockModeStart;
        if (i5 != 3) {
            m(i5, 8388611);
        }
        int i6 = savedState.lockModeEnd;
        if (i6 != 3) {
            m(i6, 8388613);
        }
    }

    public void onRtlPropertiesChanged(int i2) {
    }

    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        int childCount = getChildCount();
        int i2 = 0;
        while (true) {
            if (i2 >= childCount) {
                break;
            }
            d dVar = (d) getChildAt(i2).getLayoutParams();
            int i3 = dVar.f1443d;
            boolean z2 = true;
            boolean z3 = i3 == 1;
            if (i3 != 2) {
                z2 = false;
            }
            if (z3 || z2) {
                savedState.openDrawerGravity = dVar.f1440a;
            } else {
                i2++;
            }
        }
        savedState.lockModeLeft = this.w;
        savedState.lockModeRight = this.x;
        savedState.lockModeStart = this.y;
        savedState.lockModeEnd = this.z;
        return savedState;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:15:0x0059, code lost:
        if (g(r7) != 2) goto L_0x005c;
     */
    public boolean onTouchEvent(MotionEvent motionEvent) {
        this.p.r(motionEvent);
        this.q.r(motionEvent);
        int action = motionEvent.getAction() & NeuQuant.maxnetpos;
        boolean z2 = false;
        if (action == 0) {
            float x2 = motionEvent.getX();
            float y2 = motionEvent.getY();
            this.D = x2;
            this.E = y2;
            this.A = false;
        } else if (action == 1) {
            float x3 = motionEvent.getX();
            float y3 = motionEvent.getY();
            View m2 = this.p.m((int) x3, (int) y3);
            if (m2 != null && j(m2)) {
                float f2 = x3 - this.D;
                float f3 = y3 - this.E;
                int i2 = this.p.f3504c;
                if ((f3 * f3) + (f2 * f2) < ((float) (i2 * i2))) {
                    View e2 = e();
                    if (e2 != null) {
                    }
                }
            }
            z2 = true;
            c(z2);
        } else if (action == 3) {
            c(true);
            this.A = false;
        }
        return true;
    }

    public void p(int i2, View view) {
        View rootView;
        int i3 = this.p.f3503b;
        int i4 = this.q.f3503b;
        int i5 = 2;
        if (i3 == 1 || i4 == 1) {
            i5 = 1;
        } else if (!(i3 == 2 || i4 == 2)) {
            i5 = 0;
        }
        if (view != null && i2 == 0) {
            float f2 = ((d) view.getLayoutParams()).f1441b;
            if (f2 == 0.0f) {
                d dVar = (d) view.getLayoutParams();
                if ((dVar.f1443d & 1) == 1) {
                    dVar.f1443d = 0;
                    List<DrawerListener> list = this.C;
                    if (list != null) {
                        for (int size = list.size() - 1; size >= 0; size--) {
                            this.C.get(size).onDrawerClosed(view);
                        }
                    }
                    o(view, false);
                    if (hasWindowFocus() && (rootView = getRootView()) != null) {
                        rootView.sendAccessibilityEvent(32);
                    }
                }
            } else if (f2 == 1.0f) {
                d dVar2 = (d) view.getLayoutParams();
                if ((dVar2.f1443d & 1) == 0) {
                    dVar2.f1443d = 1;
                    List<DrawerListener> list2 = this.C;
                    if (list2 != null) {
                        for (int size2 = list2.size() - 1; size2 >= 0; size2--) {
                            this.C.get(size2).onDrawerOpened(view);
                        }
                    }
                    o(view, true);
                    if (hasWindowFocus()) {
                        sendAccessibilityEvent(32);
                    }
                }
            }
        }
        if (i5 != this.t) {
            this.t = i5;
            List<DrawerListener> list3 = this.C;
            if (list3 != null) {
                for (int size3 = list3.size() - 1; size3 >= 0; size3--) {
                    this.C.get(size3).onDrawerStateChanged(i5);
                }
            }
        }
    }

    public void requestDisallowInterceptTouchEvent(boolean z2) {
        super.requestDisallowInterceptTouchEvent(z2);
        if (z2) {
            c(true);
        }
    }

    public void requestLayout() {
        if (!this.u) {
            super.requestLayout();
        }
    }

    public void setDrawerElevation(float f2) {
        this.f1436k = f2;
        for (int i2 = 0; i2 < getChildCount(); i2++) {
            View childAt = getChildAt(i2);
            if (k(childAt)) {
                float f3 = this.f1436k;
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                childAt.setElevation(f3);
            }
        }
    }

    @Deprecated
    public void setDrawerListener(DrawerListener drawerListener) {
        List<DrawerListener> list;
        DrawerListener drawerListener2 = this.B;
        if (!(drawerListener2 == null || drawerListener2 == null || (list = this.C) == null)) {
            list.remove(drawerListener2);
        }
        if (drawerListener != null) {
            if (this.C == null) {
                this.C = new ArrayList();
            }
            this.C.add(drawerListener);
        }
        this.B = drawerListener;
    }

    public void setDrawerLockMode(int i2) {
        m(i2, 3);
        m(i2, 5);
    }

    public void setScrimColor(int i2) {
        this.m = i2;
        invalidate();
    }

    public void setStatusBarBackground(Drawable drawable) {
        this.F = drawable;
        invalidate();
    }

    public void setStatusBarBackgroundColor(int i2) {
        this.F = new ColorDrawable(i2);
        invalidate();
    }

    public DrawerLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new d(getContext(), attributeSet);
    }

    public DrawerLayout(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f1435j = new c();
        this.m = -1728053248;
        this.o = new Paint();
        this.v = true;
        this.w = 3;
        this.x = 3;
        this.y = 3;
        this.z = 3;
        setDescendantFocusability(NeuQuant.alpharadbias);
        float f2 = getResources().getDisplayMetrics().density;
        this.f1437l = (int) ((64.0f * f2) + 0.5f);
        float f3 = 400.0f * f2;
        e eVar = new e(3);
        this.r = eVar;
        e eVar2 = new e(5);
        this.s = eVar2;
        b.k.a.b k2 = b.k.a.b.k(this, 1.0f, eVar);
        this.p = k2;
        k2.q = 1;
        k2.o = f3;
        eVar.f1445b = k2;
        b.k.a.b k3 = b.k.a.b.k(this, 1.0f, eVar2);
        this.q = k3;
        k3.q = 2;
        k3.o = f3;
        eVar2.f1445b = k3;
        setFocusableInTouchMode(true);
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        setImportantForAccessibility(1);
        ViewCompat.u(this, new b());
        setMotionEventSplittingEnabled(false);
        if (getFitsSystemWindows()) {
            setOnApplyWindowInsetsListener(new a(this));
            setSystemUiVisibility(1280);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(f1433d);
            try {
                this.F = obtainStyledAttributes.getDrawable(0);
            } finally {
                obtainStyledAttributes.recycle();
            }
        }
        this.f1436k = f2 * 10.0f;
        this.I = new ArrayList<>();
    }

    public void setStatusBarBackground(int i2) {
        Drawable drawable;
        if (i2 != 0) {
            Context context = getContext();
            Object obj = b.j.b.a.f3266a;
            drawable = context.getDrawable(i2);
        } else {
            drawable = null;
        }
        this.F = drawable;
        invalidate();
    }

    public static class d extends ViewGroup.MarginLayoutParams {

        /* renamed from: a  reason: collision with root package name */
        public int f1440a = 0;

        /* renamed from: b  reason: collision with root package name */
        public float f1441b;

        /* renamed from: c  reason: collision with root package name */
        public boolean f1442c;

        /* renamed from: d  reason: collision with root package name */
        public int f1443d;

        public d(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, DrawerLayout.f1434h);
            this.f1440a = obtainStyledAttributes.getInt(0, 0);
            obtainStyledAttributes.recycle();
        }

        public d(int i2, int i3) {
            super(i2, i3);
        }

        public d(d dVar) {
            super((ViewGroup.MarginLayoutParams) dVar);
            this.f1440a = dVar.f1440a;
        }

        public d(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }

        public d(ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
        }
    }

    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        public int lockModeEnd;
        public int lockModeLeft;
        public int lockModeRight;
        public int lockModeStart;
        public int openDrawerGravity = 0;

        public static class a implements Parcelable.ClassLoaderCreator<SavedState> {
            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // android.os.Parcelable.ClassLoaderCreator
            public SavedState createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            public Object[] newArray(int i2) {
                return new SavedState[i2];
            }

            @Override // android.os.Parcelable.Creator
            public Object createFromParcel(Parcel parcel) {
                return new SavedState(parcel, null);
            }
        }

        public SavedState(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.openDrawerGravity = parcel.readInt();
            this.lockModeLeft = parcel.readInt();
            this.lockModeRight = parcel.readInt();
            this.lockModeStart = parcel.readInt();
            this.lockModeEnd = parcel.readInt();
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(Parcel parcel, int i2) {
            super.writeToParcel(parcel, i2);
            parcel.writeInt(this.openDrawerGravity);
            parcel.writeInt(this.lockModeLeft);
            parcel.writeInt(this.lockModeRight);
            parcel.writeInt(this.lockModeStart);
            parcel.writeInt(this.lockModeEnd);
        }

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }
    }
}
