package androidx.dynamicanimation.animation;

import android.os.Looper;
import android.util.AndroidRuntimeException;
import android.view.View;
import androidx.dynamicanimation.animation.AnimationHandler;
import androidx.dynamicanimation.animation.DynamicAnimation;
import java.util.ArrayList;

public abstract class DynamicAnimation<T extends DynamicAnimation<T>> implements AnimationHandler.AnimationFrameCallback {

    /* renamed from: a  reason: collision with root package name */
    public static final ViewProperty f1461a = new c("scaleX");

    /* renamed from: b  reason: collision with root package name */
    public static final ViewProperty f1462b = new d("scaleY");

    /* renamed from: c  reason: collision with root package name */
    public static final ViewProperty f1463c = new e("rotation");

    /* renamed from: d  reason: collision with root package name */
    public static final ViewProperty f1464d = new f("rotationX");

    /* renamed from: e  reason: collision with root package name */
    public static final ViewProperty f1465e = new g("rotationY");

    /* renamed from: f  reason: collision with root package name */
    public static final ViewProperty f1466f = new a("alpha");

    /* renamed from: g  reason: collision with root package name */
    public float f1467g = 0.0f;

    /* renamed from: h  reason: collision with root package name */
    public float f1468h = Float.MAX_VALUE;

    /* renamed from: i  reason: collision with root package name */
    public boolean f1469i = false;

    /* renamed from: j  reason: collision with root package name */
    public final Object f1470j;

    /* renamed from: k  reason: collision with root package name */
    public final b.m.a.a f1471k;

    /* renamed from: l  reason: collision with root package name */
    public boolean f1472l = false;
    public float m = -3.4028235E38f;
    public long n = 0;
    public float o;
    public final ArrayList<OnAnimationEndListener> p = new ArrayList<>();
    public final ArrayList<OnAnimationUpdateListener> q = new ArrayList<>();

    public interface OnAnimationEndListener {
        void onAnimationEnd(DynamicAnimation dynamicAnimation, boolean z, float f2, float f3);
    }

    public interface OnAnimationUpdateListener {
        void onAnimationUpdate(DynamicAnimation dynamicAnimation, float f2, float f3);
    }

    public static abstract class ViewProperty extends b.m.a.a<View> {
        public ViewProperty(String str, b bVar) {
            super(str);
        }
    }

    public static class a extends ViewProperty {
        public a(String str) {
            super(str, null);
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // b.m.a.a
        public float a(View view) {
            return view.getAlpha();
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, float] */
        @Override // b.m.a.a
        public void b(View view, float f2) {
            view.setAlpha(f2);
        }
    }

    public static class b extends ViewProperty {
    }

    public static class c extends ViewProperty {
        public c(String str) {
            super(str, null);
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // b.m.a.a
        public float a(View view) {
            return view.getScaleX();
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, float] */
        @Override // b.m.a.a
        public void b(View view, float f2) {
            view.setScaleX(f2);
        }
    }

    public static class d extends ViewProperty {
        public d(String str) {
            super(str, null);
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // b.m.a.a
        public float a(View view) {
            return view.getScaleY();
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, float] */
        @Override // b.m.a.a
        public void b(View view, float f2) {
            view.setScaleY(f2);
        }
    }

    public static class e extends ViewProperty {
        public e(String str) {
            super(str, null);
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // b.m.a.a
        public float a(View view) {
            return view.getRotation();
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, float] */
        @Override // b.m.a.a
        public void b(View view, float f2) {
            view.setRotation(f2);
        }
    }

    public static class f extends ViewProperty {
        public f(String str) {
            super(str, null);
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // b.m.a.a
        public float a(View view) {
            return view.getRotationX();
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, float] */
        @Override // b.m.a.a
        public void b(View view, float f2) {
            view.setRotationX(f2);
        }
    }

    public static class g extends ViewProperty {
        public g(String str) {
            super(str, null);
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // b.m.a.a
        public float a(View view) {
            return view.getRotationY();
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, float] */
        @Override // b.m.a.a
        public void b(View view, float f2) {
            view.setRotationY(f2);
        }
    }

    public static class h {

        /* renamed from: a  reason: collision with root package name */
        public float f1473a;

        /* renamed from: b  reason: collision with root package name */
        public float f1474b;
    }

    public <K> DynamicAnimation(K k2, b.m.a.a<K> aVar) {
        this.f1470j = k2;
        this.f1471k = aVar;
        if (aVar == f1463c || aVar == f1464d || aVar == f1465e) {
            this.o = 0.1f;
        } else if (aVar == f1466f) {
            this.o = 0.00390625f;
        } else if (aVar == f1461a || aVar == f1462b) {
            this.o = 0.00390625f;
        } else {
            this.o = 1.0f;
        }
    }

    public static <T> void c(ArrayList<T> arrayList) {
        for (int size = arrayList.size() - 1; size >= 0; size--) {
            if (arrayList.get(size) == null) {
                arrayList.remove(size);
            }
        }
    }

    public void a() {
        if (Looper.myLooper() != Looper.getMainLooper()) {
            throw new AndroidRuntimeException("Animations may only be canceled on the main thread");
        } else if (this.f1472l) {
            b(true);
        }
    }

    public final void b(boolean z) {
        this.f1472l = false;
        AnimationHandler a2 = AnimationHandler.a();
        a2.f1450b.remove(this);
        int indexOf = a2.f1451c.indexOf(this);
        if (indexOf >= 0) {
            a2.f1451c.set(indexOf, null);
            a2.f1455g = true;
        }
        this.n = 0;
        this.f1469i = false;
        for (int i2 = 0; i2 < this.p.size(); i2++) {
            if (this.p.get(i2) != null) {
                this.p.get(i2).onAnimationEnd(this, z, this.f1468h, this.f1467g);
            }
        }
        c(this.p);
    }

    public void d(float f2) {
        this.f1471k.b(this.f1470j, f2);
        for (int i2 = 0; i2 < this.q.size(); i2++) {
            if (this.q.get(i2) != null) {
                this.q.get(i2).onAnimationUpdate(this, this.f1468h, this.f1467g);
            }
        }
        c(this.q);
    }

    @Override // androidx.dynamicanimation.animation.AnimationHandler.AnimationFrameCallback
    public boolean doAnimationFrame(long j2) {
        long j3 = this.n;
        if (j3 == 0) {
            this.n = j2;
            d(this.f1468h);
            return false;
        }
        this.n = j2;
        boolean e2 = e(j2 - j3);
        float min = Math.min(this.f1468h, Float.MAX_VALUE);
        this.f1468h = min;
        float max = Math.max(min, this.m);
        this.f1468h = max;
        d(max);
        if (e2) {
            b(false);
        }
        return e2;
    }

    public abstract boolean e(long j2);
}
