package androidx.dynamicanimation.animation;

import androidx.dynamicanimation.animation.DynamicAnimation;

public final class SpringForce implements Force {

    /* renamed from: a  reason: collision with root package name */
    public double f1475a = Math.sqrt(1500.0d);

    /* renamed from: b  reason: collision with root package name */
    public double f1476b = 0.5d;

    /* renamed from: c  reason: collision with root package name */
    public boolean f1477c = false;

    /* renamed from: d  reason: collision with root package name */
    public double f1478d;

    /* renamed from: e  reason: collision with root package name */
    public double f1479e;

    /* renamed from: f  reason: collision with root package name */
    public double f1480f;

    /* renamed from: g  reason: collision with root package name */
    public double f1481g;

    /* renamed from: h  reason: collision with root package name */
    public double f1482h;

    /* renamed from: i  reason: collision with root package name */
    public double f1483i = Double.MAX_VALUE;

    /* renamed from: j  reason: collision with root package name */
    public final DynamicAnimation.h f1484j = new DynamicAnimation.h();

    public SpringForce() {
    }

    public SpringForce a(float f2) {
        if (f2 > 0.0f) {
            this.f1475a = Math.sqrt((double) f2);
            this.f1477c = false;
            return this;
        }
        throw new IllegalArgumentException("Spring stiffness constant must be positive.");
    }

    public DynamicAnimation.h b(double d2, double d3, long j2) {
        double d4;
        double d5;
        if (!this.f1477c) {
            if (this.f1483i != Double.MAX_VALUE) {
                double d6 = this.f1476b;
                if (d6 > 1.0d) {
                    double d7 = this.f1475a;
                    this.f1480f = (Math.sqrt((d6 * d6) - 1.0d) * d7) + ((-d6) * d7);
                    double d8 = this.f1476b;
                    double d9 = this.f1475a;
                    this.f1481g = ((-d8) * d9) - (Math.sqrt((d8 * d8) - 1.0d) * d9);
                } else if (d6 >= 0.0d && d6 < 1.0d) {
                    this.f1482h = Math.sqrt(1.0d - (d6 * d6)) * this.f1475a;
                }
                this.f1477c = true;
            } else {
                throw new IllegalStateException("Error: Final position of the spring must be set before the animation starts");
            }
        }
        double d10 = ((double) j2) / 1000.0d;
        double d11 = d2 - this.f1483i;
        double d12 = this.f1476b;
        if (d12 > 1.0d) {
            double d13 = this.f1481g;
            double d14 = this.f1480f;
            double d15 = d11 - (((d13 * d11) - d3) / (d13 - d14));
            double d16 = ((d11 * d13) - d3) / (d13 - d14);
            d4 = (Math.pow(2.718281828459045d, this.f1480f * d10) * d16) + (Math.pow(2.718281828459045d, d13 * d10) * d15);
            double d17 = this.f1481g;
            double pow = Math.pow(2.718281828459045d, d17 * d10) * d15 * d17;
            double d18 = this.f1480f;
            d5 = (Math.pow(2.718281828459045d, d18 * d10) * d16 * d18) + pow;
        } else if (d12 == 1.0d) {
            double d19 = this.f1475a;
            double d20 = (d19 * d11) + d3;
            double d21 = (d20 * d10) + d11;
            double pow2 = Math.pow(2.718281828459045d, (-d19) * d10) * d21;
            double pow3 = Math.pow(2.718281828459045d, (-this.f1475a) * d10) * d21;
            double d22 = this.f1475a;
            d5 = (Math.pow(2.718281828459045d, (-d22) * d10) * d20) + (pow3 * (-d22));
            d4 = pow2;
        } else {
            double d23 = 1.0d / this.f1482h;
            double d24 = this.f1475a;
            double d25 = ((d12 * d24 * d11) + d3) * d23;
            double sin = ((Math.sin(this.f1482h * d10) * d25) + (Math.cos(this.f1482h * d10) * d11)) * Math.pow(2.718281828459045d, (-d12) * d24 * d10);
            double d26 = this.f1475a;
            double d27 = this.f1476b;
            double d28 = (-d26) * sin * d27;
            double pow4 = Math.pow(2.718281828459045d, (-d27) * d26 * d10);
            double d29 = this.f1482h;
            double d30 = (-d29) * d11;
            double d31 = this.f1482h;
            d5 = (((Math.cos(d31 * d10) * d25 * d31) + (Math.sin(d29 * d10) * d30)) * pow4) + d28;
            d4 = sin;
        }
        DynamicAnimation.h hVar = this.f1484j;
        hVar.f1473a = (float) (d4 + this.f1483i);
        hVar.f1474b = (float) d5;
        return hVar;
    }

    @Override // androidx.dynamicanimation.animation.Force
    public float getAcceleration(float f2, float f3) {
        float f4 = f2 - ((float) this.f1483i);
        double d2 = this.f1475a;
        return (float) (((-(d2 * d2)) * ((double) f4)) - (((d2 * 2.0d) * this.f1476b) * ((double) f3)));
    }

    @Override // androidx.dynamicanimation.animation.Force
    public boolean isAtEquilibrium(float f2, float f3) {
        return ((double) Math.abs(f3)) < this.f1479e && ((double) Math.abs(f2 - ((float) this.f1483i))) < this.f1478d;
    }

    public SpringForce(float f2) {
        this.f1483i = (double) f2;
    }
}
