package androidx.fragment.app;

import android.animation.Animator;
import android.annotation.SuppressLint;
import android.content.Context;
import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;
import android.os.Looper;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.Log;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import androidx.activity.Cancellable;
import androidx.activity.OnBackPressedDispatcher;
import androidx.activity.OnBackPressedDispatcherOwner;
import androidx.activity.result.ActivityResult;
import androidx.activity.result.ActivityResultCallback;
import androidx.activity.result.ActivityResultRegistry;
import androidx.activity.result.ActivityResultRegistryOwner;
import androidx.activity.result.IntentSenderRequest;
import androidx.activity.result.contract.ActivityResultContracts$RequestMultiplePermissions;
import androidx.activity.result.contract.ActivityResultContracts$StartActivityForResult;
import androidx.core.os.CancellationSignal;
import androidx.fragment.R$id;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentTransition;
import androidx.lifecycle.Lifecycle;
import androidx.lifecycle.LifecycleEventObserver;
import androidx.lifecycle.LifecycleOwner;
import androidx.lifecycle.LifecycleRegistry;
import androidx.lifecycle.ViewModelProvider;
import androidx.lifecycle.ViewModelStoreOwner;
import b.o.a.j0;
import b.o.a.n;
import b.o.a.o;
import b.o.a.q;
import b.o.a.r;
import b.o.a.s;
import b.o.a.u;
import b.o.a.v;
import b.o.a.w;
import b.o.a.x;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.util.ArrayDeque;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import java.util.Set;
import java.util.concurrent.CopyOnWriteArrayList;
import java.util.concurrent.atomic.AtomicInteger;

public abstract class FragmentManager implements FragmentResultOwner {
    public boolean A;
    public boolean B;
    public boolean C;
    public boolean D;
    public boolean E;
    public ArrayList<b.o.a.a> F;
    public ArrayList<Boolean> G;
    public ArrayList<Fragment> H;
    public ArrayList<n> I;
    public u J;
    public Runnable K = new g();

    /* renamed from: a  reason: collision with root package name */
    public final ArrayList<OpGenerator> f1527a = new ArrayList<>();

    /* renamed from: b  reason: collision with root package name */
    public boolean f1528b;

    /* renamed from: c  reason: collision with root package name */
    public final w f1529c = new w();

    /* renamed from: d  reason: collision with root package name */
    public ArrayList<b.o.a.a> f1530d;

    /* renamed from: e  reason: collision with root package name */
    public ArrayList<Fragment> f1531e;

    /* renamed from: f  reason: collision with root package name */
    public final r f1532f = new r(this);

    /* renamed from: g  reason: collision with root package name */
    public OnBackPressedDispatcher f1533g;

    /* renamed from: h  reason: collision with root package name */
    public final b.a.a f1534h = new c(false);

    /* renamed from: i  reason: collision with root package name */
    public final AtomicInteger f1535i = new AtomicInteger();

    /* renamed from: j  reason: collision with root package name */
    public final Map<String, Bundle> f1536j = Collections.synchronizedMap(new HashMap());

    /* renamed from: k  reason: collision with root package name */
    public final Map<String, l> f1537k = Collections.synchronizedMap(new HashMap());

    /* renamed from: l  reason: collision with root package name */
    public Map<Fragment, HashSet<CancellationSignal>> f1538l = Collections.synchronizedMap(new HashMap());
    public final FragmentTransition.Callback m = new d();
    public final s n = new s(this);
    public final CopyOnWriteArrayList<FragmentOnAttachListener> o = new CopyOnWriteArrayList<>();
    public int p = -1;
    public FragmentHostCallback<?> q;
    public o r;
    public Fragment s;
    public Fragment t;
    public q u = new e();
    public SpecialEffectsControllerFactory v = new f(this);
    public b.a.c.a<Intent> w;
    public b.a.c.a<IntentSenderRequest> x;
    public b.a.c.a<String[]> y;
    public ArrayDeque<LaunchedFragmentInfo> z = new ArrayDeque<>();

    public interface BackStackEntry {
        @Deprecated
        CharSequence getBreadCrumbShortTitle();

        @Deprecated
        int getBreadCrumbShortTitleRes();

        @Deprecated
        CharSequence getBreadCrumbTitle();

        @Deprecated
        int getBreadCrumbTitleRes();

        int getId();

        String getName();
    }

    public interface OnBackStackChangedListener {
        void onBackStackChanged();
    }

    public interface OpGenerator {
        boolean generateOps(ArrayList<b.o.a.a> arrayList, ArrayList<Boolean> arrayList2);
    }

    public class a implements ActivityResultCallback<ActivityResult> {
        public a() {
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // androidx.activity.result.ActivityResultCallback
        public void onActivityResult(ActivityResult activityResult) {
            ActivityResult activityResult2 = activityResult;
            LaunchedFragmentInfo pollFirst = FragmentManager.this.z.pollFirst();
            if (pollFirst == null) {
                Log.w("FragmentManager", "No IntentSenders were started for " + this);
                return;
            }
            String str = pollFirst.mWho;
            int i2 = pollFirst.mRequestCode;
            Fragment e2 = FragmentManager.this.f1529c.e(str);
            if (e2 == null) {
                Log.w("FragmentManager", "Intent Sender result delivered for unknown Fragment " + str);
                return;
            }
            e2.onActivityResult(i2, activityResult2.getResultCode(), activityResult2.getData());
        }
    }

    public class b implements ActivityResultCallback<Map<String, Boolean>> {
        public b() {
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // androidx.activity.result.ActivityResultCallback
        @SuppressLint({"SyntheticAccessor"})
        public void onActivityResult(Map<String, Boolean> map) {
            Map<String, Boolean> map2 = map;
            String[] strArr = (String[]) map2.keySet().toArray(new String[0]);
            ArrayList arrayList = new ArrayList(map2.values());
            int[] iArr = new int[arrayList.size()];
            for (int i2 = 0; i2 < arrayList.size(); i2++) {
                iArr[i2] = ((Boolean) arrayList.get(i2)).booleanValue() ? 0 : -1;
            }
            LaunchedFragmentInfo pollFirst = FragmentManager.this.z.pollFirst();
            if (pollFirst == null) {
                Log.w("FragmentManager", "No permissions were requested for " + this);
                return;
            }
            String str = pollFirst.mWho;
            int i3 = pollFirst.mRequestCode;
            Fragment e2 = FragmentManager.this.f1529c.e(str);
            if (e2 == null) {
                Log.w("FragmentManager", "Permission request result delivered for unknown Fragment " + str);
                return;
            }
            e2.onRequestPermissionsResult(i3, strArr, iArr);
        }
    }

    public class c extends b.a.a {
        public c(boolean z) {
            super(z);
        }

        @Override // b.a.a
        public void a() {
            FragmentManager fragmentManager = FragmentManager.this;
            fragmentManager.C(true);
            if (fragmentManager.f1534h.f2170a) {
                fragmentManager.Z();
            } else {
                fragmentManager.f1533g.a();
            }
        }
    }

    public class d implements FragmentTransition.Callback {
        public d() {
        }

        @Override // androidx.fragment.app.FragmentTransition.Callback
        public void onComplete(Fragment fragment, CancellationSignal cancellationSignal) {
            boolean z;
            synchronized (cancellationSignal) {
                z = cancellationSignal.f1343a;
            }
            if (!z) {
                FragmentManager fragmentManager = FragmentManager.this;
                HashSet<CancellationSignal> hashSet = fragmentManager.f1538l.get(fragment);
                if (hashSet != null && hashSet.remove(cancellationSignal) && hashSet.isEmpty()) {
                    fragmentManager.f1538l.remove(fragment);
                    if (fragment.mState < 5) {
                        fragmentManager.i(fragment);
                        fragmentManager.W(fragment, fragmentManager.p);
                    }
                }
            }
        }

        @Override // androidx.fragment.app.FragmentTransition.Callback
        public void onStart(Fragment fragment, CancellationSignal cancellationSignal) {
            FragmentManager fragmentManager = FragmentManager.this;
            if (fragmentManager.f1538l.get(fragment) == null) {
                fragmentManager.f1538l.put(fragment, new HashSet<>());
            }
            fragmentManager.f1538l.get(fragment).add(cancellationSignal);
        }
    }

    public class e extends q {
        public e() {
        }

        @Override // b.o.a.q
        public Fragment a(ClassLoader classLoader, String str) {
            FragmentHostCallback<?> fragmentHostCallback = FragmentManager.this.q;
            Context context = fragmentHostCallback.f1524h;
            Objects.requireNonNull(fragmentHostCallback);
            return Fragment.instantiate(context, str, null);
        }
    }

    public class f implements SpecialEffectsControllerFactory {
        public f(FragmentManager fragmentManager) {
        }

        @Override // androidx.fragment.app.SpecialEffectsControllerFactory
        public SpecialEffectsController createController(ViewGroup viewGroup) {
            return new b.o.a.b(viewGroup);
        }
    }

    public class g implements Runnable {
        public g() {
        }

        public void run() {
            FragmentManager.this.C(true);
        }
    }

    public class h implements FragmentOnAttachListener {

        /* renamed from: d  reason: collision with root package name */
        public final /* synthetic */ Fragment f1549d;

        public h(FragmentManager fragmentManager, Fragment fragment) {
            this.f1549d = fragment;
        }

        @Override // androidx.fragment.app.FragmentOnAttachListener
        public void onAttachFragment(FragmentManager fragmentManager, Fragment fragment) {
            this.f1549d.onAttachFragment(fragment);
        }
    }

    public class i implements ActivityResultCallback<ActivityResult> {
        public i() {
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // androidx.activity.result.ActivityResultCallback
        public void onActivityResult(ActivityResult activityResult) {
            ActivityResult activityResult2 = activityResult;
            LaunchedFragmentInfo pollFirst = FragmentManager.this.z.pollFirst();
            if (pollFirst == null) {
                Log.w("FragmentManager", "No Activities were started for result for " + this);
                return;
            }
            String str = pollFirst.mWho;
            int i2 = pollFirst.mRequestCode;
            Fragment e2 = FragmentManager.this.f1529c.e(str);
            if (e2 == null) {
                Log.w("FragmentManager", "Activity result delivered for unknown Fragment " + str);
                return;
            }
            e2.onActivityResult(i2, activityResult2.getResultCode(), activityResult2.getData());
        }
    }

    public static class j extends b.a.c.b.a<IntentSenderRequest, ActivityResult> {
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [android.content.Context, java.lang.Object] */
        @Override // b.a.c.b.a
        public Intent a(Context context, IntentSenderRequest intentSenderRequest) {
            Bundle bundleExtra;
            IntentSenderRequest intentSenderRequest2 = intentSenderRequest;
            Intent intent = new Intent("androidx.activity.result.contract.action.INTENT_SENDER_REQUEST");
            Intent fillInIntent = intentSenderRequest2.getFillInIntent();
            if (!(fillInIntent == null || (bundleExtra = fillInIntent.getBundleExtra("androidx.activity.result.contract.extra.ACTIVITY_OPTIONS_BUNDLE")) == null)) {
                intent.putExtra("androidx.activity.result.contract.extra.ACTIVITY_OPTIONS_BUNDLE", bundleExtra);
                fillInIntent.removeExtra("androidx.activity.result.contract.extra.ACTIVITY_OPTIONS_BUNDLE");
                if (fillInIntent.getBooleanExtra("androidx.fragment.extra.ACTIVITY_OPTIONS_BUNDLE", false)) {
                    intentSenderRequest2 = new IntentSenderRequest(intentSenderRequest2.getIntentSender(), null, intentSenderRequest2.getFlagsMask(), intentSenderRequest2.getFlagsValues());
                }
            }
            intent.putExtra("androidx.activity.result.contract.extra.INTENT_SENDER_REQUEST", intentSenderRequest2);
            if (FragmentManager.Q(2)) {
                Log.v("FragmentManager", "CreateIntent created the following intent: " + intent);
            }
            return intent;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // b.a.c.b.a
        public ActivityResult c(int i2, Intent intent) {
            return new ActivityResult(i2, intent);
        }
    }

    public static abstract class k {
        @Deprecated
        public void onFragmentActivityCreated(FragmentManager fragmentManager, Fragment fragment, Bundle bundle) {
        }

        public void onFragmentAttached(FragmentManager fragmentManager, Fragment fragment, Context context) {
        }

        public void onFragmentCreated(FragmentManager fragmentManager, Fragment fragment, Bundle bundle) {
        }

        public void onFragmentDestroyed(FragmentManager fragmentManager, Fragment fragment) {
        }

        public void onFragmentDetached(FragmentManager fragmentManager, Fragment fragment) {
        }

        public void onFragmentPaused(FragmentManager fragmentManager, Fragment fragment) {
        }

        public void onFragmentPreAttached(FragmentManager fragmentManager, Fragment fragment, Context context) {
        }

        public void onFragmentPreCreated(FragmentManager fragmentManager, Fragment fragment, Bundle bundle) {
        }

        public void onFragmentResumed(FragmentManager fragmentManager, Fragment fragment) {
        }

        public void onFragmentSaveInstanceState(FragmentManager fragmentManager, Fragment fragment, Bundle bundle) {
        }

        public void onFragmentStarted(FragmentManager fragmentManager, Fragment fragment) {
        }

        public void onFragmentStopped(FragmentManager fragmentManager, Fragment fragment) {
        }

        public abstract void onFragmentViewCreated(FragmentManager fragmentManager, Fragment fragment, View view, Bundle bundle);

        public void onFragmentViewDestroyed(FragmentManager fragmentManager, Fragment fragment) {
        }
    }

    public static class l implements FragmentResultListener {

        /* renamed from: a  reason: collision with root package name */
        public final Lifecycle f1551a;

        /* renamed from: b  reason: collision with root package name */
        public final FragmentResultListener f1552b;

        /* renamed from: c  reason: collision with root package name */
        public final LifecycleEventObserver f1553c;

        public l(Lifecycle lifecycle, FragmentResultListener fragmentResultListener, LifecycleEventObserver lifecycleEventObserver) {
            this.f1551a = lifecycle;
            this.f1552b = fragmentResultListener;
            this.f1553c = lifecycleEventObserver;
        }

        @Override // androidx.fragment.app.FragmentResultListener
        public void onFragmentResult(String str, Bundle bundle) {
            this.f1552b.onFragmentResult(str, bundle);
        }
    }

    public class m implements OpGenerator {

        /* renamed from: a  reason: collision with root package name */
        public final int f1554a;

        /* renamed from: b  reason: collision with root package name */
        public final int f1555b;

        public m(String str, int i2, int i3) {
            this.f1554a = i2;
            this.f1555b = i3;
        }

        @Override // androidx.fragment.app.FragmentManager.OpGenerator
        public boolean generateOps(ArrayList<b.o.a.a> arrayList, ArrayList<Boolean> arrayList2) {
            Fragment fragment = FragmentManager.this.t;
            if (fragment == null || this.f1554a >= 0 || !fragment.getChildFragmentManager().Z()) {
                return FragmentManager.this.a0(arrayList, arrayList2, null, this.f1554a, this.f1555b);
            }
            return false;
        }
    }

    public static class n implements Fragment.OnStartEnterTransitionListener {

        /* renamed from: a  reason: collision with root package name */
        public final boolean f1557a;

        /* renamed from: b  reason: collision with root package name */
        public final b.o.a.a f1558b;

        /* renamed from: c  reason: collision with root package name */
        public int f1559c;

        public void a() {
            boolean z = this.f1559c > 0;
            for (Fragment fragment : this.f1558b.p.N()) {
                fragment.setOnStartEnterTransitionListener(null);
                if (z && fragment.isPostponed()) {
                    fragment.startPostponedEnterTransition();
                }
            }
            b.o.a.a aVar = this.f1558b;
            aVar.p.g(aVar, this.f1557a, !z, true);
        }

        @Override // androidx.fragment.app.Fragment.OnStartEnterTransitionListener
        public void onStartEnterTransition() {
            int i2 = this.f1559c - 1;
            this.f1559c = i2;
            if (i2 == 0) {
                this.f1558b.p.h0();
            }
        }

        @Override // androidx.fragment.app.Fragment.OnStartEnterTransitionListener
        public void startListening() {
            this.f1559c++;
        }
    }

    public static boolean Q(int i2) {
        return Log.isLoggable("FragmentManager", i2);
    }

    public void A(OpGenerator opGenerator, boolean z2) {
        if (!z2) {
            if (this.q == null) {
                if (this.D) {
                    throw new IllegalStateException("FragmentManager has been destroyed");
                }
                throw new IllegalStateException("FragmentManager has not been attached to a host.");
            } else if (U()) {
                throw new IllegalStateException("Can not perform this action after onSaveInstanceState");
            }
        }
        synchronized (this.f1527a) {
            if (this.q != null) {
                this.f1527a.add(opGenerator);
                h0();
            } else if (!z2) {
                throw new IllegalStateException("Activity has been destroyed");
            }
        }
    }

    public final void B(boolean z2) {
        if (this.f1528b) {
            throw new IllegalStateException("FragmentManager is already executing transactions");
        } else if (this.q == null) {
            if (this.D) {
                throw new IllegalStateException("FragmentManager has been destroyed");
            }
            throw new IllegalStateException("FragmentManager has not been attached to a host.");
        } else if (Looper.myLooper() != this.q.f1525j.getLooper()) {
            throw new IllegalStateException("Must be called from main thread of fragment host");
        } else if (z2 || !U()) {
            if (this.F == null) {
                this.F = new ArrayList<>();
                this.G = new ArrayList<>();
            }
            this.f1528b = true;
            try {
                F(null, null);
            } finally {
                this.f1528b = false;
            }
        } else {
            throw new IllegalStateException("Can not perform this action after onSaveInstanceState");
        }
    }

    /* JADX INFO: finally extract failed */
    public boolean C(boolean z2) {
        boolean z3;
        B(z2);
        boolean z4 = false;
        while (true) {
            ArrayList<b.o.a.a> arrayList = this.F;
            ArrayList<Boolean> arrayList2 = this.G;
            synchronized (this.f1527a) {
                if (this.f1527a.isEmpty()) {
                    z3 = false;
                } else {
                    int size = this.f1527a.size();
                    z3 = false;
                    for (int i2 = 0; i2 < size; i2++) {
                        z3 |= this.f1527a.get(i2).generateOps(arrayList, arrayList2);
                    }
                    this.f1527a.clear();
                    this.q.f1525j.removeCallbacks(this.K);
                }
            }
            if (z3) {
                this.f1528b = true;
                try {
                    d0(this.F, this.G);
                    e();
                    z4 = true;
                } catch (Throwable th) {
                    e();
                    throw th;
                }
            } else {
                p0();
                x();
                this.f1529c.b();
                return z4;
            }
        }
    }

    /* JADX INFO: finally extract failed */
    public void D(OpGenerator opGenerator, boolean z2) {
        if (!z2 || (this.q != null && !this.D)) {
            B(z2);
            ((b.o.a.a) opGenerator).generateOps(this.F, this.G);
            this.f1528b = true;
            try {
                d0(this.F, this.G);
                e();
                p0();
                x();
                this.f1529c.b();
            } catch (Throwable th) {
                e();
                throw th;
            }
        }
    }

    public final void E(ArrayList<b.o.a.a> arrayList, ArrayList<Boolean> arrayList2, int i2, int i3) {
        ViewGroup viewGroup;
        int i4;
        int i5;
        ArrayList<Boolean> arrayList3 = arrayList2;
        boolean z2 = arrayList.get(i2).o;
        ArrayList<Fragment> arrayList4 = this.H;
        if (arrayList4 == null) {
            this.H = new ArrayList<>();
        } else {
            arrayList4.clear();
        }
        this.H.addAll(this.f1529c.i());
        Fragment fragment = this.t;
        int i6 = i2;
        boolean z3 = false;
        while (true) {
            int i7 = 1;
            if (i6 < i3) {
                b.o.a.a aVar = arrayList.get(i6);
                int i8 = 3;
                if (!arrayList3.get(i6).booleanValue()) {
                    ArrayList<Fragment> arrayList5 = this.H;
                    int i9 = 0;
                    while (i9 < aVar.f3693a.size()) {
                        x.a aVar2 = aVar.f3693a.get(i9);
                        int i10 = aVar2.f3705a;
                        if (i10 != i7) {
                            if (i10 == 2) {
                                Fragment fragment2 = aVar2.f3706b;
                                int i11 = fragment2.mContainerId;
                                int size = arrayList5.size() - 1;
                                boolean z4 = false;
                                while (size >= 0) {
                                    Fragment fragment3 = arrayList5.get(size);
                                    if (fragment3.mContainerId != i11) {
                                        i5 = i11;
                                    } else if (fragment3 == fragment2) {
                                        i5 = i11;
                                        z4 = true;
                                    } else {
                                        if (fragment3 == fragment) {
                                            i5 = i11;
                                            aVar.f3693a.add(i9, new x.a(9, fragment3));
                                            i9++;
                                            fragment = null;
                                        } else {
                                            i5 = i11;
                                        }
                                        x.a aVar3 = new x.a(3, fragment3);
                                        aVar3.f3707c = aVar2.f3707c;
                                        aVar3.f3709e = aVar2.f3709e;
                                        aVar3.f3708d = aVar2.f3708d;
                                        aVar3.f3710f = aVar2.f3710f;
                                        aVar.f3693a.add(i9, aVar3);
                                        arrayList5.remove(fragment3);
                                        i9++;
                                    }
                                    size--;
                                    i11 = i5;
                                }
                                if (z4) {
                                    aVar.f3693a.remove(i9);
                                    i9--;
                                } else {
                                    i4 = 1;
                                    aVar2.f3705a = 1;
                                    arrayList5.add(fragment2);
                                    i9 += i4;
                                    i7 = 1;
                                    i8 = 3;
                                }
                            } else if (i10 == i8 || i10 == 6) {
                                arrayList5.remove(aVar2.f3706b);
                                Fragment fragment4 = aVar2.f3706b;
                                if (fragment4 == fragment) {
                                    aVar.f3693a.add(i9, new x.a(9, fragment4));
                                    i9++;
                                    i4 = 1;
                                    fragment = null;
                                    i9 += i4;
                                    i7 = 1;
                                    i8 = 3;
                                }
                            } else if (i10 != 7) {
                                if (i10 == 8) {
                                    aVar.f3693a.add(i9, new x.a(9, fragment));
                                    i9++;
                                    fragment = aVar2.f3706b;
                                }
                            }
                            i4 = 1;
                            i9 += i4;
                            i7 = 1;
                            i8 = 3;
                        }
                        i4 = 1;
                        arrayList5.add(aVar2.f3706b);
                        i9 += i4;
                        i7 = 1;
                        i8 = 3;
                    }
                } else {
                    int i12 = 1;
                    ArrayList<Fragment> arrayList6 = this.H;
                    int size2 = aVar.f3693a.size() - 1;
                    while (size2 >= 0) {
                        x.a aVar4 = aVar.f3693a.get(size2);
                        int i13 = aVar4.f3705a;
                        if (i13 != i12) {
                            if (i13 != 3) {
                                switch (i13) {
                                    case 8:
                                        fragment = null;
                                        break;
                                    case 9:
                                        fragment = aVar4.f3706b;
                                        break;
                                    case 10:
                                        aVar4.f3712h = aVar4.f3711g;
                                        break;
                                }
                                size2--;
                                i12 = 1;
                            }
                            arrayList6.add(aVar4.f3706b);
                            size2--;
                            i12 = 1;
                        }
                        arrayList6.remove(aVar4.f3706b);
                        size2--;
                        i12 = 1;
                    }
                }
                z3 = z3 || aVar.f3699g;
                i6++;
                arrayList3 = arrayList2;
            } else {
                this.H.clear();
                if (!z2 && this.p >= 1) {
                    for (int i14 = i2; i14 < i3; i14++) {
                        Iterator<x.a> it = arrayList.get(i14).f3693a.iterator();
                        while (it.hasNext()) {
                            Fragment fragment5 = it.next().f3706b;
                            if (!(fragment5 == null || fragment5.mFragmentManager == null)) {
                                this.f1529c.j(h(fragment5));
                            }
                        }
                    }
                }
                int i15 = i2;
                while (i15 < i3) {
                    b.o.a.a aVar5 = arrayList.get(i15);
                    if (arrayList2.get(i15).booleanValue()) {
                        aVar5.l(-1);
                        aVar5.p(i15 == i3 + -1);
                    } else {
                        aVar5.l(1);
                        aVar5.o();
                    }
                    i15++;
                }
                boolean booleanValue = arrayList2.get(i3 - 1).booleanValue();
                for (int i16 = i2; i16 < i3; i16++) {
                    b.o.a.a aVar6 = arrayList.get(i16);
                    if (booleanValue) {
                        for (int size3 = aVar6.f3693a.size() - 1; size3 >= 0; size3--) {
                            Fragment fragment6 = aVar6.f3693a.get(size3).f3706b;
                            if (fragment6 != null) {
                                h(fragment6).k();
                            }
                        }
                    } else {
                        Iterator<x.a> it2 = aVar6.f3693a.iterator();
                        while (it2.hasNext()) {
                            Fragment fragment7 = it2.next().f3706b;
                            if (fragment7 != null) {
                                h(fragment7).k();
                            }
                        }
                    }
                }
                V(this.p, true);
                HashSet hashSet = new HashSet();
                for (int i17 = i2; i17 < i3; i17++) {
                    Iterator<x.a> it3 = arrayList.get(i17).f3693a.iterator();
                    while (it3.hasNext()) {
                        Fragment fragment8 = it3.next().f3706b;
                        if (!(fragment8 == null || (viewGroup = fragment8.mContainer) == null)) {
                            hashSet.add(SpecialEffectsController.g(viewGroup, O()));
                        }
                    }
                }
                Iterator it4 = hashSet.iterator();
                while (it4.hasNext()) {
                    SpecialEffectsController specialEffectsController = (SpecialEffectsController) it4.next();
                    specialEffectsController.f1584d = booleanValue;
                    specialEffectsController.h();
                    specialEffectsController.c();
                }
                for (int i18 = i2; i18 < i3; i18++) {
                    b.o.a.a aVar7 = arrayList.get(i18);
                    if (arrayList2.get(i18).booleanValue() && aVar7.r >= 0) {
                        aVar7.r = -1;
                    }
                    Objects.requireNonNull(aVar7);
                }
                return;
            }
        }
    }

    public final void F(ArrayList<b.o.a.a> arrayList, ArrayList<Boolean> arrayList2) {
        int indexOf;
        int indexOf2;
        ArrayList<n> arrayList3 = this.I;
        int size = arrayList3 == null ? 0 : arrayList3.size();
        int i2 = 0;
        while (i2 < size) {
            n nVar = this.I.get(i2);
            if (arrayList == null || nVar.f1557a || (indexOf2 = arrayList.indexOf(nVar.f1558b)) == -1 || arrayList2 == null || !arrayList2.get(indexOf2).booleanValue()) {
                if ((nVar.f1559c == 0) || (arrayList != null && nVar.f1558b.r(arrayList, 0, arrayList.size()))) {
                    this.I.remove(i2);
                    i2--;
                    size--;
                    if (arrayList == null || nVar.f1557a || (indexOf = arrayList.indexOf(nVar.f1558b)) == -1 || arrayList2 == null || !arrayList2.get(indexOf).booleanValue()) {
                        nVar.a();
                    } else {
                        b.o.a.a aVar = nVar.f1558b;
                        aVar.p.g(aVar, nVar.f1557a, false, false);
                    }
                }
            } else {
                this.I.remove(i2);
                i2--;
                size--;
                b.o.a.a aVar2 = nVar.f1558b;
                aVar2.p.g(aVar2, nVar.f1557a, false, false);
            }
            i2++;
        }
    }

    public Fragment G(String str) {
        return this.f1529c.d(str);
    }

    public Fragment H(int i2) {
        w wVar = this.f1529c;
        int size = wVar.f3690a.size();
        while (true) {
            size--;
            if (size >= 0) {
                Fragment fragment = wVar.f3690a.get(size);
                if (fragment != null && fragment.mFragmentId == i2) {
                    return fragment;
                }
            } else {
                for (v vVar : wVar.f3691b.values()) {
                    if (vVar != null) {
                        Fragment fragment2 = vVar.f3686c;
                        if (fragment2.mFragmentId == i2) {
                            return fragment2;
                        }
                    }
                }
                return null;
            }
        }
    }

    public Fragment I(String str) {
        w wVar = this.f1529c;
        Objects.requireNonNull(wVar);
        if (str != null) {
            int size = wVar.f3690a.size();
            while (true) {
                size--;
                if (size < 0) {
                    break;
                }
                Fragment fragment = wVar.f3690a.get(size);
                if (fragment != null && str.equals(fragment.mTag)) {
                    return fragment;
                }
            }
        }
        if (str != null) {
            for (v vVar : wVar.f3691b.values()) {
                if (vVar != null) {
                    Fragment fragment2 = vVar.f3686c;
                    if (str.equals(fragment2.mTag)) {
                        return fragment2;
                    }
                }
            }
        }
        return null;
    }

    public final void J() {
        Iterator it = ((HashSet) f()).iterator();
        while (it.hasNext()) {
            SpecialEffectsController specialEffectsController = (SpecialEffectsController) it.next();
            if (specialEffectsController.f1585e) {
                specialEffectsController.f1585e = false;
                specialEffectsController.c();
            }
        }
    }

    public Fragment K(Bundle bundle, String str) {
        String string = bundle.getString(str);
        if (string == null) {
            return null;
        }
        Fragment d2 = this.f1529c.d(string);
        if (d2 != null) {
            return d2;
        }
        o0(new IllegalStateException("Fragment no longer exists for key " + str + ": unique id " + string));
        throw null;
    }

    public final ViewGroup L(Fragment fragment) {
        ViewGroup viewGroup = fragment.mContainer;
        if (viewGroup != null) {
            return viewGroup;
        }
        if (fragment.mContainerId > 0 && this.r.b()) {
            View a2 = this.r.a(fragment.mContainerId);
            if (a2 instanceof ViewGroup) {
                return (ViewGroup) a2;
            }
        }
        return null;
    }

    public q M() {
        Fragment fragment = this.s;
        if (fragment != null) {
            return fragment.mFragmentManager.M();
        }
        return this.u;
    }

    public List<Fragment> N() {
        return this.f1529c.i();
    }

    public SpecialEffectsControllerFactory O() {
        Fragment fragment = this.s;
        if (fragment != null) {
            return fragment.mFragmentManager.O();
        }
        return this.v;
    }

    public void P(Fragment fragment) {
        if (Q(2)) {
            Log.v("FragmentManager", "hide: " + fragment);
        }
        if (!fragment.mHidden) {
            fragment.mHidden = true;
            fragment.mHiddenChanged = true ^ fragment.mHiddenChanged;
            l0(fragment);
        }
    }

    public final boolean R(Fragment fragment) {
        boolean z2;
        if (fragment.mHasMenu && fragment.mMenuVisible) {
            return true;
        }
        FragmentManager fragmentManager = fragment.mChildFragmentManager;
        Iterator it = ((ArrayList) fragmentManager.f1529c.g()).iterator();
        boolean z3 = false;
        while (true) {
            if (!it.hasNext()) {
                z2 = false;
                break;
            }
            Fragment fragment2 = (Fragment) it.next();
            if (fragment2 != null) {
                z3 = fragmentManager.R(fragment2);
                continue;
            }
            if (z3) {
                z2 = true;
                break;
            }
        }
        if (z2) {
            return true;
        }
        return false;
    }

    public boolean S(Fragment fragment) {
        if (fragment == null) {
            return true;
        }
        return fragment.isMenuVisible();
    }

    public boolean T(Fragment fragment) {
        if (fragment == null) {
            return true;
        }
        FragmentManager fragmentManager = fragment.mFragmentManager;
        if (!fragment.equals(fragmentManager.t) || !T(fragmentManager.s)) {
            return false;
        }
        return true;
    }

    public boolean U() {
        return this.B || this.C;
    }

    public void V(int i2, boolean z2) {
        FragmentHostCallback<?> fragmentHostCallback;
        if (this.q == null && i2 != -1) {
            throw new IllegalStateException("No activity");
        } else if (z2 || i2 != this.p) {
            this.p = i2;
            w wVar = this.f1529c;
            Iterator<Fragment> it = wVar.f3690a.iterator();
            while (it.hasNext()) {
                v vVar = wVar.f3691b.get(it.next().mWho);
                if (vVar != null) {
                    vVar.k();
                }
            }
            Iterator<v> it2 = wVar.f3691b.values().iterator();
            while (true) {
                boolean z3 = false;
                if (!it2.hasNext()) {
                    break;
                }
                v next = it2.next();
                if (next != null) {
                    next.k();
                    Fragment fragment = next.f3686c;
                    if (fragment.mRemoving && !fragment.isInBackStack()) {
                        z3 = true;
                    }
                    if (z3) {
                        wVar.k(next);
                    }
                }
            }
            n0();
            if (this.A && (fragmentHostCallback = this.q) != null && this.p == 7) {
                fragmentHostCallback.k();
                this.A = false;
            }
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:23:0x005c, code lost:
        if (r1 != 5) goto L_0x01b7;
     */
    /* JADX WARNING: Removed duplicated region for block: B:100:0x01b3  */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x006c  */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x0071  */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x0076  */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x007b  */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x0080  */
    public void W(Fragment fragment, int i2) {
        int i3;
        ViewGroup viewGroup;
        v h2 = this.f1529c.h(fragment.mWho);
        if (h2 == null) {
            h2 = new v(this.n, this.f1529c, fragment);
            h2.f3688e = 1;
        }
        int min = Math.min((!fragment.mFromLayout || !fragment.mInLayout || fragment.mState != 2) ? i2 : Math.max(i2, 2), h2.d());
        int i4 = fragment.mState;
        if (i4 <= min) {
            if (i4 < min && !this.f1538l.isEmpty()) {
                d(fragment);
            }
            int i5 = fragment.mState;
            if (i5 != -1) {
                if (i5 != 0) {
                    if (i5 != 1) {
                        if (i5 != 2) {
                            if (i5 != 4) {
                            }
                            if (min > 4) {
                                h2.q();
                            }
                            if (min > 5) {
                                h2.n();
                            }
                        }
                        if (min > 2) {
                            h2.a();
                        }
                        if (min > 4) {
                        }
                        if (min > 5) {
                        }
                    }
                    if (min > -1) {
                        h2.j();
                    }
                    if (min > 1) {
                        h2.f();
                    }
                    if (min > 2) {
                    }
                    if (min > 4) {
                    }
                    if (min > 5) {
                    }
                }
            } else if (min > -1) {
                h2.c();
            }
            if (min > 0) {
                h2.e();
            }
            if (min > -1) {
            }
            if (min > 1) {
            }
            if (min > 2) {
            }
            if (min > 4) {
            }
            if (min > 5) {
            }
        } else if (i4 > min) {
            if (i4 != 0) {
                if (i4 != 1) {
                    if (i4 != 2) {
                        if (i4 != 4) {
                            if (i4 != 5) {
                                if (i4 == 7) {
                                    if (min < 7) {
                                        h2.l();
                                    }
                                }
                            }
                            if (min < 5) {
                                h2.r();
                            }
                        }
                        if (min < 4) {
                            if (Q(3)) {
                                Log.d("FragmentManager", "movefrom ACTIVITY_CREATED: " + fragment);
                            }
                            if (fragment.mView != null && this.q.g(fragment) && fragment.mSavedViewState == null) {
                                h2.p();
                            }
                        }
                    }
                    if (min < 2) {
                        n.a aVar = null;
                        View view = fragment.mView;
                        if (!(view == null || (viewGroup = fragment.mContainer) == null)) {
                            viewGroup.endViewTransition(view);
                            fragment.mView.clearAnimation();
                            if (!fragment.isRemovingParent()) {
                                if (this.p > -1 && !this.D && fragment.mView.getVisibility() == 0 && fragment.mPostponedAlpha >= 0.0f) {
                                    aVar = b.o.a.n.u1(this.q.f1524h, fragment, false, fragment.getPopDirection());
                                }
                                fragment.mPostponedAlpha = 0.0f;
                                ViewGroup viewGroup2 = fragment.mContainer;
                                View view2 = fragment.mView;
                                if (aVar != null) {
                                    FragmentTransition.Callback callback = this.m;
                                    viewGroup2.startViewTransition(view2);
                                    CancellationSignal cancellationSignal = new CancellationSignal();
                                    cancellationSignal.b(new b.o.a.k(fragment));
                                    callback.onStart(fragment, cancellationSignal);
                                    if (aVar.f3654a != null) {
                                        n.b bVar = new n.b(aVar.f3654a, viewGroup2, view2);
                                        fragment.setAnimatingAway(fragment.mView);
                                        bVar.setAnimationListener(new b.o.a.l(viewGroup2, fragment, callback, cancellationSignal));
                                        fragment.mView.startAnimation(bVar);
                                    } else {
                                        Animator animator = aVar.f3655b;
                                        fragment.setAnimator(animator);
                                        animator.addListener(new b.o.a.m(viewGroup2, view2, fragment, callback, cancellationSignal));
                                        animator.setTarget(fragment.mView);
                                        animator.start();
                                    }
                                }
                                viewGroup2.removeView(view2);
                                if (Q(2)) {
                                    Log.v("FragmentManager", "Removing view " + view2 + " for fragment " + fragment + " from container " + viewGroup2);
                                }
                                if (viewGroup2 != fragment.mContainer) {
                                    return;
                                }
                            }
                        }
                        if (this.f1538l.get(fragment) == null) {
                            h2.h();
                        }
                    }
                }
                if (min < 1) {
                    if (this.f1538l.get(fragment) != null) {
                        i3 = 1;
                        if (i3 < 0) {
                            h2.i();
                        }
                        min = i3;
                    } else {
                        h2.g();
                    }
                }
            }
            i3 = min;
            if (i3 < 0) {
            }
            min = i3;
        }
        if (fragment.mState != min) {
            if (Q(3)) {
                Log.d("FragmentManager", "moveToState: Fragment state for " + fragment + " not updated inline; expected state " + min + " found " + fragment.mState);
            }
            fragment.mState = min;
        }
    }

    public void X() {
        if (this.q != null) {
            this.B = false;
            this.C = false;
            this.J.f3683g = false;
            for (Fragment fragment : this.f1529c.i()) {
                if (fragment != null) {
                    fragment.noteStateNotSaved();
                }
            }
        }
    }

    public void Y(v vVar) {
        Fragment fragment = vVar.f3686c;
        if (!fragment.mDeferStart) {
            return;
        }
        if (this.f1528b) {
            this.E = true;
            return;
        }
        fragment.mDeferStart = false;
        vVar.k();
    }

    public boolean Z() {
        C(false);
        B(true);
        Fragment fragment = this.t;
        if (fragment != null && fragment.getChildFragmentManager().Z()) {
            return true;
        }
        boolean a0 = a0(this.F, this.G, null, -1, 0);
        if (a0) {
            this.f1528b = true;
            try {
                d0(this.F, this.G);
            } finally {
                e();
            }
        }
        p0();
        x();
        this.f1529c.b();
        return a0;
    }

    public v a(Fragment fragment) {
        if (Q(2)) {
            Log.v("FragmentManager", "add: " + fragment);
        }
        v h2 = h(fragment);
        fragment.mFragmentManager = this;
        this.f1529c.j(h2);
        if (!fragment.mDetached) {
            this.f1529c.a(fragment);
            fragment.mRemoving = false;
            if (fragment.mView == null) {
                fragment.mHiddenChanged = false;
            }
            if (R(fragment)) {
                this.A = true;
            }
        }
        return h2;
    }

    public boolean a0(ArrayList<b.o.a.a> arrayList, ArrayList<Boolean> arrayList2, String str, int i2, int i3) {
        ArrayList<b.o.a.a> arrayList3 = this.f1530d;
        if (arrayList3 == null) {
            return false;
        }
        if (str == null && i2 < 0 && (i3 & 1) == 0) {
            int size = arrayList3.size() - 1;
            if (size < 0) {
                return false;
            }
            arrayList.add(this.f1530d.remove(size));
            arrayList2.add(Boolean.TRUE);
        } else {
            int i4 = -1;
            if (str != null || i2 >= 0) {
                int size2 = arrayList3.size() - 1;
                while (size2 >= 0) {
                    b.o.a.a aVar = this.f1530d.get(size2);
                    if ((str != null && str.equals(aVar.f3700h)) || (i2 >= 0 && i2 == aVar.r)) {
                        break;
                    }
                    size2--;
                }
                if (size2 < 0) {
                    return false;
                }
                if ((i3 & 1) != 0) {
                    while (true) {
                        size2--;
                        if (size2 < 0) {
                            break;
                        }
                        b.o.a.a aVar2 = this.f1530d.get(size2);
                        if ((str == null || !str.equals(aVar2.f3700h)) && (i2 < 0 || i2 != aVar2.r)) {
                            break;
                        }
                    }
                }
                i4 = size2;
            }
            if (i4 == this.f1530d.size() - 1) {
                return false;
            }
            for (int size3 = this.f1530d.size() - 1; size3 > i4; size3--) {
                arrayList.add(this.f1530d.remove(size3));
                arrayList2.add(Boolean.TRUE);
            }
        }
        return true;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r6v29, resolved type: androidx.activity.OnBackPressedDispatcherOwner */
    /* JADX WARN: Multi-variable type inference failed */
    @SuppressLint({"SyntheticAccessor"})
    public void b(FragmentHostCallback<?> fragmentHostCallback, o oVar, Fragment fragment) {
        b.q.k kVar;
        if (this.q == null) {
            this.q = fragmentHostCallback;
            this.r = oVar;
            this.s = fragment;
            if (fragment != null) {
                this.o.add(new h(this, fragment));
            } else if (fragmentHostCallback instanceof FragmentOnAttachListener) {
                this.o.add((FragmentOnAttachListener) fragmentHostCallback);
            }
            if (this.s != null) {
                p0();
            }
            if (fragmentHostCallback instanceof OnBackPressedDispatcherOwner) {
                OnBackPressedDispatcherOwner onBackPressedDispatcherOwner = (OnBackPressedDispatcherOwner) fragmentHostCallback;
                OnBackPressedDispatcher onBackPressedDispatcher = onBackPressedDispatcherOwner.getOnBackPressedDispatcher();
                this.f1533g = onBackPressedDispatcher;
                Fragment fragment2 = onBackPressedDispatcherOwner;
                if (fragment != null) {
                    fragment2 = fragment;
                }
                b.a.a aVar = this.f1534h;
                Objects.requireNonNull(onBackPressedDispatcher);
                Lifecycle lifecycle = fragment2.getLifecycle();
                if (((LifecycleRegistry) lifecycle).f1606b != Lifecycle.State.DESTROYED) {
                    aVar.f2171b.add(new OnBackPressedDispatcher.LifecycleOnBackPressedCancellable(lifecycle, aVar));
                }
            }
            if (fragment != null) {
                u uVar = fragment.mFragmentManager.J;
                u uVar2 = uVar.f3679c.get(fragment.mWho);
                if (uVar2 == null) {
                    uVar2 = new u(uVar.f3681e);
                    uVar.f3679c.put(fragment.mWho, uVar2);
                }
                this.J = uVar2;
            } else if (fragmentHostCallback instanceof ViewModelStoreOwner) {
                b.q.l viewModelStore = ((ViewModelStoreOwner) fragmentHostCallback).getViewModelStore();
                ViewModelProvider.Factory factory = u.f3677a;
                String canonicalName = u.class.getCanonicalName();
                if (canonicalName != null) {
                    String s2 = d.a.a.a.a.s("androidx.lifecycle.ViewModelProvider.DefaultKey:", canonicalName);
                    b.q.k kVar2 = viewModelStore.f3741a.get(s2);
                    if (!u.class.isInstance(kVar2)) {
                        if (factory instanceof ViewModelProvider.a) {
                            kVar = ((ViewModelProvider.a) factory).b(s2, u.class);
                        } else {
                            kVar = ((u.a) factory).create(u.class);
                        }
                        kVar2 = kVar;
                        b.q.k put = viewModelStore.f3741a.put(s2, kVar2);
                        if (put != null) {
                            put.onCleared();
                        }
                    } else if (factory instanceof ViewModelProvider.b) {
                        ((ViewModelProvider.b) factory).a(kVar2);
                    }
                    this.J = (u) kVar2;
                } else {
                    throw new IllegalArgumentException("Local and anonymous classes can not be ViewModels");
                }
            } else {
                this.J = new u(false);
            }
            this.J.f3683g = U();
            this.f1529c.f3692c = this.J;
            FragmentHostCallback<?> fragmentHostCallback2 = this.q;
            if (fragmentHostCallback2 instanceof ActivityResultRegistryOwner) {
                ActivityResultRegistry activityResultRegistry = ((ActivityResultRegistryOwner) fragmentHostCallback2).getActivityResultRegistry();
                String s3 = d.a.a.a.a.s("FragmentManager:", fragment != null ? d.a.a.a.a.y(new StringBuilder(), fragment.mWho, ":") : "");
                this.w = activityResultRegistry.c(d.a.a.a.a.s(s3, "StartActivityForResult"), new ActivityResultContracts$StartActivityForResult(), new i());
                this.x = activityResultRegistry.c(d.a.a.a.a.s(s3, "StartIntentSenderForResult"), new j(), new a());
                this.y = activityResultRegistry.c(d.a.a.a.a.s(s3, "RequestPermissions"), new ActivityResultContracts$RequestMultiplePermissions(), new b());
                return;
            }
            return;
        }
        throw new IllegalStateException("Already attached");
    }

    public void b0(Bundle bundle, String str, Fragment fragment) {
        if (fragment.mFragmentManager == this) {
            bundle.putString(str, fragment.mWho);
        } else {
            o0(new IllegalStateException(d.a.a.a.a.q("Fragment ", fragment, " is not currently in the FragmentManager")));
            throw null;
        }
    }

    public void c(Fragment fragment) {
        if (Q(2)) {
            Log.v("FragmentManager", "attach: " + fragment);
        }
        if (fragment.mDetached) {
            fragment.mDetached = false;
            if (!fragment.mAdded) {
                this.f1529c.a(fragment);
                if (Q(2)) {
                    Log.v("FragmentManager", "add from attach: " + fragment);
                }
                if (R(fragment)) {
                    this.A = true;
                }
            }
        }
    }

    public void c0(Fragment fragment) {
        if (Q(2)) {
            Log.v("FragmentManager", "remove: " + fragment + " nesting=" + fragment.mBackStackNesting);
        }
        boolean z2 = !fragment.isInBackStack();
        if (!fragment.mDetached || z2) {
            this.f1529c.l(fragment);
            if (R(fragment)) {
                this.A = true;
            }
            fragment.mRemoving = true;
            l0(fragment);
        }
    }

    @Override // androidx.fragment.app.FragmentResultOwner
    public final void clearFragmentResult(String str) {
        this.f1536j.remove(str);
    }

    @Override // androidx.fragment.app.FragmentResultOwner
    public final void clearFragmentResultListener(String str) {
        l remove = this.f1537k.remove(str);
        if (remove != null) {
            remove.f1551a.b(remove.f1553c);
        }
    }

    public final void d(Fragment fragment) {
        HashSet<CancellationSignal> hashSet = this.f1538l.get(fragment);
        if (hashSet != null) {
            Iterator<CancellationSignal> it = hashSet.iterator();
            while (it.hasNext()) {
                it.next().a();
            }
            hashSet.clear();
            i(fragment);
            this.f1538l.remove(fragment);
        }
    }

    public final void d0(ArrayList<b.o.a.a> arrayList, ArrayList<Boolean> arrayList2) {
        if (!arrayList.isEmpty()) {
            if (arrayList.size() == arrayList2.size()) {
                F(arrayList, arrayList2);
                int size = arrayList.size();
                int i2 = 0;
                int i3 = 0;
                while (i2 < size) {
                    if (!arrayList.get(i2).o) {
                        if (i3 != i2) {
                            E(arrayList, arrayList2, i3, i2);
                        }
                        i3 = i2 + 1;
                        if (arrayList2.get(i2).booleanValue()) {
                            while (i3 < size && arrayList2.get(i3).booleanValue() && !arrayList.get(i3).o) {
                                i3++;
                            }
                        }
                        E(arrayList, arrayList2, i2, i3);
                        i2 = i3 - 1;
                    }
                    i2++;
                }
                if (i3 != size) {
                    E(arrayList, arrayList2, i3, size);
                    return;
                }
                return;
            }
            throw new IllegalStateException("Internal error with the back stack records");
        }
    }

    public final void e() {
        this.f1528b = false;
        this.G.clear();
        this.F.clear();
    }

    public void e0(Parcelable parcelable) {
        v vVar;
        if (parcelable != null) {
            FragmentManagerState fragmentManagerState = (FragmentManagerState) parcelable;
            if (fragmentManagerState.mActive != null) {
                this.f1529c.f3691b.clear();
                Iterator<FragmentState> it = fragmentManagerState.mActive.iterator();
                while (it.hasNext()) {
                    FragmentState next = it.next();
                    if (next != null) {
                        u uVar = this.J;
                        Fragment fragment = uVar.f3678b.get(next.mWho);
                        if (fragment != null) {
                            if (Q(2)) {
                                Log.v("FragmentManager", "restoreSaveState: re-attaching retained " + fragment);
                            }
                            vVar = new v(this.n, this.f1529c, fragment, next);
                        } else {
                            vVar = new v(this.n, this.f1529c, this.q.f1524h.getClassLoader(), M(), next);
                        }
                        Fragment fragment2 = vVar.f3686c;
                        fragment2.mFragmentManager = this;
                        if (Q(2)) {
                            StringBuilder B2 = d.a.a.a.a.B("restoreSaveState: active (");
                            B2.append(fragment2.mWho);
                            B2.append("): ");
                            B2.append(fragment2);
                            Log.v("FragmentManager", B2.toString());
                        }
                        vVar.m(this.q.f1524h.getClassLoader());
                        this.f1529c.j(vVar);
                        vVar.f3688e = this.p;
                    }
                }
                u uVar2 = this.J;
                Objects.requireNonNull(uVar2);
                Iterator it2 = new ArrayList(uVar2.f3678b.values()).iterator();
                while (it2.hasNext()) {
                    Fragment fragment3 = (Fragment) it2.next();
                    if (!this.f1529c.c(fragment3.mWho)) {
                        if (Q(2)) {
                            Log.v("FragmentManager", "Discarding retained Fragment " + fragment3 + " that was not found in the set of active Fragments " + fragmentManagerState.mActive);
                        }
                        this.J.b(fragment3);
                        fragment3.mFragmentManager = this;
                        v vVar2 = new v(this.n, this.f1529c, fragment3);
                        vVar2.f3688e = 1;
                        vVar2.k();
                        fragment3.mRemoving = true;
                        vVar2.k();
                    }
                }
                w wVar = this.f1529c;
                ArrayList<String> arrayList = fragmentManagerState.mAdded;
                wVar.f3690a.clear();
                if (arrayList != null) {
                    for (String str : arrayList) {
                        Fragment d2 = wVar.d(str);
                        if (d2 != null) {
                            if (Q(2)) {
                                Log.v("FragmentManager", "restoreSaveState: added (" + str + "): " + d2);
                            }
                            wVar.a(d2);
                        } else {
                            throw new IllegalStateException(d.a.a.a.a.t("No instantiated fragment for (", str, ")"));
                        }
                    }
                }
                if (fragmentManagerState.mBackStack != null) {
                    this.f1530d = new ArrayList<>(fragmentManagerState.mBackStack.length);
                    int i2 = 0;
                    while (true) {
                        BackStackState[] backStackStateArr = fragmentManagerState.mBackStack;
                        if (i2 >= backStackStateArr.length) {
                            break;
                        }
                        b.o.a.a instantiate = backStackStateArr[i2].instantiate(this);
                        if (Q(2)) {
                            StringBuilder C2 = d.a.a.a.a.C("restoreAllState: back stack #", i2, " (index ");
                            C2.append(instantiate.r);
                            C2.append("): ");
                            C2.append(instantiate);
                            Log.v("FragmentManager", C2.toString());
                            PrintWriter printWriter = new PrintWriter(new j0("FragmentManager"));
                            instantiate.n("  ", printWriter, false);
                            printWriter.close();
                        }
                        this.f1530d.add(instantiate);
                        i2++;
                    }
                } else {
                    this.f1530d = null;
                }
                this.f1535i.set(fragmentManagerState.mBackStackIndex);
                String str2 = fragmentManagerState.mPrimaryNavActiveWho;
                if (str2 != null) {
                    Fragment G2 = G(str2);
                    this.t = G2;
                    t(G2);
                }
                ArrayList<String> arrayList2 = fragmentManagerState.mResultKeys;
                if (arrayList2 != null) {
                    for (int i3 = 0; i3 < arrayList2.size(); i3++) {
                        Bundle bundle = fragmentManagerState.mResults.get(i3);
                        bundle.setClassLoader(this.q.f1524h.getClassLoader());
                        this.f1536j.put(arrayList2.get(i3), bundle);
                    }
                }
                this.z = new ArrayDeque<>(fragmentManagerState.mLaunchedFragments);
            }
        }
    }

    public final Set<SpecialEffectsController> f() {
        HashSet hashSet = new HashSet();
        Iterator it = ((ArrayList) this.f1529c.f()).iterator();
        while (it.hasNext()) {
            ViewGroup viewGroup = ((v) it.next()).f3686c.mContainer;
            if (viewGroup != null) {
                hashSet.add(SpecialEffectsController.g(viewGroup, O()));
            }
        }
        return hashSet;
    }

    public Parcelable f0() {
        ArrayList<String> arrayList;
        int size;
        J();
        z();
        C(true);
        this.B = true;
        this.J.f3683g = true;
        w wVar = this.f1529c;
        Objects.requireNonNull(wVar);
        ArrayList<FragmentState> arrayList2 = new ArrayList<>(wVar.f3691b.size());
        for (v vVar : wVar.f3691b.values()) {
            if (vVar != null) {
                Fragment fragment = vVar.f3686c;
                FragmentState fragmentState = new FragmentState(fragment);
                Fragment fragment2 = vVar.f3686c;
                if (fragment2.mState <= -1 || fragmentState.mSavedFragmentState != null) {
                    fragmentState.mSavedFragmentState = fragment2.mSavedFragmentState;
                } else {
                    Bundle o2 = vVar.o();
                    fragmentState.mSavedFragmentState = o2;
                    if (vVar.f3686c.mTargetWho != null) {
                        if (o2 == null) {
                            fragmentState.mSavedFragmentState = new Bundle();
                        }
                        fragmentState.mSavedFragmentState.putString("android:target_state", vVar.f3686c.mTargetWho);
                        int i2 = vVar.f3686c.mTargetRequestCode;
                        if (i2 != 0) {
                            fragmentState.mSavedFragmentState.putInt("android:target_req_state", i2);
                        }
                    }
                }
                arrayList2.add(fragmentState);
                if (Q(2)) {
                    Log.v("FragmentManager", "Saved state of " + fragment + ": " + fragmentState.mSavedFragmentState);
                }
            }
        }
        BackStackState[] backStackStateArr = null;
        if (arrayList2.isEmpty()) {
            if (Q(2)) {
                Log.v("FragmentManager", "saveAllState: no fragments!");
            }
            return null;
        }
        w wVar2 = this.f1529c;
        synchronized (wVar2.f3690a) {
            if (wVar2.f3690a.isEmpty()) {
                arrayList = null;
            } else {
                arrayList = new ArrayList<>(wVar2.f3690a.size());
                Iterator<Fragment> it = wVar2.f3690a.iterator();
                while (it.hasNext()) {
                    Fragment next = it.next();
                    arrayList.add(next.mWho);
                    if (Q(2)) {
                        Log.v("FragmentManager", "saveAllState: adding fragment (" + next.mWho + "): " + next);
                    }
                }
            }
        }
        ArrayList<b.o.a.a> arrayList3 = this.f1530d;
        if (arrayList3 != null && (size = arrayList3.size()) > 0) {
            backStackStateArr = new BackStackState[size];
            for (int i3 = 0; i3 < size; i3++) {
                backStackStateArr[i3] = new BackStackState(this.f1530d.get(i3));
                if (Q(2)) {
                    StringBuilder C2 = d.a.a.a.a.C("saveAllState: adding back stack #", i3, ": ");
                    C2.append(this.f1530d.get(i3));
                    Log.v("FragmentManager", C2.toString());
                }
            }
        }
        FragmentManagerState fragmentManagerState = new FragmentManagerState();
        fragmentManagerState.mActive = arrayList2;
        fragmentManagerState.mAdded = arrayList;
        fragmentManagerState.mBackStack = backStackStateArr;
        fragmentManagerState.mBackStackIndex = this.f1535i.get();
        Fragment fragment3 = this.t;
        if (fragment3 != null) {
            fragmentManagerState.mPrimaryNavActiveWho = fragment3.mWho;
        }
        fragmentManagerState.mResultKeys.addAll(this.f1536j.keySet());
        fragmentManagerState.mResults.addAll(this.f1536j.values());
        fragmentManagerState.mLaunchedFragments = new ArrayList<>(this.z);
        return fragmentManagerState;
    }

    public void g(b.o.a.a aVar, boolean z2, boolean z3, boolean z4) {
        if (z2) {
            aVar.p(z4);
        } else {
            aVar.o();
        }
        ArrayList arrayList = new ArrayList(1);
        ArrayList arrayList2 = new ArrayList(1);
        arrayList.add(aVar);
        arrayList2.add(Boolean.valueOf(z2));
        if (z3 && this.p >= 1) {
            FragmentTransition.q(this.q.f1524h, this.r, arrayList, arrayList2, 0, 1, true, this.m);
        }
        if (z4) {
            V(this.p, true);
        }
        Iterator it = ((ArrayList) this.f1529c.g()).iterator();
        while (it.hasNext()) {
            Fragment fragment = (Fragment) it.next();
            if (fragment != null && fragment.mView != null && fragment.mIsNewlyAdded && aVar.q(fragment.mContainerId)) {
                float f2 = fragment.mPostponedAlpha;
                if (f2 > 0.0f) {
                    fragment.mView.setAlpha(f2);
                }
                if (z4) {
                    fragment.mPostponedAlpha = 0.0f;
                } else {
                    fragment.mPostponedAlpha = -1.0f;
                    fragment.mIsNewlyAdded = false;
                }
            }
        }
    }

    public Fragment.SavedState g0(Fragment fragment) {
        Bundle o2;
        v h2 = this.f1529c.h(fragment.mWho);
        if (h2 == null || !h2.f3686c.equals(fragment)) {
            o0(new IllegalStateException(d.a.a.a.a.q("Fragment ", fragment, " is not currently in the FragmentManager")));
            throw null;
        } else if (h2.f3686c.mState <= -1 || (o2 = h2.o()) == null) {
            return null;
        } else {
            return new Fragment.SavedState(o2);
        }
    }

    public v h(Fragment fragment) {
        v h2 = this.f1529c.h(fragment.mWho);
        if (h2 != null) {
            return h2;
        }
        v vVar = new v(this.n, this.f1529c, fragment);
        vVar.m(this.q.f1524h.getClassLoader());
        vVar.f3688e = this.p;
        return vVar;
    }

    public void h0() {
        synchronized (this.f1527a) {
            ArrayList<n> arrayList = this.I;
            boolean z2 = false;
            boolean z3 = arrayList != null && !arrayList.isEmpty();
            if (this.f1527a.size() == 1) {
                z2 = true;
            }
            if (z3 || z2) {
                this.q.f1525j.removeCallbacks(this.K);
                this.q.f1525j.post(this.K);
                p0();
            }
        }
    }

    public final void i(Fragment fragment) {
        fragment.performDestroyView();
        this.n.n(fragment, false);
        fragment.mContainer = null;
        fragment.mView = null;
        fragment.mViewLifecycleOwner = null;
        fragment.mViewLifecycleOwnerLiveData.k(null);
        fragment.mInLayout = false;
    }

    public void i0(Fragment fragment, boolean z2) {
        ViewGroup L = L(fragment);
        if (L != null && (L instanceof FragmentContainerView)) {
            ((FragmentContainerView) L).setDrawDisappearingViewsLast(!z2);
        }
    }

    public void j(Fragment fragment) {
        if (Q(2)) {
            Log.v("FragmentManager", "detach: " + fragment);
        }
        if (!fragment.mDetached) {
            fragment.mDetached = true;
            if (fragment.mAdded) {
                if (Q(2)) {
                    Log.v("FragmentManager", "remove from detach: " + fragment);
                }
                this.f1529c.l(fragment);
                if (R(fragment)) {
                    this.A = true;
                }
                l0(fragment);
            }
        }
    }

    public void j0(Fragment fragment, Lifecycle.State state) {
        if (!fragment.equals(G(fragment.mWho)) || !(fragment.mHost == null || fragment.mFragmentManager == this)) {
            throw new IllegalArgumentException("Fragment " + fragment + " is not an active fragment of FragmentManager " + this);
        }
        fragment.mMaxState = state;
    }

    public void k(Configuration configuration) {
        for (Fragment fragment : this.f1529c.i()) {
            if (fragment != null) {
                fragment.performConfigurationChanged(configuration);
            }
        }
    }

    public void k0(Fragment fragment) {
        if (fragment == null || (fragment.equals(G(fragment.mWho)) && (fragment.mHost == null || fragment.mFragmentManager == this))) {
            Fragment fragment2 = this.t;
            this.t = fragment;
            t(fragment2);
            t(this.t);
            return;
        }
        throw new IllegalArgumentException("Fragment " + fragment + " is not an active fragment of FragmentManager " + this);
    }

    public boolean l(MenuItem menuItem) {
        if (this.p < 1) {
            return false;
        }
        for (Fragment fragment : this.f1529c.i()) {
            if (fragment != null && fragment.performContextItemSelected(menuItem)) {
                return true;
            }
        }
        return false;
    }

    public final void l0(Fragment fragment) {
        ViewGroup L = L(fragment);
        if (L != null) {
            if (fragment.getPopExitAnim() + fragment.getPopEnterAnim() + fragment.getExitAnim() + fragment.getEnterAnim() > 0) {
                int i2 = R$id.visible_removing_fragment_view_tag;
                if (L.getTag(i2) == null) {
                    L.setTag(i2, fragment);
                }
                ((Fragment) L.getTag(i2)).setPopDirection(fragment.getPopDirection());
            }
        }
    }

    public void m() {
        this.B = false;
        this.C = false;
        this.J.f3683g = false;
        w(1);
    }

    public void m0(Fragment fragment) {
        if (Q(2)) {
            Log.v("FragmentManager", "show: " + fragment);
        }
        if (fragment.mHidden) {
            fragment.mHidden = false;
            fragment.mHiddenChanged = !fragment.mHiddenChanged;
        }
    }

    public boolean n(Menu menu, MenuInflater menuInflater) {
        if (this.p < 1) {
            return false;
        }
        ArrayList<Fragment> arrayList = null;
        boolean z2 = false;
        for (Fragment fragment : this.f1529c.i()) {
            if (fragment != null && S(fragment) && fragment.performCreateOptionsMenu(menu, menuInflater)) {
                if (arrayList == null) {
                    arrayList = new ArrayList<>();
                }
                arrayList.add(fragment);
                z2 = true;
            }
        }
        if (this.f1531e != null) {
            for (int i2 = 0; i2 < this.f1531e.size(); i2++) {
                Fragment fragment2 = this.f1531e.get(i2);
                if (arrayList == null || !arrayList.contains(fragment2)) {
                    fragment2.onDestroyOptionsMenu();
                }
            }
        }
        this.f1531e = arrayList;
        return z2;
    }

    public final void n0() {
        Iterator it = ((ArrayList) this.f1529c.f()).iterator();
        while (it.hasNext()) {
            Y((v) it.next());
        }
    }

    public void o() {
        this.D = true;
        C(true);
        z();
        w(-1);
        this.q = null;
        this.r = null;
        this.s = null;
        if (this.f1533g != null) {
            Iterator<Cancellable> it = this.f1534h.f2171b.iterator();
            while (it.hasNext()) {
                it.next().cancel();
            }
            this.f1533g = null;
        }
        b.a.c.a<Intent> aVar = this.w;
        if (aVar != null) {
            aVar.b();
            this.x.b();
            this.y.b();
        }
    }

    public final void o0(RuntimeException runtimeException) {
        Log.e("FragmentManager", runtimeException.getMessage());
        Log.e("FragmentManager", "Activity state:");
        PrintWriter printWriter = new PrintWriter(new j0("FragmentManager"));
        FragmentHostCallback<?> fragmentHostCallback = this.q;
        if (fragmentHostCallback != null) {
            try {
                fragmentHostCallback.c("  ", null, printWriter, new String[0]);
            } catch (Exception e2) {
                Log.e("FragmentManager", "Failed dumping state", e2);
            }
        } else {
            try {
                y("  ", null, printWriter, new String[0]);
            } catch (Exception e3) {
                Log.e("FragmentManager", "Failed dumping state", e3);
            }
        }
        throw runtimeException;
    }

    public void p() {
        for (Fragment fragment : this.f1529c.i()) {
            if (fragment != null) {
                fragment.performLowMemory();
            }
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:10:0x0018, code lost:
        if (r1 == null) goto L_0x001f;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:11:0x001a, code lost:
        r1 = r1.size();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:12:0x001f, code lost:
        r1 = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:13:0x0020, code lost:
        if (r1 <= 0) goto L_0x002b;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:15:0x0028, code lost:
        if (T(r4.s) == false) goto L_0x002b;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:16:0x002b, code lost:
        r2 = false;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:17:0x002c, code lost:
        r0.f2170a = r2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:18:0x002e, code lost:
        return;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:9:0x0013, code lost:
        r0 = r4.f1534h;
        r1 = r4.f1530d;
     */
    public final void p0() {
        synchronized (this.f1527a) {
            boolean z2 = true;
            if (!this.f1527a.isEmpty()) {
                this.f1534h.f2170a = true;
            }
        }
    }

    public void q(boolean z2) {
        for (Fragment fragment : this.f1529c.i()) {
            if (fragment != null) {
                fragment.performMultiWindowModeChanged(z2);
            }
        }
    }

    public boolean r(MenuItem menuItem) {
        if (this.p < 1) {
            return false;
        }
        for (Fragment fragment : this.f1529c.i()) {
            if (fragment != null && fragment.performOptionsItemSelected(menuItem)) {
                return true;
            }
        }
        return false;
    }

    public void s(Menu menu) {
        if (this.p >= 1) {
            for (Fragment fragment : this.f1529c.i()) {
                if (fragment != null) {
                    fragment.performOptionsMenuClosed(menu);
                }
            }
        }
    }

    @Override // androidx.fragment.app.FragmentResultOwner
    public final void setFragmentResult(String str, Bundle bundle) {
        l lVar = this.f1537k.get(str);
        if (lVar != null) {
            if (((LifecycleRegistry) lVar.f1551a).f1606b.isAtLeast(Lifecycle.State.STARTED)) {
                lVar.f1552b.onFragmentResult(str, bundle);
                return;
            }
        }
        this.f1536j.put(str, bundle);
    }

    @Override // androidx.fragment.app.FragmentResultOwner
    @SuppressLint({"SyntheticAccessor"})
    public final void setFragmentResultListener(final String str, LifecycleOwner lifecycleOwner, final FragmentResultListener fragmentResultListener) {
        final Lifecycle lifecycle = lifecycleOwner.getLifecycle();
        if (((LifecycleRegistry) lifecycle).f1606b != Lifecycle.State.DESTROYED) {
            AnonymousClass6 r0 = new LifecycleEventObserver() {
                /* class androidx.fragment.app.FragmentManager.AnonymousClass6 */

                @Override // androidx.lifecycle.LifecycleEventObserver
                public void onStateChanged(LifecycleOwner lifecycleOwner, Lifecycle.Event event) {
                    Bundle bundle;
                    if (event == Lifecycle.Event.ON_START && (bundle = FragmentManager.this.f1536j.get(str)) != null) {
                        fragmentResultListener.onFragmentResult(str, bundle);
                        FragmentManager.this.clearFragmentResult(str);
                    }
                    if (event == Lifecycle.Event.ON_DESTROY) {
                        LifecycleRegistry lifecycleRegistry = (LifecycleRegistry) lifecycle;
                        lifecycleRegistry.d("removeObserver");
                        lifecycleRegistry.f1605a.e(this);
                        FragmentManager.this.f1537k.remove(str);
                    }
                }
            };
            lifecycle.a(r0);
            l put = this.f1537k.put(str, new l(lifecycle, fragmentResultListener, r0));
            if (put != null) {
                put.f1551a.b(put.f1553c);
            }
        }
    }

    public final void t(Fragment fragment) {
        if (fragment != null && fragment.equals(G(fragment.mWho))) {
            fragment.performPrimaryNavigationFragmentChanged();
        }
    }

    public String toString() {
        StringBuilder sb = new StringBuilder(128);
        sb.append("FragmentManager{");
        sb.append(Integer.toHexString(System.identityHashCode(this)));
        sb.append(" in ");
        Fragment fragment = this.s;
        if (fragment != null) {
            sb.append(fragment.getClass().getSimpleName());
            sb.append("{");
            sb.append(Integer.toHexString(System.identityHashCode(this.s)));
            sb.append("}");
        } else {
            FragmentHostCallback<?> fragmentHostCallback = this.q;
            if (fragmentHostCallback != null) {
                sb.append(fragmentHostCallback.getClass().getSimpleName());
                sb.append("{");
                sb.append(Integer.toHexString(System.identityHashCode(this.q)));
                sb.append("}");
            } else {
                sb.append("null");
            }
        }
        sb.append("}}");
        return sb.toString();
    }

    public void u(boolean z2) {
        for (Fragment fragment : this.f1529c.i()) {
            if (fragment != null) {
                fragment.performPictureInPictureModeChanged(z2);
            }
        }
    }

    public boolean v(Menu menu) {
        boolean z2 = false;
        if (this.p < 1) {
            return false;
        }
        for (Fragment fragment : this.f1529c.i()) {
            if (fragment != null && S(fragment) && fragment.performPrepareOptionsMenu(menu)) {
                z2 = true;
            }
        }
        return z2;
    }

    /* JADX INFO: finally extract failed */
    public final void w(int i2) {
        try {
            this.f1528b = true;
            for (v vVar : this.f1529c.f3691b.values()) {
                if (vVar != null) {
                    vVar.f3688e = i2;
                }
            }
            V(i2, false);
            Iterator it = ((HashSet) f()).iterator();
            while (it.hasNext()) {
                ((SpecialEffectsController) it.next()).e();
            }
            this.f1528b = false;
            C(true);
        } catch (Throwable th) {
            this.f1528b = false;
            throw th;
        }
    }

    public final void x() {
        if (this.E) {
            this.E = false;
            n0();
        }
    }

    public void y(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
        int size;
        int size2;
        String s2 = d.a.a.a.a.s(str, "    ");
        w wVar = this.f1529c;
        Objects.requireNonNull(wVar);
        String str2 = str + "    ";
        if (!wVar.f3691b.isEmpty()) {
            printWriter.print(str);
            printWriter.println("Active Fragments:");
            for (v vVar : wVar.f3691b.values()) {
                printWriter.print(str);
                if (vVar != null) {
                    Fragment fragment = vVar.f3686c;
                    printWriter.println(fragment);
                    fragment.dump(str2, fileDescriptor, printWriter, strArr);
                } else {
                    printWriter.println("null");
                }
            }
        }
        int size3 = wVar.f3690a.size();
        if (size3 > 0) {
            printWriter.print(str);
            printWriter.println("Added Fragments:");
            for (int i2 = 0; i2 < size3; i2++) {
                printWriter.print(str);
                printWriter.print("  #");
                printWriter.print(i2);
                printWriter.print(": ");
                printWriter.println(wVar.f3690a.get(i2).toString());
            }
        }
        ArrayList<Fragment> arrayList = this.f1531e;
        if (arrayList != null && (size2 = arrayList.size()) > 0) {
            printWriter.print(str);
            printWriter.println("Fragments Created Menus:");
            for (int i3 = 0; i3 < size2; i3++) {
                printWriter.print(str);
                printWriter.print("  #");
                printWriter.print(i3);
                printWriter.print(": ");
                printWriter.println(this.f1531e.get(i3).toString());
            }
        }
        ArrayList<b.o.a.a> arrayList2 = this.f1530d;
        if (arrayList2 != null && (size = arrayList2.size()) > 0) {
            printWriter.print(str);
            printWriter.println("Back Stack:");
            for (int i4 = 0; i4 < size; i4++) {
                b.o.a.a aVar = this.f1530d.get(i4);
                printWriter.print(str);
                printWriter.print("  #");
                printWriter.print(i4);
                printWriter.print(": ");
                printWriter.println(aVar.toString());
                aVar.n(s2, printWriter, true);
            }
        }
        printWriter.print(str);
        printWriter.println("Back Stack Index: " + this.f1535i.get());
        synchronized (this.f1527a) {
            int size4 = this.f1527a.size();
            if (size4 > 0) {
                printWriter.print(str);
                printWriter.println("Pending Actions:");
                for (int i5 = 0; i5 < size4; i5++) {
                    printWriter.print(str);
                    printWriter.print("  #");
                    printWriter.print(i5);
                    printWriter.print(": ");
                    printWriter.println((OpGenerator) this.f1527a.get(i5));
                }
            }
        }
        printWriter.print(str);
        printWriter.println("FragmentManager misc state:");
        printWriter.print(str);
        printWriter.print("  mHost=");
        printWriter.println(this.q);
        printWriter.print(str);
        printWriter.print("  mContainer=");
        printWriter.println(this.r);
        if (this.s != null) {
            printWriter.print(str);
            printWriter.print("  mParent=");
            printWriter.println(this.s);
        }
        printWriter.print(str);
        printWriter.print("  mCurState=");
        printWriter.print(this.p);
        printWriter.print(" mStateSaved=");
        printWriter.print(this.B);
        printWriter.print(" mStopped=");
        printWriter.print(this.C);
        printWriter.print(" mDestroyed=");
        printWriter.println(this.D);
        if (this.A) {
            printWriter.print(str);
            printWriter.print("  mNeedMenuInvalidate=");
            printWriter.println(this.A);
        }
    }

    public final void z() {
        Iterator it = ((HashSet) f()).iterator();
        while (it.hasNext()) {
            ((SpecialEffectsController) it.next()).e();
        }
    }

    @SuppressLint({"BanParcelableUsage"})
    public static class LaunchedFragmentInfo implements Parcelable {
        public static final Parcelable.Creator<LaunchedFragmentInfo> CREATOR = new a();
        public int mRequestCode;
        public String mWho;

        public class a implements Parcelable.Creator<LaunchedFragmentInfo> {
            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // android.os.Parcelable.Creator
            public LaunchedFragmentInfo createFromParcel(Parcel parcel) {
                return new LaunchedFragmentInfo(parcel);
            }

            /* Return type fixed from 'java.lang.Object[]' to match base method */
            @Override // android.os.Parcelable.Creator
            public LaunchedFragmentInfo[] newArray(int i2) {
                return new LaunchedFragmentInfo[i2];
            }
        }

        public LaunchedFragmentInfo(String str, int i2) {
            this.mWho = str;
            this.mRequestCode = i2;
        }

        public int describeContents() {
            return 0;
        }

        public void writeToParcel(Parcel parcel, int i2) {
            parcel.writeString(this.mWho);
            parcel.writeInt(this.mRequestCode);
        }

        public LaunchedFragmentInfo(Parcel parcel) {
            this.mWho = parcel.readString();
            this.mRequestCode = parcel.readInt();
        }
    }
}
