package androidx.fragment.app;

import android.util.Log;
import android.view.View;
import android.view.ViewGroup;
import androidx.core.os.CancellationSignal;
import androidx.core.view.ViewCompat;
import androidx.fragment.R$id;
import b.o.a.v;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.concurrent.atomic.AtomicInteger;

public abstract class SpecialEffectsController {

    /* renamed from: a  reason: collision with root package name */
    public final ViewGroup f1581a;

    /* renamed from: b  reason: collision with root package name */
    public final ArrayList<Operation> f1582b = new ArrayList<>();

    /* renamed from: c  reason: collision with root package name */
    public final ArrayList<Operation> f1583c = new ArrayList<>();

    /* renamed from: d  reason: collision with root package name */
    public boolean f1584d = false;

    /* renamed from: e  reason: collision with root package name */
    public boolean f1585e = false;

    public class a implements Runnable {

        /* renamed from: d  reason: collision with root package name */
        public final /* synthetic */ c f1594d;

        public a(c cVar) {
            this.f1594d = cVar;
        }

        public void run() {
            if (SpecialEffectsController.this.f1582b.contains(this.f1594d)) {
                c cVar = this.f1594d;
                cVar.f1586a.applyState(cVar.f1588c.mView);
            }
        }
    }

    public class b implements Runnable {

        /* renamed from: d  reason: collision with root package name */
        public final /* synthetic */ c f1596d;

        public b(c cVar) {
            this.f1596d = cVar;
        }

        public void run() {
            SpecialEffectsController.this.f1582b.remove(this.f1596d);
            SpecialEffectsController.this.f1583c.remove(this.f1596d);
        }
    }

    public static class c extends Operation {

        /* renamed from: h  reason: collision with root package name */
        public final v f1598h;

        public c(Operation.State state, Operation.LifecycleImpact lifecycleImpact, v vVar, CancellationSignal cancellationSignal) {
            super(state, lifecycleImpact, vVar.f3686c, cancellationSignal);
            this.f1598h = vVar;
        }

        @Override // androidx.fragment.app.SpecialEffectsController.Operation
        public void b() {
            super.b();
            this.f1598h.k();
        }

        @Override // androidx.fragment.app.SpecialEffectsController.Operation
        public void d() {
            if (this.f1587b == Operation.LifecycleImpact.ADDING) {
                Fragment fragment = this.f1598h.f3686c;
                View findFocus = fragment.mView.findFocus();
                if (findFocus != null) {
                    fragment.setFocusedView(findFocus);
                    if (FragmentManager.Q(2)) {
                        Log.v("FragmentManager", "requestFocus: Saved focused view " + findFocus + " for Fragment " + fragment);
                    }
                }
                View requireView = this.f1588c.requireView();
                if (requireView.getParent() == null) {
                    this.f1598h.b();
                    requireView.setAlpha(0.0f);
                }
                if (requireView.getAlpha() == 0.0f && requireView.getVisibility() == 0) {
                    requireView.setVisibility(4);
                }
                requireView.setAlpha(fragment.getPostOnViewCreatedAlpha());
            }
        }
    }

    public SpecialEffectsController(ViewGroup viewGroup) {
        this.f1581a = viewGroup;
    }

    public static SpecialEffectsController f(ViewGroup viewGroup, FragmentManager fragmentManager) {
        return g(viewGroup, fragmentManager.O());
    }

    public static SpecialEffectsController g(ViewGroup viewGroup, SpecialEffectsControllerFactory specialEffectsControllerFactory) {
        int i2 = R$id.special_effects_controller_view_tag;
        Object tag = viewGroup.getTag(i2);
        if (tag instanceof SpecialEffectsController) {
            return (SpecialEffectsController) tag;
        }
        SpecialEffectsController createController = specialEffectsControllerFactory.createController(viewGroup);
        viewGroup.setTag(i2, createController);
        return createController;
    }

    public final void a(Operation.State state, Operation.LifecycleImpact lifecycleImpact, v vVar) {
        synchronized (this.f1582b) {
            CancellationSignal cancellationSignal = new CancellationSignal();
            Operation d2 = d(vVar.f3686c);
            if (d2 != null) {
                d2.c(state, lifecycleImpact);
                return;
            }
            c cVar = new c(state, lifecycleImpact, vVar, cancellationSignal);
            this.f1582b.add(cVar);
            cVar.f1589d.add(new a(cVar));
            cVar.f1589d.add(new b(cVar));
        }
    }

    public abstract void b(List<Operation> list, boolean z);

    public void c() {
        if (!this.f1585e) {
            ViewGroup viewGroup = this.f1581a;
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            if (!viewGroup.isAttachedToWindow()) {
                e();
                this.f1584d = false;
                return;
            }
            synchronized (this.f1582b) {
                if (!this.f1582b.isEmpty()) {
                    ArrayList arrayList = new ArrayList(this.f1583c);
                    this.f1583c.clear();
                    Iterator it = arrayList.iterator();
                    while (it.hasNext()) {
                        Operation operation = (Operation) it.next();
                        if (FragmentManager.Q(2)) {
                            Log.v("FragmentManager", "SpecialEffectsController: Cancelling operation " + operation);
                        }
                        operation.a();
                        if (!operation.f1592g) {
                            this.f1583c.add(operation);
                        }
                    }
                    i();
                    ArrayList arrayList2 = new ArrayList(this.f1582b);
                    this.f1582b.clear();
                    this.f1583c.addAll(arrayList2);
                    Iterator it2 = arrayList2.iterator();
                    while (it2.hasNext()) {
                        ((Operation) it2.next()).d();
                    }
                    b(arrayList2, this.f1584d);
                    this.f1584d = false;
                }
            }
        }
    }

    public final Operation d(Fragment fragment) {
        Iterator<Operation> it = this.f1582b.iterator();
        while (it.hasNext()) {
            Operation next = it.next();
            if (next.f1588c.equals(fragment) && !next.f1591f) {
                return next;
            }
        }
        return null;
    }

    public void e() {
        String str;
        String str2;
        ViewGroup viewGroup = this.f1581a;
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        boolean isAttachedToWindow = viewGroup.isAttachedToWindow();
        synchronized (this.f1582b) {
            i();
            Iterator<Operation> it = this.f1582b.iterator();
            while (it.hasNext()) {
                it.next().d();
            }
            Iterator it2 = new ArrayList(this.f1583c).iterator();
            while (it2.hasNext()) {
                Operation operation = (Operation) it2.next();
                if (FragmentManager.Q(2)) {
                    StringBuilder sb = new StringBuilder();
                    sb.append("SpecialEffectsController: ");
                    if (isAttachedToWindow) {
                        str2 = "";
                    } else {
                        str2 = "Container " + this.f1581a + " is not attached to window. ";
                    }
                    sb.append(str2);
                    sb.append("Cancelling running operation ");
                    sb.append(operation);
                    Log.v("FragmentManager", sb.toString());
                }
                operation.a();
            }
            Iterator it3 = new ArrayList(this.f1582b).iterator();
            while (it3.hasNext()) {
                Operation operation2 = (Operation) it3.next();
                if (FragmentManager.Q(2)) {
                    StringBuilder sb2 = new StringBuilder();
                    sb2.append("SpecialEffectsController: ");
                    if (isAttachedToWindow) {
                        str = "";
                    } else {
                        str = "Container " + this.f1581a + " is not attached to window. ";
                    }
                    sb2.append(str);
                    sb2.append("Cancelling pending operation ");
                    sb2.append(operation2);
                    Log.v("FragmentManager", sb2.toString());
                }
                operation2.a();
            }
        }
    }

    public void h() {
        synchronized (this.f1582b) {
            i();
            this.f1585e = false;
            int size = this.f1582b.size() - 1;
            while (true) {
                if (size < 0) {
                    break;
                }
                Operation operation = this.f1582b.get(size);
                Operation.State from = Operation.State.from(operation.f1588c.mView);
                Operation.State state = operation.f1586a;
                Operation.State state2 = Operation.State.VISIBLE;
                if (state == state2 && from != state2) {
                    this.f1585e = operation.f1588c.isPostponed();
                    break;
                }
                size--;
            }
        }
    }

    public final void i() {
        Iterator<Operation> it = this.f1582b.iterator();
        while (it.hasNext()) {
            Operation next = it.next();
            if (next.f1587b == Operation.LifecycleImpact.ADDING) {
                next.c(Operation.State.from(next.f1588c.requireView().getVisibility()), Operation.LifecycleImpact.NONE);
            }
        }
    }

    public static class Operation {

        /* renamed from: a  reason: collision with root package name */
        public State f1586a;

        /* renamed from: b  reason: collision with root package name */
        public LifecycleImpact f1587b;

        /* renamed from: c  reason: collision with root package name */
        public final Fragment f1588c;

        /* renamed from: d  reason: collision with root package name */
        public final List<Runnable> f1589d = new ArrayList();

        /* renamed from: e  reason: collision with root package name */
        public final HashSet<CancellationSignal> f1590e = new HashSet<>();

        /* renamed from: f  reason: collision with root package name */
        public boolean f1591f = false;

        /* renamed from: g  reason: collision with root package name */
        public boolean f1592g = false;

        public enum LifecycleImpact {
            NONE,
            ADDING,
            REMOVING
        }

        public class a implements CancellationSignal.OnCancelListener {
            public a() {
            }

            @Override // androidx.core.os.CancellationSignal.OnCancelListener
            public void onCancel() {
                Operation.this.a();
            }
        }

        public Operation(State state, LifecycleImpact lifecycleImpact, Fragment fragment, CancellationSignal cancellationSignal) {
            this.f1586a = state;
            this.f1587b = lifecycleImpact;
            this.f1588c = fragment;
            cancellationSignal.b(new a());
        }

        public final void a() {
            if (!this.f1591f) {
                this.f1591f = true;
                if (this.f1590e.isEmpty()) {
                    b();
                    return;
                }
                Iterator it = new ArrayList(this.f1590e).iterator();
                while (it.hasNext()) {
                    ((CancellationSignal) it.next()).a();
                }
            }
        }

        public void b() {
            if (!this.f1592g) {
                if (FragmentManager.Q(2)) {
                    Log.v("FragmentManager", "SpecialEffectsController: " + this + " has called complete.");
                }
                this.f1592g = true;
                for (Runnable runnable : this.f1589d) {
                    runnable.run();
                }
            }
        }

        public final void c(State state, LifecycleImpact lifecycleImpact) {
            int ordinal = lifecycleImpact.ordinal();
            if (ordinal != 0) {
                if (ordinal != 1) {
                    if (ordinal == 2) {
                        if (FragmentManager.Q(2)) {
                            StringBuilder B = d.a.a.a.a.B("SpecialEffectsController: For fragment ");
                            B.append(this.f1588c);
                            B.append(" mFinalState = ");
                            B.append(this.f1586a);
                            B.append(" -> REMOVED. mLifecycleImpact  = ");
                            B.append(this.f1587b);
                            B.append(" to REMOVING.");
                            Log.v("FragmentManager", B.toString());
                        }
                        this.f1586a = State.REMOVED;
                        this.f1587b = LifecycleImpact.REMOVING;
                    }
                } else if (this.f1586a == State.REMOVED) {
                    if (FragmentManager.Q(2)) {
                        StringBuilder B2 = d.a.a.a.a.B("SpecialEffectsController: For fragment ");
                        B2.append(this.f1588c);
                        B2.append(" mFinalState = REMOVED -> VISIBLE. mLifecycleImpact = ");
                        B2.append(this.f1587b);
                        B2.append(" to ADDING.");
                        Log.v("FragmentManager", B2.toString());
                    }
                    this.f1586a = State.VISIBLE;
                    this.f1587b = LifecycleImpact.ADDING;
                }
            } else if (this.f1586a != State.REMOVED) {
                if (FragmentManager.Q(2)) {
                    StringBuilder B3 = d.a.a.a.a.B("SpecialEffectsController: For fragment ");
                    B3.append(this.f1588c);
                    B3.append(" mFinalState = ");
                    B3.append(this.f1586a);
                    B3.append(" -> ");
                    B3.append(state);
                    B3.append(". ");
                    Log.v("FragmentManager", B3.toString());
                }
                this.f1586a = state;
            }
        }

        public void d() {
        }

        public String toString() {
            StringBuilder F = d.a.a.a.a.F("Operation ", "{");
            F.append(Integer.toHexString(System.identityHashCode(this)));
            F.append("} ");
            F.append("{");
            F.append("mFinalState = ");
            F.append(this.f1586a);
            F.append("} ");
            F.append("{");
            F.append("mLifecycleImpact = ");
            F.append(this.f1587b);
            F.append("} ");
            F.append("{");
            F.append("mFragment = ");
            F.append(this.f1588c);
            F.append("}");
            return F.toString();
        }

        public enum State {
            REMOVED,
            VISIBLE,
            GONE,
            INVISIBLE;

            public static State from(View view) {
                if (view.getAlpha() == 0.0f && view.getVisibility() == 0) {
                    return INVISIBLE;
                }
                return from(view.getVisibility());
            }

            public void applyState(View view) {
                int ordinal = ordinal();
                if (ordinal == 0) {
                    ViewGroup viewGroup = (ViewGroup) view.getParent();
                    if (viewGroup != null) {
                        if (FragmentManager.Q(2)) {
                            Log.v("FragmentManager", "SpecialEffectsController: Removing view " + view + " from container " + viewGroup);
                        }
                        viewGroup.removeView(view);
                    }
                } else if (ordinal == 1) {
                    if (FragmentManager.Q(2)) {
                        Log.v("FragmentManager", "SpecialEffectsController: Setting view " + view + " to VISIBLE");
                    }
                    view.setVisibility(0);
                } else if (ordinal == 2) {
                    if (FragmentManager.Q(2)) {
                        Log.v("FragmentManager", "SpecialEffectsController: Setting view " + view + " to GONE");
                    }
                    view.setVisibility(8);
                } else if (ordinal == 3) {
                    if (FragmentManager.Q(2)) {
                        Log.v("FragmentManager", "SpecialEffectsController: Setting view " + view + " to INVISIBLE");
                    }
                    view.setVisibility(4);
                }
            }

            public static State from(int i2) {
                if (i2 == 0) {
                    return VISIBLE;
                }
                if (i2 == 4) {
                    return INVISIBLE;
                }
                if (i2 == 8) {
                    return GONE;
                }
                throw new IllegalArgumentException(d.a.a.a.a.k("Unknown visibility ", i2));
            }
        }
    }
}
