package androidx.lifecycle;

import android.annotation.SuppressLint;
import androidx.arch.core.executor.ArchTaskExecutor;
import androidx.arch.core.internal.FastSafeIterableMap;
import androidx.arch.core.internal.SafeIterableMap;
import androidx.lifecycle.Lifecycle;
import b.q.e;
import java.lang.ref.WeakReference;
import java.lang.reflect.Constructor;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class LifecycleRegistry extends Lifecycle {

    /* renamed from: a  reason: collision with root package name */
    public FastSafeIterableMap<LifecycleObserver, a> f1605a = new FastSafeIterableMap<>();

    /* renamed from: b  reason: collision with root package name */
    public Lifecycle.State f1606b;

    /* renamed from: c  reason: collision with root package name */
    public final WeakReference<LifecycleOwner> f1607c;

    /* renamed from: d  reason: collision with root package name */
    public int f1608d = 0;

    /* renamed from: e  reason: collision with root package name */
    public boolean f1609e = false;

    /* renamed from: f  reason: collision with root package name */
    public boolean f1610f = false;

    /* renamed from: g  reason: collision with root package name */
    public ArrayList<Lifecycle.State> f1611g = new ArrayList<>();

    /* renamed from: h  reason: collision with root package name */
    public final boolean f1612h;

    public static class a {

        /* renamed from: a  reason: collision with root package name */
        public Lifecycle.State f1613a;

        /* renamed from: b  reason: collision with root package name */
        public LifecycleEventObserver f1614b;

        public a(LifecycleObserver lifecycleObserver, Lifecycle.State state) {
            LifecycleEventObserver lifecycleEventObserver;
            Map<Class<?>, Integer> map = e.f3727a;
            boolean z = lifecycleObserver instanceof LifecycleEventObserver;
            boolean z2 = lifecycleObserver instanceof FullLifecycleObserver;
            if (z && z2) {
                lifecycleEventObserver = new FullLifecycleObserverAdapter((FullLifecycleObserver) lifecycleObserver, (LifecycleEventObserver) lifecycleObserver);
            } else if (z2) {
                lifecycleEventObserver = new FullLifecycleObserverAdapter((FullLifecycleObserver) lifecycleObserver, null);
            } else if (z) {
                lifecycleEventObserver = (LifecycleEventObserver) lifecycleObserver;
            } else {
                Class<?> cls = lifecycleObserver.getClass();
                if (e.c(cls) == 2) {
                    List<Constructor<? extends GeneratedAdapter>> list = e.f3728b.get(cls);
                    if (list.size() == 1) {
                        lifecycleEventObserver = new SingleGeneratedAdapterObserver(e.a(list.get(0), lifecycleObserver));
                    } else {
                        GeneratedAdapter[] generatedAdapterArr = new GeneratedAdapter[list.size()];
                        for (int i2 = 0; i2 < list.size(); i2++) {
                            generatedAdapterArr[i2] = e.a(list.get(i2), lifecycleObserver);
                        }
                        lifecycleEventObserver = new CompositeGeneratedAdaptersObserver(generatedAdapterArr);
                    }
                } else {
                    lifecycleEventObserver = new ReflectiveGenericLifecycleObserver(lifecycleObserver);
                }
            }
            this.f1614b = lifecycleEventObserver;
            this.f1613a = state;
        }

        public void a(LifecycleOwner lifecycleOwner, Lifecycle.Event event) {
            Lifecycle.State targetState = event.getTargetState();
            this.f1613a = LifecycleRegistry.f(this.f1613a, targetState);
            this.f1614b.onStateChanged(lifecycleOwner, event);
            this.f1613a = targetState;
        }
    }

    public LifecycleRegistry(LifecycleOwner lifecycleOwner) {
        this.f1607c = new WeakReference<>(lifecycleOwner);
        this.f1606b = Lifecycle.State.INITIALIZED;
        this.f1612h = true;
    }

    public static Lifecycle.State f(Lifecycle.State state, Lifecycle.State state2) {
        return (state2 == null || state2.compareTo(state) >= 0) ? state : state2;
    }

    @Override // androidx.lifecycle.Lifecycle
    public void a(LifecycleObserver lifecycleObserver) {
        LifecycleOwner lifecycleOwner;
        d("addObserver");
        Lifecycle.State state = this.f1606b;
        Lifecycle.State state2 = Lifecycle.State.DESTROYED;
        if (state != state2) {
            state2 = Lifecycle.State.INITIALIZED;
        }
        a aVar = new a(lifecycleObserver, state2);
        if (this.f1605a.d(lifecycleObserver, aVar) == null && (lifecycleOwner = this.f1607c.get()) != null) {
            boolean z = this.f1608d != 0 || this.f1609e;
            Lifecycle.State c2 = c(lifecycleObserver);
            this.f1608d++;
            while (aVar.f1613a.compareTo((Enum) c2) < 0 && this.f1605a.f506l.containsKey(lifecycleObserver)) {
                this.f1611g.add(aVar.f1613a);
                Lifecycle.Event upFrom = Lifecycle.Event.upFrom(aVar.f1613a);
                if (upFrom != null) {
                    aVar.a(lifecycleOwner, upFrom);
                    h();
                    c2 = c(lifecycleObserver);
                } else {
                    StringBuilder B = d.a.a.a.a.B("no event up from ");
                    B.append(aVar.f1613a);
                    throw new IllegalStateException(B.toString());
                }
            }
            if (!z) {
                j();
            }
            this.f1608d--;
        }
    }

    @Override // androidx.lifecycle.Lifecycle
    public void b(LifecycleObserver lifecycleObserver) {
        d("removeObserver");
        this.f1605a.e(lifecycleObserver);
    }

    public final Lifecycle.State c(LifecycleObserver lifecycleObserver) {
        FastSafeIterableMap<LifecycleObserver, a> fastSafeIterableMap = this.f1605a;
        Lifecycle.State state = null;
        SafeIterableMap.c<K, V> cVar = fastSafeIterableMap.f506l.containsKey(lifecycleObserver) ? fastSafeIterableMap.f506l.get(lifecycleObserver).f514k : null;
        Lifecycle.State state2 = cVar != null ? cVar.f512h.f1613a : null;
        if (!this.f1611g.isEmpty()) {
            ArrayList<Lifecycle.State> arrayList = this.f1611g;
            state = arrayList.get(arrayList.size() - 1);
        }
        return f(f(this.f1606b, state2), state);
    }

    @SuppressLint({"RestrictedApi"})
    public final void d(String str) {
        if (this.f1612h && !ArchTaskExecutor.c().a()) {
            throw new IllegalStateException(d.a.a.a.a.t("Method ", str, " must be called on the main thread"));
        }
    }

    public void e(Lifecycle.Event event) {
        d("handleLifecycleEvent");
        g(event.getTargetState());
    }

    public final void g(Lifecycle.State state) {
        if (this.f1606b != state) {
            this.f1606b = state;
            if (this.f1609e || this.f1608d != 0) {
                this.f1610f = true;
                return;
            }
            this.f1609e = true;
            j();
            this.f1609e = false;
        }
    }

    public final void h() {
        ArrayList<Lifecycle.State> arrayList = this.f1611g;
        arrayList.remove(arrayList.size() - 1);
    }

    public void i(Lifecycle.State state) {
        d("setCurrentState");
        g(state);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r4v4, resolved type: androidx.arch.core.internal.FastSafeIterableMap<androidx.lifecycle.LifecycleObserver, androidx.lifecycle.LifecycleRegistry$a> */
    /* JADX DEBUG: Multi-variable search result rejected for r4v13, resolved type: androidx.arch.core.internal.FastSafeIterableMap<androidx.lifecycle.LifecycleObserver, androidx.lifecycle.LifecycleRegistry$a> */
    /* JADX WARN: Multi-variable type inference failed */
    public final void j() {
        Lifecycle.State state;
        LifecycleOwner lifecycleOwner = this.f1607c.get();
        if (lifecycleOwner != null) {
            while (true) {
                FastSafeIterableMap<LifecycleObserver, a> fastSafeIterableMap = this.f1605a;
                boolean z = true;
                if (!(fastSafeIterableMap.f510k == 0 || (fastSafeIterableMap.f507d.f512h.f1613a == (state = fastSafeIterableMap.f508h.f512h.f1613a) && this.f1606b == state))) {
                    z = false;
                }
                if (!z) {
                    this.f1610f = false;
                    if (this.f1606b.compareTo((Enum) fastSafeIterableMap.f507d.f512h.f1613a) < 0) {
                        FastSafeIterableMap<LifecycleObserver, a> fastSafeIterableMap2 = this.f1605a;
                        SafeIterableMap.b bVar = new SafeIterableMap.b(fastSafeIterableMap2.f508h, fastSafeIterableMap2.f507d);
                        fastSafeIterableMap2.f509j.put(bVar, Boolean.FALSE);
                        while (bVar.hasNext() && !this.f1610f) {
                            Map.Entry entry = (Map.Entry) bVar.next();
                            a aVar = (a) entry.getValue();
                            while (aVar.f1613a.compareTo((Enum) this.f1606b) > 0 && !this.f1610f && this.f1605a.contains(entry.getKey())) {
                                Lifecycle.Event downFrom = Lifecycle.Event.downFrom(aVar.f1613a);
                                if (downFrom != null) {
                                    this.f1611g.add(downFrom.getTargetState());
                                    aVar.a(lifecycleOwner, downFrom);
                                    h();
                                } else {
                                    StringBuilder B = d.a.a.a.a.B("no event down from ");
                                    B.append(aVar.f1613a);
                                    throw new IllegalStateException(B.toString());
                                }
                            }
                        }
                    }
                    SafeIterableMap.c<K, V> cVar = this.f1605a.f508h;
                    if (!this.f1610f && cVar != null && this.f1606b.compareTo((Enum) cVar.f512h.f1613a) > 0) {
                        SafeIterableMap<K, V>.d b2 = this.f1605a.b();
                        while (b2.hasNext() && !this.f1610f) {
                            Map.Entry entry2 = (Map.Entry) b2.next();
                            a aVar2 = (a) entry2.getValue();
                            while (aVar2.f1613a.compareTo((Enum) this.f1606b) < 0 && !this.f1610f && this.f1605a.contains(entry2.getKey())) {
                                this.f1611g.add(aVar2.f1613a);
                                Lifecycle.Event upFrom = Lifecycle.Event.upFrom(aVar2.f1613a);
                                if (upFrom != null) {
                                    aVar2.a(lifecycleOwner, upFrom);
                                    h();
                                } else {
                                    StringBuilder B2 = d.a.a.a.a.B("no event up from ");
                                    B2.append(aVar2.f1613a);
                                    throw new IllegalStateException(B2.toString());
                                }
                            }
                        }
                    }
                } else {
                    this.f1610f = false;
                    return;
                }
            }
        } else {
            throw new IllegalStateException("LifecycleOwner of this LifecycleRegistry is alreadygarbage collected. It is too late to change lifecycle state.");
        }
    }
}
