package androidx.lifecycle;

import androidx.arch.core.executor.ArchTaskExecutor;
import androidx.arch.core.internal.SafeIterableMap;
import androidx.lifecycle.Lifecycle;
import java.util.Map;

public abstract class LiveData<T> {

    /* renamed from: a  reason: collision with root package name */
    public static final Object f1616a = new Object();

    /* renamed from: b  reason: collision with root package name */
    public final Object f1617b;

    /* renamed from: c  reason: collision with root package name */
    public SafeIterableMap<Observer<? super T>, LiveData<T>.c> f1618c;

    /* renamed from: d  reason: collision with root package name */
    public int f1619d;

    /* renamed from: e  reason: collision with root package name */
    public boolean f1620e;

    /* renamed from: f  reason: collision with root package name */
    public volatile Object f1621f;

    /* renamed from: g  reason: collision with root package name */
    public volatile Object f1622g;

    /* renamed from: h  reason: collision with root package name */
    public int f1623h;

    /* renamed from: i  reason: collision with root package name */
    public boolean f1624i;

    /* renamed from: j  reason: collision with root package name */
    public boolean f1625j;

    /* renamed from: k  reason: collision with root package name */
    public final Runnable f1626k;

    public class LifecycleBoundObserver extends LiveData<T>.c implements LifecycleEventObserver {

        /* renamed from: l  reason: collision with root package name */
        public final LifecycleOwner f1627l;

        public LifecycleBoundObserver(LifecycleOwner lifecycleOwner, Observer<? super T> observer) {
            super(observer);
            this.f1627l = lifecycleOwner;
        }

        @Override // androidx.lifecycle.LiveData.c
        public void b() {
            LifecycleRegistry lifecycleRegistry = (LifecycleRegistry) this.f1627l.getLifecycle();
            lifecycleRegistry.d("removeObserver");
            lifecycleRegistry.f1605a.e(this);
        }

        @Override // androidx.lifecycle.LiveData.c
        public boolean c(LifecycleOwner lifecycleOwner) {
            return this.f1627l == lifecycleOwner;
        }

        @Override // androidx.lifecycle.LiveData.c
        public boolean d() {
            return ((LifecycleRegistry) this.f1627l.getLifecycle()).f1606b.isAtLeast(Lifecycle.State.STARTED);
        }

        @Override // androidx.lifecycle.LifecycleEventObserver
        public void onStateChanged(LifecycleOwner lifecycleOwner, Lifecycle.Event event) {
            Lifecycle.State state = ((LifecycleRegistry) this.f1627l.getLifecycle()).f1606b;
            if (state == Lifecycle.State.DESTROYED) {
                LiveData.this.j(this.f1629d);
                return;
            }
            Lifecycle.State state2 = null;
            while (state2 != state) {
                a(((LifecycleRegistry) this.f1627l.getLifecycle()).f1606b.isAtLeast(Lifecycle.State.STARTED));
                state2 = state;
                state = ((LifecycleRegistry) this.f1627l.getLifecycle()).f1606b;
            }
        }
    }

    public class a implements Runnable {
        public a() {
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v2, resolved type: androidx.lifecycle.LiveData */
        /* JADX WARN: Multi-variable type inference failed */
        public void run() {
            Object obj;
            synchronized (LiveData.this.f1617b) {
                obj = LiveData.this.f1622g;
                LiveData.this.f1622g = LiveData.f1616a;
            }
            LiveData.this.k(obj);
        }
    }

    public class b extends LiveData<T>.c {
        public b(LiveData liveData, Observer<? super T> observer) {
            super(observer);
        }

        @Override // androidx.lifecycle.LiveData.c
        public boolean d() {
            return true;
        }
    }

    public abstract class c {

        /* renamed from: d  reason: collision with root package name */
        public final Observer<? super T> f1629d;

        /* renamed from: h  reason: collision with root package name */
        public boolean f1630h;

        /* renamed from: j  reason: collision with root package name */
        public int f1631j = -1;

        public c(Observer<? super T> observer) {
            this.f1629d = observer;
        }

        public void a(boolean z) {
            if (z != this.f1630h) {
                this.f1630h = z;
                LiveData liveData = LiveData.this;
                int i2 = z ? 1 : -1;
                int i3 = liveData.f1619d;
                liveData.f1619d = i2 + i3;
                if (!liveData.f1620e) {
                    liveData.f1620e = true;
                    while (true) {
                        try {
                            int i4 = liveData.f1619d;
                            if (i3 == i4) {
                                break;
                            }
                            boolean z2 = i3 == 0 && i4 > 0;
                            boolean z3 = i3 > 0 && i4 == 0;
                            if (z2) {
                                liveData.g();
                            } else if (z3) {
                                liveData.h();
                            }
                            i3 = i4;
                        } finally {
                            liveData.f1620e = false;
                        }
                    }
                }
                if (this.f1630h) {
                    LiveData.this.c(this);
                }
            }
        }

        public void b() {
        }

        public boolean c(LifecycleOwner lifecycleOwner) {
            return false;
        }

        public abstract boolean d();
    }

    public LiveData(T t) {
        this.f1617b = new Object();
        this.f1618c = new SafeIterableMap<>();
        this.f1619d = 0;
        this.f1622g = f1616a;
        this.f1626k = new a();
        this.f1621f = t;
        this.f1623h = 0;
    }

    public static void a(String str) {
        if (!ArchTaskExecutor.c().a()) {
            throw new IllegalStateException(d.a.a.a.a.t("Cannot invoke ", str, " on a background thread"));
        }
    }

    public final void b(LiveData<T>.c cVar) {
        if (cVar.f1630h) {
            if (!cVar.d()) {
                cVar.a(false);
                return;
            }
            int i2 = cVar.f1631j;
            int i3 = this.f1623h;
            if (i2 < i3) {
                cVar.f1631j = i3;
                cVar.f1629d.onChanged((Object) this.f1621f);
            }
        }
    }

    public void c(LiveData<T>.c cVar) {
        if (this.f1624i) {
            this.f1625j = true;
            return;
        }
        this.f1624i = true;
        do {
            this.f1625j = false;
            if (cVar == null) {
                SafeIterableMap<K, V>.d b2 = this.f1618c.b();
                while (b2.hasNext()) {
                    b((c) ((Map.Entry) b2.next()).getValue());
                    if (this.f1625j) {
                        break;
                    }
                }
            } else {
                b(cVar);
                cVar = null;
            }
        } while (this.f1625j);
        this.f1624i = false;
    }

    public T d() {
        T t = (T) this.f1621f;
        if (t != f1616a) {
            return t;
        }
        return null;
    }

    public void e(LifecycleOwner lifecycleOwner, Observer<? super T> observer) {
        a("observe");
        if (((LifecycleRegistry) lifecycleOwner.getLifecycle()).f1606b != Lifecycle.State.DESTROYED) {
            LifecycleBoundObserver lifecycleBoundObserver = new LifecycleBoundObserver(lifecycleOwner, observer);
            LiveData<T>.c d2 = this.f1618c.d(observer, lifecycleBoundObserver);
            if (d2 != null && !d2.c(lifecycleOwner)) {
                throw new IllegalArgumentException("Cannot add the same observer with different lifecycles");
            } else if (d2 == null) {
                lifecycleOwner.getLifecycle().a(lifecycleBoundObserver);
            }
        }
    }

    public void f(Observer<? super T> observer) {
        a("observeForever");
        b bVar = new b(this, observer);
        LiveData<T>.c d2 = this.f1618c.d(observer, bVar);
        if (d2 instanceof LifecycleBoundObserver) {
            throw new IllegalArgumentException("Cannot add the same observer with different lifecycles");
        } else if (d2 == null) {
            bVar.a(true);
        }
    }

    public void g() {
    }

    public void h() {
    }

    public void i(T t) {
        boolean z;
        synchronized (this.f1617b) {
            z = this.f1622g == f1616a;
            this.f1622g = t;
        }
        if (z) {
            ArchTaskExecutor.c().f500b.b(this.f1626k);
        }
    }

    public void j(Observer<? super T> observer) {
        a("removeObserver");
        LiveData<T>.c e2 = this.f1618c.e(observer);
        if (e2 != null) {
            e2.b();
            e2.a(false);
        }
    }

    public void k(T t) {
        a("setValue");
        this.f1623h++;
        this.f1621f = t;
        c(null);
    }

    public LiveData() {
        this.f1617b = new Object();
        this.f1618c = new SafeIterableMap<>();
        this.f1619d = 0;
        Object obj = f1616a;
        this.f1622g = obj;
        this.f1626k = new a();
        this.f1621f = obj;
        this.f1623h = -1;
    }
}
