package androidx.lifecycle;

import android.os.Bundle;
import androidx.lifecycle.Lifecycle;
import androidx.savedstate.SavedStateRegistry;
import androidx.savedstate.SavedStateRegistryOwner;
import b.q.i;
import b.q.k;
import b.q.l;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Objects;

public final class SavedStateHandleController implements LifecycleEventObserver {

    /* renamed from: d  reason: collision with root package name */
    public final String f1648d;

    /* renamed from: h  reason: collision with root package name */
    public boolean f1649h = false;

    /* renamed from: j  reason: collision with root package name */
    public final i f1650j;

    public static final class a implements SavedStateRegistry.AutoRecreated {
        @Override // androidx.savedstate.SavedStateRegistry.AutoRecreated
        public void onRecreated(SavedStateRegistryOwner savedStateRegistryOwner) {
            if (savedStateRegistryOwner instanceof ViewModelStoreOwner) {
                l viewModelStore = ((ViewModelStoreOwner) savedStateRegistryOwner).getViewModelStore();
                SavedStateRegistry savedStateRegistry = savedStateRegistryOwner.getSavedStateRegistry();
                Objects.requireNonNull(viewModelStore);
                Iterator it = new HashSet(viewModelStore.f3741a.keySet()).iterator();
                while (it.hasNext()) {
                    SavedStateHandleController.a(viewModelStore.f3741a.get((String) it.next()), savedStateRegistry, savedStateRegistryOwner.getLifecycle());
                }
                if (!new HashSet(viewModelStore.f3741a.keySet()).isEmpty()) {
                    savedStateRegistry.c(a.class);
                    return;
                }
                return;
            }
            throw new IllegalStateException("Internal error: OnRecreation should be registered only on componentsthat implement ViewModelStoreOwner");
        }
    }

    public SavedStateHandleController(String str, i iVar) {
        this.f1648d = str;
        this.f1650j = iVar;
    }

    public static void a(k kVar, SavedStateRegistry savedStateRegistry, Lifecycle lifecycle) {
        SavedStateHandleController savedStateHandleController = (SavedStateHandleController) kVar.getTag("androidx.lifecycle.savedstate.vm.tag");
        if (savedStateHandleController != null && !savedStateHandleController.f1649h) {
            savedStateHandleController.b(savedStateRegistry, lifecycle);
            d(savedStateRegistry, lifecycle);
        }
    }

    public static SavedStateHandleController c(SavedStateRegistry savedStateRegistry, Lifecycle lifecycle, String str, Bundle bundle) {
        i iVar;
        Bundle a2 = savedStateRegistry.a(str);
        Class[] clsArr = i.f3729a;
        if (a2 == null && bundle == null) {
            iVar = new i();
        } else {
            HashMap hashMap = new HashMap();
            if (bundle != null) {
                for (String str2 : bundle.keySet()) {
                    hashMap.put(str2, bundle.get(str2));
                }
            }
            if (a2 == null) {
                iVar = new i(hashMap);
            } else {
                ArrayList parcelableArrayList = a2.getParcelableArrayList("keys");
                ArrayList parcelableArrayList2 = a2.getParcelableArrayList("values");
                if (parcelableArrayList == null || parcelableArrayList2 == null || parcelableArrayList.size() != parcelableArrayList2.size()) {
                    throw new IllegalStateException("Invalid bundle passed as restored state");
                }
                for (int i2 = 0; i2 < parcelableArrayList.size(); i2++) {
                    hashMap.put((String) parcelableArrayList.get(i2), parcelableArrayList2.get(i2));
                }
                iVar = new i(hashMap);
            }
        }
        SavedStateHandleController savedStateHandleController = new SavedStateHandleController(str, iVar);
        savedStateHandleController.b(savedStateRegistry, lifecycle);
        d(savedStateRegistry, lifecycle);
        return savedStateHandleController;
    }

    public static void d(final SavedStateRegistry savedStateRegistry, final Lifecycle lifecycle) {
        Lifecycle.State state = ((LifecycleRegistry) lifecycle).f1606b;
        if (state == Lifecycle.State.INITIALIZED || state.isAtLeast(Lifecycle.State.STARTED)) {
            savedStateRegistry.c(a.class);
        } else {
            lifecycle.a(new LifecycleEventObserver() {
                /* class androidx.lifecycle.SavedStateHandleController.AnonymousClass1 */

                @Override // androidx.lifecycle.LifecycleEventObserver
                public void onStateChanged(LifecycleOwner lifecycleOwner, Lifecycle.Event event) {
                    if (event == Lifecycle.Event.ON_START) {
                        LifecycleRegistry lifecycleRegistry = (LifecycleRegistry) Lifecycle.this;
                        lifecycleRegistry.d("removeObserver");
                        lifecycleRegistry.f1605a.e(this);
                        savedStateRegistry.c(a.class);
                    }
                }
            });
        }
    }

    public void b(SavedStateRegistry savedStateRegistry, Lifecycle lifecycle) {
        if (!this.f1649h) {
            this.f1649h = true;
            lifecycle.a(this);
            savedStateRegistry.b(this.f1648d, this.f1650j.f3733e);
            return;
        }
        throw new IllegalStateException("Already attached to lifecycleOwner");
    }

    @Override // androidx.lifecycle.LifecycleEventObserver
    public void onStateChanged(LifecycleOwner lifecycleOwner, Lifecycle.Event event) {
        if (event == Lifecycle.Event.ON_DESTROY) {
            this.f1649h = false;
            LifecycleRegistry lifecycleRegistry = (LifecycleRegistry) lifecycleOwner.getLifecycle();
            lifecycleRegistry.d("removeObserver");
            lifecycleRegistry.f1605a.e(this);
        }
    }
}
