package androidx.lifecycle;

import android.annotation.SuppressLint;
import android.app.Application;
import android.os.Bundle;
import androidx.lifecycle.ViewModelProvider;
import androidx.savedstate.SavedStateRegistry;
import androidx.savedstate.SavedStateRegistryOwner;
import b.q.i;
import b.q.k;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.util.Arrays;

public final class SavedStateViewModelFactory extends ViewModelProvider.a {

    /* renamed from: a  reason: collision with root package name */
    public static final Class<?>[] f1653a = {Application.class, i.class};

    /* renamed from: b  reason: collision with root package name */
    public static final Class<?>[] f1654b = {i.class};

    /* renamed from: c  reason: collision with root package name */
    public final Application f1655c;

    /* renamed from: d  reason: collision with root package name */
    public final ViewModelProvider.Factory f1656d;

    /* renamed from: e  reason: collision with root package name */
    public final Bundle f1657e;

    /* renamed from: f  reason: collision with root package name */
    public final Lifecycle f1658f;

    /* renamed from: g  reason: collision with root package name */
    public final SavedStateRegistry f1659g;

    @SuppressLint({"LambdaLast"})
    public SavedStateViewModelFactory(Application application, SavedStateRegistryOwner savedStateRegistryOwner, Bundle bundle) {
        ViewModelProvider.Factory factory;
        this.f1659g = savedStateRegistryOwner.getSavedStateRegistry();
        this.f1658f = savedStateRegistryOwner.getLifecycle();
        this.f1657e = bundle;
        this.f1655c = application;
        if (application != null) {
            if (ViewModelProvider.AndroidViewModelFactory.f1663b == null) {
                ViewModelProvider.AndroidViewModelFactory.f1663b = new ViewModelProvider.AndroidViewModelFactory(application);
            }
            factory = ViewModelProvider.AndroidViewModelFactory.f1663b;
        } else {
            if (ViewModelProvider.NewInstanceFactory.f1665a == null) {
                ViewModelProvider.NewInstanceFactory.f1665a = new ViewModelProvider.NewInstanceFactory();
            }
            factory = ViewModelProvider.NewInstanceFactory.f1665a;
        }
        this.f1656d = factory;
    }

    public static <T> Constructor<T> c(Class<T> cls, Class<?>[] clsArr) {
        for (Constructor<?> constructor : cls.getConstructors()) {
            Constructor<T> constructor2 = (Constructor<T>) constructor;
            if (Arrays.equals(clsArr, constructor2.getParameterTypes())) {
                return constructor2;
            }
        }
        return null;
    }

    @Override // androidx.lifecycle.ViewModelProvider.b
    public void a(k kVar) {
        SavedStateHandleController.a(kVar, this.f1659g, this.f1658f);
    }

    @Override // androidx.lifecycle.ViewModelProvider.a
    public <T extends k> T b(String str, Class<T> cls) {
        Constructor constructor;
        T t;
        boolean isAssignableFrom = AndroidViewModel.class.isAssignableFrom(cls);
        if (!isAssignableFrom || this.f1655c == null) {
            constructor = c(cls, f1654b);
        } else {
            constructor = c(cls, f1653a);
        }
        if (constructor == null) {
            return (T) this.f1656d.create(cls);
        }
        SavedStateHandleController c2 = SavedStateHandleController.c(this.f1659g, this.f1658f, str, this.f1657e);
        if (isAssignableFrom) {
            try {
                Application application = this.f1655c;
                if (application != null) {
                    t = (T) ((k) constructor.newInstance(application, c2.f1650j));
                    t.setTagIfAbsent("androidx.lifecycle.savedstate.vm.tag", c2);
                    return t;
                }
            } catch (IllegalAccessException e2) {
                throw new RuntimeException("Failed to access " + cls, e2);
            } catch (InstantiationException e3) {
                throw new RuntimeException("A " + cls + " cannot be instantiated.", e3);
            } catch (InvocationTargetException e4) {
                throw new RuntimeException("An exception happened in constructor of " + cls, e4.getCause());
            }
        }
        t = (T) ((k) constructor.newInstance(c2.f1650j));
        t.setTagIfAbsent("androidx.lifecycle.savedstate.vm.tag", c2);
        return t;
    }

    @Override // androidx.lifecycle.ViewModelProvider.a, androidx.lifecycle.ViewModelProvider.Factory
    public <T extends k> T create(Class<T> cls) {
        String canonicalName = cls.getCanonicalName();
        if (canonicalName != null) {
            return (T) b(canonicalName, cls);
        }
        throw new IllegalArgumentException("Local and anonymous classes can not be ViewModels");
    }
}
