package androidx.lifecycle;

import android.app.Application;
import b.q.k;
import b.q.l;
import java.lang.reflect.InvocationTargetException;

public class ViewModelProvider {

    /* renamed from: a  reason: collision with root package name */
    public final Factory f1661a;

    /* renamed from: b  reason: collision with root package name */
    public final l f1662b;

    public static class AndroidViewModelFactory extends NewInstanceFactory {

        /* renamed from: b  reason: collision with root package name */
        public static AndroidViewModelFactory f1663b;

        /* renamed from: c  reason: collision with root package name */
        public Application f1664c;

        public AndroidViewModelFactory(Application application) {
            this.f1664c = application;
        }

        @Override // androidx.lifecycle.ViewModelProvider.Factory, androidx.lifecycle.ViewModelProvider.NewInstanceFactory
        public <T extends k> T create(Class<T> cls) {
            if (!AndroidViewModel.class.isAssignableFrom(cls)) {
                return (T) super.create(cls);
            }
            try {
                return cls.getConstructor(Application.class).newInstance(this.f1664c);
            } catch (NoSuchMethodException e2) {
                throw new RuntimeException("Cannot create an instance of " + cls, e2);
            } catch (IllegalAccessException e3) {
                throw new RuntimeException("Cannot create an instance of " + cls, e3);
            } catch (InstantiationException e4) {
                throw new RuntimeException("Cannot create an instance of " + cls, e4);
            } catch (InvocationTargetException e5) {
                throw new RuntimeException("Cannot create an instance of " + cls, e5);
            }
        }
    }

    public interface Factory {
        <T extends k> T create(Class<T> cls);
    }

    public static class NewInstanceFactory implements Factory {

        /* renamed from: a  reason: collision with root package name */
        public static NewInstanceFactory f1665a;

        @Override // androidx.lifecycle.ViewModelProvider.Factory
        public <T extends k> T create(Class<T> cls) {
            try {
                return cls.newInstance();
            } catch (InstantiationException e2) {
                throw new RuntimeException("Cannot create an instance of " + cls, e2);
            } catch (IllegalAccessException e3) {
                throw new RuntimeException("Cannot create an instance of " + cls, e3);
            }
        }
    }

    public static abstract class a extends b implements Factory {
        public abstract <T extends k> T b(String str, Class<T> cls);

        @Override // androidx.lifecycle.ViewModelProvider.Factory
        public <T extends k> T create(Class<T> cls) {
            throw new UnsupportedOperationException("create(String, Class<?>) must be called on implementaions of KeyedFactory");
        }
    }

    public static class b {
        public void a(k kVar) {
        }
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public ViewModelProvider(ViewModelStoreOwner viewModelStoreOwner) {
        this(r0, r3);
        Factory factory;
        l viewModelStore = viewModelStoreOwner.getViewModelStore();
        if (viewModelStoreOwner instanceof HasDefaultViewModelProviderFactory) {
            factory = ((HasDefaultViewModelProviderFactory) viewModelStoreOwner).getDefaultViewModelProviderFactory();
        } else {
            if (NewInstanceFactory.f1665a == null) {
                NewInstanceFactory.f1665a = new NewInstanceFactory();
            }
            factory = NewInstanceFactory.f1665a;
        }
    }

    public <T extends k> T a(Class<T> cls) {
        Object obj;
        String canonicalName = cls.getCanonicalName();
        if (canonicalName != null) {
            String s = d.a.a.a.a.s("androidx.lifecycle.ViewModelProvider.DefaultKey:", canonicalName);
            T t = (T) this.f1662b.f3741a.get(s);
            if (cls.isInstance(t)) {
                Factory factory = this.f1661a;
                if (factory instanceof b) {
                    ((b) factory).a(t);
                }
            } else {
                Factory factory2 = this.f1661a;
                if (factory2 instanceof a) {
                    obj = ((a) factory2).b(s, cls);
                } else {
                    obj = factory2.create(cls);
                }
                t = (T) obj;
                k put = this.f1662b.f3741a.put(s, t);
                if (put != null) {
                    put.onCleared();
                }
            }
            return t;
        }
        throw new IllegalArgumentException("Local and anonymous classes can not be ViewModels");
    }

    public ViewModelProvider(l lVar, Factory factory) {
        this.f1661a = factory;
        this.f1662b = lVar;
    }
}
