package androidx.loader.app;

import android.os.Looper;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.lifecycle.LifecycleOwner;
import androidx.lifecycle.MutableLiveData;
import androidx.lifecycle.Observer;
import androidx.lifecycle.ViewModelProvider;
import androidx.loader.content.Loader;
import b.f.h;
import b.q.k;
import b.q.l;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.util.Objects;

public class LoaderManagerImpl extends LoaderManager {

    /* renamed from: a  reason: collision with root package name */
    public final LifecycleOwner f1666a;

    /* renamed from: b  reason: collision with root package name */
    public final a f1667b;

    public static class LoaderInfo<D> extends MutableLiveData<D> implements Loader.OnLoadCompleteListener<D> {
        @Override // androidx.lifecycle.LiveData
        public void g() {
            throw null;
        }

        @Override // androidx.lifecycle.LiveData
        public void h() {
            throw null;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: androidx.lifecycle.Observer<? super D> */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // androidx.lifecycle.LiveData
        public void j(Observer<? super D> observer) {
            super.j(observer);
        }

        @Override // androidx.lifecycle.MutableLiveData, androidx.lifecycle.LiveData
        public void k(D d2) {
            super.k(d2);
        }

        @Override // androidx.loader.content.Loader.OnLoadCompleteListener
        public void onLoadComplete(Loader<D> loader, D d2) {
            if (Looper.myLooper() == Looper.getMainLooper()) {
                k(d2);
            } else {
                i(d2);
            }
        }

        public String toString() {
            StringBuilder sb = new StringBuilder(64);
            sb.append("LoaderInfo{");
            sb.append(Integer.toHexString(System.identityHashCode(this)));
            sb.append(" #");
            sb.append(0);
            sb.append(" : ");
            AppCompatDelegateImpl.e.d(null, sb);
            sb.append("}}");
            return sb.toString();
        }
    }

    public static class a extends k {

        /* renamed from: a  reason: collision with root package name */
        public static final ViewModelProvider.Factory f1668a = new C0004a();

        /* renamed from: b  reason: collision with root package name */
        public h<LoaderInfo> f1669b = new h<>();

        /* renamed from: androidx.loader.app.LoaderManagerImpl$a$a  reason: collision with other inner class name */
        public static class C0004a implements ViewModelProvider.Factory {
            @Override // androidx.lifecycle.ViewModelProvider.Factory
            public <T extends k> T create(Class<T> cls) {
                return new a();
            }
        }

        @Override // b.q.k
        public void onCleared() {
            super.onCleared();
            if (this.f1669b.i() <= 0) {
                h<LoaderInfo> hVar = this.f1669b;
                int i2 = hVar.f2949l;
                Object[] objArr = hVar.f2948k;
                for (int i3 = 0; i3 < i2; i3++) {
                    objArr[i3] = null;
                }
                hVar.f2949l = 0;
                hVar.f2946h = false;
                return;
            }
            Objects.requireNonNull(this.f1669b.j(0));
            throw null;
        }
    }

    public LoaderManagerImpl(LifecycleOwner lifecycleOwner, l lVar) {
        k kVar;
        this.f1666a = lifecycleOwner;
        ViewModelProvider.Factory factory = a.f1668a;
        String canonicalName = a.class.getCanonicalName();
        if (canonicalName != null) {
            String s = d.a.a.a.a.s("androidx.lifecycle.ViewModelProvider.DefaultKey:", canonicalName);
            k kVar2 = lVar.f3741a.get(s);
            if (!a.class.isInstance(kVar2)) {
                if (factory instanceof ViewModelProvider.a) {
                    kVar = ((ViewModelProvider.a) factory).b(s, a.class);
                } else {
                    kVar = ((a.C0004a) factory).create(a.class);
                }
                kVar2 = kVar;
                k put = lVar.f3741a.put(s, kVar2);
                if (put != null) {
                    put.onCleared();
                }
            } else if (factory instanceof ViewModelProvider.b) {
                ((ViewModelProvider.b) factory).a(kVar2);
            }
            this.f1667b = (a) kVar2;
            return;
        }
        throw new IllegalArgumentException("Local and anonymous classes can not be ViewModels");
    }

    @Override // androidx.loader.app.LoaderManager
    @Deprecated
    public void a(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
        a aVar = this.f1667b;
        if (aVar.f1669b.i() > 0) {
            printWriter.print(str);
            printWriter.println("Loaders:");
            String str2 = str + "    ";
            if (aVar.f1669b.i() > 0) {
                printWriter.print(str);
                printWriter.print("  #");
                printWriter.print(aVar.f1669b.g(0));
                printWriter.print(": ");
                printWriter.println(aVar.f1669b.j(0).toString());
                printWriter.print(str2);
                printWriter.print("mId=");
                printWriter.print(0);
                printWriter.print(" mArgs=");
                printWriter.println((Object) null);
                printWriter.print(str2);
                printWriter.print("mLoader=");
                printWriter.println((Object) null);
                throw null;
            }
        }
    }

    public String toString() {
        StringBuilder sb = new StringBuilder(128);
        sb.append("LoaderManager{");
        sb.append(Integer.toHexString(System.identityHashCode(this)));
        sb.append(" in ");
        AppCompatDelegateImpl.e.d(this.f1666a, sb);
        sb.append("}}");
        return sb.toString();
    }
}
