package androidx.loader.content;

import android.content.Context;
import android.os.SystemClock;
import androidx.core.os.OperationCanceledException;
import androidx.loader.content.ModernAsyncTask;
import java.util.Objects;
import java.util.concurrent.CountDownLatch;
import java.util.concurrent.Executor;

public abstract class AsyncTaskLoader<D> extends Loader<D> {

    /* renamed from: g  reason: collision with root package name */
    public final Executor f1670g;

    /* renamed from: h  reason: collision with root package name */
    public volatile AsyncTaskLoader<D>.a f1671h;

    /* renamed from: i  reason: collision with root package name */
    public volatile AsyncTaskLoader<D>.a f1672i;

    /* renamed from: j  reason: collision with root package name */
    public long f1673j = -10000;

    public final class a extends ModernAsyncTask<Void, Void, D> implements Runnable {
        public final CountDownLatch q = new CountDownLatch(1);

        public a() {
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object[]] */
        @Override // androidx.loader.content.ModernAsyncTask
        public Object a(Void[] voidArr) {
            try {
                return AsyncTaskLoader.this.g();
            } catch (OperationCanceledException e2) {
                if (this.o.get()) {
                    return null;
                }
                throw e2;
            }
        }

        @Override // androidx.loader.content.ModernAsyncTask
        public void b(D d2) {
            try {
                AsyncTaskLoader.this.e(this, d2);
            } finally {
                this.q.countDown();
            }
        }

        @Override // androidx.loader.content.ModernAsyncTask
        public void c(D d2) {
            try {
                AsyncTaskLoader asyncTaskLoader = AsyncTaskLoader.this;
                if (asyncTaskLoader.f1671h != this) {
                    asyncTaskLoader.e(this, d2);
                } else if (asyncTaskLoader.f1678c) {
                    asyncTaskLoader.h(d2);
                } else {
                    asyncTaskLoader.f1681f = false;
                    asyncTaskLoader.f1673j = SystemClock.uptimeMillis();
                    asyncTaskLoader.f1671h = null;
                    asyncTaskLoader.b(d2);
                }
            } finally {
                this.q.countDown();
            }
        }

        public void run() {
            AsyncTaskLoader.this.f();
        }
    }

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public AsyncTaskLoader(Context context) {
        super(context);
        Executor executor = ModernAsyncTask.f1685j;
        this.f1670g = executor;
    }

    public void d() {
    }

    public void e(AsyncTaskLoader<D>.a aVar, D d2) {
        h(d2);
        if (this.f1672i == aVar) {
            if (this.f1681f) {
                c();
            }
            this.f1673j = SystemClock.uptimeMillis();
            this.f1672i = null;
            f();
        }
    }

    public void f() {
        if (this.f1672i == null && this.f1671h != null) {
            Objects.requireNonNull(this.f1671h);
            AsyncTaskLoader<D>.a aVar = this.f1671h;
            Executor executor = this.f1670g;
            if (aVar.n != ModernAsyncTask.Status.PENDING) {
                int ordinal = aVar.n.ordinal();
                if (ordinal == 1) {
                    throw new IllegalStateException("Cannot execute task: the task is already running.");
                } else if (ordinal != 2) {
                    throw new IllegalStateException("We should never reach this state");
                } else {
                    throw new IllegalStateException("Cannot execute task: the task has already been executed (a task can be executed only once)");
                }
            } else {
                aVar.n = ModernAsyncTask.Status.RUNNING;
                aVar.f1687l.f1693d = null;
                executor.execute(aVar.m);
            }
        }
    }

    public abstract D g();

    public void h(D d2) {
    }
}
