package androidx.loader.content;

import android.content.Context;
import android.database.Cursor;
import android.net.Uri;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.core.os.CancellationSignal;
import androidx.core.os.OperationCanceledException;
import androidx.loader.content.Loader;

public class CursorLoader extends AsyncTaskLoader<Cursor> {

    /* renamed from: k  reason: collision with root package name */
    public final Loader<Cursor>.a f1674k = new Loader.a();

    /* renamed from: l  reason: collision with root package name */
    public Uri f1675l;
    public String[] m;
    public String n;
    public String[] o;
    public String p;
    public Cursor q;
    public CancellationSignal r;

    public CursorLoader(Context context, Uri uri, String[] strArr, String str, String[] strArr2, String str2) {
        super(context);
        this.f1675l = uri;
        this.m = strArr;
        this.n = null;
        this.o = null;
        this.p = null;
    }

    @Override // androidx.loader.content.AsyncTaskLoader
    public void d() {
        synchronized (this) {
            CancellationSignal cancellationSignal = this.r;
            if (cancellationSignal != null) {
                cancellationSignal.a();
            }
        }
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
    @Override // androidx.loader.content.AsyncTaskLoader
    public void h(Cursor cursor) {
        Cursor cursor2 = cursor;
        if (cursor2 != null && !cursor2.isClosed()) {
            cursor2.close();
        }
    }

    /* renamed from: i */
    public void b(Cursor cursor) {
        if (!this.f1679d) {
            Cursor cursor2 = this.q;
            this.q = cursor;
            boolean z = this.f1677b;
            if (cursor2 != null && cursor2 != cursor && !cursor2.isClosed()) {
                cursor2.close();
            }
        } else if (cursor != null) {
            cursor.close();
        }
    }

    /* renamed from: j */
    public Cursor g() {
        synchronized (this) {
            if (!(this.f1672i != null)) {
                this.r = new CancellationSignal();
            } else {
                throw new OperationCanceledException();
            }
        }
        try {
            Cursor m0 = AppCompatDelegateImpl.e.m0(this.f1676a.getContentResolver(), this.f1675l, this.m, this.n, this.o, this.p, this.r);
            if (m0 != null) {
                try {
                    m0.getCount();
                    m0.registerContentObserver(this.f1674k);
                } catch (RuntimeException e2) {
                    m0.close();
                    throw e2;
                }
            }
            synchronized (this) {
                this.r = null;
            }
            return m0;
        } catch (Throwable th) {
            synchronized (this) {
                this.r = null;
                throw th;
            }
        }
    }
}
