package androidx.loader.content;

import android.os.Binder;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.os.Process;
import android.util.Log;
import java.util.Objects;
import java.util.concurrent.BlockingQueue;
import java.util.concurrent.Callable;
import java.util.concurrent.CancellationException;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;
import java.util.concurrent.FutureTask;
import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.ThreadFactory;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicInteger;

public abstract class ModernAsyncTask<Params, Progress, Result> {

    /* renamed from: d  reason: collision with root package name */
    public static final ThreadFactory f1683d;

    /* renamed from: h  reason: collision with root package name */
    public static final BlockingQueue<Runnable> f1684h;

    /* renamed from: j  reason: collision with root package name */
    public static final Executor f1685j;

    /* renamed from: k  reason: collision with root package name */
    public static e f1686k;

    /* renamed from: l  reason: collision with root package name */
    public final f<Params, Result> f1687l;
    public final FutureTask<Result> m;
    public volatile Status n = Status.PENDING;
    public final AtomicBoolean o = new AtomicBoolean();
    public final AtomicBoolean p = new AtomicBoolean();

    public enum Status {
        PENDING,
        RUNNING,
        FINISHED
    }

    public static class a implements ThreadFactory {

        /* renamed from: d  reason: collision with root package name */
        public final AtomicInteger f1688d = new AtomicInteger(1);

        public Thread newThread(Runnable runnable) {
            StringBuilder B = d.a.a.a.a.B("ModernAsyncTask #");
            B.append(this.f1688d.getAndIncrement());
            return new Thread(runnable, B.toString());
        }
    }

    public class b extends f<Params, Result> {
        public b() {
        }

        @Override // java.util.concurrent.Callable
        public Result call() {
            ModernAsyncTask.this.p.set(true);
            Result result = null;
            try {
                Process.setThreadPriority(10);
                result = (Result) ModernAsyncTask.this.a(this.f1693d);
                Binder.flushPendingCommands();
                ModernAsyncTask.this.d(result);
                return result;
            } catch (Throwable th) {
                ModernAsyncTask.this.d(result);
                throw th;
            }
        }
    }

    public class c extends FutureTask<Result> {
        public c(Callable callable) {
            super(callable);
        }

        /* JADX DEBUG: Multi-variable search result rejected for r2v4, resolved type: androidx.loader.content.ModernAsyncTask */
        /* JADX WARN: Multi-variable type inference failed */
        public void done() {
            try {
                Object obj = get();
                ModernAsyncTask modernAsyncTask = ModernAsyncTask.this;
                if (!modernAsyncTask.p.get()) {
                    modernAsyncTask.d(obj);
                }
            } catch (InterruptedException e2) {
                Log.w("AsyncTask", e2);
            } catch (ExecutionException e3) {
                throw new RuntimeException("An error occurred while executing doInBackground()", e3.getCause());
            } catch (CancellationException unused) {
                ModernAsyncTask modernAsyncTask2 = ModernAsyncTask.this;
                if (!modernAsyncTask2.p.get()) {
                    modernAsyncTask2.d(null);
                }
            } catch (Throwable th) {
                throw new RuntimeException("An error occurred while executing doInBackground()", th);
            }
        }
    }

    public static class d<Data> {

        /* renamed from: a  reason: collision with root package name */
        public final ModernAsyncTask f1691a;

        /* renamed from: b  reason: collision with root package name */
        public final Data[] f1692b;

        public d(ModernAsyncTask modernAsyncTask, Data... dataArr) {
            this.f1691a = modernAsyncTask;
            this.f1692b = dataArr;
        }
    }

    public static class e extends Handler {
        public e() {
            super(Looper.getMainLooper());
        }

        public void handleMessage(Message message) {
            d dVar = (d) message.obj;
            int i2 = message.what;
            if (i2 == 1) {
                ModernAsyncTask modernAsyncTask = dVar.f1691a;
                Data data = dVar.f1692b[0];
                if (modernAsyncTask.o.get()) {
                    modernAsyncTask.b(data);
                } else {
                    modernAsyncTask.c(data);
                }
                modernAsyncTask.n = Status.FINISHED;
            } else if (i2 == 2) {
                Objects.requireNonNull(dVar.f1691a);
            }
        }
    }

    public static abstract class f<Params, Result> implements Callable<Result> {

        /* renamed from: d  reason: collision with root package name */
        public Params[] f1693d;
    }

    static {
        a aVar = new a();
        f1683d = aVar;
        LinkedBlockingQueue linkedBlockingQueue = new LinkedBlockingQueue(10);
        f1684h = linkedBlockingQueue;
        f1685j = new ThreadPoolExecutor(5, 128, 1, TimeUnit.SECONDS, linkedBlockingQueue, aVar);
    }

    public ModernAsyncTask() {
        b bVar = new b();
        this.f1687l = bVar;
        this.m = new c(bVar);
    }

    public abstract Result a(Params... paramsArr);

    public void b(Result result) {
    }

    public void c(Result result) {
    }

    public Result d(Result result) {
        e eVar;
        synchronized (ModernAsyncTask.class) {
            if (f1686k == null) {
                f1686k = new e();
            }
            eVar = f1686k;
        }
        eVar.obtainMessage(1, new d(this, result)).sendToTarget();
        return result;
    }
}
