package androidx.media;

import android.annotation.TargetApi;
import android.media.AudioAttributes;
import android.os.Build;
import android.os.Bundle;
import android.util.Log;
import d.a.a.a.a;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

@TargetApi(21)
public class AudioAttributesImplApi21 implements AudioAttributesImpl {

    /* renamed from: a  reason: collision with root package name */
    public static Method f1696a;

    /* renamed from: b  reason: collision with root package name */
    public AudioAttributes f1697b;

    /* renamed from: c  reason: collision with root package name */
    public int f1698c = -1;

    public boolean equals(Object obj) {
        if (!(obj instanceof AudioAttributesImplApi21)) {
            return false;
        }
        return this.f1697b.equals(((AudioAttributesImplApi21) obj).f1697b);
    }

    @Override // androidx.media.AudioAttributesImpl
    public Object getAudioAttributes() {
        return this.f1697b;
    }

    @Override // androidx.media.AudioAttributesImpl
    public int getContentType() {
        return this.f1697b.getContentType();
    }

    @Override // androidx.media.AudioAttributesImpl
    public int getFlags() {
        return this.f1697b.getFlags();
    }

    @Override // androidx.media.AudioAttributesImpl
    public int getLegacyStreamType() {
        Method method;
        int i2 = this.f1698c;
        if (i2 != -1) {
            return i2;
        }
        try {
            if (f1696a == null) {
                f1696a = AudioAttributes.class.getMethod("toLegacyStreamType", AudioAttributes.class);
            }
            method = f1696a;
        } catch (NoSuchMethodException unused) {
            method = null;
        }
        if (method == null) {
            StringBuilder B = a.B("No AudioAttributes#toLegacyStreamType() on API: ");
            B.append(Build.VERSION.SDK_INT);
            Log.w("AudioAttributesCompat21", B.toString());
            return -1;
        }
        try {
            return ((Integer) method.invoke(null, this.f1697b)).intValue();
        } catch (IllegalAccessException | InvocationTargetException e2) {
            StringBuilder B2 = a.B("getLegacyStreamType() failed on API: ");
            B2.append(Build.VERSION.SDK_INT);
            Log.w("AudioAttributesCompat21", B2.toString(), e2);
            return -1;
        }
    }

    @Override // androidx.media.AudioAttributesImpl
    public int getRawLegacyStreamType() {
        return this.f1698c;
    }

    @Override // androidx.media.AudioAttributesImpl
    public int getUsage() {
        return this.f1697b.getUsage();
    }

    @Override // androidx.media.AudioAttributesImpl
    public int getVolumeControlStream() {
        if (Build.VERSION.SDK_INT >= 26) {
            return this.f1697b.getVolumeControlStream();
        }
        return AudioAttributesCompat.a(true, getFlags(), getUsage());
    }

    public int hashCode() {
        return this.f1697b.hashCode();
    }

    @Override // androidx.media.AudioAttributesImpl
    public Bundle toBundle() {
        Bundle bundle = new Bundle();
        bundle.putParcelable("androidx.media.audio_attrs.FRAMEWORKS", this.f1697b);
        int i2 = this.f1698c;
        if (i2 != -1) {
            bundle.putInt("androidx.media.audio_attrs.LEGACY_STREAM_TYPE", i2);
        }
        return bundle;
    }

    public String toString() {
        StringBuilder B = a.B("AudioAttributesCompat: audioattributes=");
        B.append(this.f1697b);
        return B.toString();
    }
}
