package androidx.media;

import android.os.Bundle;
import android.util.SparseIntArray;
import d.a.a.a.a;
import java.util.Arrays;

public class AudioAttributesImplBase implements AudioAttributesImpl {

    /* renamed from: a  reason: collision with root package name */
    public int f1699a = 0;

    /* renamed from: b  reason: collision with root package name */
    public int f1700b = 0;

    /* renamed from: c  reason: collision with root package name */
    public int f1701c = 0;

    /* renamed from: d  reason: collision with root package name */
    public int f1702d = -1;

    public boolean equals(Object obj) {
        if (!(obj instanceof AudioAttributesImplBase)) {
            return false;
        }
        AudioAttributesImplBase audioAttributesImplBase = (AudioAttributesImplBase) obj;
        if (this.f1700b == audioAttributesImplBase.getContentType() && this.f1701c == audioAttributesImplBase.getFlags() && this.f1699a == audioAttributesImplBase.getUsage() && this.f1702d == audioAttributesImplBase.f1702d) {
            return true;
        }
        return false;
    }

    @Override // androidx.media.AudioAttributesImpl
    public Object getAudioAttributes() {
        return null;
    }

    @Override // androidx.media.AudioAttributesImpl
    public int getContentType() {
        return this.f1700b;
    }

    @Override // androidx.media.AudioAttributesImpl
    public int getFlags() {
        int i2 = this.f1701c;
        int legacyStreamType = getLegacyStreamType();
        if (legacyStreamType == 6) {
            i2 |= 4;
        } else if (legacyStreamType == 7) {
            i2 |= 1;
        }
        return i2 & 273;
    }

    @Override // androidx.media.AudioAttributesImpl
    public int getLegacyStreamType() {
        int i2 = this.f1702d;
        if (i2 != -1) {
            return i2;
        }
        return AudioAttributesCompat.a(false, this.f1701c, this.f1699a);
    }

    @Override // androidx.media.AudioAttributesImpl
    public int getRawLegacyStreamType() {
        return this.f1702d;
    }

    @Override // androidx.media.AudioAttributesImpl
    public int getUsage() {
        return this.f1699a;
    }

    @Override // androidx.media.AudioAttributesImpl
    public int getVolumeControlStream() {
        return AudioAttributesCompat.a(true, this.f1701c, this.f1699a);
    }

    public int hashCode() {
        return Arrays.hashCode(new Object[]{Integer.valueOf(this.f1700b), Integer.valueOf(this.f1701c), Integer.valueOf(this.f1699a), Integer.valueOf(this.f1702d)});
    }

    @Override // androidx.media.AudioAttributesImpl
    public Bundle toBundle() {
        Bundle bundle = new Bundle();
        bundle.putInt("androidx.media.audio_attrs.USAGE", this.f1699a);
        bundle.putInt("androidx.media.audio_attrs.CONTENT_TYPE", this.f1700b);
        bundle.putInt("androidx.media.audio_attrs.FLAGS", this.f1701c);
        int i2 = this.f1702d;
        if (i2 != -1) {
            bundle.putInt("androidx.media.audio_attrs.LEGACY_STREAM_TYPE", i2);
        }
        return bundle;
    }

    public String toString() {
        String str;
        StringBuilder sb = new StringBuilder("AudioAttributesCompat:");
        if (this.f1702d != -1) {
            sb.append(" stream=");
            sb.append(this.f1702d);
            sb.append(" derived");
        }
        sb.append(" usage=");
        int i2 = this.f1699a;
        SparseIntArray sparseIntArray = AudioAttributesCompat.f1694a;
        switch (i2) {
            case 0:
                str = "USAGE_UNKNOWN";
                break;
            case 1:
                str = "USAGE_MEDIA";
                break;
            case 2:
                str = "USAGE_VOICE_COMMUNICATION";
                break;
            case 3:
                str = "USAGE_VOICE_COMMUNICATION_SIGNALLING";
                break;
            case 4:
                str = "USAGE_ALARM";
                break;
            case 5:
                str = "USAGE_NOTIFICATION";
                break;
            case 6:
                str = "USAGE_NOTIFICATION_RINGTONE";
                break;
            case 7:
                str = "USAGE_NOTIFICATION_COMMUNICATION_REQUEST";
                break;
            case 8:
                str = "USAGE_NOTIFICATION_COMMUNICATION_INSTANT";
                break;
            case 9:
                str = "USAGE_NOTIFICATION_COMMUNICATION_DELAYED";
                break;
            case 10:
                str = "USAGE_NOTIFICATION_EVENT";
                break;
            case 11:
                str = "USAGE_ASSISTANCE_ACCESSIBILITY";
                break;
            case 12:
                str = "USAGE_ASSISTANCE_NAVIGATION_GUIDANCE";
                break;
            case 13:
                str = "USAGE_ASSISTANCE_SONIFICATION";
                break;
            case 14:
                str = "USAGE_GAME";
                break;
            case 15:
            default:
                str = a.k("unknown usage ", i2);
                break;
            case 16:
                str = "USAGE_ASSISTANT";
                break;
        }
        sb.append(str);
        sb.append(" content=");
        sb.append(this.f1700b);
        sb.append(" flags=0x");
        sb.append(Integer.toHexString(this.f1701c).toUpperCase());
        return sb.toString();
    }
}
