package androidx.media;

import android.app.Service;
import android.content.Intent;
import android.media.browse.MediaBrowser;
import android.media.session.MediaSession;
import android.os.Binder;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.IBinder;
import android.os.Message;
import android.os.Messenger;
import android.os.Parcel;
import android.os.RemoteException;
import android.service.media.MediaBrowserService;
import android.support.v4.media.MediaBrowserCompat;
import android.support.v4.media.session.IMediaSession;
import android.support.v4.media.session.MediaSessionCompat;
import android.support.v4.os.ResultReceiver;
import android.text.TextUtils;
import android.util.Log;
import androidx.collection.ArrayMap;
import androidx.media.MediaBrowserServiceCompatApi26;
import b.s.k;
import b.s.l;
import b.s.m;
import b.s.n;
import b.s.o;
import b.s.p;
import b.s.q;
import b.s.r;
import b.s.s;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Objects;

public abstract class MediaBrowserServiceCompat extends Service {

    /* renamed from: d  reason: collision with root package name */
    public static final boolean f1703d = Log.isLoggable("MBServiceCompat", 3);

    /* renamed from: h  reason: collision with root package name */
    public MediaBrowserServiceImpl f1704h;

    /* renamed from: j  reason: collision with root package name */
    public final ArrayMap<IBinder, b> f1705j = new ArrayMap<>();

    /* renamed from: k  reason: collision with root package name */
    public b f1706k;

    /* renamed from: l  reason: collision with root package name */
    public final j f1707l = new j();

    public interface MediaBrowserServiceImpl {
        Bundle getBrowserRootHints();

        s getCurrentBrowserInfo();

        void notifyChildrenChanged(s sVar, String str, Bundle bundle);

        void notifyChildrenChanged(String str, Bundle bundle);

        IBinder onBind(Intent intent);

        void onCreate();

        void setSessionToken(MediaSessionCompat.Token token);
    }

    public interface ServiceCallbacks {
        IBinder asBinder();

        void onConnect(String str, MediaSessionCompat.Token token, Bundle bundle);

        void onConnectFailed();

        void onLoadChildren(String str, List<MediaBrowserCompat.MediaItem> list, Bundle bundle, Bundle bundle2);
    }

    public class a extends g<List<MediaBrowserCompat.MediaItem>> {

        /* renamed from: e  reason: collision with root package name */
        public final /* synthetic */ b f1708e;

        /* renamed from: f  reason: collision with root package name */
        public final /* synthetic */ String f1709f;

        /* renamed from: g  reason: collision with root package name */
        public final /* synthetic */ Bundle f1710g;

        /* renamed from: h  reason: collision with root package name */
        public final /* synthetic */ Bundle f1711h;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        public a(Object obj, b bVar, String str, Bundle bundle, Bundle bundle2) {
            super(obj);
            this.f1708e = bVar;
            this.f1709f = str;
            this.f1710g = bundle;
            this.f1711h = bundle2;
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // androidx.media.MediaBrowserServiceCompat.g
        public void c(List<MediaBrowserCompat.MediaItem> list) {
            List<MediaBrowserCompat.MediaItem> list2 = list;
            if (MediaBrowserServiceCompat.this.f1705j.get(this.f1708e.f1716d.asBinder()) == this.f1708e) {
                if ((this.f1735d & 1) != 0) {
                    MediaBrowserServiceCompat mediaBrowserServiceCompat = MediaBrowserServiceCompat.this;
                    Bundle bundle = this.f1710g;
                    Objects.requireNonNull(mediaBrowserServiceCompat);
                    if (list2 == null) {
                        list2 = null;
                    } else {
                        int i2 = bundle.getInt(MediaBrowserCompat.EXTRA_PAGE, -1);
                        int i3 = bundle.getInt(MediaBrowserCompat.EXTRA_PAGE_SIZE, -1);
                        if (!(i2 == -1 && i3 == -1)) {
                            int i4 = i3 * i2;
                            int i5 = i4 + i3;
                            if (i2 < 0 || i3 < 1 || i4 >= list2.size()) {
                                list2 = Collections.emptyList();
                            } else {
                                if (i5 > list2.size()) {
                                    i5 = list2.size();
                                }
                                list2 = list2.subList(i4, i5);
                            }
                        }
                    }
                }
                try {
                    this.f1708e.f1716d.onLoadChildren(this.f1709f, list2, this.f1710g, this.f1711h);
                } catch (RemoteException unused) {
                    StringBuilder B = d.a.a.a.a.B("Calling onLoadChildren() failed for id=");
                    B.append(this.f1709f);
                    B.append(" package=");
                    B.append(this.f1708e.f1713a);
                    Log.w("MBServiceCompat", B.toString());
                }
            } else if (MediaBrowserServiceCompat.f1703d) {
                StringBuilder B2 = d.a.a.a.a.B("Not sending onLoadChildren result for connection that has been disconnected. pkg=");
                B2.append(this.f1708e.f1713a);
                B2.append(" id=");
                B2.append(this.f1709f);
                Log.d("MBServiceCompat", B2.toString());
            }
        }
    }

    public class b implements IBinder.DeathRecipient {

        /* renamed from: a  reason: collision with root package name */
        public final String f1713a;

        /* renamed from: b  reason: collision with root package name */
        public final s f1714b;

        /* renamed from: c  reason: collision with root package name */
        public final Bundle f1715c;

        /* renamed from: d  reason: collision with root package name */
        public final ServiceCallbacks f1716d;

        /* renamed from: e  reason: collision with root package name */
        public final HashMap<String, List<b.j.g.a<IBinder, Bundle>>> f1717e = new HashMap<>();

        public class a implements Runnable {
            public a() {
            }

            public void run() {
                b bVar = b.this;
                MediaBrowserServiceCompat.this.f1705j.remove(bVar.f1716d.asBinder());
            }
        }

        public b(String str, int i2, int i3, Bundle bundle, ServiceCallbacks serviceCallbacks) {
            this.f1713a = str;
            this.f1714b = new s(str, i2, i3);
            this.f1715c = bundle;
            this.f1716d = serviceCallbacks;
        }

        public void binderDied() {
            MediaBrowserServiceCompat.this.f1707l.post(new a());
        }
    }

    public class d extends c implements MediaBrowserServiceCompatApi23$ServiceCompatProxy {

        public class a extends g<MediaBrowserCompat.MediaItem> {

            /* renamed from: e  reason: collision with root package name */
            public final /* synthetic */ q f1728e;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            public a(d dVar, Object obj, q qVar) {
                super(obj);
                this.f1728e = qVar;
            }

            /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
            @Override // androidx.media.MediaBrowserServiceCompat.g
            public void c(MediaBrowserCompat.MediaItem mediaItem) {
                MediaBrowserCompat.MediaItem mediaItem2 = mediaItem;
                if (mediaItem2 == null) {
                    this.f1728e.a(null);
                    return;
                }
                Parcel obtain = Parcel.obtain();
                mediaItem2.writeToParcel(obtain, 0);
                this.f1728e.a(obtain);
            }
        }

        public d() {
            super();
        }

        @Override // androidx.media.MediaBrowserServiceCompat.c, androidx.media.MediaBrowserServiceCompat.MediaBrowserServiceImpl
        public void onCreate() {
            r rVar = new r(MediaBrowserServiceCompat.this, this);
            this.f1721b = rVar;
            rVar.onCreate();
        }

        @Override // androidx.media.MediaBrowserServiceCompatApi23$ServiceCompatProxy
        public void onLoadItem(String str, q<Parcel> qVar) {
            MediaBrowserServiceCompat.this.e(new a(this, str, qVar));
        }
    }

    public class e extends d implements MediaBrowserServiceCompatApi26.ServiceCompatProxy {

        public class a extends g<List<MediaBrowserCompat.MediaItem>> {

            /* renamed from: e  reason: collision with root package name */
            public final /* synthetic */ MediaBrowserServiceCompatApi26.b f1730e;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            public a(e eVar, Object obj, MediaBrowserServiceCompatApi26.b bVar) {
                super(obj);
                this.f1730e = bVar;
            }

            /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
            @Override // androidx.media.MediaBrowserServiceCompat.g
            public void c(List<MediaBrowserCompat.MediaItem> list) {
                ArrayList<Parcel> arrayList;
                List<MediaBrowserCompat.MediaItem> list2 = list;
                ArrayList arrayList2 = null;
                if (list2 != null) {
                    arrayList = new ArrayList();
                    for (MediaBrowserCompat.MediaItem mediaItem : list2) {
                        Parcel obtain = Parcel.obtain();
                        mediaItem.writeToParcel(obtain, 0);
                        arrayList.add(obtain);
                    }
                } else {
                    arrayList = null;
                }
                MediaBrowserServiceCompatApi26.b bVar = this.f1730e;
                int i2 = this.f1735d;
                Objects.requireNonNull(bVar);
                try {
                    MediaBrowserServiceCompatApi26.f1740a.setInt(bVar.f1741a, i2);
                } catch (IllegalAccessException e2) {
                    Log.w("MBSCompatApi26", e2);
                }
                MediaBrowserService.Result result = bVar.f1741a;
                if (arrayList != null) {
                    arrayList2 = new ArrayList();
                    for (Parcel parcel : arrayList) {
                        parcel.setDataPosition(0);
                        arrayList2.add(MediaBrowser.MediaItem.CREATOR.createFromParcel(parcel));
                        parcel.recycle();
                    }
                }
                result.sendResult(arrayList2);
            }
        }

        public e() {
            super();
        }

        @Override // androidx.media.MediaBrowserServiceCompat.c
        public void b(String str, Bundle bundle) {
            if (bundle != null) {
                Object obj = this.f1721b;
                Field field = MediaBrowserServiceCompatApi26.f1740a;
                ((MediaBrowserService) obj).notifyChildrenChanged(str, bundle);
                return;
            }
            ((MediaBrowserService) this.f1721b).notifyChildrenChanged(str);
        }

        @Override // androidx.media.MediaBrowserServiceCompat.c, androidx.media.MediaBrowserServiceCompat.MediaBrowserServiceImpl
        public Bundle getBrowserRootHints() {
            b bVar = MediaBrowserServiceCompat.this.f1706k;
            if (bVar == null) {
                Object obj = this.f1721b;
                Field field = MediaBrowserServiceCompatApi26.f1740a;
                return ((MediaBrowserService) obj).getBrowserRootHints();
            } else if (bVar.f1715c == null) {
                return null;
            } else {
                return new Bundle(MediaBrowserServiceCompat.this.f1706k.f1715c);
            }
        }

        @Override // androidx.media.MediaBrowserServiceCompat.c, androidx.media.MediaBrowserServiceCompat.d, androidx.media.MediaBrowserServiceCompat.MediaBrowserServiceImpl
        public void onCreate() {
            MediaBrowserServiceCompat mediaBrowserServiceCompat = MediaBrowserServiceCompat.this;
            Field field = MediaBrowserServiceCompatApi26.f1740a;
            MediaBrowserServiceCompatApi26.a aVar = new MediaBrowserServiceCompatApi26.a(mediaBrowserServiceCompat, this);
            this.f1721b = aVar;
            aVar.onCreate();
        }

        @Override // androidx.media.MediaBrowserServiceCompatApi26.ServiceCompatProxy
        public void onLoadChildren(String str, MediaBrowserServiceCompatApi26.b bVar, Bundle bundle) {
            MediaBrowserServiceCompat.this.d(str, new a(this, str, bVar));
        }
    }

    public class f extends e {
        public f() {
            super();
        }

        @Override // androidx.media.MediaBrowserServiceCompat.c, androidx.media.MediaBrowserServiceCompat.MediaBrowserServiceImpl
        public s getCurrentBrowserInfo() {
            b bVar = MediaBrowserServiceCompat.this.f1706k;
            if (bVar != null) {
                return bVar.f1714b;
            }
            return new s(((MediaBrowserService) this.f1721b).getCurrentBrowserInfo());
        }
    }

    public static class g<T> {

        /* renamed from: a  reason: collision with root package name */
        public final Object f1732a;

        /* renamed from: b  reason: collision with root package name */
        public boolean f1733b;

        /* renamed from: c  reason: collision with root package name */
        public boolean f1734c;

        /* renamed from: d  reason: collision with root package name */
        public int f1735d;

        public g(Object obj) {
            this.f1732a = obj;
        }

        public boolean a() {
            return this.f1733b || this.f1734c;
        }

        public void b(Bundle bundle) {
            StringBuilder B = d.a.a.a.a.B("It is not supported to send an error for ");
            B.append(this.f1732a);
            throw new UnsupportedOperationException(B.toString());
        }

        public void c(T t) {
            throw null;
        }

        public void d(T t) {
            if (this.f1733b || this.f1734c) {
                StringBuilder B = d.a.a.a.a.B("sendResult() called when either sendResult() or sendError() had already been called for: ");
                B.append(this.f1732a);
                throw new IllegalStateException(B.toString());
            }
            this.f1733b = true;
            c(null);
        }
    }

    public class h {
        public h() {
        }
    }

    public static class i implements ServiceCallbacks {

        /* renamed from: a  reason: collision with root package name */
        public final Messenger f1737a;

        public i(Messenger messenger) {
            this.f1737a = messenger;
        }

        public final void a(int i2, Bundle bundle) {
            Message obtain = Message.obtain();
            obtain.what = i2;
            obtain.arg1 = 2;
            obtain.setData(bundle);
            this.f1737a.send(obtain);
        }

        @Override // androidx.media.MediaBrowserServiceCompat.ServiceCallbacks
        public IBinder asBinder() {
            return this.f1737a.getBinder();
        }

        @Override // androidx.media.MediaBrowserServiceCompat.ServiceCallbacks
        public void onConnect(String str, MediaSessionCompat.Token token, Bundle bundle) {
            if (bundle == null) {
                bundle = new Bundle();
            }
            bundle.putInt("extra_service_version", 2);
            Bundle bundle2 = new Bundle();
            bundle2.putString("data_media_item_id", str);
            bundle2.putParcelable("data_media_session_token", token);
            bundle2.putBundle("data_root_hints", bundle);
            a(1, bundle2);
        }

        @Override // androidx.media.MediaBrowserServiceCompat.ServiceCallbacks
        public void onConnectFailed() {
            a(2, null);
        }

        @Override // androidx.media.MediaBrowserServiceCompat.ServiceCallbacks
        public void onLoadChildren(String str, List<MediaBrowserCompat.MediaItem> list, Bundle bundle, Bundle bundle2) {
            Bundle bundle3 = new Bundle();
            bundle3.putString("data_media_item_id", str);
            bundle3.putBundle("data_options", bundle);
            bundle3.putBundle("data_notify_children_changed_options", bundle2);
            if (list != null) {
                bundle3.putParcelableArrayList("data_media_item_list", list instanceof ArrayList ? (ArrayList) list : new ArrayList<>(list));
            }
            a(3, bundle3);
        }
    }

    public final class j extends Handler {

        /* renamed from: a  reason: collision with root package name */
        public final h f1738a;

        public j() {
            this.f1738a = new h();
        }

        public void a(Runnable runnable) {
            if (Thread.currentThread() == getLooper().getThread()) {
                runnable.run();
            } else {
                post(runnable);
            }
        }

        public void handleMessage(Message message) {
            Bundle data = message.getData();
            switch (message.what) {
                case 1:
                    Bundle bundle = data.getBundle("data_root_hints");
                    MediaSessionCompat.ensureClassLoader(bundle);
                    h hVar = this.f1738a;
                    String string = data.getString("data_package_name");
                    int i2 = data.getInt("data_calling_pid");
                    int i3 = data.getInt("data_calling_uid");
                    i iVar = new i(message.replyTo);
                    MediaBrowserServiceCompat mediaBrowserServiceCompat = MediaBrowserServiceCompat.this;
                    Objects.requireNonNull(mediaBrowserServiceCompat);
                    boolean z = false;
                    if (string != null) {
                        String[] packagesForUid = mediaBrowserServiceCompat.getPackageManager().getPackagesForUid(i3);
                        int length = packagesForUid.length;
                        int i4 = 0;
                        while (true) {
                            if (i4 < length) {
                                if (packagesForUid[i4].equals(string)) {
                                    z = true;
                                } else {
                                    i4++;
                                }
                            }
                        }
                    }
                    if (z) {
                        MediaBrowserServiceCompat.this.f1707l.a(new b.s.f(hVar, iVar, string, i2, i3, bundle));
                        return;
                    }
                    throw new IllegalArgumentException("Package/uid mismatch: uid=" + i3 + " package=" + string);
                case 2:
                    h hVar2 = this.f1738a;
                    MediaBrowserServiceCompat.this.f1707l.a(new b.s.g(hVar2, new i(message.replyTo)));
                    return;
                case 3:
                    Bundle bundle2 = data.getBundle("data_options");
                    MediaSessionCompat.ensureClassLoader(bundle2);
                    h hVar3 = this.f1738a;
                    String string2 = data.getString("data_media_item_id");
                    IBinder binder = data.getBinder("data_callback_token");
                    MediaBrowserServiceCompat.this.f1707l.a(new b.s.h(hVar3, new i(message.replyTo), string2, binder, bundle2));
                    return;
                case 4:
                    h hVar4 = this.f1738a;
                    String string3 = data.getString("data_media_item_id");
                    IBinder binder2 = data.getBinder("data_callback_token");
                    MediaBrowserServiceCompat.this.f1707l.a(new b.s.i(hVar4, new i(message.replyTo), string3, binder2));
                    return;
                case 5:
                    h hVar5 = this.f1738a;
                    String string4 = data.getString("data_media_item_id");
                    ResultReceiver resultReceiver = (ResultReceiver) data.getParcelable("data_result_receiver");
                    i iVar2 = new i(message.replyTo);
                    Objects.requireNonNull(hVar5);
                    if (!TextUtils.isEmpty(string4) && resultReceiver != null) {
                        MediaBrowserServiceCompat.this.f1707l.a(new b.s.j(hVar5, iVar2, string4, resultReceiver));
                        return;
                    }
                    return;
                case 6:
                    Bundle bundle3 = data.getBundle("data_root_hints");
                    MediaSessionCompat.ensureClassLoader(bundle3);
                    h hVar6 = this.f1738a;
                    MediaBrowserServiceCompat.this.f1707l.a(new k(hVar6, new i(message.replyTo), data.getString("data_package_name"), data.getInt("data_calling_pid"), data.getInt("data_calling_uid"), bundle3));
                    return;
                case 7:
                    h hVar7 = this.f1738a;
                    MediaBrowserServiceCompat.this.f1707l.a(new l(hVar7, new i(message.replyTo)));
                    return;
                case 8:
                    Bundle bundle4 = data.getBundle("data_search_extras");
                    MediaSessionCompat.ensureClassLoader(bundle4);
                    h hVar8 = this.f1738a;
                    String string5 = data.getString("data_search_query");
                    ResultReceiver resultReceiver2 = (ResultReceiver) data.getParcelable("data_result_receiver");
                    i iVar3 = new i(message.replyTo);
                    Objects.requireNonNull(hVar8);
                    if (!TextUtils.isEmpty(string5) && resultReceiver2 != null) {
                        MediaBrowserServiceCompat.this.f1707l.a(new m(hVar8, iVar3, string5, bundle4, resultReceiver2));
                        return;
                    }
                    return;
                case 9:
                    Bundle bundle5 = data.getBundle("data_custom_action_extras");
                    MediaSessionCompat.ensureClassLoader(bundle5);
                    h hVar9 = this.f1738a;
                    String string6 = data.getString("data_custom_action");
                    ResultReceiver resultReceiver3 = (ResultReceiver) data.getParcelable("data_result_receiver");
                    i iVar4 = new i(message.replyTo);
                    Objects.requireNonNull(hVar9);
                    if (!TextUtils.isEmpty(string6) && resultReceiver3 != null) {
                        MediaBrowserServiceCompat.this.f1707l.a(new n(hVar9, iVar4, string6, bundle5, resultReceiver3));
                        return;
                    }
                    return;
                default:
                    Log.w("MBServiceCompat", "Unhandled message: " + message + "\n  Service version: " + 2 + "\n  Client version: " + message.arg1);
                    return;
            }
        }

        public boolean sendMessageAtTime(Message message, long j2) {
            Bundle data = message.getData();
            data.setClassLoader(MediaBrowserCompat.class.getClassLoader());
            data.putInt("data_calling_uid", Binder.getCallingUid());
            data.putInt("data_calling_pid", Binder.getCallingPid());
            return super.sendMessageAtTime(message, j2);
        }
    }

    /* JADX WARN: Incorrect args count in method signature: (Ljava/lang/String;Landroid/os/Bundle;Landroidx/media/MediaBrowserServiceCompat$g<Landroid/os/Bundle;>;)V */
    public void a(g gVar) {
        if (gVar.f1733b || gVar.f1734c) {
            StringBuilder B = d.a.a.a.a.B("sendError() called when either sendResult() or sendError() had already been called for: ");
            B.append(gVar.f1732a);
            throw new IllegalStateException(B.toString());
        }
        gVar.f1734c = true;
        gVar.b(null);
    }

    public abstract void b(String str, int i2, Bundle bundle);

    public abstract void c(String str, g<List<MediaBrowserCompat.MediaItem>> gVar);

    /* JADX WARN: Incorrect args count in method signature: (Ljava/lang/String;Landroidx/media/MediaBrowserServiceCompat$g<Ljava/util/List<Landroid/support/v4/media/MediaBrowserCompat$MediaItem;>;>;Landroid/os/Bundle;)V */
    public void d(String str, g gVar) {
        gVar.f1735d = 1;
        c(str, gVar);
    }

    public void dump(FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
    }

    /* JADX WARN: Incorrect args count in method signature: (Ljava/lang/String;Landroidx/media/MediaBrowserServiceCompat$g<Landroid/support/v4/media/MediaBrowserCompat$MediaItem;>;)V */
    public void e(g gVar) {
        gVar.f1735d = 2;
        gVar.d(null);
    }

    /* JADX WARN: Incorrect args count in method signature: (Ljava/lang/String;Landroid/os/Bundle;Landroidx/media/MediaBrowserServiceCompat$g<Ljava/util/List<Landroid/support/v4/media/MediaBrowserCompat$MediaItem;>;>;)V */
    public void f(g gVar) {
        gVar.f1735d = 4;
        gVar.d(null);
    }

    public void g() {
    }

    public void h() {
    }

    public void i(String str, b bVar, Bundle bundle, Bundle bundle2) {
        a aVar = new a(str, bVar, str, bundle, bundle2);
        this.f1706k = bVar;
        if (bundle == null) {
            c(str, aVar);
        } else {
            d(str, aVar);
        }
        this.f1706k = null;
        if (!aVar.a()) {
            throw new IllegalStateException(d.a.a.a.a.z(d.a.a.a.a.B("onLoadChildren must call detach() or sendResult() before returning for package="), bVar.f1713a, " id=", str));
        }
    }

    public IBinder onBind(Intent intent) {
        return this.f1704h.onBind(intent);
    }

    public void onCreate() {
        super.onCreate();
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 28) {
            this.f1704h = new f();
        } else if (i2 >= 26) {
            this.f1704h = new e();
        } else if (i2 >= 23) {
            this.f1704h = new d();
        } else {
            this.f1704h = new c();
        }
        this.f1704h.onCreate();
    }

    public class c implements MediaBrowserServiceImpl, MediaBrowserServiceCompatApi21$ServiceCompatProxy {

        /* renamed from: a  reason: collision with root package name */
        public final List<Bundle> f1720a = new ArrayList();

        /* renamed from: b  reason: collision with root package name */
        public Object f1721b;

        /* renamed from: c  reason: collision with root package name */
        public Messenger f1722c;

        public class a implements Runnable {

            /* renamed from: d  reason: collision with root package name */
            public final /* synthetic */ MediaSessionCompat.Token f1724d;

            public a(MediaSessionCompat.Token token) {
                this.f1724d = token;
            }

            public void run() {
                if (!c.this.f1720a.isEmpty()) {
                    IMediaSession extraBinder = this.f1724d.getExtraBinder();
                    if (extraBinder != null) {
                        for (Bundle bundle : c.this.f1720a) {
                            bundle.putBinder("extra_session_binder", extraBinder.asBinder());
                        }
                    }
                    c.this.f1720a.clear();
                }
                ((MediaBrowserService) c.this.f1721b).setSessionToken((MediaSession.Token) this.f1724d.getToken());
            }
        }

        public class b extends g<List<MediaBrowserCompat.MediaItem>> {

            /* renamed from: e  reason: collision with root package name */
            public final /* synthetic */ q f1726e;

            /* JADX INFO: super call moved to the top of the method (can break code semantics) */
            public b(c cVar, Object obj, q qVar) {
                super(obj);
                this.f1726e = qVar;
            }

            /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
            @Override // androidx.media.MediaBrowserServiceCompat.g
            public void c(List<MediaBrowserCompat.MediaItem> list) {
                ArrayList arrayList;
                List<MediaBrowserCompat.MediaItem> list2 = list;
                if (list2 != null) {
                    arrayList = new ArrayList();
                    for (MediaBrowserCompat.MediaItem mediaItem : list2) {
                        Parcel obtain = Parcel.obtain();
                        mediaItem.writeToParcel(obtain, 0);
                        arrayList.add(obtain);
                    }
                } else {
                    arrayList = null;
                }
                this.f1726e.a(arrayList);
            }
        }

        public c() {
        }

        public void a(b bVar, String str, Bundle bundle) {
            List<b.j.g.a<IBinder, Bundle>> list = bVar.f1717e.get(str);
            if (list != null) {
                for (b.j.g.a<IBinder, Bundle> aVar : list) {
                    if (b.o.a.n.S0(bundle, aVar.f3389b)) {
                        MediaBrowserServiceCompat.this.i(str, bVar, aVar.f3389b, bundle);
                    }
                }
            }
        }

        public void b(String str, Bundle bundle) {
            ((MediaBrowserService) this.f1721b).notifyChildrenChanged(str);
        }

        @Override // androidx.media.MediaBrowserServiceCompat.MediaBrowserServiceImpl
        public Bundle getBrowserRootHints() {
            if (this.f1722c == null) {
                return null;
            }
            b bVar = MediaBrowserServiceCompat.this.f1706k;
            if (bVar == null) {
                throw new IllegalStateException("This should be called inside of onGetRoot, onLoadChildren, onLoadItem, onSearch, or onCustomAction methods");
            } else if (bVar.f1715c == null) {
                return null;
            } else {
                return new Bundle(MediaBrowserServiceCompat.this.f1706k.f1715c);
            }
        }

        @Override // androidx.media.MediaBrowserServiceCompat.MediaBrowserServiceImpl
        public s getCurrentBrowserInfo() {
            b bVar = MediaBrowserServiceCompat.this.f1706k;
            if (bVar != null) {
                return bVar.f1714b;
            }
            throw new IllegalStateException("This should be called inside of onGetRoot, onLoadChildren, onLoadItem, onSearch, or onCustomAction methods");
        }

        @Override // androidx.media.MediaBrowserServiceCompat.MediaBrowserServiceImpl
        public void notifyChildrenChanged(String str, Bundle bundle) {
            b(str, bundle);
            MediaBrowserServiceCompat.this.f1707l.post(new b.s.d(this, str, bundle));
        }

        @Override // androidx.media.MediaBrowserServiceCompat.MediaBrowserServiceImpl
        public IBinder onBind(Intent intent) {
            return ((MediaBrowserService) this.f1721b).onBind(intent);
        }

        @Override // androidx.media.MediaBrowserServiceCompat.MediaBrowserServiceImpl
        public void onCreate() {
            p pVar = new p(MediaBrowserServiceCompat.this, this);
            this.f1721b = pVar;
            pVar.onCreate();
        }

        @Override // androidx.media.MediaBrowserServiceCompatApi21$ServiceCompatProxy
        public o onGetRoot(String str, int i2, Bundle bundle) {
            if (!(bundle == null || bundle.getInt("extra_client_version", 0) == 0)) {
                bundle.remove("extra_client_version");
                this.f1722c = new Messenger(MediaBrowserServiceCompat.this.f1707l);
                Bundle bundle2 = new Bundle();
                bundle2.putInt("extra_service_version", 2);
                bundle2.putBinder("extra_messenger", this.f1722c.getBinder());
                Objects.requireNonNull(MediaBrowserServiceCompat.this);
                this.f1720a.add(bundle2);
            }
            MediaBrowserServiceCompat mediaBrowserServiceCompat = MediaBrowserServiceCompat.this;
            mediaBrowserServiceCompat.f1706k = new b(str, -1, i2, bundle, null);
            MediaBrowserServiceCompat.this.b(str, i2, bundle);
            MediaBrowserServiceCompat.this.f1706k = null;
            return null;
        }

        @Override // androidx.media.MediaBrowserServiceCompatApi21$ServiceCompatProxy
        public void onLoadChildren(String str, q<List<Parcel>> qVar) {
            MediaBrowserServiceCompat.this.c(str, new b(this, str, qVar));
        }

        @Override // androidx.media.MediaBrowserServiceCompat.MediaBrowserServiceImpl
        public void setSessionToken(MediaSessionCompat.Token token) {
            MediaBrowserServiceCompat.this.f1707l.a(new a(token));
        }

        @Override // androidx.media.MediaBrowserServiceCompat.MediaBrowserServiceImpl
        public void notifyChildrenChanged(s sVar, String str, Bundle bundle) {
            MediaBrowserServiceCompat.this.f1707l.post(new b.s.e(this, sVar, str, bundle));
        }
    }
}
