package androidx.recyclerview.widget;

import androidx.core.util.Pools$Pool;
import androidx.core.util.Pools$SimplePool;
import androidx.recyclerview.widget.OpReorderer;
import androidx.recyclerview.widget.RecyclerView;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

public final class AdapterHelper implements OpReorderer.Callback {

    /* renamed from: a  reason: collision with root package name */
    public Pools$Pool<a> f1752a = new Pools$SimplePool(30);

    /* renamed from: b  reason: collision with root package name */
    public final ArrayList<a> f1753b = new ArrayList<>();

    /* renamed from: c  reason: collision with root package name */
    public final ArrayList<a> f1754c = new ArrayList<>();

    /* renamed from: d  reason: collision with root package name */
    public final Callback f1755d;

    /* renamed from: e  reason: collision with root package name */
    public final OpReorderer f1756e;

    /* renamed from: f  reason: collision with root package name */
    public int f1757f = 0;

    public interface Callback {
        RecyclerView.ViewHolder findViewHolder(int i2);

        void markViewHoldersUpdated(int i2, int i3, Object obj);

        void offsetPositionsForAdd(int i2, int i3);

        void offsetPositionsForMove(int i2, int i3);

        void offsetPositionsForRemovingInvisible(int i2, int i3);

        void offsetPositionsForRemovingLaidOutOrNewView(int i2, int i3);

        void onDispatchFirstPass(a aVar);

        void onDispatchSecondPass(a aVar);
    }

    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        public int f1758a;

        /* renamed from: b  reason: collision with root package name */
        public int f1759b;

        /* renamed from: c  reason: collision with root package name */
        public Object f1760c;

        /* renamed from: d  reason: collision with root package name */
        public int f1761d;

        public a(int i2, int i3, int i4, Object obj) {
            this.f1758a = i2;
            this.f1759b = i3;
            this.f1761d = i4;
            this.f1760c = obj;
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (!(obj instanceof a)) {
                return false;
            }
            a aVar = (a) obj;
            int i2 = this.f1758a;
            if (i2 != aVar.f1758a) {
                return false;
            }
            if (i2 == 8 && Math.abs(this.f1761d - this.f1759b) == 1 && this.f1761d == aVar.f1759b && this.f1759b == aVar.f1761d) {
                return true;
            }
            if (this.f1761d != aVar.f1761d || this.f1759b != aVar.f1759b) {
                return false;
            }
            Object obj2 = this.f1760c;
            if (obj2 != null) {
                if (!obj2.equals(aVar.f1760c)) {
                    return false;
                }
            } else if (aVar.f1760c != null) {
                return false;
            }
            return true;
        }

        public int hashCode() {
            return (((this.f1758a * 31) + this.f1759b) * 31) + this.f1761d;
        }

        public String toString() {
            StringBuilder sb = new StringBuilder();
            sb.append(Integer.toHexString(System.identityHashCode(this)));
            sb.append("[");
            int i2 = this.f1758a;
            sb.append(i2 != 1 ? i2 != 2 ? i2 != 4 ? i2 != 8 ? "??" : "mv" : "up" : "rm" : "add");
            sb.append(",s:");
            sb.append(this.f1759b);
            sb.append("c:");
            sb.append(this.f1761d);
            sb.append(",p:");
            sb.append(this.f1760c);
            sb.append("]");
            return sb.toString();
        }
    }

    public AdapterHelper(Callback callback) {
        this.f1755d = callback;
        this.f1756e = new OpReorderer(this);
    }

    public final boolean a(int i2) {
        int size = this.f1754c.size();
        for (int i3 = 0; i3 < size; i3++) {
            a aVar = this.f1754c.get(i3);
            int i4 = aVar.f1758a;
            if (i4 == 8) {
                if (f(aVar.f1761d, i3 + 1) == i2) {
                    return true;
                }
            } else if (i4 == 1) {
                int i5 = aVar.f1759b;
                int i6 = aVar.f1761d + i5;
                while (i5 < i6) {
                    if (f(i5, i3 + 1) == i2) {
                        return true;
                    }
                    i5++;
                }
                continue;
            } else {
                continue;
            }
        }
        return false;
    }

    public void b() {
        int size = this.f1754c.size();
        for (int i2 = 0; i2 < size; i2++) {
            this.f1755d.onDispatchSecondPass(this.f1754c.get(i2));
        }
        j(this.f1754c);
        this.f1757f = 0;
    }

    public void c() {
        b();
        int size = this.f1753b.size();
        for (int i2 = 0; i2 < size; i2++) {
            a aVar = this.f1753b.get(i2);
            int i3 = aVar.f1758a;
            if (i3 == 1) {
                this.f1755d.onDispatchSecondPass(aVar);
                this.f1755d.offsetPositionsForAdd(aVar.f1759b, aVar.f1761d);
            } else if (i3 == 2) {
                this.f1755d.onDispatchSecondPass(aVar);
                this.f1755d.offsetPositionsForRemovingInvisible(aVar.f1759b, aVar.f1761d);
            } else if (i3 == 4) {
                this.f1755d.onDispatchSecondPass(aVar);
                this.f1755d.markViewHoldersUpdated(aVar.f1759b, aVar.f1761d, aVar.f1760c);
            } else if (i3 == 8) {
                this.f1755d.onDispatchSecondPass(aVar);
                this.f1755d.offsetPositionsForMove(aVar.f1759b, aVar.f1761d);
            }
        }
        j(this.f1753b);
        this.f1757f = 0;
    }

    public final void d(a aVar) {
        int i2;
        int i3 = aVar.f1758a;
        if (i3 == 1 || i3 == 8) {
            throw new IllegalArgumentException("should not dispatch add or move for pre layout");
        }
        int k2 = k(aVar.f1759b, i3);
        int i4 = aVar.f1759b;
        int i5 = aVar.f1758a;
        if (i5 == 2) {
            i2 = 0;
        } else if (i5 == 4) {
            i2 = 1;
        } else {
            throw new IllegalArgumentException("op should be remove or update." + aVar);
        }
        int i6 = 1;
        for (int i7 = 1; i7 < aVar.f1761d; i7++) {
            int k3 = k((i2 * i7) + aVar.f1759b, aVar.f1758a);
            int i8 = aVar.f1758a;
            if (i8 == 2 ? k3 == k2 : i8 == 4 && k3 == k2 + 1) {
                i6++;
            } else {
                a obtainUpdateOp = obtainUpdateOp(i8, k2, i6, aVar.f1760c);
                e(obtainUpdateOp, i4);
                recycleUpdateOp(obtainUpdateOp);
                if (aVar.f1758a == 4) {
                    i4 += i6;
                }
                k2 = k3;
                i6 = 1;
            }
        }
        Object obj = aVar.f1760c;
        recycleUpdateOp(aVar);
        if (i6 > 0) {
            a obtainUpdateOp2 = obtainUpdateOp(aVar.f1758a, k2, i6, obj);
            e(obtainUpdateOp2, i4);
            recycleUpdateOp(obtainUpdateOp2);
        }
    }

    public void e(a aVar, int i2) {
        this.f1755d.onDispatchFirstPass(aVar);
        int i3 = aVar.f1758a;
        if (i3 == 2) {
            this.f1755d.offsetPositionsForRemovingInvisible(i2, aVar.f1761d);
        } else if (i3 == 4) {
            this.f1755d.markViewHoldersUpdated(i2, aVar.f1761d, aVar.f1760c);
        } else {
            throw new IllegalArgumentException("only remove and update ops can be dispatched in first pass");
        }
    }

    public int f(int i2, int i3) {
        int size = this.f1754c.size();
        while (i3 < size) {
            a aVar = this.f1754c.get(i3);
            int i4 = aVar.f1758a;
            if (i4 == 8) {
                int i5 = aVar.f1759b;
                if (i5 == i2) {
                    i2 = aVar.f1761d;
                } else {
                    if (i5 < i2) {
                        i2--;
                    }
                    if (aVar.f1761d <= i2) {
                        i2++;
                    }
                }
            } else {
                int i6 = aVar.f1759b;
                if (i6 > i2) {
                    continue;
                } else if (i4 == 2) {
                    int i7 = aVar.f1761d;
                    if (i2 < i6 + i7) {
                        return -1;
                    }
                    i2 -= i7;
                } else if (i4 == 1) {
                    i2 += aVar.f1761d;
                }
            }
            i3++;
        }
        return i2;
    }

    public boolean g() {
        return this.f1753b.size() > 0;
    }

    public final void h(a aVar) {
        this.f1754c.add(aVar);
        int i2 = aVar.f1758a;
        if (i2 == 1) {
            this.f1755d.offsetPositionsForAdd(aVar.f1759b, aVar.f1761d);
        } else if (i2 == 2) {
            this.f1755d.offsetPositionsForRemovingLaidOutOrNewView(aVar.f1759b, aVar.f1761d);
        } else if (i2 == 4) {
            this.f1755d.markViewHoldersUpdated(aVar.f1759b, aVar.f1761d, aVar.f1760c);
        } else if (i2 == 8) {
            this.f1755d.offsetPositionsForMove(aVar.f1759b, aVar.f1761d);
        } else {
            throw new IllegalArgumentException("Unknown update op type for " + aVar);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:172:0x0009 A[SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x0069  */
    /* JADX WARNING: Removed duplicated region for block: B:26:0x006e  */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x008a  */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x008e  */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x0098  */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x009d  */
    /* JADX WARNING: Removed duplicated region for block: B:54:0x00cc  */
    /* JADX WARNING: Removed duplicated region for block: B:55:0x00d1  */
    /* JADX WARNING: Removed duplicated region for block: B:62:0x00f2  */
    /* JADX WARNING: Removed duplicated region for block: B:63:0x00f7  */
    /* JADX WARNING: Removed duplicated region for block: B:67:0x010e  */
    /* JADX WARNING: Removed duplicated region for block: B:68:0x011b  */
    public void i() {
        char c2;
        boolean z;
        boolean z2;
        boolean z3;
        int i2;
        int i3;
        int i4;
        boolean z4;
        a aVar;
        int i5;
        int i6;
        OpReorderer opReorderer = this.f1756e;
        ArrayList<a> arrayList = this.f1753b;
        Objects.requireNonNull(opReorderer);
        while (true) {
            int size = arrayList.size() - 1;
            boolean z5 = false;
            while (true) {
                if (size < 0) {
                    size = -1;
                    break;
                }
                if (arrayList.get(size).f1758a != 8) {
                    z5 = true;
                } else if (z5) {
                    break;
                }
                size--;
            }
            a aVar2 = null;
            if (size == -1) {
                break;
            }
            int i7 = size + 1;
            a aVar3 = arrayList.get(size);
            a aVar4 = arrayList.get(i7);
            int i8 = aVar4.f1758a;
            if (i8 == 1) {
                int i9 = aVar3.f1761d;
                int i10 = aVar4.f1759b;
                int i11 = i9 < i10 ? -1 : 0;
                int i12 = aVar3.f1759b;
                if (i12 < i10) {
                    i11++;
                }
                if (i10 <= i12) {
                    aVar3.f1759b = i12 + aVar4.f1761d;
                }
                int i13 = aVar4.f1759b;
                if (i13 <= i9) {
                    aVar3.f1761d = i9 + aVar4.f1761d;
                }
                aVar4.f1759b = i13 + i11;
                arrayList.set(size, aVar4);
                arrayList.set(i7, aVar3);
            } else if (i8 == 2) {
                int i14 = aVar3.f1759b;
                int i15 = aVar3.f1761d;
                if (i14 < i15) {
                    if (aVar4.f1759b == i14 && aVar4.f1761d == i15 - i14) {
                        z4 = false;
                    } else {
                        z3 = false;
                        z2 = false;
                        i2 = aVar4.f1759b;
                        if (i15 < i2) {
                            aVar4.f1759b = i2 - 1;
                        } else {
                            int i16 = aVar4.f1761d;
                            if (i15 < i2 + i16) {
                                aVar4.f1761d = i16 - 1;
                                aVar3.f1758a = 2;
                                aVar3.f1761d = 1;
                                if (aVar4.f1761d == 0) {
                                    arrayList.remove(i7);
                                    opReorderer.f1836a.recycleUpdateOp(aVar4);
                                }
                            }
                        }
                        i3 = aVar3.f1759b;
                        i4 = aVar4.f1759b;
                        if (i3 <= i4) {
                            aVar4.f1759b = i4 + 1;
                        } else {
                            int i17 = i4 + aVar4.f1761d;
                            if (i3 < i17) {
                                aVar2 = opReorderer.f1836a.obtainUpdateOp(2, i3 + 1, i17 - i3, null);
                                aVar4.f1761d = aVar3.f1759b - aVar4.f1759b;
                            }
                        }
                        if (z3) {
                            arrayList.set(size, aVar4);
                            arrayList.remove(i7);
                            opReorderer.f1836a.recycleUpdateOp(aVar3);
                        } else {
                            if (z2) {
                                if (aVar2 != null) {
                                    int i18 = aVar3.f1759b;
                                    if (i18 > aVar2.f1759b) {
                                        aVar3.f1759b = i18 - aVar2.f1761d;
                                    }
                                    int i19 = aVar3.f1761d;
                                    if (i19 > aVar2.f1759b) {
                                        aVar3.f1761d = i19 - aVar2.f1761d;
                                    }
                                }
                                int i20 = aVar3.f1759b;
                                if (i20 > aVar4.f1759b) {
                                    aVar3.f1759b = i20 - aVar4.f1761d;
                                }
                                int i21 = aVar3.f1761d;
                                if (i21 > aVar4.f1759b) {
                                    aVar3.f1761d = i21 - aVar4.f1761d;
                                }
                            } else {
                                if (aVar2 != null) {
                                    int i22 = aVar3.f1759b;
                                    if (i22 >= aVar2.f1759b) {
                                        aVar3.f1759b = i22 - aVar2.f1761d;
                                    }
                                    int i23 = aVar3.f1761d;
                                    if (i23 >= aVar2.f1759b) {
                                        aVar3.f1761d = i23 - aVar2.f1761d;
                                    }
                                }
                                int i24 = aVar3.f1759b;
                                if (i24 >= aVar4.f1759b) {
                                    aVar3.f1759b = i24 - aVar4.f1761d;
                                }
                                int i25 = aVar3.f1761d;
                                if (i25 >= aVar4.f1759b) {
                                    aVar3.f1761d = i25 - aVar4.f1761d;
                                }
                            }
                            arrayList.set(size, aVar4);
                            if (aVar3.f1759b != aVar3.f1761d) {
                                arrayList.set(i7, aVar3);
                            } else {
                                arrayList.remove(i7);
                            }
                            if (aVar2 != null) {
                                arrayList.add(size, aVar2);
                            }
                        }
                    }
                } else if (aVar4.f1759b == i15 + 1 && aVar4.f1761d == i14 - i15) {
                    z4 = true;
                } else {
                    z3 = false;
                    z2 = true;
                    i2 = aVar4.f1759b;
                    if (i15 < i2) {
                    }
                    i3 = aVar3.f1759b;
                    i4 = aVar4.f1759b;
                    if (i3 <= i4) {
                    }
                    if (z3) {
                    }
                }
                z2 = z4;
                z3 = true;
                i2 = aVar4.f1759b;
                if (i15 < i2) {
                }
                i3 = aVar3.f1759b;
                i4 = aVar4.f1759b;
                if (i3 <= i4) {
                }
                if (z3) {
                }
            } else if (i8 == 4) {
                int i26 = aVar3.f1761d;
                int i27 = aVar4.f1759b;
                if (i26 < i27) {
                    aVar4.f1759b = i27 - 1;
                } else {
                    int i28 = aVar4.f1761d;
                    if (i26 < i27 + i28) {
                        aVar4.f1761d = i28 - 1;
                        aVar = opReorderer.f1836a.obtainUpdateOp(4, aVar3.f1759b, 1, aVar4.f1760c);
                        i5 = aVar3.f1759b;
                        i6 = aVar4.f1759b;
                        if (i5 > i6) {
                            aVar4.f1759b = i6 + 1;
                        } else {
                            int i29 = i6 + aVar4.f1761d;
                            if (i5 < i29) {
                                int i30 = i29 - i5;
                                aVar2 = opReorderer.f1836a.obtainUpdateOp(4, i5 + 1, i30, aVar4.f1760c);
                                aVar4.f1761d -= i30;
                            }
                        }
                        arrayList.set(i7, aVar3);
                        if (aVar4.f1761d <= 0) {
                            arrayList.set(size, aVar4);
                        } else {
                            arrayList.remove(size);
                            opReorderer.f1836a.recycleUpdateOp(aVar4);
                        }
                        if (aVar != null) {
                            arrayList.add(size, aVar);
                        }
                        if (aVar2 == null) {
                            arrayList.add(size, aVar2);
                        }
                    }
                }
                aVar = null;
                i5 = aVar3.f1759b;
                i6 = aVar4.f1759b;
                if (i5 > i6) {
                }
                arrayList.set(i7, aVar3);
                if (aVar4.f1761d <= 0) {
                }
                if (aVar != null) {
                }
                if (aVar2 == null) {
                }
            }
        }
        int size2 = this.f1753b.size();
        for (int i31 = 0; i31 < size2; i31++) {
            a aVar5 = this.f1753b.get(i31);
            int i32 = aVar5.f1758a;
            if (i32 == 1) {
                h(aVar5);
            } else if (i32 == 2) {
                int i33 = aVar5.f1759b;
                int i34 = aVar5.f1761d + i33;
                int i35 = i33;
                int i36 = 0;
                char c3 = 65535;
                while (i35 < i34) {
                    if (this.f1755d.findViewHolder(i35) != null || a(i35)) {
                        if (c3 == 0) {
                            d(obtainUpdateOp(2, i33, i36, null));
                            z = true;
                        } else {
                            z = false;
                        }
                        c2 = 1;
                    } else {
                        if (c3 == 1) {
                            h(obtainUpdateOp(2, i33, i36, null));
                            z = true;
                        } else {
                            z = false;
                        }
                        c2 = 0;
                    }
                    if (z) {
                        i35 -= i36;
                        i34 -= i36;
                        i36 = 1;
                    } else {
                        i36++;
                    }
                    i35++;
                    c3 = c2;
                }
                if (i36 != aVar5.f1761d) {
                    recycleUpdateOp(aVar5);
                    aVar5 = obtainUpdateOp(2, i33, i36, null);
                }
                if (c3 == 0) {
                    d(aVar5);
                } else {
                    h(aVar5);
                }
            } else if (i32 == 4) {
                int i37 = aVar5.f1759b;
                int i38 = aVar5.f1761d + i37;
                int i39 = i37;
                int i40 = 0;
                char c4 = 65535;
                while (i37 < i38) {
                    if (this.f1755d.findViewHolder(i37) != null || a(i37)) {
                        if (c4 == 0) {
                            d(obtainUpdateOp(4, i39, i40, aVar5.f1760c));
                            i39 = i37;
                            i40 = 0;
                        }
                        c4 = 1;
                    } else {
                        if (c4 == 1) {
                            h(obtainUpdateOp(4, i39, i40, aVar5.f1760c));
                            i39 = i37;
                            i40 = 0;
                        }
                        c4 = 0;
                    }
                    i40++;
                    i37++;
                }
                if (i40 != aVar5.f1761d) {
                    Object obj = aVar5.f1760c;
                    recycleUpdateOp(aVar5);
                    aVar5 = obtainUpdateOp(4, i39, i40, obj);
                }
                if (c4 == 0) {
                    d(aVar5);
                } else {
                    h(aVar5);
                }
            } else if (i32 == 8) {
                h(aVar5);
            }
        }
        this.f1753b.clear();
    }

    public void j(List<a> list) {
        int size = list.size();
        for (int i2 = 0; i2 < size; i2++) {
            recycleUpdateOp(list.get(i2));
        }
        list.clear();
    }

    public final int k(int i2, int i3) {
        int i4;
        int i5;
        for (int size = this.f1754c.size() - 1; size >= 0; size--) {
            a aVar = this.f1754c.get(size);
            int i6 = aVar.f1758a;
            if (i6 == 8) {
                int i7 = aVar.f1759b;
                int i8 = aVar.f1761d;
                if (i7 < i8) {
                    i5 = i7;
                    i4 = i8;
                } else {
                    i4 = i7;
                    i5 = i8;
                }
                if (i2 < i5 || i2 > i4) {
                    if (i2 < i7) {
                        if (i3 == 1) {
                            aVar.f1759b = i7 + 1;
                            aVar.f1761d = i8 + 1;
                        } else if (i3 == 2) {
                            aVar.f1759b = i7 - 1;
                            aVar.f1761d = i8 - 1;
                        }
                    }
                } else if (i5 == i7) {
                    if (i3 == 1) {
                        aVar.f1761d = i8 + 1;
                    } else if (i3 == 2) {
                        aVar.f1761d = i8 - 1;
                    }
                    i2++;
                } else {
                    if (i3 == 1) {
                        aVar.f1759b = i7 + 1;
                    } else if (i3 == 2) {
                        aVar.f1759b = i7 - 1;
                    }
                    i2--;
                }
            } else {
                int i9 = aVar.f1759b;
                if (i9 <= i2) {
                    if (i6 == 1) {
                        i2 -= aVar.f1761d;
                    } else if (i6 == 2) {
                        i2 += aVar.f1761d;
                    }
                } else if (i3 == 1) {
                    aVar.f1759b = i9 + 1;
                } else if (i3 == 2) {
                    aVar.f1759b = i9 - 1;
                }
            }
        }
        for (int size2 = this.f1754c.size() - 1; size2 >= 0; size2--) {
            a aVar2 = this.f1754c.get(size2);
            if (aVar2.f1758a == 8) {
                int i10 = aVar2.f1761d;
                if (i10 == aVar2.f1759b || i10 < 0) {
                    this.f1754c.remove(size2);
                    recycleUpdateOp(aVar2);
                }
            } else if (aVar2.f1761d <= 0) {
                this.f1754c.remove(size2);
                recycleUpdateOp(aVar2);
            }
        }
        return i2;
    }

    @Override // androidx.recyclerview.widget.OpReorderer.Callback
    public a obtainUpdateOp(int i2, int i3, int i4, Object obj) {
        a acquire = this.f1752a.acquire();
        if (acquire == null) {
            return new a(i2, i3, i4, obj);
        }
        acquire.f1758a = i2;
        acquire.f1759b = i3;
        acquire.f1761d = i4;
        acquire.f1760c = obj;
        return acquire;
    }

    @Override // androidx.recyclerview.widget.OpReorderer.Callback
    public void recycleUpdateOp(a aVar) {
        aVar.f1760c = null;
        this.f1752a.release(aVar);
    }
}
