package androidx.recyclerview.widget;

import android.view.View;
import android.view.ViewGroup;
import androidx.recyclerview.widget.RecyclerView;
import java.util.ArrayList;
import java.util.List;

public class ChildHelper {

    /* renamed from: a  reason: collision with root package name */
    public final Callback f1767a;

    /* renamed from: b  reason: collision with root package name */
    public final a f1768b = new a();

    /* renamed from: c  reason: collision with root package name */
    public final List<View> f1769c = new ArrayList();

    public interface Callback {
        void addView(View view, int i2);

        void attachViewToParent(View view, int i2, ViewGroup.LayoutParams layoutParams);

        void detachViewFromParent(int i2);

        View getChildAt(int i2);

        int getChildCount();

        RecyclerView.ViewHolder getChildViewHolder(View view);

        int indexOfChild(View view);

        void onEnteredHiddenState(View view);

        void onLeftHiddenState(View view);

        void removeAllViews();

        void removeViewAt(int i2);
    }

    public static class a {

        /* renamed from: a  reason: collision with root package name */
        public long f1770a = 0;

        /* renamed from: b  reason: collision with root package name */
        public a f1771b;

        public void a(int i2) {
            if (i2 >= 64) {
                a aVar = this.f1771b;
                if (aVar != null) {
                    aVar.a(i2 - 64);
                    return;
                }
                return;
            }
            this.f1770a &= ~(1 << i2);
        }

        public int b(int i2) {
            a aVar = this.f1771b;
            if (aVar == null) {
                if (i2 >= 64) {
                    return Long.bitCount(this.f1770a);
                }
                return Long.bitCount(this.f1770a & ((1 << i2) - 1));
            } else if (i2 < 64) {
                return Long.bitCount(this.f1770a & ((1 << i2) - 1));
            } else {
                return Long.bitCount(this.f1770a) + aVar.b(i2 - 64);
            }
        }

        public final void c() {
            if (this.f1771b == null) {
                this.f1771b = new a();
            }
        }

        public boolean d(int i2) {
            if (i2 < 64) {
                return (this.f1770a & (1 << i2)) != 0;
            }
            c();
            return this.f1771b.d(i2 - 64);
        }

        public void e(int i2, boolean z) {
            if (i2 >= 64) {
                c();
                this.f1771b.e(i2 - 64, z);
                return;
            }
            long j2 = this.f1770a;
            boolean z2 = (Long.MIN_VALUE & j2) != 0;
            long j3 = (1 << i2) - 1;
            this.f1770a = ((j2 & (~j3)) << 1) | (j2 & j3);
            if (z) {
                h(i2);
            } else {
                a(i2);
            }
            if (z2 || this.f1771b != null) {
                c();
                this.f1771b.e(0, z2);
            }
        }

        public boolean f(int i2) {
            if (i2 >= 64) {
                c();
                return this.f1771b.f(i2 - 64);
            }
            long j2 = 1 << i2;
            long j3 = this.f1770a;
            boolean z = (j3 & j2) != 0;
            long j4 = j3 & (~j2);
            this.f1770a = j4;
            long j5 = j2 - 1;
            this.f1770a = (j4 & j5) | Long.rotateRight((~j5) & j4, 1);
            a aVar = this.f1771b;
            if (aVar != null) {
                if (aVar.d(0)) {
                    h(63);
                }
                this.f1771b.f(0);
            }
            return z;
        }

        public void g() {
            this.f1770a = 0;
            a aVar = this.f1771b;
            if (aVar != null) {
                aVar.g();
            }
        }

        public void h(int i2) {
            if (i2 >= 64) {
                c();
                this.f1771b.h(i2 - 64);
                return;
            }
            this.f1770a |= 1 << i2;
        }

        public String toString() {
            if (this.f1771b == null) {
                return Long.toBinaryString(this.f1770a);
            }
            return this.f1771b.toString() + "xx" + Long.toBinaryString(this.f1770a);
        }
    }

    public ChildHelper(Callback callback) {
        this.f1767a = callback;
    }

    public void a(View view, int i2, boolean z) {
        int i3;
        if (i2 < 0) {
            i3 = this.f1767a.getChildCount();
        } else {
            i3 = e(i2);
        }
        this.f1768b.e(i3, z);
        if (z) {
            this.f1769c.add(view);
            this.f1767a.onEnteredHiddenState(view);
        }
        this.f1767a.addView(view, i3);
    }

    public void b(View view, int i2, ViewGroup.LayoutParams layoutParams, boolean z) {
        int i3;
        if (i2 < 0) {
            i3 = this.f1767a.getChildCount();
        } else {
            i3 = e(i2);
        }
        this.f1768b.e(i3, z);
        if (z) {
            this.f1769c.add(view);
            this.f1767a.onEnteredHiddenState(view);
        }
        this.f1767a.attachViewToParent(view, i3, layoutParams);
    }

    public View c(int i2) {
        return this.f1767a.getChildAt(e(i2));
    }

    public int d() {
        return this.f1767a.getChildCount() - this.f1769c.size();
    }

    public final int e(int i2) {
        if (i2 < 0) {
            return -1;
        }
        int childCount = this.f1767a.getChildCount();
        int i3 = i2;
        while (i3 < childCount) {
            int b2 = i2 - (i3 - this.f1768b.b(i3));
            if (b2 == 0) {
                while (this.f1768b.d(i3)) {
                    i3++;
                }
                return i3;
            }
            i3 += b2;
        }
        return -1;
    }

    public View f(int i2) {
        return this.f1767a.getChildAt(i2);
    }

    public int g() {
        return this.f1767a.getChildCount();
    }

    public int h(View view) {
        int indexOfChild = this.f1767a.indexOfChild(view);
        if (indexOfChild != -1 && !this.f1768b.d(indexOfChild)) {
            return indexOfChild - this.f1768b.b(indexOfChild);
        }
        return -1;
    }

    public boolean i(View view) {
        return this.f1769c.contains(view);
    }

    public void j(int i2) {
        int e2 = e(i2);
        View childAt = this.f1767a.getChildAt(e2);
        if (childAt != null) {
            if (this.f1768b.f(e2)) {
                k(childAt);
            }
            this.f1767a.removeViewAt(e2);
        }
    }

    public final boolean k(View view) {
        if (!this.f1769c.remove(view)) {
            return false;
        }
        this.f1767a.onLeftHiddenState(view);
        return true;
    }

    public String toString() {
        return this.f1768b.toString() + ", hidden list:" + this.f1769c.size();
    }
}
