package androidx.recyclerview.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.util.Log;
import android.view.View;
import androidx.recyclerview.widget.RecyclerView;

public class DividerItemDecoration extends RecyclerView.k {

    /* renamed from: a  reason: collision with root package name */
    public static final int[] f1794a = {16843284};

    /* renamed from: b  reason: collision with root package name */
    public Drawable f1795b;

    /* renamed from: c  reason: collision with root package name */
    public int f1796c;

    /* renamed from: d  reason: collision with root package name */
    public final Rect f1797d = new Rect();

    public DividerItemDecoration(Context context, int i2) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(f1794a);
        Drawable drawable = obtainStyledAttributes.getDrawable(0);
        this.f1795b = drawable;
        if (drawable == null) {
            Log.w("DividerItem", "@android:attr/listDivider was not set in the theme used for this DividerItemDecoration. Please set that attribute all call setDrawable()");
        }
        obtainStyledAttributes.recycle();
        if (i2 == 0 || i2 == 1) {
            this.f1796c = i2;
            return;
        }
        throw new IllegalArgumentException("Invalid orientation. It should be either HORIZONTAL or VERTICAL");
    }

    @Override // androidx.recyclerview.widget.RecyclerView.k
    public void getItemOffsets(Rect rect, View view, RecyclerView recyclerView, RecyclerView.r rVar) {
        Drawable drawable = this.f1795b;
        if (drawable == null) {
            rect.set(0, 0, 0, 0);
        } else if (this.f1796c == 1) {
            rect.set(0, 0, 0, drawable.getIntrinsicHeight());
        } else {
            rect.set(0, 0, drawable.getIntrinsicWidth(), 0);
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.k
    public void onDraw(Canvas canvas, RecyclerView recyclerView, RecyclerView.r rVar) {
        int i2;
        int i3;
        int i4;
        int i5;
        if (recyclerView.getLayoutManager() != null && this.f1795b != null) {
            int i6 = 0;
            if (this.f1796c == 1) {
                canvas.save();
                if (recyclerView.getClipToPadding()) {
                    i4 = recyclerView.getPaddingLeft();
                    i5 = recyclerView.getWidth() - recyclerView.getPaddingRight();
                    canvas.clipRect(i4, recyclerView.getPaddingTop(), i5, recyclerView.getHeight() - recyclerView.getPaddingBottom());
                } else {
                    i5 = recyclerView.getWidth();
                    i4 = 0;
                }
                int childCount = recyclerView.getChildCount();
                while (i6 < childCount) {
                    View childAt = recyclerView.getChildAt(i6);
                    recyclerView.getDecoratedBoundsWithMargins(childAt, this.f1797d);
                    int round = Math.round(childAt.getTranslationY()) + this.f1797d.bottom;
                    this.f1795b.setBounds(i4, round - this.f1795b.getIntrinsicHeight(), i5, round);
                    this.f1795b.draw(canvas);
                    i6++;
                }
                canvas.restore();
                return;
            }
            canvas.save();
            if (recyclerView.getClipToPadding()) {
                i2 = recyclerView.getPaddingTop();
                i3 = recyclerView.getHeight() - recyclerView.getPaddingBottom();
                canvas.clipRect(recyclerView.getPaddingLeft(), i2, recyclerView.getWidth() - recyclerView.getPaddingRight(), i3);
            } else {
                i3 = recyclerView.getHeight();
                i2 = 0;
            }
            int childCount2 = recyclerView.getChildCount();
            while (i6 < childCount2) {
                View childAt2 = recyclerView.getChildAt(i6);
                recyclerView.getLayoutManager().getDecoratedBoundsWithMargins(childAt2, this.f1797d);
                int round2 = Math.round(childAt2.getTranslationX()) + this.f1797d.right;
                this.f1795b.setBounds(round2 - this.f1795b.getIntrinsicWidth(), i2, round2, i3);
                this.f1795b.draw(canvas);
                i6++;
            }
            canvas.restore();
        }
    }
}
