package androidx.recyclerview.widget;

import android.annotation.SuppressLint;
import android.content.Context;
import android.graphics.PointF;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;
import android.view.accessibility.AccessibilityEvent;
import androidx.recyclerview.widget.ItemTouchHelper;
import androidx.recyclerview.widget.RecyclerView;
import b.o.a.n;
import b.u.a.m;
import java.util.List;
import java.util.Objects;
import org.dsq.library.widget.bigImage.SubsamplingScaleImageView;

public class LinearLayoutManager extends RecyclerView.LayoutManager implements ItemTouchHelper.ViewDropHandler, RecyclerView.SmoothScroller.ScrollVectorProvider {
    public static final boolean DEBUG = false;
    public static final int HORIZONTAL = 0;
    public static final int INVALID_OFFSET = Integer.MIN_VALUE;
    private static final float MAX_SCROLL_FACTOR = 0.33333334f;
    private static final String TAG = "LinearLayoutManager";
    public static final int VERTICAL = 1;
    public final a mAnchorInfo;
    private int mInitialPrefetchItemCount;
    private boolean mLastStackFromEnd;
    private final b mLayoutChunkResult;
    private c mLayoutState;
    public int mOrientation;
    public m mOrientationHelper;
    public SavedState mPendingSavedState;
    public int mPendingScrollPosition;
    public int mPendingScrollPositionOffset;
    private boolean mRecycleChildrenOnDetach;
    private int[] mReusableIntPair;
    private boolean mReverseLayout;
    public boolean mShouldReverseLayout;
    private boolean mSmoothScrollbarEnabled;
    private boolean mStackFromEnd;

    @SuppressLint({"BanParcelableUsage"})
    public static class SavedState implements Parcelable {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        public boolean mAnchorLayoutFromEnd;
        public int mAnchorOffset;
        public int mAnchorPosition;

        public class a implements Parcelable.Creator<SavedState> {
            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // android.os.Parcelable.Creator
            public SavedState createFromParcel(Parcel parcel) {
                return new SavedState(parcel);
            }

            /* Return type fixed from 'java.lang.Object[]' to match base method */
            @Override // android.os.Parcelable.Creator
            public SavedState[] newArray(int i2) {
                return new SavedState[i2];
            }
        }

        public SavedState() {
        }

        public int describeContents() {
            return 0;
        }

        public boolean hasValidAnchor() {
            return this.mAnchorPosition >= 0;
        }

        public void invalidateAnchor() {
            this.mAnchorPosition = -1;
        }

        public void writeToParcel(Parcel parcel, int i2) {
            parcel.writeInt(this.mAnchorPosition);
            parcel.writeInt(this.mAnchorOffset);
            parcel.writeInt(this.mAnchorLayoutFromEnd ? 1 : 0);
        }

        public SavedState(Parcel parcel) {
            this.mAnchorPosition = parcel.readInt();
            this.mAnchorOffset = parcel.readInt();
            this.mAnchorLayoutFromEnd = parcel.readInt() != 1 ? false : true;
        }

        public SavedState(SavedState savedState) {
            this.mAnchorPosition = savedState.mAnchorPosition;
            this.mAnchorOffset = savedState.mAnchorOffset;
            this.mAnchorLayoutFromEnd = savedState.mAnchorLayoutFromEnd;
        }
    }

    public static class a {

        /* renamed from: a  reason: collision with root package name */
        public m f1813a;

        /* renamed from: b  reason: collision with root package name */
        public int f1814b;

        /* renamed from: c  reason: collision with root package name */
        public int f1815c;

        /* renamed from: d  reason: collision with root package name */
        public boolean f1816d;

        /* renamed from: e  reason: collision with root package name */
        public boolean f1817e;

        public a() {
            d();
        }

        public void a() {
            int i2;
            if (this.f1816d) {
                i2 = this.f1813a.g();
            } else {
                i2 = this.f1813a.k();
            }
            this.f1815c = i2;
        }

        public void b(View view, int i2) {
            if (this.f1816d) {
                this.f1815c = this.f1813a.m() + this.f1813a.b(view);
            } else {
                this.f1815c = this.f1813a.e(view);
            }
            this.f1814b = i2;
        }

        public void c(View view, int i2) {
            int m = this.f1813a.m();
            if (m >= 0) {
                b(view, i2);
                return;
            }
            this.f1814b = i2;
            if (this.f1816d) {
                int g2 = (this.f1813a.g() - m) - this.f1813a.b(view);
                this.f1815c = this.f1813a.g() - g2;
                if (g2 > 0) {
                    int c2 = this.f1815c - this.f1813a.c(view);
                    int k2 = this.f1813a.k();
                    int min = c2 - (Math.min(this.f1813a.e(view) - k2, 0) + k2);
                    if (min < 0) {
                        this.f1815c = Math.min(g2, -min) + this.f1815c;
                        return;
                    }
                    return;
                }
                return;
            }
            int e2 = this.f1813a.e(view);
            int k3 = e2 - this.f1813a.k();
            this.f1815c = e2;
            if (k3 > 0) {
                int g3 = (this.f1813a.g() - Math.min(0, (this.f1813a.g() - m) - this.f1813a.b(view))) - (this.f1813a.c(view) + e2);
                if (g3 < 0) {
                    this.f1815c -= Math.min(k3, -g3);
                }
            }
        }

        public void d() {
            this.f1814b = -1;
            this.f1815c = Integer.MIN_VALUE;
            this.f1816d = false;
            this.f1817e = false;
        }

        public String toString() {
            StringBuilder B = d.a.a.a.a.B("AnchorInfo{mPosition=");
            B.append(this.f1814b);
            B.append(", mCoordinate=");
            B.append(this.f1815c);
            B.append(", mLayoutFromEnd=");
            B.append(this.f1816d);
            B.append(", mValid=");
            B.append(this.f1817e);
            B.append('}');
            return B.toString();
        }
    }

    public static class b {

        /* renamed from: a  reason: collision with root package name */
        public int f1818a;

        /* renamed from: b  reason: collision with root package name */
        public boolean f1819b;

        /* renamed from: c  reason: collision with root package name */
        public boolean f1820c;

        /* renamed from: d  reason: collision with root package name */
        public boolean f1821d;
    }

    public static class c {

        /* renamed from: a  reason: collision with root package name */
        public boolean f1822a = true;

        /* renamed from: b  reason: collision with root package name */
        public int f1823b;

        /* renamed from: c  reason: collision with root package name */
        public int f1824c;

        /* renamed from: d  reason: collision with root package name */
        public int f1825d;

        /* renamed from: e  reason: collision with root package name */
        public int f1826e;

        /* renamed from: f  reason: collision with root package name */
        public int f1827f;

        /* renamed from: g  reason: collision with root package name */
        public int f1828g;

        /* renamed from: h  reason: collision with root package name */
        public int f1829h = 0;

        /* renamed from: i  reason: collision with root package name */
        public int f1830i = 0;

        /* renamed from: j  reason: collision with root package name */
        public int f1831j;

        /* renamed from: k  reason: collision with root package name */
        public List<RecyclerView.ViewHolder> f1832k = null;

        /* renamed from: l  reason: collision with root package name */
        public boolean f1833l;

        public void a(View view) {
            int a2;
            int size = this.f1832k.size();
            View view2 = null;
            int i2 = SubsamplingScaleImageView.TILE_SIZE_AUTO;
            for (int i3 = 0; i3 < size; i3++) {
                View view3 = this.f1832k.get(i3).itemView;
                RecyclerView.l lVar = (RecyclerView.l) view3.getLayoutParams();
                if (view3 != view && !lVar.c() && (a2 = (lVar.a() - this.f1825d) * this.f1826e) >= 0 && a2 < i2) {
                    view2 = view3;
                    if (a2 == 0) {
                        break;
                    }
                    i2 = a2;
                }
            }
            if (view2 == null) {
                this.f1825d = -1;
            } else {
                this.f1825d = ((RecyclerView.l) view2.getLayoutParams()).a();
            }
        }

        public boolean b(RecyclerView.r rVar) {
            int i2 = this.f1825d;
            return i2 >= 0 && i2 < rVar.b();
        }

        public View c(RecyclerView.p pVar) {
            List<RecyclerView.ViewHolder> list = this.f1832k;
            if (list != null) {
                int size = list.size();
                for (int i2 = 0; i2 < size; i2++) {
                    View view = this.f1832k.get(i2).itemView;
                    RecyclerView.l lVar = (RecyclerView.l) view.getLayoutParams();
                    if (!lVar.c() && this.f1825d == lVar.a()) {
                        a(view);
                        return view;
                    }
                }
                return null;
            }
            View e2 = pVar.e(this.f1825d);
            this.f1825d += this.f1826e;
            return e2;
        }
    }

    public LinearLayoutManager(Context context) {
        this(context, 1, false);
    }

    private int computeScrollExtent(RecyclerView.r rVar) {
        if (getChildCount() == 0) {
            return 0;
        }
        ensureLayoutState();
        return n.S(rVar, this.mOrientationHelper, findFirstVisibleChildClosestToStart(!this.mSmoothScrollbarEnabled, true), findFirstVisibleChildClosestToEnd(!this.mSmoothScrollbarEnabled, true), this, this.mSmoothScrollbarEnabled);
    }

    private int computeScrollOffset(RecyclerView.r rVar) {
        if (getChildCount() == 0) {
            return 0;
        }
        ensureLayoutState();
        return n.T(rVar, this.mOrientationHelper, findFirstVisibleChildClosestToStart(!this.mSmoothScrollbarEnabled, true), findFirstVisibleChildClosestToEnd(!this.mSmoothScrollbarEnabled, true), this, this.mSmoothScrollbarEnabled, this.mShouldReverseLayout);
    }

    private int computeScrollRange(RecyclerView.r rVar) {
        if (getChildCount() == 0) {
            return 0;
        }
        ensureLayoutState();
        return n.U(rVar, this.mOrientationHelper, findFirstVisibleChildClosestToStart(!this.mSmoothScrollbarEnabled, true), findFirstVisibleChildClosestToEnd(!this.mSmoothScrollbarEnabled, true), this, this.mSmoothScrollbarEnabled);
    }

    private View findFirstPartiallyOrCompletelyInvisibleChild() {
        return findOnePartiallyOrCompletelyInvisibleChild(0, getChildCount());
    }

    private View findLastPartiallyOrCompletelyInvisibleChild() {
        return findOnePartiallyOrCompletelyInvisibleChild(getChildCount() - 1, -1);
    }

    private View findPartiallyOrCompletelyInvisibleChildClosestToEnd() {
        if (this.mShouldReverseLayout) {
            return findFirstPartiallyOrCompletelyInvisibleChild();
        }
        return findLastPartiallyOrCompletelyInvisibleChild();
    }

    private View findPartiallyOrCompletelyInvisibleChildClosestToStart() {
        if (this.mShouldReverseLayout) {
            return findLastPartiallyOrCompletelyInvisibleChild();
        }
        return findFirstPartiallyOrCompletelyInvisibleChild();
    }

    private int fixLayoutEndGap(int i2, RecyclerView.p pVar, RecyclerView.r rVar, boolean z) {
        int g2;
        int g3 = this.mOrientationHelper.g() - i2;
        if (g3 <= 0) {
            return 0;
        }
        int i3 = -scrollBy(-g3, pVar, rVar);
        int i4 = i2 + i3;
        if (!z || (g2 = this.mOrientationHelper.g() - i4) <= 0) {
            return i3;
        }
        this.mOrientationHelper.p(g2);
        return g2 + i3;
    }

    private int fixLayoutStartGap(int i2, RecyclerView.p pVar, RecyclerView.r rVar, boolean z) {
        int k2;
        int k3 = i2 - this.mOrientationHelper.k();
        if (k3 <= 0) {
            return 0;
        }
        int i3 = -scrollBy(k3, pVar, rVar);
        int i4 = i2 + i3;
        if (!z || (k2 = i4 - this.mOrientationHelper.k()) <= 0) {
            return i3;
        }
        this.mOrientationHelper.p(-k2);
        return i3 - k2;
    }

    private View getChildClosestToEnd() {
        return getChildAt(this.mShouldReverseLayout ? 0 : getChildCount() - 1);
    }

    private View getChildClosestToStart() {
        return getChildAt(this.mShouldReverseLayout ? getChildCount() - 1 : 0);
    }

    private void layoutForPredictiveAnimations(RecyclerView.p pVar, RecyclerView.r rVar, int i2, int i3) {
        if (rVar.f1890k && getChildCount() != 0 && !rVar.f1886g && supportsPredictiveItemAnimations()) {
            List<RecyclerView.ViewHolder> list = pVar.f1874d;
            int size = list.size();
            int position = getPosition(getChildAt(0));
            int i4 = 0;
            int i5 = 0;
            for (int i6 = 0; i6 < size; i6++) {
                RecyclerView.ViewHolder viewHolder = list.get(i6);
                if (!viewHolder.isRemoved()) {
                    char c2 = 1;
                    if ((viewHolder.getLayoutPosition() < position) != this.mShouldReverseLayout) {
                        c2 = 65535;
                    }
                    if (c2 == 65535) {
                        i4 += this.mOrientationHelper.c(viewHolder.itemView);
                    } else {
                        i5 += this.mOrientationHelper.c(viewHolder.itemView);
                    }
                }
            }
            this.mLayoutState.f1832k = list;
            if (i4 > 0) {
                updateLayoutStateToFillStart(getPosition(getChildClosestToStart()), i2);
                c cVar = this.mLayoutState;
                cVar.f1829h = i4;
                cVar.f1824c = 0;
                cVar.a(null);
                fill(pVar, this.mLayoutState, rVar, false);
            }
            if (i5 > 0) {
                updateLayoutStateToFillEnd(getPosition(getChildClosestToEnd()), i3);
                c cVar2 = this.mLayoutState;
                cVar2.f1829h = i5;
                cVar2.f1824c = 0;
                cVar2.a(null);
                fill(pVar, this.mLayoutState, rVar, false);
            }
            this.mLayoutState.f1832k = null;
        }
    }

    private void logChildren() {
        Log.d(TAG, "internal representation of views on the screen");
        for (int i2 = 0; i2 < getChildCount(); i2++) {
            View childAt = getChildAt(i2);
            StringBuilder B = d.a.a.a.a.B("item ");
            B.append(getPosition(childAt));
            B.append(", coord:");
            B.append(this.mOrientationHelper.e(childAt));
            Log.d(TAG, B.toString());
        }
        Log.d(TAG, "==============");
    }

    private void recycleByLayoutState(RecyclerView.p pVar, c cVar) {
        if (cVar.f1822a && !cVar.f1833l) {
            int i2 = cVar.f1828g;
            int i3 = cVar.f1830i;
            if (cVar.f1827f == -1) {
                recycleViewsFromEnd(pVar, i2, i3);
            } else {
                recycleViewsFromStart(pVar, i2, i3);
            }
        }
    }

    private void recycleChildren(RecyclerView.p pVar, int i2, int i3) {
        if (i2 != i3) {
            if (i3 > i2) {
                for (int i4 = i3 - 1; i4 >= i2; i4--) {
                    removeAndRecycleViewAt(i4, pVar);
                }
                return;
            }
            while (i2 > i3) {
                removeAndRecycleViewAt(i2, pVar);
                i2--;
            }
        }
    }

    private void recycleViewsFromEnd(RecyclerView.p pVar, int i2, int i3) {
        int childCount = getChildCount();
        if (i2 >= 0) {
            int f2 = (this.mOrientationHelper.f() - i2) + i3;
            if (this.mShouldReverseLayout) {
                for (int i4 = 0; i4 < childCount; i4++) {
                    View childAt = getChildAt(i4);
                    if (this.mOrientationHelper.e(childAt) < f2 || this.mOrientationHelper.o(childAt) < f2) {
                        recycleChildren(pVar, 0, i4);
                        return;
                    }
                }
                return;
            }
            int i5 = childCount - 1;
            for (int i6 = i5; i6 >= 0; i6--) {
                View childAt2 = getChildAt(i6);
                if (this.mOrientationHelper.e(childAt2) < f2 || this.mOrientationHelper.o(childAt2) < f2) {
                    recycleChildren(pVar, i5, i6);
                    return;
                }
            }
        }
    }

    private void recycleViewsFromStart(RecyclerView.p pVar, int i2, int i3) {
        if (i2 >= 0) {
            int i4 = i2 - i3;
            int childCount = getChildCount();
            if (this.mShouldReverseLayout) {
                int i5 = childCount - 1;
                for (int i6 = i5; i6 >= 0; i6--) {
                    View childAt = getChildAt(i6);
                    if (this.mOrientationHelper.b(childAt) > i4 || this.mOrientationHelper.n(childAt) > i4) {
                        recycleChildren(pVar, i5, i6);
                        return;
                    }
                }
                return;
            }
            for (int i7 = 0; i7 < childCount; i7++) {
                View childAt2 = getChildAt(i7);
                if (this.mOrientationHelper.b(childAt2) > i4 || this.mOrientationHelper.n(childAt2) > i4) {
                    recycleChildren(pVar, 0, i7);
                    return;
                }
            }
        }
    }

    private void resolveShouldLayoutReverse() {
        if (this.mOrientation == 1 || !isLayoutRTL()) {
            this.mShouldReverseLayout = this.mReverseLayout;
        } else {
            this.mShouldReverseLayout = !this.mReverseLayout;
        }
    }

    private boolean updateAnchorFromChildren(RecyclerView.p pVar, RecyclerView.r rVar, a aVar) {
        View findReferenceChild;
        boolean z = false;
        if (getChildCount() == 0) {
            return false;
        }
        View focusedChild = getFocusedChild();
        if (focusedChild != null) {
            Objects.requireNonNull(aVar);
            RecyclerView.l lVar = (RecyclerView.l) focusedChild.getLayoutParams();
            if (!lVar.c() && lVar.a() >= 0 && lVar.a() < rVar.b()) {
                aVar.c(focusedChild, getPosition(focusedChild));
                return true;
            }
        }
        boolean z2 = this.mLastStackFromEnd;
        boolean z3 = this.mStackFromEnd;
        if (z2 != z3 || (findReferenceChild = findReferenceChild(pVar, rVar, aVar.f1816d, z3)) == null) {
            return false;
        }
        aVar.b(findReferenceChild, getPosition(findReferenceChild));
        if (!rVar.f1886g && supportsPredictiveItemAnimations()) {
            int e2 = this.mOrientationHelper.e(findReferenceChild);
            int b2 = this.mOrientationHelper.b(findReferenceChild);
            int k2 = this.mOrientationHelper.k();
            int g2 = this.mOrientationHelper.g();
            boolean z4 = b2 <= k2 && e2 < k2;
            if (e2 >= g2 && b2 > g2) {
                z = true;
            }
            if (z4 || z) {
                if (aVar.f1816d) {
                    k2 = g2;
                }
                aVar.f1815c = k2;
            }
        }
        return true;
    }

    private boolean updateAnchorFromPendingData(RecyclerView.r rVar, a aVar) {
        int i2;
        int i3;
        boolean z = false;
        if (!rVar.f1886g && (i2 = this.mPendingScrollPosition) != -1) {
            if (i2 < 0 || i2 >= rVar.b()) {
                this.mPendingScrollPosition = -1;
                this.mPendingScrollPositionOffset = Integer.MIN_VALUE;
            } else {
                aVar.f1814b = this.mPendingScrollPosition;
                SavedState savedState = this.mPendingSavedState;
                if (savedState != null && savedState.hasValidAnchor()) {
                    boolean z2 = this.mPendingSavedState.mAnchorLayoutFromEnd;
                    aVar.f1816d = z2;
                    if (z2) {
                        aVar.f1815c = this.mOrientationHelper.g() - this.mPendingSavedState.mAnchorOffset;
                    } else {
                        aVar.f1815c = this.mOrientationHelper.k() + this.mPendingSavedState.mAnchorOffset;
                    }
                    return true;
                } else if (this.mPendingScrollPositionOffset == Integer.MIN_VALUE) {
                    View findViewByPosition = findViewByPosition(this.mPendingScrollPosition);
                    if (findViewByPosition == null) {
                        if (getChildCount() > 0) {
                            if ((this.mPendingScrollPosition < getPosition(getChildAt(0))) == this.mShouldReverseLayout) {
                                z = true;
                            }
                            aVar.f1816d = z;
                        }
                        aVar.a();
                    } else if (this.mOrientationHelper.c(findViewByPosition) > this.mOrientationHelper.l()) {
                        aVar.a();
                        return true;
                    } else if (this.mOrientationHelper.e(findViewByPosition) - this.mOrientationHelper.k() < 0) {
                        aVar.f1815c = this.mOrientationHelper.k();
                        aVar.f1816d = false;
                        return true;
                    } else if (this.mOrientationHelper.g() - this.mOrientationHelper.b(findViewByPosition) < 0) {
                        aVar.f1815c = this.mOrientationHelper.g();
                        aVar.f1816d = true;
                        return true;
                    } else {
                        if (aVar.f1816d) {
                            i3 = this.mOrientationHelper.m() + this.mOrientationHelper.b(findViewByPosition);
                        } else {
                            i3 = this.mOrientationHelper.e(findViewByPosition);
                        }
                        aVar.f1815c = i3;
                    }
                    return true;
                } else {
                    boolean z3 = this.mShouldReverseLayout;
                    aVar.f1816d = z3;
                    if (z3) {
                        aVar.f1815c = this.mOrientationHelper.g() - this.mPendingScrollPositionOffset;
                    } else {
                        aVar.f1815c = this.mOrientationHelper.k() + this.mPendingScrollPositionOffset;
                    }
                    return true;
                }
            }
        }
        return false;
    }

    private void updateAnchorInfoForLayout(RecyclerView.p pVar, RecyclerView.r rVar, a aVar) {
        if (!updateAnchorFromPendingData(rVar, aVar) && !updateAnchorFromChildren(pVar, rVar, aVar)) {
            aVar.a();
            aVar.f1814b = this.mStackFromEnd ? rVar.b() - 1 : 0;
        }
    }

    private void updateLayoutState(int i2, int i3, boolean z, RecyclerView.r rVar) {
        int i4;
        this.mLayoutState.f1833l = resolveIsInfinite();
        this.mLayoutState.f1827f = i2;
        int[] iArr = this.mReusableIntPair;
        boolean z2 = false;
        iArr[0] = 0;
        int i5 = 1;
        iArr[1] = 0;
        calculateExtraLayoutSpace(rVar, iArr);
        int max = Math.max(0, this.mReusableIntPair[0]);
        int max2 = Math.max(0, this.mReusableIntPair[1]);
        if (i2 == 1) {
            z2 = true;
        }
        c cVar = this.mLayoutState;
        int i6 = z2 ? max2 : max;
        cVar.f1829h = i6;
        if (!z2) {
            max = max2;
        }
        cVar.f1830i = max;
        if (z2) {
            cVar.f1829h = this.mOrientationHelper.h() + i6;
            View childClosestToEnd = getChildClosestToEnd();
            c cVar2 = this.mLayoutState;
            if (this.mShouldReverseLayout) {
                i5 = -1;
            }
            cVar2.f1826e = i5;
            int position = getPosition(childClosestToEnd);
            c cVar3 = this.mLayoutState;
            cVar2.f1825d = position + cVar3.f1826e;
            cVar3.f1823b = this.mOrientationHelper.b(childClosestToEnd);
            i4 = this.mOrientationHelper.b(childClosestToEnd) - this.mOrientationHelper.g();
        } else {
            View childClosestToStart = getChildClosestToStart();
            c cVar4 = this.mLayoutState;
            cVar4.f1829h = this.mOrientationHelper.k() + cVar4.f1829h;
            c cVar5 = this.mLayoutState;
            if (!this.mShouldReverseLayout) {
                i5 = -1;
            }
            cVar5.f1826e = i5;
            int position2 = getPosition(childClosestToStart);
            c cVar6 = this.mLayoutState;
            cVar5.f1825d = position2 + cVar6.f1826e;
            cVar6.f1823b = this.mOrientationHelper.e(childClosestToStart);
            i4 = (-this.mOrientationHelper.e(childClosestToStart)) + this.mOrientationHelper.k();
        }
        c cVar7 = this.mLayoutState;
        cVar7.f1824c = i3;
        if (z) {
            cVar7.f1824c = i3 - i4;
        }
        cVar7.f1828g = i4;
    }

    private void updateLayoutStateToFillEnd(a aVar) {
        updateLayoutStateToFillEnd(aVar.f1814b, aVar.f1815c);
    }

    private void updateLayoutStateToFillStart(a aVar) {
        updateLayoutStateToFillStart(aVar.f1814b, aVar.f1815c);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void assertNotInLayoutOrScroll(String str) {
        if (this.mPendingSavedState == null) {
            super.assertNotInLayoutOrScroll(str);
        }
    }

    public void calculateExtraLayoutSpace(RecyclerView.r rVar, int[] iArr) {
        int i2;
        int extraLayoutSpace = getExtraLayoutSpace(rVar);
        if (this.mLayoutState.f1827f == -1) {
            i2 = 0;
        } else {
            i2 = extraLayoutSpace;
            extraLayoutSpace = 0;
        }
        iArr[0] = extraLayoutSpace;
        iArr[1] = i2;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public boolean canScrollHorizontally() {
        return this.mOrientation == 0;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public boolean canScrollVertically() {
        return this.mOrientation == 1;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void collectAdjacentPrefetchPositions(int i2, int i3, RecyclerView.r rVar, RecyclerView.LayoutManager.LayoutPrefetchRegistry layoutPrefetchRegistry) {
        if (this.mOrientation != 0) {
            i2 = i3;
        }
        if (getChildCount() != 0 && i2 != 0) {
            ensureLayoutState();
            updateLayoutState(i2 > 0 ? 1 : -1, Math.abs(i2), true, rVar);
            collectPrefetchPositionsForLayoutState(rVar, this.mLayoutState, layoutPrefetchRegistry);
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void collectInitialPrefetchPositions(int i2, RecyclerView.LayoutManager.LayoutPrefetchRegistry layoutPrefetchRegistry) {
        boolean z;
        int i3;
        SavedState savedState = this.mPendingSavedState;
        int i4 = -1;
        if (savedState == null || !savedState.hasValidAnchor()) {
            resolveShouldLayoutReverse();
            z = this.mShouldReverseLayout;
            i3 = this.mPendingScrollPosition;
            if (i3 == -1) {
                i3 = z ? i2 - 1 : 0;
            }
        } else {
            SavedState savedState2 = this.mPendingSavedState;
            z = savedState2.mAnchorLayoutFromEnd;
            i3 = savedState2.mAnchorPosition;
        }
        if (!z) {
            i4 = 1;
        }
        for (int i5 = 0; i5 < this.mInitialPrefetchItemCount && i3 >= 0 && i3 < i2; i5++) {
            layoutPrefetchRegistry.addPosition(i3, 0);
            i3 += i4;
        }
    }

    public void collectPrefetchPositionsForLayoutState(RecyclerView.r rVar, c cVar, RecyclerView.LayoutManager.LayoutPrefetchRegistry layoutPrefetchRegistry) {
        int i2 = cVar.f1825d;
        if (i2 >= 0 && i2 < rVar.b()) {
            layoutPrefetchRegistry.addPosition(i2, Math.max(0, cVar.f1828g));
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int computeHorizontalScrollExtent(RecyclerView.r rVar) {
        return computeScrollExtent(rVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int computeHorizontalScrollOffset(RecyclerView.r rVar) {
        return computeScrollOffset(rVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int computeHorizontalScrollRange(RecyclerView.r rVar) {
        return computeScrollRange(rVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.SmoothScroller.ScrollVectorProvider
    public PointF computeScrollVectorForPosition(int i2) {
        if (getChildCount() == 0) {
            return null;
        }
        boolean z = false;
        int i3 = 1;
        if (i2 < getPosition(getChildAt(0))) {
            z = true;
        }
        if (z != this.mShouldReverseLayout) {
            i3 = -1;
        }
        if (this.mOrientation == 0) {
            return new PointF((float) i3, 0.0f);
        }
        return new PointF(0.0f, (float) i3);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int computeVerticalScrollExtent(RecyclerView.r rVar) {
        return computeScrollExtent(rVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int computeVerticalScrollOffset(RecyclerView.r rVar) {
        return computeScrollOffset(rVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int computeVerticalScrollRange(RecyclerView.r rVar) {
        return computeScrollRange(rVar);
    }

    public int convertFocusDirectionToLayoutDirection(int i2) {
        if (i2 == 1) {
            return (this.mOrientation != 1 && isLayoutRTL()) ? 1 : -1;
        }
        if (i2 == 2) {
            return (this.mOrientation != 1 && isLayoutRTL()) ? -1 : 1;
        }
        if (i2 != 17) {
            if (i2 != 33) {
                if (i2 != 66) {
                    return (i2 == 130 && this.mOrientation == 1) ? 1 : Integer.MIN_VALUE;
                }
                if (this.mOrientation == 0) {
                    return 1;
                }
                return Integer.MIN_VALUE;
            } else if (this.mOrientation == 1) {
                return -1;
            } else {
                return Integer.MIN_VALUE;
            }
        } else if (this.mOrientation == 0) {
            return -1;
        } else {
            return Integer.MIN_VALUE;
        }
    }

    public c createLayoutState() {
        return new c();
    }

    public void ensureLayoutState() {
        if (this.mLayoutState == null) {
            this.mLayoutState = createLayoutState();
        }
    }

    public int fill(RecyclerView.p pVar, c cVar, RecyclerView.r rVar, boolean z) {
        int i2 = cVar.f1824c;
        int i3 = cVar.f1828g;
        if (i3 != Integer.MIN_VALUE) {
            if (i2 < 0) {
                cVar.f1828g = i3 + i2;
            }
            recycleByLayoutState(pVar, cVar);
        }
        int i4 = cVar.f1824c + cVar.f1829h;
        b bVar = this.mLayoutChunkResult;
        while (true) {
            if ((!cVar.f1833l && i4 <= 0) || !cVar.b(rVar)) {
                break;
            }
            bVar.f1818a = 0;
            bVar.f1819b = false;
            bVar.f1820c = false;
            bVar.f1821d = false;
            layoutChunk(pVar, rVar, cVar, bVar);
            if (!bVar.f1819b) {
                int i5 = cVar.f1823b;
                int i6 = bVar.f1818a;
                cVar.f1823b = (cVar.f1827f * i6) + i5;
                if (!bVar.f1820c || cVar.f1832k != null || !rVar.f1886g) {
                    cVar.f1824c -= i6;
                    i4 -= i6;
                }
                int i7 = cVar.f1828g;
                if (i7 != Integer.MIN_VALUE) {
                    int i8 = i7 + i6;
                    cVar.f1828g = i8;
                    int i9 = cVar.f1824c;
                    if (i9 < 0) {
                        cVar.f1828g = i8 + i9;
                    }
                    recycleByLayoutState(pVar, cVar);
                }
                if (z && bVar.f1821d) {
                    break;
                }
            } else {
                break;
            }
        }
        return i2 - cVar.f1824c;
    }

    public int findFirstCompletelyVisibleItemPosition() {
        View findOneVisibleChild = findOneVisibleChild(0, getChildCount(), true, false);
        if (findOneVisibleChild == null) {
            return -1;
        }
        return getPosition(findOneVisibleChild);
    }

    public View findFirstVisibleChildClosestToEnd(boolean z, boolean z2) {
        if (this.mShouldReverseLayout) {
            return findOneVisibleChild(0, getChildCount(), z, z2);
        }
        return findOneVisibleChild(getChildCount() - 1, -1, z, z2);
    }

    public View findFirstVisibleChildClosestToStart(boolean z, boolean z2) {
        if (this.mShouldReverseLayout) {
            return findOneVisibleChild(getChildCount() - 1, -1, z, z2);
        }
        return findOneVisibleChild(0, getChildCount(), z, z2);
    }

    public int findFirstVisibleItemPosition() {
        View findOneVisibleChild = findOneVisibleChild(0, getChildCount(), false, true);
        if (findOneVisibleChild == null) {
            return -1;
        }
        return getPosition(findOneVisibleChild);
    }

    public int findLastCompletelyVisibleItemPosition() {
        View findOneVisibleChild = findOneVisibleChild(getChildCount() - 1, -1, true, false);
        if (findOneVisibleChild == null) {
            return -1;
        }
        return getPosition(findOneVisibleChild);
    }

    public int findLastVisibleItemPosition() {
        View findOneVisibleChild = findOneVisibleChild(getChildCount() - 1, -1, false, true);
        if (findOneVisibleChild == null) {
            return -1;
        }
        return getPosition(findOneVisibleChild);
    }

    public View findOnePartiallyOrCompletelyInvisibleChild(int i2, int i3) {
        int i4;
        int i5;
        ensureLayoutState();
        if ((i3 > i2 ? 1 : i3 < i2 ? (char) 65535 : 0) == 0) {
            return getChildAt(i2);
        }
        if (this.mOrientationHelper.e(getChildAt(i2)) < this.mOrientationHelper.k()) {
            i5 = 16644;
            i4 = 16388;
        } else {
            i5 = 4161;
            i4 = 4097;
        }
        if (this.mOrientation == 0) {
            return this.mHorizontalBoundCheck.a(i2, i3, i5, i4);
        }
        return this.mVerticalBoundCheck.a(i2, i3, i5, i4);
    }

    public View findOneVisibleChild(int i2, int i3, boolean z, boolean z2) {
        ensureLayoutState();
        int i4 = 320;
        int i5 = z ? 24579 : 320;
        if (!z2) {
            i4 = 0;
        }
        if (this.mOrientation == 0) {
            return this.mHorizontalBoundCheck.a(i2, i3, i5, i4);
        }
        return this.mVerticalBoundCheck.a(i2, i3, i5, i4);
    }

    public View findReferenceChild(RecyclerView.p pVar, RecyclerView.r rVar, boolean z, boolean z2) {
        int i2;
        int i3;
        ensureLayoutState();
        int childCount = getChildCount();
        int i4 = -1;
        if (z2) {
            i3 = getChildCount() - 1;
            i2 = -1;
        } else {
            i4 = childCount;
            i3 = 0;
            i2 = 1;
        }
        int b2 = rVar.b();
        int k2 = this.mOrientationHelper.k();
        int g2 = this.mOrientationHelper.g();
        View view = null;
        View view2 = null;
        View view3 = null;
        while (i3 != i4) {
            View childAt = getChildAt(i3);
            int position = getPosition(childAt);
            int e2 = this.mOrientationHelper.e(childAt);
            int b3 = this.mOrientationHelper.b(childAt);
            if (position >= 0 && position < b2) {
                if (!((RecyclerView.l) childAt.getLayoutParams()).c()) {
                    boolean z3 = b3 <= k2 && e2 < k2;
                    boolean z4 = e2 >= g2 && b3 > g2;
                    if (!z3 && !z4) {
                        return childAt;
                    }
                    if (z) {
                        if (!z4) {
                            if (view != null) {
                            }
                            view = childAt;
                        }
                    } else if (!z3) {
                        if (view != null) {
                        }
                        view = childAt;
                    }
                    view2 = childAt;
                } else if (view3 == null) {
                    view3 = childAt;
                }
            }
            i3 += i2;
        }
        if (view != null) {
            return view;
        }
        return view2 != null ? view2 : view3;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public View findViewByPosition(int i2) {
        int childCount = getChildCount();
        if (childCount == 0) {
            return null;
        }
        int position = i2 - getPosition(getChildAt(0));
        if (position >= 0 && position < childCount) {
            View childAt = getChildAt(position);
            if (getPosition(childAt) == i2) {
                return childAt;
            }
        }
        return super.findViewByPosition(i2);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public RecyclerView.l generateDefaultLayoutParams() {
        return new RecyclerView.l(-2, -2);
    }

    @Deprecated
    public int getExtraLayoutSpace(RecyclerView.r rVar) {
        if (rVar.f1880a != -1) {
            return this.mOrientationHelper.l();
        }
        return 0;
    }

    public int getInitialPrefetchItemCount() {
        return this.mInitialPrefetchItemCount;
    }

    public int getOrientation() {
        return this.mOrientation;
    }

    public boolean getRecycleChildrenOnDetach() {
        return this.mRecycleChildrenOnDetach;
    }

    public boolean getReverseLayout() {
        return this.mReverseLayout;
    }

    public boolean getStackFromEnd() {
        return this.mStackFromEnd;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public boolean isAutoMeasureEnabled() {
        return true;
    }

    public boolean isLayoutRTL() {
        return getLayoutDirection() == 1;
    }

    public boolean isSmoothScrollbarEnabled() {
        return this.mSmoothScrollbarEnabled;
    }

    public void layoutChunk(RecyclerView.p pVar, RecyclerView.r rVar, c cVar, b bVar) {
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        View c2 = cVar.c(pVar);
        if (c2 == null) {
            bVar.f1819b = true;
            return;
        }
        RecyclerView.l lVar = (RecyclerView.l) c2.getLayoutParams();
        if (cVar.f1832k == null) {
            if (this.mShouldReverseLayout == (cVar.f1827f == -1)) {
                addView(c2);
            } else {
                addView(c2, 0);
            }
        } else {
            if (this.mShouldReverseLayout == (cVar.f1827f == -1)) {
                addDisappearingView(c2);
            } else {
                addDisappearingView(c2, 0);
            }
        }
        measureChildWithMargins(c2, 0, 0);
        bVar.f1818a = this.mOrientationHelper.c(c2);
        if (this.mOrientation == 1) {
            if (isLayoutRTL()) {
                i6 = getWidth() - getPaddingRight();
                i5 = i6 - this.mOrientationHelper.d(c2);
            } else {
                i5 = getPaddingLeft();
                i6 = this.mOrientationHelper.d(c2) + i5;
            }
            if (cVar.f1827f == -1) {
                int i7 = cVar.f1823b;
                i2 = i7;
                i3 = i6;
                i4 = i7 - bVar.f1818a;
            } else {
                int i8 = cVar.f1823b;
                i4 = i8;
                i3 = i6;
                i2 = bVar.f1818a + i8;
            }
        } else {
            int paddingTop = getPaddingTop();
            int d2 = this.mOrientationHelper.d(c2) + paddingTop;
            if (cVar.f1827f == -1) {
                int i9 = cVar.f1823b;
                i3 = i9;
                i4 = paddingTop;
                i2 = d2;
                i5 = i9 - bVar.f1818a;
            } else {
                int i10 = cVar.f1823b;
                i4 = paddingTop;
                i3 = bVar.f1818a + i10;
                i2 = d2;
                i5 = i10;
            }
        }
        layoutDecoratedWithMargins(c2, i5, i4, i3, i2);
        if (lVar.c() || lVar.b()) {
            bVar.f1820c = true;
        }
        bVar.f1821d = c2.hasFocusable();
    }

    public void onAnchorReady(RecyclerView.p pVar, RecyclerView.r rVar, a aVar, int i2) {
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onDetachedFromWindow(RecyclerView recyclerView, RecyclerView.p pVar) {
        super.onDetachedFromWindow(recyclerView, pVar);
        if (this.mRecycleChildrenOnDetach) {
            removeAndRecycleAllViews(pVar);
            pVar.b();
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public View onFocusSearchFailed(View view, int i2, RecyclerView.p pVar, RecyclerView.r rVar) {
        int convertFocusDirectionToLayoutDirection;
        View view2;
        View view3;
        resolveShouldLayoutReverse();
        if (getChildCount() == 0 || (convertFocusDirectionToLayoutDirection = convertFocusDirectionToLayoutDirection(i2)) == Integer.MIN_VALUE) {
            return null;
        }
        ensureLayoutState();
        updateLayoutState(convertFocusDirectionToLayoutDirection, (int) (((float) this.mOrientationHelper.l()) * MAX_SCROLL_FACTOR), false, rVar);
        c cVar = this.mLayoutState;
        cVar.f1828g = Integer.MIN_VALUE;
        cVar.f1822a = false;
        fill(pVar, cVar, rVar, true);
        if (convertFocusDirectionToLayoutDirection == -1) {
            view2 = findPartiallyOrCompletelyInvisibleChildClosestToStart();
        } else {
            view2 = findPartiallyOrCompletelyInvisibleChildClosestToEnd();
        }
        if (convertFocusDirectionToLayoutDirection == -1) {
            view3 = getChildClosestToStart();
        } else {
            view3 = getChildClosestToEnd();
        }
        if (!view3.hasFocusable()) {
            return view2;
        }
        if (view2 == null) {
            return null;
        }
        return view3;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        super.onInitializeAccessibilityEvent(accessibilityEvent);
        if (getChildCount() > 0) {
            accessibilityEvent.setFromIndex(findFirstVisibleItemPosition());
            accessibilityEvent.setToIndex(findLastVisibleItemPosition());
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onLayoutChildren(RecyclerView.p pVar, RecyclerView.r rVar) {
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        int i7;
        View findViewByPosition;
        int i8;
        int i9;
        int i10 = -1;
        if (!(this.mPendingSavedState == null && this.mPendingScrollPosition == -1) && rVar.b() == 0) {
            removeAndRecycleAllViews(pVar);
            return;
        }
        SavedState savedState = this.mPendingSavedState;
        if (savedState != null && savedState.hasValidAnchor()) {
            this.mPendingScrollPosition = this.mPendingSavedState.mAnchorPosition;
        }
        ensureLayoutState();
        this.mLayoutState.f1822a = false;
        resolveShouldLayoutReverse();
        View focusedChild = getFocusedChild();
        a aVar = this.mAnchorInfo;
        if (!aVar.f1817e || this.mPendingScrollPosition != -1 || this.mPendingSavedState != null) {
            aVar.d();
            a aVar2 = this.mAnchorInfo;
            aVar2.f1816d = this.mShouldReverseLayout ^ this.mStackFromEnd;
            updateAnchorInfoForLayout(pVar, rVar, aVar2);
            this.mAnchorInfo.f1817e = true;
        } else if (focusedChild != null && (this.mOrientationHelper.e(focusedChild) >= this.mOrientationHelper.g() || this.mOrientationHelper.b(focusedChild) <= this.mOrientationHelper.k())) {
            this.mAnchorInfo.c(focusedChild, getPosition(focusedChild));
        }
        c cVar = this.mLayoutState;
        cVar.f1827f = cVar.f1831j >= 0 ? 1 : -1;
        int[] iArr = this.mReusableIntPair;
        iArr[0] = 0;
        iArr[1] = 0;
        calculateExtraLayoutSpace(rVar, iArr);
        int k2 = this.mOrientationHelper.k() + Math.max(0, this.mReusableIntPair[0]);
        int h2 = this.mOrientationHelper.h() + Math.max(0, this.mReusableIntPair[1]);
        if (!(!rVar.f1886g || (i7 = this.mPendingScrollPosition) == -1 || this.mPendingScrollPositionOffset == Integer.MIN_VALUE || (findViewByPosition = findViewByPosition(i7)) == null)) {
            if (this.mShouldReverseLayout) {
                i8 = this.mOrientationHelper.g() - this.mOrientationHelper.b(findViewByPosition);
                i9 = this.mPendingScrollPositionOffset;
            } else {
                i9 = this.mOrientationHelper.e(findViewByPosition) - this.mOrientationHelper.k();
                i8 = this.mPendingScrollPositionOffset;
            }
            int i11 = i8 - i9;
            if (i11 > 0) {
                k2 += i11;
            } else {
                h2 -= i11;
            }
        }
        a aVar3 = this.mAnchorInfo;
        if (!aVar3.f1816d ? !this.mShouldReverseLayout : this.mShouldReverseLayout) {
            i10 = 1;
        }
        onAnchorReady(pVar, rVar, aVar3, i10);
        detachAndScrapAttachedViews(pVar);
        this.mLayoutState.f1833l = resolveIsInfinite();
        Objects.requireNonNull(this.mLayoutState);
        this.mLayoutState.f1830i = 0;
        a aVar4 = this.mAnchorInfo;
        if (aVar4.f1816d) {
            updateLayoutStateToFillStart(aVar4);
            c cVar2 = this.mLayoutState;
            cVar2.f1829h = k2;
            fill(pVar, cVar2, rVar, false);
            c cVar3 = this.mLayoutState;
            i3 = cVar3.f1823b;
            int i12 = cVar3.f1825d;
            int i13 = cVar3.f1824c;
            if (i13 > 0) {
                h2 += i13;
            }
            updateLayoutStateToFillEnd(this.mAnchorInfo);
            c cVar4 = this.mLayoutState;
            cVar4.f1829h = h2;
            cVar4.f1825d += cVar4.f1826e;
            fill(pVar, cVar4, rVar, false);
            c cVar5 = this.mLayoutState;
            i2 = cVar5.f1823b;
            int i14 = cVar5.f1824c;
            if (i14 > 0) {
                updateLayoutStateToFillStart(i12, i3);
                c cVar6 = this.mLayoutState;
                cVar6.f1829h = i14;
                fill(pVar, cVar6, rVar, false);
                i3 = this.mLayoutState.f1823b;
            }
        } else {
            updateLayoutStateToFillEnd(aVar4);
            c cVar7 = this.mLayoutState;
            cVar7.f1829h = h2;
            fill(pVar, cVar7, rVar, false);
            c cVar8 = this.mLayoutState;
            i2 = cVar8.f1823b;
            int i15 = cVar8.f1825d;
            int i16 = cVar8.f1824c;
            if (i16 > 0) {
                k2 += i16;
            }
            updateLayoutStateToFillStart(this.mAnchorInfo);
            c cVar9 = this.mLayoutState;
            cVar9.f1829h = k2;
            cVar9.f1825d += cVar9.f1826e;
            fill(pVar, cVar9, rVar, false);
            c cVar10 = this.mLayoutState;
            int i17 = cVar10.f1823b;
            int i18 = cVar10.f1824c;
            if (i18 > 0) {
                updateLayoutStateToFillEnd(i15, i2);
                c cVar11 = this.mLayoutState;
                cVar11.f1829h = i18;
                fill(pVar, cVar11, rVar, false);
                i2 = this.mLayoutState.f1823b;
            }
            i3 = i17;
        }
        if (getChildCount() > 0) {
            if (this.mShouldReverseLayout ^ this.mStackFromEnd) {
                int fixLayoutEndGap = fixLayoutEndGap(i2, pVar, rVar, true);
                i5 = i3 + fixLayoutEndGap;
                i4 = i2 + fixLayoutEndGap;
                i6 = fixLayoutStartGap(i5, pVar, rVar, false);
            } else {
                int fixLayoutStartGap = fixLayoutStartGap(i3, pVar, rVar, true);
                i5 = i3 + fixLayoutStartGap;
                i4 = i2 + fixLayoutStartGap;
                i6 = fixLayoutEndGap(i4, pVar, rVar, false);
            }
            i3 = i5 + i6;
            i2 = i4 + i6;
        }
        layoutForPredictiveAnimations(pVar, rVar, i3, i2);
        if (!rVar.f1886g) {
            m mVar = this.mOrientationHelper;
            mVar.f3900b = mVar.l();
        } else {
            this.mAnchorInfo.d();
        }
        this.mLastStackFromEnd = this.mStackFromEnd;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onLayoutCompleted(RecyclerView.r rVar) {
        super.onLayoutCompleted(rVar);
        this.mPendingSavedState = null;
        this.mPendingScrollPosition = -1;
        this.mPendingScrollPositionOffset = Integer.MIN_VALUE;
        this.mAnchorInfo.d();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (parcelable instanceof SavedState) {
            SavedState savedState = (SavedState) parcelable;
            this.mPendingSavedState = savedState;
            if (this.mPendingScrollPosition != -1) {
                savedState.invalidateAnchor();
            }
            requestLayout();
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public Parcelable onSaveInstanceState() {
        SavedState savedState = this.mPendingSavedState;
        if (savedState != null) {
            return new SavedState(savedState);
        }
        SavedState savedState2 = new SavedState();
        if (getChildCount() > 0) {
            ensureLayoutState();
            boolean z = this.mLastStackFromEnd ^ this.mShouldReverseLayout;
            savedState2.mAnchorLayoutFromEnd = z;
            if (z) {
                View childClosestToEnd = getChildClosestToEnd();
                savedState2.mAnchorOffset = this.mOrientationHelper.g() - this.mOrientationHelper.b(childClosestToEnd);
                savedState2.mAnchorPosition = getPosition(childClosestToEnd);
            } else {
                View childClosestToStart = getChildClosestToStart();
                savedState2.mAnchorPosition = getPosition(childClosestToStart);
                savedState2.mAnchorOffset = this.mOrientationHelper.e(childClosestToStart) - this.mOrientationHelper.k();
            }
        } else {
            savedState2.invalidateAnchor();
        }
        return savedState2;
    }

    @Override // androidx.recyclerview.widget.ItemTouchHelper.ViewDropHandler
    public void prepareForDrop(View view, View view2, int i2, int i3) {
        assertNotInLayoutOrScroll("Cannot drop a view during a scroll or layout calculation");
        ensureLayoutState();
        resolveShouldLayoutReverse();
        int position = getPosition(view);
        int position2 = getPosition(view2);
        char c2 = position < position2 ? (char) 1 : 65535;
        if (this.mShouldReverseLayout) {
            if (c2 == 1) {
                scrollToPositionWithOffset(position2, this.mOrientationHelper.g() - (this.mOrientationHelper.c(view) + this.mOrientationHelper.e(view2)));
            } else {
                scrollToPositionWithOffset(position2, this.mOrientationHelper.g() - this.mOrientationHelper.b(view2));
            }
        } else if (c2 == 65535) {
            scrollToPositionWithOffset(position2, this.mOrientationHelper.e(view2));
        } else {
            scrollToPositionWithOffset(position2, this.mOrientationHelper.b(view2) - this.mOrientationHelper.c(view));
        }
    }

    public boolean resolveIsInfinite() {
        return this.mOrientationHelper.i() == 0 && this.mOrientationHelper.f() == 0;
    }

    public int scrollBy(int i2, RecyclerView.p pVar, RecyclerView.r rVar) {
        if (getChildCount() == 0 || i2 == 0) {
            return 0;
        }
        ensureLayoutState();
        this.mLayoutState.f1822a = true;
        int i3 = i2 > 0 ? 1 : -1;
        int abs = Math.abs(i2);
        updateLayoutState(i3, abs, true, rVar);
        c cVar = this.mLayoutState;
        int fill = fill(pVar, cVar, rVar, false) + cVar.f1828g;
        if (fill < 0) {
            return 0;
        }
        if (abs > fill) {
            i2 = i3 * fill;
        }
        this.mOrientationHelper.p(-i2);
        this.mLayoutState.f1831j = i2;
        return i2;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int scrollHorizontallyBy(int i2, RecyclerView.p pVar, RecyclerView.r rVar) {
        if (this.mOrientation == 1) {
            return 0;
        }
        return scrollBy(i2, pVar, rVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void scrollToPosition(int i2) {
        this.mPendingScrollPosition = i2;
        this.mPendingScrollPositionOffset = Integer.MIN_VALUE;
        SavedState savedState = this.mPendingSavedState;
        if (savedState != null) {
            savedState.invalidateAnchor();
        }
        requestLayout();
    }

    public void scrollToPositionWithOffset(int i2, int i3) {
        this.mPendingScrollPosition = i2;
        this.mPendingScrollPositionOffset = i3;
        SavedState savedState = this.mPendingSavedState;
        if (savedState != null) {
            savedState.invalidateAnchor();
        }
        requestLayout();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int scrollVerticallyBy(int i2, RecyclerView.p pVar, RecyclerView.r rVar) {
        if (this.mOrientation == 0) {
            return 0;
        }
        return scrollBy(i2, pVar, rVar);
    }

    public void setInitialPrefetchItemCount(int i2) {
        this.mInitialPrefetchItemCount = i2;
    }

    public void setOrientation(int i2) {
        if (i2 == 0 || i2 == 1) {
            assertNotInLayoutOrScroll(null);
            if (i2 != this.mOrientation || this.mOrientationHelper == null) {
                m a2 = m.a(this, i2);
                this.mOrientationHelper = a2;
                this.mAnchorInfo.f1813a = a2;
                this.mOrientation = i2;
                requestLayout();
                return;
            }
            return;
        }
        throw new IllegalArgumentException(d.a.a.a.a.k("invalid orientation:", i2));
    }

    public void setRecycleChildrenOnDetach(boolean z) {
        this.mRecycleChildrenOnDetach = z;
    }

    public void setReverseLayout(boolean z) {
        assertNotInLayoutOrScroll(null);
        if (z != this.mReverseLayout) {
            this.mReverseLayout = z;
            requestLayout();
        }
    }

    public void setSmoothScrollbarEnabled(boolean z) {
        this.mSmoothScrollbarEnabled = z;
    }

    public void setStackFromEnd(boolean z) {
        assertNotInLayoutOrScroll(null);
        if (this.mStackFromEnd != z) {
            this.mStackFromEnd = z;
            requestLayout();
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public boolean shouldMeasureTwice() {
        return (getHeightMode() == 1073741824 || getWidthMode() == 1073741824 || !hasFlexibleChildInBothOrientations()) ? false : true;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void smoothScrollToPosition(RecyclerView recyclerView, RecyclerView.r rVar, int i2) {
        LinearSmoothScroller linearSmoothScroller = new LinearSmoothScroller(recyclerView.getContext());
        linearSmoothScroller.setTargetPosition(i2);
        startSmoothScroll(linearSmoothScroller);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public boolean supportsPredictiveItemAnimations() {
        return this.mPendingSavedState == null && this.mLastStackFromEnd == this.mStackFromEnd;
    }

    public void validateChildOrder() {
        StringBuilder B = d.a.a.a.a.B("validating child count ");
        B.append(getChildCount());
        Log.d(TAG, B.toString());
        boolean z = true;
        if (getChildCount() >= 1) {
            int position = getPosition(getChildAt(0));
            int e2 = this.mOrientationHelper.e(getChildAt(0));
            if (this.mShouldReverseLayout) {
                for (int i2 = 1; i2 < getChildCount(); i2++) {
                    View childAt = getChildAt(i2);
                    int position2 = getPosition(childAt);
                    int e3 = this.mOrientationHelper.e(childAt);
                    if (position2 < position) {
                        logChildren();
                        StringBuilder B2 = d.a.a.a.a.B("detected invalid position. loc invalid? ");
                        if (e3 >= e2) {
                            z = false;
                        }
                        B2.append(z);
                        throw new RuntimeException(B2.toString());
                    } else if (e3 > e2) {
                        logChildren();
                        throw new RuntimeException("detected invalid location");
                    }
                }
                return;
            }
            for (int i3 = 1; i3 < getChildCount(); i3++) {
                View childAt2 = getChildAt(i3);
                int position3 = getPosition(childAt2);
                int e4 = this.mOrientationHelper.e(childAt2);
                if (position3 < position) {
                    logChildren();
                    StringBuilder B3 = d.a.a.a.a.B("detected invalid position. loc invalid? ");
                    if (e4 >= e2) {
                        z = false;
                    }
                    B3.append(z);
                    throw new RuntimeException(B3.toString());
                } else if (e4 < e2) {
                    logChildren();
                    throw new RuntimeException("detected invalid location");
                }
            }
        }
    }

    public LinearLayoutManager(Context context, int i2, boolean z) {
        this.mOrientation = 1;
        this.mReverseLayout = false;
        this.mShouldReverseLayout = false;
        this.mStackFromEnd = false;
        this.mSmoothScrollbarEnabled = true;
        this.mPendingScrollPosition = -1;
        this.mPendingScrollPositionOffset = Integer.MIN_VALUE;
        this.mPendingSavedState = null;
        this.mAnchorInfo = new a();
        this.mLayoutChunkResult = new b();
        this.mInitialPrefetchItemCount = 2;
        this.mReusableIntPair = new int[2];
        setOrientation(i2);
        setReverseLayout(z);
    }

    private void updateLayoutStateToFillEnd(int i2, int i3) {
        this.mLayoutState.f1824c = this.mOrientationHelper.g() - i3;
        c cVar = this.mLayoutState;
        cVar.f1826e = this.mShouldReverseLayout ? -1 : 1;
        cVar.f1825d = i2;
        cVar.f1827f = 1;
        cVar.f1823b = i3;
        cVar.f1828g = Integer.MIN_VALUE;
    }

    private void updateLayoutStateToFillStart(int i2, int i3) {
        this.mLayoutState.f1824c = i3 - this.mOrientationHelper.k();
        c cVar = this.mLayoutState;
        cVar.f1825d = i2;
        cVar.f1826e = this.mShouldReverseLayout ? 1 : -1;
        cVar.f1827f = -1;
        cVar.f1823b = i3;
        cVar.f1828g = Integer.MIN_VALUE;
    }

    public LinearLayoutManager(Context context, AttributeSet attributeSet, int i2, int i3) {
        this.mOrientation = 1;
        this.mReverseLayout = false;
        this.mShouldReverseLayout = false;
        this.mStackFromEnd = false;
        this.mSmoothScrollbarEnabled = true;
        this.mPendingScrollPosition = -1;
        this.mPendingScrollPositionOffset = Integer.MIN_VALUE;
        this.mPendingSavedState = null;
        this.mAnchorInfo = new a();
        this.mLayoutChunkResult = new b();
        this.mInitialPrefetchItemCount = 2;
        this.mReusableIntPair = new int[2];
        RecyclerView.LayoutManager.Properties properties = RecyclerView.LayoutManager.getProperties(context, attributeSet, i2, i3);
        setOrientation(properties.orientation);
        setReverseLayout(properties.reverseLayout);
        setStackFromEnd(properties.stackFromEnd);
    }
}
