package androidx.recyclerview.widget;

import android.os.Bundle;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityEvent;
import b.j.h.a;
import b.j.h.p.b;
import b.j.h.p.c;
import java.util.Map;
import java.util.WeakHashMap;

public class RecyclerViewAccessibilityDelegate extends a {

    /* renamed from: d  reason: collision with root package name */
    public final RecyclerView f1897d;

    /* renamed from: e  reason: collision with root package name */
    public final ItemDelegate f1898e;

    public static class ItemDelegate extends a {

        /* renamed from: d  reason: collision with root package name */
        public final RecyclerViewAccessibilityDelegate f1899d;

        /* renamed from: e  reason: collision with root package name */
        public Map<View, a> f1900e = new WeakHashMap();

        public ItemDelegate(RecyclerViewAccessibilityDelegate recyclerViewAccessibilityDelegate) {
            this.f1899d = recyclerViewAccessibilityDelegate;
        }

        @Override // b.j.h.a
        public boolean a(View view, AccessibilityEvent accessibilityEvent) {
            a aVar = this.f1900e.get(view);
            if (aVar != null) {
                return aVar.a(view, accessibilityEvent);
            }
            return this.f3391b.dispatchPopulateAccessibilityEvent(view, accessibilityEvent);
        }

        @Override // b.j.h.a
        public c b(View view) {
            a aVar = this.f1900e.get(view);
            if (aVar != null) {
                return aVar.b(view);
            }
            return super.b(view);
        }

        @Override // b.j.h.a
        public void c(View view, AccessibilityEvent accessibilityEvent) {
            a aVar = this.f1900e.get(view);
            if (aVar != null) {
                aVar.c(view, accessibilityEvent);
            } else {
                this.f3391b.onInitializeAccessibilityEvent(view, accessibilityEvent);
            }
        }

        @Override // b.j.h.a
        public void d(View view, b bVar) {
            if (this.f1899d.j() || this.f1899d.f1897d.getLayoutManager() == null) {
                this.f3391b.onInitializeAccessibilityNodeInfo(view, bVar.f3453b);
                return;
            }
            this.f1899d.f1897d.getLayoutManager().onInitializeAccessibilityNodeInfoForItem(view, bVar);
            a aVar = this.f1900e.get(view);
            if (aVar != null) {
                aVar.d(view, bVar);
            } else {
                this.f3391b.onInitializeAccessibilityNodeInfo(view, bVar.f3453b);
            }
        }

        @Override // b.j.h.a
        public void e(View view, AccessibilityEvent accessibilityEvent) {
            a aVar = this.f1900e.get(view);
            if (aVar != null) {
                aVar.e(view, accessibilityEvent);
            } else {
                this.f3391b.onPopulateAccessibilityEvent(view, accessibilityEvent);
            }
        }

        @Override // b.j.h.a
        public boolean f(ViewGroup viewGroup, View view, AccessibilityEvent accessibilityEvent) {
            a aVar = this.f1900e.get(viewGroup);
            if (aVar != null) {
                return aVar.f(viewGroup, view, accessibilityEvent);
            }
            return this.f3391b.onRequestSendAccessibilityEvent(viewGroup, view, accessibilityEvent);
        }

        @Override // b.j.h.a
        public boolean g(View view, int i2, Bundle bundle) {
            if (this.f1899d.j() || this.f1899d.f1897d.getLayoutManager() == null) {
                return super.g(view, i2, bundle);
            }
            a aVar = this.f1900e.get(view);
            if (aVar != null) {
                if (aVar.g(view, i2, bundle)) {
                    return true;
                }
            } else if (super.g(view, i2, bundle)) {
                return true;
            }
            return this.f1899d.f1897d.getLayoutManager().performAccessibilityActionForItem(view, i2, bundle);
        }

        @Override // b.j.h.a
        public void h(View view, int i2) {
            a aVar = this.f1900e.get(view);
            if (aVar != null) {
                aVar.h(view, i2);
            } else {
                this.f3391b.sendAccessibilityEvent(view, i2);
            }
        }

        @Override // b.j.h.a
        public void i(View view, AccessibilityEvent accessibilityEvent) {
            a aVar = this.f1900e.get(view);
            if (aVar != null) {
                aVar.i(view, accessibilityEvent);
            } else {
                this.f3391b.sendAccessibilityEventUnchecked(view, accessibilityEvent);
            }
        }
    }

    public RecyclerViewAccessibilityDelegate(RecyclerView recyclerView) {
        this.f1897d = recyclerView;
        ItemDelegate itemDelegate = this.f1898e;
        if (itemDelegate != null) {
            this.f1898e = itemDelegate;
        } else {
            this.f1898e = new ItemDelegate(this);
        }
    }

    @Override // b.j.h.a
    public void c(View view, AccessibilityEvent accessibilityEvent) {
        this.f3391b.onInitializeAccessibilityEvent(view, accessibilityEvent);
        if ((view instanceof RecyclerView) && !j()) {
            RecyclerView recyclerView = (RecyclerView) view;
            if (recyclerView.getLayoutManager() != null) {
                recyclerView.getLayoutManager().onInitializeAccessibilityEvent(accessibilityEvent);
            }
        }
    }

    @Override // b.j.h.a
    public void d(View view, b bVar) {
        this.f3391b.onInitializeAccessibilityNodeInfo(view, bVar.f3453b);
        if (!j() && this.f1897d.getLayoutManager() != null) {
            this.f1897d.getLayoutManager().onInitializeAccessibilityNodeInfo(bVar);
        }
    }

    @Override // b.j.h.a
    public boolean g(View view, int i2, Bundle bundle) {
        if (super.g(view, i2, bundle)) {
            return true;
        }
        if (j() || this.f1897d.getLayoutManager() == null) {
            return false;
        }
        return this.f1897d.getLayoutManager().performAccessibilityAction(i2, bundle);
    }

    public boolean j() {
        return this.f1897d.hasPendingAdapterUpdates();
    }
}
