package androidx.recyclerview.widget;

import android.annotation.SuppressLint;
import android.content.Context;
import android.graphics.PointF;
import android.graphics.Rect;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityEvent;
import androidx.recyclerview.widget.RecyclerView;
import b.o.a.n;
import b.u.a.h;
import b.u.a.j;
import b.u.a.m;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.BitSet;
import java.util.List;
import java.util.Objects;
import org.dsq.library.widget.bigImage.SubsamplingScaleImageView;

public class StaggeredGridLayoutManager extends RecyclerView.LayoutManager implements RecyclerView.SmoothScroller.ScrollVectorProvider {

    /* renamed from: a  reason: collision with root package name */
    public int f1910a = -1;

    /* renamed from: b  reason: collision with root package name */
    public c[] f1911b;

    /* renamed from: c  reason: collision with root package name */
    public m f1912c;

    /* renamed from: d  reason: collision with root package name */
    public m f1913d;

    /* renamed from: e  reason: collision with root package name */
    public int f1914e;

    /* renamed from: f  reason: collision with root package name */
    public int f1915f;

    /* renamed from: g  reason: collision with root package name */
    public final j f1916g;

    /* renamed from: h  reason: collision with root package name */
    public boolean f1917h = false;

    /* renamed from: i  reason: collision with root package name */
    public boolean f1918i = false;

    /* renamed from: j  reason: collision with root package name */
    public BitSet f1919j;

    /* renamed from: k  reason: collision with root package name */
    public int f1920k = -1;

    /* renamed from: l  reason: collision with root package name */
    public int f1921l = Integer.MIN_VALUE;
    public LazySpanLookup m = new LazySpanLookup();
    public int n = 2;
    public boolean o;
    public boolean p;
    public SavedState q;
    public int r;
    public final Rect s = new Rect();
    public final b t = new b();
    public boolean u = false;
    public boolean v = true;
    public int[] w;
    public final Runnable x = new a();

    public static class LayoutParams extends RecyclerView.l {

        /* renamed from: e  reason: collision with root package name */
        public c f1922e;

        /* renamed from: f  reason: collision with root package name */
        public boolean f1923f;

        public LayoutParams(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        public final int d() {
            c cVar = this.f1922e;
            if (cVar == null) {
                return -1;
            }
            return cVar.f1938e;
        }

        public LayoutParams(int i2, int i3) {
            super(i2, i3);
        }

        public LayoutParams(ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
        }

        public LayoutParams(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }
    }

    @SuppressLint({"BanParcelableUsage"})
    public static class SavedState implements Parcelable {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        public boolean mAnchorLayoutFromEnd;
        public int mAnchorPosition;
        public List<LazySpanLookup.FullSpanItem> mFullSpanItems;
        public boolean mLastLayoutRTL;
        public boolean mReverseLayout;
        public int[] mSpanLookup;
        public int mSpanLookupSize;
        public int[] mSpanOffsets;
        public int mSpanOffsetsSize;
        public int mVisibleAnchorPosition;

        public class a implements Parcelable.Creator<SavedState> {
            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // android.os.Parcelable.Creator
            public SavedState createFromParcel(Parcel parcel) {
                return new SavedState(parcel);
            }

            /* Return type fixed from 'java.lang.Object[]' to match base method */
            @Override // android.os.Parcelable.Creator
            public SavedState[] newArray(int i2) {
                return new SavedState[i2];
            }
        }

        public SavedState() {
        }

        public int describeContents() {
            return 0;
        }

        public void invalidateAnchorPositionInfo() {
            this.mSpanOffsets = null;
            this.mSpanOffsetsSize = 0;
            this.mAnchorPosition = -1;
            this.mVisibleAnchorPosition = -1;
        }

        public void invalidateSpanInfo() {
            this.mSpanOffsets = null;
            this.mSpanOffsetsSize = 0;
            this.mSpanLookupSize = 0;
            this.mSpanLookup = null;
            this.mFullSpanItems = null;
        }

        public void writeToParcel(Parcel parcel, int i2) {
            parcel.writeInt(this.mAnchorPosition);
            parcel.writeInt(this.mVisibleAnchorPosition);
            parcel.writeInt(this.mSpanOffsetsSize);
            if (this.mSpanOffsetsSize > 0) {
                parcel.writeIntArray(this.mSpanOffsets);
            }
            parcel.writeInt(this.mSpanLookupSize);
            if (this.mSpanLookupSize > 0) {
                parcel.writeIntArray(this.mSpanLookup);
            }
            parcel.writeInt(this.mReverseLayout ? 1 : 0);
            parcel.writeInt(this.mAnchorLayoutFromEnd ? 1 : 0);
            parcel.writeInt(this.mLastLayoutRTL ? 1 : 0);
            parcel.writeList(this.mFullSpanItems);
        }

        public SavedState(Parcel parcel) {
            this.mAnchorPosition = parcel.readInt();
            this.mVisibleAnchorPosition = parcel.readInt();
            int readInt = parcel.readInt();
            this.mSpanOffsetsSize = readInt;
            if (readInt > 0) {
                int[] iArr = new int[readInt];
                this.mSpanOffsets = iArr;
                parcel.readIntArray(iArr);
            }
            int readInt2 = parcel.readInt();
            this.mSpanLookupSize = readInt2;
            if (readInt2 > 0) {
                int[] iArr2 = new int[readInt2];
                this.mSpanLookup = iArr2;
                parcel.readIntArray(iArr2);
            }
            boolean z = false;
            this.mReverseLayout = parcel.readInt() == 1;
            this.mAnchorLayoutFromEnd = parcel.readInt() == 1;
            this.mLastLayoutRTL = parcel.readInt() == 1 ? true : z;
            this.mFullSpanItems = parcel.readArrayList(LazySpanLookup.FullSpanItem.class.getClassLoader());
        }

        public SavedState(SavedState savedState) {
            this.mSpanOffsetsSize = savedState.mSpanOffsetsSize;
            this.mAnchorPosition = savedState.mAnchorPosition;
            this.mVisibleAnchorPosition = savedState.mVisibleAnchorPosition;
            this.mSpanOffsets = savedState.mSpanOffsets;
            this.mSpanLookupSize = savedState.mSpanLookupSize;
            this.mSpanLookup = savedState.mSpanLookup;
            this.mReverseLayout = savedState.mReverseLayout;
            this.mAnchorLayoutFromEnd = savedState.mAnchorLayoutFromEnd;
            this.mLastLayoutRTL = savedState.mLastLayoutRTL;
            this.mFullSpanItems = savedState.mFullSpanItems;
        }
    }

    public class a implements Runnable {
        public a() {
        }

        public void run() {
            StaggeredGridLayoutManager.this.b();
        }
    }

    public class b {

        /* renamed from: a  reason: collision with root package name */
        public int f1927a;

        /* renamed from: b  reason: collision with root package name */
        public int f1928b;

        /* renamed from: c  reason: collision with root package name */
        public boolean f1929c;

        /* renamed from: d  reason: collision with root package name */
        public boolean f1930d;

        /* renamed from: e  reason: collision with root package name */
        public boolean f1931e;

        /* renamed from: f  reason: collision with root package name */
        public int[] f1932f;

        public b() {
            b();
        }

        public void a() {
            int i2;
            if (this.f1929c) {
                i2 = StaggeredGridLayoutManager.this.f1912c.g();
            } else {
                i2 = StaggeredGridLayoutManager.this.f1912c.k();
            }
            this.f1928b = i2;
        }

        public void b() {
            this.f1927a = -1;
            this.f1928b = Integer.MIN_VALUE;
            this.f1929c = false;
            this.f1930d = false;
            this.f1931e = false;
            int[] iArr = this.f1932f;
            if (iArr != null) {
                Arrays.fill(iArr, -1);
            }
        }
    }

    public class c {

        /* renamed from: a  reason: collision with root package name */
        public ArrayList<View> f1934a = new ArrayList<>();

        /* renamed from: b  reason: collision with root package name */
        public int f1935b = Integer.MIN_VALUE;

        /* renamed from: c  reason: collision with root package name */
        public int f1936c = Integer.MIN_VALUE;

        /* renamed from: d  reason: collision with root package name */
        public int f1937d = 0;

        /* renamed from: e  reason: collision with root package name */
        public final int f1938e;

        public c(int i2) {
            this.f1938e = i2;
        }

        public void a(View view) {
            LayoutParams k2 = k(view);
            k2.f1922e = this;
            this.f1934a.add(view);
            this.f1936c = Integer.MIN_VALUE;
            if (this.f1934a.size() == 1) {
                this.f1935b = Integer.MIN_VALUE;
            }
            if (k2.c() || k2.b()) {
                this.f1937d = StaggeredGridLayoutManager.this.f1912c.c(view) + this.f1937d;
            }
        }

        public void b() {
            LazySpanLookup.FullSpanItem f2;
            ArrayList<View> arrayList = this.f1934a;
            View view = arrayList.get(arrayList.size() - 1);
            LayoutParams k2 = k(view);
            this.f1936c = StaggeredGridLayoutManager.this.f1912c.b(view);
            if (k2.f1923f && (f2 = StaggeredGridLayoutManager.this.m.f(k2.a())) != null && f2.mGapDir == 1) {
                this.f1936c = f2.getGapForSpan(this.f1938e) + this.f1936c;
            }
        }

        public void c() {
            LazySpanLookup.FullSpanItem f2;
            View view = this.f1934a.get(0);
            LayoutParams k2 = k(view);
            this.f1935b = StaggeredGridLayoutManager.this.f1912c.e(view);
            if (k2.f1923f && (f2 = StaggeredGridLayoutManager.this.m.f(k2.a())) != null && f2.mGapDir == -1) {
                this.f1935b -= f2.getGapForSpan(this.f1938e);
            }
        }

        public void d() {
            this.f1934a.clear();
            this.f1935b = Integer.MIN_VALUE;
            this.f1936c = Integer.MIN_VALUE;
            this.f1937d = 0;
        }

        public int e() {
            if (StaggeredGridLayoutManager.this.f1917h) {
                return h(this.f1934a.size() - 1, -1, true);
            }
            return h(0, this.f1934a.size(), true);
        }

        public int f() {
            if (StaggeredGridLayoutManager.this.f1917h) {
                return h(0, this.f1934a.size(), true);
            }
            return h(this.f1934a.size() - 1, -1, true);
        }

        public int g(int i2, int i3, boolean z, boolean z2, boolean z3) {
            int k2 = StaggeredGridLayoutManager.this.f1912c.k();
            int g2 = StaggeredGridLayoutManager.this.f1912c.g();
            int i4 = i3 > i2 ? 1 : -1;
            while (i2 != i3) {
                View view = this.f1934a.get(i2);
                int e2 = StaggeredGridLayoutManager.this.f1912c.e(view);
                int b2 = StaggeredGridLayoutManager.this.f1912c.b(view);
                boolean z4 = false;
                boolean z5 = !z3 ? e2 < g2 : e2 <= g2;
                if (!z3 ? b2 > k2 : b2 >= k2) {
                    z4 = true;
                }
                if (z5 && z4) {
                    if (!z || !z2) {
                        if (z2) {
                            return StaggeredGridLayoutManager.this.getPosition(view);
                        }
                        if (e2 < k2 || b2 > g2) {
                            return StaggeredGridLayoutManager.this.getPosition(view);
                        }
                    } else if (e2 >= k2 && b2 <= g2) {
                        return StaggeredGridLayoutManager.this.getPosition(view);
                    }
                }
                i2 += i4;
            }
            return -1;
        }

        public int h(int i2, int i3, boolean z) {
            return g(i2, i3, false, false, z);
        }

        public int i(int i2) {
            int i3 = this.f1936c;
            if (i3 != Integer.MIN_VALUE) {
                return i3;
            }
            if (this.f1934a.size() == 0) {
                return i2;
            }
            b();
            return this.f1936c;
        }

        public View j(int i2, int i3) {
            View view = null;
            if (i3 != -1) {
                int size = this.f1934a.size() - 1;
                while (size >= 0) {
                    View view2 = this.f1934a.get(size);
                    StaggeredGridLayoutManager staggeredGridLayoutManager = StaggeredGridLayoutManager.this;
                    if (staggeredGridLayoutManager.f1917h && staggeredGridLayoutManager.getPosition(view2) >= i2) {
                        break;
                    }
                    StaggeredGridLayoutManager staggeredGridLayoutManager2 = StaggeredGridLayoutManager.this;
                    if ((!staggeredGridLayoutManager2.f1917h && staggeredGridLayoutManager2.getPosition(view2) <= i2) || !view2.hasFocusable()) {
                        break;
                    }
                    size--;
                    view = view2;
                }
            } else {
                int size2 = this.f1934a.size();
                int i4 = 0;
                while (i4 < size2) {
                    View view3 = this.f1934a.get(i4);
                    StaggeredGridLayoutManager staggeredGridLayoutManager3 = StaggeredGridLayoutManager.this;
                    if (staggeredGridLayoutManager3.f1917h && staggeredGridLayoutManager3.getPosition(view3) <= i2) {
                        break;
                    }
                    StaggeredGridLayoutManager staggeredGridLayoutManager4 = StaggeredGridLayoutManager.this;
                    if ((!staggeredGridLayoutManager4.f1917h && staggeredGridLayoutManager4.getPosition(view3) >= i2) || !view3.hasFocusable()) {
                        break;
                    }
                    i4++;
                    view = view3;
                }
            }
            return view;
        }

        public LayoutParams k(View view) {
            return (LayoutParams) view.getLayoutParams();
        }

        public int l(int i2) {
            int i3 = this.f1935b;
            if (i3 != Integer.MIN_VALUE) {
                return i3;
            }
            if (this.f1934a.size() == 0) {
                return i2;
            }
            c();
            return this.f1935b;
        }

        public void m() {
            int size = this.f1934a.size();
            View remove = this.f1934a.remove(size - 1);
            LayoutParams k2 = k(remove);
            k2.f1922e = null;
            if (k2.c() || k2.b()) {
                this.f1937d -= StaggeredGridLayoutManager.this.f1912c.c(remove);
            }
            if (size == 1) {
                this.f1935b = Integer.MIN_VALUE;
            }
            this.f1936c = Integer.MIN_VALUE;
        }

        public void n() {
            View remove = this.f1934a.remove(0);
            LayoutParams k2 = k(remove);
            k2.f1922e = null;
            if (this.f1934a.size() == 0) {
                this.f1936c = Integer.MIN_VALUE;
            }
            if (k2.c() || k2.b()) {
                this.f1937d -= StaggeredGridLayoutManager.this.f1912c.c(remove);
            }
            this.f1935b = Integer.MIN_VALUE;
        }

        public void o(View view) {
            LayoutParams k2 = k(view);
            k2.f1922e = this;
            this.f1934a.add(0, view);
            this.f1935b = Integer.MIN_VALUE;
            if (this.f1934a.size() == 1) {
                this.f1936c = Integer.MIN_VALUE;
            }
            if (k2.c() || k2.b()) {
                this.f1937d = StaggeredGridLayoutManager.this.f1912c.c(view) + this.f1937d;
            }
        }
    }

    public StaggeredGridLayoutManager(Context context, AttributeSet attributeSet, int i2, int i3) {
        RecyclerView.LayoutManager.Properties properties = RecyclerView.LayoutManager.getProperties(context, attributeSet, i2, i3);
        int i4 = properties.orientation;
        if (i4 == 0 || i4 == 1) {
            assertNotInLayoutOrScroll(null);
            if (i4 != this.f1914e) {
                this.f1914e = i4;
                m mVar = this.f1912c;
                this.f1912c = this.f1913d;
                this.f1913d = mVar;
                requestLayout();
            }
            setSpanCount(properties.spanCount);
            boolean z = properties.reverseLayout;
            assertNotInLayoutOrScroll(null);
            SavedState savedState = this.q;
            if (!(savedState == null || savedState.mReverseLayout == z)) {
                savedState.mReverseLayout = z;
            }
            this.f1917h = z;
            requestLayout();
            this.f1916g = new j();
            this.f1912c = m.a(this, this.f1914e);
            this.f1913d = m.a(this, 1 - this.f1914e);
            return;
        }
        throw new IllegalArgumentException("invalid orientation.");
    }

    public final int a(int i2) {
        if (getChildCount() != 0) {
            if ((i2 < i()) != this.f1918i) {
                return -1;
            }
            return 1;
        } else if (this.f1918i) {
            return 1;
        } else {
            return -1;
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void assertNotInLayoutOrScroll(String str) {
        if (this.q == null) {
            super.assertNotInLayoutOrScroll(str);
        }
    }

    public boolean b() {
        int i2;
        int i3;
        if (getChildCount() == 0 || this.n == 0 || !isAttachedToWindow()) {
            return false;
        }
        if (this.f1918i) {
            i3 = j();
            i2 = i();
        } else {
            i3 = i();
            i2 = j();
        }
        if (i3 == 0 && n() != null) {
            this.m.b();
            requestSimpleAnimationsInNextLayout();
            requestLayout();
            return true;
        } else if (!this.u) {
            return false;
        } else {
            int i4 = this.f1918i ? -1 : 1;
            int i5 = i2 + 1;
            LazySpanLookup.FullSpanItem e2 = this.m.e(i3, i5, i4, true);
            if (e2 == null) {
                this.u = false;
                this.m.d(i5);
                return false;
            }
            LazySpanLookup.FullSpanItem e3 = this.m.e(i3, e2.mPosition, i4 * -1, true);
            if (e3 == null) {
                this.m.d(e2.mPosition);
            } else {
                this.m.d(e3.mPosition + 1);
            }
            requestSimpleAnimationsInNextLayout();
            requestLayout();
            return true;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:130:0x028c  */
    /* JADX WARNING: Removed duplicated region for block: B:137:0x029f  */
    /* JADX WARNING: Removed duplicated region for block: B:144:0x02b7  */
    /* JADX WARNING: Removed duplicated region for block: B:153:0x02d4  */
    /* JADX WARNING: Removed duplicated region for block: B:162:0x0303  */
    /* JADX WARNING: Removed duplicated region for block: B:163:0x030a  */
    /* JADX WARNING: Removed duplicated region for block: B:167:0x0324  */
    /* JADX WARNING: Removed duplicated region for block: B:168:0x0331  */
    /* JADX WARNING: Removed duplicated region for block: B:171:0x033f  */
    /* JADX WARNING: Removed duplicated region for block: B:172:0x0347  */
    /* JADX WARNING: Removed duplicated region for block: B:179:0x0365  */
    /* JADX WARNING: Removed duplicated region for block: B:180:0x036b  */
    public final int c(RecyclerView.p pVar, j jVar, RecyclerView.r rVar) {
        int i2;
        int i3;
        int i4;
        c cVar;
        int i5;
        int i6;
        int i7;
        int i8;
        LayoutParams layoutParams;
        int i9;
        int i10;
        boolean z;
        int i11;
        int i12;
        int i13;
        int i14;
        int i15;
        int i16;
        RecyclerView.p pVar2 = pVar;
        char c2 = 0;
        this.f1919j.set(0, this.f1910a, true);
        if (this.f1916g.f3898i) {
            i2 = jVar.f3894e == 1 ? SubsamplingScaleImageView.TILE_SIZE_AUTO : Integer.MIN_VALUE;
        } else {
            if (jVar.f3894e == 1) {
                i16 = jVar.f3896g + jVar.f3891b;
            } else {
                i16 = jVar.f3895f - jVar.f3891b;
            }
            i2 = i16;
        }
        v(jVar.f3894e, i2);
        if (this.f1918i) {
            i3 = this.f1912c.g();
        } else {
            i3 = this.f1912c.k();
        }
        boolean z2 = false;
        while (true) {
            int i17 = jVar.f3892c;
            if ((i17 >= 0 && i17 < rVar.b()) && (this.f1916g.f3898i || !this.f1919j.isEmpty())) {
                View e2 = pVar2.e(jVar.f3892c);
                jVar.f3892c += jVar.f3893d;
                LayoutParams layoutParams2 = (LayoutParams) e2.getLayoutParams();
                int a2 = layoutParams2.a();
                int[] iArr = this.m.f1924a;
                int i18 = (iArr == null || a2 >= iArr.length) ? -1 : iArr[a2];
                boolean z3 = i18 == -1;
                if (z3) {
                    if (layoutParams2.f1923f) {
                        cVar = this.f1911b[c2];
                    } else {
                        if (p(jVar.f3894e)) {
                            i15 = this.f1910a - 1;
                            i14 = -1;
                            i13 = -1;
                        } else {
                            i14 = this.f1910a;
                            i15 = 0;
                            i13 = 1;
                        }
                        c cVar2 = null;
                        if (jVar.f3894e == 1) {
                            int k2 = this.f1912c.k();
                            int i19 = SubsamplingScaleImageView.TILE_SIZE_AUTO;
                            while (i15 != i14) {
                                c cVar3 = this.f1911b[i15];
                                int i20 = cVar3.i(k2);
                                if (i20 < i19) {
                                    cVar2 = cVar3;
                                    i19 = i20;
                                }
                                i15 += i13;
                            }
                        } else {
                            int g2 = this.f1912c.g();
                            int i21 = Integer.MIN_VALUE;
                            while (i15 != i14) {
                                c cVar4 = this.f1911b[i15];
                                int l2 = cVar4.l(g2);
                                if (l2 > i21) {
                                    cVar2 = cVar4;
                                    i21 = l2;
                                }
                                i15 += i13;
                            }
                        }
                        cVar = cVar2;
                    }
                    LazySpanLookup lazySpanLookup = this.m;
                    lazySpanLookup.c(a2);
                    lazySpanLookup.f1924a[a2] = cVar.f1938e;
                } else {
                    cVar = this.f1911b[i18];
                }
                layoutParams2.f1922e = cVar;
                if (jVar.f3894e == 1) {
                    addView(e2);
                } else {
                    addView(e2, 0);
                }
                if (layoutParams2.f1923f) {
                    if (this.f1914e == 1) {
                        measureChildWithDecorationsAndMargin(e2, this.r, RecyclerView.LayoutManager.getChildMeasureSpec(getHeight(), getHeightMode(), getPaddingBottom() + getPaddingTop(), ((ViewGroup.MarginLayoutParams) layoutParams2).height, true), false);
                    } else {
                        measureChildWithDecorationsAndMargin(e2, RecyclerView.LayoutManager.getChildMeasureSpec(getWidth(), getWidthMode(), getPaddingRight() + getPaddingLeft(), ((ViewGroup.MarginLayoutParams) layoutParams2).width, true), this.r, false);
                    }
                } else if (this.f1914e == 1) {
                    measureChildWithDecorationsAndMargin(e2, RecyclerView.LayoutManager.getChildMeasureSpec(this.f1915f, getWidthMode(), 0, ((ViewGroup.MarginLayoutParams) layoutParams2).width, false), RecyclerView.LayoutManager.getChildMeasureSpec(getHeight(), getHeightMode(), getPaddingBottom() + getPaddingTop(), ((ViewGroup.MarginLayoutParams) layoutParams2).height, true), false);
                } else {
                    measureChildWithDecorationsAndMargin(e2, RecyclerView.LayoutManager.getChildMeasureSpec(getWidth(), getWidthMode(), getPaddingRight() + getPaddingLeft(), ((ViewGroup.MarginLayoutParams) layoutParams2).width, true), RecyclerView.LayoutManager.getChildMeasureSpec(this.f1915f, getHeightMode(), 0, ((ViewGroup.MarginLayoutParams) layoutParams2).height, false), false);
                }
                if (jVar.f3894e == 1) {
                    if (layoutParams2.f1923f) {
                        i12 = k(i3);
                    } else {
                        i12 = cVar.i(i3);
                    }
                    int c3 = this.f1912c.c(e2) + i12;
                    if (z3 && layoutParams2.f1923f) {
                        LazySpanLookup.FullSpanItem fullSpanItem = new LazySpanLookup.FullSpanItem();
                        fullSpanItem.mGapPerSpan = new int[this.f1910a];
                        for (int i22 = 0; i22 < this.f1910a; i22++) {
                            fullSpanItem.mGapPerSpan[i22] = i12 - this.f1911b[i22].i(i12);
                        }
                        fullSpanItem.mGapDir = -1;
                        fullSpanItem.mPosition = a2;
                        this.m.a(fullSpanItem);
                    }
                    i6 = i12;
                    i5 = c3;
                } else {
                    if (layoutParams2.f1923f) {
                        i11 = l(i3);
                    } else {
                        i11 = cVar.l(i3);
                    }
                    int c4 = i11 - this.f1912c.c(e2);
                    if (z3 && layoutParams2.f1923f) {
                        LazySpanLookup.FullSpanItem fullSpanItem2 = new LazySpanLookup.FullSpanItem();
                        fullSpanItem2.mGapPerSpan = new int[this.f1910a];
                        for (int i23 = 0; i23 < this.f1910a; i23++) {
                            fullSpanItem2.mGapPerSpan[i23] = this.f1911b[i23].l(i11) - i11;
                        }
                        fullSpanItem2.mGapDir = 1;
                        fullSpanItem2.mPosition = a2;
                        this.m.a(fullSpanItem2);
                    }
                    i5 = i11;
                    i6 = c4;
                }
                if (layoutParams2.f1923f && jVar.f3893d == -1) {
                    if (z3) {
                        this.u = true;
                    } else {
                        if (jVar.f3894e == 1) {
                            int i24 = this.f1911b[0].i(Integer.MIN_VALUE);
                            int i25 = 1;
                            while (true) {
                                if (i25 >= this.f1910a) {
                                    break;
                                } else if (this.f1911b[i25].i(Integer.MIN_VALUE) != i24) {
                                    break;
                                } else {
                                    i25++;
                                }
                            }
                            z = true;
                            if (!z) {
                                LazySpanLookup.FullSpanItem f2 = this.m.f(a2);
                                if (f2 != null) {
                                    f2.mHasUnwantedGapAfter = true;
                                }
                                this.u = true;
                            }
                            if (jVar.f3894e != 1) {
                                if (layoutParams2.f1923f) {
                                    int i26 = this.f1910a;
                                    while (true) {
                                        i26--;
                                        if (i26 < 0) {
                                            break;
                                        }
                                        this.f1911b[i26].a(e2);
                                    }
                                } else {
                                    layoutParams2.f1922e.a(e2);
                                }
                            } else if (layoutParams2.f1923f) {
                                int i27 = this.f1910a;
                                while (true) {
                                    i27--;
                                    if (i27 < 0) {
                                        break;
                                    }
                                    this.f1911b[i27].o(e2);
                                }
                            } else {
                                layoutParams2.f1922e.o(e2);
                            }
                            if (isLayoutRTL() || this.f1914e != 1) {
                                if (!layoutParams2.f1923f) {
                                    i9 = this.f1913d.k();
                                } else {
                                    i9 = (cVar.f1938e * this.f1915f) + this.f1913d.k();
                                }
                                i8 = i9;
                                i7 = this.f1913d.c(e2) + i9;
                            } else {
                                if (layoutParams2.f1923f) {
                                    i10 = this.f1913d.g();
                                } else {
                                    i10 = this.f1913d.g() - (((this.f1910a - 1) - cVar.f1938e) * this.f1915f);
                                }
                                i7 = i10;
                                i8 = i10 - this.f1913d.c(e2);
                            }
                            if (this.f1914e != 1) {
                                layoutDecoratedWithMargins(e2, i8, i6, i7, i5);
                                layoutParams = layoutParams2;
                            } else {
                                layoutParams = layoutParams2;
                                layoutDecoratedWithMargins(e2, i6, i8, i5, i7);
                            }
                            if (!layoutParams.f1923f) {
                                v(this.f1916g.f3894e, i2);
                            } else {
                                x(cVar, this.f1916g.f3894e, i2);
                            }
                            r(pVar, this.f1916g);
                            if (this.f1916g.f3897h && e2.hasFocusable()) {
                                if (!layoutParams.f1923f) {
                                    this.f1919j.clear();
                                } else {
                                    this.f1919j.set(cVar.f1938e, false);
                                    pVar2 = pVar;
                                    z2 = true;
                                    c2 = 0;
                                }
                            }
                            pVar2 = pVar;
                            z2 = true;
                            c2 = 0;
                        } else {
                            int l3 = this.f1911b[0].l(Integer.MIN_VALUE);
                            int i28 = 1;
                            while (true) {
                                if (i28 >= this.f1910a) {
                                    break;
                                } else if (this.f1911b[i28].l(Integer.MIN_VALUE) != l3) {
                                    break;
                                } else {
                                    i28++;
                                }
                            }
                            z = true;
                            if (!z) {
                            }
                            if (jVar.f3894e != 1) {
                            }
                            if (isLayoutRTL()) {
                            }
                            if (!layoutParams2.f1923f) {
                            }
                            i8 = i9;
                            i7 = this.f1913d.c(e2) + i9;
                            if (this.f1914e != 1) {
                            }
                            if (!layoutParams.f1923f) {
                            }
                            r(pVar, this.f1916g);
                            if (!layoutParams.f1923f) {
                            }
                        }
                        z = false;
                        if (!z) {
                        }
                        if (jVar.f3894e != 1) {
                        }
                        if (isLayoutRTL()) {
                        }
                        if (!layoutParams2.f1923f) {
                        }
                        i8 = i9;
                        i7 = this.f1913d.c(e2) + i9;
                        if (this.f1914e != 1) {
                        }
                        if (!layoutParams.f1923f) {
                        }
                        r(pVar, this.f1916g);
                        if (!layoutParams.f1923f) {
                        }
                    }
                }
                if (jVar.f3894e != 1) {
                }
                if (isLayoutRTL()) {
                }
                if (!layoutParams2.f1923f) {
                }
                i8 = i9;
                i7 = this.f1913d.c(e2) + i9;
                if (this.f1914e != 1) {
                }
                if (!layoutParams.f1923f) {
                }
                r(pVar, this.f1916g);
                if (!layoutParams.f1923f) {
                }
            }
        }
        if (!z2) {
            r(pVar2, this.f1916g);
        }
        if (this.f1916g.f3894e == -1) {
            i4 = this.f1912c.k() - l(this.f1912c.k());
        } else {
            i4 = k(this.f1912c.g()) - this.f1912c.g();
        }
        if (i4 > 0) {
            return Math.min(jVar.f3891b, i4);
        }
        return 0;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public boolean canScrollHorizontally() {
        return this.f1914e == 0;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public boolean canScrollVertically() {
        return this.f1914e == 1;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public boolean checkLayoutParams(RecyclerView.l lVar) {
        return lVar instanceof LayoutParams;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void collectAdjacentPrefetchPositions(int i2, int i3, RecyclerView.r rVar, RecyclerView.LayoutManager.LayoutPrefetchRegistry layoutPrefetchRegistry) {
        int i4;
        int i5;
        if (this.f1914e != 0) {
            i2 = i3;
        }
        if (!(getChildCount() == 0 || i2 == 0)) {
            q(i2, rVar);
            int[] iArr = this.w;
            if (iArr == null || iArr.length < this.f1910a) {
                this.w = new int[this.f1910a];
            }
            int i6 = 0;
            for (int i7 = 0; i7 < this.f1910a; i7++) {
                j jVar = this.f1916g;
                if (jVar.f3893d == -1) {
                    i5 = jVar.f3895f;
                    i4 = this.f1911b[i7].l(i5);
                } else {
                    i5 = this.f1911b[i7].i(jVar.f3896g);
                    i4 = this.f1916g.f3896g;
                }
                int i8 = i5 - i4;
                if (i8 >= 0) {
                    this.w[i6] = i8;
                    i6++;
                }
            }
            Arrays.sort(this.w, 0, i6);
            for (int i9 = 0; i9 < i6; i9++) {
                int i10 = this.f1916g.f3892c;
                if (i10 >= 0 && i10 < rVar.b()) {
                    ((h.b) layoutPrefetchRegistry).addPosition(this.f1916g.f3892c, this.w[i9]);
                    j jVar2 = this.f1916g;
                    jVar2.f3892c += jVar2.f3893d;
                } else {
                    return;
                }
            }
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int computeHorizontalScrollExtent(RecyclerView.r rVar) {
        return computeScrollExtent(rVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int computeHorizontalScrollOffset(RecyclerView.r rVar) {
        return computeScrollOffset(rVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int computeHorizontalScrollRange(RecyclerView.r rVar) {
        return computeScrollRange(rVar);
    }

    public final int computeScrollExtent(RecyclerView.r rVar) {
        if (getChildCount() == 0) {
            return 0;
        }
        return n.S(rVar, this.f1912c, e(!this.v), d(!this.v), this, this.v);
    }

    public final int computeScrollOffset(RecyclerView.r rVar) {
        if (getChildCount() == 0) {
            return 0;
        }
        return n.T(rVar, this.f1912c, e(!this.v), d(!this.v), this, this.v, this.f1918i);
    }

    public final int computeScrollRange(RecyclerView.r rVar) {
        if (getChildCount() == 0) {
            return 0;
        }
        return n.U(rVar, this.f1912c, e(!this.v), d(!this.v), this, this.v);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.SmoothScroller.ScrollVectorProvider
    public PointF computeScrollVectorForPosition(int i2) {
        int a2 = a(i2);
        PointF pointF = new PointF();
        if (a2 == 0) {
            return null;
        }
        if (this.f1914e == 0) {
            pointF.x = (float) a2;
            pointF.y = 0.0f;
        } else {
            pointF.x = 0.0f;
            pointF.y = (float) a2;
        }
        return pointF;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int computeVerticalScrollExtent(RecyclerView.r rVar) {
        return computeScrollExtent(rVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int computeVerticalScrollOffset(RecyclerView.r rVar) {
        return computeScrollOffset(rVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int computeVerticalScrollRange(RecyclerView.r rVar) {
        return computeScrollRange(rVar);
    }

    public View d(boolean z) {
        int k2 = this.f1912c.k();
        int g2 = this.f1912c.g();
        View view = null;
        for (int childCount = getChildCount() - 1; childCount >= 0; childCount--) {
            View childAt = getChildAt(childCount);
            int e2 = this.f1912c.e(childAt);
            int b2 = this.f1912c.b(childAt);
            if (b2 > k2 && e2 < g2) {
                if (b2 <= g2 || !z) {
                    return childAt;
                }
                if (view == null) {
                    view = childAt;
                }
            }
        }
        return view;
    }

    public View e(boolean z) {
        int k2 = this.f1912c.k();
        int g2 = this.f1912c.g();
        int childCount = getChildCount();
        View view = null;
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = getChildAt(i2);
            int e2 = this.f1912c.e(childAt);
            if (this.f1912c.b(childAt) > k2 && e2 < g2) {
                if (e2 >= k2 || !z) {
                    return childAt;
                }
                if (view == null) {
                    view = childAt;
                }
            }
        }
        return view;
    }

    public int[] f(int[] iArr) {
        int i2;
        if (iArr == null) {
            iArr = new int[this.f1910a];
        } else if (iArr.length < this.f1910a) {
            StringBuilder B = d.a.a.a.a.B("Provided int[]'s size must be more than or equal to span count. Expected:");
            B.append(this.f1910a);
            B.append(", array size:");
            B.append(iArr.length);
            throw new IllegalArgumentException(B.toString());
        }
        for (int i3 = 0; i3 < this.f1910a; i3++) {
            c cVar = this.f1911b[i3];
            if (StaggeredGridLayoutManager.this.f1917h) {
                i2 = cVar.g(0, cVar.f1934a.size(), true, true, false);
            } else {
                i2 = cVar.g(cVar.f1934a.size() - 1, -1, true, true, false);
            }
            iArr[i3] = i2;
        }
        return iArr;
    }

    public final void g(RecyclerView.p pVar, RecyclerView.r rVar, boolean z) {
        int g2;
        int k2 = k(Integer.MIN_VALUE);
        if (k2 != Integer.MIN_VALUE && (g2 = this.f1912c.g() - k2) > 0) {
            int i2 = g2 - (-scrollBy(-g2, pVar, rVar));
            if (z && i2 > 0) {
                this.f1912c.p(i2);
            }
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public RecyclerView.l generateDefaultLayoutParams() {
        if (this.f1914e == 0) {
            return new LayoutParams(-2, -1);
        }
        return new LayoutParams(-1, -2);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public RecyclerView.l generateLayoutParams(Context context, AttributeSet attributeSet) {
        return new LayoutParams(context, attributeSet);
    }

    public final void h(RecyclerView.p pVar, RecyclerView.r rVar, boolean z) {
        int k2;
        int l2 = l(SubsamplingScaleImageView.TILE_SIZE_AUTO);
        if (l2 != Integer.MAX_VALUE && (k2 = l2 - this.f1912c.k()) > 0) {
            int scrollBy = k2 - scrollBy(k2, pVar, rVar);
            if (z && scrollBy > 0) {
                this.f1912c.p(-scrollBy);
            }
        }
    }

    public int i() {
        if (getChildCount() == 0) {
            return 0;
        }
        return getPosition(getChildAt(0));
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public boolean isAutoMeasureEnabled() {
        return this.n != 0;
    }

    public boolean isLayoutRTL() {
        return getLayoutDirection() == 1;
    }

    public int j() {
        int childCount = getChildCount();
        if (childCount == 0) {
            return 0;
        }
        return getPosition(getChildAt(childCount - 1));
    }

    public final int k(int i2) {
        int i3 = this.f1911b[0].i(i2);
        for (int i4 = 1; i4 < this.f1910a; i4++) {
            int i5 = this.f1911b[i4].i(i2);
            if (i5 > i3) {
                i3 = i5;
            }
        }
        return i3;
    }

    public final int l(int i2) {
        int l2 = this.f1911b[0].l(i2);
        for (int i3 = 1; i3 < this.f1910a; i3++) {
            int l3 = this.f1911b[i3].l(i2);
            if (l3 < l2) {
                l2 = l3;
            }
        }
        return l2;
    }

    /* JADX WARNING: Removed duplicated region for block: B:13:0x0025  */
    /* JADX WARNING: Removed duplicated region for block: B:18:0x003c  */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x0043 A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:21:0x0044  */
    public final void m(int i2, int i3, int i4) {
        int i5;
        int i6;
        int j2 = this.f1918i ? j() : i();
        if (i4 != 8) {
            i6 = i2 + i3;
        } else if (i2 < i3) {
            i6 = i3 + 1;
        } else {
            i6 = i2 + 1;
            i5 = i3;
            this.m.g(i5);
            if (i4 != 1) {
                this.m.h(i2, i3);
            } else if (i4 == 2) {
                this.m.i(i2, i3);
            } else if (i4 == 8) {
                this.m.i(i2, 1);
                this.m.h(i3, 1);
            }
            if (i6 <= j2) {
                if (i5 <= (this.f1918i ? i() : j())) {
                    requestLayout();
                    return;
                }
                return;
            }
            return;
        }
        i5 = i2;
        this.m.g(i5);
        if (i4 != 1) {
        }
        if (i6 <= j2) {
        }
    }

    public final void measureChildWithDecorationsAndMargin(View view, int i2, int i3, boolean z) {
        boolean z2;
        calculateItemDecorationsForChild(view, this.s);
        LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
        int i4 = ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin;
        Rect rect = this.s;
        int y = y(i2, i4 + rect.left, ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin + rect.right);
        int i5 = ((ViewGroup.MarginLayoutParams) layoutParams).topMargin;
        Rect rect2 = this.s;
        int y2 = y(i3, i5 + rect2.top, ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin + rect2.bottom);
        if (z) {
            z2 = shouldReMeasureChild(view, y, y2, layoutParams);
        } else {
            z2 = shouldMeasureChild(view, y, y2, layoutParams);
        }
        if (z2) {
            view.measure(y, y2);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:44:0x00c1, code lost:
        if (r11 == r12) goto L_0x00d5;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:48:0x00d3, code lost:
        if (r11 == r12) goto L_0x00d5;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:50:0x00d7, code lost:
        r11 = false;
     */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x009a  */
    /* JADX WARNING: Removed duplicated region for block: B:64:0x0099 A[SYNTHETIC] */
    public View n() {
        int i2;
        int i3;
        boolean z;
        boolean z2;
        int childCount = getChildCount() - 1;
        BitSet bitSet = new BitSet(this.f1910a);
        bitSet.set(0, this.f1910a, true);
        char c2 = (this.f1914e != 1 || !isLayoutRTL()) ? (char) 65535 : 1;
        if (this.f1918i) {
            i2 = -1;
        } else {
            i2 = childCount + 1;
            childCount = 0;
        }
        int i4 = childCount < i2 ? 1 : -1;
        while (childCount != i2) {
            View childAt = getChildAt(childCount);
            LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
            if (bitSet.get(layoutParams.f1922e.f1938e)) {
                c cVar = layoutParams.f1922e;
                if (this.f1918i) {
                    int i5 = cVar.f1936c;
                    if (i5 == Integer.MIN_VALUE) {
                        cVar.b();
                        i5 = cVar.f1936c;
                    }
                    if (i5 < this.f1912c.g()) {
                        ArrayList<View> arrayList = cVar.f1934a;
                        z2 = cVar.k(arrayList.get(arrayList.size() - 1)).f1923f;
                    }
                    z = false;
                    if (z) {
                        return childAt;
                    }
                    bitSet.clear(layoutParams.f1922e.f1938e);
                } else {
                    int i6 = cVar.f1935b;
                    if (i6 == Integer.MIN_VALUE) {
                        cVar.c();
                        i6 = cVar.f1935b;
                    }
                    if (i6 > this.f1912c.k()) {
                        z2 = cVar.k(cVar.f1934a.get(0)).f1923f;
                    }
                    z = false;
                    if (z) {
                    }
                }
                z = !z2;
                if (z) {
                }
            }
            if (!layoutParams.f1923f && (i3 = childCount + i4) != i2) {
                View childAt2 = getChildAt(i3);
                if (this.f1918i) {
                    int b2 = this.f1912c.b(childAt);
                    int b3 = this.f1912c.b(childAt2);
                    if (b2 < b3) {
                        return childAt;
                    }
                } else {
                    int e2 = this.f1912c.e(childAt);
                    int e3 = this.f1912c.e(childAt2);
                    if (e2 > e3) {
                        return childAt;
                    }
                }
                boolean z3 = true;
                if (!z3) {
                    continue;
                } else {
                    if ((layoutParams.f1922e.f1938e - ((LayoutParams) childAt2.getLayoutParams()).f1922e.f1938e < 0) != (c2 < 0)) {
                        return childAt;
                    }
                }
            }
            childCount += i4;
        }
        return null;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:236:0x041f, code lost:
        if (b() != false) goto L_0x0423;
     */
    /* JADX WARNING: Removed duplicated region for block: B:105:0x01b4  */
    public final void o(RecyclerView.p pVar, RecyclerView.r rVar, boolean z) {
        SavedState savedState;
        int i2;
        boolean z2;
        int i3;
        int i4;
        int i5;
        int i6;
        int i7;
        b bVar = this.t;
        if (!(this.q == null && this.f1920k == -1) && rVar.b() == 0) {
            removeAndRecycleAllViews(pVar);
            bVar.b();
            return;
        }
        boolean z3 = true;
        boolean z4 = (bVar.f1931e && this.f1920k == -1 && this.q == null) ? false : true;
        if (z4) {
            bVar.b();
            SavedState savedState2 = this.q;
            if (savedState2 != null) {
                int i8 = savedState2.mSpanOffsetsSize;
                if (i8 > 0) {
                    if (i8 == this.f1910a) {
                        for (int i9 = 0; i9 < this.f1910a; i9++) {
                            this.f1911b[i9].d();
                            SavedState savedState3 = this.q;
                            int i10 = savedState3.mSpanOffsets[i9];
                            if (i10 != Integer.MIN_VALUE) {
                                if (savedState3.mAnchorLayoutFromEnd) {
                                    i7 = this.f1912c.g();
                                } else {
                                    i7 = this.f1912c.k();
                                }
                                i10 += i7;
                            }
                            c cVar = this.f1911b[i9];
                            cVar.f1935b = i10;
                            cVar.f1936c = i10;
                        }
                    } else {
                        savedState2.invalidateSpanInfo();
                        SavedState savedState4 = this.q;
                        savedState4.mAnchorPosition = savedState4.mVisibleAnchorPosition;
                    }
                }
                SavedState savedState5 = this.q;
                this.p = savedState5.mLastLayoutRTL;
                boolean z5 = savedState5.mReverseLayout;
                assertNotInLayoutOrScroll(null);
                SavedState savedState6 = this.q;
                if (!(savedState6 == null || savedState6.mReverseLayout == z5)) {
                    savedState6.mReverseLayout = z5;
                }
                this.f1917h = z5;
                requestLayout();
                resolveShouldLayoutReverse();
                SavedState savedState7 = this.q;
                int i11 = savedState7.mAnchorPosition;
                if (i11 != -1) {
                    this.f1920k = i11;
                    bVar.f1929c = savedState7.mAnchorLayoutFromEnd;
                } else {
                    bVar.f1929c = this.f1918i;
                }
                if (savedState7.mSpanLookupSize > 1) {
                    LazySpanLookup lazySpanLookup = this.m;
                    lazySpanLookup.f1924a = savedState7.mSpanLookup;
                    lazySpanLookup.f1925b = savedState7.mFullSpanItems;
                }
            } else {
                resolveShouldLayoutReverse();
                bVar.f1929c = this.f1918i;
            }
            if (!rVar.f1886g && (i4 = this.f1920k) != -1) {
                if (i4 < 0 || i4 >= rVar.b()) {
                    this.f1920k = -1;
                    this.f1921l = Integer.MIN_VALUE;
                } else {
                    SavedState savedState8 = this.q;
                    if (savedState8 == null || savedState8.mAnchorPosition == -1 || savedState8.mSpanOffsetsSize < 1) {
                        View findViewByPosition = findViewByPosition(this.f1920k);
                        if (findViewByPosition != null) {
                            if (this.f1918i) {
                                i5 = j();
                            } else {
                                i5 = i();
                            }
                            bVar.f1927a = i5;
                            if (this.f1921l != Integer.MIN_VALUE) {
                                if (bVar.f1929c) {
                                    bVar.f1928b = (this.f1912c.g() - this.f1921l) - this.f1912c.b(findViewByPosition);
                                } else {
                                    bVar.f1928b = (this.f1912c.k() + this.f1921l) - this.f1912c.e(findViewByPosition);
                                }
                            } else if (this.f1912c.c(findViewByPosition) > this.f1912c.l()) {
                                if (bVar.f1929c) {
                                    i6 = this.f1912c.g();
                                } else {
                                    i6 = this.f1912c.k();
                                }
                                bVar.f1928b = i6;
                            } else {
                                int e2 = this.f1912c.e(findViewByPosition) - this.f1912c.k();
                                if (e2 < 0) {
                                    bVar.f1928b = -e2;
                                } else {
                                    int g2 = this.f1912c.g() - this.f1912c.b(findViewByPosition);
                                    if (g2 < 0) {
                                        bVar.f1928b = g2;
                                    } else {
                                        bVar.f1928b = Integer.MIN_VALUE;
                                    }
                                }
                            }
                        } else {
                            int i12 = this.f1920k;
                            bVar.f1927a = i12;
                            int i13 = this.f1921l;
                            if (i13 == Integer.MIN_VALUE) {
                                bVar.f1929c = a(i12) == 1;
                                bVar.a();
                            } else if (bVar.f1929c) {
                                bVar.f1928b = StaggeredGridLayoutManager.this.f1912c.g() - i13;
                            } else {
                                bVar.f1928b = StaggeredGridLayoutManager.this.f1912c.k() + i13;
                            }
                            bVar.f1930d = true;
                        }
                    } else {
                        bVar.f1928b = Integer.MIN_VALUE;
                        bVar.f1927a = this.f1920k;
                    }
                    z2 = true;
                    if (!z2) {
                        if (!this.o) {
                            int b2 = rVar.b();
                            int childCount = getChildCount();
                            int i14 = 0;
                            while (true) {
                                if (i14 >= childCount) {
                                    break;
                                }
                                int position = getPosition(getChildAt(i14));
                                if (position >= 0 && position < b2) {
                                    i3 = position;
                                    break;
                                }
                                i14++;
                            }
                        } else {
                            int b3 = rVar.b();
                            int childCount2 = getChildCount();
                            while (true) {
                                childCount2--;
                                if (childCount2 < 0) {
                                    break;
                                }
                                i3 = getPosition(getChildAt(childCount2));
                                if (i3 >= 0 && i3 < b3) {
                                    break;
                                }
                            }
                            bVar.f1927a = i3;
                            bVar.f1928b = Integer.MIN_VALUE;
                        }
                        i3 = 0;
                        bVar.f1927a = i3;
                        bVar.f1928b = Integer.MIN_VALUE;
                    }
                    bVar.f1931e = true;
                }
            }
            z2 = false;
            if (!z2) {
            }
            bVar.f1931e = true;
        }
        if (this.q == null && this.f1920k == -1 && !(bVar.f1929c == this.o && isLayoutRTL() == this.p)) {
            this.m.b();
            bVar.f1930d = true;
        }
        if (getChildCount() > 0 && ((savedState = this.q) == null || savedState.mSpanOffsetsSize < 1)) {
            if (bVar.f1930d) {
                for (int i15 = 0; i15 < this.f1910a; i15++) {
                    this.f1911b[i15].d();
                    int i16 = bVar.f1928b;
                    if (i16 != Integer.MIN_VALUE) {
                        c cVar2 = this.f1911b[i15];
                        cVar2.f1935b = i16;
                        cVar2.f1936c = i16;
                    }
                }
            } else if (z4 || this.t.f1932f == null) {
                for (int i17 = 0; i17 < this.f1910a; i17++) {
                    c cVar3 = this.f1911b[i17];
                    boolean z6 = this.f1918i;
                    int i18 = bVar.f1928b;
                    if (z6) {
                        i2 = cVar3.i(Integer.MIN_VALUE);
                    } else {
                        i2 = cVar3.l(Integer.MIN_VALUE);
                    }
                    cVar3.d();
                    if (i2 != Integer.MIN_VALUE && ((!z6 || i2 >= StaggeredGridLayoutManager.this.f1912c.g()) && (z6 || i2 <= StaggeredGridLayoutManager.this.f1912c.k()))) {
                        if (i18 != Integer.MIN_VALUE) {
                            i2 += i18;
                        }
                        cVar3.f1936c = i2;
                        cVar3.f1935b = i2;
                    }
                }
                b bVar2 = this.t;
                c[] cVarArr = this.f1911b;
                Objects.requireNonNull(bVar2);
                int length = cVarArr.length;
                int[] iArr = bVar2.f1932f;
                if (iArr == null || iArr.length < length) {
                    bVar2.f1932f = new int[StaggeredGridLayoutManager.this.f1911b.length];
                }
                for (int i19 = 0; i19 < length; i19++) {
                    bVar2.f1932f[i19] = cVarArr[i19].l(Integer.MIN_VALUE);
                }
            } else {
                for (int i20 = 0; i20 < this.f1910a; i20++) {
                    c cVar4 = this.f1911b[i20];
                    cVar4.d();
                    int i21 = this.t.f1932f[i20];
                    cVar4.f1935b = i21;
                    cVar4.f1936c = i21;
                }
            }
        }
        detachAndScrapAttachedViews(pVar);
        this.f1916g.f3890a = false;
        this.u = false;
        int l2 = this.f1913d.l();
        this.f1915f = l2 / this.f1910a;
        this.r = View.MeasureSpec.makeMeasureSpec(l2, this.f1913d.i());
        w(bVar.f1927a, rVar);
        if (bVar.f1929c) {
            u(-1);
            c(pVar, this.f1916g, rVar);
            u(1);
            j jVar = this.f1916g;
            jVar.f3892c = bVar.f1927a + jVar.f3893d;
            c(pVar, jVar, rVar);
        } else {
            u(1);
            c(pVar, this.f1916g, rVar);
            u(-1);
            j jVar2 = this.f1916g;
            jVar2.f3892c = bVar.f1927a + jVar2.f3893d;
            c(pVar, jVar2, rVar);
        }
        if (this.f1913d.i() != 1073741824) {
            float f2 = 0.0f;
            int childCount3 = getChildCount();
            for (int i22 = 0; i22 < childCount3; i22++) {
                View childAt = getChildAt(i22);
                float c2 = (float) this.f1913d.c(childAt);
                if (c2 >= f2) {
                    if (((LayoutParams) childAt.getLayoutParams()).f1923f) {
                        c2 = (c2 * 1.0f) / ((float) this.f1910a);
                    }
                    f2 = Math.max(f2, c2);
                }
            }
            int i23 = this.f1915f;
            int round = Math.round(f2 * ((float) this.f1910a));
            if (this.f1913d.i() == Integer.MIN_VALUE) {
                round = Math.min(round, this.f1913d.l());
            }
            this.f1915f = round / this.f1910a;
            this.r = View.MeasureSpec.makeMeasureSpec(round, this.f1913d.i());
            if (this.f1915f != i23) {
                for (int i24 = 0; i24 < childCount3; i24++) {
                    View childAt2 = getChildAt(i24);
                    LayoutParams layoutParams = (LayoutParams) childAt2.getLayoutParams();
                    if (!layoutParams.f1923f) {
                        if (!isLayoutRTL() || this.f1914e != 1) {
                            int i25 = layoutParams.f1922e.f1938e;
                            int i26 = this.f1915f * i25;
                            int i27 = i25 * i23;
                            if (this.f1914e == 1) {
                                childAt2.offsetLeftAndRight(i26 - i27);
                            } else {
                                childAt2.offsetTopAndBottom(i26 - i27);
                            }
                        } else {
                            int i28 = this.f1910a;
                            int i29 = layoutParams.f1922e.f1938e;
                            childAt2.offsetLeftAndRight(((-((i28 - 1) - i29)) * this.f1915f) - ((-((i28 - 1) - i29)) * i23));
                        }
                    }
                }
            }
        }
        if (getChildCount() > 0) {
            if (this.f1918i) {
                g(pVar, rVar, true);
                h(pVar, rVar, false);
            } else {
                h(pVar, rVar, true);
                g(pVar, rVar, false);
            }
        }
        if (z && !rVar.f1886g) {
            if (this.n != 0 && getChildCount() > 0 && (this.u || n() != null)) {
                removeCallbacks(this.x);
            }
        }
        z3 = false;
        if (rVar.f1886g) {
            this.t.b();
        }
        this.o = bVar.f1929c;
        this.p = isLayoutRTL();
        if (z3) {
            this.t.b();
            o(pVar, rVar, false);
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void offsetChildrenHorizontal(int i2) {
        super.offsetChildrenHorizontal(i2);
        for (int i3 = 0; i3 < this.f1910a; i3++) {
            c cVar = this.f1911b[i3];
            int i4 = cVar.f1935b;
            if (i4 != Integer.MIN_VALUE) {
                cVar.f1935b = i4 + i2;
            }
            int i5 = cVar.f1936c;
            if (i5 != Integer.MIN_VALUE) {
                cVar.f1936c = i5 + i2;
            }
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void offsetChildrenVertical(int i2) {
        super.offsetChildrenVertical(i2);
        for (int i3 = 0; i3 < this.f1910a; i3++) {
            c cVar = this.f1911b[i3];
            int i4 = cVar.f1935b;
            if (i4 != Integer.MIN_VALUE) {
                cVar.f1935b = i4 + i2;
            }
            int i5 = cVar.f1936c;
            if (i5 != Integer.MIN_VALUE) {
                cVar.f1936c = i5 + i2;
            }
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onAdapterChanged(RecyclerView.Adapter adapter, RecyclerView.Adapter adapter2) {
        this.m.b();
        for (int i2 = 0; i2 < this.f1910a; i2++) {
            this.f1911b[i2].d();
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onDetachedFromWindow(RecyclerView recyclerView, RecyclerView.p pVar) {
        super.onDetachedFromWindow(recyclerView, pVar);
        removeCallbacks(this.x);
        for (int i2 = 0; i2 < this.f1910a; i2++) {
            this.f1911b[i2].d();
        }
        recyclerView.requestLayout();
    }

    /* JADX WARNING: Code restructure failed: missing block: B:25:0x003c, code lost:
        if (r9.f1914e == 1) goto L_0x003e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:28:0x0042, code lost:
        if (r9.f1914e == 0) goto L_0x003e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:32:0x004e, code lost:
        if (isLayoutRTL() == false) goto L_0x0030;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:36:0x005a, code lost:
        if (isLayoutRTL() == false) goto L_0x003e;
     */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x005f A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x0060  */
    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public View onFocusSearchFailed(View view, int i2, RecyclerView.p pVar, RecyclerView.r rVar) {
        View findContainingItemView;
        int i3;
        int i4;
        int i5;
        int i6;
        int i7;
        View j2;
        if (getChildCount() == 0 || (findContainingItemView = findContainingItemView(view)) == null) {
            return null;
        }
        resolveShouldLayoutReverse();
        if (i2 == 1) {
            if (this.f1914e != 1) {
            }
            i3 = -1;
            if (i3 == Integer.MIN_VALUE) {
            }
        } else if (i2 != 2) {
            if (i2 != 17) {
                if (i2 != 33) {
                    if (i2 == 66) {
                    }
                }
            }
            i3 = Integer.MIN_VALUE;
            if (i3 == Integer.MIN_VALUE) {
                return null;
            }
            LayoutParams layoutParams = (LayoutParams) findContainingItemView.getLayoutParams();
            boolean z = layoutParams.f1923f;
            c cVar = layoutParams.f1922e;
            if (i3 == 1) {
                i4 = j();
            } else {
                i4 = i();
            }
            w(i4, rVar);
            u(i3);
            j jVar = this.f1916g;
            jVar.f3892c = jVar.f3893d + i4;
            jVar.f3891b = (int) (((float) this.f1912c.l()) * 0.33333334f);
            j jVar2 = this.f1916g;
            jVar2.f3897h = true;
            jVar2.f3890a = false;
            c(pVar, jVar2, rVar);
            this.o = this.f1918i;
            if (!(z || (j2 = cVar.j(i4, i3)) == null || j2 == findContainingItemView)) {
                return j2;
            }
            if (p(i3)) {
                for (int i8 = this.f1910a - 1; i8 >= 0; i8--) {
                    View j3 = this.f1911b[i8].j(i4, i3);
                    if (!(j3 == null || j3 == findContainingItemView)) {
                        return j3;
                    }
                }
            } else {
                for (int i9 = 0; i9 < this.f1910a; i9++) {
                    View j4 = this.f1911b[i9].j(i4, i3);
                    if (!(j4 == null || j4 == findContainingItemView)) {
                        return j4;
                    }
                }
            }
            boolean z2 = (this.f1917h ^ true) == (i3 == -1);
            if (!z) {
                if (z2) {
                    i7 = cVar.e();
                } else {
                    i7 = cVar.f();
                }
                View findViewByPosition = findViewByPosition(i7);
                if (!(findViewByPosition == null || findViewByPosition == findContainingItemView)) {
                    return findViewByPosition;
                }
            }
            if (p(i3)) {
                for (int i10 = this.f1910a - 1; i10 >= 0; i10--) {
                    if (i10 != cVar.f1938e) {
                        if (z2) {
                            i6 = this.f1911b[i10].e();
                        } else {
                            i6 = this.f1911b[i10].f();
                        }
                        View findViewByPosition2 = findViewByPosition(i6);
                        if (!(findViewByPosition2 == null || findViewByPosition2 == findContainingItemView)) {
                            return findViewByPosition2;
                        }
                    }
                }
            } else {
                for (int i11 = 0; i11 < this.f1910a; i11++) {
                    if (z2) {
                        i5 = this.f1911b[i11].e();
                    } else {
                        i5 = this.f1911b[i11].f();
                    }
                    View findViewByPosition3 = findViewByPosition(i5);
                    if (!(findViewByPosition3 == null || findViewByPosition3 == findContainingItemView)) {
                        return findViewByPosition3;
                    }
                }
            }
            return null;
        } else if (this.f1914e != 1) {
        }
        i3 = 1;
        if (i3 == Integer.MIN_VALUE) {
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        super.onInitializeAccessibilityEvent(accessibilityEvent);
        if (getChildCount() > 0) {
            View e2 = e(false);
            View d2 = d(false);
            if (e2 != null && d2 != null) {
                int position = getPosition(e2);
                int position2 = getPosition(d2);
                if (position < position2) {
                    accessibilityEvent.setFromIndex(position);
                    accessibilityEvent.setToIndex(position2);
                    return;
                }
                accessibilityEvent.setFromIndex(position2);
                accessibilityEvent.setToIndex(position);
            }
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onItemsAdded(RecyclerView recyclerView, int i2, int i3) {
        m(i2, i3, 1);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onItemsChanged(RecyclerView recyclerView) {
        this.m.b();
        requestLayout();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onItemsMoved(RecyclerView recyclerView, int i2, int i3, int i4) {
        m(i2, i3, 8);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onItemsRemoved(RecyclerView recyclerView, int i2, int i3) {
        m(i2, i3, 2);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onItemsUpdated(RecyclerView recyclerView, int i2, int i3, Object obj) {
        m(i2, i3, 4);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onLayoutChildren(RecyclerView.p pVar, RecyclerView.r rVar) {
        o(pVar, rVar, true);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onLayoutCompleted(RecyclerView.r rVar) {
        super.onLayoutCompleted(rVar);
        this.f1920k = -1;
        this.f1921l = Integer.MIN_VALUE;
        this.q = null;
        this.t.b();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (parcelable instanceof SavedState) {
            SavedState savedState = (SavedState) parcelable;
            this.q = savedState;
            if (this.f1920k != -1) {
                savedState.invalidateAnchorPositionInfo();
                this.q.invalidateSpanInfo();
            }
            requestLayout();
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public Parcelable onSaveInstanceState() {
        int i2;
        View view;
        int i3;
        int i4;
        int[] iArr;
        SavedState savedState = this.q;
        if (savedState != null) {
            return new SavedState(savedState);
        }
        SavedState savedState2 = new SavedState();
        savedState2.mReverseLayout = this.f1917h;
        savedState2.mAnchorLayoutFromEnd = this.o;
        savedState2.mLastLayoutRTL = this.p;
        LazySpanLookup lazySpanLookup = this.m;
        if (lazySpanLookup == null || (iArr = lazySpanLookup.f1924a) == null) {
            savedState2.mSpanLookupSize = 0;
        } else {
            savedState2.mSpanLookup = iArr;
            savedState2.mSpanLookupSize = iArr.length;
            savedState2.mFullSpanItems = lazySpanLookup.f1925b;
        }
        int i5 = -1;
        if (getChildCount() > 0) {
            if (this.o) {
                i2 = j();
            } else {
                i2 = i();
            }
            savedState2.mAnchorPosition = i2;
            if (this.f1918i) {
                view = d(true);
            } else {
                view = e(true);
            }
            if (view != null) {
                i5 = getPosition(view);
            }
            savedState2.mVisibleAnchorPosition = i5;
            int i6 = this.f1910a;
            savedState2.mSpanOffsetsSize = i6;
            savedState2.mSpanOffsets = new int[i6];
            for (int i7 = 0; i7 < this.f1910a; i7++) {
                if (this.o) {
                    i3 = this.f1911b[i7].i(Integer.MIN_VALUE);
                    if (i3 != Integer.MIN_VALUE) {
                        i4 = this.f1912c.g();
                    } else {
                        savedState2.mSpanOffsets[i7] = i3;
                    }
                } else {
                    i3 = this.f1911b[i7].l(Integer.MIN_VALUE);
                    if (i3 != Integer.MIN_VALUE) {
                        i4 = this.f1912c.k();
                    } else {
                        savedState2.mSpanOffsets[i7] = i3;
                    }
                }
                i3 -= i4;
                savedState2.mSpanOffsets[i7] = i3;
            }
        } else {
            savedState2.mAnchorPosition = -1;
            savedState2.mVisibleAnchorPosition = -1;
            savedState2.mSpanOffsetsSize = 0;
        }
        return savedState2;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onScrollStateChanged(int i2) {
        if (i2 == 0) {
            b();
        }
    }

    public final boolean p(int i2) {
        if (this.f1914e == 0) {
            if ((i2 == -1) != this.f1918i) {
                return true;
            }
            return false;
        }
        if (((i2 == -1) == this.f1918i) == isLayoutRTL()) {
            return true;
        }
        return false;
    }

    public void q(int i2, RecyclerView.r rVar) {
        int i3;
        int i4;
        if (i2 > 0) {
            i4 = j();
            i3 = 1;
        } else {
            i4 = i();
            i3 = -1;
        }
        this.f1916g.f3890a = true;
        w(i4, rVar);
        u(i3);
        j jVar = this.f1916g;
        jVar.f3892c = i4 + jVar.f3893d;
        jVar.f3891b = Math.abs(i2);
    }

    public final void r(RecyclerView.p pVar, j jVar) {
        int i2;
        int i3;
        if (jVar.f3890a && !jVar.f3898i) {
            if (jVar.f3891b != 0) {
                int i4 = 1;
                if (jVar.f3894e == -1) {
                    int i5 = jVar.f3895f;
                    int l2 = this.f1911b[0].l(i5);
                    while (i4 < this.f1910a) {
                        int l3 = this.f1911b[i4].l(i5);
                        if (l3 > l2) {
                            l2 = l3;
                        }
                        i4++;
                    }
                    int i6 = i5 - l2;
                    if (i6 < 0) {
                        i3 = jVar.f3896g;
                    } else {
                        i3 = jVar.f3896g - Math.min(i6, jVar.f3891b);
                    }
                    s(pVar, i3);
                    return;
                }
                int i7 = jVar.f3896g;
                int i8 = this.f1911b[0].i(i7);
                while (i4 < this.f1910a) {
                    int i9 = this.f1911b[i4].i(i7);
                    if (i9 < i8) {
                        i8 = i9;
                    }
                    i4++;
                }
                int i10 = i8 - jVar.f3896g;
                if (i10 < 0) {
                    i2 = jVar.f3895f;
                } else {
                    i2 = Math.min(i10, jVar.f3891b) + jVar.f3895f;
                }
                t(pVar, i2);
            } else if (jVar.f3894e == -1) {
                s(pVar, jVar.f3896g);
            } else {
                t(pVar, jVar.f3895f);
            }
        }
    }

    public final void resolveShouldLayoutReverse() {
        if (this.f1914e == 1 || !isLayoutRTL()) {
            this.f1918i = this.f1917h;
        } else {
            this.f1918i = !this.f1917h;
        }
    }

    public final void s(RecyclerView.p pVar, int i2) {
        for (int childCount = getChildCount() - 1; childCount >= 0; childCount--) {
            View childAt = getChildAt(childCount);
            if (this.f1912c.e(childAt) >= i2 && this.f1912c.o(childAt) >= i2) {
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                if (layoutParams.f1923f) {
                    for (int i3 = 0; i3 < this.f1910a; i3++) {
                        if (this.f1911b[i3].f1934a.size() == 1) {
                            return;
                        }
                    }
                    for (int i4 = 0; i4 < this.f1910a; i4++) {
                        this.f1911b[i4].m();
                    }
                } else if (layoutParams.f1922e.f1934a.size() != 1) {
                    layoutParams.f1922e.m();
                } else {
                    return;
                }
                removeAndRecycleView(childAt, pVar);
            } else {
                return;
            }
        }
    }

    public int scrollBy(int i2, RecyclerView.p pVar, RecyclerView.r rVar) {
        if (getChildCount() == 0 || i2 == 0) {
            return 0;
        }
        q(i2, rVar);
        int c2 = c(pVar, this.f1916g, rVar);
        if (this.f1916g.f3891b >= c2) {
            i2 = i2 < 0 ? -c2 : c2;
        }
        this.f1912c.p(-i2);
        this.o = this.f1918i;
        j jVar = this.f1916g;
        jVar.f3891b = 0;
        r(pVar, jVar);
        return i2;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int scrollHorizontallyBy(int i2, RecyclerView.p pVar, RecyclerView.r rVar) {
        return scrollBy(i2, pVar, rVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void scrollToPosition(int i2) {
        SavedState savedState = this.q;
        if (!(savedState == null || savedState.mAnchorPosition == i2)) {
            savedState.invalidateAnchorPositionInfo();
        }
        this.f1920k = i2;
        this.f1921l = Integer.MIN_VALUE;
        requestLayout();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int scrollVerticallyBy(int i2, RecyclerView.p pVar, RecyclerView.r rVar) {
        return scrollBy(i2, pVar, rVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void setMeasuredDimension(Rect rect, int i2, int i3) {
        int i4;
        int i5;
        int paddingRight = getPaddingRight() + getPaddingLeft();
        int paddingBottom = getPaddingBottom() + getPaddingTop();
        if (this.f1914e == 1) {
            i5 = RecyclerView.LayoutManager.chooseSize(i3, rect.height() + paddingBottom, getMinimumHeight());
            i4 = RecyclerView.LayoutManager.chooseSize(i2, (this.f1915f * this.f1910a) + paddingRight, getMinimumWidth());
        } else {
            i4 = RecyclerView.LayoutManager.chooseSize(i2, rect.width() + paddingRight, getMinimumWidth());
            i5 = RecyclerView.LayoutManager.chooseSize(i3, (this.f1915f * this.f1910a) + paddingBottom, getMinimumHeight());
        }
        setMeasuredDimension(i4, i5);
    }

    public void setSpanCount(int i2) {
        assertNotInLayoutOrScroll(null);
        if (i2 != this.f1910a) {
            this.m.b();
            requestLayout();
            this.f1910a = i2;
            this.f1919j = new BitSet(this.f1910a);
            this.f1911b = new c[this.f1910a];
            for (int i3 = 0; i3 < this.f1910a; i3++) {
                this.f1911b[i3] = new c(i3);
            }
            requestLayout();
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void smoothScrollToPosition(RecyclerView recyclerView, RecyclerView.r rVar, int i2) {
        LinearSmoothScroller linearSmoothScroller = new LinearSmoothScroller(recyclerView.getContext());
        linearSmoothScroller.setTargetPosition(i2);
        startSmoothScroll(linearSmoothScroller);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public boolean supportsPredictiveItemAnimations() {
        return this.q == null;
    }

    public final void t(RecyclerView.p pVar, int i2) {
        while (getChildCount() > 0) {
            View childAt = getChildAt(0);
            if (this.f1912c.b(childAt) <= i2 && this.f1912c.n(childAt) <= i2) {
                LayoutParams layoutParams = (LayoutParams) childAt.getLayoutParams();
                if (layoutParams.f1923f) {
                    for (int i3 = 0; i3 < this.f1910a; i3++) {
                        if (this.f1911b[i3].f1934a.size() == 1) {
                            return;
                        }
                    }
                    for (int i4 = 0; i4 < this.f1910a; i4++) {
                        this.f1911b[i4].n();
                    }
                } else if (layoutParams.f1922e.f1934a.size() != 1) {
                    layoutParams.f1922e.n();
                } else {
                    return;
                }
                removeAndRecycleView(childAt, pVar);
            } else {
                return;
            }
        }
    }

    public final void u(int i2) {
        j jVar = this.f1916g;
        jVar.f3894e = i2;
        int i3 = 1;
        if (this.f1918i != (i2 == -1)) {
            i3 = -1;
        }
        jVar.f3893d = i3;
    }

    public final void v(int i2, int i3) {
        for (int i4 = 0; i4 < this.f1910a; i4++) {
            if (!this.f1911b[i4].f1934a.isEmpty()) {
                x(this.f1911b[i4], i2, i3);
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:15:0x0034  */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x004b  */
    public final void w(int i2, RecyclerView.r rVar) {
        int i3;
        int i4;
        int i5;
        j jVar = this.f1916g;
        boolean z = false;
        jVar.f3891b = 0;
        jVar.f3892c = i2;
        if (!isSmoothScrolling() || (i5 = rVar.f1880a) == -1) {
            i4 = 0;
        } else {
            if (this.f1918i == (i5 < i2)) {
                i4 = this.f1912c.l();
            } else {
                i3 = this.f1912c.l();
                i4 = 0;
                if (!getClipToPadding()) {
                    this.f1916g.f3895f = this.f1912c.k() - i3;
                    this.f1916g.f3896g = this.f1912c.g() + i4;
                } else {
                    this.f1916g.f3896g = this.f1912c.f() + i4;
                    this.f1916g.f3895f = -i3;
                }
                j jVar2 = this.f1916g;
                jVar2.f3897h = false;
                jVar2.f3890a = true;
                if (this.f1912c.i() == 0 && this.f1912c.f() == 0) {
                    z = true;
                }
                jVar2.f3898i = z;
            }
        }
        i3 = 0;
        if (!getClipToPadding()) {
        }
        j jVar22 = this.f1916g;
        jVar22.f3897h = false;
        jVar22.f3890a = true;
        z = true;
        jVar22.f3898i = z;
    }

    public final void x(c cVar, int i2, int i3) {
        int i4 = cVar.f1937d;
        if (i2 == -1) {
            int i5 = cVar.f1935b;
            if (i5 == Integer.MIN_VALUE) {
                cVar.c();
                i5 = cVar.f1935b;
            }
            if (i5 + i4 <= i3) {
                this.f1919j.set(cVar.f1938e, false);
                return;
            }
            return;
        }
        int i6 = cVar.f1936c;
        if (i6 == Integer.MIN_VALUE) {
            cVar.b();
            i6 = cVar.f1936c;
        }
        if (i6 - i4 >= i3) {
            this.f1919j.set(cVar.f1938e, false);
        }
    }

    public final int y(int i2, int i3, int i4) {
        if (i3 == 0 && i4 == 0) {
            return i2;
        }
        int mode = View.MeasureSpec.getMode(i2);
        if (mode == Integer.MIN_VALUE || mode == 1073741824) {
            return View.MeasureSpec.makeMeasureSpec(Math.max(0, (View.MeasureSpec.getSize(i2) - i3) - i4), mode);
        }
        return i2;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public RecyclerView.l generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
            return new LayoutParams((ViewGroup.MarginLayoutParams) layoutParams);
        }
        return new LayoutParams(layoutParams);
    }

    public static class LazySpanLookup {

        /* renamed from: a  reason: collision with root package name */
        public int[] f1924a;

        /* renamed from: b  reason: collision with root package name */
        public List<FullSpanItem> f1925b;

        public void a(FullSpanItem fullSpanItem) {
            if (this.f1925b == null) {
                this.f1925b = new ArrayList();
            }
            int size = this.f1925b.size();
            for (int i2 = 0; i2 < size; i2++) {
                FullSpanItem fullSpanItem2 = this.f1925b.get(i2);
                if (fullSpanItem2.mPosition == fullSpanItem.mPosition) {
                    this.f1925b.remove(i2);
                }
                if (fullSpanItem2.mPosition >= fullSpanItem.mPosition) {
                    this.f1925b.add(i2, fullSpanItem);
                    return;
                }
            }
            this.f1925b.add(fullSpanItem);
        }

        public void b() {
            int[] iArr = this.f1924a;
            if (iArr != null) {
                Arrays.fill(iArr, -1);
            }
            this.f1925b = null;
        }

        public void c(int i2) {
            int[] iArr = this.f1924a;
            if (iArr == null) {
                int[] iArr2 = new int[(Math.max(i2, 10) + 1)];
                this.f1924a = iArr2;
                Arrays.fill(iArr2, -1);
            } else if (i2 >= iArr.length) {
                int length = iArr.length;
                while (length <= i2) {
                    length *= 2;
                }
                int[] iArr3 = new int[length];
                this.f1924a = iArr3;
                System.arraycopy(iArr, 0, iArr3, 0, iArr.length);
                int[] iArr4 = this.f1924a;
                Arrays.fill(iArr4, iArr.length, iArr4.length, -1);
            }
        }

        public int d(int i2) {
            List<FullSpanItem> list = this.f1925b;
            if (list != null) {
                for (int size = list.size() - 1; size >= 0; size--) {
                    if (this.f1925b.get(size).mPosition >= i2) {
                        this.f1925b.remove(size);
                    }
                }
            }
            return g(i2);
        }

        public FullSpanItem e(int i2, int i3, int i4, boolean z) {
            List<FullSpanItem> list = this.f1925b;
            if (list == null) {
                return null;
            }
            int size = list.size();
            for (int i5 = 0; i5 < size; i5++) {
                FullSpanItem fullSpanItem = this.f1925b.get(i5);
                int i6 = fullSpanItem.mPosition;
                if (i6 >= i3) {
                    return null;
                }
                if (i6 >= i2 && (i4 == 0 || fullSpanItem.mGapDir == i4 || (z && fullSpanItem.mHasUnwantedGapAfter))) {
                    return fullSpanItem;
                }
            }
            return null;
        }

        public FullSpanItem f(int i2) {
            List<FullSpanItem> list = this.f1925b;
            if (list == null) {
                return null;
            }
            for (int size = list.size() - 1; size >= 0; size--) {
                FullSpanItem fullSpanItem = this.f1925b.get(size);
                if (fullSpanItem.mPosition == i2) {
                    return fullSpanItem;
                }
            }
            return null;
        }

        /* JADX WARNING: Removed duplicated region for block: B:21:0x0048  */
        /* JADX WARNING: Removed duplicated region for block: B:23:0x0052  */
        public int g(int i2) {
            int i3;
            int[] iArr = this.f1924a;
            if (iArr == null || i2 >= iArr.length) {
                return -1;
            }
            if (this.f1925b != null) {
                FullSpanItem f2 = f(i2);
                if (f2 != null) {
                    this.f1925b.remove(f2);
                }
                int size = this.f1925b.size();
                int i4 = 0;
                while (true) {
                    if (i4 >= size) {
                        i4 = -1;
                        break;
                    } else if (this.f1925b.get(i4).mPosition >= i2) {
                        break;
                    } else {
                        i4++;
                    }
                }
                if (i4 != -1) {
                    this.f1925b.remove(i4);
                    i3 = this.f1925b.get(i4).mPosition;
                    if (i3 != -1) {
                        int[] iArr2 = this.f1924a;
                        Arrays.fill(iArr2, i2, iArr2.length, -1);
                        return this.f1924a.length;
                    }
                    int min = Math.min(i3 + 1, this.f1924a.length);
                    Arrays.fill(this.f1924a, i2, min, -1);
                    return min;
                }
            }
            i3 = -1;
            if (i3 != -1) {
            }
        }

        public void h(int i2, int i3) {
            int[] iArr = this.f1924a;
            if (iArr != null && i2 < iArr.length) {
                int i4 = i2 + i3;
                c(i4);
                int[] iArr2 = this.f1924a;
                System.arraycopy(iArr2, i2, iArr2, i4, (iArr2.length - i2) - i3);
                Arrays.fill(this.f1924a, i2, i4, -1);
                List<FullSpanItem> list = this.f1925b;
                if (list != null) {
                    for (int size = list.size() - 1; size >= 0; size--) {
                        FullSpanItem fullSpanItem = this.f1925b.get(size);
                        int i5 = fullSpanItem.mPosition;
                        if (i5 >= i2) {
                            fullSpanItem.mPosition = i5 + i3;
                        }
                    }
                }
            }
        }

        public void i(int i2, int i3) {
            int[] iArr = this.f1924a;
            if (iArr != null && i2 < iArr.length) {
                int i4 = i2 + i3;
                c(i4);
                int[] iArr2 = this.f1924a;
                System.arraycopy(iArr2, i4, iArr2, i2, (iArr2.length - i2) - i3);
                int[] iArr3 = this.f1924a;
                Arrays.fill(iArr3, iArr3.length - i3, iArr3.length, -1);
                List<FullSpanItem> list = this.f1925b;
                if (list != null) {
                    for (int size = list.size() - 1; size >= 0; size--) {
                        FullSpanItem fullSpanItem = this.f1925b.get(size);
                        int i5 = fullSpanItem.mPosition;
                        if (i5 >= i2) {
                            if (i5 < i4) {
                                this.f1925b.remove(size);
                            } else {
                                fullSpanItem.mPosition = i5 - i3;
                            }
                        }
                    }
                }
            }
        }

        @SuppressLint({"BanParcelableUsage"})
        public static class FullSpanItem implements Parcelable {
            public static final Parcelable.Creator<FullSpanItem> CREATOR = new a();
            public int mGapDir;
            public int[] mGapPerSpan;
            public boolean mHasUnwantedGapAfter;
            public int mPosition;

            public class a implements Parcelable.Creator<FullSpanItem> {
                /* Return type fixed from 'java.lang.Object' to match base method */
                @Override // android.os.Parcelable.Creator
                public FullSpanItem createFromParcel(Parcel parcel) {
                    return new FullSpanItem(parcel);
                }

                /* Return type fixed from 'java.lang.Object[]' to match base method */
                @Override // android.os.Parcelable.Creator
                public FullSpanItem[] newArray(int i2) {
                    return new FullSpanItem[i2];
                }
            }

            public FullSpanItem(Parcel parcel) {
                this.mPosition = parcel.readInt();
                this.mGapDir = parcel.readInt();
                this.mHasUnwantedGapAfter = parcel.readInt() != 1 ? false : true;
                int readInt = parcel.readInt();
                if (readInt > 0) {
                    int[] iArr = new int[readInt];
                    this.mGapPerSpan = iArr;
                    parcel.readIntArray(iArr);
                }
            }

            public int describeContents() {
                return 0;
            }

            public int getGapForSpan(int i2) {
                int[] iArr = this.mGapPerSpan;
                if (iArr == null) {
                    return 0;
                }
                return iArr[i2];
            }

            public String toString() {
                StringBuilder B = d.a.a.a.a.B("FullSpanItem{mPosition=");
                B.append(this.mPosition);
                B.append(", mGapDir=");
                B.append(this.mGapDir);
                B.append(", mHasUnwantedGapAfter=");
                B.append(this.mHasUnwantedGapAfter);
                B.append(", mGapPerSpan=");
                B.append(Arrays.toString(this.mGapPerSpan));
                B.append('}');
                return B.toString();
            }

            public void writeToParcel(Parcel parcel, int i2) {
                parcel.writeInt(this.mPosition);
                parcel.writeInt(this.mGapDir);
                parcel.writeInt(this.mHasUnwantedGapAfter ? 1 : 0);
                int[] iArr = this.mGapPerSpan;
                if (iArr == null || iArr.length <= 0) {
                    parcel.writeInt(0);
                    return;
                }
                parcel.writeInt(iArr.length);
                parcel.writeIntArray(this.mGapPerSpan);
            }

            public FullSpanItem() {
            }
        }
    }

    public StaggeredGridLayoutManager(int i2, int i3) {
        this.f1914e = i3;
        setSpanCount(i2);
        this.f1916g = new j();
        this.f1912c = m.a(this, this.f1914e);
        this.f1913d = m.a(this, 1 - this.f1914e);
    }
}
