package androidx.recyclerview.widget;

import android.util.SparseArray;
import android.util.SparseIntArray;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

public interface ViewTypeStorage {

    public static class IsolatedViewTypeStorage implements ViewTypeStorage {

        /* renamed from: a  reason: collision with root package name */
        public SparseArray<NestedAdapterWrapper> f1953a = new SparseArray<>();

        /* renamed from: b  reason: collision with root package name */
        public int f1954b = 0;

        public class a implements ViewTypeLookup {

            /* renamed from: a  reason: collision with root package name */
            public SparseIntArray f1955a = new SparseIntArray(1);

            /* renamed from: b  reason: collision with root package name */
            public SparseIntArray f1956b = new SparseIntArray(1);

            /* renamed from: c  reason: collision with root package name */
            public final NestedAdapterWrapper f1957c;

            public a(NestedAdapterWrapper nestedAdapterWrapper) {
                this.f1957c = nestedAdapterWrapper;
            }

            @Override // androidx.recyclerview.widget.ViewTypeStorage.ViewTypeLookup
            public void dispose() {
                IsolatedViewTypeStorage isolatedViewTypeStorage = IsolatedViewTypeStorage.this;
                NestedAdapterWrapper nestedAdapterWrapper = this.f1957c;
                int size = isolatedViewTypeStorage.f1953a.size();
                while (true) {
                    size--;
                    if (size < 0) {
                        return;
                    }
                    if (isolatedViewTypeStorage.f1953a.valueAt(size) == nestedAdapterWrapper) {
                        isolatedViewTypeStorage.f1953a.removeAt(size);
                    }
                }
            }

            @Override // androidx.recyclerview.widget.ViewTypeStorage.ViewTypeLookup
            public int globalToLocal(int i2) {
                int indexOfKey = this.f1956b.indexOfKey(i2);
                if (indexOfKey >= 0) {
                    return this.f1956b.valueAt(indexOfKey);
                }
                StringBuilder C = d.a.a.a.a.C("requested global type ", i2, " does not belong to the adapter:");
                Objects.requireNonNull(this.f1957c);
                C.append((Object) null);
                throw new IllegalStateException(C.toString());
            }

            @Override // androidx.recyclerview.widget.ViewTypeStorage.ViewTypeLookup
            public int localToGlobal(int i2) {
                int indexOfKey = this.f1955a.indexOfKey(i2);
                if (indexOfKey > -1) {
                    return this.f1955a.valueAt(indexOfKey);
                }
                IsolatedViewTypeStorage isolatedViewTypeStorage = IsolatedViewTypeStorage.this;
                NestedAdapterWrapper nestedAdapterWrapper = this.f1957c;
                int i3 = isolatedViewTypeStorage.f1954b;
                isolatedViewTypeStorage.f1954b = i3 + 1;
                isolatedViewTypeStorage.f1953a.put(i3, nestedAdapterWrapper);
                this.f1955a.put(i2, i3);
                this.f1956b.put(i3, i2);
                return i3;
            }
        }

        @Override // androidx.recyclerview.widget.ViewTypeStorage
        public ViewTypeLookup createViewTypeWrapper(NestedAdapterWrapper nestedAdapterWrapper) {
            return new a(nestedAdapterWrapper);
        }

        @Override // androidx.recyclerview.widget.ViewTypeStorage
        public NestedAdapterWrapper getWrapperForGlobalType(int i2) {
            NestedAdapterWrapper nestedAdapterWrapper = this.f1953a.get(i2);
            if (nestedAdapterWrapper != null) {
                return nestedAdapterWrapper;
            }
            throw new IllegalArgumentException(d.a.a.a.a.k("Cannot find the wrapper for global view type ", i2));
        }
    }

    public static class SharedIdRangeViewTypeStorage implements ViewTypeStorage {

        /* renamed from: a  reason: collision with root package name */
        public SparseArray<List<NestedAdapterWrapper>> f1959a = new SparseArray<>();

        public class a implements ViewTypeLookup {

            /* renamed from: a  reason: collision with root package name */
            public final NestedAdapterWrapper f1960a;

            public a(NestedAdapterWrapper nestedAdapterWrapper) {
                this.f1960a = nestedAdapterWrapper;
            }

            @Override // androidx.recyclerview.widget.ViewTypeStorage.ViewTypeLookup
            public void dispose() {
                SharedIdRangeViewTypeStorage sharedIdRangeViewTypeStorage = SharedIdRangeViewTypeStorage.this;
                NestedAdapterWrapper nestedAdapterWrapper = this.f1960a;
                int size = sharedIdRangeViewTypeStorage.f1959a.size();
                while (true) {
                    size--;
                    if (size >= 0) {
                        List<NestedAdapterWrapper> valueAt = sharedIdRangeViewTypeStorage.f1959a.valueAt(size);
                        if (valueAt.remove(nestedAdapterWrapper) && valueAt.isEmpty()) {
                            sharedIdRangeViewTypeStorage.f1959a.removeAt(size);
                        }
                    } else {
                        return;
                    }
                }
            }

            @Override // androidx.recyclerview.widget.ViewTypeStorage.ViewTypeLookup
            public int globalToLocal(int i2) {
                return i2;
            }

            @Override // androidx.recyclerview.widget.ViewTypeStorage.ViewTypeLookup
            public int localToGlobal(int i2) {
                List<NestedAdapterWrapper> list = SharedIdRangeViewTypeStorage.this.f1959a.get(i2);
                if (list == null) {
                    list = new ArrayList<>();
                    SharedIdRangeViewTypeStorage.this.f1959a.put(i2, list);
                }
                if (!list.contains(this.f1960a)) {
                    list.add(this.f1960a);
                }
                return i2;
            }
        }

        @Override // androidx.recyclerview.widget.ViewTypeStorage
        public ViewTypeLookup createViewTypeWrapper(NestedAdapterWrapper nestedAdapterWrapper) {
            return new a(nestedAdapterWrapper);
        }

        @Override // androidx.recyclerview.widget.ViewTypeStorage
        public NestedAdapterWrapper getWrapperForGlobalType(int i2) {
            List<NestedAdapterWrapper> list = this.f1959a.get(i2);
            if (list != null && !list.isEmpty()) {
                return list.get(0);
            }
            throw new IllegalArgumentException(d.a.a.a.a.k("Cannot find the wrapper for global view type ", i2));
        }
    }

    public interface ViewTypeLookup {
        void dispose();

        int globalToLocal(int i2);

        int localToGlobal(int i2);
    }

    ViewTypeLookup createViewTypeWrapper(NestedAdapterWrapper nestedAdapterWrapper);

    NestedAdapterWrapper getWrapperForGlobalType(int i2);
}
