package androidx.savedstate;

import android.annotation.SuppressLint;
import android.os.Bundle;
import androidx.arch.core.internal.SafeIterableMap;
import androidx.savedstate.Recreator;
import d.a.a.a.a;

@SuppressLint({"RestrictedApi"})
public final class SavedStateRegistry {

    /* renamed from: a  reason: collision with root package name */
    public SafeIterableMap<String, SavedStateProvider> f1964a = new SafeIterableMap<>();

    /* renamed from: b  reason: collision with root package name */
    public Bundle f1965b;

    /* renamed from: c  reason: collision with root package name */
    public boolean f1966c;

    /* renamed from: d  reason: collision with root package name */
    public Recreator.a f1967d;

    /* renamed from: e  reason: collision with root package name */
    public boolean f1968e = true;

    public interface AutoRecreated {
        void onRecreated(SavedStateRegistryOwner savedStateRegistryOwner);
    }

    public interface SavedStateProvider {
        Bundle saveState();
    }

    public Bundle a(String str) {
        if (this.f1966c) {
            Bundle bundle = this.f1965b;
            if (bundle == null) {
                return null;
            }
            Bundle bundle2 = bundle.getBundle(str);
            this.f1965b.remove(str);
            if (this.f1965b.isEmpty()) {
                this.f1965b = null;
            }
            return bundle2;
        }
        throw new IllegalStateException("You can consumeRestoredStateForKey only after super.onCreate of corresponding component");
    }

    public void b(String str, SavedStateProvider savedStateProvider) {
        if (this.f1964a.d(str, savedStateProvider) != null) {
            throw new IllegalArgumentException("SavedStateProvider with the given key is already registered");
        }
    }

    public void c(Class<? extends AutoRecreated> cls) {
        if (this.f1968e) {
            if (this.f1967d == null) {
                this.f1967d = new Recreator.a(this);
            }
            try {
                cls.getDeclaredConstructor(new Class[0]);
                Recreator.a aVar = this.f1967d;
                aVar.f1963a.add(cls.getName());
            } catch (NoSuchMethodException e2) {
                StringBuilder B = a.B("Class");
                B.append(cls.getSimpleName());
                B.append(" must have default constructor in order to be automatically recreated");
                throw new IllegalArgumentException(B.toString(), e2);
            }
        } else {
            throw new IllegalStateException("Can not perform this action after onSaveInstanceState");
        }
    }
}
