package androidx.slidingpanelayout.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import androidx.core.view.ViewCompat;
import androidx.customview.view.AbsSavedState;
import b.k.a.b;
import java.util.ArrayList;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;

public class SlidingPaneLayout extends ViewGroup {
    public final ArrayList<b> A;

    /* renamed from: d  reason: collision with root package name */
    public int f1970d;

    /* renamed from: h  reason: collision with root package name */
    public int f1971h;

    /* renamed from: j  reason: collision with root package name */
    public Drawable f1972j;

    /* renamed from: k  reason: collision with root package name */
    public Drawable f1973k;

    /* renamed from: l  reason: collision with root package name */
    public final int f1974l;
    public boolean m;
    public View n;
    public float o;
    public float p;
    public int q;
    public boolean r;
    public int s;
    public float t;
    public float u;
    public PanelSlideListener v;
    public final b.k.a.b w;
    public boolean x;
    public boolean y;
    public final Rect z;

    public interface PanelSlideListener {
        void onPanelClosed(View view);

        void onPanelOpened(View view);

        void onPanelSlide(View view, float f2);
    }

    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        public boolean isOpen;

        public static class a implements Parcelable.ClassLoaderCreator<SavedState> {
            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // android.os.Parcelable.ClassLoaderCreator
            public SavedState createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, null);
            }

            @Override // android.os.Parcelable.Creator
            public Object[] newArray(int i2) {
                return new SavedState[i2];
            }

            @Override // android.os.Parcelable.Creator
            public Object createFromParcel(Parcel parcel) {
                return new SavedState(parcel, null);
            }
        }

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(Parcel parcel, int i2) {
            super.writeToParcel(parcel, i2);
            parcel.writeInt(this.isOpen ? 1 : 0);
        }

        public SavedState(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.isOpen = parcel.readInt() != 0;
        }
    }

    public static class SimplePanelSlideListener implements PanelSlideListener {
        @Override // androidx.slidingpanelayout.widget.SlidingPaneLayout.PanelSlideListener
        public void onPanelClosed(View view) {
        }

        @Override // androidx.slidingpanelayout.widget.SlidingPaneLayout.PanelSlideListener
        public void onPanelOpened(View view) {
        }

        @Override // androidx.slidingpanelayout.widget.SlidingPaneLayout.PanelSlideListener
        public void onPanelSlide(View view, float f2) {
        }
    }

    public class a extends b.j.h.a {

        /* renamed from: d  reason: collision with root package name */
        public final Rect f1975d = new Rect();

        public a() {
        }

        @Override // b.j.h.a
        public void c(View view, AccessibilityEvent accessibilityEvent) {
            this.f3391b.onInitializeAccessibilityEvent(view, accessibilityEvent);
            accessibilityEvent.setClassName(SlidingPaneLayout.class.getName());
        }

        @Override // b.j.h.a
        public void d(View view, b.j.h.p.b bVar) {
            AccessibilityNodeInfo obtain = AccessibilityNodeInfo.obtain(bVar.f3453b);
            this.f3391b.onInitializeAccessibilityNodeInfo(view, obtain);
            Rect rect = this.f1975d;
            obtain.getBoundsInParent(rect);
            bVar.f3453b.setBoundsInParent(rect);
            obtain.getBoundsInScreen(rect);
            bVar.f3453b.setBoundsInScreen(rect);
            bVar.f3453b.setVisibleToUser(obtain.isVisibleToUser());
            bVar.f3453b.setPackageName(obtain.getPackageName());
            bVar.f3453b.setClassName(obtain.getClassName());
            bVar.f3453b.setContentDescription(obtain.getContentDescription());
            bVar.f3453b.setEnabled(obtain.isEnabled());
            bVar.f3453b.setClickable(obtain.isClickable());
            bVar.f3453b.setFocusable(obtain.isFocusable());
            bVar.f3453b.setFocused(obtain.isFocused());
            bVar.f3453b.setAccessibilityFocused(obtain.isAccessibilityFocused());
            bVar.f3453b.setSelected(obtain.isSelected());
            bVar.f3453b.setLongClickable(obtain.isLongClickable());
            bVar.f3453b.addAction(obtain.getActions());
            bVar.f3453b.setMovementGranularities(obtain.getMovementGranularities());
            obtain.recycle();
            bVar.f3453b.setClassName(SlidingPaneLayout.class.getName());
            bVar.f3455d = -1;
            bVar.f3453b.setSource(view);
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            ViewParent parentForAccessibility = view.getParentForAccessibility();
            if (parentForAccessibility instanceof View) {
                bVar.v((View) parentForAccessibility);
            }
            int childCount = SlidingPaneLayout.this.getChildCount();
            for (int i2 = 0; i2 < childCount; i2++) {
                View childAt = SlidingPaneLayout.this.getChildAt(i2);
                if (!SlidingPaneLayout.this.c(childAt) && childAt.getVisibility() == 0) {
                    childAt.setImportantForAccessibility(1);
                    bVar.f3453b.addChild(childAt);
                }
            }
        }

        @Override // b.j.h.a
        public boolean f(ViewGroup viewGroup, View view, AccessibilityEvent accessibilityEvent) {
            if (!SlidingPaneLayout.this.c(view)) {
                return this.f3391b.onRequestSendAccessibilityEvent(viewGroup, view, accessibilityEvent);
            }
            return false;
        }
    }

    public class b implements Runnable {

        /* renamed from: d  reason: collision with root package name */
        public final View f1977d;

        public b(View view) {
            this.f1977d = view;
        }

        public void run() {
            if (this.f1977d.getParent() == SlidingPaneLayout.this) {
                this.f1977d.setLayerType(0, null);
                SlidingPaneLayout slidingPaneLayout = SlidingPaneLayout.this;
                View view = this.f1977d;
                Objects.requireNonNull(slidingPaneLayout);
                Paint paint = ((d) view.getLayoutParams()).f1984e;
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                view.setLayerPaint(paint);
            }
            SlidingPaneLayout.this.A.remove(this);
        }
    }

    public class c extends b.c {
        public c() {
        }

        @Override // b.k.a.b.c
        public int clampViewPositionHorizontal(View view, int i2, int i3) {
            d dVar = (d) SlidingPaneLayout.this.n.getLayoutParams();
            if (SlidingPaneLayout.this.d()) {
                int width = SlidingPaneLayout.this.getWidth() - (SlidingPaneLayout.this.n.getWidth() + (SlidingPaneLayout.this.getPaddingRight() + ((ViewGroup.MarginLayoutParams) dVar).rightMargin));
                return Math.max(Math.min(i2, width), width - SlidingPaneLayout.this.q);
            }
            int paddingLeft = SlidingPaneLayout.this.getPaddingLeft() + ((ViewGroup.MarginLayoutParams) dVar).leftMargin;
            return Math.min(Math.max(i2, paddingLeft), SlidingPaneLayout.this.q + paddingLeft);
        }

        @Override // b.k.a.b.c
        public int clampViewPositionVertical(View view, int i2, int i3) {
            return view.getTop();
        }

        @Override // b.k.a.b.c
        public int getViewHorizontalDragRange(View view) {
            return SlidingPaneLayout.this.q;
        }

        @Override // b.k.a.b.c
        public void onEdgeDragStarted(int i2, int i3) {
            SlidingPaneLayout slidingPaneLayout = SlidingPaneLayout.this;
            slidingPaneLayout.w.c(slidingPaneLayout.n, i3);
        }

        @Override // b.k.a.b.c
        public void onViewCaptured(View view, int i2) {
            SlidingPaneLayout.this.g();
        }

        @Override // b.k.a.b.c
        public void onViewDragStateChanged(int i2) {
            SlidingPaneLayout slidingPaneLayout = SlidingPaneLayout.this;
            if (slidingPaneLayout.w.f3503b != 0) {
                return;
            }
            if (slidingPaneLayout.o == 0.0f) {
                slidingPaneLayout.i(slidingPaneLayout.n);
                SlidingPaneLayout slidingPaneLayout2 = SlidingPaneLayout.this;
                View view = slidingPaneLayout2.n;
                PanelSlideListener panelSlideListener = slidingPaneLayout2.v;
                if (panelSlideListener != null) {
                    panelSlideListener.onPanelClosed(view);
                }
                slidingPaneLayout2.sendAccessibilityEvent(32);
                SlidingPaneLayout.this.x = false;
                return;
            }
            View view2 = slidingPaneLayout.n;
            PanelSlideListener panelSlideListener2 = slidingPaneLayout.v;
            if (panelSlideListener2 != null) {
                panelSlideListener2.onPanelOpened(view2);
            }
            slidingPaneLayout.sendAccessibilityEvent(32);
            SlidingPaneLayout.this.x = true;
        }

        @Override // b.k.a.b.c
        public void onViewPositionChanged(View view, int i2, int i3, int i4, int i5) {
            SlidingPaneLayout slidingPaneLayout = SlidingPaneLayout.this;
            if (slidingPaneLayout.n == null) {
                slidingPaneLayout.o = 0.0f;
            } else {
                boolean d2 = slidingPaneLayout.d();
                d dVar = (d) slidingPaneLayout.n.getLayoutParams();
                int width = slidingPaneLayout.n.getWidth();
                if (d2) {
                    i2 = (slidingPaneLayout.getWidth() - i2) - width;
                }
                float paddingRight = ((float) (i2 - ((d2 ? slidingPaneLayout.getPaddingRight() : slidingPaneLayout.getPaddingLeft()) + (d2 ? ((ViewGroup.MarginLayoutParams) dVar).rightMargin : ((ViewGroup.MarginLayoutParams) dVar).leftMargin)))) / ((float) slidingPaneLayout.q);
                slidingPaneLayout.o = paddingRight;
                if (slidingPaneLayout.s != 0) {
                    slidingPaneLayout.f(paddingRight);
                }
                if (dVar.f1983d) {
                    slidingPaneLayout.b(slidingPaneLayout.n, slidingPaneLayout.o, slidingPaneLayout.f1970d);
                }
                View view2 = slidingPaneLayout.n;
                PanelSlideListener panelSlideListener = slidingPaneLayout.v;
                if (panelSlideListener != null) {
                    panelSlideListener.onPanelSlide(view2, slidingPaneLayout.o);
                }
            }
            SlidingPaneLayout.this.invalidate();
        }

        @Override // b.k.a.b.c
        public void onViewReleased(View view, float f2, float f3) {
            int i2;
            d dVar = (d) view.getLayoutParams();
            if (SlidingPaneLayout.this.d()) {
                int paddingRight = SlidingPaneLayout.this.getPaddingRight() + ((ViewGroup.MarginLayoutParams) dVar).rightMargin;
                if (f2 < 0.0f || (f2 == 0.0f && SlidingPaneLayout.this.o > 0.5f)) {
                    paddingRight += SlidingPaneLayout.this.q;
                }
                i2 = (SlidingPaneLayout.this.getWidth() - paddingRight) - SlidingPaneLayout.this.n.getWidth();
            } else {
                i2 = ((ViewGroup.MarginLayoutParams) dVar).leftMargin + SlidingPaneLayout.this.getPaddingLeft();
                int i3 = (f2 > 0.0f ? 1 : (f2 == 0.0f ? 0 : -1));
                if (i3 > 0 || (i3 == 0 && SlidingPaneLayout.this.o > 0.5f)) {
                    i2 += SlidingPaneLayout.this.q;
                }
            }
            SlidingPaneLayout.this.w.x(i2, view.getTop());
            SlidingPaneLayout.this.invalidate();
        }

        @Override // b.k.a.b.c
        public boolean tryCaptureView(View view, int i2) {
            if (SlidingPaneLayout.this.r) {
                return false;
            }
            return ((d) view.getLayoutParams()).f1982c;
        }
    }

    public SlidingPaneLayout(Context context) {
        this(context, null);
    }

    public final boolean a(int i2) {
        if (!this.y && !h(0.0f)) {
            return false;
        }
        this.x = false;
        return true;
    }

    public final void b(View view, float f2, int i2) {
        d dVar = (d) view.getLayoutParams();
        if (f2 > 0.0f && i2 != 0) {
            int i3 = (((int) (((float) ((-16777216 & i2) >>> 24)) * f2)) << 24) | (i2 & 16777215);
            if (dVar.f1984e == null) {
                dVar.f1984e = new Paint();
            }
            dVar.f1984e.setColorFilter(new PorterDuffColorFilter(i3, PorterDuff.Mode.SRC_OVER));
            if (view.getLayerType() != 2) {
                view.setLayerType(2, dVar.f1984e);
            }
            Paint paint = ((d) view.getLayoutParams()).f1984e;
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            view.setLayerPaint(paint);
        } else if (view.getLayerType() != 0) {
            Paint paint2 = dVar.f1984e;
            if (paint2 != null) {
                paint2.setColorFilter(null);
            }
            b bVar = new b(view);
            this.A.add(bVar);
            AtomicInteger atomicInteger2 = ViewCompat.f1365a;
            postOnAnimation(bVar);
        }
    }

    public boolean c(View view) {
        if (view == null) {
            return false;
        }
        d dVar = (d) view.getLayoutParams();
        if (!this.m || !dVar.f1983d || this.o <= 0.0f) {
            return false;
        }
        return true;
    }

    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return (layoutParams instanceof d) && super.checkLayoutParams(layoutParams);
    }

    public void computeScroll() {
        if (!this.w.j(true)) {
            return;
        }
        if (!this.m) {
            this.w.a();
            return;
        }
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        postInvalidateOnAnimation();
    }

    public boolean d() {
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        return getLayoutDirection() == 1;
    }

    public void draw(Canvas canvas) {
        Drawable drawable;
        int i2;
        int i3;
        super.draw(canvas);
        if (d()) {
            drawable = this.f1973k;
        } else {
            drawable = this.f1972j;
        }
        View childAt = getChildCount() > 1 ? getChildAt(1) : null;
        if (childAt != null && drawable != null) {
            int top = childAt.getTop();
            int bottom = childAt.getBottom();
            int intrinsicWidth = drawable.getIntrinsicWidth();
            if (d()) {
                i3 = childAt.getRight();
                i2 = intrinsicWidth + i3;
            } else {
                int left = childAt.getLeft();
                int i4 = left - intrinsicWidth;
                i2 = left;
                i3 = i4;
            }
            drawable.setBounds(i3, top, i2, bottom);
            drawable.draw(canvas);
        }
    }

    public boolean drawChild(Canvas canvas, View view, long j2) {
        d dVar = (d) view.getLayoutParams();
        int save = canvas.save();
        if (this.m && !dVar.f1982c && this.n != null) {
            canvas.getClipBounds(this.z);
            if (d()) {
                Rect rect = this.z;
                rect.left = Math.max(rect.left, this.n.getRight());
            } else {
                Rect rect2 = this.z;
                rect2.right = Math.min(rect2.right, this.n.getLeft());
            }
            canvas.clipRect(this.z);
        }
        boolean drawChild = super.drawChild(canvas, view, j2);
        canvas.restoreToCount(save);
        return drawChild;
    }

    public final boolean e(int i2) {
        if (!this.y && !h(1.0f)) {
            return false;
        }
        this.x = true;
        return true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:10:0x0023  */
    public final void f(float f2) {
        boolean z2;
        int childCount;
        boolean d2 = d();
        d dVar = (d) this.n.getLayoutParams();
        if (dVar.f1983d) {
            if ((d2 ? ((ViewGroup.MarginLayoutParams) dVar).rightMargin : ((ViewGroup.MarginLayoutParams) dVar).leftMargin) <= 0) {
                z2 = true;
                childCount = getChildCount();
                for (int i2 = 0; i2 < childCount; i2++) {
                    View childAt = getChildAt(i2);
                    if (childAt != this.n) {
                        int i3 = this.s;
                        this.p = f2;
                        int i4 = ((int) ((1.0f - this.p) * ((float) i3))) - ((int) ((1.0f - f2) * ((float) i3)));
                        if (d2) {
                            i4 = -i4;
                        }
                        childAt.offsetLeftAndRight(i4);
                        if (z2) {
                            float f3 = this.p;
                            b(childAt, d2 ? f3 - 1.0f : 1.0f - f3, this.f1971h);
                        }
                    }
                }
            }
        }
        z2 = false;
        childCount = getChildCount();
        while (i2 < childCount) {
        }
    }

    public void g() {
        int childCount = getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = getChildAt(i2);
            if (childAt.getVisibility() == 4) {
                childAt.setVisibility(0);
            }
        }
    }

    public ViewGroup.LayoutParams generateDefaultLayoutParams() {
        return new d();
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return layoutParams instanceof ViewGroup.MarginLayoutParams ? new d((ViewGroup.MarginLayoutParams) layoutParams) : new d(layoutParams);
    }

    public int getCoveredFadeColor() {
        return this.f1971h;
    }

    public int getParallaxDistance() {
        return this.s;
    }

    public int getSliderFadeColor() {
        return this.f1970d;
    }

    public boolean h(float f2) {
        int i2;
        if (!this.m) {
            return false;
        }
        boolean d2 = d();
        d dVar = (d) this.n.getLayoutParams();
        if (d2) {
            int paddingRight = getPaddingRight() + ((ViewGroup.MarginLayoutParams) dVar).rightMargin;
            int width = this.n.getWidth();
            i2 = (int) (((float) getWidth()) - (((f2 * ((float) this.q)) + ((float) paddingRight)) + ((float) width)));
        } else {
            i2 = (int) ((f2 * ((float) this.q)) + ((float) (getPaddingLeft() + ((ViewGroup.MarginLayoutParams) dVar).leftMargin)));
        }
        b.k.a.b bVar = this.w;
        View view = this.n;
        if (!bVar.z(view, i2, view.getTop())) {
            return false;
        }
        g();
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        postInvalidateOnAnimation();
        return true;
    }

    public void i(View view) {
        int i2;
        int i3;
        int i4;
        int i5;
        View childAt;
        boolean z2;
        View view2 = view;
        boolean d2 = d();
        int width = d2 ? getWidth() - getPaddingRight() : getPaddingLeft();
        int paddingLeft = d2 ? getPaddingLeft() : getWidth() - getPaddingRight();
        int paddingTop = getPaddingTop();
        int height = getHeight() - getPaddingBottom();
        if (view2 == null || !view.isOpaque()) {
            i5 = 0;
            i4 = 0;
            i3 = 0;
            i2 = 0;
        } else {
            i5 = view.getLeft();
            i4 = view.getRight();
            i3 = view.getTop();
            i2 = view.getBottom();
        }
        int childCount = getChildCount();
        int i6 = 0;
        while (i6 < childCount && (childAt = getChildAt(i6)) != view2) {
            if (childAt.getVisibility() == 8) {
                z2 = d2;
            } else {
                z2 = d2;
                childAt.setVisibility((Math.max(d2 ? paddingLeft : width, childAt.getLeft()) < i5 || Math.max(paddingTop, childAt.getTop()) < i3 || Math.min(d2 ? width : paddingLeft, childAt.getRight()) > i4 || Math.min(height, childAt.getBottom()) > i2) ? 0 : 4);
            }
            i6++;
            view2 = view;
            d2 = z2;
        }
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.y = true;
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        this.y = true;
        int size = this.A.size();
        for (int i2 = 0; i2 < size; i2++) {
            this.A.get(i2).run();
        }
        this.A.clear();
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        boolean z2;
        View childAt;
        int actionMasked = motionEvent.getActionMasked();
        if (!this.m && actionMasked == 0 && getChildCount() > 1 && (childAt = getChildAt(1)) != null) {
            this.x = !this.w.q(childAt, (int) motionEvent.getX(), (int) motionEvent.getY());
        }
        if (!this.m || (this.r && actionMasked != 0)) {
            this.w.b();
            return super.onInterceptTouchEvent(motionEvent);
        } else if (actionMasked == 3 || actionMasked == 1) {
            this.w.b();
            return false;
        } else {
            if (actionMasked == 0) {
                this.r = false;
                float x2 = motionEvent.getX();
                float y2 = motionEvent.getY();
                this.t = x2;
                this.u = y2;
                if (this.w.q(this.n, (int) x2, (int) y2) && c(this.n)) {
                    z2 = true;
                    if (this.w.y(motionEvent) && !z2) {
                        return false;
                    }
                }
            } else if (actionMasked == 2) {
                float x3 = motionEvent.getX();
                float y3 = motionEvent.getY();
                float abs = Math.abs(x3 - this.t);
                float abs2 = Math.abs(y3 - this.u);
                b.k.a.b bVar = this.w;
                if (abs > ((float) bVar.f3504c) && abs2 > abs) {
                    bVar.b();
                    this.r = true;
                    return false;
                }
            }
            z2 = false;
            return this.w.y(motionEvent) ? true : true;
        }
    }

    public void onLayout(boolean z2, int i2, int i3, int i4, int i5) {
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        boolean d2 = d();
        if (d2) {
            this.w.q = 2;
        } else {
            this.w.q = 1;
        }
        int i11 = i4 - i2;
        int paddingRight = d2 ? getPaddingRight() : getPaddingLeft();
        int paddingLeft = d2 ? getPaddingLeft() : getPaddingRight();
        int paddingTop = getPaddingTop();
        int childCount = getChildCount();
        if (this.y) {
            this.o = (!this.m || !this.x) ? 0.0f : 1.0f;
        }
        int i12 = paddingRight;
        for (int i13 = 0; i13 < childCount; i13++) {
            View childAt = getChildAt(i13);
            if (childAt.getVisibility() != 8) {
                d dVar = (d) childAt.getLayoutParams();
                int measuredWidth = childAt.getMeasuredWidth();
                if (dVar.f1982c) {
                    int i14 = i11 - paddingLeft;
                    int min = (Math.min(paddingRight, i14 - this.f1974l) - i12) - (((ViewGroup.MarginLayoutParams) dVar).leftMargin + ((ViewGroup.MarginLayoutParams) dVar).rightMargin);
                    this.q = min;
                    int i15 = d2 ? ((ViewGroup.MarginLayoutParams) dVar).rightMargin : ((ViewGroup.MarginLayoutParams) dVar).leftMargin;
                    dVar.f1983d = (measuredWidth / 2) + ((i12 + i15) + min) > i14;
                    int i16 = (int) (((float) min) * this.o);
                    i7 = i15 + i16 + i12;
                    this.o = ((float) i16) / ((float) min);
                    i6 = 0;
                } else if (!this.m || (i10 = this.s) == 0) {
                    i7 = paddingRight;
                    i6 = 0;
                } else {
                    i6 = (int) ((1.0f - this.o) * ((float) i10));
                    i7 = paddingRight;
                }
                if (d2) {
                    i8 = (i11 - i7) + i6;
                    i9 = i8 - measuredWidth;
                } else {
                    i9 = i7 - i6;
                    i8 = i9 + measuredWidth;
                }
                childAt.layout(i9, paddingTop, i8, childAt.getMeasuredHeight() + paddingTop);
                i12 = i7;
                paddingRight = childAt.getWidth() + paddingRight;
            }
        }
        if (this.y) {
            if (this.m) {
                if (this.s != 0) {
                    f(this.o);
                }
                if (((d) this.n.getLayoutParams()).f1983d) {
                    b(this.n, this.o, this.f1970d);
                }
            } else {
                for (int i17 = 0; i17 < childCount; i17++) {
                    b(getChildAt(i17), 0.0f, this.f1970d);
                }
            }
            i(this.n);
        }
        this.y = false;
    }

    public void onMeasure(int i2, int i3) {
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        float f2;
        int i12;
        int i13;
        int i14;
        int i15;
        int mode = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i2);
        int mode2 = View.MeasureSpec.getMode(i3);
        int size2 = View.MeasureSpec.getSize(i3);
        if (mode != 1073741824) {
            if (!isInEditMode()) {
                throw new IllegalStateException("Width must have an exact value or MATCH_PARENT");
            } else if (mode != Integer.MIN_VALUE && mode == 0) {
                size = 300;
            }
        } else if (mode2 == 0) {
            if (!isInEditMode()) {
                throw new IllegalStateException("Height must not be UNSPECIFIED");
            } else if (mode2 == 0) {
                mode2 = Integer.MIN_VALUE;
                size2 = 300;
            }
        }
        boolean z2 = false;
        if (mode2 == Integer.MIN_VALUE) {
            i4 = (size2 - getPaddingTop()) - getPaddingBottom();
            i5 = 0;
        } else if (mode2 != 1073741824) {
            i5 = 0;
            i4 = 0;
        } else {
            i5 = (size2 - getPaddingTop()) - getPaddingBottom();
            i4 = i5;
        }
        int paddingLeft = (size - getPaddingLeft()) - getPaddingRight();
        int childCount = getChildCount();
        if (childCount > 2) {
            Log.e("SlidingPaneLayout", "onMeasure: More than two child views are not supported.");
        }
        this.n = null;
        int i16 = paddingLeft;
        int i17 = 0;
        boolean z3 = false;
        float f3 = 0.0f;
        while (true) {
            i6 = 8;
            if (i17 >= childCount) {
                break;
            }
            View childAt = getChildAt(i17);
            d dVar = (d) childAt.getLayoutParams();
            if (childAt.getVisibility() == 8) {
                dVar.f1983d = z2;
            } else {
                float f4 = dVar.f1981b;
                if (f4 > 0.0f) {
                    f3 += f4;
                    if (((ViewGroup.MarginLayoutParams) dVar).width == 0) {
                    }
                }
                int i18 = ((ViewGroup.MarginLayoutParams) dVar).leftMargin + ((ViewGroup.MarginLayoutParams) dVar).rightMargin;
                int i19 = ((ViewGroup.MarginLayoutParams) dVar).width;
                if (i19 == -2) {
                    i12 = View.MeasureSpec.makeMeasureSpec(paddingLeft - i18, Integer.MIN_VALUE);
                    f2 = f3;
                    i13 = Integer.MIN_VALUE;
                } else {
                    f2 = f3;
                    i13 = Integer.MIN_VALUE;
                    if (i19 == -1) {
                        i12 = View.MeasureSpec.makeMeasureSpec(paddingLeft - i18, 1073741824);
                    } else {
                        i12 = View.MeasureSpec.makeMeasureSpec(i19, 1073741824);
                    }
                }
                int i20 = ((ViewGroup.MarginLayoutParams) dVar).height;
                if (i20 == -2) {
                    i14 = View.MeasureSpec.makeMeasureSpec(i4, i13);
                } else {
                    if (i20 == -1) {
                        i15 = View.MeasureSpec.makeMeasureSpec(i4, 1073741824);
                    } else {
                        i15 = View.MeasureSpec.makeMeasureSpec(i20, 1073741824);
                    }
                    i14 = i15;
                }
                childAt.measure(i12, i14);
                int measuredWidth = childAt.getMeasuredWidth();
                int measuredHeight = childAt.getMeasuredHeight();
                if (mode2 == i13 && measuredHeight > i5) {
                    i5 = Math.min(measuredHeight, i4);
                }
                i16 -= measuredWidth;
                boolean z4 = i16 < 0;
                dVar.f1982c = z4;
                z3 |= z4;
                if (z4) {
                    this.n = childAt;
                }
                f3 = f2;
            }
            i17++;
            z2 = false;
        }
        if (z3 || f3 > 0.0f) {
            int i21 = paddingLeft - this.f1974l;
            int i22 = 0;
            while (i22 < childCount) {
                View childAt2 = getChildAt(i22);
                if (childAt2.getVisibility() != i6) {
                    d dVar2 = (d) childAt2.getLayoutParams();
                    if (childAt2.getVisibility() != i6) {
                        boolean z5 = ((ViewGroup.MarginLayoutParams) dVar2).width == 0 && dVar2.f1981b > 0.0f;
                        if (z5) {
                            i8 = 0;
                        } else {
                            i8 = childAt2.getMeasuredWidth();
                        }
                        if (!z3 || childAt2 == this.n) {
                            if (dVar2.f1981b > 0.0f) {
                                if (((ViewGroup.MarginLayoutParams) dVar2).width == 0) {
                                    int i23 = ((ViewGroup.MarginLayoutParams) dVar2).height;
                                    if (i23 == -2) {
                                        i9 = View.MeasureSpec.makeMeasureSpec(i4, Integer.MIN_VALUE);
                                    } else if (i23 == -1) {
                                        i9 = View.MeasureSpec.makeMeasureSpec(i4, 1073741824);
                                    } else {
                                        i9 = View.MeasureSpec.makeMeasureSpec(i23, 1073741824);
                                    }
                                } else {
                                    i9 = View.MeasureSpec.makeMeasureSpec(childAt2.getMeasuredHeight(), 1073741824);
                                }
                                if (z3) {
                                    int i24 = paddingLeft - (((ViewGroup.MarginLayoutParams) dVar2).leftMargin + ((ViewGroup.MarginLayoutParams) dVar2).rightMargin);
                                    i7 = i21;
                                    int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(i24, 1073741824);
                                    if (i8 != i24) {
                                        childAt2.measure(makeMeasureSpec, i9);
                                    }
                                    i22++;
                                    i21 = i7;
                                    i6 = 8;
                                } else {
                                    i7 = i21;
                                    childAt2.measure(View.MeasureSpec.makeMeasureSpec(i8 + ((int) ((dVar2.f1981b * ((float) Math.max(0, i16))) / f3)), 1073741824), i9);
                                    i22++;
                                    i21 = i7;
                                    i6 = 8;
                                }
                            }
                        } else if (((ViewGroup.MarginLayoutParams) dVar2).width < 0 && (i8 > i21 || dVar2.f1981b > 0.0f)) {
                            if (z5) {
                                int i25 = ((ViewGroup.MarginLayoutParams) dVar2).height;
                                if (i25 == -2) {
                                    i11 = View.MeasureSpec.makeMeasureSpec(i4, Integer.MIN_VALUE);
                                    i10 = 1073741824;
                                } else if (i25 == -1) {
                                    i10 = 1073741824;
                                    i11 = View.MeasureSpec.makeMeasureSpec(i4, 1073741824);
                                } else {
                                    i10 = 1073741824;
                                    i11 = View.MeasureSpec.makeMeasureSpec(i25, 1073741824);
                                }
                            } else {
                                i10 = 1073741824;
                                i11 = View.MeasureSpec.makeMeasureSpec(childAt2.getMeasuredHeight(), 1073741824);
                            }
                            childAt2.measure(View.MeasureSpec.makeMeasureSpec(i21, i10), i11);
                        }
                    }
                }
                i7 = i21;
                i22++;
                i21 = i7;
                i6 = 8;
            }
        }
        setMeasuredDimension(size, getPaddingBottom() + getPaddingTop() + i5);
        this.m = z3;
        b.k.a.b bVar = this.w;
        if (bVar.f3503b != 0 && !z3) {
            bVar.a();
        }
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        if (savedState.isOpen) {
            e(0);
        } else {
            a(0);
        }
        this.x = savedState.isOpen;
    }

    public Parcelable onSaveInstanceState() {
        boolean z2;
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        boolean z3 = this.m;
        if (z3) {
            z2 = !z3 || this.o == 1.0f;
        } else {
            z2 = this.x;
        }
        savedState.isOpen = z2;
        return savedState;
    }

    public void onSizeChanged(int i2, int i3, int i4, int i5) {
        super.onSizeChanged(i2, i3, i4, i5);
        if (i2 != i4) {
            this.y = true;
        }
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (!this.m) {
            return super.onTouchEvent(motionEvent);
        }
        this.w.r(motionEvent);
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 0) {
            float x2 = motionEvent.getX();
            float y2 = motionEvent.getY();
            this.t = x2;
            this.u = y2;
        } else if (actionMasked == 1 && c(this.n)) {
            float x3 = motionEvent.getX();
            float y3 = motionEvent.getY();
            float f2 = x3 - this.t;
            float f3 = y3 - this.u;
            b.k.a.b bVar = this.w;
            int i2 = bVar.f3504c;
            if ((f3 * f3) + (f2 * f2) < ((float) (i2 * i2)) && bVar.q(this.n, (int) x3, (int) y3)) {
                a(0);
            }
        }
        return true;
    }

    public void requestChildFocus(View view, View view2) {
        super.requestChildFocus(view, view2);
        if (!isInTouchMode() && !this.m) {
            this.x = view == this.n;
        }
    }

    public void setCoveredFadeColor(int i2) {
        this.f1971h = i2;
    }

    public void setPanelSlideListener(PanelSlideListener panelSlideListener) {
        this.v = panelSlideListener;
    }

    public void setParallaxDistance(int i2) {
        this.s = i2;
        requestLayout();
    }

    @Deprecated
    public void setShadowDrawable(Drawable drawable) {
        setShadowDrawableLeft(drawable);
    }

    public void setShadowDrawableLeft(Drawable drawable) {
        this.f1972j = drawable;
    }

    public void setShadowDrawableRight(Drawable drawable) {
        this.f1973k = drawable;
    }

    @Deprecated
    public void setShadowResource(int i2) {
        setShadowDrawable(getResources().getDrawable(i2));
    }

    public void setShadowResourceLeft(int i2) {
        Context context = getContext();
        Object obj = b.j.b.a.f3266a;
        setShadowDrawableLeft(context.getDrawable(i2));
    }

    public void setShadowResourceRight(int i2) {
        Context context = getContext();
        Object obj = b.j.b.a.f3266a;
        setShadowDrawableRight(context.getDrawable(i2));
    }

    public void setSliderFadeColor(int i2) {
        this.f1970d = i2;
    }

    public static class d extends ViewGroup.MarginLayoutParams {

        /* renamed from: a  reason: collision with root package name */
        public static final int[] f1980a = {16843137};

        /* renamed from: b  reason: collision with root package name */
        public float f1981b = 0.0f;

        /* renamed from: c  reason: collision with root package name */
        public boolean f1982c;

        /* renamed from: d  reason: collision with root package name */
        public boolean f1983d;

        /* renamed from: e  reason: collision with root package name */
        public Paint f1984e;

        public d() {
            super(-1, -1);
        }

        public d(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }

        public d(ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
        }

        public d(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, f1980a);
            this.f1981b = obtainStyledAttributes.getFloat(0, 0.0f);
            obtainStyledAttributes.recycle();
        }
    }

    public SlidingPaneLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new d(getContext(), attributeSet);
    }

    public SlidingPaneLayout(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f1970d = -858993460;
        this.y = true;
        this.z = new Rect();
        this.A = new ArrayList<>();
        float f2 = context.getResources().getDisplayMetrics().density;
        this.f1974l = (int) ((32.0f * f2) + 0.5f);
        setWillNotDraw(false);
        ViewCompat.u(this, new a());
        setImportantForAccessibility(1);
        b.k.a.b k2 = b.k.a.b.k(this, 0.5f, new c());
        this.w = k2;
        k2.o = f2 * 400.0f;
    }
}
