package androidx.swiperefreshlayout.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.animation.Animation;
import android.view.animation.DecelerateInterpolator;
import android.view.animation.Transformation;
import android.widget.ListView;
import androidx.core.view.NestedScrollingChild;
import androidx.core.view.NestedScrollingParent;
import androidx.core.view.ViewCompat;
import b.w.a.d;
import com.shuyu.gsyvideoplayer.utils.NeuQuant;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;

public class SwipeRefreshLayout extends ViewGroup implements NestedScrollingParent, NestedScrollingChild {

    /* renamed from: d  reason: collision with root package name */
    public static final String f1985d = SwipeRefreshLayout.class.getSimpleName();

    /* renamed from: h  reason: collision with root package name */
    public static final int[] f1986h = {16842766};
    public final DecelerateInterpolator A;
    public b.w.a.a B;
    public int C;
    public int D;
    public int E;
    public int F;
    public int G;
    public b.w.a.d H;
    public Animation I;
    public Animation J;
    public Animation K;
    public Animation L;
    public boolean M;
    public int N;
    public OnChildScrollUpCallback O;
    public Animation.AnimationListener P;
    public final Animation Q;
    public final Animation R;

    /* renamed from: j  reason: collision with root package name */
    public View f1987j;

    /* renamed from: k  reason: collision with root package name */
    public OnRefreshListener f1988k;

    /* renamed from: l  reason: collision with root package name */
    public boolean f1989l;
    public int m;
    public float n;
    public float o;
    public final b.j.h.e p;
    public final b.j.h.d q;
    public final int[] r;
    public final int[] s;
    public boolean t;
    public int u;
    public int v;
    public float w;
    public float x;
    public boolean y;
    public int z;

    public interface OnChildScrollUpCallback {
        boolean canChildScrollUp(SwipeRefreshLayout swipeRefreshLayout, View view);
    }

    public interface OnRefreshListener {
        void onRefresh();
    }

    public class a implements Animation.AnimationListener {
        public a() {
        }

        public void onAnimationEnd(Animation animation) {
            OnRefreshListener onRefreshListener;
            SwipeRefreshLayout swipeRefreshLayout = SwipeRefreshLayout.this;
            if (swipeRefreshLayout.f1989l) {
                swipeRefreshLayout.H.setAlpha(NeuQuant.maxnetpos);
                SwipeRefreshLayout.this.H.start();
                SwipeRefreshLayout swipeRefreshLayout2 = SwipeRefreshLayout.this;
                if (swipeRefreshLayout2.M && (onRefreshListener = swipeRefreshLayout2.f1988k) != null) {
                    onRefreshListener.onRefresh();
                }
                SwipeRefreshLayout swipeRefreshLayout3 = SwipeRefreshLayout.this;
                swipeRefreshLayout3.v = swipeRefreshLayout3.B.getTop();
                return;
            }
            swipeRefreshLayout.h();
        }

        public void onAnimationRepeat(Animation animation) {
        }

        public void onAnimationStart(Animation animation) {
        }
    }

    public class b extends Animation {
        public b() {
        }

        public void applyTransformation(float f2, Transformation transformation) {
            SwipeRefreshLayout.this.setAnimationProgress(1.0f - f2);
        }
    }

    public class c extends Animation {

        /* renamed from: d  reason: collision with root package name */
        public final /* synthetic */ int f1992d;

        /* renamed from: h  reason: collision with root package name */
        public final /* synthetic */ int f1993h;

        public c(int i2, int i3) {
            this.f1992d = i2;
            this.f1993h = i3;
        }

        public void applyTransformation(float f2, Transformation transformation) {
            b.w.a.d dVar = SwipeRefreshLayout.this.H;
            int i2 = this.f1992d;
            dVar.setAlpha((int) ((((float) (this.f1993h - i2)) * f2) + ((float) i2)));
        }
    }

    public class d implements Animation.AnimationListener {
        public d() {
        }

        public void onAnimationEnd(Animation animation) {
            Objects.requireNonNull(SwipeRefreshLayout.this);
            SwipeRefreshLayout.this.l(null);
        }

        public void onAnimationRepeat(Animation animation) {
        }

        public void onAnimationStart(Animation animation) {
        }
    }

    public class e extends Animation {
        public e() {
        }

        public void applyTransformation(float f2, Transformation transformation) {
            Objects.requireNonNull(SwipeRefreshLayout.this);
            SwipeRefreshLayout swipeRefreshLayout = SwipeRefreshLayout.this;
            int abs = swipeRefreshLayout.F - Math.abs(swipeRefreshLayout.E);
            SwipeRefreshLayout swipeRefreshLayout2 = SwipeRefreshLayout.this;
            int i2 = swipeRefreshLayout2.D;
            SwipeRefreshLayout.this.setTargetOffsetTopAndBottom((i2 + ((int) (((float) (abs - i2)) * f2))) - swipeRefreshLayout2.B.getTop());
            b.w.a.d dVar = SwipeRefreshLayout.this.H;
            float f3 = 1.0f - f2;
            d.a aVar = dVar.f3913k;
            if (f3 != aVar.p) {
                aVar.p = f3;
            }
            dVar.invalidateSelf();
        }
    }

    public class f extends Animation {
        public f() {
        }

        public void applyTransformation(float f2, Transformation transformation) {
            SwipeRefreshLayout.this.f(f2);
        }
    }

    public SwipeRefreshLayout(Context context) {
        this(context, null);
    }

    private void setColorViewAlpha(int i2) {
        this.B.getBackground().setAlpha(i2);
        b.w.a.d dVar = this.H;
        dVar.f3913k.t = i2;
        dVar.invalidateSelf();
    }

    public boolean a() {
        OnChildScrollUpCallback onChildScrollUpCallback = this.O;
        if (onChildScrollUpCallback != null) {
            return onChildScrollUpCallback.canChildScrollUp(this, this.f1987j);
        }
        View view = this.f1987j;
        if (view instanceof ListView) {
            return ((ListView) view).canScrollList(-1);
        }
        return view.canScrollVertically(-1);
    }

    public final void b() {
        if (this.f1987j == null) {
            for (int i2 = 0; i2 < getChildCount(); i2++) {
                View childAt = getChildAt(i2);
                if (!childAt.equals(this.B)) {
                    this.f1987j = childAt;
                    return;
                }
            }
        }
    }

    public final void c(float f2) {
        if (f2 > this.n) {
            i(true, true);
            return;
        }
        this.f1989l = false;
        b.w.a.d dVar = this.H;
        d.a aVar = dVar.f3913k;
        aVar.f3919e = 0.0f;
        aVar.f3920f = 0.0f;
        dVar.invalidateSelf();
        d dVar2 = new d();
        this.D = this.v;
        this.R.reset();
        this.R.setDuration(200);
        this.R.setInterpolator(this.A);
        b.w.a.a aVar2 = this.B;
        aVar2.f3904d = dVar2;
        aVar2.clearAnimation();
        this.B.startAnimation(this.R);
        b.w.a.d dVar3 = this.H;
        d.a aVar3 = dVar3.f3913k;
        if (aVar3.n) {
            aVar3.n = false;
        }
        dVar3.invalidateSelf();
    }

    public final boolean d(Animation animation) {
        return animation != null && animation.hasStarted() && !animation.hasEnded();
    }

    @Override // androidx.core.view.NestedScrollingChild
    public boolean dispatchNestedFling(float f2, float f3, boolean z2) {
        return this.q.a(f2, f3, z2);
    }

    @Override // androidx.core.view.NestedScrollingChild
    public boolean dispatchNestedPreFling(float f2, float f3) {
        return this.q.b(f2, f3);
    }

    @Override // androidx.core.view.NestedScrollingChild
    public boolean dispatchNestedPreScroll(int i2, int i3, int[] iArr, int[] iArr2) {
        return this.q.c(i2, i3, iArr, iArr2);
    }

    @Override // androidx.core.view.NestedScrollingChild
    public boolean dispatchNestedScroll(int i2, int i3, int i4, int i5, int[] iArr) {
        return this.q.e(i2, i3, i4, i5, iArr);
    }

    public final void e(float f2) {
        b.w.a.d dVar = this.H;
        d.a aVar = dVar.f3913k;
        if (!aVar.n) {
            aVar.n = true;
        }
        dVar.invalidateSelf();
        float min = Math.min(1.0f, Math.abs(f2 / this.n));
        float max = (((float) Math.max(((double) min) - 0.4d, 0.0d)) * 5.0f) / 3.0f;
        float abs = Math.abs(f2) - this.n;
        int i2 = this.G;
        if (i2 <= 0) {
            i2 = this.F;
        }
        float f3 = (float) i2;
        double max2 = (double) (Math.max(0.0f, Math.min(abs, f3 * 2.0f) / f3) / 4.0f);
        float pow = ((float) (max2 - Math.pow(max2, 2.0d))) * 2.0f;
        int i3 = this.E + ((int) ((f3 * min) + (f3 * pow * 2.0f)));
        if (this.B.getVisibility() != 0) {
            this.B.setVisibility(0);
        }
        this.B.setScaleX(1.0f);
        this.B.setScaleY(1.0f);
        if (f2 < this.n) {
            if (this.H.f3913k.t > 76 && !d(this.K)) {
                this.K = j(this.H.f3913k.t, 76);
            }
        } else if (this.H.f3913k.t < 255 && !d(this.L)) {
            this.L = j(this.H.f3913k.t, NeuQuant.maxnetpos);
        }
        b.w.a.d dVar2 = this.H;
        float min2 = Math.min(0.8f, max * 0.8f);
        d.a aVar2 = dVar2.f3913k;
        aVar2.f3919e = 0.0f;
        aVar2.f3920f = min2;
        dVar2.invalidateSelf();
        b.w.a.d dVar3 = this.H;
        float min3 = Math.min(1.0f, max);
        d.a aVar3 = dVar3.f3913k;
        if (min3 != aVar3.p) {
            aVar3.p = min3;
        }
        dVar3.invalidateSelf();
        b.w.a.d dVar4 = this.H;
        dVar4.f3913k.f3921g = ((pow * 2.0f) + ((max * 0.4f) - 16.0f)) * 0.5f;
        dVar4.invalidateSelf();
        setTargetOffsetTopAndBottom(i3 - this.v);
    }

    public void f(float f2) {
        int i2 = this.D;
        setTargetOffsetTopAndBottom((i2 + ((int) (((float) (this.E - i2)) * f2))) - this.B.getTop());
    }

    public final void g(MotionEvent motionEvent) {
        int actionIndex = motionEvent.getActionIndex();
        if (motionEvent.getPointerId(actionIndex) == this.z) {
            this.z = motionEvent.getPointerId(actionIndex == 0 ? 1 : 0);
        }
    }

    public int getChildDrawingOrder(int i2, int i3) {
        int i4 = this.C;
        if (i4 < 0) {
            return i3;
        }
        if (i3 == i2 - 1) {
            return i4;
        }
        return i3 >= i4 ? i3 + 1 : i3;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public int getNestedScrollAxes() {
        return this.p.a();
    }

    public int getProgressCircleDiameter() {
        return this.N;
    }

    public int getProgressViewEndOffset() {
        return this.F;
    }

    public int getProgressViewStartOffset() {
        return this.E;
    }

    public void h() {
        this.B.clearAnimation();
        this.H.stop();
        this.B.setVisibility(8);
        setColorViewAlpha(NeuQuant.maxnetpos);
        setTargetOffsetTopAndBottom(this.E - this.v);
        this.v = this.B.getTop();
    }

    @Override // androidx.core.view.NestedScrollingChild
    public boolean hasNestedScrollingParent() {
        return this.q.i();
    }

    public final void i(boolean z2, boolean z3) {
        if (this.f1989l != z2) {
            this.M = z3;
            b();
            this.f1989l = z2;
            if (z2) {
                int i2 = this.v;
                Animation.AnimationListener animationListener = this.P;
                this.D = i2;
                this.Q.reset();
                this.Q.setDuration(200);
                this.Q.setInterpolator(this.A);
                if (animationListener != null) {
                    this.B.f3904d = animationListener;
                }
                this.B.clearAnimation();
                this.B.startAnimation(this.Q);
                return;
            }
            l(this.P);
        }
    }

    @Override // androidx.core.view.NestedScrollingChild
    public boolean isNestedScrollingEnabled() {
        return this.q.f3408d;
    }

    public final Animation j(int i2, int i3) {
        c cVar = new c(i2, i3);
        cVar.setDuration(300);
        b.w.a.a aVar = this.B;
        aVar.f3904d = null;
        aVar.clearAnimation();
        this.B.startAnimation(cVar);
        return cVar;
    }

    public final void k(float f2) {
        float f3 = this.x;
        int i2 = this.m;
        if (f2 - f3 > ((float) i2) && !this.y) {
            this.w = f3 + ((float) i2);
            this.y = true;
            this.H.setAlpha(76);
        }
    }

    public void l(Animation.AnimationListener animationListener) {
        b bVar = new b();
        this.J = bVar;
        bVar.setDuration(150);
        b.w.a.a aVar = this.B;
        aVar.f3904d = animationListener;
        aVar.clearAnimation();
        this.B.startAnimation(this.J);
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        h();
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        b();
        int actionMasked = motionEvent.getActionMasked();
        if (!isEnabled() || a() || this.f1989l || this.t) {
            return false;
        }
        if (actionMasked != 0) {
            if (actionMasked != 1) {
                if (actionMasked == 2) {
                    int i2 = this.z;
                    if (i2 == -1) {
                        Log.e(f1985d, "Got ACTION_MOVE event but don't have an active pointer id.");
                        return false;
                    }
                    int findPointerIndex = motionEvent.findPointerIndex(i2);
                    if (findPointerIndex < 0) {
                        return false;
                    }
                    k(motionEvent.getY(findPointerIndex));
                } else if (actionMasked != 3) {
                    if (actionMasked == 6) {
                        g(motionEvent);
                    }
                }
            }
            this.y = false;
            this.z = -1;
        } else {
            setTargetOffsetTopAndBottom(this.E - this.B.getTop());
            int pointerId = motionEvent.getPointerId(0);
            this.z = pointerId;
            this.y = false;
            int findPointerIndex2 = motionEvent.findPointerIndex(pointerId);
            if (findPointerIndex2 < 0) {
                return false;
            }
            this.x = motionEvent.getY(findPointerIndex2);
        }
        return this.y;
    }

    public void onLayout(boolean z2, int i2, int i3, int i4, int i5) {
        int measuredWidth = getMeasuredWidth();
        int measuredHeight = getMeasuredHeight();
        if (getChildCount() != 0) {
            if (this.f1987j == null) {
                b();
            }
            View view = this.f1987j;
            if (view != null) {
                int paddingLeft = getPaddingLeft();
                int paddingTop = getPaddingTop();
                view.layout(paddingLeft, paddingTop, ((measuredWidth - getPaddingLeft()) - getPaddingRight()) + paddingLeft, ((measuredHeight - getPaddingTop()) - getPaddingBottom()) + paddingTop);
                int measuredWidth2 = this.B.getMeasuredWidth();
                int measuredHeight2 = this.B.getMeasuredHeight();
                int i6 = measuredWidth / 2;
                int i7 = measuredWidth2 / 2;
                int i8 = this.v;
                this.B.layout(i6 - i7, i8, i6 + i7, measuredHeight2 + i8);
            }
        }
    }

    public void onMeasure(int i2, int i3) {
        super.onMeasure(i2, i3);
        if (this.f1987j == null) {
            b();
        }
        View view = this.f1987j;
        if (view != null) {
            view.measure(View.MeasureSpec.makeMeasureSpec((getMeasuredWidth() - getPaddingLeft()) - getPaddingRight(), 1073741824), View.MeasureSpec.makeMeasureSpec((getMeasuredHeight() - getPaddingTop()) - getPaddingBottom(), 1073741824));
            this.B.measure(View.MeasureSpec.makeMeasureSpec(this.N, 1073741824), View.MeasureSpec.makeMeasureSpec(this.N, 1073741824));
            this.C = -1;
            for (int i4 = 0; i4 < getChildCount(); i4++) {
                if (getChildAt(i4) == this.B) {
                    this.C = i4;
                    return;
                }
            }
        }
    }

    @Override // androidx.core.view.NestedScrollingParent
    public boolean onNestedFling(View view, float f2, float f3, boolean z2) {
        return dispatchNestedFling(f2, f3, z2);
    }

    @Override // androidx.core.view.NestedScrollingParent
    public boolean onNestedPreFling(View view, float f2, float f3) {
        return dispatchNestedPreFling(f2, f3);
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onNestedPreScroll(View view, int i2, int i3, int[] iArr) {
        if (i3 > 0) {
            float f2 = this.o;
            if (f2 > 0.0f) {
                float f3 = (float) i3;
                if (f3 > f2) {
                    iArr[1] = i3 - ((int) f2);
                    this.o = 0.0f;
                } else {
                    this.o = f2 - f3;
                    iArr[1] = i3;
                }
                e(this.o);
            }
        }
        int[] iArr2 = this.r;
        if (dispatchNestedPreScroll(i2 - iArr[0], i3 - iArr[1], iArr2, null)) {
            iArr[0] = iArr[0] + iArr2[0];
            iArr[1] = iArr[1] + iArr2[1];
        }
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onNestedScroll(View view, int i2, int i3, int i4, int i5) {
        dispatchNestedScroll(i2, i3, i4, i5, this.s);
        int i6 = i5 + this.s[1];
        if (i6 < 0 && !a()) {
            float abs = this.o + ((float) Math.abs(i6));
            this.o = abs;
            e(abs);
        }
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onNestedScrollAccepted(View view, View view2, int i2) {
        this.p.f3410a = i2;
        startNestedScroll(i2 & 2);
        this.o = 0.0f;
        this.t = true;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public boolean onStartNestedScroll(View view, View view2, int i2) {
        return isEnabled() && !this.f1989l && (i2 & 2) != 0;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onStopNestedScroll(View view) {
        this.p.b(0);
        this.t = false;
        float f2 = this.o;
        if (f2 > 0.0f) {
            c(f2);
            this.o = 0.0f;
        }
        stopNestedScroll();
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        int actionMasked = motionEvent.getActionMasked();
        if (!isEnabled() || a() || this.f1989l || this.t) {
            return false;
        }
        if (actionMasked == 0) {
            this.z = motionEvent.getPointerId(0);
            this.y = false;
        } else if (actionMasked == 1) {
            int findPointerIndex = motionEvent.findPointerIndex(this.z);
            if (findPointerIndex < 0) {
                Log.e(f1985d, "Got ACTION_UP event but don't have an active pointer id.");
                return false;
            }
            if (this.y) {
                this.y = false;
                c((motionEvent.getY(findPointerIndex) - this.w) * 0.5f);
            }
            this.z = -1;
            return false;
        } else if (actionMasked == 2) {
            int findPointerIndex2 = motionEvent.findPointerIndex(this.z);
            if (findPointerIndex2 < 0) {
                Log.e(f1985d, "Got ACTION_MOVE event but have an invalid active pointer id.");
                return false;
            }
            float y2 = motionEvent.getY(findPointerIndex2);
            k(y2);
            if (this.y) {
                float f2 = (y2 - this.w) * 0.5f;
                if (f2 <= 0.0f) {
                    return false;
                }
                e(f2);
            }
        } else if (actionMasked == 3) {
            return false;
        } else {
            if (actionMasked == 5) {
                int actionIndex = motionEvent.getActionIndex();
                if (actionIndex < 0) {
                    Log.e(f1985d, "Got ACTION_POINTER_DOWN event but have an invalid action index.");
                    return false;
                }
                this.z = motionEvent.getPointerId(actionIndex);
            } else if (actionMasked == 6) {
                g(motionEvent);
            }
        }
        return true;
    }

    public void requestDisallowInterceptTouchEvent(boolean z2) {
        View view = this.f1987j;
        if (view != null) {
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            if (!view.isNestedScrollingEnabled()) {
                return;
            }
        }
        super.requestDisallowInterceptTouchEvent(z2);
    }

    public void setAnimationProgress(float f2) {
        this.B.setScaleX(f2);
        this.B.setScaleY(f2);
    }

    @Deprecated
    public void setColorScheme(int... iArr) {
        setColorSchemeResources(iArr);
    }

    public void setColorSchemeColors(int... iArr) {
        b();
        b.w.a.d dVar = this.H;
        d.a aVar = dVar.f3913k;
        aVar.f3923i = iArr;
        aVar.a(0);
        dVar.f3913k.a(0);
        dVar.invalidateSelf();
    }

    public void setColorSchemeResources(int... iArr) {
        Context context = getContext();
        int[] iArr2 = new int[iArr.length];
        for (int i2 = 0; i2 < iArr.length; i2++) {
            iArr2[i2] = b.j.b.a.b(context, iArr[i2]);
        }
        setColorSchemeColors(iArr2);
    }

    public void setDistanceToTriggerSync(int i2) {
        this.n = (float) i2;
    }

    public void setEnabled(boolean z2) {
        super.setEnabled(z2);
        if (!z2) {
            h();
        }
    }

    @Override // androidx.core.view.NestedScrollingChild
    public void setNestedScrollingEnabled(boolean z2) {
        b.j.h.d dVar = this.q;
        if (dVar.f3408d) {
            View view = dVar.f3407c;
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            view.stopNestedScroll();
        }
        dVar.f3408d = z2;
    }

    public void setOnChildScrollUpCallback(OnChildScrollUpCallback onChildScrollUpCallback) {
        this.O = onChildScrollUpCallback;
    }

    public void setOnRefreshListener(OnRefreshListener onRefreshListener) {
        this.f1988k = onRefreshListener;
    }

    @Deprecated
    public void setProgressBackgroundColor(int i2) {
        setProgressBackgroundColorSchemeResource(i2);
    }

    public void setProgressBackgroundColorSchemeColor(int i2) {
        this.B.setBackgroundColor(i2);
    }

    public void setProgressBackgroundColorSchemeResource(int i2) {
        setProgressBackgroundColorSchemeColor(b.j.b.a.b(getContext(), i2));
    }

    public void setRefreshing(boolean z2) {
        if (!z2 || this.f1989l == z2) {
            i(z2, false);
            return;
        }
        this.f1989l = z2;
        setTargetOffsetTopAndBottom((this.F + this.E) - this.v);
        this.M = false;
        Animation.AnimationListener animationListener = this.P;
        this.B.setVisibility(0);
        this.H.setAlpha(NeuQuant.maxnetpos);
        b.w.a.e eVar = new b.w.a.e(this);
        this.I = eVar;
        eVar.setDuration((long) this.u);
        if (animationListener != null) {
            this.B.f3904d = animationListener;
        }
        this.B.clearAnimation();
        this.B.startAnimation(this.I);
    }

    public void setSize(int i2) {
        if (i2 == 0 || i2 == 1) {
            DisplayMetrics displayMetrics = getResources().getDisplayMetrics();
            if (i2 == 0) {
                this.N = (int) (displayMetrics.density * 56.0f);
            } else {
                this.N = (int) (displayMetrics.density * 40.0f);
            }
            this.B.setImageDrawable(null);
            this.H.c(i2);
            this.B.setImageDrawable(this.H);
        }
    }

    public void setSlingshotDistance(int i2) {
        this.G = i2;
    }

    public void setTargetOffsetTopAndBottom(int i2) {
        this.B.bringToFront();
        ViewCompat.n(this.B, i2);
        this.v = this.B.getTop();
    }

    @Override // androidx.core.view.NestedScrollingChild
    public boolean startNestedScroll(int i2) {
        return this.q.m(i2, 0);
    }

    @Override // androidx.core.view.NestedScrollingChild
    public void stopNestedScroll() {
        this.q.n(0);
    }

    public SwipeRefreshLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f1989l = false;
        this.n = -1.0f;
        this.r = new int[2];
        this.s = new int[2];
        this.z = -1;
        this.C = -1;
        this.P = new a();
        this.Q = new e();
        this.R = new f();
        this.m = ViewConfiguration.get(context).getScaledTouchSlop();
        this.u = getResources().getInteger(17694721);
        setWillNotDraw(false);
        this.A = new DecelerateInterpolator(2.0f);
        DisplayMetrics displayMetrics = getResources().getDisplayMetrics();
        this.N = (int) (displayMetrics.density * 40.0f);
        this.B = new b.w.a.a(getContext(), -328966);
        b.w.a.d dVar = new b.w.a.d(getContext());
        this.H = dVar;
        dVar.c(1);
        this.B.setImageDrawable(this.H);
        this.B.setVisibility(8);
        addView(this.B);
        setChildrenDrawingOrderEnabled(true);
        int i2 = (int) (displayMetrics.density * 64.0f);
        this.F = i2;
        this.n = (float) i2;
        this.p = new b.j.h.e();
        this.q = new b.j.h.d(this);
        setNestedScrollingEnabled(true);
        int i3 = -this.N;
        this.v = i3;
        this.E = i3;
        f(1.0f);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, f1986h);
        setEnabled(obtainStyledAttributes.getBoolean(0, true));
        obtainStyledAttributes.recycle();
    }
}
