package androidx.transition;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.graphics.PointF;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.util.Property;
import android.view.View;
import android.view.ViewGroup;
import androidx.core.view.ViewCompat;
import b.o.a.n;
import b.x.p;
import b.x.s;
import b.x.t;
import java.util.Map;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;

public class ChangeBounds extends Transition {
    public static final String[] F = {"android:changeBounds:bounds", "android:changeBounds:clip", "android:changeBounds:parent", "android:changeBounds:windowX", "android:changeBounds:windowY"};
    public static final Property<Drawable, PointF> G = new a(PointF.class, "boundsOrigin");
    public static final Property<i, PointF> H = new b(PointF.class, "topLeft");
    public static final Property<i, PointF> I = new c(PointF.class, "bottomRight");
    public static final Property<View, PointF> J = new d(PointF.class, "bottomRight");
    public static final Property<View, PointF> K = new e(PointF.class, "topLeft");
    public static final Property<View, PointF> L = new f(PointF.class, "position");
    public static b.x.i M = new b.x.i();
    public int[] N = new int[2];

    public class a extends Property<Drawable, PointF> {

        /* renamed from: a  reason: collision with root package name */
        public Rect f2000a = new Rect();

        public a(Class cls, String str) {
            super(cls, str);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // android.util.Property
        public PointF get(Drawable drawable) {
            drawable.copyBounds(this.f2000a);
            Rect rect = this.f2000a;
            return new PointF((float) rect.left, (float) rect.top);
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, java.lang.Object] */
        @Override // android.util.Property
        public void set(Drawable drawable, PointF pointF) {
            Drawable drawable2 = drawable;
            PointF pointF2 = pointF;
            drawable2.copyBounds(this.f2000a);
            this.f2000a.offsetTo(Math.round(pointF2.x), Math.round(pointF2.y));
            drawable2.setBounds(this.f2000a);
        }
    }

    public class b extends Property<i, PointF> {
        public b(Class cls, String str) {
            super(cls, str);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // android.util.Property
        public /* bridge */ /* synthetic */ PointF get(i iVar) {
            return null;
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, java.lang.Object] */
        @Override // android.util.Property
        public void set(i iVar, PointF pointF) {
            i iVar2 = iVar;
            PointF pointF2 = pointF;
            Objects.requireNonNull(iVar2);
            iVar2.f2004a = Math.round(pointF2.x);
            int round = Math.round(pointF2.y);
            iVar2.f2005b = round;
            int i2 = iVar2.f2009f + 1;
            iVar2.f2009f = i2;
            if (i2 == iVar2.f2010g) {
                t.b(iVar2.f2008e, iVar2.f2004a, round, iVar2.f2006c, iVar2.f2007d);
                iVar2.f2009f = 0;
                iVar2.f2010g = 0;
            }
        }
    }

    public class c extends Property<i, PointF> {
        public c(Class cls, String str) {
            super(cls, str);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // android.util.Property
        public /* bridge */ /* synthetic */ PointF get(i iVar) {
            return null;
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, java.lang.Object] */
        @Override // android.util.Property
        public void set(i iVar, PointF pointF) {
            i iVar2 = iVar;
            PointF pointF2 = pointF;
            Objects.requireNonNull(iVar2);
            iVar2.f2006c = Math.round(pointF2.x);
            int round = Math.round(pointF2.y);
            iVar2.f2007d = round;
            int i2 = iVar2.f2010g + 1;
            iVar2.f2010g = i2;
            if (iVar2.f2009f == i2) {
                t.b(iVar2.f2008e, iVar2.f2004a, iVar2.f2005b, iVar2.f2006c, round);
                iVar2.f2009f = 0;
                iVar2.f2010g = 0;
            }
        }
    }

    public class d extends Property<View, PointF> {
        public d(Class cls, String str) {
            super(cls, str);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // android.util.Property
        public /* bridge */ /* synthetic */ PointF get(View view) {
            return null;
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, java.lang.Object] */
        @Override // android.util.Property
        public void set(View view, PointF pointF) {
            View view2 = view;
            PointF pointF2 = pointF;
            t.b(view2, view2.getLeft(), view2.getTop(), Math.round(pointF2.x), Math.round(pointF2.y));
        }
    }

    public class e extends Property<View, PointF> {
        public e(Class cls, String str) {
            super(cls, str);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // android.util.Property
        public /* bridge */ /* synthetic */ PointF get(View view) {
            return null;
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, java.lang.Object] */
        @Override // android.util.Property
        public void set(View view, PointF pointF) {
            View view2 = view;
            PointF pointF2 = pointF;
            t.b(view2, Math.round(pointF2.x), Math.round(pointF2.y), view2.getRight(), view2.getBottom());
        }
    }

    public class f extends Property<View, PointF> {
        public f(Class cls, String str) {
            super(cls, str);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // android.util.Property
        public /* bridge */ /* synthetic */ PointF get(View view) {
            return null;
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, java.lang.Object] */
        @Override // android.util.Property
        public void set(View view, PointF pointF) {
            View view2 = view;
            PointF pointF2 = pointF;
            int round = Math.round(pointF2.x);
            int round2 = Math.round(pointF2.y);
            t.b(view2, round, round2, view2.getWidth() + round, view2.getHeight() + round2);
        }
    }

    public class g extends AnimatorListenerAdapter {

        /* renamed from: d  reason: collision with root package name */
        public final /* synthetic */ i f2001d;
        private i mViewBounds;

        public g(ChangeBounds changeBounds, i iVar) {
            this.f2001d = iVar;
            this.mViewBounds = iVar;
        }
    }

    public class h extends TransitionListenerAdapter {

        /* renamed from: d  reason: collision with root package name */
        public boolean f2002d = false;

        /* renamed from: h  reason: collision with root package name */
        public final /* synthetic */ ViewGroup f2003h;

        public h(ChangeBounds changeBounds, ViewGroup viewGroup) {
            this.f2003h = viewGroup;
        }

        @Override // androidx.transition.Transition.TransitionListener, androidx.transition.TransitionListenerAdapter
        public void onTransitionCancel(Transition transition) {
            s.a(this.f2003h, false);
            this.f2002d = true;
        }

        @Override // androidx.transition.Transition.TransitionListener, androidx.transition.TransitionListenerAdapter
        public void onTransitionEnd(Transition transition) {
            if (!this.f2002d) {
                s.a(this.f2003h, false);
            }
            transition.w(this);
        }

        @Override // androidx.transition.Transition.TransitionListener, androidx.transition.TransitionListenerAdapter
        public void onTransitionPause(Transition transition) {
            s.a(this.f2003h, false);
        }

        @Override // androidx.transition.Transition.TransitionListener, androidx.transition.TransitionListenerAdapter
        public void onTransitionResume(Transition transition) {
            s.a(this.f2003h, true);
        }
    }

    public static class i {

        /* renamed from: a  reason: collision with root package name */
        public int f2004a;

        /* renamed from: b  reason: collision with root package name */
        public int f2005b;

        /* renamed from: c  reason: collision with root package name */
        public int f2006c;

        /* renamed from: d  reason: collision with root package name */
        public int f2007d;

        /* renamed from: e  reason: collision with root package name */
        public View f2008e;

        /* renamed from: f  reason: collision with root package name */
        public int f2009f;

        /* renamed from: g  reason: collision with root package name */
        public int f2010g;

        public i(View view) {
            this.f2008e = view;
        }
    }

    public final void I(p pVar) {
        View view = pVar.f3969b;
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        if (view.isLaidOut() || view.getWidth() != 0 || view.getHeight() != 0) {
            pVar.f3968a.put("android:changeBounds:bounds", new Rect(view.getLeft(), view.getTop(), view.getRight(), view.getBottom()));
            pVar.f3968a.put("android:changeBounds:parent", pVar.f3969b.getParent());
        }
    }

    @Override // androidx.transition.Transition
    public void d(p pVar) {
        I(pVar);
    }

    @Override // androidx.transition.Transition
    public void g(p pVar) {
        I(pVar);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r6v9, resolved type: android.animation.AnimatorSet */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // androidx.transition.Transition
    public Animator k(ViewGroup viewGroup, p pVar, p pVar2) {
        int i2;
        ObjectAnimator objectAnimator;
        ChangeBounds changeBounds;
        if (pVar == null || pVar2 == null) {
            return null;
        }
        Map<String, Object> map = pVar.f3968a;
        Map<String, Object> map2 = pVar2.f3968a;
        ViewGroup viewGroup2 = (ViewGroup) map.get("android:changeBounds:parent");
        ViewGroup viewGroup3 = (ViewGroup) map2.get("android:changeBounds:parent");
        if (viewGroup2 == null || viewGroup3 == null) {
            return null;
        }
        View view = pVar2.f3969b;
        Rect rect = (Rect) pVar.f3968a.get("android:changeBounds:bounds");
        Rect rect2 = (Rect) pVar2.f3968a.get("android:changeBounds:bounds");
        int i3 = rect.left;
        int i4 = rect2.left;
        int i5 = rect.top;
        int i6 = rect2.top;
        int i7 = rect.right;
        int i8 = rect2.right;
        int i9 = rect.bottom;
        int i10 = rect2.bottom;
        int i11 = i7 - i3;
        int i12 = i9 - i5;
        int i13 = i8 - i4;
        int i14 = i10 - i6;
        Rect rect3 = (Rect) pVar.f3968a.get("android:changeBounds:clip");
        Rect rect4 = (Rect) pVar2.f3968a.get("android:changeBounds:clip");
        if ((i11 == 0 || i12 == 0) && (i13 == 0 || i14 == 0)) {
            i2 = 0;
        } else {
            i2 = (i3 == i4 && i5 == i6) ? 0 : 1;
            if (!(i7 == i8 && i9 == i10)) {
                i2++;
            }
        }
        if ((rect3 != null && !rect3.equals(rect4)) || (rect3 == null && rect4 != null)) {
            i2++;
        }
        if (i2 <= 0) {
            return null;
        }
        t.b(view, i3, i5, i7, i9);
        if (i2 != 2) {
            changeBounds = this;
            if (i3 == i4 && i5 == i6) {
                objectAnimator = n.R1(view, J, changeBounds.E.a((float) i7, (float) i9, (float) i8, (float) i10));
            } else {
                objectAnimator = n.R1(view, K, changeBounds.E.a((float) i3, (float) i5, (float) i4, (float) i6));
            }
        } else if (i11 == i13 && i12 == i14) {
            changeBounds = this;
            objectAnimator = n.R1(view, L, changeBounds.E.a((float) i3, (float) i5, (float) i4, (float) i6));
        } else {
            changeBounds = this;
            i iVar = new i(view);
            ObjectAnimator R1 = n.R1(iVar, H, changeBounds.E.a((float) i3, (float) i5, (float) i4, (float) i6));
            ObjectAnimator R12 = n.R1(iVar, I, changeBounds.E.a((float) i7, (float) i9, (float) i8, (float) i10));
            AnimatorSet animatorSet = new AnimatorSet();
            animatorSet.playTogether(R1, R12);
            animatorSet.addListener(new g(changeBounds, iVar));
            objectAnimator = animatorSet;
        }
        if (view.getParent() instanceof ViewGroup) {
            ViewGroup viewGroup4 = (ViewGroup) view.getParent();
            s.a(viewGroup4, true);
            changeBounds.a(new h(changeBounds, viewGroup4));
        }
        return objectAnimator;
    }

    @Override // androidx.transition.Transition
    public String[] q() {
        return F;
    }
}
