package androidx.transition;

import android.animation.Animator;
import android.animation.ObjectAnimator;
import android.animation.PropertyValuesHolder;
import android.animation.TypeConverter;
import android.graphics.Matrix;
import android.graphics.PointF;
import android.os.Build;
import android.util.Log;
import android.util.Property;
import android.view.View;
import android.view.ViewGroup;
import androidx.core.view.ViewCompat;
import b.x.g;
import b.x.p;
import b.x.s;
import b.x.t;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;

public class ChangeTransform extends Transition {
    public static final String[] F = {"android:changeTransform:matrix", "android:changeTransform:transforms", "android:changeTransform:parentMatrix"};
    public static final Property<d, float[]> G = new a(float[].class, "nonTranslations");
    public static final Property<d, PointF> H = new b(PointF.class, "translations");
    public static final boolean I = true;
    public boolean J = true;
    public boolean K = true;
    public Matrix L = new Matrix();

    public class a extends Property<d, float[]> {
        public a(Class cls, String str) {
            super(cls, str);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // android.util.Property
        public /* bridge */ /* synthetic */ float[] get(d dVar) {
            return null;
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, java.lang.Object] */
        @Override // android.util.Property
        public void set(d dVar, float[] fArr) {
            d dVar2 = dVar;
            float[] fArr2 = fArr;
            System.arraycopy(fArr2, 0, dVar2.f2017c, 0, fArr2.length);
            dVar2.a();
        }
    }

    public class b extends Property<d, PointF> {
        public b(Class cls, String str) {
            super(cls, str);
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // android.util.Property
        public /* bridge */ /* synthetic */ PointF get(d dVar) {
            return null;
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, java.lang.Object] */
        @Override // android.util.Property
        public void set(d dVar, PointF pointF) {
            d dVar2 = dVar;
            PointF pointF2 = pointF;
            Objects.requireNonNull(dVar2);
            dVar2.f2018d = pointF2.x;
            dVar2.f2019e = pointF2.y;
            dVar2.a();
        }
    }

    public static class c extends TransitionListenerAdapter {

        /* renamed from: d  reason: collision with root package name */
        public View f2013d;

        /* renamed from: h  reason: collision with root package name */
        public GhostView f2014h;

        public c(View view, GhostView ghostView) {
            this.f2013d = view;
            this.f2014h = ghostView;
        }

        @Override // androidx.transition.Transition.TransitionListener, androidx.transition.TransitionListenerAdapter
        public void onTransitionEnd(Transition transition) {
            transition.w(this);
            View view = this.f2013d;
            if (Build.VERSION.SDK_INT == 28) {
                if (!b.x.d.m) {
                    try {
                        b.x.d.a();
                        Method declaredMethod = b.x.d.f3938d.getDeclaredMethod("removeGhost", View.class);
                        b.x.d.f3942l = declaredMethod;
                        declaredMethod.setAccessible(true);
                    } catch (NoSuchMethodException e2) {
                        Log.i("GhostViewApi21", "Failed to retrieve removeGhost method", e2);
                    }
                    b.x.d.m = true;
                }
                Method method = b.x.d.f3942l;
                if (method != null) {
                    try {
                        method.invoke(null, view);
                    } catch (IllegalAccessException unused) {
                    } catch (InvocationTargetException e3) {
                        throw new RuntimeException(e3.getCause());
                    }
                }
            } else {
                int i2 = b.x.e.f3943d;
                b.x.e eVar = (b.x.e) view.getTag(R$id.ghost_view);
                if (eVar != null) {
                    int i3 = eVar.f3947l - 1;
                    eVar.f3947l = i3;
                    if (i3 <= 0) {
                        ((b.x.c) eVar.getParent()).removeView(eVar);
                    }
                }
            }
            this.f2013d.setTag(R$id.transition_transform, null);
            this.f2013d.setTag(R$id.parent_matrix, null);
        }

        @Override // androidx.transition.Transition.TransitionListener, androidx.transition.TransitionListenerAdapter
        public void onTransitionPause(Transition transition) {
            this.f2014h.setVisibility(4);
        }

        @Override // androidx.transition.Transition.TransitionListener, androidx.transition.TransitionListenerAdapter
        public void onTransitionResume(Transition transition) {
            this.f2014h.setVisibility(0);
        }
    }

    public static class d {

        /* renamed from: a  reason: collision with root package name */
        public final Matrix f2015a = new Matrix();

        /* renamed from: b  reason: collision with root package name */
        public final View f2016b;

        /* renamed from: c  reason: collision with root package name */
        public final float[] f2017c;

        /* renamed from: d  reason: collision with root package name */
        public float f2018d;

        /* renamed from: e  reason: collision with root package name */
        public float f2019e;

        public d(View view, float[] fArr) {
            this.f2016b = view;
            float[] fArr2 = (float[]) fArr.clone();
            this.f2017c = fArr2;
            this.f2018d = fArr2[2];
            this.f2019e = fArr2[5];
            a();
        }

        public final void a() {
            float[] fArr = this.f2017c;
            fArr[2] = this.f2018d;
            fArr[5] = this.f2019e;
            this.f2015a.setValues(fArr);
            t.f3983a.d(this.f2016b, this.f2015a);
        }
    }

    public static class e {

        /* renamed from: a  reason: collision with root package name */
        public final float f2020a;

        /* renamed from: b  reason: collision with root package name */
        public final float f2021b;

        /* renamed from: c  reason: collision with root package name */
        public final float f2022c;

        /* renamed from: d  reason: collision with root package name */
        public final float f2023d;

        /* renamed from: e  reason: collision with root package name */
        public final float f2024e;

        /* renamed from: f  reason: collision with root package name */
        public final float f2025f;

        /* renamed from: g  reason: collision with root package name */
        public final float f2026g;

        /* renamed from: h  reason: collision with root package name */
        public final float f2027h;

        public e(View view) {
            this.f2020a = view.getTranslationX();
            this.f2021b = view.getTranslationY();
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            this.f2022c = view.getTranslationZ();
            this.f2023d = view.getScaleX();
            this.f2024e = view.getScaleY();
            this.f2025f = view.getRotationX();
            this.f2026g = view.getRotationY();
            this.f2027h = view.getRotation();
        }

        public void a(View view) {
            float f2 = this.f2020a;
            float f3 = this.f2021b;
            float f4 = this.f2022c;
            float f5 = this.f2023d;
            float f6 = this.f2024e;
            float f7 = this.f2025f;
            float f8 = this.f2026g;
            float f9 = this.f2027h;
            String[] strArr = ChangeTransform.F;
            view.setTranslationX(f2);
            view.setTranslationY(f3);
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            view.setTranslationZ(f4);
            view.setScaleX(f5);
            view.setScaleY(f6);
            view.setRotationX(f7);
            view.setRotationY(f8);
            view.setRotation(f9);
        }

        public boolean equals(Object obj) {
            if (!(obj instanceof e)) {
                return false;
            }
            e eVar = (e) obj;
            if (eVar.f2020a == this.f2020a && eVar.f2021b == this.f2021b && eVar.f2022c == this.f2022c && eVar.f2023d == this.f2023d && eVar.f2024e == this.f2024e && eVar.f2025f == this.f2025f && eVar.f2026g == this.f2026g && eVar.f2027h == this.f2027h) {
                return true;
            }
            return false;
        }

        public int hashCode() {
            float f2 = this.f2020a;
            int i2 = 0;
            int floatToIntBits = (f2 != 0.0f ? Float.floatToIntBits(f2) : 0) * 31;
            float f3 = this.f2021b;
            int floatToIntBits2 = (floatToIntBits + (f3 != 0.0f ? Float.floatToIntBits(f3) : 0)) * 31;
            float f4 = this.f2022c;
            int floatToIntBits3 = (floatToIntBits2 + (f4 != 0.0f ? Float.floatToIntBits(f4) : 0)) * 31;
            float f5 = this.f2023d;
            int floatToIntBits4 = (floatToIntBits3 + (f5 != 0.0f ? Float.floatToIntBits(f5) : 0)) * 31;
            float f6 = this.f2024e;
            int floatToIntBits5 = (floatToIntBits4 + (f6 != 0.0f ? Float.floatToIntBits(f6) : 0)) * 31;
            float f7 = this.f2025f;
            int floatToIntBits6 = (floatToIntBits5 + (f7 != 0.0f ? Float.floatToIntBits(f7) : 0)) * 31;
            float f8 = this.f2026g;
            int floatToIntBits7 = (floatToIntBits6 + (f8 != 0.0f ? Float.floatToIntBits(f8) : 0)) * 31;
            float f9 = this.f2027h;
            if (f9 != 0.0f) {
                i2 = Float.floatToIntBits(f9);
            }
            return floatToIntBits7 + i2;
        }
    }

    public static void J(View view) {
        view.setTranslationX(0.0f);
        view.setTranslationY(0.0f);
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        view.setTranslationZ(0.0f);
        view.setScaleX(1.0f);
        view.setScaleY(1.0f);
        view.setRotationX(0.0f);
        view.setRotationY(0.0f);
        view.setRotation(0.0f);
    }

    public final void I(p pVar) {
        View view = pVar.f3969b;
        if (view.getVisibility() != 8) {
            pVar.f3968a.put("android:changeTransform:parent", view.getParent());
            pVar.f3968a.put("android:changeTransform:transforms", new e(view));
            Matrix matrix = view.getMatrix();
            pVar.f3968a.put("android:changeTransform:matrix", (matrix == null || matrix.isIdentity()) ? null : new Matrix(matrix));
            if (this.K) {
                Matrix matrix2 = new Matrix();
                ViewGroup viewGroup = (ViewGroup) view.getParent();
                t.f3983a.h(viewGroup, matrix2);
                matrix2.preTranslate((float) (-viewGroup.getScrollX()), (float) (-viewGroup.getScrollY()));
                pVar.f3968a.put("android:changeTransform:parentMatrix", matrix2);
                pVar.f3968a.put("android:changeTransform:intermediateMatrix", view.getTag(R$id.transition_transform));
                pVar.f3968a.put("android:changeTransform:intermediateParentMatrix", view.getTag(R$id.parent_matrix));
            }
        }
    }

    @Override // androidx.transition.Transition
    public void d(p pVar) {
        I(pVar);
    }

    @Override // androidx.transition.Transition
    public void g(p pVar) {
        I(pVar);
        if (!I) {
            ((ViewGroup) pVar.f3969b.getParent()).startViewTransition(pVar.f3969b);
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r5v3, types: [b.x.d] */
    /* JADX WARNING: Code restructure failed: missing block: B:138:0x037a, code lost:
        if (r4.size() == r13) goto L_0x038a;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:18:0x004f, code lost:
        r1 = true;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:98:0x02c4, code lost:
        if (r15.getZ() > r2.getZ()) goto L_0x038a;
     */
    /* JADX WARNING: Removed duplicated region for block: B:144:0x038d  */
    /* JADX WARNING: Removed duplicated region for block: B:145:0x0393  */
    /* JADX WARNING: Removed duplicated region for block: B:173:0x041e  */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x0067  */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x007a  */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x0081  */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x00cc  */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x00d0  */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x00da  */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x00e3  */
    /* JADX WARNING: Unknown variable types count: 1 */
    @Override // androidx.transition.Transition
    public Animator k(ViewGroup viewGroup, p pVar, p pVar2) {
        boolean z;
        Matrix matrix;
        Matrix matrix2;
        Matrix matrix3;
        Matrix matrix4;
        Object obj;
        ViewGroup viewGroup2;
        int i2;
        ObjectAnimator objectAnimator;
        Object obj2;
        ObjectAnimator objectAnimator2;
        View view;
        b.x.e eVar;
        int i3;
        ArrayList arrayList;
        View view2;
        ObjectAnimator objectAnimator3;
        int i4;
        boolean z2;
        int i5;
        boolean z3;
        b.x.c cVar;
        char c2;
        if (pVar == null || pVar2 == null || !pVar.f3968a.containsKey("android:changeTransform:parent") || !pVar2.f3968a.containsKey("android:changeTransform:parent")) {
            return null;
        }
        ViewGroup viewGroup3 = (ViewGroup) pVar.f3968a.get("android:changeTransform:parent");
        ViewGroup viewGroup4 = (ViewGroup) pVar2.f3968a.get("android:changeTransform:parent");
        if (this.K) {
            if (t(viewGroup3)) {
            }
            boolean z4 = false;
            if (!z4) {
                z = true;
                matrix = (Matrix) pVar.f3968a.get("android:changeTransform:intermediateMatrix");
                if (matrix != null) {
                    pVar.f3968a.put("android:changeTransform:matrix", matrix);
                }
                matrix2 = (Matrix) pVar.f3968a.get("android:changeTransform:intermediateParentMatrix");
                if (matrix2 != null) {
                    pVar.f3968a.put("android:changeTransform:parentMatrix", matrix2);
                }
                if (z) {
                    Matrix matrix5 = (Matrix) pVar2.f3968a.get("android:changeTransform:parentMatrix");
                    pVar2.f3969b.setTag(R$id.parent_matrix, matrix5);
                    Matrix matrix6 = this.L;
                    matrix6.reset();
                    matrix5.invert(matrix6);
                    Matrix matrix7 = (Matrix) pVar.f3968a.get("android:changeTransform:matrix");
                    if (matrix7 == null) {
                        matrix7 = new Matrix();
                        pVar.f3968a.put("android:changeTransform:matrix", matrix7);
                    }
                    matrix7.postConcat((Matrix) pVar.f3968a.get("android:changeTransform:parentMatrix"));
                    matrix7.postConcat(matrix6);
                }
                matrix3 = (Matrix) pVar.f3968a.get("android:changeTransform:matrix");
                matrix4 = (Matrix) pVar2.f3968a.get("android:changeTransform:matrix");
                if (matrix3 == null) {
                    matrix3 = g.f3950a;
                }
                if (matrix4 == null) {
                    matrix4 = g.f3950a;
                }
                if (!matrix3.equals(matrix4)) {
                    viewGroup2 = viewGroup3;
                    obj2 = "android:changeTransform:parentMatrix";
                    obj = "android:changeTransform:parent";
                    objectAnimator = null;
                    i2 = 2;
                } else {
                    e eVar2 = (e) pVar2.f3968a.get("android:changeTransform:transforms");
                    View view3 = pVar2.f3969b;
                    J(view3);
                    float[] fArr = new float[9];
                    matrix3.getValues(fArr);
                    float[] fArr2 = new float[9];
                    matrix4.getValues(fArr2);
                    d dVar = new d(view3, fArr);
                    ObjectAnimator ofPropertyValuesHolder = ObjectAnimator.ofPropertyValuesHolder(dVar, PropertyValuesHolder.ofObject(G, new b.x.b(new float[9]), fArr, fArr2), PropertyValuesHolder.ofObject(H, (TypeConverter) null, this.E.a(fArr[2], fArr[5], fArr2[2], fArr2[5])));
                    viewGroup2 = viewGroup3;
                    obj = "android:changeTransform:parent";
                    obj2 = "android:changeTransform:parentMatrix";
                    i2 = 2;
                    b.x.a aVar = new b.x.a(this, z, matrix4, view3, eVar2, dVar);
                    ofPropertyValuesHolder.addListener(aVar);
                    ofPropertyValuesHolder.addPauseListener(aVar);
                    objectAnimator = ofPropertyValuesHolder;
                }
                if (z || objectAnimator == null || !this.J) {
                    objectAnimator2 = objectAnimator;
                    if (!I) {
                        viewGroup2.endViewTransition(pVar.f3969b);
                    }
                } else {
                    View view4 = pVar2.f3969b;
                    Matrix matrix8 = new Matrix((Matrix) pVar2.f3968a.get(obj2));
                    t.f3983a.i(viewGroup, matrix8);
                    if (Build.VERSION.SDK_INT == 28) {
                        if (!b.x.d.f3941k) {
                            try {
                                b.x.d.a();
                                Class<?> cls = b.x.d.f3938d;
                                Class<?>[] clsArr = new Class[3];
                                clsArr[0] = View.class;
                                clsArr[1] = ViewGroup.class;
                                clsArr[i2] = Matrix.class;
                                Method declaredMethod = cls.getDeclaredMethod("addGhost", clsArr);
                                b.x.d.f3940j = declaredMethod;
                                declaredMethod.setAccessible(true);
                            } catch (NoSuchMethodException e2) {
                                Log.i("GhostViewApi21", "Failed to retrieve addGhost method", e2);
                            }
                            c2 = 1;
                            b.x.d.f3941k = true;
                        } else {
                            c2 = 1;
                        }
                        Method method = b.x.d.f3940j;
                        if (method != null) {
                            try {
                                Object[] objArr = new Object[3];
                                objArr[0] = view4;
                                objArr[c2] = viewGroup;
                                objArr[i2] = matrix8;
                                eVar = new b.x.d((View) method.invoke(null, objArr));
                            } catch (IllegalAccessException unused) {
                            } catch (InvocationTargetException e3) {
                                throw new RuntimeException(e3.getCause());
                            }
                            view = view4;
                            objectAnimator2 = objectAnimator;
                        }
                        eVar = null;
                        view = view4;
                        objectAnimator2 = objectAnimator;
                    } else {
                        int i6 = b.x.e.f3943d;
                        if (view4.getParent() instanceof ViewGroup) {
                            int i7 = b.x.c.f3935d;
                            b.x.c cVar2 = (b.x.c) viewGroup.getTag(R$id.ghost_view_holder);
                            b.x.e eVar3 = (b.x.e) view4.getTag(R$id.ghost_view);
                            if (eVar3 == null || (cVar = (b.x.c) eVar3.getParent()) == cVar2) {
                                eVar = eVar3;
                                i3 = 0;
                            } else {
                                i3 = eVar3.f3947l;
                                cVar.removeView(eVar3);
                                eVar = null;
                            }
                            if (eVar == null) {
                                b.x.e eVar4 = new b.x.e(view4);
                                eVar4.m = matrix8;
                                if (cVar2 == null) {
                                    cVar2 = new b.x.c(viewGroup);
                                } else if (cVar2.f3937j) {
                                    cVar2.f3936h.getOverlay().remove(cVar2);
                                    cVar2.f3936h.getOverlay().add(cVar2);
                                } else {
                                    throw new IllegalStateException("This GhostViewHolder is detached!");
                                }
                                b.x.e.a(viewGroup, cVar2);
                                b.x.e.a(viewGroup, eVar4);
                                ArrayList arrayList2 = new ArrayList();
                                b.x.c.a(eVar4.f3946k, arrayList2);
                                ArrayList arrayList3 = new ArrayList();
                                int childCount = cVar2.getChildCount() - 1;
                                int i8 = 0;
                                while (i8 <= childCount) {
                                    int i9 = (i8 + childCount) / i2;
                                    b.x.c.a(((b.x.e) cVar2.getChildAt(i9)).f3946k, arrayList3);
                                    if (arrayList2.isEmpty() || arrayList3.isEmpty() || arrayList2.get(0) != arrayList3.get(0)) {
                                        view2 = view4;
                                        arrayList = arrayList2;
                                        i4 = childCount;
                                    } else {
                                        int min = Math.min(arrayList2.size(), arrayList3.size());
                                        int i10 = 1;
                                        while (i10 < min) {
                                            View view5 = (View) arrayList2.get(i10);
                                            arrayList = arrayList2;
                                            View view6 = (View) arrayList3.get(i10);
                                            if (view5 != view6) {
                                                ViewGroup viewGroup5 = (ViewGroup) view5.getParent();
                                                int childCount2 = viewGroup5.getChildCount();
                                                if (view5.getZ() != view6.getZ()) {
                                                    view2 = view4;
                                                    i4 = childCount;
                                                    objectAnimator3 = objectAnimator;
                                                } else {
                                                    i4 = childCount;
                                                    int i11 = 0;
                                                    while (true) {
                                                        if (i11 >= childCount2) {
                                                            view2 = view4;
                                                            break;
                                                        }
                                                        if (Build.VERSION.SDK_INT >= 29) {
                                                            i5 = viewGroup5.getChildDrawingOrder(i11);
                                                            view2 = view4;
                                                            objectAnimator3 = objectAnimator;
                                                        } else {
                                                            if (!s.f3982c) {
                                                                objectAnimator3 = objectAnimator;
                                                                try {
                                                                    Class[] clsArr2 = new Class[2];
                                                                    Class cls2 = Integer.TYPE;
                                                                    clsArr2[0] = cls2;
                                                                    view2 = view4;
                                                                    z3 = true;
                                                                    try {
                                                                        clsArr2[1] = cls2;
                                                                        Method declaredMethod2 = ViewGroup.class.getDeclaredMethod("getChildDrawingOrder", clsArr2);
                                                                        s.f3981b = declaredMethod2;
                                                                        declaredMethod2.setAccessible(true);
                                                                    } catch (NoSuchMethodException unused2) {
                                                                    }
                                                                } catch (NoSuchMethodException unused3) {
                                                                    view2 = view4;
                                                                }
                                                                z3 = true;
                                                                s.f3982c = z3;
                                                            } else {
                                                                view2 = view4;
                                                                objectAnimator3 = objectAnimator;
                                                            }
                                                            Method method2 = s.f3981b;
                                                            if (method2 != null) {
                                                                try {
                                                                    Object[] objArr2 = new Object[2];
                                                                    try {
                                                                        objArr2[0] = Integer.valueOf(viewGroup5.getChildCount());
                                                                        objArr2[1] = Integer.valueOf(i11);
                                                                        i5 = ((Integer) method2.invoke(viewGroup5, objArr2)).intValue();
                                                                    } catch (IllegalAccessException | InvocationTargetException unused4) {
                                                                    }
                                                                } catch (IllegalAccessException | InvocationTargetException unused5) {
                                                                }
                                                            } else {
                                                                i5 = i11;
                                                            }
                                                        }
                                                        View childAt = viewGroup5.getChildAt(i5);
                                                        if (childAt == view5) {
                                                            break;
                                                        } else if (childAt == view6) {
                                                            break;
                                                        } else {
                                                            i11++;
                                                            childCount2 = childCount2;
                                                            objectAnimator = objectAnimator3;
                                                            view4 = view2;
                                                        }
                                                    }
                                                    z2 = false;
                                                    if (!z2) {
                                                        i8 = i9 + 1;
                                                        childCount = i4;
                                                    } else {
                                                        childCount = i9 - 1;
                                                    }
                                                    arrayList3.clear();
                                                    arrayList2 = arrayList;
                                                    objectAnimator = objectAnimator3;
                                                    view4 = view2;
                                                    i2 = 2;
                                                }
                                            } else {
                                                i10++;
                                                arrayList2 = arrayList;
                                                objectAnimator = objectAnimator;
                                            }
                                        }
                                        view2 = view4;
                                        arrayList = arrayList2;
                                        i4 = childCount;
                                        objectAnimator3 = objectAnimator;
                                    }
                                    objectAnimator3 = objectAnimator;
                                    z2 = true;
                                    if (!z2) {
                                    }
                                    arrayList3.clear();
                                    arrayList2 = arrayList;
                                    objectAnimator = objectAnimator3;
                                    view4 = view2;
                                    i2 = 2;
                                }
                                view = view4;
                                objectAnimator2 = objectAnimator;
                                if (i8 < 0 || i8 >= cVar2.getChildCount()) {
                                    cVar2.addView(eVar4);
                                } else {
                                    cVar2.addView(eVar4, i8);
                                }
                                eVar4.f3947l = i3;
                                eVar = eVar4;
                            } else {
                                view = view4;
                                objectAnimator2 = objectAnimator;
                                eVar.m = matrix8;
                            }
                            eVar.f3947l++;
                        } else {
                            throw new IllegalArgumentException("Ghosted views must be parented by a ViewGroup");
                        }
                    }
                    if (eVar != null) {
                        eVar.reserveEndViewTransition((ViewGroup) pVar.f3968a.get(obj), pVar.f3969b);
                        Transition transition = this;
                        while (true) {
                            Transition transition2 = transition.s;
                            if (transition2 == null) {
                                break;
                            }
                            transition = transition2;
                        }
                        transition.a(new c(view, eVar));
                        if (I) {
                            View view7 = pVar.f3969b;
                            if (view7 != pVar2.f3969b) {
                                t.f3983a.f(view7, 0.0f);
                            }
                            t.f3983a.f(view, 1.0f);
                        }
                    }
                }
                return objectAnimator2;
            }
        }
        z = false;
        matrix = (Matrix) pVar.f3968a.get("android:changeTransform:intermediateMatrix");
        if (matrix != null) {
        }
        matrix2 = (Matrix) pVar.f3968a.get("android:changeTransform:intermediateParentMatrix");
        if (matrix2 != null) {
        }
        if (z) {
        }
        matrix3 = (Matrix) pVar.f3968a.get("android:changeTransform:matrix");
        matrix4 = (Matrix) pVar2.f3968a.get("android:changeTransform:matrix");
        if (matrix3 == null) {
        }
        if (matrix4 == null) {
        }
        if (!matrix3.equals(matrix4)) {
        }
        if (z) {
        }
        objectAnimator2 = objectAnimator;
        if (!I) {
        }
        return objectAnimator2;
    }

    @Override // androidx.transition.Transition
    public String[] q() {
        return F;
    }
}
