package androidx.transition;

import android.animation.Animator;
import android.animation.TimeInterpolator;
import android.graphics.Path;
import android.graphics.Rect;
import android.util.SparseIntArray;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ListView;
import androidx.collection.ArrayMap;
import androidx.core.view.ViewCompat;
import b.f.d;
import b.x.a0;
import b.x.h;
import b.x.k;
import b.x.l;
import b.x.n;
import b.x.p;
import b.x.q;
import b.x.t;
import b.x.z;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;

public abstract class Transition implements Cloneable {

    /* renamed from: d  reason: collision with root package name */
    public static final int[] f2047d = {2, 1, 3, 4};

    /* renamed from: h  reason: collision with root package name */
    public static final h f2048h = new a();

    /* renamed from: j  reason: collision with root package name */
    public static ThreadLocal<ArrayMap<Animator, b>> f2049j = new ThreadLocal<>();
    public ArrayList<TransitionListener> A = null;
    public ArrayList<Animator> B = new ArrayList<>();
    public n C;
    public c D;
    public h E = f2048h;

    /* renamed from: k  reason: collision with root package name */
    public String f2050k = getClass().getName();

    /* renamed from: l  reason: collision with root package name */
    public long f2051l = -1;
    public long m = -1;
    public TimeInterpolator n = null;
    public ArrayList<Integer> o = new ArrayList<>();
    public ArrayList<View> p = new ArrayList<>();
    public q q = new q();
    public q r = new q();
    public TransitionSet s = null;
    public int[] t = f2047d;
    public ArrayList<p> u;
    public ArrayList<p> v;
    public ArrayList<Animator> w = new ArrayList<>();
    public int x = 0;
    public boolean y = false;
    public boolean z = false;

    public interface TransitionListener {
        void onTransitionCancel(Transition transition);

        void onTransitionEnd(Transition transition);

        void onTransitionPause(Transition transition);

        void onTransitionResume(Transition transition);

        void onTransitionStart(Transition transition);
    }

    public class a extends h {
        @Override // b.x.h
        public Path a(float f2, float f3, float f4, float f5) {
            Path path = new Path();
            path.moveTo(f2, f3);
            path.lineTo(f4, f5);
            return path;
        }
    }

    public static class b {

        /* renamed from: a  reason: collision with root package name */
        public View f2052a;

        /* renamed from: b  reason: collision with root package name */
        public String f2053b;

        /* renamed from: c  reason: collision with root package name */
        public p f2054c;

        /* renamed from: d  reason: collision with root package name */
        public WindowIdImpl f2055d;

        /* renamed from: e  reason: collision with root package name */
        public Transition f2056e;

        public b(View view, String str, Transition transition, WindowIdImpl windowIdImpl, p pVar) {
            this.f2052a = view;
            this.f2053b = str;
            this.f2054c = pVar;
            this.f2055d = windowIdImpl;
            this.f2056e = transition;
        }
    }

    public static abstract class c {
        public abstract Rect a(Transition transition);
    }

    public static void c(q qVar, View view, p pVar) {
        qVar.f3971a.put(view, pVar);
        int id = view.getId();
        if (id >= 0) {
            if (qVar.f3972b.indexOfKey(id) >= 0) {
                qVar.f3972b.put(id, null);
            } else {
                qVar.f3972b.put(id, view);
            }
        }
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        String transitionName = view.getTransitionName();
        if (transitionName != null) {
            if (qVar.f3974d.containsKey(transitionName)) {
                qVar.f3974d.put(transitionName, null);
            } else {
                qVar.f3974d.put(transitionName, view);
            }
        }
        if (view.getParent() instanceof ListView) {
            ListView listView = (ListView) view.getParent();
            if (listView.getAdapter().hasStableIds()) {
                long itemIdAtPosition = listView.getItemIdAtPosition(listView.getPositionForView(view));
                d<View> dVar = qVar.f3973c;
                if (dVar.f2914h) {
                    dVar.e();
                }
                if (b.f.c.b(dVar.f2915j, dVar.f2917l, itemIdAtPosition) >= 0) {
                    View f2 = qVar.f3973c.f(itemIdAtPosition);
                    if (f2 != null) {
                        f2.setHasTransientState(false);
                        qVar.f3973c.j(itemIdAtPosition, null);
                        return;
                    }
                    return;
                }
                view.setHasTransientState(true);
                qVar.f3973c.j(itemIdAtPosition, view);
            }
        }
    }

    public static ArrayMap<Animator, b> p() {
        ArrayMap<Animator, b> arrayMap = f2049j.get();
        if (arrayMap != null) {
            return arrayMap;
        }
        ArrayMap<Animator, b> arrayMap2 = new ArrayMap<>();
        f2049j.set(arrayMap2);
        return arrayMap2;
    }

    public static boolean u(p pVar, p pVar2, String str) {
        Object obj = pVar.f3968a.get(str);
        Object obj2 = pVar2.f3968a.get(str);
        if (obj == null && obj2 == null) {
            return false;
        }
        if (obj == null || obj2 == null) {
            return true;
        }
        return true ^ obj.equals(obj2);
    }

    public Transition A(long j2) {
        this.m = j2;
        return this;
    }

    public void B(c cVar) {
        this.D = cVar;
    }

    public Transition C(TimeInterpolator timeInterpolator) {
        this.n = timeInterpolator;
        return this;
    }

    public void D(h hVar) {
        if (hVar == null) {
            this.E = f2048h;
        } else {
            this.E = hVar;
        }
    }

    public void E(n nVar) {
        this.C = nVar;
    }

    public Transition F(long j2) {
        this.f2051l = j2;
        return this;
    }

    public void G() {
        if (this.x == 0) {
            ArrayList<TransitionListener> arrayList = this.A;
            if (arrayList != null && arrayList.size() > 0) {
                ArrayList arrayList2 = (ArrayList) this.A.clone();
                int size = arrayList2.size();
                for (int i2 = 0; i2 < size; i2++) {
                    ((TransitionListener) arrayList2.get(i2)).onTransitionStart(this);
                }
            }
            this.z = false;
        }
        this.x++;
    }

    public String H(String str) {
        StringBuilder B2 = d.a.a.a.a.B(str);
        B2.append(getClass().getSimpleName());
        B2.append("@");
        B2.append(Integer.toHexString(hashCode()));
        B2.append(": ");
        String sb = B2.toString();
        if (this.m != -1) {
            StringBuilder F = d.a.a.a.a.F(sb, "dur(");
            F.append(this.m);
            F.append(") ");
            sb = F.toString();
        }
        if (this.f2051l != -1) {
            StringBuilder F2 = d.a.a.a.a.F(sb, "dly(");
            F2.append(this.f2051l);
            F2.append(") ");
            sb = F2.toString();
        }
        if (this.n != null) {
            StringBuilder F3 = d.a.a.a.a.F(sb, "interp(");
            F3.append(this.n);
            F3.append(") ");
            sb = F3.toString();
        }
        if (this.o.size() <= 0 && this.p.size() <= 0) {
            return sb;
        }
        String s2 = d.a.a.a.a.s(sb, "tgts(");
        if (this.o.size() > 0) {
            for (int i2 = 0; i2 < this.o.size(); i2++) {
                if (i2 > 0) {
                    s2 = d.a.a.a.a.s(s2, ", ");
                }
                StringBuilder B3 = d.a.a.a.a.B(s2);
                B3.append(this.o.get(i2));
                s2 = B3.toString();
            }
        }
        if (this.p.size() > 0) {
            for (int i3 = 0; i3 < this.p.size(); i3++) {
                if (i3 > 0) {
                    s2 = d.a.a.a.a.s(s2, ", ");
                }
                StringBuilder B4 = d.a.a.a.a.B(s2);
                B4.append(this.p.get(i3));
                s2 = B4.toString();
            }
        }
        return d.a.a.a.a.s(s2, ")");
    }

    public Transition a(TransitionListener transitionListener) {
        if (this.A == null) {
            this.A = new ArrayList<>();
        }
        this.A.add(transitionListener);
        return this;
    }

    public Transition b(View view) {
        this.p.add(view);
        return this;
    }

    public void cancel() {
        for (int size = this.w.size() - 1; size >= 0; size--) {
            this.w.get(size).cancel();
        }
        ArrayList<TransitionListener> arrayList = this.A;
        if (arrayList != null && arrayList.size() > 0) {
            ArrayList arrayList2 = (ArrayList) this.A.clone();
            int size2 = arrayList2.size();
            for (int i2 = 0; i2 < size2; i2++) {
                ((TransitionListener) arrayList2.get(i2)).onTransitionCancel(this);
            }
        }
    }

    public abstract void d(p pVar);

    public final void e(View view, boolean z2) {
        if (view != null) {
            view.getId();
            if (view.getParent() instanceof ViewGroup) {
                p pVar = new p(view);
                if (z2) {
                    g(pVar);
                } else {
                    d(pVar);
                }
                pVar.f3970c.add(this);
                f(pVar);
                if (z2) {
                    c(this.q, view, pVar);
                } else {
                    c(this.r, view, pVar);
                }
            }
            if (view instanceof ViewGroup) {
                ViewGroup viewGroup = (ViewGroup) view;
                for (int i2 = 0; i2 < viewGroup.getChildCount(); i2++) {
                    e(viewGroup.getChildAt(i2), z2);
                }
            }
        }
    }

    public void f(p pVar) {
        boolean z2;
        if (this.C != null && !pVar.f3968a.isEmpty()) {
            Objects.requireNonNull(this.C);
            String[] strArr = VisibilityPropagation.f2074a;
            int i2 = 0;
            while (true) {
                if (i2 >= strArr.length) {
                    z2 = true;
                    break;
                } else if (!pVar.f3968a.containsKey(strArr[i2])) {
                    z2 = false;
                    break;
                } else {
                    i2++;
                }
            }
            if (!z2) {
                Objects.requireNonNull((VisibilityPropagation) this.C);
                View view = pVar.f3969b;
                Integer num = (Integer) pVar.f3968a.get("android:visibility:visibility");
                if (num == null) {
                    num = Integer.valueOf(view.getVisibility());
                }
                pVar.f3968a.put("android:visibilityPropagation:visibility", num);
                int[] iArr = new int[2];
                view.getLocationOnScreen(iArr);
                iArr[0] = Math.round(view.getTranslationX()) + iArr[0];
                iArr[0] = (view.getWidth() / 2) + iArr[0];
                iArr[1] = Math.round(view.getTranslationY()) + iArr[1];
                iArr[1] = (view.getHeight() / 2) + iArr[1];
                pVar.f3968a.put("android:visibilityPropagation:center", iArr);
            }
        }
    }

    public abstract void g(p pVar);

    public void h(ViewGroup viewGroup, boolean z2) {
        i(z2);
        if (this.o.size() > 0 || this.p.size() > 0) {
            for (int i2 = 0; i2 < this.o.size(); i2++) {
                View findViewById = viewGroup.findViewById(this.o.get(i2).intValue());
                if (findViewById != null) {
                    p pVar = new p(findViewById);
                    if (z2) {
                        g(pVar);
                    } else {
                        d(pVar);
                    }
                    pVar.f3970c.add(this);
                    f(pVar);
                    if (z2) {
                        c(this.q, findViewById, pVar);
                    } else {
                        c(this.r, findViewById, pVar);
                    }
                }
            }
            for (int i3 = 0; i3 < this.p.size(); i3++) {
                View view = this.p.get(i3);
                p pVar2 = new p(view);
                if (z2) {
                    g(pVar2);
                } else {
                    d(pVar2);
                }
                pVar2.f3970c.add(this);
                f(pVar2);
                if (z2) {
                    c(this.q, view, pVar2);
                } else {
                    c(this.r, view, pVar2);
                }
            }
            return;
        }
        e(viewGroup, z2);
    }

    public void i(boolean z2) {
        if (z2) {
            this.q.f3971a.clear();
            this.q.f3972b.clear();
            this.q.f3973c.b();
            return;
        }
        this.r.f3971a.clear();
        this.r.f3972b.clear();
        this.r.f3973c.b();
    }

    /* renamed from: j */
    public Transition clone() {
        try {
            Transition transition = (Transition) super.clone();
            transition.B = new ArrayList<>();
            transition.q = new q();
            transition.r = new q();
            transition.u = null;
            transition.v = null;
            return transition;
        } catch (CloneNotSupportedException unused) {
            return null;
        }
    }

    public Animator k(ViewGroup viewGroup, p pVar, p pVar2) {
        return null;
    }

    public void l(ViewGroup viewGroup, q qVar, q qVar2, ArrayList<p> arrayList, ArrayList<p> arrayList2) {
        int i2;
        int i3;
        Animator k2;
        View view;
        Animator animator;
        p pVar;
        p pVar2;
        Animator animator2;
        ArrayMap<Animator, b> p2 = p();
        SparseIntArray sparseIntArray = new SparseIntArray();
        int size = arrayList.size();
        long j2 = Long.MAX_VALUE;
        int i4 = 0;
        while (i4 < size) {
            p pVar3 = arrayList.get(i4);
            p pVar4 = arrayList2.get(i4);
            if (pVar3 != null && !pVar3.f3970c.contains(this)) {
                pVar3 = null;
            }
            if (pVar4 != null && !pVar4.f3970c.contains(this)) {
                pVar4 = null;
            }
            if (!(pVar3 == null && pVar4 == null)) {
                if ((pVar3 == null || pVar4 == null || s(pVar3, pVar4)) && (k2 = k(viewGroup, pVar3, pVar4)) != null) {
                    if (pVar4 != null) {
                        view = pVar4.f3969b;
                        String[] q2 = q();
                        if (q2 != null && q2.length > 0) {
                            pVar2 = new p(view);
                            i3 = size;
                            p pVar5 = qVar2.f3971a.get(view);
                            if (pVar5 != null) {
                                int i5 = 0;
                                while (i5 < q2.length) {
                                    pVar2.f3968a.put(q2[i5], pVar5.f3968a.get(q2[i5]));
                                    i5++;
                                    i4 = i4;
                                    pVar5 = pVar5;
                                }
                            }
                            i2 = i4;
                            int size2 = p2.size();
                            int i6 = 0;
                            while (true) {
                                if (i6 >= size2) {
                                    animator2 = k2;
                                    break;
                                }
                                b bVar = p2.get(p2.h(i6));
                                if (bVar.f2054c != null && bVar.f2052a == view && bVar.f2053b.equals(this.f2050k) && bVar.f2054c.equals(pVar2)) {
                                    animator2 = null;
                                    break;
                                }
                                i6++;
                            }
                        } else {
                            i3 = size;
                            i2 = i4;
                            animator2 = k2;
                            pVar2 = null;
                        }
                        animator = animator2;
                        pVar = pVar2;
                    } else {
                        i3 = size;
                        i2 = i4;
                        view = pVar3.f3969b;
                        animator = k2;
                        pVar = null;
                    }
                    if (animator != null) {
                        n nVar = this.C;
                        if (nVar != null) {
                            long a2 = nVar.a(viewGroup, this, pVar3, pVar4);
                            sparseIntArray.put(this.B.size(), (int) a2);
                            j2 = Math.min(a2, j2);
                        }
                        String str = this.f2050k;
                        z zVar = t.f3983a;
                        p2.put(animator, new b(view, str, this, new a0(viewGroup), pVar));
                        this.B.add(animator);
                        j2 = j2;
                    }
                    i4 = i2 + 1;
                    size = i3;
                }
            }
            i3 = size;
            i2 = i4;
            i4 = i2 + 1;
            size = i3;
        }
        if (sparseIntArray.size() != 0) {
            for (int i7 = 0; i7 < sparseIntArray.size(); i7++) {
                Animator animator3 = this.B.get(sparseIntArray.keyAt(i7));
                animator3.setStartDelay(animator3.getStartDelay() + (((long) sparseIntArray.valueAt(i7)) - j2));
            }
        }
    }

    public void m() {
        int i2 = this.x - 1;
        this.x = i2;
        if (i2 == 0) {
            ArrayList<TransitionListener> arrayList = this.A;
            if (arrayList != null && arrayList.size() > 0) {
                ArrayList arrayList2 = (ArrayList) this.A.clone();
                int size = arrayList2.size();
                for (int i3 = 0; i3 < size; i3++) {
                    ((TransitionListener) arrayList2.get(i3)).onTransitionEnd(this);
                }
            }
            for (int i4 = 0; i4 < this.q.f3973c.l(); i4++) {
                View m2 = this.q.f3973c.m(i4);
                if (m2 != null) {
                    AtomicInteger atomicInteger = ViewCompat.f1365a;
                    m2.setHasTransientState(false);
                }
            }
            for (int i5 = 0; i5 < this.r.f3973c.l(); i5++) {
                View m3 = this.r.f3973c.m(i5);
                if (m3 != null) {
                    AtomicInteger atomicInteger2 = ViewCompat.f1365a;
                    m3.setHasTransientState(false);
                }
            }
            this.z = true;
        }
    }

    public Rect n() {
        c cVar = this.D;
        if (cVar == null) {
            return null;
        }
        return cVar.a(this);
    }

    public p o(View view, boolean z2) {
        TransitionSet transitionSet = this.s;
        if (transitionSet != null) {
            return transitionSet.o(view, z2);
        }
        ArrayList<p> arrayList = z2 ? this.u : this.v;
        if (arrayList == null) {
            return null;
        }
        int size = arrayList.size();
        int i2 = -1;
        int i3 = 0;
        while (true) {
            if (i3 >= size) {
                break;
            }
            p pVar = arrayList.get(i3);
            if (pVar == null) {
                return null;
            }
            if (pVar.f3969b == view) {
                i2 = i3;
                break;
            }
            i3++;
        }
        if (i2 < 0) {
            return null;
        }
        return (z2 ? this.v : this.u).get(i2);
    }

    public String[] q() {
        return null;
    }

    public p r(View view, boolean z2) {
        TransitionSet transitionSet = this.s;
        if (transitionSet != null) {
            return transitionSet.r(view, z2);
        }
        return (z2 ? this.q : this.r).f3971a.get(view);
    }

    public boolean s(p pVar, p pVar2) {
        if (pVar == null || pVar2 == null) {
            return false;
        }
        String[] q2 = q();
        if (q2 != null) {
            for (String str : q2) {
                if (!u(pVar, pVar2, str)) {
                }
            }
            return false;
        }
        for (String str2 : pVar.f3968a.keySet()) {
            if (u(pVar, pVar2, str2)) {
            }
        }
        return false;
        return true;
    }

    public boolean t(View view) {
        int id = view.getId();
        if ((this.o.size() != 0 || this.p.size() != 0) && !this.o.contains(Integer.valueOf(id)) && !this.p.contains(view)) {
            return false;
        }
        return true;
    }

    public String toString() {
        return H("");
    }

    public void v(View view) {
        if (!this.z) {
            for (int size = this.w.size() - 1; size >= 0; size--) {
                this.w.get(size).pause();
            }
            ArrayList<TransitionListener> arrayList = this.A;
            if (arrayList != null && arrayList.size() > 0) {
                ArrayList arrayList2 = (ArrayList) this.A.clone();
                int size2 = arrayList2.size();
                for (int i2 = 0; i2 < size2; i2++) {
                    ((TransitionListener) arrayList2.get(i2)).onTransitionPause(this);
                }
            }
            this.y = true;
        }
    }

    public Transition w(TransitionListener transitionListener) {
        ArrayList<TransitionListener> arrayList = this.A;
        if (arrayList == null) {
            return this;
        }
        arrayList.remove(transitionListener);
        if (this.A.size() == 0) {
            this.A = null;
        }
        return this;
    }

    public Transition x(View view) {
        this.p.remove(view);
        return this;
    }

    public void y(View view) {
        if (this.y) {
            if (!this.z) {
                for (int size = this.w.size() - 1; size >= 0; size--) {
                    this.w.get(size).resume();
                }
                ArrayList<TransitionListener> arrayList = this.A;
                if (arrayList != null && arrayList.size() > 0) {
                    ArrayList arrayList2 = (ArrayList) this.A.clone();
                    int size2 = arrayList2.size();
                    for (int i2 = 0; i2 < size2; i2++) {
                        ((TransitionListener) arrayList2.get(i2)).onTransitionResume(this);
                    }
                }
            }
            this.y = false;
        }
    }

    public void z() {
        G();
        ArrayMap<Animator, b> p2 = p();
        Iterator<Animator> it = this.B.iterator();
        while (it.hasNext()) {
            Animator next = it.next();
            if (p2.containsKey(next)) {
                G();
                if (next != null) {
                    next.addListener(new k(this, p2));
                    long j2 = this.m;
                    if (j2 >= 0) {
                        next.setDuration(j2);
                    }
                    long j3 = this.f2051l;
                    if (j3 >= 0) {
                        next.setStartDelay(next.getStartDelay() + j3);
                    }
                    TimeInterpolator timeInterpolator = this.n;
                    if (timeInterpolator != null) {
                        next.setInterpolator(timeInterpolator);
                    }
                    next.addListener(new l(this));
                    next.start();
                }
            }
        }
        this.B.clear();
        m();
    }
}
