package androidx.vectordrawable.graphics.drawable;

import android.animation.Animator;
import android.animation.AnimatorInflater;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ArgbEvaluator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.content.res.XmlResourceParser;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.AnimatedVectorDrawable;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.Xml;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.collection.ArrayMap;
import androidx.constraintlayout.core.motion.utils.TypedValues;
import androidx.vectordrawable.graphics.drawable.Animatable2Compat;
import androidx.vectordrawable.graphics.drawable.VectorDrawableCompat;
import b.y.a.a.e;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Objects;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

public class AnimatedVectorDrawableCompat extends e implements Animatable2Compat {

    /* renamed from: h  reason: collision with root package name */
    public c f2076h;

    /* renamed from: j  reason: collision with root package name */
    public Context f2077j;

    /* renamed from: k  reason: collision with root package name */
    public ArgbEvaluator f2078k;

    /* renamed from: l  reason: collision with root package name */
    public Animator.AnimatorListener f2079l;
    public ArrayList<Animatable2Compat.a> m;
    public final Drawable.Callback n;

    public class a implements Drawable.Callback {
        public a() {
        }

        public void invalidateDrawable(Drawable drawable) {
            AnimatedVectorDrawableCompat.this.invalidateSelf();
        }

        public void scheduleDrawable(Drawable drawable, Runnable runnable, long j2) {
            AnimatedVectorDrawableCompat.this.scheduleSelf(runnable, j2);
        }

        public void unscheduleDrawable(Drawable drawable, Runnable runnable) {
            AnimatedVectorDrawableCompat.this.unscheduleSelf(runnable);
        }
    }

    public class b extends AnimatorListenerAdapter {
        public b() {
        }

        public void onAnimationEnd(Animator animator) {
            ArrayList arrayList = new ArrayList(AnimatedVectorDrawableCompat.this.m);
            int size = arrayList.size();
            for (int i2 = 0; i2 < size; i2++) {
                ((Animatable2Compat.a) arrayList.get(i2)).a(AnimatedVectorDrawableCompat.this);
            }
        }

        public void onAnimationStart(Animator animator) {
            ArrayList arrayList = new ArrayList(AnimatedVectorDrawableCompat.this.m);
            int size = arrayList.size();
            for (int i2 = 0; i2 < size; i2++) {
                Objects.requireNonNull((Animatable2Compat.a) arrayList.get(i2));
            }
        }
    }

    public static class c extends Drawable.ConstantState {

        /* renamed from: a  reason: collision with root package name */
        public int f2082a;

        /* renamed from: b  reason: collision with root package name */
        public VectorDrawableCompat f2083b;

        /* renamed from: c  reason: collision with root package name */
        public AnimatorSet f2084c;

        /* renamed from: d  reason: collision with root package name */
        public ArrayList<Animator> f2085d;

        /* renamed from: e  reason: collision with root package name */
        public ArrayMap<Animator, String> f2086e;

        public c(c cVar, Drawable.Callback callback, Resources resources) {
            if (cVar != null) {
                this.f2082a = cVar.f2082a;
                VectorDrawableCompat vectorDrawableCompat = cVar.f2083b;
                if (vectorDrawableCompat != null) {
                    Drawable.ConstantState constantState = vectorDrawableCompat.getConstantState();
                    if (resources != null) {
                        this.f2083b = (VectorDrawableCompat) constantState.newDrawable(resources);
                    } else {
                        this.f2083b = (VectorDrawableCompat) constantState.newDrawable();
                    }
                    VectorDrawableCompat vectorDrawableCompat2 = (VectorDrawableCompat) this.f2083b.mutate();
                    this.f2083b = vectorDrawableCompat2;
                    vectorDrawableCompat2.setCallback(callback);
                    this.f2083b.setBounds(cVar.f2083b.getBounds());
                    this.f2083b.n = false;
                }
                ArrayList<Animator> arrayList = cVar.f2085d;
                if (arrayList != null) {
                    int size = arrayList.size();
                    this.f2085d = new ArrayList<>(size);
                    this.f2086e = new ArrayMap<>(size);
                    for (int i2 = 0; i2 < size; i2++) {
                        Animator animator = cVar.f2085d.get(i2);
                        Animator clone = animator.clone();
                        String str = cVar.f2086e.get(animator);
                        clone.setTarget(this.f2083b.f2089j.f2129b.q.get(str));
                        this.f2085d.add(clone);
                        this.f2086e.put(clone, str);
                    }
                    if (this.f2084c == null) {
                        this.f2084c = new AnimatorSet();
                    }
                    this.f2084c.playTogether(this.f2085d);
                }
            }
        }

        public int getChangingConfigurations() {
            return this.f2082a;
        }

        public Drawable newDrawable() {
            throw new IllegalStateException("No constant state support for SDK < 24.");
        }

        public Drawable newDrawable(Resources resources) {
            throw new IllegalStateException("No constant state support for SDK < 24.");
        }
    }

    public AnimatedVectorDrawableCompat() {
        this(null, null, null);
    }

    @Override // b.y.a.a.e
    public void applyTheme(Resources.Theme theme) {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            drawable.applyTheme(theme);
        }
    }

    public boolean canApplyTheme() {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            return drawable.canApplyTheme();
        }
        return false;
    }

    @Override // androidx.vectordrawable.graphics.drawable.Animatable2Compat
    public void clearAnimationCallbacks() {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            ((AnimatedVectorDrawable) drawable).clearAnimationCallbacks();
            return;
        }
        Animator.AnimatorListener animatorListener = this.f2079l;
        if (animatorListener != null) {
            this.f2076h.f2084c.removeListener(animatorListener);
            this.f2079l = null;
        }
        ArrayList<Animatable2Compat.a> arrayList = this.m;
        if (arrayList != null) {
            arrayList.clear();
        }
    }

    public void draw(Canvas canvas) {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            drawable.draw(canvas);
            return;
        }
        this.f2076h.f2083b.draw(canvas);
        if (this.f2076h.f2084c.isStarted()) {
            invalidateSelf();
        }
    }

    public int getAlpha() {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            return drawable.getAlpha();
        }
        return this.f2076h.f2083b.getAlpha();
    }

    public int getChangingConfigurations() {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            return drawable.getChangingConfigurations();
        }
        return super.getChangingConfigurations() | this.f2076h.f2082a;
    }

    public ColorFilter getColorFilter() {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            return drawable.getColorFilter();
        }
        return this.f2076h.f2083b.getColorFilter();
    }

    public Drawable.ConstantState getConstantState() {
        if (this.f4009d == null || Build.VERSION.SDK_INT < 24) {
            return null;
        }
        return new d(this.f4009d.getConstantState());
    }

    public int getIntrinsicHeight() {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            return drawable.getIntrinsicHeight();
        }
        return this.f2076h.f2083b.getIntrinsicHeight();
    }

    public int getIntrinsicWidth() {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            return drawable.getIntrinsicWidth();
        }
        return this.f2076h.f2083b.getIntrinsicWidth();
    }

    public int getOpacity() {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            return drawable.getOpacity();
        }
        return this.f2076h.f2083b.getOpacity();
    }

    /* JADX WARNING: Removed duplicated region for block: B:26:0x007c A[Catch:{ XmlPullParserException -> 0x008e, IOException -> 0x0089 }] */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x00a0  */
    /* JADX WARNING: Removed duplicated region for block: B:79:0x0081 A[SYNTHETIC] */
    @Override // android.graphics.drawable.Drawable
    public void inflate(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
        Animator animator;
        VectorDrawableCompat vectorDrawableCompat;
        VectorDrawableCompat vectorDrawableCompat2;
        int next;
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            drawable.inflate(resources, xmlPullParser, attributeSet, theme);
            return;
        }
        int eventType = xmlPullParser.getEventType();
        int depth = xmlPullParser.getDepth() + 1;
        while (eventType != 1 && (xmlPullParser.getDepth() >= depth || eventType != 3)) {
            if (eventType == 2) {
                String name = xmlPullParser.getName();
                XmlResourceParser xmlResourceParser = null;
                if ("animated-vector".equals(name)) {
                    TypedArray e2 = b.j.b.b.e.e(resources, theme, attributeSet, b.y.a.a.a.f3998e);
                    int resourceId = e2.getResourceId(0, 0);
                    if (resourceId != 0) {
                        PorterDuff.Mode mode = VectorDrawableCompat.f2088h;
                        if (Build.VERSION.SDK_INT >= 24) {
                            vectorDrawableCompat = new VectorDrawableCompat();
                            vectorDrawableCompat.f4009d = resources.getDrawable(resourceId, theme);
                            new VectorDrawableCompat.i(vectorDrawableCompat.f4009d.getConstantState());
                        } else {
                            try {
                                XmlResourceParser xml = resources.getXml(resourceId);
                                AttributeSet asAttributeSet = Xml.asAttributeSet(xml);
                                while (true) {
                                    next = xml.next();
                                    if (next == 2 || next == 1) {
                                        if (next != 2) {
                                            vectorDrawableCompat = VectorDrawableCompat.a(resources, xml, asAttributeSet, theme);
                                        } else {
                                            throw new XmlPullParserException("No start tag found");
                                        }
                                    }
                                }
                                if (next != 2) {
                                }
                            } catch (XmlPullParserException e3) {
                                Log.e("VectorDrawableCompat", "parser error", e3);
                                vectorDrawableCompat = null;
                                vectorDrawableCompat.n = false;
                                vectorDrawableCompat.setCallback(this.n);
                                vectorDrawableCompat2 = this.f2076h.f2083b;
                                if (vectorDrawableCompat2 != null) {
                                }
                                this.f2076h.f2083b = vectorDrawableCompat;
                                e2.recycle();
                                eventType = xmlPullParser.next();
                            } catch (IOException e4) {
                                Log.e("VectorDrawableCompat", "parser error", e4);
                                vectorDrawableCompat = null;
                                vectorDrawableCompat.n = false;
                                vectorDrawableCompat.setCallback(this.n);
                                vectorDrawableCompat2 = this.f2076h.f2083b;
                                if (vectorDrawableCompat2 != null) {
                                }
                                this.f2076h.f2083b = vectorDrawableCompat;
                                e2.recycle();
                                eventType = xmlPullParser.next();
                            }
                        }
                        vectorDrawableCompat.n = false;
                        vectorDrawableCompat.setCallback(this.n);
                        vectorDrawableCompat2 = this.f2076h.f2083b;
                        if (vectorDrawableCompat2 != null) {
                            vectorDrawableCompat2.setCallback(null);
                        }
                        this.f2076h.f2083b = vectorDrawableCompat;
                    }
                    e2.recycle();
                } else if (TypedValues.Attributes.S_TARGET.equals(name)) {
                    TypedArray obtainAttributes = resources.obtainAttributes(attributeSet, b.y.a.a.a.f3999f);
                    String string = obtainAttributes.getString(0);
                    int resourceId2 = obtainAttributes.getResourceId(1, 0);
                    if (resourceId2 != 0) {
                        Context context = this.f2077j;
                        if (context != null) {
                            if (Build.VERSION.SDK_INT >= 24) {
                                animator = AnimatorInflater.loadAnimator(context, resourceId2);
                            } else {
                                Resources resources2 = context.getResources();
                                Resources.Theme theme2 = context.getTheme();
                                try {
                                    xmlResourceParser = resources2.getAnimation(resourceId2);
                                    animator = b.y.a.a.c.a(context, resources2, theme2, xmlResourceParser, Xml.asAttributeSet(xmlResourceParser), null, 0, 1.0f);
                                    xmlResourceParser.close();
                                } catch (XmlPullParserException e5) {
                                    Resources.NotFoundException notFoundException = new Resources.NotFoundException("Can't load animation resource ID #0x" + Integer.toHexString(resourceId2));
                                    notFoundException.initCause(e5);
                                    throw notFoundException;
                                } catch (IOException e6) {
                                    Resources.NotFoundException notFoundException2 = new Resources.NotFoundException("Can't load animation resource ID #0x" + Integer.toHexString(resourceId2));
                                    notFoundException2.initCause(e6);
                                    throw notFoundException2;
                                } catch (Throwable th) {
                                    if (xmlResourceParser != null) {
                                        xmlResourceParser.close();
                                    }
                                    throw th;
                                }
                            }
                            animator.setTarget(this.f2076h.f2083b.f2089j.f2129b.q.get(string));
                            c cVar = this.f2076h;
                            if (cVar.f2085d == null) {
                                cVar.f2085d = new ArrayList<>();
                                this.f2076h.f2086e = new ArrayMap<>();
                            }
                            this.f2076h.f2085d.add(animator);
                            this.f2076h.f2086e.put(animator, string);
                        } else {
                            obtainAttributes.recycle();
                            throw new IllegalStateException("Context can't be null when inflating animators");
                        }
                    }
                    obtainAttributes.recycle();
                } else {
                    continue;
                }
            }
            eventType = xmlPullParser.next();
        }
        c cVar2 = this.f2076h;
        if (cVar2.f2084c == null) {
            cVar2.f2084c = new AnimatorSet();
        }
        cVar2.f2084c.playTogether(cVar2.f2085d);
    }

    public boolean isAutoMirrored() {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            return drawable.isAutoMirrored();
        }
        return this.f2076h.f2083b.isAutoMirrored();
    }

    public boolean isRunning() {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            return ((AnimatedVectorDrawable) drawable).isRunning();
        }
        return this.f2076h.f2084c.isRunning();
    }

    public boolean isStateful() {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            return drawable.isStateful();
        }
        return this.f2076h.f2083b.isStateful();
    }

    public Drawable mutate() {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            drawable.mutate();
        }
        return this;
    }

    public void onBoundsChange(Rect rect) {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            drawable.setBounds(rect);
        } else {
            this.f2076h.f2083b.setBounds(rect);
        }
    }

    @Override // b.y.a.a.e
    public boolean onLevelChange(int i2) {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            return drawable.setLevel(i2);
        }
        return this.f2076h.f2083b.setLevel(i2);
    }

    public boolean onStateChange(int[] iArr) {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            return drawable.setState(iArr);
        }
        return this.f2076h.f2083b.setState(iArr);
    }

    @Override // androidx.vectordrawable.graphics.drawable.Animatable2Compat
    public void registerAnimationCallback(Animatable2Compat.a aVar) {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            AnimatedVectorDrawable animatedVectorDrawable = (AnimatedVectorDrawable) drawable;
            if (aVar.f2075a == null) {
                aVar.f2075a = new b.y.a.a.b(aVar);
            }
            animatedVectorDrawable.registerAnimationCallback(aVar.f2075a);
        } else if (aVar != null) {
            if (this.m == null) {
                this.m = new ArrayList<>();
            }
            if (!this.m.contains(aVar)) {
                this.m.add(aVar);
                if (this.f2079l == null) {
                    this.f2079l = new b();
                }
                this.f2076h.f2084c.addListener(this.f2079l);
            }
        }
    }

    public void setAlpha(int i2) {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            drawable.setAlpha(i2);
        } else {
            this.f2076h.f2083b.setAlpha(i2);
        }
    }

    public void setAutoMirrored(boolean z) {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            drawable.setAutoMirrored(z);
        } else {
            this.f2076h.f2083b.setAutoMirrored(z);
        }
    }

    public void setColorFilter(ColorFilter colorFilter) {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            drawable.setColorFilter(colorFilter);
        } else {
            this.f2076h.f2083b.setColorFilter(colorFilter);
        }
    }

    @Override // androidx.core.graphics.drawable.TintAwareDrawable
    public void setTint(int i2) {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            AppCompatDelegateImpl.e.z0(drawable, i2);
        } else {
            this.f2076h.f2083b.setTint(i2);
        }
    }

    @Override // androidx.core.graphics.drawable.TintAwareDrawable
    public void setTintList(ColorStateList colorStateList) {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            AppCompatDelegateImpl.e.A0(drawable, colorStateList);
        } else {
            this.f2076h.f2083b.setTintList(colorStateList);
        }
    }

    @Override // androidx.core.graphics.drawable.TintAwareDrawable
    public void setTintMode(PorterDuff.Mode mode) {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            AppCompatDelegateImpl.e.B0(drawable, mode);
        } else {
            this.f2076h.f2083b.setTintMode(mode);
        }
    }

    public boolean setVisible(boolean z, boolean z2) {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            return drawable.setVisible(z, z2);
        }
        this.f2076h.f2083b.setVisible(z, z2);
        return super.setVisible(z, z2);
    }

    public void start() {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            ((AnimatedVectorDrawable) drawable).start();
        } else if (!this.f2076h.f2084c.isStarted()) {
            this.f2076h.f2084c.start();
            invalidateSelf();
        }
    }

    public void stop() {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            ((AnimatedVectorDrawable) drawable).stop();
        } else {
            this.f2076h.f2084c.end();
        }
    }

    @Override // androidx.vectordrawable.graphics.drawable.Animatable2Compat
    public boolean unregisterAnimationCallback(Animatable2Compat.a aVar) {
        Animator.AnimatorListener animatorListener;
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            AnimatedVectorDrawable animatedVectorDrawable = (AnimatedVectorDrawable) drawable;
            if (aVar.f2075a == null) {
                aVar.f2075a = new b.y.a.a.b(aVar);
            }
            animatedVectorDrawable.unregisterAnimationCallback(aVar.f2075a);
        }
        ArrayList<Animatable2Compat.a> arrayList = this.m;
        if (arrayList == null || aVar == null) {
            return false;
        }
        boolean remove = arrayList.remove(aVar);
        if (this.m.size() == 0 && (animatorListener = this.f2079l) != null) {
            this.f2076h.f2084c.removeListener(animatorListener);
            this.f2079l = null;
        }
        return remove;
    }

    public AnimatedVectorDrawableCompat(Context context, c cVar, Resources resources) {
        this.f2078k = null;
        this.f2079l = null;
        this.m = null;
        a aVar = new a();
        this.n = aVar;
        this.f2077j = context;
        this.f2076h = new c(null, aVar, null);
    }

    public static class d extends Drawable.ConstantState {

        /* renamed from: a  reason: collision with root package name */
        public final Drawable.ConstantState f2087a;

        public d(Drawable.ConstantState constantState) {
            this.f2087a = constantState;
        }

        public boolean canApplyTheme() {
            return this.f2087a.canApplyTheme();
        }

        public int getChangingConfigurations() {
            return this.f2087a.getChangingConfigurations();
        }

        public Drawable newDrawable() {
            AnimatedVectorDrawableCompat animatedVectorDrawableCompat = new AnimatedVectorDrawableCompat();
            Drawable newDrawable = this.f2087a.newDrawable();
            animatedVectorDrawableCompat.f4009d = newDrawable;
            newDrawable.setCallback(animatedVectorDrawableCompat.n);
            return animatedVectorDrawableCompat;
        }

        public Drawable newDrawable(Resources resources) {
            AnimatedVectorDrawableCompat animatedVectorDrawableCompat = new AnimatedVectorDrawableCompat();
            Drawable newDrawable = this.f2087a.newDrawable(resources);
            animatedVectorDrawableCompat.f4009d = newDrawable;
            newDrawable.setCallback(animatedVectorDrawableCompat.n);
            return animatedVectorDrawableCompat;
        }

        public Drawable newDrawable(Resources resources, Resources.Theme theme) {
            AnimatedVectorDrawableCompat animatedVectorDrawableCompat = new AnimatedVectorDrawableCompat();
            Drawable newDrawable = this.f2087a.newDrawable(resources, theme);
            animatedVectorDrawableCompat.f4009d = newDrawable;
            newDrawable.setCallback(animatedVectorDrawableCompat.n);
            return animatedVectorDrawableCompat;
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void inflate(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet) {
        inflate(resources, xmlPullParser, attributeSet, null);
    }
}
