package androidx.vectordrawable.graphics.drawable;

import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.ColorFilter;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PathMeasure;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.Rect;
import android.graphics.Shader;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.VectorDrawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.collection.ArrayMap;
import com.shuyu.gsyvideoplayer.utils.NeuQuant;
import java.util.ArrayDeque;
import java.util.ArrayList;
import java.util.Objects;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

public class VectorDrawableCompat extends b.y.a.a.e {

    /* renamed from: h  reason: collision with root package name */
    public static final PorterDuff.Mode f2088h = PorterDuff.Mode.SRC_IN;

    /* renamed from: j  reason: collision with root package name */
    public h f2089j;

    /* renamed from: k  reason: collision with root package name */
    public PorterDuffColorFilter f2090k;

    /* renamed from: l  reason: collision with root package name */
    public ColorFilter f2091l;
    public boolean m;
    public boolean n;
    public final float[] o;
    public final Matrix p;
    public final Rect q;

    public static class b extends f {
        public b() {
        }

        public b(b bVar) {
            super(bVar);
        }
    }

    public static abstract class e {
        public e() {
        }

        public boolean a() {
            return false;
        }

        public boolean b(int[] iArr) {
            return false;
        }

        public e(a aVar) {
        }
    }

    public static class h extends Drawable.ConstantState {

        /* renamed from: a  reason: collision with root package name */
        public int f2128a;

        /* renamed from: b  reason: collision with root package name */
        public g f2129b;

        /* renamed from: c  reason: collision with root package name */
        public ColorStateList f2130c;

        /* renamed from: d  reason: collision with root package name */
        public PorterDuff.Mode f2131d;

        /* renamed from: e  reason: collision with root package name */
        public boolean f2132e;

        /* renamed from: f  reason: collision with root package name */
        public Bitmap f2133f;

        /* renamed from: g  reason: collision with root package name */
        public ColorStateList f2134g;

        /* renamed from: h  reason: collision with root package name */
        public PorterDuff.Mode f2135h;

        /* renamed from: i  reason: collision with root package name */
        public int f2136i;

        /* renamed from: j  reason: collision with root package name */
        public boolean f2137j;

        /* renamed from: k  reason: collision with root package name */
        public boolean f2138k;

        /* renamed from: l  reason: collision with root package name */
        public Paint f2139l;

        public h(h hVar) {
            this.f2130c = null;
            this.f2131d = VectorDrawableCompat.f2088h;
            if (hVar != null) {
                this.f2128a = hVar.f2128a;
                g gVar = new g(hVar.f2129b);
                this.f2129b = gVar;
                if (hVar.f2129b.f2121f != null) {
                    gVar.f2121f = new Paint(hVar.f2129b.f2121f);
                }
                if (hVar.f2129b.f2120e != null) {
                    this.f2129b.f2120e = new Paint(hVar.f2129b.f2120e);
                }
                this.f2130c = hVar.f2130c;
                this.f2131d = hVar.f2131d;
                this.f2132e = hVar.f2132e;
            }
        }

        public boolean a() {
            g gVar = this.f2129b;
            if (gVar.p == null) {
                gVar.p = Boolean.valueOf(gVar.f2124i.a());
            }
            return gVar.p.booleanValue();
        }

        public void b(int i2, int i3) {
            this.f2133f.eraseColor(0);
            Canvas canvas = new Canvas(this.f2133f);
            g gVar = this.f2129b;
            gVar.a(gVar.f2124i, g.f2116a, canvas, i2, i3, null);
        }

        public int getChangingConfigurations() {
            return this.f2128a;
        }

        public Drawable newDrawable() {
            return new VectorDrawableCompat(this);
        }

        public Drawable newDrawable(Resources resources) {
            return new VectorDrawableCompat(this);
        }

        public h() {
            this.f2130c = null;
            this.f2131d = VectorDrawableCompat.f2088h;
            this.f2129b = new g();
        }
    }

    public VectorDrawableCompat() {
        this.n = true;
        this.o = new float[9];
        this.p = new Matrix();
        this.q = new Rect();
        this.f2089j = new h();
    }

    public static VectorDrawableCompat a(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
        VectorDrawableCompat vectorDrawableCompat = new VectorDrawableCompat();
        vectorDrawableCompat.inflate(resources, xmlPullParser, attributeSet, theme);
        return vectorDrawableCompat;
    }

    public PorterDuffColorFilter b(ColorStateList colorStateList, PorterDuff.Mode mode) {
        if (colorStateList == null || mode == null) {
            return null;
        }
        return new PorterDuffColorFilter(colorStateList.getColorForState(getState(), 0), mode);
    }

    public boolean canApplyTheme() {
        Drawable drawable = this.f4009d;
        if (drawable == null) {
            return false;
        }
        drawable.canApplyTheme();
        return false;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:35:0x00d3, code lost:
        if ((r1 == r7.getWidth() && r3 == r6.f2133f.getHeight()) == false) goto L_0x00d5;
     */
    public void draw(Canvas canvas) {
        Paint paint;
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            drawable.draw(canvas);
            return;
        }
        copyBounds(this.q);
        if (this.q.width() > 0 && this.q.height() > 0) {
            ColorFilter colorFilter = this.f2091l;
            if (colorFilter == null) {
                colorFilter = this.f2090k;
            }
            canvas.getMatrix(this.p);
            this.p.getValues(this.o);
            boolean z = false;
            float abs = Math.abs(this.o[0]);
            float abs2 = Math.abs(this.o[4]);
            float abs3 = Math.abs(this.o[1]);
            float abs4 = Math.abs(this.o[3]);
            if (!(abs3 == 0.0f && abs4 == 0.0f)) {
                abs = 1.0f;
                abs2 = 1.0f;
            }
            int min = Math.min(2048, (int) (((float) this.q.width()) * abs));
            int min2 = Math.min(2048, (int) (((float) this.q.height()) * abs2));
            if (min > 0 && min2 > 0) {
                int save = canvas.save();
                Rect rect = this.q;
                canvas.translate((float) rect.left, (float) rect.top);
                if (isAutoMirrored() && AppCompatDelegateImpl.e.I(this) == 1) {
                    canvas.translate((float) this.q.width(), 0.0f);
                    canvas.scale(-1.0f, 1.0f);
                }
                this.q.offsetTo(0, 0);
                h hVar = this.f2089j;
                Bitmap bitmap = hVar.f2133f;
                if (bitmap != null) {
                }
                hVar.f2133f = Bitmap.createBitmap(min, min2, Bitmap.Config.ARGB_8888);
                hVar.f2138k = true;
                if (!this.n) {
                    this.f2089j.b(min, min2);
                } else {
                    h hVar2 = this.f2089j;
                    if (!(!hVar2.f2138k && hVar2.f2134g == hVar2.f2130c && hVar2.f2135h == hVar2.f2131d && hVar2.f2137j == hVar2.f2132e && hVar2.f2136i == hVar2.f2129b.getRootAlpha())) {
                        this.f2089j.b(min, min2);
                        h hVar3 = this.f2089j;
                        hVar3.f2134g = hVar3.f2130c;
                        hVar3.f2135h = hVar3.f2131d;
                        hVar3.f2136i = hVar3.f2129b.getRootAlpha();
                        hVar3.f2137j = hVar3.f2132e;
                        hVar3.f2138k = false;
                    }
                }
                h hVar4 = this.f2089j;
                Rect rect2 = this.q;
                if (hVar4.f2129b.getRootAlpha() < 255) {
                    z = true;
                }
                if (z || colorFilter != null) {
                    if (hVar4.f2139l == null) {
                        Paint paint2 = new Paint();
                        hVar4.f2139l = paint2;
                        paint2.setFilterBitmap(true);
                    }
                    hVar4.f2139l.setAlpha(hVar4.f2129b.getRootAlpha());
                    hVar4.f2139l.setColorFilter(colorFilter);
                    paint = hVar4.f2139l;
                } else {
                    paint = null;
                }
                canvas.drawBitmap(hVar4.f2133f, (Rect) null, rect2, paint);
                canvas.restoreToCount(save);
            }
        }
    }

    public int getAlpha() {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            return drawable.getAlpha();
        }
        return this.f2089j.f2129b.getRootAlpha();
    }

    public int getChangingConfigurations() {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            return drawable.getChangingConfigurations();
        }
        return super.getChangingConfigurations() | this.f2089j.getChangingConfigurations();
    }

    public ColorFilter getColorFilter() {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            return drawable.getColorFilter();
        }
        return this.f2091l;
    }

    public Drawable.ConstantState getConstantState() {
        if (this.f4009d != null && Build.VERSION.SDK_INT >= 24) {
            return new i(this.f4009d.getConstantState());
        }
        this.f2089j.f2128a = getChangingConfigurations();
        return this.f2089j;
    }

    public int getIntrinsicHeight() {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            return drawable.getIntrinsicHeight();
        }
        return (int) this.f2089j.f2129b.f2126k;
    }

    public int getIntrinsicWidth() {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            return drawable.getIntrinsicWidth();
        }
        return (int) this.f2089j.f2129b.f2125j;
    }

    public int getOpacity() {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            return drawable.getOpacity();
        }
        return -3;
    }

    @Override // android.graphics.drawable.Drawable
    public void inflate(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet) {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            drawable.inflate(resources, xmlPullParser, attributeSet);
        } else {
            inflate(resources, xmlPullParser, attributeSet, null);
        }
    }

    public void invalidateSelf() {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            drawable.invalidateSelf();
        } else {
            super.invalidateSelf();
        }
    }

    public boolean isAutoMirrored() {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            return drawable.isAutoMirrored();
        }
        return this.f2089j.f2132e;
    }

    public boolean isStateful() {
        h hVar;
        ColorStateList colorStateList;
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            return drawable.isStateful();
        }
        return super.isStateful() || ((hVar = this.f2089j) != null && (hVar.a() || ((colorStateList = this.f2089j.f2130c) != null && colorStateList.isStateful())));
    }

    public Drawable mutate() {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            drawable.mutate();
            return this;
        }
        if (!this.m && super.mutate() == this) {
            this.f2089j = new h(this.f2089j);
            this.m = true;
        }
        return this;
    }

    public void onBoundsChange(Rect rect) {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            drawable.setBounds(rect);
        }
    }

    public boolean onStateChange(int[] iArr) {
        PorterDuff.Mode mode;
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            return drawable.setState(iArr);
        }
        boolean z = false;
        h hVar = this.f2089j;
        ColorStateList colorStateList = hVar.f2130c;
        if (!(colorStateList == null || (mode = hVar.f2131d) == null)) {
            this.f2090k = b(colorStateList, mode);
            invalidateSelf();
            z = true;
        }
        if (hVar.a()) {
            boolean b2 = hVar.f2129b.f2124i.b(iArr);
            hVar.f2138k |= b2;
            if (b2) {
                invalidateSelf();
                return true;
            }
        }
        return z;
    }

    public void scheduleSelf(Runnable runnable, long j2) {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            drawable.scheduleSelf(runnable, j2);
        } else {
            super.scheduleSelf(runnable, j2);
        }
    }

    public void setAlpha(int i2) {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            drawable.setAlpha(i2);
        } else if (this.f2089j.f2129b.getRootAlpha() != i2) {
            this.f2089j.f2129b.setRootAlpha(i2);
            invalidateSelf();
        }
    }

    public void setAutoMirrored(boolean z) {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            drawable.setAutoMirrored(z);
        } else {
            this.f2089j.f2132e = z;
        }
    }

    public void setColorFilter(ColorFilter colorFilter) {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            drawable.setColorFilter(colorFilter);
            return;
        }
        this.f2091l = colorFilter;
        invalidateSelf();
    }

    @Override // androidx.core.graphics.drawable.TintAwareDrawable
    public void setTint(int i2) {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            AppCompatDelegateImpl.e.z0(drawable, i2);
        } else {
            setTintList(ColorStateList.valueOf(i2));
        }
    }

    @Override // androidx.core.graphics.drawable.TintAwareDrawable
    public void setTintList(ColorStateList colorStateList) {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            AppCompatDelegateImpl.e.A0(drawable, colorStateList);
            return;
        }
        h hVar = this.f2089j;
        if (hVar.f2130c != colorStateList) {
            hVar.f2130c = colorStateList;
            this.f2090k = b(colorStateList, hVar.f2131d);
            invalidateSelf();
        }
    }

    @Override // androidx.core.graphics.drawable.TintAwareDrawable
    public void setTintMode(PorterDuff.Mode mode) {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            AppCompatDelegateImpl.e.B0(drawable, mode);
            return;
        }
        h hVar = this.f2089j;
        if (hVar.f2131d != mode) {
            hVar.f2131d = mode;
            this.f2090k = b(hVar.f2130c, mode);
            invalidateSelf();
        }
    }

    public boolean setVisible(boolean z, boolean z2) {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            return drawable.setVisible(z, z2);
        }
        return super.setVisible(z, z2);
    }

    public void unscheduleSelf(Runnable runnable) {
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            drawable.unscheduleSelf(runnable);
        } else {
            super.unscheduleSelf(runnable);
        }
    }

    public static class i extends Drawable.ConstantState {

        /* renamed from: a  reason: collision with root package name */
        public final Drawable.ConstantState f2140a;

        public i(Drawable.ConstantState constantState) {
            this.f2140a = constantState;
        }

        public boolean canApplyTheme() {
            return this.f2140a.canApplyTheme();
        }

        public int getChangingConfigurations() {
            return this.f2140a.getChangingConfigurations();
        }

        public Drawable newDrawable() {
            VectorDrawableCompat vectorDrawableCompat = new VectorDrawableCompat();
            vectorDrawableCompat.f4009d = (VectorDrawable) this.f2140a.newDrawable();
            return vectorDrawableCompat;
        }

        public Drawable newDrawable(Resources resources) {
            VectorDrawableCompat vectorDrawableCompat = new VectorDrawableCompat();
            vectorDrawableCompat.f4009d = (VectorDrawable) this.f2140a.newDrawable(resources);
            return vectorDrawableCompat;
        }

        public Drawable newDrawable(Resources resources, Resources.Theme theme) {
            VectorDrawableCompat vectorDrawableCompat = new VectorDrawableCompat();
            vectorDrawableCompat.f4009d = (VectorDrawable) this.f2140a.newDrawable(resources, theme);
            return vectorDrawableCompat;
        }
    }

    public static abstract class f extends e {

        /* renamed from: a  reason: collision with root package name */
        public b.j.c.c[] f2112a = null;

        /* renamed from: b  reason: collision with root package name */
        public String f2113b;

        /* renamed from: c  reason: collision with root package name */
        public int f2114c = 0;

        /* renamed from: d  reason: collision with root package name */
        public int f2115d;

        public f() {
            super(null);
        }

        public b.j.c.c[] getPathData() {
            return this.f2112a;
        }

        public String getPathName() {
            return this.f2113b;
        }

        public void setPathData(b.j.c.c[] cVarArr) {
            if (!AppCompatDelegateImpl.e.f(this.f2112a, cVarArr)) {
                this.f2112a = AppCompatDelegateImpl.e.A(cVarArr);
                return;
            }
            b.j.c.c[] cVarArr2 = this.f2112a;
            for (int i2 = 0; i2 < cVarArr.length; i2++) {
                cVarArr2[i2].f3293a = cVarArr[i2].f3293a;
                for (int i3 = 0; i3 < cVarArr[i2].f3294b.length; i3++) {
                    cVarArr2[i2].f3294b[i3] = cVarArr[i2].f3294b[i3];
                }
            }
        }

        public f(f fVar) {
            super(null);
            this.f2113b = fVar.f2113b;
            this.f2115d = fVar.f2115d;
            this.f2112a = AppCompatDelegateImpl.e.A(fVar.f2112a);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:201:0x04da  */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x00b7  */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x00c4  */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x00d6  */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x00e9  */
    /* JADX WARNING: Removed duplicated region for block: B:48:0x00f7  */
    @Override // android.graphics.drawable.Drawable
    public void inflate(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
        int i2;
        ColorStateList colorStateList;
        int i3;
        g gVar;
        int i4;
        g gVar2;
        ArrayDeque arrayDeque;
        d dVar;
        c cVar;
        TypedArray typedArray;
        TypedArray typedArray2;
        int i5;
        int i6;
        Drawable drawable = this.f4009d;
        if (drawable != null) {
            drawable.inflate(resources, xmlPullParser, attributeSet, theme);
            return;
        }
        h hVar = this.f2089j;
        hVar.f2129b = new g();
        TypedArray e2 = b.j.b.b.e.e(resources, theme, attributeSet, b.y.a.a.a.f3994a);
        h hVar2 = this.f2089j;
        g gVar3 = hVar2.f2129b;
        if (!b.j.b.b.e.c(xmlPullParser, "tintMode")) {
            i2 = -1;
        } else {
            i2 = e2.getInt(6, -1);
        }
        PorterDuff.Mode mode = PorterDuff.Mode.SRC_IN;
        int i7 = 3;
        if (i2 == 3) {
            mode = PorterDuff.Mode.SRC_OVER;
        } else if (i2 != 5) {
            if (i2 != 9) {
                switch (i2) {
                    case 14:
                        mode = PorterDuff.Mode.MULTIPLY;
                        break;
                    case 15:
                        mode = PorterDuff.Mode.SCREEN;
                        break;
                    case 16:
                        mode = PorterDuff.Mode.ADD;
                        break;
                }
            } else {
                mode = PorterDuff.Mode.SRC_ATOP;
            }
        }
        hVar2.f2131d = mode;
        int i8 = 1;
        if (b.j.b.b.e.c(xmlPullParser, "tint")) {
            TypedValue typedValue = new TypedValue();
            e2.getValue(1, typedValue);
            int i9 = typedValue.type;
            if (i9 == 2) {
                throw new UnsupportedOperationException("Failed to resolve attribute at index " + 1 + ": " + typedValue);
            } else if (i9 < 28 || i9 > 31) {
                Resources resources2 = e2.getResources();
                try {
                    colorStateList = AppCompatDelegateImpl.e.w(resources2, resources2.getXml(e2.getResourceId(1, 0)), theme);
                } catch (Exception e3) {
                    Log.e("CSLCompat", "Failed to inflate ColorStateList.", e3);
                }
                if (colorStateList != null) {
                    hVar2.f2130c = colorStateList;
                }
                boolean z = hVar2.f2132e;
                if (b.j.b.b.e.c(xmlPullParser, "autoMirrored")) {
                    z = e2.getBoolean(5, z);
                }
                hVar2.f2132e = z;
                float f2 = gVar3.f2127l;
                if (b.j.b.b.e.c(xmlPullParser, "viewportWidth")) {
                    f2 = e2.getFloat(7, f2);
                }
                gVar3.f2127l = f2;
                float f3 = gVar3.m;
                if (b.j.b.b.e.c(xmlPullParser, "viewportHeight")) {
                    f3 = e2.getFloat(8, f3);
                }
                gVar3.m = f3;
                if (gVar3.f2127l <= 0.0f) {
                    throw new XmlPullParserException(e2.getPositionDescription() + "<vector> tag requires viewportWidth > 0");
                } else if (f3 > 0.0f) {
                    gVar3.f2125j = e2.getDimension(3, gVar3.f2125j);
                    float dimension = e2.getDimension(2, gVar3.f2126k);
                    gVar3.f2126k = dimension;
                    if (gVar3.f2125j <= 0.0f) {
                        throw new XmlPullParserException(e2.getPositionDescription() + "<vector> tag requires width > 0");
                    } else if (dimension > 0.0f) {
                        float alpha = gVar3.getAlpha();
                        if (b.j.b.b.e.c(xmlPullParser, "alpha")) {
                            alpha = e2.getFloat(4, alpha);
                        }
                        gVar3.setAlpha(alpha);
                        String string = e2.getString(0);
                        if (string != null) {
                            gVar3.o = string;
                            gVar3.q.put(string, gVar3);
                        }
                        e2.recycle();
                        hVar.f2128a = getChangingConfigurations();
                        hVar.f2138k = true;
                        h hVar3 = this.f2089j;
                        g gVar4 = hVar3.f2129b;
                        ArrayDeque arrayDeque2 = new ArrayDeque();
                        arrayDeque2.push(gVar4.f2124i);
                        int eventType = xmlPullParser.getEventType();
                        int depth = xmlPullParser.getDepth() + 1;
                        boolean z2 = true;
                        while (eventType != i8 && (xmlPullParser.getDepth() >= depth || eventType != i7)) {
                            if (eventType == 2) {
                                String name = xmlPullParser.getName();
                                d dVar2 = (d) arrayDeque2.peek();
                                if ("path".equals(name)) {
                                    c cVar2 = new c();
                                    TypedArray e4 = b.j.b.b.e.e(resources, theme, attributeSet, b.y.a.a.a.f3996c);
                                    cVar2.f2092e = null;
                                    if (!b.j.b.b.e.c(xmlPullParser, "pathData")) {
                                        arrayDeque = arrayDeque2;
                                        gVar2 = gVar4;
                                        typedArray = e4;
                                        cVar = cVar2;
                                        i3 = depth;
                                        dVar = dVar2;
                                    } else {
                                        String string2 = e4.getString(0);
                                        if (string2 != null) {
                                            cVar2.f2113b = string2;
                                        }
                                        String string3 = e4.getString(2);
                                        if (string3 != null) {
                                            cVar2.f2112a = AppCompatDelegateImpl.e.y(string3);
                                        }
                                        arrayDeque = arrayDeque2;
                                        gVar2 = gVar4;
                                        i3 = depth;
                                        dVar = dVar2;
                                        cVar = cVar2;
                                        cVar.f2095h = b.j.b.b.e.a(e4, xmlPullParser, theme, "fillColor", 1, 0);
                                        float f4 = cVar.f2097j;
                                        if (!b.j.b.b.e.c(xmlPullParser, "fillAlpha")) {
                                            typedArray2 = e4;
                                        } else {
                                            typedArray2 = e4;
                                            f4 = typedArray2.getFloat(12, f4);
                                        }
                                        cVar.f2097j = f4;
                                        if (!b.j.b.b.e.c(xmlPullParser, "strokeLineCap")) {
                                            i5 = -1;
                                        } else {
                                            i5 = typedArray2.getInt(8, -1);
                                        }
                                        Paint.Cap cap = cVar.n;
                                        if (i5 == 0) {
                                            cap = Paint.Cap.BUTT;
                                        } else if (i5 == 1) {
                                            cap = Paint.Cap.ROUND;
                                        } else if (i5 == 2) {
                                            cap = Paint.Cap.SQUARE;
                                        }
                                        cVar.n = cap;
                                        if (!b.j.b.b.e.c(xmlPullParser, "strokeLineJoin")) {
                                            i6 = -1;
                                        } else {
                                            i6 = typedArray2.getInt(9, -1);
                                        }
                                        Paint.Join join = cVar.o;
                                        if (i6 == 0) {
                                            join = Paint.Join.MITER;
                                        } else if (i6 == 1) {
                                            join = Paint.Join.ROUND;
                                        } else if (i6 == 2) {
                                            join = Paint.Join.BEVEL;
                                        }
                                        cVar.o = join;
                                        float f5 = cVar.p;
                                        if (b.j.b.b.e.c(xmlPullParser, "strokeMiterLimit")) {
                                            f5 = typedArray2.getFloat(10, f5);
                                        }
                                        cVar.p = f5;
                                        typedArray = typedArray2;
                                        cVar.f2093f = b.j.b.b.e.a(typedArray2, xmlPullParser, theme, "strokeColor", 3, 0);
                                        float f6 = cVar.f2096i;
                                        if (b.j.b.b.e.c(xmlPullParser, "strokeAlpha")) {
                                            f6 = typedArray.getFloat(11, f6);
                                        }
                                        cVar.f2096i = f6;
                                        float f7 = cVar.f2094g;
                                        if (b.j.b.b.e.c(xmlPullParser, "strokeWidth")) {
                                            f7 = typedArray.getFloat(4, f7);
                                        }
                                        cVar.f2094g = f7;
                                        float f8 = cVar.f2099l;
                                        if (b.j.b.b.e.c(xmlPullParser, "trimPathEnd")) {
                                            f8 = typedArray.getFloat(6, f8);
                                        }
                                        cVar.f2099l = f8;
                                        float f9 = cVar.m;
                                        if (b.j.b.b.e.c(xmlPullParser, "trimPathOffset")) {
                                            f9 = typedArray.getFloat(7, f9);
                                        }
                                        cVar.m = f9;
                                        float f10 = cVar.f2098k;
                                        if (b.j.b.b.e.c(xmlPullParser, "trimPathStart")) {
                                            f10 = typedArray.getFloat(5, f10);
                                        }
                                        cVar.f2098k = f10;
                                        int i10 = cVar.f2114c;
                                        if (b.j.b.b.e.c(xmlPullParser, "fillType")) {
                                            i10 = typedArray.getInt(13, i10);
                                        }
                                        cVar.f2114c = i10;
                                    }
                                    typedArray.recycle();
                                    dVar.f2101b.add(cVar);
                                    if (cVar.getPathName() != null) {
                                        gVar = gVar2;
                                        gVar.q.put(cVar.getPathName(), cVar);
                                    } else {
                                        gVar = gVar2;
                                    }
                                    hVar3.f2128a |= cVar.f2115d;
                                    arrayDeque2 = arrayDeque;
                                    z2 = false;
                                } else {
                                    gVar = gVar4;
                                    i3 = depth;
                                    if ("clip-path".equals(name)) {
                                        b bVar = new b();
                                        if (b.j.b.b.e.c(xmlPullParser, "pathData")) {
                                            TypedArray e5 = b.j.b.b.e.e(resources, theme, attributeSet, b.y.a.a.a.f3997d);
                                            String string4 = e5.getString(0);
                                            if (string4 != null) {
                                                bVar.f2113b = string4;
                                            }
                                            String string5 = e5.getString(1);
                                            if (string5 != null) {
                                                bVar.f2112a = AppCompatDelegateImpl.e.y(string5);
                                            }
                                            if (!b.j.b.b.e.c(xmlPullParser, "fillType")) {
                                                i4 = 0;
                                            } else {
                                                i4 = e5.getInt(2, 0);
                                            }
                                            bVar.f2114c = i4;
                                            e5.recycle();
                                        }
                                        dVar2.f2101b.add(bVar);
                                        if (bVar.getPathName() != null) {
                                            gVar.q.put(bVar.getPathName(), bVar);
                                        }
                                        hVar3.f2128a = bVar.f2115d | hVar3.f2128a;
                                    } else if ("group".equals(name)) {
                                        d dVar3 = new d();
                                        TypedArray e6 = b.j.b.b.e.e(resources, theme, attributeSet, b.y.a.a.a.f3995b);
                                        dVar3.f2111l = null;
                                        float f11 = dVar3.f2102c;
                                        if (b.j.b.b.e.c(xmlPullParser, "rotation")) {
                                            f11 = e6.getFloat(5, f11);
                                        }
                                        dVar3.f2102c = f11;
                                        dVar3.f2103d = e6.getFloat(1, dVar3.f2103d);
                                        dVar3.f2104e = e6.getFloat(2, dVar3.f2104e);
                                        float f12 = dVar3.f2105f;
                                        if (b.j.b.b.e.c(xmlPullParser, "scaleX")) {
                                            f12 = e6.getFloat(3, f12);
                                        }
                                        dVar3.f2105f = f12;
                                        float f13 = dVar3.f2106g;
                                        if (b.j.b.b.e.c(xmlPullParser, "scaleY")) {
                                            f13 = e6.getFloat(4, f13);
                                        }
                                        dVar3.f2106g = f13;
                                        float f14 = dVar3.f2107h;
                                        if (b.j.b.b.e.c(xmlPullParser, "translateX")) {
                                            f14 = e6.getFloat(6, f14);
                                        }
                                        dVar3.f2107h = f14;
                                        float f15 = dVar3.f2108i;
                                        if (b.j.b.b.e.c(xmlPullParser, "translateY")) {
                                            f15 = e6.getFloat(7, f15);
                                        }
                                        dVar3.f2108i = f15;
                                        String string6 = e6.getString(0);
                                        if (string6 != null) {
                                            dVar3.m = string6;
                                        }
                                        dVar3.c();
                                        e6.recycle();
                                        dVar2.f2101b.add(dVar3);
                                        arrayDeque2 = arrayDeque2;
                                        arrayDeque2.push(dVar3);
                                        if (dVar3.getGroupName() != null) {
                                            gVar.q.put(dVar3.getGroupName(), dVar3);
                                        }
                                        hVar3.f2128a = dVar3.f2110k | hVar3.f2128a;
                                    }
                                    arrayDeque2 = arrayDeque2;
                                }
                            } else {
                                gVar = gVar4;
                                i3 = depth;
                                if (eventType == 3 && "group".equals(xmlPullParser.getName())) {
                                    arrayDeque2.pop();
                                }
                            }
                            eventType = xmlPullParser.next();
                            i7 = 3;
                            i8 = 1;
                            gVar4 = gVar;
                            depth = i3;
                        }
                        if (!z2) {
                            this.f2090k = b(hVar.f2130c, hVar.f2131d);
                            return;
                        }
                        throw new XmlPullParserException("no path defined");
                    } else {
                        throw new XmlPullParserException(e2.getPositionDescription() + "<vector> tag requires height > 0");
                    }
                } else {
                    throw new XmlPullParserException(e2.getPositionDescription() + "<vector> tag requires viewportHeight > 0");
                }
            } else {
                colorStateList = ColorStateList.valueOf(typedValue.data);
                if (colorStateList != null) {
                }
                boolean z3 = hVar2.f2132e;
                if (b.j.b.b.e.c(xmlPullParser, "autoMirrored")) {
                }
                hVar2.f2132e = z3;
                float f22 = gVar3.f2127l;
                if (b.j.b.b.e.c(xmlPullParser, "viewportWidth")) {
                }
                gVar3.f2127l = f22;
                float f32 = gVar3.m;
                if (b.j.b.b.e.c(xmlPullParser, "viewportHeight")) {
                }
                gVar3.m = f32;
                if (gVar3.f2127l <= 0.0f) {
                }
            }
        }
        colorStateList = null;
        if (colorStateList != null) {
        }
        boolean z32 = hVar2.f2132e;
        if (b.j.b.b.e.c(xmlPullParser, "autoMirrored")) {
        }
        hVar2.f2132e = z32;
        float f222 = gVar3.f2127l;
        if (b.j.b.b.e.c(xmlPullParser, "viewportWidth")) {
        }
        gVar3.f2127l = f222;
        float f322 = gVar3.m;
        if (b.j.b.b.e.c(xmlPullParser, "viewportHeight")) {
        }
        gVar3.m = f322;
        if (gVar3.f2127l <= 0.0f) {
        }
    }

    public VectorDrawableCompat(h hVar) {
        this.n = true;
        this.o = new float[9];
        this.p = new Matrix();
        this.q = new Rect();
        this.f2089j = hVar;
        this.f2090k = b(hVar.f2130c, hVar.f2131d);
    }

    public static class c extends f {

        /* renamed from: e  reason: collision with root package name */
        public int[] f2092e;

        /* renamed from: f  reason: collision with root package name */
        public b.j.b.b.a f2093f;

        /* renamed from: g  reason: collision with root package name */
        public float f2094g = 0.0f;

        /* renamed from: h  reason: collision with root package name */
        public b.j.b.b.a f2095h;

        /* renamed from: i  reason: collision with root package name */
        public float f2096i = 1.0f;

        /* renamed from: j  reason: collision with root package name */
        public float f2097j = 1.0f;

        /* renamed from: k  reason: collision with root package name */
        public float f2098k = 0.0f;

        /* renamed from: l  reason: collision with root package name */
        public float f2099l = 1.0f;
        public float m = 0.0f;
        public Paint.Cap n = Paint.Cap.BUTT;
        public Paint.Join o = Paint.Join.MITER;
        public float p = 4.0f;

        public c() {
        }

        @Override // androidx.vectordrawable.graphics.drawable.VectorDrawableCompat.e
        public boolean a() {
            return this.f2095h.c() || this.f2093f.c();
        }

        @Override // androidx.vectordrawable.graphics.drawable.VectorDrawableCompat.e
        public boolean b(int[] iArr) {
            return this.f2093f.d(iArr) | this.f2095h.d(iArr);
        }

        public float getFillAlpha() {
            return this.f2097j;
        }

        public int getFillColor() {
            return this.f2095h.f3271c;
        }

        public float getStrokeAlpha() {
            return this.f2096i;
        }

        public int getStrokeColor() {
            return this.f2093f.f3271c;
        }

        public float getStrokeWidth() {
            return this.f2094g;
        }

        public float getTrimPathEnd() {
            return this.f2099l;
        }

        public float getTrimPathOffset() {
            return this.m;
        }

        public float getTrimPathStart() {
            return this.f2098k;
        }

        public void setFillAlpha(float f2) {
            this.f2097j = f2;
        }

        public void setFillColor(int i2) {
            this.f2095h.f3271c = i2;
        }

        public void setStrokeAlpha(float f2) {
            this.f2096i = f2;
        }

        public void setStrokeColor(int i2) {
            this.f2093f.f3271c = i2;
        }

        public void setStrokeWidth(float f2) {
            this.f2094g = f2;
        }

        public void setTrimPathEnd(float f2) {
            this.f2099l = f2;
        }

        public void setTrimPathOffset(float f2) {
            this.m = f2;
        }

        public void setTrimPathStart(float f2) {
            this.f2098k = f2;
        }

        public c(c cVar) {
            super(cVar);
            this.f2092e = cVar.f2092e;
            this.f2093f = cVar.f2093f;
            this.f2094g = cVar.f2094g;
            this.f2096i = cVar.f2096i;
            this.f2095h = cVar.f2095h;
            this.f2114c = cVar.f2114c;
            this.f2097j = cVar.f2097j;
            this.f2098k = cVar.f2098k;
            this.f2099l = cVar.f2099l;
            this.m = cVar.m;
            this.n = cVar.n;
            this.o = cVar.o;
            this.p = cVar.p;
        }
    }

    public static class g {

        /* renamed from: a  reason: collision with root package name */
        public static final Matrix f2116a = new Matrix();

        /* renamed from: b  reason: collision with root package name */
        public final Path f2117b;

        /* renamed from: c  reason: collision with root package name */
        public final Path f2118c;

        /* renamed from: d  reason: collision with root package name */
        public final Matrix f2119d;

        /* renamed from: e  reason: collision with root package name */
        public Paint f2120e;

        /* renamed from: f  reason: collision with root package name */
        public Paint f2121f;

        /* renamed from: g  reason: collision with root package name */
        public PathMeasure f2122g;

        /* renamed from: h  reason: collision with root package name */
        public int f2123h;

        /* renamed from: i  reason: collision with root package name */
        public final d f2124i;

        /* renamed from: j  reason: collision with root package name */
        public float f2125j;

        /* renamed from: k  reason: collision with root package name */
        public float f2126k;

        /* renamed from: l  reason: collision with root package name */
        public float f2127l;
        public float m;
        public int n;
        public String o;
        public Boolean p;
        public final ArrayMap<String, Object> q;

        public g() {
            this.f2119d = new Matrix();
            this.f2125j = 0.0f;
            this.f2126k = 0.0f;
            this.f2127l = 0.0f;
            this.m = 0.0f;
            this.n = NeuQuant.maxnetpos;
            this.o = null;
            this.p = null;
            this.q = new ArrayMap<>();
            this.f2124i = new d();
            this.f2117b = new Path();
            this.f2118c = new Path();
        }

        /* JADX DEBUG: Multi-variable search result rejected for r13v11, resolved type: android.graphics.PathMeasure */
        /* JADX WARN: Multi-variable type inference failed */
        /* JADX WARN: Type inference failed for: r11v0 */
        /* JADX WARN: Type inference failed for: r11v1, types: [boolean] */
        /* JADX WARN: Type inference failed for: r11v2 */
        /* JADX WARNING: Unknown variable types count: 1 */
        public final void a(d dVar, Matrix matrix, Canvas canvas, int i2, int i3, ColorFilter colorFilter) {
            g gVar;
            g gVar2 = this;
            dVar.f2100a.set(matrix);
            dVar.f2100a.preConcat(dVar.f2109j);
            canvas.save();
            ?? r11 = 0;
            int i4 = 0;
            while (i4 < dVar.f2101b.size()) {
                e eVar = dVar.f2101b.get(i4);
                if (eVar instanceof d) {
                    a((d) eVar, dVar.f2100a, canvas, i2, i3, colorFilter);
                } else if (eVar instanceof f) {
                    f fVar = (f) eVar;
                    float f2 = ((float) i2) / gVar2.f2127l;
                    float f3 = ((float) i3) / gVar2.m;
                    float min = Math.min(f2, f3);
                    Matrix matrix2 = dVar.f2100a;
                    gVar2.f2119d.set(matrix2);
                    gVar2.f2119d.postScale(f2, f3);
                    float[] fArr = {0.0f, 1.0f, 1.0f, 0.0f};
                    matrix2.mapVectors(fArr);
                    char c2 = r11 == true ? 1 : 0;
                    char c3 = r11 == true ? 1 : 0;
                    char c4 = r11 == true ? 1 : 0;
                    float f4 = (fArr[r11] * fArr[3]) - (fArr[1] * fArr[2]);
                    float max = Math.max((float) Math.hypot((double) fArr[c2], (double) fArr[1]), (float) Math.hypot((double) fArr[2], (double) fArr[3]));
                    float abs = max > 0.0f ? Math.abs(f4) / max : 0.0f;
                    if (abs == 0.0f) {
                        gVar = this;
                    } else {
                        gVar = this;
                        Path path = gVar.f2117b;
                        Objects.requireNonNull(fVar);
                        path.reset();
                        b.j.c.c[] cVarArr = fVar.f2112a;
                        if (cVarArr != null) {
                            b.j.c.c.b(cVarArr, path);
                        }
                        Path path2 = gVar.f2117b;
                        gVar.f2118c.reset();
                        if (fVar instanceof b) {
                            gVar.f2118c.setFillType(fVar.f2114c == 0 ? Path.FillType.WINDING : Path.FillType.EVEN_ODD);
                            gVar.f2118c.addPath(path2, gVar.f2119d);
                            canvas.clipPath(gVar.f2118c);
                        } else {
                            c cVar = (c) fVar;
                            float f5 = cVar.f2098k;
                            if (!(f5 == 0.0f && cVar.f2099l == 1.0f)) {
                                float f6 = cVar.m;
                                float f7 = (f5 + f6) % 1.0f;
                                float f8 = (cVar.f2099l + f6) % 1.0f;
                                if (gVar.f2122g == null) {
                                    gVar.f2122g = new PathMeasure();
                                }
                                gVar.f2122g.setPath(gVar.f2117b, r11);
                                float length = gVar.f2122g.getLength();
                                float f9 = f7 * length;
                                float f10 = f8 * length;
                                path2.reset();
                                if (f9 > f10) {
                                    gVar.f2122g.getSegment(f9, length, path2, true);
                                    gVar.f2122g.getSegment(0.0f, f10, path2, true);
                                } else {
                                    gVar.f2122g.getSegment(f9, f10, path2, true);
                                }
                                path2.rLineTo(0.0f, 0.0f);
                            }
                            gVar.f2118c.addPath(path2, gVar.f2119d);
                            b.j.b.b.a aVar = cVar.f2095h;
                            if (aVar.b() || aVar.f3271c != 0) {
                                b.j.b.b.a aVar2 = cVar.f2095h;
                                if (gVar.f2121f == null) {
                                    Paint paint = new Paint(1);
                                    gVar.f2121f = paint;
                                    paint.setStyle(Paint.Style.FILL);
                                }
                                Paint paint2 = gVar.f2121f;
                                if (aVar2.b()) {
                                    Shader shader = aVar2.f3269a;
                                    shader.setLocalMatrix(gVar.f2119d);
                                    paint2.setShader(shader);
                                    paint2.setAlpha(Math.round(cVar.f2097j * 255.0f));
                                } else {
                                    paint2.setShader(null);
                                    paint2.setAlpha(NeuQuant.maxnetpos);
                                    int i5 = aVar2.f3271c;
                                    float f11 = cVar.f2097j;
                                    PorterDuff.Mode mode = VectorDrawableCompat.f2088h;
                                    paint2.setColor((i5 & 16777215) | (((int) (((float) Color.alpha(i5)) * f11)) << 24));
                                }
                                paint2.setColorFilter(colorFilter);
                                gVar.f2118c.setFillType(cVar.f2114c == 0 ? Path.FillType.WINDING : Path.FillType.EVEN_ODD);
                                canvas.drawPath(gVar.f2118c, paint2);
                            }
                            b.j.b.b.a aVar3 = cVar.f2093f;
                            if (aVar3.b() || aVar3.f3271c != 0) {
                                b.j.b.b.a aVar4 = cVar.f2093f;
                                if (gVar.f2120e == null) {
                                    Paint paint3 = new Paint(1);
                                    gVar.f2120e = paint3;
                                    paint3.setStyle(Paint.Style.STROKE);
                                }
                                Paint paint4 = gVar.f2120e;
                                Paint.Join join = cVar.o;
                                if (join != null) {
                                    paint4.setStrokeJoin(join);
                                }
                                Paint.Cap cap = cVar.n;
                                if (cap != null) {
                                    paint4.setStrokeCap(cap);
                                }
                                paint4.setStrokeMiter(cVar.p);
                                if (aVar4.b()) {
                                    Shader shader2 = aVar4.f3269a;
                                    shader2.setLocalMatrix(gVar.f2119d);
                                    paint4.setShader(shader2);
                                    paint4.setAlpha(Math.round(cVar.f2096i * 255.0f));
                                } else {
                                    paint4.setShader(null);
                                    paint4.setAlpha(NeuQuant.maxnetpos);
                                    int i6 = aVar4.f3271c;
                                    float f12 = cVar.f2096i;
                                    PorterDuff.Mode mode2 = VectorDrawableCompat.f2088h;
                                    paint4.setColor((i6 & 16777215) | (((int) (((float) Color.alpha(i6)) * f12)) << 24));
                                }
                                paint4.setColorFilter(colorFilter);
                                paint4.setStrokeWidth(cVar.f2094g * abs * min);
                                canvas.drawPath(gVar.f2118c, paint4);
                            }
                        }
                    }
                    i4++;
                    gVar2 = gVar;
                    r11 = 0;
                }
                gVar = gVar2;
                i4++;
                gVar2 = gVar;
                r11 = 0;
            }
            canvas.restore();
        }

        public float getAlpha() {
            return ((float) getRootAlpha()) / 255.0f;
        }

        public int getRootAlpha() {
            return this.n;
        }

        public void setAlpha(float f2) {
            setRootAlpha((int) (f2 * 255.0f));
        }

        public void setRootAlpha(int i2) {
            this.n = i2;
        }

        public g(g gVar) {
            this.f2119d = new Matrix();
            this.f2125j = 0.0f;
            this.f2126k = 0.0f;
            this.f2127l = 0.0f;
            this.m = 0.0f;
            this.n = NeuQuant.maxnetpos;
            this.o = null;
            this.p = null;
            ArrayMap<String, Object> arrayMap = new ArrayMap<>();
            this.q = arrayMap;
            this.f2124i = new d(gVar.f2124i, arrayMap);
            this.f2117b = new Path(gVar.f2117b);
            this.f2118c = new Path(gVar.f2118c);
            this.f2125j = gVar.f2125j;
            this.f2126k = gVar.f2126k;
            this.f2127l = gVar.f2127l;
            this.m = gVar.m;
            this.f2123h = gVar.f2123h;
            this.n = gVar.n;
            this.o = gVar.o;
            String str = gVar.o;
            if (str != null) {
                arrayMap.put(str, this);
            }
            this.p = gVar.p;
        }
    }

    public static class d extends e {

        /* renamed from: a  reason: collision with root package name */
        public final Matrix f2100a;

        /* renamed from: b  reason: collision with root package name */
        public final ArrayList<e> f2101b;

        /* renamed from: c  reason: collision with root package name */
        public float f2102c;

        /* renamed from: d  reason: collision with root package name */
        public float f2103d;

        /* renamed from: e  reason: collision with root package name */
        public float f2104e;

        /* renamed from: f  reason: collision with root package name */
        public float f2105f;

        /* renamed from: g  reason: collision with root package name */
        public float f2106g;

        /* renamed from: h  reason: collision with root package name */
        public float f2107h;

        /* renamed from: i  reason: collision with root package name */
        public float f2108i;

        /* renamed from: j  reason: collision with root package name */
        public final Matrix f2109j;

        /* renamed from: k  reason: collision with root package name */
        public int f2110k;

        /* renamed from: l  reason: collision with root package name */
        public int[] f2111l;
        public String m;

        public d(d dVar, ArrayMap<String, Object> arrayMap) {
            super(null);
            f fVar;
            this.f2100a = new Matrix();
            this.f2101b = new ArrayList<>();
            this.f2102c = 0.0f;
            this.f2103d = 0.0f;
            this.f2104e = 0.0f;
            this.f2105f = 1.0f;
            this.f2106g = 1.0f;
            this.f2107h = 0.0f;
            this.f2108i = 0.0f;
            Matrix matrix = new Matrix();
            this.f2109j = matrix;
            this.m = null;
            this.f2102c = dVar.f2102c;
            this.f2103d = dVar.f2103d;
            this.f2104e = dVar.f2104e;
            this.f2105f = dVar.f2105f;
            this.f2106g = dVar.f2106g;
            this.f2107h = dVar.f2107h;
            this.f2108i = dVar.f2108i;
            this.f2111l = dVar.f2111l;
            String str = dVar.m;
            this.m = str;
            this.f2110k = dVar.f2110k;
            if (str != null) {
                arrayMap.put(str, this);
            }
            matrix.set(dVar.f2109j);
            ArrayList<e> arrayList = dVar.f2101b;
            for (int i2 = 0; i2 < arrayList.size(); i2++) {
                e eVar = arrayList.get(i2);
                if (eVar instanceof d) {
                    this.f2101b.add(new d((d) eVar, arrayMap));
                } else {
                    if (eVar instanceof c) {
                        fVar = new c((c) eVar);
                    } else if (eVar instanceof b) {
                        fVar = new b((b) eVar);
                    } else {
                        throw new IllegalStateException("Unknown object in the tree!");
                    }
                    this.f2101b.add(fVar);
                    String str2 = fVar.f2113b;
                    if (str2 != null) {
                        arrayMap.put(str2, fVar);
                    }
                }
            }
        }

        @Override // androidx.vectordrawable.graphics.drawable.VectorDrawableCompat.e
        public boolean a() {
            for (int i2 = 0; i2 < this.f2101b.size(); i2++) {
                if (this.f2101b.get(i2).a()) {
                    return true;
                }
            }
            return false;
        }

        @Override // androidx.vectordrawable.graphics.drawable.VectorDrawableCompat.e
        public boolean b(int[] iArr) {
            boolean z = false;
            for (int i2 = 0; i2 < this.f2101b.size(); i2++) {
                z |= this.f2101b.get(i2).b(iArr);
            }
            return z;
        }

        public final void c() {
            this.f2109j.reset();
            this.f2109j.postTranslate(-this.f2103d, -this.f2104e);
            this.f2109j.postScale(this.f2105f, this.f2106g);
            this.f2109j.postRotate(this.f2102c, 0.0f, 0.0f);
            this.f2109j.postTranslate(this.f2107h + this.f2103d, this.f2108i + this.f2104e);
        }

        public String getGroupName() {
            return this.m;
        }

        public Matrix getLocalMatrix() {
            return this.f2109j;
        }

        public float getPivotX() {
            return this.f2103d;
        }

        public float getPivotY() {
            return this.f2104e;
        }

        public float getRotation() {
            return this.f2102c;
        }

        public float getScaleX() {
            return this.f2105f;
        }

        public float getScaleY() {
            return this.f2106g;
        }

        public float getTranslateX() {
            return this.f2107h;
        }

        public float getTranslateY() {
            return this.f2108i;
        }

        public void setPivotX(float f2) {
            if (f2 != this.f2103d) {
                this.f2103d = f2;
                c();
            }
        }

        public void setPivotY(float f2) {
            if (f2 != this.f2104e) {
                this.f2104e = f2;
                c();
            }
        }

        public void setRotation(float f2) {
            if (f2 != this.f2102c) {
                this.f2102c = f2;
                c();
            }
        }

        public void setScaleX(float f2) {
            if (f2 != this.f2105f) {
                this.f2105f = f2;
                c();
            }
        }

        public void setScaleY(float f2) {
            if (f2 != this.f2106g) {
                this.f2106g = f2;
                c();
            }
        }

        public void setTranslateX(float f2) {
            if (f2 != this.f2107h) {
                this.f2107h = f2;
                c();
            }
        }

        public void setTranslateY(float f2) {
            if (f2 != this.f2108i) {
                this.f2108i = f2;
                c();
            }
        }

        public d() {
            super(null);
            this.f2100a = new Matrix();
            this.f2101b = new ArrayList<>();
            this.f2102c = 0.0f;
            this.f2103d = 0.0f;
            this.f2104e = 0.0f;
            this.f2105f = 1.0f;
            this.f2106g = 1.0f;
            this.f2107h = 0.0f;
            this.f2108i = 0.0f;
            this.f2109j = new Matrix();
            this.m = null;
        }
    }
}
