package androidx.viewpager.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.database.DataSetObserver;
import android.graphics.drawable.Drawable;
import android.text.TextUtils;
import android.text.method.SingleLineTransformationMethod;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.widget.TextView;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.viewpager.widget.ViewPager;
import com.shuyu.gsyvideoplayer.utils.NeuQuant;
import java.lang.ref.WeakReference;
import java.util.Locale;

@ViewPager.e
public class PagerTitleStrip extends ViewGroup {

    /* renamed from: d  reason: collision with root package name */
    public static final int[] f2146d = {16842804, 16842901, 16842904, 16842927};

    /* renamed from: h  reason: collision with root package name */
    public static final int[] f2147h = {16843660};

    /* renamed from: j  reason: collision with root package name */
    public ViewPager f2148j;

    /* renamed from: k  reason: collision with root package name */
    public TextView f2149k;

    /* renamed from: l  reason: collision with root package name */
    public TextView f2150l;
    public TextView m;
    public int n;
    public float o;
    public int p;
    public int q;
    public boolean r;
    public boolean s;
    public final a t;
    public WeakReference<b.a0.a.a> u;
    public int v;
    public int w;

    public class a extends DataSetObserver implements ViewPager.OnPageChangeListener, ViewPager.OnAdapterChangeListener {

        /* renamed from: d  reason: collision with root package name */
        public int f2151d;

        public a() {
        }

        @Override // androidx.viewpager.widget.ViewPager.OnAdapterChangeListener
        public void onAdapterChanged(ViewPager viewPager, b.a0.a.a aVar, b.a0.a.a aVar2) {
            PagerTitleStrip.this.a(aVar, aVar2);
        }

        public void onChanged() {
            PagerTitleStrip pagerTitleStrip = PagerTitleStrip.this;
            pagerTitleStrip.b(pagerTitleStrip.f2148j.getCurrentItem(), PagerTitleStrip.this.f2148j.getAdapter());
            PagerTitleStrip pagerTitleStrip2 = PagerTitleStrip.this;
            float f2 = pagerTitleStrip2.o;
            if (f2 < 0.0f) {
                f2 = 0.0f;
            }
            pagerTitleStrip2.c(pagerTitleStrip2.f2148j.getCurrentItem(), f2, true);
        }

        @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
        public void onPageScrollStateChanged(int i2) {
            this.f2151d = i2;
        }

        @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
        public void onPageScrolled(int i2, float f2, int i3) {
            if (f2 > 0.5f) {
                i2++;
            }
            PagerTitleStrip.this.c(i2, f2, false);
        }

        @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
        public void onPageSelected(int i2) {
            if (this.f2151d == 0) {
                PagerTitleStrip pagerTitleStrip = PagerTitleStrip.this;
                pagerTitleStrip.b(pagerTitleStrip.f2148j.getCurrentItem(), PagerTitleStrip.this.f2148j.getAdapter());
                PagerTitleStrip pagerTitleStrip2 = PagerTitleStrip.this;
                float f2 = pagerTitleStrip2.o;
                if (f2 < 0.0f) {
                    f2 = 0.0f;
                }
                pagerTitleStrip2.c(pagerTitleStrip2.f2148j.getCurrentItem(), f2, true);
            }
        }
    }

    public static class b extends SingleLineTransformationMethod {

        /* renamed from: d  reason: collision with root package name */
        public Locale f2153d;

        public b(Context context) {
            this.f2153d = context.getResources().getConfiguration().locale;
        }

        public CharSequence getTransformation(CharSequence charSequence, View view) {
            CharSequence transformation = super.getTransformation(charSequence, view);
            if (transformation != null) {
                return transformation.toString().toUpperCase(this.f2153d);
            }
            return null;
        }
    }

    public PagerTitleStrip(Context context) {
        this(context, null);
    }

    private static void setSingleLineAllCaps(TextView textView) {
        textView.setTransformationMethod(new b(textView.getContext()));
    }

    public void a(b.a0.a.a aVar, b.a0.a.a aVar2) {
        if (aVar != null) {
            aVar.unregisterDataSetObserver(this.t);
            this.u = null;
        }
        if (aVar2 != null) {
            aVar2.registerDataSetObserver(this.t);
            this.u = new WeakReference<>(aVar2);
        }
        ViewPager viewPager = this.f2148j;
        if (viewPager != null) {
            this.n = -1;
            this.o = -1.0f;
            b(viewPager.getCurrentItem(), aVar2);
            requestLayout();
        }
    }

    public void b(int i2, b.a0.a.a aVar) {
        int count = aVar != null ? aVar.getCount() : 0;
        this.r = true;
        CharSequence charSequence = null;
        this.f2149k.setText((i2 < 1 || aVar == null) ? null : aVar.getPageTitle(i2 - 1));
        this.f2150l.setText((aVar == null || i2 >= count) ? null : aVar.getPageTitle(i2));
        int i3 = i2 + 1;
        if (i3 < count && aVar != null) {
            charSequence = aVar.getPageTitle(i3);
        }
        this.m.setText(charSequence);
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(Math.max(0, (int) (((float) ((getWidth() - getPaddingLeft()) - getPaddingRight())) * 0.8f)), Integer.MIN_VALUE);
        int makeMeasureSpec2 = View.MeasureSpec.makeMeasureSpec(Math.max(0, (getHeight() - getPaddingTop()) - getPaddingBottom()), Integer.MIN_VALUE);
        this.f2149k.measure(makeMeasureSpec, makeMeasureSpec2);
        this.f2150l.measure(makeMeasureSpec, makeMeasureSpec2);
        this.m.measure(makeMeasureSpec, makeMeasureSpec2);
        this.n = i2;
        if (!this.s) {
            c(i2, this.o, false);
        }
        this.r = false;
    }

    public void c(int i2, float f2, boolean z) {
        int i3;
        int i4;
        int i5;
        int i6;
        if (i2 != this.n) {
            b(i2, this.f2148j.getAdapter());
        } else if (!z && f2 == this.o) {
            return;
        }
        this.s = true;
        int measuredWidth = this.f2149k.getMeasuredWidth();
        int measuredWidth2 = this.f2150l.getMeasuredWidth();
        int measuredWidth3 = this.m.getMeasuredWidth();
        int i7 = measuredWidth2 / 2;
        int width = getWidth();
        int height = getHeight();
        int paddingLeft = getPaddingLeft();
        int paddingRight = getPaddingRight();
        int paddingTop = getPaddingTop();
        int paddingBottom = getPaddingBottom();
        int i8 = paddingRight + i7;
        int i9 = (width - (paddingLeft + i7)) - i8;
        float f3 = 0.5f + f2;
        if (f3 > 1.0f) {
            f3 -= 1.0f;
        }
        int i10 = ((width - i8) - ((int) (((float) i9) * f3))) - i7;
        int i11 = measuredWidth2 + i10;
        int baseline = this.f2149k.getBaseline();
        int baseline2 = this.f2150l.getBaseline();
        int baseline3 = this.m.getBaseline();
        int max = Math.max(Math.max(baseline, baseline2), baseline3);
        int i12 = max - baseline;
        int i13 = max - baseline2;
        int i14 = max - baseline3;
        int max2 = Math.max(Math.max(this.f2149k.getMeasuredHeight() + i12, this.f2150l.getMeasuredHeight() + i13), this.m.getMeasuredHeight() + i14);
        int i15 = this.q & 112;
        if (i15 == 16) {
            i6 = (((height - paddingTop) - paddingBottom) - max2) / 2;
        } else if (i15 != 80) {
            i5 = i12 + paddingTop;
            i3 = i13 + paddingTop;
            i4 = paddingTop + i14;
            TextView textView = this.f2150l;
            textView.layout(i10, i3, i11, textView.getMeasuredHeight() + i3);
            int min = Math.min(paddingLeft, (i10 - this.p) - measuredWidth);
            TextView textView2 = this.f2149k;
            textView2.layout(min, i5, measuredWidth + min, textView2.getMeasuredHeight() + i5);
            int max3 = Math.max((width - paddingRight) - measuredWidth3, i11 + this.p);
            TextView textView3 = this.m;
            textView3.layout(max3, i4, max3 + measuredWidth3, textView3.getMeasuredHeight() + i4);
            this.o = f2;
            this.s = false;
        } else {
            i6 = (height - paddingBottom) - max2;
        }
        i5 = i12 + i6;
        i3 = i13 + i6;
        i4 = i6 + i14;
        TextView textView4 = this.f2150l;
        textView4.layout(i10, i3, i11, textView4.getMeasuredHeight() + i3);
        int min2 = Math.min(paddingLeft, (i10 - this.p) - measuredWidth);
        TextView textView22 = this.f2149k;
        textView22.layout(min2, i5, measuredWidth + min2, textView22.getMeasuredHeight() + i5);
        int max32 = Math.max((width - paddingRight) - measuredWidth3, i11 + this.p);
        TextView textView32 = this.m;
        textView32.layout(max32, i4, max32 + measuredWidth3, textView32.getMeasuredHeight() + i4);
        this.o = f2;
        this.s = false;
    }

    public int getMinHeight() {
        Drawable background = getBackground();
        if (background != null) {
            return background.getIntrinsicHeight();
        }
        return 0;
    }

    public int getTextSpacing() {
        return this.p;
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        ViewParent parent = getParent();
        if (parent instanceof ViewPager) {
            ViewPager viewPager = (ViewPager) parent;
            b.a0.a.a adapter = viewPager.getAdapter();
            viewPager.setInternalPageChangeListener(this.t);
            viewPager.addOnAdapterChangeListener(this.t);
            this.f2148j = viewPager;
            WeakReference<b.a0.a.a> weakReference = this.u;
            a(weakReference != null ? weakReference.get() : null, adapter);
            return;
        }
        throw new IllegalStateException("PagerTitleStrip must be a direct child of a ViewPager.");
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        ViewPager viewPager = this.f2148j;
        if (viewPager != null) {
            a(viewPager.getAdapter(), null);
            this.f2148j.setInternalPageChangeListener(null);
            this.f2148j.removeOnAdapterChangeListener(this.t);
            this.f2148j = null;
        }
    }

    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        if (this.f2148j != null) {
            float f2 = this.o;
            if (f2 < 0.0f) {
                f2 = 0.0f;
            }
            c(this.n, f2, true);
        }
    }

    public void onMeasure(int i2, int i3) {
        int i4;
        if (View.MeasureSpec.getMode(i2) == 1073741824) {
            int paddingBottom = getPaddingBottom() + getPaddingTop();
            int childMeasureSpec = ViewGroup.getChildMeasureSpec(i3, paddingBottom, -2);
            int size = View.MeasureSpec.getSize(i2);
            int childMeasureSpec2 = ViewGroup.getChildMeasureSpec(i2, (int) (((float) size) * 0.2f), -2);
            this.f2149k.measure(childMeasureSpec2, childMeasureSpec);
            this.f2150l.measure(childMeasureSpec2, childMeasureSpec);
            this.m.measure(childMeasureSpec2, childMeasureSpec);
            if (View.MeasureSpec.getMode(i3) == 1073741824) {
                i4 = View.MeasureSpec.getSize(i3);
            } else {
                i4 = Math.max(getMinHeight(), this.f2150l.getMeasuredHeight() + paddingBottom);
            }
            setMeasuredDimension(size, View.resolveSizeAndState(i4, i3, this.f2150l.getMeasuredState() << 16));
            return;
        }
        throw new IllegalStateException("Must measure with an exact width");
    }

    public void requestLayout() {
        if (!this.r) {
            super.requestLayout();
        }
    }

    public void setGravity(int i2) {
        this.q = i2;
        requestLayout();
    }

    public void setNonPrimaryAlpha(float f2) {
        int i2 = ((int) (f2 * 255.0f)) & NeuQuant.maxnetpos;
        this.v = i2;
        int i3 = (i2 << 24) | (this.w & 16777215);
        this.f2149k.setTextColor(i3);
        this.m.setTextColor(i3);
    }

    public void setTextColor(int i2) {
        this.w = i2;
        this.f2150l.setTextColor(i2);
        int i3 = (this.v << 24) | (this.w & 16777215);
        this.f2149k.setTextColor(i3);
        this.m.setTextColor(i3);
    }

    public void setTextSpacing(int i2) {
        this.p = i2;
        requestLayout();
    }

    public PagerTitleStrip(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.n = -1;
        this.o = -1.0f;
        this.t = new a();
        TextView textView = new TextView(context);
        this.f2149k = textView;
        addView(textView);
        TextView textView2 = new TextView(context);
        this.f2150l = textView2;
        addView(textView2);
        TextView textView3 = new TextView(context);
        this.m = textView3;
        addView(textView3);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, f2146d);
        boolean z = false;
        int resourceId = obtainStyledAttributes.getResourceId(0, 0);
        if (resourceId != 0) {
            AppCompatDelegateImpl.e.x0(this.f2149k, resourceId);
            AppCompatDelegateImpl.e.x0(this.f2150l, resourceId);
            AppCompatDelegateImpl.e.x0(this.m, resourceId);
        }
        int dimensionPixelSize = obtainStyledAttributes.getDimensionPixelSize(1, 0);
        if (dimensionPixelSize != 0) {
            float f2 = (float) dimensionPixelSize;
            this.f2149k.setTextSize(0, f2);
            this.f2150l.setTextSize(0, f2);
            this.m.setTextSize(0, f2);
        }
        if (obtainStyledAttributes.hasValue(2)) {
            int color = obtainStyledAttributes.getColor(2, 0);
            this.f2149k.setTextColor(color);
            this.f2150l.setTextColor(color);
            this.m.setTextColor(color);
        }
        this.q = obtainStyledAttributes.getInteger(3, 80);
        obtainStyledAttributes.recycle();
        this.w = this.f2150l.getTextColors().getDefaultColor();
        setNonPrimaryAlpha(0.6f);
        this.f2149k.setEllipsize(TextUtils.TruncateAt.END);
        this.f2150l.setEllipsize(TextUtils.TruncateAt.END);
        this.m.setEllipsize(TextUtils.TruncateAt.END);
        if (resourceId != 0) {
            TypedArray obtainStyledAttributes2 = context.obtainStyledAttributes(resourceId, f2147h);
            z = obtainStyledAttributes2.getBoolean(0, false);
            obtainStyledAttributes2.recycle();
        }
        if (z) {
            setSingleLineAllCaps(this.f2149k);
            setSingleLineAllCaps(this.f2150l);
            setSingleLineAllCaps(this.m);
        } else {
            this.f2149k.setSingleLine();
            this.f2150l.setSingleLine();
            this.m.setSingleLine();
        }
        this.p = (int) (context.getResources().getDisplayMetrics().density * 16.0f);
    }
}
