package b.d.a;

import android.media.ImageReader;
import android.util.LongSparseArray;
import android.view.Surface;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.camera.core.ForwardingImageProxy;
import androidx.camera.core.ImageInfo;
import androidx.camera.core.ImageProxy;
import androidx.camera.core.impl.ImageReaderProxy;
import b.d.a.q2.m;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Objects;
import java.util.concurrent.Executor;

/* compiled from: MetadataImageReader */
public class f2 implements ImageReaderProxy, ForwardingImageProxy.OnImageCloseListener {

    /* renamed from: a  reason: collision with root package name */
    public final Object f2503a = new Object();

    /* renamed from: b  reason: collision with root package name */
    public m f2504b = new a(this);

    /* renamed from: c  reason: collision with root package name */
    public ImageReaderProxy.OnImageAvailableListener f2505c = new f0(this);

    /* renamed from: d  reason: collision with root package name */
    public boolean f2506d = false;

    /* renamed from: e  reason: collision with root package name */
    public final ImageReaderProxy f2507e;

    /* renamed from: f  reason: collision with root package name */
    public ImageReaderProxy.OnImageAvailableListener f2508f;

    /* renamed from: g  reason: collision with root package name */
    public Executor f2509g;

    /* renamed from: h  reason: collision with root package name */
    public final LongSparseArray<ImageInfo> f2510h = new LongSparseArray<>();

    /* renamed from: i  reason: collision with root package name */
    public final LongSparseArray<ImageProxy> f2511i = new LongSparseArray<>();

    /* renamed from: j  reason: collision with root package name */
    public int f2512j;

    /* renamed from: k  reason: collision with root package name */
    public final List<ImageProxy> f2513k;

    /* renamed from: l  reason: collision with root package name */
    public final List<ImageProxy> f2514l = new ArrayList();

    /* compiled from: MetadataImageReader */
    public class a extends m {
        public a(f2 f2Var) {
        }
    }

    public f2(int i2, int i3, int i4, int i5) {
        l1 l1Var = new l1(ImageReader.newInstance(i2, i3, i4, i5));
        this.f2507e = l1Var;
        this.f2512j = 0;
        this.f2513k = new ArrayList(getMaxImages());
    }

    public final void a(l2 l2Var) {
        ImageReaderProxy.OnImageAvailableListener onImageAvailableListener;
        Executor executor;
        synchronized (this.f2503a) {
            onImageAvailableListener = null;
            if (this.f2513k.size() < getMaxImages()) {
                l2Var.a(this);
                this.f2513k.add(l2Var);
                onImageAvailableListener = this.f2508f;
                executor = this.f2509g;
            } else {
                e2.a("TAG", "Maximum image number reached.");
                l2Var.close();
                executor = null;
            }
        }
        if (onImageAvailableListener == null) {
            return;
        }
        if (executor != null) {
            executor.execute(new g0(this, onImageAvailableListener));
        } else {
            onImageAvailableListener.onImageAvailable(this);
        }
    }

    @Override // androidx.camera.core.impl.ImageReaderProxy
    public ImageProxy acquireLatestImage() {
        synchronized (this.f2503a) {
            if (this.f2513k.isEmpty()) {
                return null;
            }
            if (this.f2512j < this.f2513k.size()) {
                ArrayList arrayList = new ArrayList();
                for (int i2 = 0; i2 < this.f2513k.size() - 1; i2++) {
                    if (!this.f2514l.contains(this.f2513k.get(i2))) {
                        arrayList.add(this.f2513k.get(i2));
                    }
                }
                Iterator it = arrayList.iterator();
                while (it.hasNext()) {
                    ((ImageProxy) it.next()).close();
                }
                int size = this.f2513k.size() - 1;
                this.f2512j = size;
                List<ImageProxy> list = this.f2513k;
                this.f2512j = size + 1;
                ImageProxy imageProxy = list.get(size);
                this.f2514l.add(imageProxy);
                return imageProxy;
            }
            throw new IllegalStateException("Maximum image number reached.");
        }
    }

    @Override // androidx.camera.core.impl.ImageReaderProxy
    public ImageProxy acquireNextImage() {
        synchronized (this.f2503a) {
            if (this.f2513k.isEmpty()) {
                return null;
            }
            if (this.f2512j < this.f2513k.size()) {
                List<ImageProxy> list = this.f2513k;
                int i2 = this.f2512j;
                this.f2512j = i2 + 1;
                ImageProxy imageProxy = list.get(i2);
                this.f2514l.add(imageProxy);
                return imageProxy;
            }
            throw new IllegalStateException("Maximum image number reached.");
        }
    }

    public final void b() {
        synchronized (this.f2503a) {
            int size = this.f2510h.size();
            while (true) {
                size--;
                if (size >= 0) {
                    ImageInfo valueAt = this.f2510h.valueAt(size);
                    long timestamp = valueAt.getTimestamp();
                    ImageProxy imageProxy = this.f2511i.get(timestamp);
                    if (imageProxy != null) {
                        this.f2511i.remove(timestamp);
                        this.f2510h.removeAt(size);
                        a(new l2(imageProxy, null, valueAt));
                    }
                } else {
                    c();
                }
            }
        }
    }

    public final void c() {
        synchronized (this.f2503a) {
            if (this.f2511i.size() != 0) {
                if (this.f2510h.size() != 0) {
                    boolean z = false;
                    Long valueOf = Long.valueOf(this.f2511i.keyAt(0));
                    Long valueOf2 = Long.valueOf(this.f2510h.keyAt(0));
                    if (!valueOf2.equals(valueOf)) {
                        z = true;
                    }
                    AppCompatDelegateImpl.e.g(z);
                    if (valueOf2.longValue() > valueOf.longValue()) {
                        for (int size = this.f2511i.size() - 1; size >= 0; size--) {
                            if (this.f2511i.keyAt(size) < valueOf2.longValue()) {
                                this.f2511i.valueAt(size).close();
                                this.f2511i.removeAt(size);
                            }
                        }
                    } else {
                        for (int size2 = this.f2510h.size() - 1; size2 >= 0; size2--) {
                            if (this.f2510h.keyAt(size2) < valueOf.longValue()) {
                                this.f2510h.removeAt(size2);
                            }
                        }
                    }
                }
            }
        }
    }

    @Override // androidx.camera.core.impl.ImageReaderProxy
    public void clearOnImageAvailableListener() {
        synchronized (this.f2503a) {
            this.f2508f = null;
            this.f2509g = null;
        }
    }

    @Override // androidx.camera.core.impl.ImageReaderProxy
    public void close() {
        synchronized (this.f2503a) {
            if (!this.f2506d) {
                Iterator it = new ArrayList(this.f2513k).iterator();
                while (it.hasNext()) {
                    ((ImageProxy) it.next()).close();
                }
                this.f2513k.clear();
                this.f2507e.close();
                this.f2506d = true;
            }
        }
    }

    @Override // androidx.camera.core.impl.ImageReaderProxy
    public int getHeight() {
        int height;
        synchronized (this.f2503a) {
            height = this.f2507e.getHeight();
        }
        return height;
    }

    @Override // androidx.camera.core.impl.ImageReaderProxy
    public int getImageFormat() {
        int imageFormat;
        synchronized (this.f2503a) {
            imageFormat = this.f2507e.getImageFormat();
        }
        return imageFormat;
    }

    @Override // androidx.camera.core.impl.ImageReaderProxy
    public int getMaxImages() {
        int maxImages;
        synchronized (this.f2503a) {
            maxImages = this.f2507e.getMaxImages();
        }
        return maxImages;
    }

    @Override // androidx.camera.core.impl.ImageReaderProxy
    public Surface getSurface() {
        Surface surface;
        synchronized (this.f2503a) {
            surface = this.f2507e.getSurface();
        }
        return surface;
    }

    @Override // androidx.camera.core.impl.ImageReaderProxy
    public int getWidth() {
        int width;
        synchronized (this.f2503a) {
            width = this.f2507e.getWidth();
        }
        return width;
    }

    @Override // androidx.camera.core.ForwardingImageProxy.OnImageCloseListener
    public void onImageClose(ImageProxy imageProxy) {
        synchronized (this.f2503a) {
            synchronized (this.f2503a) {
                int indexOf = this.f2513k.indexOf(imageProxy);
                if (indexOf >= 0) {
                    this.f2513k.remove(indexOf);
                    int i2 = this.f2512j;
                    if (indexOf <= i2) {
                        this.f2512j = i2 - 1;
                    }
                }
                this.f2514l.remove(imageProxy);
            }
        }
    }

    @Override // androidx.camera.core.impl.ImageReaderProxy
    public void setOnImageAvailableListener(ImageReaderProxy.OnImageAvailableListener onImageAvailableListener, Executor executor) {
        synchronized (this.f2503a) {
            Objects.requireNonNull(onImageAvailableListener);
            this.f2508f = onImageAvailableListener;
            Objects.requireNonNull(executor);
            this.f2509g = executor;
            this.f2507e.setOnImageAvailableListener(this.f2505c, executor);
        }
    }
}
