package b.d.a.q2.d0.i;

import android.os.Handler;
import android.os.Looper;
import android.os.SystemClock;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.concurrent.futures.CallbackToFutureAdapter$Resolver;
import androidx.concurrent.futures.ResolvableFuture;
import b.d.a.q2.d0.j.f;
import java.util.List;
import java.util.concurrent.AbstractExecutorService;
import java.util.concurrent.Callable;
import java.util.concurrent.Delayed;
import java.util.concurrent.Executor;
import java.util.concurrent.RejectedExecutionException;
import java.util.concurrent.RunnableScheduledFuture;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.ScheduledFuture;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicReference;

/* compiled from: HandlerScheduledExecutorService */
public final class b extends AbstractExecutorService implements ScheduledExecutorService {

    /* renamed from: d  reason: collision with root package name */
    public final Handler f2664d;

    /* compiled from: HandlerScheduledExecutorService */
    public class a extends ThreadLocal<ScheduledExecutorService> {
        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // java.lang.ThreadLocal
        public ScheduledExecutorService initialValue() {
            if (Looper.myLooper() == Looper.getMainLooper()) {
                return AppCompatDelegateImpl.e.a0();
            }
            if (Looper.myLooper() != null) {
                return new b(new Handler(Looper.myLooper()));
            }
            return null;
        }
    }

    /* renamed from: b.d.a.q2.d0.i.b$b  reason: collision with other inner class name */
    /* compiled from: HandlerScheduledExecutorService */
    public class CallableC0011b implements Callable<Void> {

        /* renamed from: d  reason: collision with root package name */
        public final /* synthetic */ Runnable f2665d;

        public CallableC0011b(b bVar, Runnable runnable) {
            this.f2665d = runnable;
        }

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // java.util.concurrent.Callable
        public Void call() {
            this.f2665d.run();
            return null;
        }
    }

    /* compiled from: HandlerScheduledExecutorService */
    public static class c<V> implements RunnableScheduledFuture<V> {

        /* renamed from: d  reason: collision with root package name */
        public final AtomicReference<b.g.a.a<V>> f2666d = new AtomicReference<>(null);

        /* renamed from: h  reason: collision with root package name */
        public final long f2667h;

        /* renamed from: j  reason: collision with root package name */
        public final Callable<V> f2668j;

        /* renamed from: k  reason: collision with root package name */
        public final d.h.b.a.a.a<V> f2669k;

        /* compiled from: HandlerScheduledExecutorService */
        public class a implements CallbackToFutureAdapter$Resolver<V> {

            /* renamed from: a  reason: collision with root package name */
            public final /* synthetic */ Handler f2670a;

            /* renamed from: b  reason: collision with root package name */
            public final /* synthetic */ Callable f2671b;

            /* renamed from: b.d.a.q2.d0.i.b$c$a$a  reason: collision with other inner class name */
            /* compiled from: HandlerScheduledExecutorService */
            public class RunnableC0012a implements Runnable {
                public RunnableC0012a() {
                }

                public void run() {
                    if (c.this.f2666d.getAndSet(null) != null) {
                        a aVar = a.this;
                        aVar.f2670a.removeCallbacks(c.this);
                    }
                }
            }

            public a(Handler handler, Callable callable) {
                this.f2670a = handler;
                this.f2671b = callable;
            }

            @Override // androidx.concurrent.futures.CallbackToFutureAdapter$Resolver
            public Object attachCompleter(b.g.a.a<V> aVar) {
                RunnableC0012a aVar2 = new RunnableC0012a();
                Executor B = AppCompatDelegateImpl.e.B();
                ResolvableFuture<Void> resolvableFuture = aVar.f2952c;
                if (resolvableFuture != null) {
                    resolvableFuture.a(aVar2, B);
                }
                c.this.f2666d.set(aVar);
                return "HandlerScheduledFuture-" + this.f2671b.toString();
            }
        }

        public c(Handler handler, long j2, Callable<V> callable) {
            this.f2667h = j2;
            this.f2668j = callable;
            this.f2669k = AppCompatDelegateImpl.e.H(new a(handler, callable));
        }

        public boolean cancel(boolean z) {
            return this.f2669k.cancel(z);
        }

        @Override // java.lang.Comparable
        public int compareTo(Object obj) {
            TimeUnit timeUnit = TimeUnit.MILLISECONDS;
            return Long.compare(getDelay(timeUnit), ((Delayed) obj).getDelay(timeUnit));
        }

        @Override // java.util.concurrent.Future
        public V get() {
            return this.f2669k.get();
        }

        public long getDelay(TimeUnit timeUnit) {
            return timeUnit.convert(this.f2667h - System.currentTimeMillis(), TimeUnit.MILLISECONDS);
        }

        public boolean isCancelled() {
            return this.f2669k.isCancelled();
        }

        public boolean isDone() {
            return this.f2669k.isDone();
        }

        public boolean isPeriodic() {
            return false;
        }

        public void run() {
            b.g.a.a<V> andSet = this.f2666d.getAndSet(null);
            if (andSet != null) {
                try {
                    andSet.a(this.f2668j.call());
                } catch (Exception e2) {
                    andSet.b(e2);
                }
            }
        }

        @Override // java.util.concurrent.Future
        public V get(long j2, TimeUnit timeUnit) {
            return this.f2669k.get(j2, timeUnit);
        }
    }

    static {
        new a();
    }

    public b(Handler handler) {
        this.f2664d = handler;
    }

    public final RejectedExecutionException a() {
        return new RejectedExecutionException(this.f2664d + " is shutting down");
    }

    @Override // java.util.concurrent.ExecutorService
    public boolean awaitTermination(long j2, TimeUnit timeUnit) {
        throw new UnsupportedOperationException(b.class.getSimpleName() + " cannot be shut down. Use Looper.quitSafely().");
    }

    public void execute(Runnable runnable) {
        if (!this.f2664d.post(runnable)) {
            throw a();
        }
    }

    public boolean isShutdown() {
        return false;
    }

    public boolean isTerminated() {
        return false;
    }

    @Override // java.util.concurrent.ScheduledExecutorService
    public ScheduledFuture<?> schedule(Runnable runnable, long j2, TimeUnit timeUnit) {
        return schedule(new CallableC0011b(this, runnable), j2, timeUnit);
    }

    @Override // java.util.concurrent.ScheduledExecutorService
    public ScheduledFuture<?> scheduleAtFixedRate(Runnable runnable, long j2, long j3, TimeUnit timeUnit) {
        throw new UnsupportedOperationException(b.class.getSimpleName() + " does not yet support fixed-rate scheduling.");
    }

    @Override // java.util.concurrent.ScheduledExecutorService
    public ScheduledFuture<?> scheduleWithFixedDelay(Runnable runnable, long j2, long j3, TimeUnit timeUnit) {
        throw new UnsupportedOperationException(b.class.getSimpleName() + " does not yet support fixed-delay scheduling.");
    }

    public void shutdown() {
        throw new UnsupportedOperationException(b.class.getSimpleName() + " cannot be shut down. Use Looper.quitSafely().");
    }

    @Override // java.util.concurrent.ExecutorService
    public List<Runnable> shutdownNow() {
        throw new UnsupportedOperationException(b.class.getSimpleName() + " cannot be shut down. Use Looper.quitSafely().");
    }

    @Override // java.util.concurrent.ScheduledExecutorService
    public <V> ScheduledFuture<V> schedule(Callable<V> callable, long j2, TimeUnit timeUnit) {
        long convert = TimeUnit.MILLISECONDS.convert(j2, timeUnit) + SystemClock.uptimeMillis();
        c cVar = new c(this.f2664d, convert, callable);
        if (this.f2664d.postAtTime(cVar, convert)) {
            return cVar;
        }
        return new f.b(a());
    }
}
