package b.d.c;

import android.annotation.TargetApi;
import android.graphics.Bitmap;
import android.util.Size;
import android.view.PixelCopy;
import android.view.Surface;
import android.view.SurfaceHolder;
import android.view.SurfaceView;
import android.view.View;
import android.widget.FrameLayout;
import androidx.camera.core.SurfaceRequest;
import androidx.camera.core.impl.DeferrableSurface;
import androidx.camera.view.PreviewViewImplementation;
import androidx.concurrent.futures.ResolvableFuture;
import b.d.a.e2;
import b.d.a.q2.d0.j.e;
import java.util.Objects;
import java.util.concurrent.Executor;

/* compiled from: SurfaceViewImplementation */
public final class d0 extends PreviewViewImplementation {

    /* renamed from: d  reason: collision with root package name */
    public SurfaceView f2814d;

    /* renamed from: e  reason: collision with root package name */
    public final a f2815e = new a();

    /* renamed from: f  reason: collision with root package name */
    public PreviewViewImplementation.OnSurfaceNotInUseListener f2816f;

    /* compiled from: SurfaceViewImplementation */
    public class a implements SurfaceHolder.Callback {

        /* renamed from: d  reason: collision with root package name */
        public Size f2817d;

        /* renamed from: h  reason: collision with root package name */
        public SurfaceRequest f2818h;

        /* renamed from: j  reason: collision with root package name */
        public Size f2819j;

        /* renamed from: k  reason: collision with root package name */
        public boolean f2820k = false;

        public a() {
        }

        public final void a() {
            if (this.f2818h != null) {
                StringBuilder B = d.a.a.a.a.B("Request canceled: ");
                B.append(this.f2818h);
                e2.a("SurfaceViewImpl", B.toString());
                this.f2818h.f591e.b(new DeferrableSurface.SurfaceUnavailableException("Surface request will not complete."));
            }
        }

        public final boolean b() {
            Size size;
            Surface surface = d0.this.f2814d.getHolder().getSurface();
            if (!(!this.f2820k && this.f2818h != null && (size = this.f2817d) != null && size.equals(this.f2819j))) {
                return false;
            }
            e2.a("SurfaceViewImpl", "Surface set on Preview.");
            this.f2818h.a(surface, b.j.b.a.c(d0.this.f2814d.getContext()), new n(this));
            this.f2820k = true;
            d0.this.f();
            return true;
        }

        public void surfaceChanged(SurfaceHolder surfaceHolder, int i2, int i3, int i4) {
            e2.a("SurfaceViewImpl", "Surface changed. Size: " + i3 + "x" + i4);
            this.f2819j = new Size(i3, i4);
            b();
        }

        public void surfaceCreated(SurfaceHolder surfaceHolder) {
            e2.a("SurfaceViewImpl", "Surface created.");
        }

        public void surfaceDestroyed(SurfaceHolder surfaceHolder) {
            e2.a("SurfaceViewImpl", "Surface destroyed.");
            if (!this.f2820k) {
                a();
            } else if (this.f2818h != null) {
                StringBuilder B = d.a.a.a.a.B("Surface invalidated ");
                B.append(this.f2818h);
                e2.a("SurfaceViewImpl", B.toString());
                this.f2818h.f594h.a();
            }
            this.f2820k = false;
            this.f2818h = null;
            this.f2819j = null;
            this.f2817d = null;
        }
    }

    public d0(FrameLayout frameLayout, a0 a0Var) {
        super(frameLayout, a0Var);
    }

    @Override // androidx.camera.view.PreviewViewImplementation
    public View a() {
        return this.f2814d;
    }

    @Override // androidx.camera.view.PreviewViewImplementation
    @TargetApi(24)
    public Bitmap b() {
        SurfaceView surfaceView = this.f2814d;
        if (surfaceView == null || surfaceView.getHolder().getSurface() == null || !this.f2814d.getHolder().getSurface().isValid()) {
            return null;
        }
        Bitmap createBitmap = Bitmap.createBitmap(this.f2814d.getWidth(), this.f2814d.getHeight(), Bitmap.Config.ARGB_8888);
        SurfaceView surfaceView2 = this.f2814d;
        PixelCopy.request(surfaceView2, createBitmap, m.f2853a, surfaceView2.getHandler());
        return createBitmap;
    }

    @Override // androidx.camera.view.PreviewViewImplementation
    public void c() {
    }

    @Override // androidx.camera.view.PreviewViewImplementation
    public void d() {
    }

    @Override // androidx.camera.view.PreviewViewImplementation
    public void e(SurfaceRequest surfaceRequest, PreviewViewImplementation.OnSurfaceNotInUseListener onSurfaceNotInUseListener) {
        this.f794a = surfaceRequest.f587a;
        this.f2816f = onSurfaceNotInUseListener;
        Objects.requireNonNull(this.f795b);
        Objects.requireNonNull(this.f794a);
        SurfaceView surfaceView = new SurfaceView(this.f795b.getContext());
        this.f2814d = surfaceView;
        surfaceView.setLayoutParams(new FrameLayout.LayoutParams(this.f794a.getWidth(), this.f794a.getHeight()));
        this.f795b.removeAllViews();
        this.f795b.addView(this.f2814d);
        this.f2814d.getHolder().addCallback(this.f2815e);
        Executor c2 = b.j.b.a.c(this.f2814d.getContext());
        s sVar = new s(this);
        ResolvableFuture<Void> resolvableFuture = surfaceRequest.f593g.f2952c;
        if (resolvableFuture != null) {
            resolvableFuture.a(sVar, c2);
        }
        this.f2814d.post(new l(this, surfaceRequest));
    }

    @Override // androidx.camera.view.PreviewViewImplementation
    public d.h.b.a.a.a<Void> g() {
        return e.d(null);
    }
}
