package b.d.c;

import android.annotation.SuppressLint;
import android.content.Context;
import android.hardware.display.DisplayManager;
import android.os.Handler;
import android.os.Looper;
import android.view.Display;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.camera.core.Camera;
import androidx.camera.core.CameraInfoUnavailableException;
import androidx.camera.core.ImageAnalysis;
import androidx.camera.core.ImageCapture;
import androidx.camera.core.Preview;
import androidx.camera.core.VideoCapture;
import androidx.camera.core.ZoomState;
import androidx.camera.lifecycle.ProcessCameraProvider;
import b.d.a.e2;
import b.d.a.p2;
import b.d.a.q1;
import b.d.a.q2.d0.j.c;
import b.d.a.q2.d0.j.d;
import java.util.Objects;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.atomic.AtomicBoolean;

/* compiled from: CameraController */
public abstract class u {

    /* renamed from: a  reason: collision with root package name */
    public q1 f2866a = q1.f2626b;

    /* renamed from: b  reason: collision with root package name */
    public int f2867b = 3;

    /* renamed from: c  reason: collision with root package name */
    public final Preview f2868c;

    /* renamed from: d  reason: collision with root package name */
    public final ImageCapture f2869d;

    /* renamed from: e  reason: collision with root package name */
    public ImageAnalysis f2870e;

    /* renamed from: f  reason: collision with root package name */
    public final VideoCapture f2871f;

    /* renamed from: g  reason: collision with root package name */
    public final AtomicBoolean f2872g = new AtomicBoolean(false);

    /* renamed from: h  reason: collision with root package name */
    public Camera f2873h;

    /* renamed from: i  reason: collision with root package name */
    public ProcessCameraProvider f2874i;

    /* renamed from: j  reason: collision with root package name */
    public p2 f2875j;

    /* renamed from: k  reason: collision with root package name */
    public Preview.SurfaceProvider f2876k;

    /* renamed from: l  reason: collision with root package name */
    public Display f2877l;
    public final c0 m;
    public final b n;
    public boolean o = true;
    public boolean p = true;
    public final w<ZoomState> q = new w<>();
    public final w<Integer> r = new w<>();
    public final Context s;

    /* compiled from: CameraController */
    public class a extends c0 {
        public a(Context context) {
            super(context);
        }
    }

    /* compiled from: CameraController */
    public class b implements DisplayManager.DisplayListener {
        public b() {
        }

        public void onDisplayAdded(int i2) {
        }

        @SuppressLint({"WrongConstant"})
        public void onDisplayChanged(int i2) {
            Display display = u.this.f2877l;
            if (display != null && display.getDisplayId() == i2) {
                u uVar = u.this;
                Preview preview = uVar.f2868c;
                if (preview.u(uVar.f2877l.getRotation())) {
                    preview.y();
                }
            }
        }

        public void onDisplayRemoved(int i2) {
        }
    }

    public u(Context context) {
        Context applicationContext = context.getApplicationContext();
        this.s = applicationContext;
        this.f2868c = new Preview.Builder().build();
        this.f2869d = new ImageCapture.Builder().build();
        this.f2870e = new ImageAnalysis.Builder().build();
        this.f2871f = new VideoCapture.Builder().build();
        d.h.b.a.a.a<ProcessCameraProvider> c2 = ProcessCameraProvider.c(applicationContext);
        c cVar = new c(this);
        ScheduledExecutorService a0 = AppCompatDelegateImpl.e.a0();
        ((c) c2).f2686d.a(new b.d.a.q2.d0.j.b(new d(cVar), c2), a0);
        this.n = new b();
        this.m = new a(applicationContext);
    }

    @SuppressLint({"MissingPermission", "WrongConstant"})
    public void a(Preview.SurfaceProvider surfaceProvider, p2 p2Var, Display display) {
        AppCompatDelegateImpl.e.k();
        if (this.f2876k != surfaceProvider) {
            this.f2876k = surfaceProvider;
            this.f2868c.z(surfaceProvider);
        }
        this.f2875j = p2Var;
        this.f2877l = display;
        ((DisplayManager) this.s.getSystemService("display")).registerDisplayListener(this.n, new Handler(Looper.getMainLooper()));
        if (this.m.canDetectOrientation()) {
            this.m.enable();
        }
        m(null);
    }

    public void b() {
        AppCompatDelegateImpl.e.k();
        ProcessCameraProvider processCameraProvider = this.f2874i;
        if (processCameraProvider != null) {
            processCameraProvider.unbindAll();
        }
        this.f2868c.z(null);
        this.f2873h = null;
        this.f2876k = null;
        this.f2875j = null;
        this.f2877l = null;
        ((DisplayManager) this.s.getSystemService("display")).unregisterDisplayListener(this.n);
        this.m.disable();
    }

    public boolean c(q1 q1Var) {
        AppCompatDelegateImpl.e.k();
        Objects.requireNonNull(q1Var);
        ProcessCameraProvider processCameraProvider = this.f2874i;
        if (processCameraProvider != null) {
            try {
                q1Var.c(processCameraProvider.f764c.f524e.a());
                return true;
            } catch (IllegalArgumentException unused) {
                return false;
            } catch (CameraInfoUnavailableException e2) {
                e2.f("CameraController", "Failed to check camera availability", e2);
                return false;
            }
        } else {
            throw new IllegalStateException("Camera not initialized. Please wait for the initialization future to finish. See #getInitializationFuture().");
        }
    }

    public final boolean d() {
        return this.f2873h != null;
    }

    public final boolean e() {
        return this.f2874i != null;
    }

    public boolean f() {
        AppCompatDelegateImpl.e.k();
        return g(1);
    }

    public final boolean g(int i2) {
        return (i2 & this.f2867b) != 0;
    }

    public boolean h() {
        AppCompatDelegateImpl.e.k();
        return g(4);
    }

    public void i(q1 q1Var) {
        AppCompatDelegateImpl.e.k();
        q1 q1Var2 = this.f2866a;
        if (q1Var2 != q1Var) {
            this.f2866a = q1Var;
            ProcessCameraProvider processCameraProvider = this.f2874i;
            if (processCameraProvider != null) {
                processCameraProvider.unbindAll();
                m(new d(this, q1Var2));
            }
        }
    }

    public void j(int i2) {
        AppCompatDelegateImpl.e.k();
        int i3 = this.f2867b;
        if (i2 != i3) {
            this.f2867b = i2;
            if (!h()) {
                n();
            }
            m(new b(this, i3));
        }
    }

    public void k(int i2) {
        AppCompatDelegateImpl.e.k();
        this.f2869d.C(i2);
    }

    public abstract Camera l();

    public void m(Runnable runnable) {
        try {
            this.f2873h = l();
            if (!d()) {
                e2.a("CameraController", "Use cases not attached to camera.");
                return;
            }
            this.q.l(this.f2873h.getCameraInfo().getZoomState());
            this.r.l(this.f2873h.getCameraInfo().getTorchState());
        } catch (IllegalArgumentException e2) {
            if (runnable != null) {
                runnable.run();
            }
            throw new IllegalStateException("The selected camera does not support the enabled use cases. Please disable use case and/or select a different camera. e.g. #setVideoCaptureEnabled(false)", e2);
        }
    }

    public void n() {
        AppCompatDelegateImpl.e.k();
        if (this.f2872g.get()) {
            this.f2871f.B();
        }
    }
}
