package b.j.c.g;

import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.Region;
import android.graphics.drawable.Drawable;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.core.graphics.drawable.TintAwareDrawable;
import androidx.core.graphics.drawable.WrappedDrawable;

/* compiled from: WrappedDrawableApi14 */
public class c extends Drawable implements Drawable.Callback, WrappedDrawable, TintAwareDrawable {

    /* renamed from: d  reason: collision with root package name */
    public static final PorterDuff.Mode f3316d = PorterDuff.Mode.SRC_IN;

    /* renamed from: h  reason: collision with root package name */
    public int f3317h;

    /* renamed from: j  reason: collision with root package name */
    public PorterDuff.Mode f3318j;

    /* renamed from: k  reason: collision with root package name */
    public boolean f3319k;

    /* renamed from: l  reason: collision with root package name */
    public e f3320l;
    public boolean m;
    public Drawable n;

    public c(e eVar, Resources resources) {
        Drawable.ConstantState constantState;
        this.f3320l = eVar;
        if (eVar != null && (constantState = eVar.f3322b) != null) {
            setWrappedDrawable(constantState.newDrawable(resources));
        }
    }

    public final boolean a(int[] iArr) {
        if (!(!(this instanceof d))) {
            return false;
        }
        e eVar = this.f3320l;
        ColorStateList colorStateList = eVar.f3323c;
        PorterDuff.Mode mode = eVar.f3324d;
        if (colorStateList == null || mode == null) {
            this.f3319k = false;
            clearColorFilter();
        } else {
            int colorForState = colorStateList.getColorForState(iArr, colorStateList.getDefaultColor());
            if (!(this.f3319k && colorForState == this.f3317h && mode == this.f3318j)) {
                setColorFilter(colorForState, mode);
                this.f3317h = colorForState;
                this.f3318j = mode;
                this.f3319k = true;
                return true;
            }
        }
        return false;
    }

    public void draw(Canvas canvas) {
        this.n.draw(canvas);
    }

    public int getChangingConfigurations() {
        int changingConfigurations = super.getChangingConfigurations();
        e eVar = this.f3320l;
        return changingConfigurations | (eVar != null ? eVar.getChangingConfigurations() : 0) | this.n.getChangingConfigurations();
    }

    public Drawable.ConstantState getConstantState() {
        e eVar = this.f3320l;
        if (eVar == null) {
            return null;
        }
        if (!(eVar.f3322b != null)) {
            return null;
        }
        eVar.f3321a = getChangingConfigurations();
        return this.f3320l;
    }

    public Drawable getCurrent() {
        return this.n.getCurrent();
    }

    public int getIntrinsicHeight() {
        return this.n.getIntrinsicHeight();
    }

    public int getIntrinsicWidth() {
        return this.n.getIntrinsicWidth();
    }

    public int getLayoutDirection() {
        return AppCompatDelegateImpl.e.I(this.n);
    }

    public int getMinimumHeight() {
        return this.n.getMinimumHeight();
    }

    public int getMinimumWidth() {
        return this.n.getMinimumWidth();
    }

    public int getOpacity() {
        return this.n.getOpacity();
    }

    public boolean getPadding(Rect rect) {
        return this.n.getPadding(rect);
    }

    public int[] getState() {
        return this.n.getState();
    }

    public Region getTransparentRegion() {
        return this.n.getTransparentRegion();
    }

    @Override // androidx.core.graphics.drawable.WrappedDrawable
    public final Drawable getWrappedDrawable() {
        return this.n;
    }

    public void invalidateDrawable(Drawable drawable) {
        invalidateSelf();
    }

    public boolean isAutoMirrored() {
        return this.n.isAutoMirrored();
    }

    public boolean isStateful() {
        e eVar;
        ColorStateList colorStateList = (!((this instanceof d) ^ true) || (eVar = this.f3320l) == null) ? null : eVar.f3323c;
        if ((colorStateList == null || !colorStateList.isStateful()) && !this.n.isStateful()) {
            return false;
        }
        return true;
    }

    public void jumpToCurrentState() {
        this.n.jumpToCurrentState();
    }

    public Drawable mutate() {
        if (!this.m && super.mutate() == this) {
            this.f3320l = new e(this.f3320l);
            Drawable drawable = this.n;
            if (drawable != null) {
                drawable.mutate();
            }
            e eVar = this.f3320l;
            if (eVar != null) {
                Drawable drawable2 = this.n;
                eVar.f3322b = drawable2 != null ? drawable2.getConstantState() : null;
            }
            this.m = true;
        }
        return this;
    }

    public void onBoundsChange(Rect rect) {
        Drawable drawable = this.n;
        if (drawable != null) {
            drawable.setBounds(rect);
        }
    }

    public boolean onLayoutDirectionChanged(int i2) {
        return AppCompatDelegateImpl.e.s0(this.n, i2);
    }

    public boolean onLevelChange(int i2) {
        return this.n.setLevel(i2);
    }

    public void scheduleDrawable(Drawable drawable, Runnable runnable, long j2) {
        scheduleSelf(runnable, j2);
    }

    public void setAlpha(int i2) {
        this.n.setAlpha(i2);
    }

    public void setAutoMirrored(boolean z) {
        this.n.setAutoMirrored(z);
    }

    public void setChangingConfigurations(int i2) {
        this.n.setChangingConfigurations(i2);
    }

    public void setColorFilter(ColorFilter colorFilter) {
        this.n.setColorFilter(colorFilter);
    }

    public void setDither(boolean z) {
        this.n.setDither(z);
    }

    public void setFilterBitmap(boolean z) {
        this.n.setFilterBitmap(z);
    }

    public boolean setState(int[] iArr) {
        return a(iArr) || this.n.setState(iArr);
    }

    public boolean setVisible(boolean z, boolean z2) {
        return super.setVisible(z, z2) || this.n.setVisible(z, z2);
    }

    @Override // androidx.core.graphics.drawable.WrappedDrawable
    public final void setWrappedDrawable(Drawable drawable) {
        Drawable drawable2 = this.n;
        if (drawable2 != null) {
            drawable2.setCallback(null);
        }
        this.n = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
            setVisible(drawable.isVisible(), true);
            setState(drawable.getState());
            setLevel(drawable.getLevel());
            setBounds(drawable.getBounds());
            e eVar = this.f3320l;
            if (eVar != null) {
                eVar.f3322b = drawable.getConstantState();
            }
        }
        invalidateSelf();
    }

    public void unscheduleDrawable(Drawable drawable, Runnable runnable) {
        unscheduleSelf(runnable);
    }

    public c(Drawable drawable) {
        this.f3320l = new e(this.f3320l);
        setWrappedDrawable(drawable);
    }
}
