package b.j.h;

import android.os.Build;
import android.os.Bundle;
import android.text.Spanned;
import android.text.style.ClickableSpan;
import android.util.Log;
import android.util.SparseArray;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.view.accessibility.AccessibilityNodeProvider;
import androidx.core.R$id;
import androidx.core.view.ViewCompat;
import androidx.core.view.accessibility.AccessibilityViewCommand;
import b.j.h.p.b;
import b.j.h.p.c;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;

/* compiled from: AccessibilityDelegateCompat */
public class a {

    /* renamed from: a  reason: collision with root package name */
    public static final View.AccessibilityDelegate f3390a = new View.AccessibilityDelegate();

    /* renamed from: b  reason: collision with root package name */
    public final View.AccessibilityDelegate f3391b;

    /* renamed from: c  reason: collision with root package name */
    public final View.AccessibilityDelegate f3392c;

    /* renamed from: b.j.h.a$a  reason: collision with other inner class name */
    /* compiled from: AccessibilityDelegateCompat */
    public static final class C0022a extends View.AccessibilityDelegate {

        /* renamed from: a  reason: collision with root package name */
        public final a f3393a;

        public C0022a(a aVar) {
            this.f3393a = aVar;
        }

        public boolean dispatchPopulateAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
            return this.f3393a.a(view, accessibilityEvent);
        }

        public AccessibilityNodeProvider getAccessibilityNodeProvider(View view) {
            c b2 = this.f3393a.b(view);
            if (b2 != null) {
                return (AccessibilityNodeProvider) b2.f3470a;
            }
            return null;
        }

        public void onInitializeAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
            this.f3393a.c(view, accessibilityEvent);
        }

        public void onInitializeAccessibilityNodeInfo(View view, AccessibilityNodeInfo accessibilityNodeInfo) {
            boolean z;
            boolean z2;
            int i2;
            b bVar = new b(accessibilityNodeInfo);
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            Boolean bool = (Boolean) new h(R$id.tag_screen_reader_focusable, Boolean.class, 28).d(view);
            if (bool == null) {
                z = false;
            } else {
                z = bool.booleanValue();
            }
            int i3 = Build.VERSION.SDK_INT;
            if (i3 >= 28) {
                accessibilityNodeInfo.setScreenReaderFocusable(z);
            } else {
                bVar.r(1, z);
            }
            Boolean bool2 = (Boolean) new k(R$id.tag_accessibility_heading, Boolean.class, 28).d(view);
            if (bool2 == null) {
                z2 = false;
            } else {
                z2 = bool2.booleanValue();
            }
            if (i3 >= 28) {
                accessibilityNodeInfo.setHeading(z2);
            } else {
                bVar.r(2, z2);
            }
            CharSequence i4 = ViewCompat.i(view);
            if (i3 >= 28) {
                accessibilityNodeInfo.setPaneTitle(i4);
            } else {
                accessibilityNodeInfo.getExtras().putCharSequence("androidx.view.accessibility.AccessibilityNodeInfoCompat.PANE_TITLE_KEY", i4);
            }
            bVar.w((CharSequence) new j(R$id.tag_state_description, CharSequence.class, 64, 30).d(view));
            this.f3393a.d(view, bVar);
            CharSequence text = accessibilityNodeInfo.getText();
            if (i3 < 26) {
                accessibilityNodeInfo.getExtras().remove("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_START_KEY");
                accessibilityNodeInfo.getExtras().remove("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_END_KEY");
                accessibilityNodeInfo.getExtras().remove("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_FLAGS_KEY");
                accessibilityNodeInfo.getExtras().remove("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_ID_KEY");
                SparseArray sparseArray = (SparseArray) view.getTag(R$id.tag_accessibility_clickable_spans);
                if (sparseArray != null) {
                    ArrayList arrayList = new ArrayList();
                    for (int i5 = 0; i5 < sparseArray.size(); i5++) {
                        if (((WeakReference) sparseArray.valueAt(i5)).get() == null) {
                            arrayList.add(Integer.valueOf(i5));
                        }
                    }
                    for (int i6 = 0; i6 < arrayList.size(); i6++) {
                        sparseArray.remove(((Integer) arrayList.get(i6)).intValue());
                    }
                }
                ClickableSpan[] f2 = b.f(text);
                if (f2 != null && f2.length > 0) {
                    bVar.h().putInt("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_ACTION_ID_KEY", R$id.accessibility_action_clickable_span);
                    int i7 = R$id.tag_accessibility_clickable_spans;
                    SparseArray sparseArray2 = (SparseArray) view.getTag(i7);
                    if (sparseArray2 == null) {
                        sparseArray2 = new SparseArray();
                        view.setTag(i7, sparseArray2);
                    }
                    for (int i8 = 0; i8 < f2.length; i8++) {
                        ClickableSpan clickableSpan = f2[i8];
                        int i9 = 0;
                        while (true) {
                            if (i9 >= sparseArray2.size()) {
                                i2 = b.f3452a;
                                b.f3452a = i2 + 1;
                                break;
                            } else if (clickableSpan.equals((ClickableSpan) ((WeakReference) sparseArray2.valueAt(i9)).get())) {
                                i2 = sparseArray2.keyAt(i9);
                                break;
                            } else {
                                i9++;
                            }
                        }
                        sparseArray2.put(i2, new WeakReference(f2[i8]));
                        ClickableSpan clickableSpan2 = f2[i8];
                        Spanned spanned = (Spanned) text;
                        bVar.b("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_START_KEY").add(Integer.valueOf(spanned.getSpanStart(clickableSpan2)));
                        bVar.b("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_END_KEY").add(Integer.valueOf(spanned.getSpanEnd(clickableSpan2)));
                        bVar.b("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_FLAGS_KEY").add(Integer.valueOf(spanned.getSpanFlags(clickableSpan2)));
                        bVar.b("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_ID_KEY").add(Integer.valueOf(i2));
                    }
                }
            }
            List list = (List) view.getTag(R$id.tag_accessibility_actions);
            if (list == null) {
                list = Collections.emptyList();
            }
            for (int i10 = 0; i10 < list.size(); i10++) {
                bVar.a((b.a) list.get(i10));
            }
        }

        public void onPopulateAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
            this.f3393a.e(view, accessibilityEvent);
        }

        public boolean onRequestSendAccessibilityEvent(ViewGroup viewGroup, View view, AccessibilityEvent accessibilityEvent) {
            return this.f3393a.f(viewGroup, view, accessibilityEvent);
        }

        public boolean performAccessibilityAction(View view, int i2, Bundle bundle) {
            return this.f3393a.g(view, i2, bundle);
        }

        public void sendAccessibilityEvent(View view, int i2) {
            this.f3393a.h(view, i2);
        }

        public void sendAccessibilityEventUnchecked(View view, AccessibilityEvent accessibilityEvent) {
            this.f3393a.i(view, accessibilityEvent);
        }
    }

    public a() {
        this.f3391b = f3390a;
        this.f3392c = new C0022a(this);
    }

    public boolean a(View view, AccessibilityEvent accessibilityEvent) {
        return this.f3391b.dispatchPopulateAccessibilityEvent(view, accessibilityEvent);
    }

    public c b(View view) {
        AccessibilityNodeProvider accessibilityNodeProvider = this.f3391b.getAccessibilityNodeProvider(view);
        if (accessibilityNodeProvider != null) {
            return new c(accessibilityNodeProvider);
        }
        return null;
    }

    public void c(View view, AccessibilityEvent accessibilityEvent) {
        this.f3391b.onInitializeAccessibilityEvent(view, accessibilityEvent);
    }

    public void d(View view, b bVar) {
        this.f3391b.onInitializeAccessibilityNodeInfo(view, bVar.f3453b);
    }

    public void e(View view, AccessibilityEvent accessibilityEvent) {
        this.f3391b.onPopulateAccessibilityEvent(view, accessibilityEvent);
    }

    public boolean f(ViewGroup viewGroup, View view, AccessibilityEvent accessibilityEvent) {
        return this.f3391b.onRequestSendAccessibilityEvent(viewGroup, view, accessibilityEvent);
    }

    /* JADX WARNING: Removed duplicated region for block: B:29:0x0072  */
    public boolean g(View view, int i2, Bundle bundle) {
        boolean z;
        WeakReference weakReference;
        boolean z2;
        AccessibilityViewCommand.a aVar;
        Exception e2;
        String str;
        List list = (List) view.getTag(R$id.tag_accessibility_actions);
        if (list == null) {
            list = Collections.emptyList();
        }
        boolean z3 = false;
        int i3 = 0;
        while (true) {
            if (i3 >= list.size()) {
                break;
            }
            b.a aVar2 = (b.a) list.get(i3);
            if (aVar2.a() != i2) {
                i3++;
            } else if (aVar2.o != null) {
                AccessibilityViewCommand.a aVar3 = null;
                Class<? extends AccessibilityViewCommand.a> cls = aVar2.n;
                if (cls != null) {
                    try {
                        aVar = (AccessibilityViewCommand.a) cls.getDeclaredConstructor(new Class[0]).newInstance(new Object[0]);
                        try {
                            Objects.requireNonNull(aVar);
                        } catch (Exception e3) {
                            e2 = e3;
                        }
                    } catch (Exception e4) {
                        aVar = null;
                        e2 = e4;
                        Class<? extends AccessibilityViewCommand.a> cls2 = aVar2.n;
                        if (cls2 == null) {
                            str = "null";
                        } else {
                            str = cls2.getName();
                        }
                        Log.e("A11yActionCompat", "Failed to execute command with argument class ViewCommandArgument: " + str, e2);
                        aVar3 = aVar;
                        z = aVar2.o.perform(view, aVar3);
                        if (!z) {
                        }
                        return z ? z : z;
                    }
                    aVar3 = aVar;
                }
                z = aVar2.o.perform(view, aVar3);
            }
        }
        z = false;
        if (!z) {
            z = this.f3391b.performAccessibilityAction(view, i2, bundle);
        }
        if (z && i2 == R$id.accessibility_action_clickable_span) {
            int i4 = bundle.getInt("ACCESSIBILITY_CLICKABLE_SPAN_ID", -1);
            SparseArray sparseArray = (SparseArray) view.getTag(R$id.tag_accessibility_clickable_spans);
            if (!(sparseArray == null || (weakReference = (WeakReference) sparseArray.get(i4)) == null)) {
                ClickableSpan clickableSpan = (ClickableSpan) weakReference.get();
                if (clickableSpan != null) {
                    ClickableSpan[] f2 = b.f(view.createAccessibilityNodeInfo().getText());
                    int i5 = 0;
                    while (true) {
                        if (f2 == null || i5 >= f2.length) {
                            break;
                        } else if (clickableSpan.equals(f2[i5])) {
                            z2 = true;
                            break;
                        } else {
                            i5++;
                        }
                    }
                }
                z2 = false;
                if (z2) {
                    clickableSpan.onClick(view);
                    z3 = true;
                }
            }
            return z3;
        }
    }

    public void h(View view, int i2) {
        this.f3391b.sendAccessibilityEvent(view, i2);
    }

    public void i(View view, AccessibilityEvent accessibilityEvent) {
        this.f3391b.sendAccessibilityEventUnchecked(view, accessibilityEvent);
    }

    public a(View.AccessibilityDelegate accessibilityDelegate) {
        this.f3391b = accessibilityDelegate;
        this.f3392c = new C0022a(this);
    }
}
