package b.q;

import androidx.lifecycle.Lifecycle;
import androidx.lifecycle.LifecycleOwner;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;

/* compiled from: ClassesInfoCache */
public final class a {

    /* renamed from: a  reason: collision with root package name */
    public static a f3719a = new a();

    /* renamed from: b  reason: collision with root package name */
    public final Map<Class<?>, C0031a> f3720b = new HashMap();

    /* renamed from: c  reason: collision with root package name */
    public final Map<Class<?>, Boolean> f3721c = new HashMap();

    /* renamed from: b.q.a$a  reason: collision with other inner class name */
    /* compiled from: ClassesInfoCache */
    public static class C0031a {

        /* renamed from: a  reason: collision with root package name */
        public final Map<Lifecycle.Event, List<b>> f3722a = new HashMap();

        /* renamed from: b  reason: collision with root package name */
        public final Map<b, Lifecycle.Event> f3723b;

        public C0031a(Map<b, Lifecycle.Event> map) {
            this.f3723b = map;
            for (Map.Entry<b, Lifecycle.Event> entry : map.entrySet()) {
                Lifecycle.Event value = entry.getValue();
                List<b> list = this.f3722a.get(value);
                if (list == null) {
                    list = new ArrayList<>();
                    this.f3722a.put(value, list);
                }
                list.add(entry.getKey());
            }
        }

        public static void a(List<b> list, LifecycleOwner lifecycleOwner, Lifecycle.Event event, Object obj) {
            if (list != null) {
                for (int size = list.size() - 1; size >= 0; size--) {
                    b bVar = list.get(size);
                    Objects.requireNonNull(bVar);
                    try {
                        int i2 = bVar.f3724a;
                        if (i2 == 0) {
                            bVar.f3725b.invoke(obj, new Object[0]);
                        } else if (i2 == 1) {
                            bVar.f3725b.invoke(obj, lifecycleOwner);
                        } else if (i2 == 2) {
                            bVar.f3725b.invoke(obj, lifecycleOwner, event);
                        }
                    } catch (InvocationTargetException e2) {
                        throw new RuntimeException("Failed to call observer method", e2.getCause());
                    } catch (IllegalAccessException e3) {
                        throw new RuntimeException(e3);
                    }
                }
            }
        }
    }

    /* compiled from: ClassesInfoCache */
    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        public final int f3724a;

        /* renamed from: b  reason: collision with root package name */
        public final Method f3725b;

        public b(int i2, Method method) {
            this.f3724a = i2;
            this.f3725b = method;
            method.setAccessible(true);
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (!(obj instanceof b)) {
                return false;
            }
            b bVar = (b) obj;
            if (this.f3724a != bVar.f3724a || !this.f3725b.getName().equals(bVar.f3725b.getName())) {
                return false;
            }
            return true;
        }

        public int hashCode() {
            return this.f3725b.getName().hashCode() + (this.f3724a * 31);
        }
    }

    public final C0031a a(Class<?> cls, Method[] methodArr) {
        int i2;
        C0031a b2;
        Class<?> superclass = cls.getSuperclass();
        HashMap hashMap = new HashMap();
        if (!(superclass == null || (b2 = b(superclass)) == null)) {
            hashMap.putAll(b2.f3723b);
        }
        for (Class<?> cls2 : cls.getInterfaces()) {
            for (Map.Entry<b, Lifecycle.Event> entry : b(cls2).f3723b.entrySet()) {
                c(hashMap, entry.getKey(), entry.getValue(), cls);
            }
        }
        if (methodArr == null) {
            try {
                methodArr = cls.getDeclaredMethods();
            } catch (NoClassDefFoundError e2) {
                throw new IllegalArgumentException("The observer class has some methods that use newer APIs which are not available in the current OS version. Lifecycles cannot access even other methods so you should make sure that your observer classes only access framework classes that are available in your min API level OR use lifecycle:compiler annotation processor.", e2);
            }
        }
        boolean z = false;
        for (Method method : methodArr) {
            g gVar = (g) method.getAnnotation(g.class);
            if (gVar != null) {
                Class<?>[] parameterTypes = method.getParameterTypes();
                if (parameterTypes.length <= 0) {
                    i2 = 0;
                } else if (parameterTypes[0].isAssignableFrom(LifecycleOwner.class)) {
                    i2 = 1;
                } else {
                    throw new IllegalArgumentException("invalid parameter type. Must be one and instanceof LifecycleOwner");
                }
                Lifecycle.Event value = gVar.value();
                if (parameterTypes.length > 1) {
                    if (!parameterTypes[1].isAssignableFrom(Lifecycle.Event.class)) {
                        throw new IllegalArgumentException("invalid parameter type. second arg must be an event");
                    } else if (value == Lifecycle.Event.ON_ANY) {
                        i2 = 2;
                    } else {
                        throw new IllegalArgumentException("Second arg is supported only for ON_ANY value");
                    }
                }
                if (parameterTypes.length <= 2) {
                    c(hashMap, new b(i2, method), value, cls);
                    z = true;
                } else {
                    throw new IllegalArgumentException("cannot have more than 2 params");
                }
            }
        }
        C0031a aVar = new C0031a(hashMap);
        this.f3720b.put(cls, aVar);
        this.f3721c.put(cls, Boolean.valueOf(z));
        return aVar;
    }

    public C0031a b(Class<?> cls) {
        C0031a aVar = this.f3720b.get(cls);
        if (aVar != null) {
            return aVar;
        }
        return a(cls, null);
    }

    public final void c(Map<b, Lifecycle.Event> map, b bVar, Lifecycle.Event event, Class<?> cls) {
        Lifecycle.Event event2 = map.get(bVar);
        if (event2 != null && event != event2) {
            Method method = bVar.f3725b;
            StringBuilder B = d.a.a.a.a.B("Method ");
            B.append(method.getName());
            B.append(" in ");
            B.append(cls.getName());
            B.append(" already declared with different @OnLifecycleEvent value: previous value ");
            B.append(event2);
            B.append(", new value ");
            B.append(event);
            throw new IllegalArgumentException(B.toString());
        } else if (event2 == null) {
            map.put(bVar, event);
        }
    }
}
