package b.t;

import android.content.Context;
import android.os.Build;
import android.util.Log;
import androidx.multidex.MultiDexExtractor;
import dalvik.system.BaseDexClassLoader;
import java.io.File;
import java.io.IOException;
import java.lang.reflect.Array;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Set;
import java.util.StringTokenizer;

/* compiled from: MultiDex */
public final class a {

    /* renamed from: a  reason: collision with root package name */
    public static final Set<File> f3810a = new HashSet();

    /* renamed from: b  reason: collision with root package name */
    public static final boolean f3811b;

    static {
        String property = System.getProperty("java.vm.version");
        boolean z = false;
        if (property != null) {
            StringTokenizer stringTokenizer = new StringTokenizer(property, ".");
            String str = null;
            String nextToken = stringTokenizer.hasMoreTokens() ? stringTokenizer.nextToken() : null;
            if (stringTokenizer.hasMoreTokens()) {
                str = stringTokenizer.nextToken();
            }
            if (!(nextToken == null || str == null)) {
                try {
                    int parseInt = Integer.parseInt(nextToken);
                    int parseInt2 = Integer.parseInt(str);
                    if (parseInt > 2 || (parseInt == 2 && parseInt2 >= 1)) {
                        z = true;
                    }
                } catch (NumberFormatException unused) {
                }
            }
        }
        StringBuilder F = d.a.a.a.a.F("VM with version ", property);
        F.append(z ? " has multidex support" : " does not have multidex support");
        Log.i("MultiDex", F.toString());
        f3811b = z;
    }

    public static void a(Object obj, String str, Object[] objArr) {
        Field d2 = d(obj, str);
        Object[] objArr2 = (Object[]) d2.get(obj);
        Object[] objArr3 = (Object[]) Array.newInstance(objArr2.getClass().getComponentType(), objArr2.length + objArr.length);
        System.arraycopy(objArr2, 0, objArr3, 0, objArr2.length);
        System.arraycopy(objArr, 0, objArr3, objArr2.length, objArr.length);
        d2.set(obj, objArr3);
    }

    public static void b(Context context) {
        File file = new File(context.getFilesDir(), "secondary-dexes");
        if (file.isDirectory()) {
            StringBuilder B = d.a.a.a.a.B("Clearing old secondary dex dir (");
            B.append(file.getPath());
            B.append(").");
            Log.i("MultiDex", B.toString());
            File[] listFiles = file.listFiles();
            if (listFiles == null) {
                StringBuilder B2 = d.a.a.a.a.B("Failed to list secondary dex dir content (");
                B2.append(file.getPath());
                B2.append(").");
                Log.w("MultiDex", B2.toString());
                return;
            }
            for (File file2 : listFiles) {
                StringBuilder B3 = d.a.a.a.a.B("Trying to delete old file ");
                B3.append(file2.getPath());
                B3.append(" of size ");
                B3.append(file2.length());
                Log.i("MultiDex", B3.toString());
                if (!file2.delete()) {
                    StringBuilder B4 = d.a.a.a.a.B("Failed to delete old file ");
                    B4.append(file2.getPath());
                    Log.w("MultiDex", B4.toString());
                } else {
                    StringBuilder B5 = d.a.a.a.a.B("Deleted old file ");
                    B5.append(file2.getPath());
                    Log.i("MultiDex", B5.toString());
                }
            }
            if (!file.delete()) {
                StringBuilder B6 = d.a.a.a.a.B("Failed to delete secondary dex dir ");
                B6.append(file.getPath());
                Log.w("MultiDex", B6.toString());
                return;
            }
            StringBuilder B7 = d.a.a.a.a.B("Deleted old secondary dex dir ");
            B7.append(file.getPath());
            Log.i("MultiDex", B7.toString());
        }
    }

    public static void c(Context context, File file, File file2, String str, String str2, boolean z) {
        ClassLoader classLoader;
        Set<File> set = f3810a;
        synchronized (set) {
            if (!set.contains(file)) {
                set.add(file);
                Log.w("MultiDex", "MultiDex is not guaranteed to work in SDK version " + Build.VERSION.SDK_INT + ": SDK version higher than " + 20 + " should be backed by " + "runtime with built-in multidex capabilty but it's not the " + "case here: java.vm.version=\"" + System.getProperty("java.vm.version") + "\"");
                IOException e2 = null;
                try {
                    classLoader = context.getClassLoader();
                    if (!(classLoader instanceof BaseDexClassLoader)) {
                        Log.e("MultiDex", "Context class loader is null or not dex-capable. Must be running in test mode. Skip patching.");
                        classLoader = null;
                    }
                } catch (RuntimeException e3) {
                    Log.w("MultiDex", "Failure while trying to obtain Context class loader. Must be running in test mode. Skip patching.", e3);
                }
                if (classLoader != null) {
                    try {
                        b(context);
                    } catch (Throwable th) {
                        Log.w("MultiDex", "Something went wrong when trying to clear old MultiDex extraction, continuing without cleaning.", th);
                    }
                    File file3 = new File(file2, "code_cache");
                    try {
                        f(file3);
                    } catch (IOException unused) {
                        file3 = new File(context.getFilesDir(), "code_cache");
                        f(file3);
                    }
                    File file4 = new File(file3, str);
                    f(file4);
                    MultiDexExtractor multiDexExtractor = new MultiDexExtractor(file, file4);
                    try {
                        try {
                            e(classLoader, file4, multiDexExtractor.e(context, str2, false));
                        } catch (IOException e4) {
                            if (z) {
                                Log.w("MultiDex", "Failed to install extracted secondary dex files, retrying with forced extraction", e4);
                                e(classLoader, file4, multiDexExtractor.e(context, str2, true));
                            } else {
                                throw e4;
                            }
                        }
                        try {
                        } catch (IOException e5) {
                            e2 = e5;
                        }
                        if (e2 != null) {
                            throw e2;
                        }
                    } finally {
                        try {
                            multiDexExtractor.close();
                        } catch (IOException unused2) {
                        }
                    }
                }
            }
        }
    }

    public static Field d(Object obj, String str) {
        for (Class<?> cls = obj.getClass(); cls != null; cls = cls.getSuperclass()) {
            try {
                Field declaredField = cls.getDeclaredField(str);
                if (!declaredField.isAccessible()) {
                    declaredField.setAccessible(true);
                }
                return declaredField;
            } catch (NoSuchFieldException unused) {
            }
        }
        StringBuilder G = d.a.a.a.a.G("Field ", str, " not found in ");
        G.append(obj.getClass());
        throw new NoSuchFieldException(G.toString());
    }

    public static void e(ClassLoader classLoader, File file, List<? extends File> list) {
        IOException[] iOExceptionArr;
        if (!list.isEmpty()) {
            Object obj = d(classLoader, "pathList").get(classLoader);
            ArrayList arrayList = new ArrayList();
            ArrayList arrayList2 = new ArrayList(list);
            Class<?>[] clsArr = {ArrayList.class, File.class, ArrayList.class};
            for (Class<?> cls = obj.getClass(); cls != null; cls = cls.getSuperclass()) {
                try {
                    Method declaredMethod = cls.getDeclaredMethod("makeDexElements", clsArr);
                    if (!declaredMethod.isAccessible()) {
                        declaredMethod.setAccessible(true);
                    }
                    a(obj, "dexElements", (Object[]) declaredMethod.invoke(obj, arrayList2, file, arrayList));
                    if (arrayList.size() > 0) {
                        Iterator it = arrayList.iterator();
                        while (it.hasNext()) {
                            Log.w("MultiDex", "Exception in makeDexElement", (IOException) it.next());
                        }
                        Field d2 = d(obj, "dexElementsSuppressedExceptions");
                        IOException[] iOExceptionArr2 = (IOException[]) d2.get(obj);
                        if (iOExceptionArr2 == null) {
                            iOExceptionArr = (IOException[]) arrayList.toArray(new IOException[arrayList.size()]);
                        } else {
                            IOException[] iOExceptionArr3 = new IOException[(arrayList.size() + iOExceptionArr2.length)];
                            arrayList.toArray(iOExceptionArr3);
                            System.arraycopy(iOExceptionArr2, 0, iOExceptionArr3, arrayList.size(), iOExceptionArr2.length);
                            iOExceptionArr = iOExceptionArr3;
                        }
                        d2.set(obj, iOExceptionArr);
                        IOException iOException = new IOException("I/O exception during makeDexElement");
                        iOException.initCause((Throwable) arrayList.get(0));
                        throw iOException;
                    }
                    return;
                } catch (NoSuchMethodException unused) {
                }
            }
            StringBuilder G = d.a.a.a.a.G("Method ", "makeDexElements", " with parameters ");
            G.append(Arrays.asList(clsArr));
            G.append(" not found in ");
            G.append(obj.getClass());
            throw new NoSuchMethodException(G.toString());
        }
    }

    public static void f(File file) {
        file.mkdir();
        if (!file.isDirectory()) {
            File parentFile = file.getParentFile();
            if (parentFile == null) {
                StringBuilder B = d.a.a.a.a.B("Failed to create dir ");
                B.append(file.getPath());
                B.append(". Parent file is null.");
                Log.e("MultiDex", B.toString());
            } else {
                StringBuilder B2 = d.a.a.a.a.B("Failed to create dir ");
                B2.append(file.getPath());
                B2.append(". parent file is a dir ");
                B2.append(parentFile.isDirectory());
                B2.append(", a file ");
                B2.append(parentFile.isFile());
                B2.append(", exists ");
                B2.append(parentFile.exists());
                B2.append(", readable ");
                B2.append(parentFile.canRead());
                B2.append(", writable ");
                B2.append(parentFile.canWrite());
                Log.e("MultiDex", B2.toString());
            }
            StringBuilder B3 = d.a.a.a.a.B("Failed to create directory ");
            B3.append(file.getPath());
            throw new IOException(B3.toString());
        }
    }
}
