package com.androidkun.xtablayout;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.database.DataSetObserver;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import android.text.Layout;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.WindowManager;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.FrameLayout;
import android.widget.HorizontalScrollView;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import android.widget.Toast;
import androidx.appcompat.app.ActionBar;
import androidx.core.util.Pools$Pool;
import androidx.core.util.Pools$SimplePool;
import androidx.core.util.Pools$SynchronizedPool;
import androidx.core.view.ViewCompat;
import androidx.viewpager.widget.ViewPager;
import com.androidkun.xtablayoutlibrary.R$dimen;
import com.androidkun.xtablayoutlibrary.R$layout;
import com.androidkun.xtablayoutlibrary.R$style;
import com.androidkun.xtablayoutlibrary.R$styleable;
import d.b.a.d;
import d.b.a.i;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;
import org.dsq.library.widget.bigImage.SubsamplingScaleImageView;

public class XTabLayout extends HorizontalScrollView {

    /* renamed from: d  reason: collision with root package name */
    public static final Pools$Pool<f> f4062d = new Pools$SynchronizedPool(16);
    public int A;
    public final int B;
    public final int C;
    public int D;
    public final int E;
    public int F;
    public int G;
    public int H;
    public int I;
    public int J;
    public int K;
    public int L;
    public c M;
    public List<c> N;
    public d.b.a.d O;
    public ViewPager P;
    public b.a0.a.a Q;
    public DataSetObserver R;
    public TabLayoutOnPageChangeListener S;
    public final Pools$Pool<g> T;

    /* renamed from: h  reason: collision with root package name */
    public boolean f4063h;

    /* renamed from: j  reason: collision with root package name */
    public boolean f4064j;

    /* renamed from: k  reason: collision with root package name */
    public final ArrayList<f> f4065k;

    /* renamed from: l  reason: collision with root package name */
    public f f4066l;
    public final e m;
    public int n;
    public int o;
    public int p;
    public int q;
    public int r;
    public ColorStateList s;
    public float t;
    public boolean u;
    public float v;
    public boolean w;
    public float x;
    public final int y;
    public final int z;

    public static class TabLayoutOnPageChangeListener implements ViewPager.OnPageChangeListener {

        /* renamed from: d  reason: collision with root package name */
        public final WeakReference<XTabLayout> f4067d;

        /* renamed from: h  reason: collision with root package name */
        public int f4068h;

        /* renamed from: j  reason: collision with root package name */
        public int f4069j;

        public TabLayoutOnPageChangeListener(XTabLayout xTabLayout) {
            this.f4067d = new WeakReference<>(xTabLayout);
        }

        @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
        public void onPageScrollStateChanged(int i2) {
            this.f4068h = this.f4069j;
            this.f4069j = i2;
        }

        @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
        public void onPageScrolled(int i2, float f2, int i3) {
            XTabLayout xTabLayout = this.f4067d.get();
            if (xTabLayout != null) {
                int i4 = this.f4069j;
                boolean z = false;
                boolean z2 = i4 != 2 || this.f4068h == 1;
                if (!(i4 == 2 && this.f4068h == 0)) {
                    z = true;
                }
                Pools$Pool<f> pools$Pool = XTabLayout.f4062d;
                xTabLayout.n(i2, f2, z2, z);
            }
        }

        @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
        public void onPageSelected(int i2) {
            XTabLayout xTabLayout = this.f4067d.get();
            if (xTabLayout != null && xTabLayout.getSelectedTabPosition() != i2) {
                int i3 = this.f4069j;
                xTabLayout.l(xTabLayout.f4065k.get(i2), i3 == 0 || (i3 == 2 && this.f4068h == 0));
            }
        }
    }

    public class a implements Runnable {
        public a() {
        }

        public void run() {
            XTabLayout xTabLayout = XTabLayout.this;
            if (xTabLayout.I > 0) {
                LinearLayout linearLayout = (LinearLayout) xTabLayout.getChildAt(0);
                linearLayout.setShowDividers(2);
                d.b.a.b bVar = new d.b.a.b(XTabLayout.this.getContext());
                XTabLayout xTabLayout2 = XTabLayout.this;
                int i2 = xTabLayout2.I;
                int i3 = xTabLayout2.J;
                bVar.f7618e = i2;
                bVar.f7617d = i3;
                bVar.invalidateSelf();
                bVar.f7614a.setColor(XTabLayout.this.K);
                int i4 = XTabLayout.this.L;
                if (i4 == 0 || i4 == 1 || i4 == 2) {
                    bVar.f7619f = i4;
                    linearLayout.setDividerDrawable(bVar);
                    return;
                }
                throw new IllegalArgumentException("Gravity must be one of 0(DividerDrawable.TOP)、1(DividerDrawable.CENTER) and 2(DividerDrawable.BOTTOM)");
            }
        }
    }

    public class b implements d.AbstractC0040d {
        public b() {
        }

        @Override // d.b.a.d.AbstractC0040d
        public void a(d.b.a.d dVar) {
            XTabLayout.this.scrollTo(((Integer) ((d.b.a.h) dVar.f7621a).f7628a.getAnimatedValue()).intValue(), 0);
        }
    }

    public interface c {
        void a(f fVar);

        void b(f fVar);

        void c(f fVar);
    }

    public class d extends DataSetObserver {
        public d(a aVar) {
        }

        public void onChanged() {
            XTabLayout xTabLayout = XTabLayout.this;
            Pools$Pool<f> pools$Pool = XTabLayout.f4062d;
            xTabLayout.j();
        }

        public void onInvalidated() {
            XTabLayout xTabLayout = XTabLayout.this;
            Pools$Pool<f> pools$Pool = XTabLayout.f4062d;
            xTabLayout.j();
        }
    }

    public class e extends LinearLayout {

        /* renamed from: d  reason: collision with root package name */
        public int f4073d;

        /* renamed from: h  reason: collision with root package name */
        public int f4074h;

        /* renamed from: j  reason: collision with root package name */
        public int f4075j;

        /* renamed from: k  reason: collision with root package name */
        public int f4076k;

        /* renamed from: l  reason: collision with root package name */
        public final Paint f4077l;
        public int m = -1;
        public float n;
        public int o = -1;
        public int p = -1;
        public d.b.a.d q;

        public class a implements d.AbstractC0040d {

            /* renamed from: a  reason: collision with root package name */
            public final /* synthetic */ int f4078a;

            /* renamed from: b  reason: collision with root package name */
            public final /* synthetic */ int f4079b;

            /* renamed from: c  reason: collision with root package name */
            public final /* synthetic */ int f4080c;

            /* renamed from: d  reason: collision with root package name */
            public final /* synthetic */ int f4081d;

            public a(int i2, int i3, int i4, int i5) {
                this.f4078a = i2;
                this.f4079b = i3;
                this.f4080c = i4;
                this.f4081d = i5;
            }

            @Override // d.b.a.d.AbstractC0040d
            public void a(d.b.a.d dVar) {
                float animatedFraction = ((d.b.a.h) dVar.f7621a).f7628a.getAnimatedFraction();
                e.this.b(d.b.a.a.a(this.f4078a, this.f4079b, animatedFraction), d.b.a.a.a(this.f4080c, this.f4081d, animatedFraction));
            }
        }

        public class b extends d.c {

            /* renamed from: a  reason: collision with root package name */
            public final /* synthetic */ int f4083a;

            public b(int i2) {
                this.f4083a = i2;
            }
        }

        public e(Context context) {
            super(context);
            setWillNotDraw(false);
            this.f4077l = new Paint();
        }

        public void a(int i2, int i3) {
            int i4;
            int i5;
            d.b.a.d dVar = this.q;
            if (dVar != null && dVar.b()) {
                this.q.a();
            }
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            boolean z = getLayoutDirection() == 1;
            View childAt = getChildAt(i2);
            if (childAt == null) {
                c();
                return;
            }
            int left = childAt.getLeft();
            int right = childAt.getRight();
            if (Math.abs(i2 - this.m) <= 1) {
                i5 = this.o;
                i4 = this.p;
            } else {
                XTabLayout xTabLayout = XTabLayout.this;
                Pools$Pool<f> pools$Pool = XTabLayout.f4062d;
                int h2 = xTabLayout.h(24);
                i5 = (i2 >= this.m ? !z : z) ? left - h2 : h2 + right;
                i4 = i5;
            }
            if (i5 != left || i4 != right) {
                d.b.a.h hVar = new d.b.a.h();
                d.b.a.d dVar2 = new d.b.a.d(hVar);
                this.q = dVar2;
                hVar.f7628a.setInterpolator(d.b.a.a.f7613a);
                hVar.f7628a.setDuration((long) i3);
                hVar.f7628a.setFloatValues(0.0f, 1.0f);
                dVar2.c(new a(i5, left, i4, right));
                hVar.f7628a.addListener(new d.b.a.g(hVar, new d.b.a.e(dVar2, new b(i2))));
                hVar.f7628a.start();
            }
        }

        public final void b(int i2, int i3) {
            XTabLayout xTabLayout = XTabLayout.this;
            int i4 = i2 + xTabLayout.n;
            int i5 = i3 - xTabLayout.p;
            if (i4 != this.o || i5 != this.p) {
                this.o = i4;
                this.p = i5;
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                postInvalidateOnAnimation();
            }
        }

        public final void c() {
            int i2;
            int i3;
            View childAt = getChildAt(this.m);
            int i4 = -1;
            if (childAt == null || childAt.getWidth() <= 0) {
                i2 = -1;
            } else {
                int left = childAt.getLeft();
                i2 = childAt.getRight();
                int i5 = 0;
                if (this.f4074h == 0 && !XTabLayout.this.f4064j) {
                    this.f4074h = 16843039;
                }
                int i6 = this.f4074h;
                if (i6 != 0 && (i3 = this.p - this.o) > i6) {
                    i5 = (i3 - i6) / 2;
                    left += i5;
                    i2 -= i5;
                }
                if (this.n > 0.0f && this.m < getChildCount() - 1) {
                    View childAt2 = getChildAt(this.m + 1);
                    int left2 = childAt2.getLeft() + i5;
                    int right = childAt2.getRight() - i5;
                    float f2 = this.n;
                    float f3 = 1.0f - f2;
                    left = (int) ((((float) left) * f3) + (((float) left2) * f2));
                    i2 = (int) ((f3 * ((float) i2)) + (((float) right) * f2));
                }
                i4 = left;
            }
            b(i4, i2);
        }

        public void draw(Canvas canvas) {
            int i2;
            int i3;
            super.draw(canvas);
            int i4 = this.o;
            if (i4 >= 0 && (i2 = this.p) > i4) {
                int i5 = this.f4074h;
                if (i5 == 0 || XTabLayout.this.f4064j) {
                    int i6 = i2 - i4;
                    if (i6 > XTabLayout.this.f4066l.a()) {
                        this.o = ((i6 - XTabLayout.this.f4066l.a()) / 2) + this.o;
                        this.p -= (i6 - XTabLayout.this.f4066l.a()) / 2;
                    }
                } else {
                    int i7 = i2 - i4;
                    if (i7 > i5) {
                        int i8 = (i7 - i5) / 2;
                        this.o = i4 + i8;
                        this.p = i2 - i8;
                    }
                }
                RectF rectF = new RectF((float) this.o, (float) (getHeight() - this.f4073d), (float) this.p, (float) getHeight());
                int i9 = this.f4075j;
                int i10 = 0;
                if (i9 > 0) {
                    XTabLayout xTabLayout = XTabLayout.this;
                    Pools$Pool<f> pools$Pool = XTabLayout.f4062d;
                    i3 = xTabLayout.h(i9);
                } else {
                    i3 = 0;
                }
                int i11 = this.f4076k;
                if (i11 > 0) {
                    XTabLayout xTabLayout2 = XTabLayout.this;
                    Pools$Pool<f> pools$Pool2 = XTabLayout.f4062d;
                    i10 = xTabLayout2.h(i11);
                }
                canvas.drawRoundRect(rectF, (float) i3, (float) i10, this.f4077l);
            }
        }

        public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
            super.onLayout(z, i2, i3, i4, i5);
            d.b.a.d dVar = this.q;
            if (dVar == null || !dVar.b()) {
                c();
                return;
            }
            this.q.a();
            a(this.m, Math.round((1.0f - ((d.b.a.h) this.q.f7621a).f7628a.getAnimatedFraction()) * ((float) ((d.b.a.h) this.q.f7621a).f7628a.getDuration())));
        }

        public void onMeasure(int i2, int i3) {
            super.onMeasure(i2, i3);
            if (View.MeasureSpec.getMode(i2) == 1073741824) {
                XTabLayout xTabLayout = XTabLayout.this;
                boolean z = true;
                if (xTabLayout.H == 1 && xTabLayout.G == 1) {
                    int childCount = getChildCount();
                    int i4 = 0;
                    for (int i5 = 0; i5 < childCount; i5++) {
                        View childAt = getChildAt(i5);
                        if (childAt.getVisibility() == 0) {
                            i4 = Math.max(i4, childAt.getMeasuredWidth());
                        }
                    }
                    if (i4 > 0) {
                        if (i4 * childCount <= getMeasuredWidth() - (XTabLayout.this.h(16) * 2)) {
                            boolean z2 = false;
                            for (int i6 = 0; i6 < childCount; i6++) {
                                LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) getChildAt(i6).getLayoutParams();
                                if (layoutParams.width != i4 || layoutParams.weight != 0.0f) {
                                    layoutParams.width = i4;
                                    layoutParams.weight = 0.0f;
                                    z2 = true;
                                }
                            }
                            z = z2;
                        } else {
                            XTabLayout xTabLayout2 = XTabLayout.this;
                            xTabLayout2.G = 0;
                            xTabLayout2.p(false);
                        }
                        if (z) {
                            super.onMeasure(i2, i3);
                        }
                    }
                }
            }
        }
    }

    public class g extends LinearLayout implements View.OnLongClickListener {

        /* renamed from: d  reason: collision with root package name */
        public f f4091d;

        /* renamed from: h  reason: collision with root package name */
        public TextView f4092h;

        /* renamed from: j  reason: collision with root package name */
        public ImageView f4093j;

        /* renamed from: k  reason: collision with root package name */
        public View f4094k;

        /* renamed from: l  reason: collision with root package name */
        public TextView f4095l;
        public ImageView m;
        public int n = 2;

        public g(Context context) {
            super(context);
            int i2 = XTabLayout.this.n;
            int i3 = XTabLayout.this.o;
            int i4 = XTabLayout.this.p;
            int i5 = XTabLayout.this.q;
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            setPaddingRelative(i2, i3, i4, i5);
            setGravity(17);
            setOrientation(1);
            setClickable(true);
        }

        public final void a() {
            f fVar = this.f4091d;
            View view = fVar != null ? fVar.f4088d : null;
            if (view != null) {
                ViewParent parent = view.getParent();
                if (parent != this) {
                    if (parent != null) {
                        ((ViewGroup) parent).removeView(view);
                    }
                    addView(view);
                }
                this.f4094k = view;
                TextView textView = this.f4092h;
                if (textView != null) {
                    textView.setVisibility(8);
                }
                ImageView imageView = this.f4093j;
                if (imageView != null) {
                    imageView.setVisibility(8);
                    this.f4093j.setImageDrawable(null);
                }
                TextView textView2 = (TextView) view.findViewById(16908308);
                this.f4095l = textView2;
                if (textView2 != null) {
                    this.n = textView2.getMaxLines();
                }
                this.m = (ImageView) view.findViewById(16908294);
            } else {
                View view2 = this.f4094k;
                if (view2 != null) {
                    removeView(view2);
                    this.f4094k = null;
                }
                this.f4095l = null;
                this.m = null;
            }
            if (this.f4094k == null) {
                if (this.f4093j == null) {
                    ImageView imageView2 = (ImageView) LayoutInflater.from(getContext()).inflate(R$layout.design_layout_tab_icon, (ViewGroup) this, false);
                    addView(imageView2, 0);
                    this.f4093j = imageView2;
                }
                if (this.f4092h == null) {
                    TextView textView3 = (TextView) LayoutInflater.from(getContext()).inflate(R$layout.design_layout_tab_text, (ViewGroup) this, false);
                    addView(textView3);
                    this.f4092h = textView3;
                    this.n = textView3.getMaxLines();
                }
                this.f4092h.setTextAppearance(getContext(), XTabLayout.this.r);
                ColorStateList colorStateList = XTabLayout.this.s;
                if (colorStateList != null) {
                    this.f4092h.setTextColor(colorStateList);
                }
                b(this.f4092h, this.f4093j);
                return;
            }
            TextView textView4 = this.f4095l;
            if (textView4 != null || this.m != null) {
                b(textView4, this.m);
            }
        }

        public final void b(TextView textView, ImageView imageView) {
            int i2;
            f fVar = this.f4091d;
            Drawable drawable = fVar != null ? fVar.f4085a : null;
            CharSequence charSequence = fVar != null ? fVar.f4086b : null;
            if (imageView != null) {
                if (drawable != null) {
                    imageView.setImageDrawable(drawable);
                    imageView.setVisibility(0);
                    setVisibility(0);
                } else {
                    imageView.setVisibility(8);
                    imageView.setImageDrawable(null);
                }
                imageView.setContentDescription(null);
            }
            boolean z = !TextUtils.isEmpty(charSequence);
            if (textView != null) {
                if (z) {
                    textView.setAllCaps(XTabLayout.this.f4063h);
                    textView.setText(charSequence);
                    textView.setVisibility(0);
                    setVisibility(0);
                } else {
                    textView.setVisibility(8);
                    textView.setText((CharSequence) null);
                }
                textView.setContentDescription(null);
            }
            if (imageView != null) {
                ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) imageView.getLayoutParams();
                if (!z || imageView.getVisibility() != 0) {
                    i2 = 0;
                } else {
                    XTabLayout xTabLayout = XTabLayout.this;
                    Pools$Pool<f> pools$Pool = XTabLayout.f4062d;
                    i2 = xTabLayout.h(8);
                }
                if (i2 != marginLayoutParams.bottomMargin) {
                    marginLayoutParams.bottomMargin = i2;
                    imageView.requestLayout();
                }
            }
            if (z || TextUtils.isEmpty(null)) {
                setOnLongClickListener(null);
                setLongClickable(false);
                return;
            }
            setOnLongClickListener(this);
        }

        @TargetApi(14)
        public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
            super.onInitializeAccessibilityEvent(accessibilityEvent);
            accessibilityEvent.setClassName(ActionBar.b.class.getName());
        }

        @TargetApi(14)
        public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
            super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
            accessibilityNodeInfo.setClassName(ActionBar.b.class.getName());
        }

        public boolean onLongClick(View view) {
            int[] iArr = new int[2];
            getLocationOnScreen(iArr);
            Context context = getContext();
            int width = getWidth();
            int height = getHeight();
            int i2 = context.getResources().getDisplayMetrics().widthPixels;
            Objects.requireNonNull(this.f4091d);
            Toast makeText = Toast.makeText(context, (CharSequence) null, 0);
            makeText.setGravity(49, ((width / 2) + iArr[0]) - (i2 / 2), height);
            makeText.show();
            return true;
        }

        /* JADX WARNING: Code restructure failed: missing block: B:28:0x008c, code lost:
            if (((r0 / r2.getPaint().getTextSize()) * r2.getLineWidth(0)) > ((float) r2.getWidth())) goto L_0x008e;
         */
        public void onMeasure(int i2, int i3) {
            int size = View.MeasureSpec.getSize(i2);
            int mode = View.MeasureSpec.getMode(i2);
            int tabMaxWidth = XTabLayout.this.getTabMaxWidth();
            if (tabMaxWidth > 0 && (mode == 0 || size > tabMaxWidth)) {
                i2 = View.MeasureSpec.makeMeasureSpec(XTabLayout.this.A, Integer.MIN_VALUE);
            }
            super.onMeasure(i2, i3);
            if (this.f4092h != null) {
                getResources();
                float f2 = XTabLayout.this.t;
                int i4 = this.n;
                ImageView imageView = this.f4093j;
                boolean z = true;
                if (imageView == null || imageView.getVisibility() != 0) {
                    TextView textView = this.f4092h;
                    if (textView != null && textView.getLineCount() > 1) {
                        f2 = XTabLayout.this.x;
                    }
                } else {
                    i4 = 1;
                }
                float textSize = this.f4092h.getTextSize();
                int lineCount = this.f4092h.getLineCount();
                int maxLines = this.f4092h.getMaxLines();
                int i5 = (f2 > textSize ? 1 : (f2 == textSize ? 0 : -1));
                if (i5 != 0 || (maxLines >= 0 && i4 != maxLines)) {
                    if (XTabLayout.this.H == 1 && i5 > 0 && lineCount == 1) {
                        Layout layout = this.f4092h.getLayout();
                        if (layout != null) {
                        }
                        z = false;
                    }
                    if (z) {
                        if (this.f4092h.isSelected()) {
                            float f3 = XTabLayout.this.v;
                            if (f3 != 0.0f) {
                                this.f4092h.setTextSize(0, f3);
                                this.f4092h.setMaxLines(i4);
                                super.onMeasure(i2, i3);
                            }
                        }
                        this.f4092h.setTextSize(0, XTabLayout.this.t);
                        this.f4092h.setMaxLines(i4);
                        super.onMeasure(i2, i3);
                    }
                }
            }
        }

        public boolean performClick() {
            boolean performClick = super.performClick();
            f fVar = this.f4091d;
            if (fVar == null) {
                return performClick;
            }
            XTabLayout xTabLayout = fVar.f4089e;
            if (xTabLayout != null) {
                xTabLayout.l(fVar, true);
                return true;
            }
            throw new IllegalArgumentException("Tab not attached to a TabLayout");
        }

        public void setSelected(boolean z) {
            boolean z2 = isSelected() != z;
            super.setSelected(z);
            if (!z) {
                int i2 = XTabLayout.this.y;
                if (i2 != 0) {
                    setBackgroundColor(i2);
                }
                this.f4092h.setTextSize(0, XTabLayout.this.t);
                if (XTabLayout.this.u) {
                    this.f4092h.setTypeface(Typeface.defaultFromStyle(1));
                } else {
                    this.f4092h.setTypeface(Typeface.defaultFromStyle(0));
                }
            }
            if (z2 && z) {
                int i3 = XTabLayout.this.z;
                if (i3 != 0) {
                    setBackgroundColor(i3);
                }
                sendAccessibilityEvent(4);
                TextView textView = this.f4092h;
                if (textView != null) {
                    textView.setSelected(z);
                    float f2 = XTabLayout.this.v;
                    if (f2 != 0.0f) {
                        this.f4092h.setTextSize(0, f2);
                        if (XTabLayout.this.w) {
                            this.f4092h.setTypeface(Typeface.defaultFromStyle(1));
                        } else {
                            this.f4092h.setTypeface(Typeface.defaultFromStyle(0));
                        }
                    }
                }
                ImageView imageView = this.f4093j;
                if (imageView != null) {
                    imageView.setSelected(z);
                }
            }
        }
    }

    public static class h implements c {

        /* renamed from: a  reason: collision with root package name */
        public final ViewPager f4096a;

        public h(ViewPager viewPager) {
            this.f4096a = viewPager;
        }

        @Override // com.androidkun.xtablayout.XTabLayout.c
        public void a(f fVar) {
            this.f4096a.setCurrentItem(fVar.f4087c);
        }

        @Override // com.androidkun.xtablayout.XTabLayout.c
        public void b(f fVar) {
        }

        @Override // com.androidkun.xtablayout.XTabLayout.c
        public void c(f fVar) {
        }
    }

    public XTabLayout(Context context) {
        this(context, null);
    }

    private int getDefaultHeight() {
        int size = this.f4065k.size();
        boolean z2 = false;
        int i2 = 0;
        while (true) {
            if (i2 < size) {
                f fVar = this.f4065k.get(i2);
                if (fVar != null && fVar.f4085a != null && !TextUtils.isEmpty(fVar.f4086b)) {
                    z2 = true;
                    break;
                }
                i2++;
            } else {
                break;
            }
        }
        return z2 ? 72 : 48;
    }

    private float getScrollPosition() {
        e eVar = this.m;
        return ((float) eVar.m) + eVar.n;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int getTabMaxWidth() {
        return this.A;
    }

    private int getTabMinWidth() {
        if (this.Q != null && this.D != 0) {
            WindowManager windowManager = (WindowManager) getContext().getSystemService("window");
            if (this.Q.getCount() == 1 || this.D == 1) {
                return windowManager.getDefaultDisplay().getWidth();
            }
            if (this.Q.getCount() < this.D) {
                return windowManager.getDefaultDisplay().getWidth() / this.Q.getCount();
            }
            return windowManager.getDefaultDisplay().getWidth() / this.D;
        } else if (this.D != 0) {
            return ((WindowManager) getContext().getSystemService("window")).getDefaultDisplay().getWidth() / this.D;
        } else {
            int i2 = this.B;
            if (i2 != -1) {
                return i2;
            }
            if (this.H == 0) {
                return this.E;
            }
            return 0;
        }
    }

    private int getTabScrollRange() {
        return Math.max(0, ((this.m.getWidth() - getWidth()) - getPaddingLeft()) - getPaddingRight());
    }

    private void setSelectedTabView(int i2) {
        int childCount = this.m.getChildCount();
        if (i2 < childCount && !this.m.getChildAt(i2).isSelected()) {
            int i3 = 0;
            while (i3 < childCount) {
                this.m.getChildAt(i3).setSelected(i3 == i2);
                i3++;
            }
        }
    }

    public void addView(View view) {
        d(view);
    }

    public final void b() {
        post(new a());
    }

    public void c(f fVar, boolean z2) {
        if (fVar.f4089e == this) {
            g gVar = fVar.f4090f;
            if (this.v != 0.0f) {
                gVar.post(new i(this, gVar));
            }
            e eVar = this.m;
            LinearLayout.LayoutParams layoutParams = new LinearLayout.LayoutParams(-2, -1);
            o(layoutParams);
            eVar.addView(gVar, layoutParams);
            if (z2) {
                gVar.setSelected(true);
            }
            int size = this.f4065k.size();
            fVar.f4087c = size;
            this.f4065k.add(size, fVar);
            int size2 = this.f4065k.size();
            while (true) {
                size++;
                if (size >= size2) {
                    break;
                }
                this.f4065k.get(size).f4087c = size;
            }
            if (z2) {
                XTabLayout xTabLayout = fVar.f4089e;
                if (xTabLayout != null) {
                    xTabLayout.l(fVar, true);
                    return;
                }
                throw new IllegalArgumentException("Tab not attached to a TabLayout");
            }
            return;
        }
        throw new IllegalArgumentException("Tab belongs to a different TabLayout.");
    }

    public final void d(View view) {
        if (view instanceof TabItem) {
            TabItem tabItem = (TabItem) view;
            f i2 = i();
            CharSequence charSequence = tabItem.f4059d;
            if (charSequence != null) {
                i2.f4086b = charSequence;
                i2.b();
            }
            Drawable drawable = tabItem.f4060h;
            if (drawable != null) {
                i2.f4085a = drawable;
                i2.b();
            }
            int i3 = tabItem.f4061j;
            if (i3 != 0) {
                i2.f4088d = LayoutInflater.from(i2.f4090f.getContext()).inflate(i3, (ViewGroup) i2.f4090f, false);
                i2.b();
            }
            c(i2, this.f4065k.isEmpty());
            return;
        }
        throw new IllegalArgumentException("Only TabItem instances can be added to TabLayout");
    }

    public final void e(int i2) {
        boolean z2;
        if (i2 != -1) {
            if (getWindowToken() != null) {
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                if (isLaidOut()) {
                    e eVar = this.m;
                    int childCount = eVar.getChildCount();
                    int i3 = 0;
                    while (true) {
                        if (i3 >= childCount) {
                            z2 = false;
                            break;
                        } else if (eVar.getChildAt(i3).getWidth() <= 0) {
                            z2 = true;
                            break;
                        } else {
                            i3++;
                        }
                    }
                    if (!z2) {
                        int scrollX = getScrollX();
                        int g2 = g(i2, 0.0f);
                        if (scrollX != g2) {
                            if (this.O == null) {
                                d.b.a.h hVar = new d.b.a.h();
                                this.O = new d.b.a.d(hVar);
                                hVar.f7628a.setInterpolator(d.b.a.a.f7613a);
                                ((d.b.a.h) this.O.f7621a).f7628a.setDuration((long) 300);
                                this.O.c(new b());
                            }
                            ((d.b.a.h) this.O.f7621a).f7628a.setIntValues(scrollX, g2);
                            ((d.b.a.h) this.O.f7621a).f7628a.start();
                        }
                        this.m.a(i2, 300);
                        return;
                    }
                }
            }
            n(i2, 0.0f, true, true);
        }
    }

    public final void f() {
        int max = this.H == 0 ? Math.max(0, this.F - this.n) : 0;
        e eVar = this.m;
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        eVar.setPaddingRelative(max, 0, 0, 0);
        int i2 = this.H;
        if (i2 == 0) {
            this.m.setGravity(8388611);
        } else if (i2 == 1) {
            this.m.setGravity(1);
        }
        p(true);
    }

    public final int g(int i2, float f2) {
        int i3 = 0;
        if (this.H != 0) {
            return 0;
        }
        View childAt = this.m.getChildAt(i2);
        int i4 = i2 + 1;
        View childAt2 = i4 < this.m.getChildCount() ? this.m.getChildAt(i4) : null;
        int width = childAt != null ? childAt.getWidth() : 0;
        if (childAt2 != null) {
            i3 = childAt2.getWidth();
        }
        return ((childAt.getWidth() / 2) + (childAt.getLeft() + ((int) ((((float) (width + i3)) * f2) * 0.5f)))) - (getWidth() / 2);
    }

    public int getSelectedTabPosition() {
        f fVar = this.f4066l;
        if (fVar != null) {
            return fVar.f4087c;
        }
        return -1;
    }

    public int getTabCount() {
        return this.f4065k.size();
    }

    public int getTabGravity() {
        return this.G;
    }

    public int getTabMode() {
        return this.H;
    }

    public ColorStateList getTabTextColors() {
        return this.s;
    }

    public final int h(int i2) {
        return Math.round(getResources().getDisplayMetrics().density * ((float) i2));
    }

    public f i() {
        f acquire = f4062d.acquire();
        g gVar = null;
        if (acquire == null) {
            acquire = new f(null);
        }
        acquire.f4089e = this;
        Pools$Pool<g> pools$Pool = this.T;
        if (pools$Pool != null) {
            gVar = pools$Pool.acquire();
        }
        if (gVar == null) {
            gVar = new g(getContext());
        }
        if (acquire != gVar.f4091d) {
            gVar.f4091d = acquire;
            gVar.a();
        }
        gVar.setFocusable(true);
        gVar.setMinimumWidth(getTabMinWidth());
        acquire.f4090f = gVar;
        return acquire;
    }

    public final void j() {
        int currentItem;
        k();
        b.a0.a.a aVar = this.Q;
        if (aVar != null) {
            int count = aVar.getCount();
            for (int i2 = 0; i2 < count; i2++) {
                f i3 = i();
                i3.f4086b = this.Q.getPageTitle(i2);
                i3.b();
                c(i3, false);
            }
            ViewPager viewPager = this.P;
            if (viewPager != null && count > 0 && (currentItem = viewPager.getCurrentItem()) != getSelectedTabPosition() && currentItem < getTabCount()) {
                l(this.f4065k.get(currentItem), true);
                return;
            }
            return;
        }
        k();
    }

    public void k() {
        for (int childCount = this.m.getChildCount() - 1; childCount >= 0; childCount--) {
            g gVar = (g) this.m.getChildAt(childCount);
            this.m.removeViewAt(childCount);
            if (gVar != null) {
                if (gVar.f4091d != null) {
                    gVar.f4091d = null;
                    gVar.a();
                }
                gVar.setSelected(false);
                this.T.release(gVar);
            }
            requestLayout();
        }
        Iterator<f> it = this.f4065k.iterator();
        while (it.hasNext()) {
            f next = it.next();
            it.remove();
            next.f4089e = null;
            next.f4090f = null;
            next.f4085a = null;
            next.f4086b = null;
            next.f4087c = -1;
            next.f4088d = null;
            f4062d.release(next);
        }
        this.f4066l = null;
    }

    public void l(f fVar, boolean z2) {
        c cVar;
        c cVar2;
        f fVar2 = this.f4066l;
        if (fVar2 != fVar) {
            if (z2) {
                int i2 = fVar != null ? fVar.f4087c : -1;
                if (i2 != -1) {
                    setSelectedTabView(i2);
                }
                f fVar3 = this.f4066l;
                if ((fVar3 == null || fVar3.f4087c == -1) && i2 != -1) {
                    n(i2, 0.0f, true, true);
                } else {
                    e(i2);
                }
            }
            f fVar4 = this.f4066l;
            if (!(fVar4 == null || (cVar2 = this.M) == null)) {
                cVar2.b(fVar4);
            }
            for (c cVar3 : this.N) {
                cVar3.b(this.f4066l);
            }
            this.f4066l = fVar;
            if (!(fVar == null || (cVar = this.M) == null)) {
                cVar.a(fVar);
            }
            for (c cVar4 : this.N) {
                cVar4.a(this.f4066l);
            }
        } else if (fVar2 != null) {
            c cVar5 = this.M;
            if (cVar5 != null) {
                cVar5.c(fVar2);
            }
            for (c cVar6 : this.N) {
                cVar6.c(this.f4066l);
            }
            e(fVar.f4087c);
        }
    }

    public final void m(b.a0.a.a aVar, boolean z2) {
        DataSetObserver dataSetObserver;
        b.a0.a.a aVar2 = this.Q;
        if (!(aVar2 == null || (dataSetObserver = this.R) == null)) {
            aVar2.unregisterDataSetObserver(dataSetObserver);
        }
        this.Q = aVar;
        if (z2 && aVar != null) {
            if (this.R == null) {
                this.R = new d(null);
            }
            aVar.registerDataSetObserver(this.R);
        }
        j();
    }

    public final void n(int i2, float f2, boolean z2, boolean z3) {
        int round = Math.round(((float) i2) + f2);
        if (round >= 0 && round < this.m.getChildCount()) {
            if (z3) {
                e eVar = this.m;
                d.b.a.d dVar = eVar.q;
                if (dVar != null && dVar.b()) {
                    eVar.q.a();
                }
                eVar.m = i2;
                eVar.n = f2;
                eVar.c();
            }
            d.b.a.d dVar2 = this.O;
            if (dVar2 != null && dVar2.b()) {
                this.O.a();
            }
            scrollTo(g(i2, f2), 0);
            if (z2) {
                setSelectedTabView(round);
            }
        }
    }

    public final void o(LinearLayout.LayoutParams layoutParams) {
        if (this.H == 1 && this.G == 0) {
            layoutParams.width = 0;
            layoutParams.weight = 1.0f;
            return;
        }
        layoutParams.width = -2;
        layoutParams.weight = 0.0f;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:30:0x00b5, code lost:
        if (r0.getMeasuredWidth() != getMeasuredWidth()) goto L_0x00c4;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:32:0x00c0, code lost:
        if (r0.getMeasuredWidth() < getMeasuredWidth()) goto L_0x00c4;
     */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x00c7  */
    /* JADX WARNING: Removed duplicated region for block: B:39:? A[RETURN, SYNTHETIC] */
    public void onMeasure(int i2, int i3) {
        int paddingBottom = getPaddingBottom() + getPaddingTop() + h(getDefaultHeight());
        int mode = View.MeasureSpec.getMode(i3);
        if (mode == Integer.MIN_VALUE) {
            i3 = View.MeasureSpec.makeMeasureSpec(Math.min(paddingBottom, View.MeasureSpec.getSize(i3)), 1073741824);
        } else if (mode == 0) {
            i3 = View.MeasureSpec.makeMeasureSpec(paddingBottom, 1073741824);
        }
        int size = View.MeasureSpec.getSize(i2);
        boolean z2 = true;
        if (View.MeasureSpec.getMode(i2) != 0) {
            Log.w("BBB", "specWidth:" + size);
            b.a0.a.a aVar = this.Q;
            if (aVar == null || this.D == 0) {
                int i4 = this.C;
                if (i4 <= 0) {
                    i4 = size - h(56);
                }
                this.A = i4;
            } else if (aVar.getCount() == 1 || this.D == 1) {
                this.A = ((WindowManager) getContext().getSystemService("window")).getDefaultDisplay().getWidth();
            } else {
                int i5 = this.C;
                if (i5 <= 0) {
                    i5 = size - h(56);
                }
                this.A = i5;
            }
        }
        super.onMeasure(i2, i3);
        if (getChildCount() == 1) {
            boolean z3 = false;
            View childAt = getChildAt(0);
            int i6 = this.H;
            if (i6 != 0) {
                if (i6 == 1) {
                }
                if (!z3) {
                    childAt.measure(View.MeasureSpec.makeMeasureSpec(getMeasuredWidth(), 1073741824), HorizontalScrollView.getChildMeasureSpec(i3, getPaddingBottom() + getPaddingTop(), childAt.getLayoutParams().height));
                    return;
                }
                return;
            }
            z2 = false;
            z3 = z2;
            if (!z3) {
            }
        }
    }

    public final void p(boolean z2) {
        for (int i2 = 0; i2 < this.m.getChildCount(); i2++) {
            View childAt = this.m.getChildAt(i2);
            childAt.setMinimumWidth(getTabMinWidth());
            o((LinearLayout.LayoutParams) childAt.getLayoutParams());
            if (z2) {
                childAt.requestLayout();
            }
        }
    }

    public void setAllCaps(boolean z2) {
        this.f4063h = z2;
    }

    public void setDividerColor(int i2) {
        this.K = i2;
        b();
    }

    public void setDividerGravity(int i2) {
        this.L = i2;
        b();
    }

    public void setOnTabSelectedListener(c cVar) {
        this.M = cVar;
    }

    public void setSelectedTabIndicatorColor(int i2) {
        e eVar = this.m;
        if (eVar.f4077l.getColor() != i2) {
            eVar.f4077l.setColor(i2);
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            eVar.postInvalidateOnAnimation();
        }
    }

    public void setSelectedTabIndicatorHeight(int i2) {
        e eVar = this.m;
        if (eVar.f4073d != i2) {
            eVar.f4073d = i2;
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            eVar.postInvalidateOnAnimation();
        }
    }

    public void setTabGravity(int i2) {
        if (this.G != i2) {
            this.G = i2;
            f();
        }
    }

    public void setTabMode(int i2) {
        if (i2 != this.H) {
            this.H = i2;
            f();
        }
    }

    public void setTabTextColors(ColorStateList colorStateList) {
        if (this.s != colorStateList) {
            this.s = colorStateList;
            int size = this.f4065k.size();
            for (int i2 = 0; i2 < size; i2++) {
                this.f4065k.get(i2).b();
            }
        }
    }

    @Deprecated
    public void setTabsFromPagerAdapter(b.a0.a.a aVar) {
        m(aVar, false);
    }

    public void setupWithViewPager(ViewPager viewPager) {
        TabLayoutOnPageChangeListener tabLayoutOnPageChangeListener;
        ViewPager viewPager2 = this.P;
        if (!(viewPager2 == null || (tabLayoutOnPageChangeListener = this.S) == null)) {
            viewPager2.removeOnPageChangeListener(tabLayoutOnPageChangeListener);
        }
        if (viewPager != null) {
            b.a0.a.a adapter = viewPager.getAdapter();
            if (adapter != null) {
                this.P = viewPager;
                if (this.S == null) {
                    this.S = new TabLayoutOnPageChangeListener(this);
                }
                TabLayoutOnPageChangeListener tabLayoutOnPageChangeListener2 = this.S;
                tabLayoutOnPageChangeListener2.f4069j = 0;
                tabLayoutOnPageChangeListener2.f4068h = 0;
                viewPager.addOnPageChangeListener(tabLayoutOnPageChangeListener2);
                setOnTabSelectedListener(new h(viewPager));
                m(adapter, true);
                return;
            }
            throw new IllegalArgumentException("ViewPager does not have a PagerAdapter set");
        }
        this.P = null;
        setOnTabSelectedListener(null);
        m(null, true);
    }

    public void setxTabDisplayNum(int i2) {
        this.D = i2;
    }

    public boolean shouldDelayChildPressedState() {
        return getTabScrollRange() > 0;
    }

    public static final class f {

        /* renamed from: a  reason: collision with root package name */
        public Drawable f4085a;

        /* renamed from: b  reason: collision with root package name */
        public CharSequence f4086b;

        /* renamed from: c  reason: collision with root package name */
        public int f4087c = -1;

        /* renamed from: d  reason: collision with root package name */
        public View f4088d;

        /* renamed from: e  reason: collision with root package name */
        public XTabLayout f4089e;

        /* renamed from: f  reason: collision with root package name */
        public g f4090f;

        public f() {
        }

        public int a() {
            g gVar = this.f4090f;
            if (TextUtils.isEmpty(gVar.f4092h.getText().toString())) {
                return 0;
            }
            Rect rect = new Rect();
            String charSequence = gVar.f4092h.getText().toString();
            gVar.f4092h.getPaint().getTextBounds(charSequence, 0, charSequence.length(), rect);
            return rect.width();
        }

        public final void b() {
            g gVar = this.f4090f;
            if (gVar != null) {
                gVar.a();
            }
        }

        public f(a aVar) {
        }
    }

    public XTabLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    @Override // android.widget.HorizontalScrollView, android.view.ViewGroup
    public void addView(View view, int i2) {
        d(view);
    }

    @Override // android.widget.FrameLayout, android.widget.FrameLayout, android.view.ViewGroup
    public FrameLayout.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return generateDefaultLayoutParams();
    }

    /* JADX INFO: finally extract failed */
    public XTabLayout(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f4063h = false;
        this.f4064j = false;
        this.f4065k = new ArrayList<>();
        this.t = 0.0f;
        this.v = 0.0f;
        this.A = SubsamplingScaleImageView.TILE_SIZE_AUTO;
        this.N = new ArrayList();
        this.T = new Pools$SimplePool(12);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(d.b.a.c.f7620a);
        boolean z2 = !obtainStyledAttributes.hasValue(0);
        obtainStyledAttributes.recycle();
        if (!z2) {
            setHorizontalScrollBarEnabled(false);
            e eVar = new e(context);
            this.m = eVar;
            super.addView(eVar, 0, new FrameLayout.LayoutParams(-2, -1));
            TypedArray obtainStyledAttributes2 = context.obtainStyledAttributes(attributeSet, R$styleable.XTabLayout, i2, R$style.Widget_Design_TabLayout);
            int dimensionPixelSize = obtainStyledAttributes2.getDimensionPixelSize(R$styleable.XTabLayout_xTabIndicatorHeight, h(2));
            if (eVar.f4073d != dimensionPixelSize) {
                eVar.f4073d = dimensionPixelSize;
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                eVar.postInvalidateOnAnimation();
            }
            int dimensionPixelSize2 = obtainStyledAttributes2.getDimensionPixelSize(R$styleable.XTabLayout_xTabIndicatorWidth, 0);
            if (eVar.f4074h != dimensionPixelSize2) {
                eVar.f4074h = dimensionPixelSize2;
                AtomicInteger atomicInteger2 = ViewCompat.f1365a;
                eVar.postInvalidateOnAnimation();
            }
            int dimensionPixelSize3 = obtainStyledAttributes2.getDimensionPixelSize(R$styleable.XTabLayout_xTabIndicatorRoundX, 0);
            if (eVar.f4075j != dimensionPixelSize3) {
                eVar.f4075j = dimensionPixelSize3;
                AtomicInteger atomicInteger3 = ViewCompat.f1365a;
                eVar.postInvalidateOnAnimation();
            }
            int dimensionPixelSize4 = obtainStyledAttributes2.getDimensionPixelSize(R$styleable.XTabLayout_xTabIndicatorRoundY, 0);
            if (eVar.f4076k != dimensionPixelSize4) {
                eVar.f4076k = dimensionPixelSize4;
                AtomicInteger atomicInteger4 = ViewCompat.f1365a;
                eVar.postInvalidateOnAnimation();
            }
            int color = obtainStyledAttributes2.getColor(R$styleable.XTabLayout_xTabIndicatorColor, 0);
            if (eVar.f4077l.getColor() != color) {
                eVar.f4077l.setColor(color);
                AtomicInteger atomicInteger5 = ViewCompat.f1365a;
                eVar.postInvalidateOnAnimation();
            }
            int dimensionPixelSize5 = obtainStyledAttributes2.getDimensionPixelSize(R$styleable.XTabLayout_xTabPadding, 0);
            this.q = dimensionPixelSize5;
            this.p = dimensionPixelSize5;
            this.o = dimensionPixelSize5;
            this.n = dimensionPixelSize5;
            this.n = obtainStyledAttributes2.getDimensionPixelSize(R$styleable.XTabLayout_xTabPaddingStart, dimensionPixelSize5);
            this.o = obtainStyledAttributes2.getDimensionPixelSize(R$styleable.XTabLayout_xTabPaddingTop, this.o);
            this.p = obtainStyledAttributes2.getDimensionPixelSize(R$styleable.XTabLayout_xTabPaddingEnd, this.p);
            this.q = obtainStyledAttributes2.getDimensionPixelSize(R$styleable.XTabLayout_xTabPaddingBottom, this.q);
            this.f4063h = obtainStyledAttributes2.getBoolean(R$styleable.XTabLayout_xTabTextAllCaps, false);
            this.r = obtainStyledAttributes2.getResourceId(R$styleable.XTabLayout_xTabTextAppearance, R$style.TextAppearance_Design_Tab);
            this.t = (float) obtainStyledAttributes2.getDimensionPixelSize(R$styleable.XTabLayout_xTabTextSize, 0);
            this.u = obtainStyledAttributes2.getBoolean(R$styleable.XTabLayout_xTabTextBold, false);
            this.v = (float) obtainStyledAttributes2.getDimensionPixelSize(R$styleable.XTabLayout_xTabSelectedTextSize, 0);
            this.w = obtainStyledAttributes2.getBoolean(R$styleable.XTabLayout_xTabTextSelectedBold, false);
            TypedArray obtainStyledAttributes3 = context.obtainStyledAttributes(this.r, R$styleable.TextAppearance);
            try {
                if (this.t == 0.0f) {
                    this.t = (float) obtainStyledAttributes3.getDimensionPixelSize(R$styleable.TextAppearance_android_textSize, 0);
                }
                this.s = obtainStyledAttributes3.getColorStateList(R$styleable.TextAppearance_android_textColor);
                obtainStyledAttributes3.recycle();
                int i3 = R$styleable.XTabLayout_xTabTextColor;
                if (obtainStyledAttributes2.hasValue(i3)) {
                    this.s = obtainStyledAttributes2.getColorStateList(i3);
                }
                int i4 = R$styleable.XTabLayout_xTabSelectedTextColor;
                if (obtainStyledAttributes2.hasValue(i4)) {
                    this.s = new ColorStateList(new int[][]{HorizontalScrollView.SELECTED_STATE_SET, HorizontalScrollView.EMPTY_STATE_SET}, new int[]{obtainStyledAttributes2.getColor(i4, 0), this.s.getDefaultColor()});
                }
                this.D = obtainStyledAttributes2.getInt(R$styleable.XTabLayout_xTabDisplayNum, 0);
                this.B = obtainStyledAttributes2.getDimensionPixelSize(R$styleable.XTabLayout_xTabMinWidth, -1);
                this.C = obtainStyledAttributes2.getDimensionPixelSize(R$styleable.XTabLayout_xTabMaxWidth, -1);
                this.y = obtainStyledAttributes2.getColor(R$styleable.XTabLayout_xTabBackgroundColor, 0);
                this.z = obtainStyledAttributes2.getColor(R$styleable.XTabLayout_xTabSelectedBackgroundColor, 0);
                this.F = obtainStyledAttributes2.getDimensionPixelSize(R$styleable.XTabLayout_xTabContentStart, 0);
                this.H = obtainStyledAttributes2.getInt(R$styleable.XTabLayout_xTabMode, 1);
                this.G = obtainStyledAttributes2.getInt(R$styleable.XTabLayout_xTabGravity, 0);
                this.I = obtainStyledAttributes2.getDimensionPixelSize(R$styleable.XTabLayout_xTabDividerWidth, 0);
                this.J = obtainStyledAttributes2.getDimensionPixelSize(R$styleable.XTabLayout_xTabDividerHeight, 0);
                this.K = obtainStyledAttributes2.getColor(R$styleable.XTabLayout_xTabDividerColor, -16777216);
                this.L = obtainStyledAttributes2.getInteger(R$styleable.XTabLayout_xTabDividerGravity, 1);
                this.f4064j = obtainStyledAttributes2.getBoolean(R$styleable.XTabLayout_xTabDividerWidthWidthText, false);
                obtainStyledAttributes2.recycle();
                Resources resources = getResources();
                this.x = (float) resources.getDimensionPixelSize(R$dimen.design_tab_text_size_2line);
                this.E = resources.getDimensionPixelSize(R$dimen.design_tab_scrollable_min_width);
                f();
                b();
            } catch (Throwable th) {
                obtainStyledAttributes3.recycle();
                throw th;
            }
        } else {
            throw new IllegalArgumentException("You need to use a Theme.AppCompat theme (or descendant) with the design library.");
        }
    }

    @Override // android.widget.HorizontalScrollView, android.view.ViewGroup
    public void addView(View view, ViewGroup.LayoutParams layoutParams) {
        d(view);
    }

    @Override // android.widget.HorizontalScrollView, android.view.ViewGroup
    public void addView(View view, int i2, ViewGroup.LayoutParams layoutParams) {
        d(view);
    }
}
