package com.androidx.lv.base.db;

import android.database.Cursor;
import android.database.sqlite.SQLiteStatement;
import com.androidx.lv.base.bean.AdInfoBean;
import d.c.a.a.a.b;
import java.util.Date;
import k.b.b.a;
import k.b.b.e;
import k.b.b.f.c;

public class AdInfoBeanDao extends a<AdInfoBean, Long> {
    public static final String TABLENAME = "AD_INFO_BEAN";

    public static class Properties {
        public static final e AdId;
        public static final e AdImage = new e(2, String.class, "adImage", false, "AD_IMAGE");
        public static final e AdJump = new e(3, String.class, "adJump", false, "AD_JUMP");
        public static final e AdName = new e(13, String.class, "adName", false, "AD_NAME");
        public static final e AdPlay = new e(4, String.class, "adPlay", false, "AD_PLAY");
        public static final e AdSort = new e(5, Double.class, "adSort", false, "AD_SORT");
        public static final e AdStartTime = new e(6, Date.class, "adStartTime", false, "AD_START_TIME");
        public static final e AdStopTime = new e(7, Date.class, "adStopTime", false, "AD_STOP_TIME");
        public static final e AdType = new e(8, String.class, "adType", false, "AD_TYPE");
        public static final e AdWeight;
        public static final e Idd = new e(0, Long.class, "idd", true, "_id");
        public static final e JumpType;
        public static final e MinStaySecond;
        public static final e PlaceId = new e(12, String.class, "placeId", false, "PLACE_ID");
        public static final e PlayPath = new e(14, String.class, "playPath", false, "PLAY_PATH");

        static {
            Class cls = Integer.TYPE;
            AdId = new e(1, cls, "adId", false, "AD_ID");
            AdWeight = new e(9, cls, "adWeight", false, "AD_WEIGHT");
            JumpType = new e(10, cls, "jumpType", false, "JUMP_TYPE");
            MinStaySecond = new e(11, cls, "minStaySecond", false, "MIN_STAY_SECOND");
        }
    }

    public AdInfoBeanDao(k.b.b.h.a aVar, b bVar) {
        super(aVar, bVar);
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [android.database.sqlite.SQLiteStatement, java.lang.Object] */
    @Override // k.b.b.a
    public void b(SQLiteStatement sQLiteStatement, AdInfoBean adInfoBean) {
        AdInfoBean adInfoBean2 = adInfoBean;
        sQLiteStatement.clearBindings();
        Long idd = adInfoBean2.getIdd();
        if (idd != null) {
            sQLiteStatement.bindLong(1, idd.longValue());
        }
        sQLiteStatement.bindLong(2, (long) adInfoBean2.getAdId());
        String adImage = adInfoBean2.getAdImage();
        if (adImage != null) {
            sQLiteStatement.bindString(3, adImage);
        }
        String adJump = adInfoBean2.getAdJump();
        if (adJump != null) {
            sQLiteStatement.bindString(4, adJump);
        }
        String adPlay = adInfoBean2.getAdPlay();
        if (adPlay != null) {
            sQLiteStatement.bindString(5, adPlay);
        }
        Double adSort = adInfoBean2.getAdSort();
        if (adSort != null) {
            sQLiteStatement.bindDouble(6, adSort.doubleValue());
        }
        Date adStartTime = adInfoBean2.getAdStartTime();
        if (adStartTime != null) {
            sQLiteStatement.bindLong(7, adStartTime.getTime());
        }
        Date adStopTime = adInfoBean2.getAdStopTime();
        if (adStopTime != null) {
            sQLiteStatement.bindLong(8, adStopTime.getTime());
        }
        String adType = adInfoBean2.getAdType();
        if (adType != null) {
            sQLiteStatement.bindString(9, adType);
        }
        sQLiteStatement.bindLong(10, (long) adInfoBean2.getAdWeight());
        sQLiteStatement.bindLong(11, (long) adInfoBean2.getJumpType());
        sQLiteStatement.bindLong(12, (long) adInfoBean2.getMinStaySecond());
        String placeId = adInfoBean2.getPlaceId();
        if (placeId != null) {
            sQLiteStatement.bindString(13, placeId);
        }
        String adName = adInfoBean2.getAdName();
        if (adName != null) {
            sQLiteStatement.bindString(14, adName);
        }
        String playPath = adInfoBean2.getPlayPath();
        if (playPath != null) {
            sQLiteStatement.bindString(15, playPath);
        }
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [k.b.b.f.c, java.lang.Object] */
    @Override // k.b.b.a
    public void c(c cVar, AdInfoBean adInfoBean) {
        AdInfoBean adInfoBean2 = adInfoBean;
        cVar.d();
        Long idd = adInfoBean2.getIdd();
        if (idd != null) {
            cVar.c(1, idd.longValue());
        }
        cVar.c(2, (long) adInfoBean2.getAdId());
        String adImage = adInfoBean2.getAdImage();
        if (adImage != null) {
            cVar.a(3, adImage);
        }
        String adJump = adInfoBean2.getAdJump();
        if (adJump != null) {
            cVar.a(4, adJump);
        }
        String adPlay = adInfoBean2.getAdPlay();
        if (adPlay != null) {
            cVar.a(5, adPlay);
        }
        Double adSort = adInfoBean2.getAdSort();
        if (adSort != null) {
            cVar.b(6, adSort.doubleValue());
        }
        Date adStartTime = adInfoBean2.getAdStartTime();
        if (adStartTime != null) {
            cVar.c(7, adStartTime.getTime());
        }
        Date adStopTime = adInfoBean2.getAdStopTime();
        if (adStopTime != null) {
            cVar.c(8, adStopTime.getTime());
        }
        String adType = adInfoBean2.getAdType();
        if (adType != null) {
            cVar.a(9, adType);
        }
        cVar.c(10, (long) adInfoBean2.getAdWeight());
        cVar.c(11, (long) adInfoBean2.getJumpType());
        cVar.c(12, (long) adInfoBean2.getMinStaySecond());
        String placeId = adInfoBean2.getPlaceId();
        if (placeId != null) {
            cVar.a(13, placeId);
        }
        String adName = adInfoBean2.getAdName();
        if (adName != null) {
            cVar.a(14, adName);
        }
        String playPath = adInfoBean2.getPlayPath();
        if (playPath != null) {
            cVar.a(15, playPath);
        }
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
    @Override // k.b.b.a
    public Long h(AdInfoBean adInfoBean) {
        AdInfoBean adInfoBean2 = adInfoBean;
        if (adInfoBean2 != null) {
            return adInfoBean2.getIdd();
        }
        return null;
    }

    @Override // k.b.b.a
    public final boolean l() {
        return true;
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    @Override // k.b.b.a
    public AdInfoBean p(Cursor cursor, int i2) {
        int i3 = i2 + 0;
        Long valueOf = cursor.isNull(i3) ? null : Long.valueOf(cursor.getLong(i3));
        int i4 = cursor.getInt(i2 + 1);
        int i5 = i2 + 2;
        String string = cursor.isNull(i5) ? null : cursor.getString(i5);
        int i6 = i2 + 3;
        String string2 = cursor.isNull(i6) ? null : cursor.getString(i6);
        int i7 = i2 + 4;
        String string3 = cursor.isNull(i7) ? null : cursor.getString(i7);
        int i8 = i2 + 5;
        Double valueOf2 = cursor.isNull(i8) ? null : Double.valueOf(cursor.getDouble(i8));
        int i9 = i2 + 6;
        Date date = cursor.isNull(i9) ? null : new Date(cursor.getLong(i9));
        int i10 = i2 + 7;
        int i11 = i2 + 8;
        int i12 = i2 + 12;
        int i13 = i2 + 13;
        int i14 = i2 + 14;
        return new AdInfoBean(valueOf, i4, string, string2, string3, valueOf2, date, cursor.isNull(i10) ? null : new Date(cursor.getLong(i10)), cursor.isNull(i11) ? null : cursor.getString(i11), cursor.getInt(i2 + 9), cursor.getInt(i2 + 10), cursor.getInt(i2 + 11), cursor.isNull(i12) ? null : cursor.getString(i12), cursor.isNull(i13) ? null : cursor.getString(i13), cursor.isNull(i14) ? null : cursor.getString(i14));
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    @Override // k.b.b.a
    public Long q(Cursor cursor, int i2) {
        int i3 = i2 + 0;
        if (cursor.isNull(i3)) {
            return null;
        }
        return Long.valueOf(cursor.getLong(i3));
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, long] */
    @Override // k.b.b.a
    public Long r(AdInfoBean adInfoBean, long j2) {
        adInfoBean.setIdd(Long.valueOf(j2));
        return Long.valueOf(j2);
    }
}
