package com.androidx.lv.base.db;

import android.database.Cursor;
import android.database.sqlite.SQLiteStatement;
import com.androidx.lv.base.bean.MangaHistory;
import d.c.a.a.a.b;
import k.b.b.a;
import k.b.b.e;
import k.b.b.f.c;
import tv.danmaku.ijk.media.player.IjkMediaMeta;

public class MangaHistoryDao extends a<MangaHistory, Long> {
    public static final String TABLENAME = "MANGA_HISTORY";

    public static class Properties {
        public static final e ChapterNewNum;
        public static final e ChapterNum;
        public static final e CoverImg = new e(2, String.class, "coverImg", false, "COVER_IMG");
        public static final e FakeWatchTimes;
        public static final e Id = new e(0, Long.class, "id", true, "_id");
        public static final e IsEnd = new e(4, Boolean.TYPE, "isEnd", false, "IS_END");
        public static final e MangaChapterId;
        public static final e MangaId;
        public static final e MangaTag = new e(10, String.class, "mangaTag", false, "MANGA_TAG");
        public static final e MangaTitle = new e(5, String.class, "mangaTitle", false, "MANGA_TITLE");
        public static final e PortrayNum = new e(11, String.class, "portrayNum", false, "PORTRAY_NUM");
        public static final e Price;
        public static final e Type;

        static {
            Class cls = Integer.TYPE;
            MangaId = new e(1, cls, "mangaId", false, "MANGA_ID");
            ChapterNewNum = new e(3, cls, "chapterNewNum", false, "CHAPTER_NEW_NUM");
            MangaChapterId = new e(6, cls, "mangaChapterId", false, "MANGA_CHAPTER_ID");
            ChapterNum = new e(7, cls, "chapterNum", false, "CHAPTER_NUM");
            Type = new e(8, cls, IjkMediaMeta.IJKM_KEY_TYPE, false, "TYPE");
            FakeWatchTimes = new e(9, cls, "fakeWatchTimes", false, "FAKE_WATCH_TIMES");
            Price = new e(12, cls, "price", false, "PRICE");
        }
    }

    public MangaHistoryDao(k.b.b.h.a aVar, b bVar) {
        super(aVar, bVar);
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [android.database.sqlite.SQLiteStatement, java.lang.Object] */
    @Override // k.b.b.a
    public void b(SQLiteStatement sQLiteStatement, MangaHistory mangaHistory) {
        MangaHistory mangaHistory2 = mangaHistory;
        sQLiteStatement.clearBindings();
        Long id = mangaHistory2.getId();
        if (id != null) {
            sQLiteStatement.bindLong(1, id.longValue());
        }
        sQLiteStatement.bindLong(2, (long) mangaHistory2.getMangaId());
        String coverImg = mangaHistory2.getCoverImg();
        if (coverImg != null) {
            sQLiteStatement.bindString(3, coverImg);
        }
        sQLiteStatement.bindLong(4, (long) mangaHistory2.getChapterNewNum());
        sQLiteStatement.bindLong(5, mangaHistory2.getIsEnd() ? 1 : 0);
        String mangaTitle = mangaHistory2.getMangaTitle();
        if (mangaTitle != null) {
            sQLiteStatement.bindString(6, mangaTitle);
        }
        sQLiteStatement.bindLong(7, (long) mangaHistory2.getMangaChapterId());
        sQLiteStatement.bindLong(8, (long) mangaHistory2.getChapterNum());
        sQLiteStatement.bindLong(9, (long) mangaHistory2.getType());
        sQLiteStatement.bindLong(10, (long) mangaHistory2.getFakeWatchTimes());
        String mangaTag = mangaHistory2.getMangaTag();
        if (mangaTag != null) {
            sQLiteStatement.bindString(11, mangaTag);
        }
        String portrayNum = mangaHistory2.getPortrayNum();
        if (portrayNum != null) {
            sQLiteStatement.bindString(12, portrayNum);
        }
        sQLiteStatement.bindLong(13, (long) mangaHistory2.getPrice());
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [k.b.b.f.c, java.lang.Object] */
    @Override // k.b.b.a
    public void c(c cVar, MangaHistory mangaHistory) {
        MangaHistory mangaHistory2 = mangaHistory;
        cVar.d();
        Long id = mangaHistory2.getId();
        if (id != null) {
            cVar.c(1, id.longValue());
        }
        cVar.c(2, (long) mangaHistory2.getMangaId());
        String coverImg = mangaHistory2.getCoverImg();
        if (coverImg != null) {
            cVar.a(3, coverImg);
        }
        cVar.c(4, (long) mangaHistory2.getChapterNewNum());
        cVar.c(5, mangaHistory2.getIsEnd() ? 1 : 0);
        String mangaTitle = mangaHistory2.getMangaTitle();
        if (mangaTitle != null) {
            cVar.a(6, mangaTitle);
        }
        cVar.c(7, (long) mangaHistory2.getMangaChapterId());
        cVar.c(8, (long) mangaHistory2.getChapterNum());
        cVar.c(9, (long) mangaHistory2.getType());
        cVar.c(10, (long) mangaHistory2.getFakeWatchTimes());
        String mangaTag = mangaHistory2.getMangaTag();
        if (mangaTag != null) {
            cVar.a(11, mangaTag);
        }
        String portrayNum = mangaHistory2.getPortrayNum();
        if (portrayNum != null) {
            cVar.a(12, portrayNum);
        }
        cVar.c(13, (long) mangaHistory2.getPrice());
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
    @Override // k.b.b.a
    public Long h(MangaHistory mangaHistory) {
        MangaHistory mangaHistory2 = mangaHistory;
        if (mangaHistory2 != null) {
            return mangaHistory2.getId();
        }
        return null;
    }

    @Override // k.b.b.a
    public final boolean l() {
        return true;
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    @Override // k.b.b.a
    public MangaHistory p(Cursor cursor, int i2) {
        int i3 = i2 + 0;
        String str = null;
        Long valueOf = cursor.isNull(i3) ? null : Long.valueOf(cursor.getLong(i3));
        int i4 = cursor.getInt(i2 + 1);
        int i5 = i2 + 2;
        String string = cursor.isNull(i5) ? null : cursor.getString(i5);
        int i6 = cursor.getInt(i2 + 3);
        boolean z = cursor.getShort(i2 + 4) != 0;
        int i7 = i2 + 5;
        String string2 = cursor.isNull(i7) ? null : cursor.getString(i7);
        int i8 = cursor.getInt(i2 + 6);
        int i9 = cursor.getInt(i2 + 7);
        int i10 = cursor.getInt(i2 + 8);
        int i11 = cursor.getInt(i2 + 9);
        int i12 = i2 + 10;
        String string3 = cursor.isNull(i12) ? null : cursor.getString(i12);
        int i13 = i2 + 11;
        if (!cursor.isNull(i13)) {
            str = cursor.getString(i13);
        }
        return new MangaHistory(valueOf, i4, string, i6, z, string2, i8, i9, i10, i11, string3, str, cursor.getInt(i2 + 12));
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    @Override // k.b.b.a
    public Long q(Cursor cursor, int i2) {
        int i3 = i2 + 0;
        if (cursor.isNull(i3)) {
            return null;
        }
        return Long.valueOf(cursor.getLong(i3));
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, long] */
    @Override // k.b.b.a
    public Long r(MangaHistory mangaHistory, long j2) {
        mangaHistory.setId(Long.valueOf(j2));
        return Long.valueOf(j2);
    }
}
