package com.androidx.lv.base.tab.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.GradientDrawable;
import android.graphics.drawable.StateListDrawable;
import android.util.AttributeSet;
import android.view.View;
import androidx.appcompat.widget.AppCompatTextView;
import com.androidx.lv.base.R$styleable;

public class MsgView extends AppCompatTextView {

    /* renamed from: d  reason: collision with root package name */
    public Context f4145d;

    /* renamed from: h  reason: collision with root package name */
    public GradientDrawable f4146h;

    /* renamed from: j  reason: collision with root package name */
    public int f4147j;

    /* renamed from: k  reason: collision with root package name */
    public int f4148k;

    /* renamed from: l  reason: collision with root package name */
    public int f4149l;
    public int m;
    public boolean n;
    public boolean o;

    public MsgView(Context context) {
        this(context, null);
    }

    public int dp2px(float f2) {
        return (int) ((f2 * this.f4145d.getResources().getDisplayMetrics().density) + 0.5f);
    }

    public int getBackgroundColor() {
        return this.f4147j;
    }

    public int getCornerRadius() {
        return this.f4148k;
    }

    public int getStrokeColor() {
        return this.m;
    }

    public int getStrokeWidth() {
        return this.f4149l;
    }

    @Override // androidx.appcompat.widget.AppCompatTextView
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        super.onLayout(z, i2, i3, i4, i5);
        if (this.n) {
            setCornerRadius(getHeight() / 2);
        } else {
            setBgSelector();
        }
    }

    @Override // androidx.appcompat.widget.AppCompatTextView
    public void onMeasure(int i2, int i3) {
        if (!this.o || getWidth() <= 0 || getHeight() <= 0) {
            super.onMeasure(i2, i3);
            return;
        }
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(Math.max(getWidth(), getHeight()), 1073741824);
        super.onMeasure(makeMeasureSpec, makeMeasureSpec);
    }

    public void setBackgroundColor(int i2) {
        this.f4147j = i2;
        setBgSelector();
    }

    public void setBgSelector() {
        StateListDrawable stateListDrawable = new StateListDrawable();
        GradientDrawable gradientDrawable = this.f4146h;
        int i2 = this.f4147j;
        int i3 = this.m;
        gradientDrawable.setColor(i2);
        gradientDrawable.setCornerRadius((float) this.f4148k);
        gradientDrawable.setStroke(this.f4149l, i3);
        stateListDrawable.addState(new int[]{-16842919}, this.f4146h);
        setBackground(stateListDrawable);
    }

    public void setCornerRadius(int i2) {
        this.f4148k = dp2px((float) i2);
        setBgSelector();
    }

    public void setIsRadiusHalfHeight(boolean z) {
        this.n = z;
        setBgSelector();
    }

    public void setIsWidthHeightEqual(boolean z) {
        this.o = z;
        setBgSelector();
    }

    public void setStrokeColor(int i2) {
        this.m = i2;
        setBgSelector();
    }

    public void setStrokeWidth(int i2) {
        this.f4149l = dp2px((float) i2);
        setBgSelector();
    }

    public MsgView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public MsgView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f4146h = new GradientDrawable();
        this.f4145d = context;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.MsgView);
        this.f4147j = obtainStyledAttributes.getColor(R$styleable.MsgView_mv_backgroundColor, 0);
        this.f4148k = obtainStyledAttributes.getDimensionPixelSize(R$styleable.MsgView_mv_cornerRadius, 0);
        this.f4149l = obtainStyledAttributes.getDimensionPixelSize(R$styleable.MsgView_mv_strokeWidth, 0);
        this.m = obtainStyledAttributes.getColor(R$styleable.MsgView_mv_strokeColor, 0);
        this.n = obtainStyledAttributes.getBoolean(R$styleable.MsgView_mv_isRadiusHalfHeight, false);
        this.o = obtainStyledAttributes.getBoolean(R$styleable.MsgView_mv_isWidthHeightEqual, false);
        obtainStyledAttributes.recycle();
    }
}
