package com.androidx.lv.base.ui;

import android.content.Intent;
import android.os.Bundle;
import android.os.IBinder;
import android.view.MotionEvent;
import android.view.View;
import android.view.inputmethod.InputMethodManager;
import android.widget.EditText;
import androidx.appcompat.app.AppCompatActivity;
import androidx.databinding.ViewDataBinding;
import b.l.d;
import b.o.a.n;
import c.a.a.b;
import cn.bingoogolapple.swipebacklayout.BGASwipeBackLayout;
import cn.bingoogolapple.swipebacklayout.R$anim;
import com.androidx.lv.base.BaseApp;
import com.androidx.lv.base.R$drawable;
import com.androidx.lv.base.utils.ActivityUtil;
import com.gyf.immersionbar.ImmersionBar;

public abstract class BaseActivity<T extends ViewDataBinding> extends AppCompatActivity implements b.a {

    /* renamed from: d  reason: collision with root package name */
    public b f4150d;

    /* renamed from: h  reason: collision with root package name */
    public T f4151h;

    /* renamed from: j  reason: collision with root package name */
    public long f4152j;

    /* renamed from: k  reason: collision with root package name */
    public boolean f4153k = true;

    public void B() {
        ImmersionBar.with(this).statusBarDarkFont(true).autoDarkModeEnable(true).keyboardEnable(false).init();
    }

    public boolean C() {
        long currentTimeMillis = System.currentTimeMillis();
        long j2 = currentTimeMillis - this.f4152j;
        int i2 = (j2 > 1000 ? 1 : (j2 == 1000 ? 0 : -1));
        if (i2 > 0) {
            this.f4152j = currentTimeMillis;
        }
        return !this.f4153k ? j2 < 0 : i2 <= 0;
    }

    public void D() {
        Intent intent = new Intent();
        intent.setAction("android.intent.action.MAIN");
        intent.addFlags(67108864);
        startActivity(intent);
        finish();
    }

    public abstract int E();

    public void F(String str, Object obj, Class<?> cls) {
        if (!C()) {
            Intent intent = new Intent();
            if (obj instanceof String) {
                intent.putExtra(str, obj.toString());
            } else if (obj instanceof Integer) {
                intent.putExtra(str, ((Integer) obj).intValue());
            }
            intent.setClass(this, cls);
            startActivity(intent);
        }
    }

    public boolean dispatchTouchEvent(MotionEvent motionEvent) {
        IBinder windowToken;
        if (motionEvent.getAction() == 0) {
            View currentFocus = getCurrentFocus();
            boolean z = false;
            if (currentFocus instanceof EditText) {
                int[] iArr = {0, 0};
                currentFocus.getLocationInWindow(iArr);
                int i2 = iArr[0];
                int i3 = iArr[1];
                int height = currentFocus.getHeight() + i3;
                int width = currentFocus.getWidth() + i2;
                if (motionEvent.getX() <= ((float) i2) || motionEvent.getX() >= ((float) width) || motionEvent.getY() <= ((float) i3) || motionEvent.getY() >= ((float) height)) {
                    z = true;
                }
            }
            if (z && (windowToken = currentFocus.getWindowToken()) != null) {
                ((InputMethodManager) getSystemService("input_method")).hideSoftInputFromWindow(windowToken, 2);
            }
        }
        return super.dispatchTouchEvent(motionEvent);
    }

    public void initData() {
    }

    public void initView() {
    }

    @Override // androidx.activity.ComponentActivity
    public void onBackPressed() {
        b bVar = this.f4150d;
        BGASwipeBackLayout bGASwipeBackLayout = bVar.f4021c;
        if (!(bGASwipeBackLayout != null ? bGASwipeBackLayout.I : false)) {
            n.H(bVar.f4019a);
            bVar.f4019a.finish();
            bVar.f4019a.overridePendingTransition(R$anim.bga_sbl_activity_backward_enter, R$anim.bga_sbl_activity_backward_exit);
        }
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity
    public void onCreate(Bundle bundle) {
        b bVar = new b(this, this);
        this.f4150d = bVar;
        BGASwipeBackLayout bGASwipeBackLayout = bVar.f4021c;
        if (bGASwipeBackLayout != null) {
            bGASwipeBackLayout.setSwipeBackEnable(true);
        }
        BGASwipeBackLayout bGASwipeBackLayout2 = this.f4150d.f4021c;
        if (bGASwipeBackLayout2 != null) {
            bGASwipeBackLayout2.setIsOnlyTrackingLeftEdge(true);
        }
        BGASwipeBackLayout bGASwipeBackLayout3 = this.f4150d.f4021c;
        if (bGASwipeBackLayout3 != null) {
            bGASwipeBackLayout3.setIsWeChatStyle(true);
        }
        b bVar2 = this.f4150d;
        int i2 = R$drawable.bga_sbl_shadow;
        BGASwipeBackLayout bGASwipeBackLayout4 = bVar2.f4021c;
        if (bGASwipeBackLayout4 != null) {
            bGASwipeBackLayout4.setShadowResId(i2);
        }
        BGASwipeBackLayout bGASwipeBackLayout5 = this.f4150d.f4021c;
        if (bGASwipeBackLayout5 != null) {
            bGASwipeBackLayout5.setIsNeedShowShadow(true);
        }
        BGASwipeBackLayout bGASwipeBackLayout6 = this.f4150d.f4021c;
        if (bGASwipeBackLayout6 != null) {
            bGASwipeBackLayout6.setIsShadowAlphaGradient(true);
        }
        BGASwipeBackLayout bGASwipeBackLayout7 = this.f4150d.f4021c;
        if (bGASwipeBackLayout7 != null) {
            bGASwipeBackLayout7.setSwipeBackThreshold(0.3f);
        }
        BGASwipeBackLayout bGASwipeBackLayout8 = this.f4150d.f4021c;
        if (bGASwipeBackLayout8 != null) {
            bGASwipeBackLayout8.setIsNavigationBarOverlap(false);
        }
        super.onCreate(bundle);
        if (BaseApp.f4099j == -1) {
            D();
            return;
        }
        getWindow().addFlags(128);
        ActivityUtil.getInstance().addActivity(this);
        T t = (T) d.e(this, E());
        this.f4151h = t;
        t.setLifecycleOwner(this);
        initView();
        B();
        initData();
    }

    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onDestroy() {
        ActivityUtil.getInstance().removeActivity(this);
        super.onDestroy();
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (getCurrentFocus() != null) {
            return ((InputMethodManager) getSystemService("input_method")).hideSoftInputFromWindow(getCurrentFocus().getWindowToken(), 0);
        }
        return super.onTouchEvent(motionEvent);
    }
}
