package com.bumptech.glide;

import androidx.core.util.Pools$Pool;
import androidx.core.util.Pools$SynchronizedPool;
import com.bumptech.glide.load.ImageHeaderParser;
import d.d.a.m.k;
import d.d.a.m.l;
import d.d.a.m.n.e;
import d.d.a.m.p.n;
import d.d.a.m.p.o;
import d.d.a.m.p.p;
import d.d.a.m.p.r;
import d.d.a.m.q.h.f;
import d.d.a.p.a;
import d.d.a.p.b;
import d.d.a.p.c;
import d.d.a.p.d;
import d.d.a.p.e;
import d.d.a.p.f;
import d.d.a.s.j.a;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
import java.util.Objects;

public class Registry {

    /* renamed from: a  reason: collision with root package name */
    public final p f4160a;

    /* renamed from: b  reason: collision with root package name */
    public final a f4161b;

    /* renamed from: c  reason: collision with root package name */
    public final e f4162c;

    /* renamed from: d  reason: collision with root package name */
    public final f f4163d;

    /* renamed from: e  reason: collision with root package name */
    public final d.d.a.m.n.f f4164e;

    /* renamed from: f  reason: collision with root package name */
    public final d.d.a.m.q.h.f f4165f;

    /* renamed from: g  reason: collision with root package name */
    public final b f4166g;

    /* renamed from: h  reason: collision with root package name */
    public final d f4167h = new d();

    /* renamed from: i  reason: collision with root package name */
    public final c f4168i = new c();

    /* renamed from: j  reason: collision with root package name */
    public final Pools$Pool<List<Throwable>> f4169j;

    public static class MissingComponentException extends RuntimeException {
        public MissingComponentException(String str) {
            super(str);
        }
    }

    public static final class NoImageHeaderParserException extends MissingComponentException {
        public NoImageHeaderParserException() {
            super("Failed to find image header parser.");
        }
    }

    public static class NoModelLoaderAvailableException extends MissingComponentException {
        /* JADX WARNING: Illegal instructions before constructor call */
        public NoModelLoaderAvailableException(Object obj) {
            super(r0.toString());
            StringBuilder B = d.a.a.a.a.B("Failed to find any ModelLoaders registered for model class: ");
            B.append(obj.getClass());
        }

        public <M> NoModelLoaderAvailableException(M m, List<n<M, ?>> list) {
            super("Found ModelLoaders for model class: " + list + ", but none that handle this specific model instance: " + ((Object) m));
        }

        public NoModelLoaderAvailableException(Class<?> cls, Class<?> cls2) {
            super("Failed to find any ModelLoaders for model: " + cls + " and data: " + cls2);
        }
    }

    public static class NoResultEncoderAvailableException extends MissingComponentException {
        public NoResultEncoderAvailableException(Class<?> cls) {
            super("Failed to find result encoder for resource class: " + cls + ", you may need to consider registering a new Encoder for the requested type or DiskCacheStrategy.DATA/DiskCacheStrategy.NONE if caching your transformed resource is unnecessary.");
        }
    }

    public static class NoSourceEncoderAvailableException extends MissingComponentException {
        public NoSourceEncoderAvailableException(Class<?> cls) {
            super("Failed to find source encoder for data class: " + cls);
        }
    }

    public Registry() {
        a.c cVar = new a.c(new Pools$SynchronizedPool(20), new d.d.a.s.j.b(), new d.d.a.s.j.c());
        this.f4169j = cVar;
        this.f4160a = new p(cVar);
        this.f4161b = new d.d.a.p.a();
        this.f4162c = new e();
        this.f4163d = new f();
        this.f4164e = new d.d.a.m.n.f();
        this.f4165f = new d.d.a.m.q.h.f();
        this.f4166g = new b();
        List<String> asList = Arrays.asList("Gif", "Bitmap", "BitmapDrawable");
        ArrayList arrayList = new ArrayList(asList.size());
        arrayList.add("legacy_prepend_all");
        for (String str : asList) {
            arrayList.add(str);
        }
        arrayList.add("legacy_append");
        e eVar = this.f4162c;
        synchronized (eVar) {
            ArrayList arrayList2 = new ArrayList(eVar.f8348a);
            eVar.f8348a.clear();
            Iterator it = arrayList.iterator();
            while (it.hasNext()) {
                eVar.f8348a.add((String) it.next());
            }
            Iterator it2 = arrayList2.iterator();
            while (it2.hasNext()) {
                String str2 = (String) it2.next();
                if (!arrayList.contains(str2)) {
                    eVar.f8348a.add(str2);
                }
            }
        }
    }

    public <Data> Registry a(Class<Data> cls, d.d.a.m.a<Data> aVar) {
        d.d.a.p.a aVar2 = this.f4161b;
        synchronized (aVar2) {
            aVar2.f8339a.add(new a.C0065a<>(cls, aVar));
        }
        return this;
    }

    public <TResource> Registry b(Class<TResource> cls, l<TResource> lVar) {
        f fVar = this.f4163d;
        synchronized (fVar) {
            fVar.f8353a.add(new f.a<>(cls, lVar));
        }
        return this;
    }

    public <Model, Data> Registry c(Class<Model> cls, Class<Data> cls2, o<Model, Data> oVar) {
        p pVar = this.f4160a;
        synchronized (pVar) {
            pVar.f8133a.a(cls, cls2, oVar);
            pVar.f8134b.f8135a.clear();
        }
        return this;
    }

    public <Data, TResource> Registry d(String str, Class<Data> cls, Class<TResource> cls2, k<Data, TResource> kVar) {
        e eVar = this.f4162c;
        synchronized (eVar) {
            eVar.a(str).add(new e.a<>(cls, cls2, kVar));
        }
        return this;
    }

    public List<ImageHeaderParser> e() {
        List<ImageHeaderParser> list;
        b bVar = this.f4166g;
        synchronized (bVar) {
            list = bVar.f8342a;
        }
        if (!list.isEmpty()) {
            return list;
        }
        throw new NoImageHeaderParserException();
    }

    public <Model> List<n<Model, ?>> f(Model model) {
        List<n<Model, ?>> list;
        p pVar = this.f4160a;
        Objects.requireNonNull(pVar);
        Class<?> cls = model.getClass();
        synchronized (pVar) {
            p.a.C0058a<?> aVar = pVar.f8134b.f8135a.get(cls);
            if (aVar == null) {
                list = null;
            } else {
                list = aVar.f8136a;
            }
            if (list == null) {
                list = Collections.unmodifiableList(pVar.f8133a.d(cls));
                if (pVar.f8134b.f8135a.put(cls, new p.a.C0058a<>(list)) != null) {
                    throw new IllegalStateException("Already cached loaders for model: " + cls);
                }
            }
        }
        if (!list.isEmpty()) {
            int size = list.size();
            List<n<Model, ?>> emptyList = Collections.emptyList();
            boolean z = true;
            for (int i2 = 0; i2 < size; i2++) {
                n<Model, ?> nVar = list.get(i2);
                if (nVar.b(model)) {
                    if (z) {
                        emptyList = new ArrayList<>(size - i2);
                        z = false;
                    }
                    emptyList.add(nVar);
                }
            }
            if (!emptyList.isEmpty()) {
                return emptyList;
            }
            throw new NoModelLoaderAvailableException(model, list);
        }
        throw new NoModelLoaderAvailableException(model);
    }

    public <TResource> Registry g(Class<TResource> cls, l<TResource> lVar) {
        f fVar = this.f4163d;
        synchronized (fVar) {
            fVar.f8353a.add(0, new f.a<>(cls, lVar));
        }
        return this;
    }

    public <Data, TResource> Registry h(String str, Class<Data> cls, Class<TResource> cls2, k<Data, TResource> kVar) {
        e eVar = this.f4162c;
        synchronized (eVar) {
            eVar.a(str).add(0, new e.a<>(cls, cls2, kVar));
        }
        return this;
    }

    public Registry i(e.a<?> aVar) {
        d.d.a.m.n.f fVar = this.f4164e;
        synchronized (fVar) {
            fVar.f7854b.put(aVar.a(), aVar);
        }
        return this;
    }

    public <TResource, Transcode> Registry j(Class<TResource> cls, Class<Transcode> cls2, d.d.a.m.q.h.e<TResource, Transcode> eVar) {
        d.d.a.m.q.h.f fVar = this.f4165f;
        synchronized (fVar) {
            fVar.f8310a.add(new f.a<>(cls, cls2, eVar));
        }
        return this;
    }

    public <Model, Data> Registry k(Class<Model> cls, Class<Data> cls2, o<? extends Model, ? extends Data> oVar) {
        List<o<? extends Model, ? extends Data>> f2;
        p pVar = this.f4160a;
        synchronized (pVar) {
            r rVar = pVar.f8133a;
            synchronized (rVar) {
                f2 = rVar.f(cls, cls2);
                rVar.a(cls, cls2, oVar);
            }
            Iterator it = ((ArrayList) f2).iterator();
            while (it.hasNext()) {
                ((o) it.next()).c();
            }
            pVar.f8134b.f8135a.clear();
        }
        return this;
    }
}
