package com.bumptech.glide.integration.webp;

import androidx.core.internal.view.SupportMenu;
import androidx.recyclerview.widget.ItemTouchHelper;
import com.bumptech.glide.load.resource.bitmap.RecyclableBufferedInputStream;
import com.shuyu.gsyvideoplayer.utils.NeuQuant;
import java.io.InputStream;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;

public class WebpHeaderParser {

    public enum WebpImageType {
        WEBP_SIMPLE(false, false),
        WEBP_LOSSLESS(false, false),
        WEBP_LOSSLESS_WITH_ALPHA(true, false),
        WEBP_EXTENDED(false, false),
        WEBP_EXTENDED_WITH_ALPHA(true, false),
        WEBP_EXTENDED_ANIMATED(false, true),
        NONE_WEBP(false, false);
        
        private final boolean hasAlpha;
        private final boolean hasAnimation;

        private WebpImageType(boolean z, boolean z2) {
            this.hasAlpha = z;
            this.hasAnimation = z2;
        }

        public boolean hasAlpha() {
            return this.hasAlpha;
        }

        public boolean hasAnimation() {
            return this.hasAnimation;
        }
    }

    public static final class a implements c {

        /* renamed from: a  reason: collision with root package name */
        public final byte[] f4170a;

        /* renamed from: b  reason: collision with root package name */
        public final int f4171b;

        /* renamed from: c  reason: collision with root package name */
        public final int f4172c;

        /* renamed from: d  reason: collision with root package name */
        public int f4173d;

        public a(byte[] bArr, int i2, int i3) {
            this.f4170a = bArr;
            this.f4171b = i2;
            this.f4172c = i3;
            this.f4173d = i2;
        }

        @Override // com.bumptech.glide.integration.webp.WebpHeaderParser.c
        public int a() {
            return ((b() << 8) & ItemTouchHelper.ACTION_MODE_SWIPE_MASK) | (b() & NeuQuant.maxnetpos);
        }

        @Override // com.bumptech.glide.integration.webp.WebpHeaderParser.c
        public int b() {
            int i2 = this.f4173d;
            if (i2 >= this.f4171b + this.f4172c) {
                return -1;
            }
            byte[] bArr = this.f4170a;
            this.f4173d = i2 + 1;
            return bArr[i2];
        }

        @Override // com.bumptech.glide.integration.webp.WebpHeaderParser.c
        public long skip(long j2) {
            int min = (int) Math.min((long) ((this.f4171b + this.f4172c) - this.f4173d), j2);
            this.f4173d += min;
            return (long) min;
        }
    }

    public static final class b implements c {

        /* renamed from: a  reason: collision with root package name */
        public final ByteBuffer f4174a;

        public b(ByteBuffer byteBuffer) {
            this.f4174a = byteBuffer;
            byteBuffer.order(ByteOrder.BIG_ENDIAN);
        }

        @Override // com.bumptech.glide.integration.webp.WebpHeaderParser.c
        public int a() {
            return ((b() << 8) & ItemTouchHelper.ACTION_MODE_SWIPE_MASK) | (b() & NeuQuant.maxnetpos);
        }

        @Override // com.bumptech.glide.integration.webp.WebpHeaderParser.c
        public int b() {
            if (this.f4174a.remaining() < 1) {
                return -1;
            }
            return this.f4174a.get();
        }

        @Override // com.bumptech.glide.integration.webp.WebpHeaderParser.c
        public long skip(long j2) {
            int min = (int) Math.min((long) this.f4174a.remaining(), j2);
            ByteBuffer byteBuffer = this.f4174a;
            byteBuffer.position(byteBuffer.position() + min);
            return (long) min;
        }
    }

    public interface c {
        int a();

        int b();

        long skip(long j2);
    }

    public static final class d implements c {

        /* renamed from: a  reason: collision with root package name */
        public final InputStream f4175a;

        public d(InputStream inputStream) {
            this.f4175a = inputStream;
        }

        @Override // com.bumptech.glide.integration.webp.WebpHeaderParser.c
        public int a() {
            return ((this.f4175a.read() << 8) & ItemTouchHelper.ACTION_MODE_SWIPE_MASK) | (this.f4175a.read() & NeuQuant.maxnetpos);
        }

        @Override // com.bumptech.glide.integration.webp.WebpHeaderParser.c
        public int b() {
            return this.f4175a.read();
        }

        @Override // com.bumptech.glide.integration.webp.WebpHeaderParser.c
        public long skip(long j2) {
            if (j2 < 0) {
                return 0;
            }
            long j3 = j2;
            while (j3 > 0) {
                long skip = this.f4175a.skip(j3);
                if (skip <= 0) {
                    if (this.f4175a.read() == -1) {
                        break;
                    }
                    skip = 1;
                }
                j3 -= skip;
            }
            return j2 - j3;
        }
    }

    public static WebpImageType a(c cVar) {
        if ((((cVar.a() << 16) & SupportMenu.CATEGORY_MASK) | (cVar.a() & 65535)) != 1380533830) {
            return WebpImageType.NONE_WEBP;
        }
        cVar.skip(4);
        if ((((cVar.a() << 16) & SupportMenu.CATEGORY_MASK) | (cVar.a() & 65535)) != 1464156752) {
            return WebpImageType.NONE_WEBP;
        }
        int a2 = ((cVar.a() << 16) & SupportMenu.CATEGORY_MASK) | (cVar.a() & 65535);
        if (a2 == 1448097824) {
            return WebpImageType.WEBP_SIMPLE;
        }
        if (a2 == 1448097868) {
            cVar.skip(4);
            return (cVar.b() & 8) != 0 ? WebpImageType.WEBP_LOSSLESS_WITH_ALPHA : WebpImageType.WEBP_LOSSLESS;
        } else if (a2 != 1448097880) {
            return WebpImageType.NONE_WEBP;
        } else {
            cVar.skip(4);
            int b2 = cVar.b();
            if ((b2 & 2) != 0) {
                return WebpImageType.WEBP_EXTENDED_ANIMATED;
            }
            if ((b2 & 16) != 0) {
                return WebpImageType.WEBP_EXTENDED_WITH_ALPHA;
            }
            return WebpImageType.WEBP_EXTENDED;
        }
    }

    public static WebpImageType b(InputStream inputStream, d.d.a.m.o.z.b bVar) {
        if (inputStream == null) {
            return WebpImageType.NONE_WEBP;
        }
        if (!inputStream.markSupported()) {
            inputStream = new RecyclableBufferedInputStream(inputStream, bVar);
        }
        inputStream.mark(21);
        try {
            return a(new d(inputStream));
        } finally {
            inputStream.reset();
        }
    }

    public static WebpImageType c(ByteBuffer byteBuffer) {
        if (byteBuffer == null) {
            return WebpImageType.NONE_WEBP;
        }
        return a(new b(byteBuffer));
    }

    public static boolean d(WebpImageType webpImageType) {
        return webpImageType == WebpImageType.WEBP_EXTENDED_ANIMATED;
    }
}
