package com.bumptech.glide.integration.webp.decoder;

import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.drawable.Animatable;
import android.graphics.drawable.Drawable;
import android.view.Gravity;
import androidx.vectordrawable.graphics.drawable.Animatable2Compat;
import b.o.a.n;
import d.d.a.l.a.c.m;
import d.d.a.m.o.z.d;
import java.util.ArrayList;
import java.util.List;

public class WebpDrawable extends Drawable implements m.b, Animatable, Animatable2Compat {

    /* renamed from: d  reason: collision with root package name */
    public final a f4176d;

    /* renamed from: h  reason: collision with root package name */
    public boolean f4177h;

    /* renamed from: j  reason: collision with root package name */
    public boolean f4178j;

    /* renamed from: k  reason: collision with root package name */
    public boolean f4179k;

    /* renamed from: l  reason: collision with root package name */
    public boolean f4180l;
    public int m;
    public int n;
    public boolean o;
    public Paint p;
    public Rect q;
    public List<Animatable2Compat.a> r;

    public static class a extends Drawable.ConstantState {

        /* renamed from: a  reason: collision with root package name */
        public final d f4181a;

        /* renamed from: b  reason: collision with root package name */
        public final m f4182b;

        public a(d dVar, m mVar) {
            this.f4181a = dVar;
            this.f4182b = mVar;
        }

        public int getChangingConfigurations() {
            return 0;
        }

        public Drawable newDrawable() {
            return new WebpDrawable(this);
        }

        public Drawable newDrawable(Resources resources) {
            return new WebpDrawable(this);
        }
    }

    public WebpDrawable(a aVar) {
        this.f4180l = true;
        this.n = -1;
        this.f4180l = true;
        this.n = -1;
        this.f4176d = aVar;
    }

    @Override // d.d.a.l.a.c.m.b
    public void a() {
        Drawable.Callback callback = getCallback();
        while (callback instanceof Drawable) {
            callback = ((Drawable) callback).getCallback();
        }
        if (callback == null) {
            stop();
            invalidateSelf();
            return;
        }
        invalidateSelf();
        m mVar = this.f4176d.f4182b;
        m.a aVar = mVar.f7825j;
        if ((aVar != null ? aVar.f7829l : -1) == mVar.f7817b.f7796b.getFrameCount() - 1) {
            this.m++;
        }
        int i2 = this.n;
        if (i2 != -1 && this.m >= i2) {
            stop();
            List<Animatable2Compat.a> list = this.r;
            if (list != null) {
                int size = list.size();
                for (int i3 = 0; i3 < size; i3++) {
                    this.r.get(i3).a(this);
                }
            }
        }
    }

    public final Paint b() {
        if (this.p == null) {
            this.p = new Paint(2);
        }
        return this.p;
    }

    public final void c() {
        n.B(!this.f4179k, "You cannot start a recycled Drawable. Ensure thatyou clear any references to the Drawable when clearing the corresponding request.");
        if (this.f4176d.f4182b.f7817b.f7796b.getFrameCount() == 1) {
            invalidateSelf();
        } else if (!this.f4177h) {
            this.f4177h = true;
            m mVar = this.f4176d.f4182b;
            if (mVar.f7826k) {
                throw new IllegalStateException("Cannot subscribe to a cleared frame loader");
            } else if (!mVar.f7819d.contains(this)) {
                boolean isEmpty = mVar.f7819d.isEmpty();
                mVar.f7819d.add(this);
                if (isEmpty && !mVar.f7822g) {
                    mVar.f7822g = true;
                    mVar.f7826k = false;
                    mVar.a();
                }
                invalidateSelf();
            } else {
                throw new IllegalStateException("Cannot subscribe twice in a row");
            }
        }
    }

    @Override // androidx.vectordrawable.graphics.drawable.Animatable2Compat
    public void clearAnimationCallbacks() {
        List<Animatable2Compat.a> list = this.r;
        if (list != null) {
            list.clear();
        }
    }

    public final void d() {
        this.f4177h = false;
        m mVar = this.f4176d.f4182b;
        mVar.f7819d.remove(this);
        if (mVar.f7819d.isEmpty()) {
            mVar.f7822g = false;
        }
    }

    public void draw(Canvas canvas) {
        Bitmap bitmap;
        if (!this.f4179k) {
            if (this.o) {
                int intrinsicWidth = getIntrinsicWidth();
                int intrinsicHeight = getIntrinsicHeight();
                Rect bounds = getBounds();
                if (this.q == null) {
                    this.q = new Rect();
                }
                Gravity.apply(119, intrinsicWidth, intrinsicHeight, bounds, this.q);
                this.o = false;
            }
            m mVar = this.f4176d.f4182b;
            m.a aVar = mVar.f7825j;
            if (aVar != null) {
                bitmap = aVar.n;
            } else {
                bitmap = mVar.m;
            }
            if (this.q == null) {
                this.q = new Rect();
            }
            canvas.drawBitmap(bitmap, (Rect) null, this.q, b());
        }
    }

    public Drawable.ConstantState getConstantState() {
        return this.f4176d;
    }

    public int getIntrinsicHeight() {
        return this.f4176d.f4182b.r;
    }

    public int getIntrinsicWidth() {
        return this.f4176d.f4182b.q;
    }

    @Deprecated
    public int getOpacity() {
        return -2;
    }

    public boolean isRunning() {
        return this.f4177h;
    }

    public void onBoundsChange(Rect rect) {
        super.onBoundsChange(rect);
        this.o = true;
    }

    @Override // androidx.vectordrawable.graphics.drawable.Animatable2Compat
    public void registerAnimationCallback(Animatable2Compat.a aVar) {
        if (aVar != null) {
            if (this.r == null) {
                this.r = new ArrayList();
            }
            this.r.add(aVar);
        }
    }

    public void setAlpha(int i2) {
        b().setAlpha(i2);
    }

    public void setColorFilter(ColorFilter colorFilter) {
        b().setColorFilter(colorFilter);
    }

    public boolean setVisible(boolean z, boolean z2) {
        n.B(!this.f4179k, "Cannot change the visibility of a recycled resource. Ensure that you unset the Drawable from your View before changing the View's visibility.");
        this.f4180l = z;
        if (!z) {
            d();
        } else if (this.f4178j) {
            c();
        }
        return super.setVisible(z, z2);
    }

    public void start() {
        this.f4178j = true;
        this.m = 0;
        if (this.f4180l) {
            c();
        }
    }

    public void stop() {
        this.f4178j = false;
        d();
    }

    @Override // androidx.vectordrawable.graphics.drawable.Animatable2Compat
    public boolean unregisterAnimationCallback(Animatable2Compat.a aVar) {
        List<Animatable2Compat.a> list = this.r;
        if (list == null || aVar == null) {
            return false;
        }
        return list.remove(aVar);
    }
}
