package com.bumptech.glide.load.engine;

import android.os.Build;
import android.os.SystemClock;
import android.util.Log;
import androidx.core.util.Pools$Pool;
import com.bumptech.glide.Priority;
import com.bumptech.glide.load.DataSource;
import d.d.a.m.g;
import d.d.a.m.j;
import d.d.a.m.l;
import d.d.a.m.n.e;
import d.d.a.m.o.f;
import d.d.a.m.o.h;
import d.d.a.m.o.i;
import d.d.a.m.o.j;
import d.d.a.m.o.k;
import d.d.a.m.o.m;
import d.d.a.m.o.o;
import d.d.a.m.o.p;
import d.d.a.m.o.r;
import d.d.a.m.o.s;
import d.d.a.m.o.t;
import d.d.a.m.o.u;
import d.d.a.m.o.y;
import d.d.a.s.j.a;
import d.d.a.s.j.d;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Objects;

public class DecodeJob<R> implements f.a, Runnable, Comparable<DecodeJob<?>>, a.d {
    public long A;
    public boolean B;
    public Object C;
    public Thread D;
    public g E;
    public g F;
    public Object G;
    public DataSource H;
    public d.d.a.m.n.d<?> I;
    public volatile f J;
    public volatile boolean K;
    public volatile boolean L;
    public boolean M;

    /* renamed from: d  reason: collision with root package name */
    public final d.d.a.m.o.g<R> f4189d = new d.d.a.m.o.g<>();

    /* renamed from: h  reason: collision with root package name */
    public final List<Throwable> f4190h = new ArrayList();

    /* renamed from: j  reason: collision with root package name */
    public final d.d.a.s.j.d f4191j = new d.b();

    /* renamed from: k  reason: collision with root package name */
    public final d f4192k;

    /* renamed from: l  reason: collision with root package name */
    public final Pools$Pool<DecodeJob<?>> f4193l;
    public final c<?> m = new c<>();
    public final e n = new e();
    public d.d.a.e o;
    public g p;
    public Priority q;
    public m r;
    public int s;
    public int t;
    public i u;
    public j v;
    public a<R> w;
    public int x;
    public Stage y;
    public RunReason z;

    public enum RunReason {
        INITIALIZE,
        SWITCH_TO_SOURCE_SERVICE,
        DECODE_DATA
    }

    public enum Stage {
        INITIALIZE,
        RESOURCE_CACHE,
        DATA_CACHE,
        SOURCE,
        ENCODE,
        FINISHED
    }

    public interface a<R> {
    }

    public final class b<Z> implements h.a<Z> {

        /* renamed from: a  reason: collision with root package name */
        public final DataSource f4194a;

        public b(DataSource dataSource) {
            this.f4194a = dataSource;
        }
    }

    public static class c<Z> {

        /* renamed from: a  reason: collision with root package name */
        public g f4196a;

        /* renamed from: b  reason: collision with root package name */
        public l<Z> f4197b;

        /* renamed from: c  reason: collision with root package name */
        public s<Z> f4198c;
    }

    public interface d {
    }

    public static class e {

        /* renamed from: a  reason: collision with root package name */
        public boolean f4199a;

        /* renamed from: b  reason: collision with root package name */
        public boolean f4200b;

        /* renamed from: c  reason: collision with root package name */
        public boolean f4201c;

        public final boolean a(boolean z) {
            return (this.f4201c || z || this.f4200b) && this.f4199a;
        }
    }

    public DecodeJob(d dVar, Pools$Pool<DecodeJob<?>> pools$Pool) {
        this.f4192k = dVar;
        this.f4193l = pools$Pool;
    }

    @Override // d.d.a.m.o.f.a
    public void a() {
        this.z = RunReason.SWITCH_TO_SOURCE_SERVICE;
        ((k) this.w).i(this);
    }

    @Override // d.d.a.m.o.f.a
    public void b(g gVar, Exception exc, d.d.a.m.n.d<?> dVar, DataSource dataSource) {
        dVar.b();
        GlideException glideException = new GlideException("Fetching data failed", exc);
        glideException.setLoggingDetails(gVar, dataSource, dVar.a());
        this.f4190h.add(glideException);
        if (Thread.currentThread() != this.D) {
            this.z = RunReason.SWITCH_TO_SOURCE_SERVICE;
            ((k) this.w).i(this);
            return;
        }
        m();
    }

    @Override // d.d.a.m.o.f.a
    public void c(g gVar, Object obj, d.d.a.m.n.d<?> dVar, DataSource dataSource, g gVar2) {
        this.E = gVar;
        this.G = obj;
        this.I = dVar;
        this.H = dataSource;
        this.F = gVar2;
        boolean z2 = false;
        if (gVar != this.f4189d.a().get(0)) {
            z2 = true;
        }
        this.M = z2;
        if (Thread.currentThread() != this.D) {
            this.z = RunReason.DECODE_DATA;
            ((k) this.w).i(this);
            return;
        }
        g();
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
    @Override // java.lang.Comparable
    public int compareTo(DecodeJob<?> decodeJob) {
        DecodeJob<?> decodeJob2 = decodeJob;
        int ordinal = this.q.ordinal() - decodeJob2.q.ordinal();
        return ordinal == 0 ? this.x - decodeJob2.x : ordinal;
    }

    @Override // d.d.a.s.j.a.d
    public d.d.a.s.j.d d() {
        return this.f4191j;
    }

    public final <Data> t<R> e(d.d.a.m.n.d<?> dVar, Data data, DataSource dataSource) {
        if (data == null) {
            dVar.b();
            return null;
        }
        try {
            int i2 = d.d.a.s.e.f8419b;
            long elapsedRealtimeNanos = SystemClock.elapsedRealtimeNanos();
            t<R> f2 = f(data, dataSource);
            if (Log.isLoggable("DecodeJob", 2)) {
                j("Decoded result " + f2, elapsedRealtimeNanos, null);
            }
            return f2;
        } finally {
            dVar.b();
        }
    }

    public final <Data> t<R> f(Data data, DataSource dataSource) {
        d.d.a.m.n.e<Data> b2;
        r<Data, ?, R> d2 = this.f4189d.d(data.getClass());
        j jVar = this.v;
        if (Build.VERSION.SDK_INT >= 26) {
            boolean z2 = dataSource == DataSource.RESOURCE_DISK_CACHE || this.f4189d.r;
            d.d.a.m.i<Boolean> iVar = d.d.a.m.q.c.l.f8219e;
            Boolean bool = (Boolean) jVar.c(iVar);
            if (bool == null || (bool.booleanValue() && !z2)) {
                jVar = new j();
                jVar.d(this.v);
                jVar.f7845b.put(iVar, Boolean.valueOf(z2));
            }
        }
        d.d.a.m.n.f fVar = this.o.f7686c.f4164e;
        synchronized (fVar) {
            e.a<?> aVar = fVar.f7854b.get(data.getClass());
            if (aVar == null) {
                Iterator<e.a<?>> it = fVar.f7854b.values().iterator();
                while (true) {
                    if (!it.hasNext()) {
                        break;
                    }
                    e.a<?> next = it.next();
                    if (next.a().isAssignableFrom(data.getClass())) {
                        aVar = next;
                        break;
                    }
                }
            }
            if (aVar == null) {
                aVar = d.d.a.m.n.f.f7853a;
            }
            b2 = aVar.b(data);
        }
        try {
            return d2.a(b2, jVar, this.s, this.t, new b(dataSource));
        } finally {
            b2.b();
        }
    }

    public final void g() {
        t tVar;
        boolean a2;
        if (Log.isLoggable("DecodeJob", 2)) {
            long j2 = this.A;
            StringBuilder B2 = d.a.a.a.a.B("data: ");
            B2.append(this.G);
            B2.append(", cache key: ");
            B2.append(this.E);
            B2.append(", fetcher: ");
            B2.append(this.I);
            j("Retrieved data", j2, B2.toString());
        }
        s sVar = null;
        try {
            tVar = (t<R>) e(this.I, this.G, this.H);
        } catch (GlideException e2) {
            e2.setLoggingDetails(this.F, this.H);
            this.f4190h.add(e2);
            tVar = sVar;
        }
        if (tVar != null) {
            DataSource dataSource = this.H;
            boolean z2 = this.M;
            if (tVar instanceof p) {
                ((p) tVar).a();
            }
            if (this.m.f4198c != null) {
                sVar = s.a(tVar);
                tVar = sVar;
            }
            o();
            k<?> kVar = (k) this.w;
            synchronized (kVar) {
                kVar.y = tVar;
                kVar.z = dataSource;
                kVar.G = z2;
            }
            synchronized (kVar) {
                kVar.f7993j.a();
                if (kVar.F) {
                    kVar.y.recycle();
                    kVar.g();
                } else if (kVar.f7992h.isEmpty()) {
                    throw new IllegalStateException("Received a resource without any callbacks to notify");
                } else if (!kVar.A) {
                    k.c cVar = kVar.m;
                    t<?> tVar2 = kVar.y;
                    boolean z3 = kVar.u;
                    g gVar = kVar.t;
                    o.a aVar = kVar.f7994k;
                    Objects.requireNonNull(cVar);
                    kVar.D = new o<>(tVar2, z3, true, gVar, aVar);
                    kVar.A = true;
                    k.e eVar = kVar.f7992h;
                    Objects.requireNonNull(eVar);
                    ArrayList arrayList = new ArrayList(eVar.f8002d);
                    kVar.e(arrayList.size() + 1);
                    ((d.d.a.m.o.j) kVar.n).e(kVar, kVar.t, kVar.D);
                    Iterator it = arrayList.iterator();
                    while (it.hasNext()) {
                        k.d dVar = (k.d) it.next();
                        dVar.f8001b.execute(new k.b(dVar.f8000a));
                    }
                    kVar.c();
                } else {
                    throw new IllegalStateException("Already have resource");
                }
            }
            this.y = Stage.ENCODE;
            try {
                c<?> cVar2 = this.m;
                if (cVar2.f4198c != null) {
                    try {
                        ((j.c) this.f4192k).a().a(cVar2.f4196a, new d.d.a.m.o.e(cVar2.f4197b, cVar2.f4198c, this.v));
                    } finally {
                        cVar2.f4198c.c();
                    }
                }
                e eVar2 = this.n;
                synchronized (eVar2) {
                    eVar2.f4200b = true;
                    a2 = eVar2.a(false);
                }
                if (a2) {
                    l();
                }
            } finally {
                if (sVar != null) {
                    sVar.c();
                }
            }
        } else {
            m();
        }
    }

    public final f h() {
        int ordinal = this.y.ordinal();
        if (ordinal == 1) {
            return new u(this.f4189d, this);
        }
        if (ordinal == 2) {
            return new d.d.a.m.o.c(this.f4189d, this);
        }
        if (ordinal == 3) {
            return new y(this.f4189d, this);
        }
        if (ordinal == 5) {
            return null;
        }
        StringBuilder B2 = d.a.a.a.a.B("Unrecognized stage: ");
        B2.append(this.y);
        throw new IllegalStateException(B2.toString());
    }

    public final Stage i(Stage stage) {
        int ordinal = stage.ordinal();
        if (ordinal != 0) {
            if (ordinal != 1) {
                if (ordinal == 2) {
                    return this.B ? Stage.FINISHED : Stage.SOURCE;
                }
                if (ordinal == 3 || ordinal == 5) {
                    return Stage.FINISHED;
                }
                throw new IllegalArgumentException("Unrecognized stage: " + stage);
            } else if (this.u.a()) {
                return Stage.DATA_CACHE;
            } else {
                return i(Stage.DATA_CACHE);
            }
        } else if (this.u.b()) {
            return Stage.RESOURCE_CACHE;
        } else {
            return i(Stage.RESOURCE_CACHE);
        }
    }

    public final void j(String str, long j2, String str2) {
        StringBuilder F2 = d.a.a.a.a.F(str, " in ");
        F2.append(d.d.a.s.e.a(j2));
        F2.append(", load key: ");
        F2.append(this.r);
        F2.append(str2 != null ? d.a.a.a.a.s(", ", str2) : "");
        F2.append(", thread: ");
        F2.append(Thread.currentThread().getName());
        Log.v("DecodeJob", F2.toString());
    }

    public final void k() {
        boolean a2;
        o();
        GlideException glideException = new GlideException("Failed to load resource", new ArrayList(this.f4190h));
        k<?> kVar = (k) this.w;
        synchronized (kVar) {
            kVar.B = glideException;
        }
        synchronized (kVar) {
            kVar.f7993j.a();
            if (kVar.F) {
                kVar.g();
            } else if (kVar.f7992h.isEmpty()) {
                throw new IllegalStateException("Received an exception without any callbacks to notify");
            } else if (!kVar.C) {
                kVar.C = true;
                g gVar = kVar.t;
                k.e eVar = kVar.f7992h;
                Objects.requireNonNull(eVar);
                ArrayList arrayList = new ArrayList(eVar.f8002d);
                kVar.e(arrayList.size() + 1);
                ((d.d.a.m.o.j) kVar.n).e(kVar, gVar, null);
                Iterator it = arrayList.iterator();
                while (it.hasNext()) {
                    k.d dVar = (k.d) it.next();
                    dVar.f8001b.execute(new k.a(dVar.f8000a));
                }
                kVar.c();
            } else {
                throw new IllegalStateException("Already failed once");
            }
        }
        e eVar2 = this.n;
        synchronized (eVar2) {
            eVar2.f4201c = true;
            a2 = eVar2.a(false);
        }
        if (a2) {
            l();
        }
    }

    public final void l() {
        e eVar = this.n;
        synchronized (eVar) {
            eVar.f4200b = false;
            eVar.f4199a = false;
            eVar.f4201c = false;
        }
        c<?> cVar = this.m;
        cVar.f4196a = null;
        cVar.f4197b = null;
        cVar.f4198c = null;
        d.d.a.m.o.g<R> gVar = this.f4189d;
        gVar.f7946c = null;
        gVar.f7947d = null;
        gVar.n = null;
        gVar.f7950g = null;
        gVar.f7954k = null;
        gVar.f7952i = null;
        gVar.o = null;
        gVar.f7953j = null;
        gVar.p = null;
        gVar.f7944a.clear();
        gVar.f7955l = false;
        gVar.f7945b.clear();
        gVar.m = false;
        this.K = false;
        this.o = null;
        this.p = null;
        this.v = null;
        this.q = null;
        this.r = null;
        this.w = null;
        this.y = null;
        this.J = null;
        this.D = null;
        this.E = null;
        this.G = null;
        this.H = null;
        this.I = null;
        this.A = 0;
        this.L = false;
        this.C = null;
        this.f4190h.clear();
        this.f4193l.release(this);
    }

    public final void m() {
        this.D = Thread.currentThread();
        int i2 = d.d.a.s.e.f8419b;
        this.A = SystemClock.elapsedRealtimeNanos();
        boolean z2 = false;
        while (!this.L && this.J != null && !(z2 = this.J.e())) {
            this.y = i(this.y);
            this.J = h();
            if (this.y == Stage.SOURCE) {
                this.z = RunReason.SWITCH_TO_SOURCE_SERVICE;
                ((k) this.w).i(this);
                return;
            }
        }
        if ((this.y == Stage.FINISHED || this.L) && !z2) {
            k();
        }
    }

    public final void n() {
        int ordinal = this.z.ordinal();
        if (ordinal == 0) {
            this.y = i(Stage.INITIALIZE);
            this.J = h();
            m();
        } else if (ordinal == 1) {
            m();
        } else if (ordinal == 2) {
            g();
        } else {
            StringBuilder B2 = d.a.a.a.a.B("Unrecognized run reason: ");
            B2.append(this.z);
            throw new IllegalStateException(B2.toString());
        }
    }

    public final void o() {
        Throwable th;
        this.f4191j.a();
        if (this.K) {
            if (this.f4190h.isEmpty()) {
                th = null;
            } else {
                List<Throwable> list = this.f4190h;
                th = list.get(list.size() - 1);
            }
            throw new IllegalStateException("Already notified", th);
        }
        this.K = true;
    }

    public void run() {
        d.d.a.m.n.d<?> dVar = this.I;
        try {
            if (this.L) {
                k();
                if (dVar != null) {
                    dVar.b();
                    return;
                }
                return;
            }
            n();
            if (dVar != null) {
                dVar.b();
            }
        } catch (CallbackException e2) {
            throw e2;
        } catch (Throwable th) {
            if (dVar != null) {
                dVar.b();
            }
            throw th;
        }
    }
}
