package com.bumptech.glide.load.resource.bitmap;

import d.d.a.m.o.z.b;
import java.io.FilterInputStream;
import java.io.IOException;
import java.io.InputStream;

public class RecyclableBufferedInputStream extends FilterInputStream {

    /* renamed from: d  reason: collision with root package name */
    public volatile byte[] f4216d;

    /* renamed from: h  reason: collision with root package name */
    public int f4217h;

    /* renamed from: j  reason: collision with root package name */
    public int f4218j;

    /* renamed from: k  reason: collision with root package name */
    public int f4219k = -1;

    /* renamed from: l  reason: collision with root package name */
    public int f4220l;
    public final b m;

    public static class InvalidMarkException extends IOException {
        private static final long serialVersionUID = -4338378848813561757L;

        public InvalidMarkException(String str) {
            super(str);
        }
    }

    public RecyclableBufferedInputStream(InputStream inputStream, b bVar) {
        super(inputStream);
        this.m = bVar;
        this.f4216d = (byte[]) bVar.e(65536, byte[].class);
    }

    public static IOException c() {
        throw new IOException("BufferedInputStream is closed");
    }

    public final int a(InputStream inputStream, byte[] bArr) {
        int i2;
        int i3 = this.f4219k;
        if (i3 == -1 || this.f4220l - i3 >= (i2 = this.f4218j)) {
            int read = inputStream.read(bArr);
            if (read > 0) {
                this.f4219k = -1;
                this.f4220l = 0;
                this.f4217h = read;
            }
            return read;
        }
        if (i3 == 0 && i2 > bArr.length && this.f4217h == bArr.length) {
            int length = bArr.length * 2;
            if (length <= i2) {
                i2 = length;
            }
            byte[] bArr2 = (byte[]) this.m.e(i2, byte[].class);
            System.arraycopy(bArr, 0, bArr2, 0, bArr.length);
            this.f4216d = bArr2;
            this.m.put(bArr);
            bArr = bArr2;
        } else if (i3 > 0) {
            System.arraycopy(bArr, i3, bArr, 0, bArr.length - i3);
        }
        int i4 = this.f4220l - this.f4219k;
        this.f4220l = i4;
        this.f4219k = 0;
        this.f4217h = 0;
        int read2 = inputStream.read(bArr, i4, bArr.length - i4);
        int i5 = this.f4220l;
        if (read2 > 0) {
            i5 += read2;
        }
        this.f4217h = i5;
        return read2;
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public synchronized int available() {
        InputStream inputStream;
        inputStream = ((FilterInputStream) this).in;
        if (this.f4216d == null || inputStream == null) {
            c();
            throw null;
        }
        return (this.f4217h - this.f4220l) + inputStream.available();
    }

    public synchronized void b() {
        if (this.f4216d != null) {
            this.m.put(this.f4216d);
            this.f4216d = null;
        }
    }

    @Override // java.io.FilterInputStream, java.io.Closeable, java.lang.AutoCloseable, java.io.InputStream
    public void close() {
        if (this.f4216d != null) {
            this.m.put(this.f4216d);
            this.f4216d = null;
        }
        InputStream inputStream = ((FilterInputStream) this).in;
        ((FilterInputStream) this).in = null;
        if (inputStream != null) {
            inputStream.close();
        }
    }

    public synchronized void mark(int i2) {
        this.f4218j = Math.max(this.f4218j, i2);
        this.f4219k = this.f4220l;
    }

    public boolean markSupported() {
        return true;
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public synchronized int read() {
        byte[] bArr = this.f4216d;
        InputStream inputStream = ((FilterInputStream) this).in;
        if (bArr == null || inputStream == null) {
            c();
            throw null;
        } else if (this.f4220l >= this.f4217h && a(inputStream, bArr) == -1) {
            return -1;
        } else {
            if (bArr == this.f4216d || (bArr = this.f4216d) != null) {
                int i2 = this.f4217h;
                int i3 = this.f4220l;
                if (i2 - i3 <= 0) {
                    return -1;
                }
                this.f4220l = i3 + 1;
                return bArr[i3] & 255;
            }
            c();
            throw null;
        }
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public synchronized void reset() {
        if (this.f4216d != null) {
            int i2 = this.f4219k;
            if (-1 != i2) {
                this.f4220l = i2;
            } else {
                throw new InvalidMarkException("Mark has been invalidated, pos: " + this.f4220l + " markLimit: " + this.f4218j);
            }
        } else {
            throw new IOException("Stream is closed");
        }
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public synchronized long skip(long j2) {
        if (j2 < 1) {
            return 0;
        }
        byte[] bArr = this.f4216d;
        if (bArr != null) {
            InputStream inputStream = ((FilterInputStream) this).in;
            if (inputStream != null) {
                int i2 = this.f4217h;
                int i3 = this.f4220l;
                if (((long) (i2 - i3)) >= j2) {
                    this.f4220l = (int) (((long) i3) + j2);
                    return j2;
                }
                long j3 = ((long) i2) - ((long) i3);
                this.f4220l = i2;
                if (this.f4219k == -1 || j2 > ((long) this.f4218j)) {
                    long skip = inputStream.skip(j2 - j3);
                    if (skip > 0) {
                        this.f4219k = -1;
                    }
                    return j3 + skip;
                } else if (a(inputStream, bArr) == -1) {
                    return j3;
                } else {
                    int i4 = this.f4217h;
                    int i5 = this.f4220l;
                    if (((long) (i4 - i5)) >= j2 - j3) {
                        this.f4220l = (int) ((((long) i5) + j2) - j3);
                        return j2;
                    }
                    long j4 = (j3 + ((long) i4)) - ((long) i5);
                    this.f4220l = i4;
                    return j4;
                }
            } else {
                c();
                throw null;
            }
        } else {
            c();
            throw null;
        }
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public synchronized int read(byte[] bArr, int i2, int i3) {
        int i4;
        int i5;
        byte[] bArr2 = this.f4216d;
        if (bArr2 == null) {
            c();
            throw null;
        } else if (i3 == 0) {
            return 0;
        } else {
            InputStream inputStream = ((FilterInputStream) this).in;
            if (inputStream != null) {
                int i6 = this.f4220l;
                int i7 = this.f4217h;
                if (i6 < i7) {
                    int i8 = i7 - i6 >= i3 ? i3 : i7 - i6;
                    System.arraycopy(bArr2, i6, bArr, i2, i8);
                    this.f4220l += i8;
                    if (i8 == i3 || inputStream.available() == 0) {
                        return i8;
                    }
                    i2 += i8;
                    i4 = i3 - i8;
                } else {
                    i4 = i3;
                }
                while (true) {
                    int i9 = -1;
                    if (this.f4219k == -1 && i4 >= bArr2.length) {
                        i5 = inputStream.read(bArr, i2, i4);
                        if (i5 == -1) {
                            if (i4 != i3) {
                                i9 = i3 - i4;
                            }
                            return i9;
                        }
                    } else if (a(inputStream, bArr2) == -1) {
                        if (i4 != i3) {
                            i9 = i3 - i4;
                        }
                        return i9;
                    } else if (bArr2 == this.f4216d || (bArr2 = this.f4216d) != null) {
                        int i10 = this.f4217h;
                        int i11 = this.f4220l;
                        i5 = i10 - i11 >= i4 ? i4 : i10 - i11;
                        System.arraycopy(bArr2, i11, bArr, i2, i5);
                        this.f4220l += i5;
                    } else {
                        c();
                        throw null;
                    }
                    i4 -= i5;
                    if (i4 == 0) {
                        return i3;
                    }
                    if (inputStream.available() == 0) {
                        return i3 - i4;
                    }
                    i2 += i5;
                }
            } else {
                c();
                throw null;
            }
        }
    }
}
