package com.bumptech.glide.load.resource.bitmap;

import android.content.res.AssetFileDescriptor;
import android.graphics.Bitmap;
import android.media.MediaMetadataRetriever;
import android.os.Build;
import android.os.ParcelFileDescriptor;
import android.util.Log;
import d.d.a.m.i;
import d.d.a.m.j;
import d.d.a.m.k;
import d.d.a.m.o.t;
import d.d.a.m.q.c.a0;
import java.nio.ByteBuffer;
import java.security.MessageDigest;
import java.util.Objects;

public class VideoDecoder<T> implements k<T, Bitmap> {

    /* renamed from: a  reason: collision with root package name */
    public static final i<Long> f4221a = new i<>("com.bumptech.glide.load.resource.bitmap.VideoBitmapDecode.TargetFrame", -1L, new a());

    /* renamed from: b  reason: collision with root package name */
    public static final i<Integer> f4222b = new i<>("com.bumptech.glide.load.resource.bitmap.VideoBitmapDecode.FrameOption", 2, new b());

    /* renamed from: c  reason: collision with root package name */
    public static final e f4223c = new e();

    /* renamed from: d  reason: collision with root package name */
    public final f<T> f4224d;

    /* renamed from: e  reason: collision with root package name */
    public final d.d.a.m.o.z.d f4225e;

    /* renamed from: f  reason: collision with root package name */
    public final e f4226f;

    public static final class VideoDecoderException extends RuntimeException {
        private static final long serialVersionUID = -2556382523004027815L;

        public VideoDecoderException() {
            super("MediaMetadataRetriever failed to retrieve a frame without throwing, check the adb logs for .*MetadataRetriever.* prior to this exception for details");
        }
    }

    public class a implements i.b<Long> {

        /* renamed from: a  reason: collision with root package name */
        public final ByteBuffer f4227a = ByteBuffer.allocate(8);

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [byte[], java.lang.Object, java.security.MessageDigest] */
        @Override // d.d.a.m.i.b
        public void a(byte[] bArr, Long l2, MessageDigest messageDigest) {
            Long l3 = l2;
            messageDigest.update(bArr);
            synchronized (this.f4227a) {
                this.f4227a.position(0);
                messageDigest.update(this.f4227a.putLong(l3.longValue()).array());
            }
        }
    }

    public class b implements i.b<Integer> {

        /* renamed from: a  reason: collision with root package name */
        public final ByteBuffer f4228a = ByteBuffer.allocate(4);

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [byte[], java.lang.Object, java.security.MessageDigest] */
        @Override // d.d.a.m.i.b
        public void a(byte[] bArr, Integer num, MessageDigest messageDigest) {
            Integer num2 = num;
            if (num2 != null) {
                messageDigest.update(bArr);
                synchronized (this.f4228a) {
                    this.f4228a.position(0);
                    messageDigest.update(this.f4228a.putInt(num2.intValue()).array());
                }
            }
        }
    }

    public static final class c implements f<AssetFileDescriptor> {
        public c(a aVar) {
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [android.media.MediaMetadataRetriever, java.lang.Object] */
        @Override // com.bumptech.glide.load.resource.bitmap.VideoDecoder.f
        public void a(MediaMetadataRetriever mediaMetadataRetriever, AssetFileDescriptor assetFileDescriptor) {
            AssetFileDescriptor assetFileDescriptor2 = assetFileDescriptor;
            mediaMetadataRetriever.setDataSource(assetFileDescriptor2.getFileDescriptor(), assetFileDescriptor2.getStartOffset(), assetFileDescriptor2.getLength());
        }
    }

    public static final class d implements f<ByteBuffer> {
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [android.media.MediaMetadataRetriever, java.lang.Object] */
        @Override // com.bumptech.glide.load.resource.bitmap.VideoDecoder.f
        public void a(MediaMetadataRetriever mediaMetadataRetriever, ByteBuffer byteBuffer) {
            mediaMetadataRetriever.setDataSource(new a0(this, byteBuffer));
        }
    }

    public static class e {
    }

    public interface f<T> {
        void a(MediaMetadataRetriever mediaMetadataRetriever, T t);
    }

    public static final class g implements f<ParcelFileDescriptor> {
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [android.media.MediaMetadataRetriever, java.lang.Object] */
        @Override // com.bumptech.glide.load.resource.bitmap.VideoDecoder.f
        public void a(MediaMetadataRetriever mediaMetadataRetriever, ParcelFileDescriptor parcelFileDescriptor) {
            mediaMetadataRetriever.setDataSource(parcelFileDescriptor.getFileDescriptor());
        }
    }

    public VideoDecoder(d.d.a.m.o.z.d dVar, f<T> fVar) {
        e eVar = f4223c;
        this.f4225e = dVar;
        this.f4224d = fVar;
        this.f4226f = eVar;
    }

    /* JADX WARNING: Removed duplicated region for block: B:21:0x0065  */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x006b A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x006c  */
    public static Bitmap c(MediaMetadataRetriever mediaMetadataRetriever, long j2, int i2, int i3, int i4, DownsampleStrategy downsampleStrategy) {
        Bitmap bitmap;
        if (!(Build.VERSION.SDK_INT < 27 || i3 == Integer.MIN_VALUE || i4 == Integer.MIN_VALUE || downsampleStrategy == DownsampleStrategy.f4212d)) {
            try {
                int parseInt = Integer.parseInt(mediaMetadataRetriever.extractMetadata(18));
                int parseInt2 = Integer.parseInt(mediaMetadataRetriever.extractMetadata(19));
                int parseInt3 = Integer.parseInt(mediaMetadataRetriever.extractMetadata(24));
                if (parseInt3 == 90 || parseInt3 == 270) {
                    parseInt2 = parseInt;
                    parseInt = parseInt2;
                }
                float b2 = downsampleStrategy.b(parseInt, parseInt2, i3, i4);
                bitmap = mediaMetadataRetriever.getScaledFrameAtTime(j2, i2, Math.round(((float) parseInt) * b2), Math.round(b2 * ((float) parseInt2)));
            } catch (Throwable th) {
                if (Log.isLoggable("VideoDecoder", 3)) {
                    Log.d("VideoDecoder", "Exception trying to decode a scaled frame on oreo+, falling back to a fullsize frame", th);
                }
            }
            if (bitmap == null) {
                bitmap = mediaMetadataRetriever.getFrameAtTime(j2, i2);
            }
            if (bitmap == null) {
                return bitmap;
            }
            throw new VideoDecoderException();
        }
        bitmap = null;
        if (bitmap == null) {
        }
        if (bitmap == null) {
        }
    }

    /* JADX INFO: finally extract failed */
    /* JADX DEBUG: Multi-variable search result rejected for r12v0, resolved type: d.d.a.m.j */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // d.d.a.m.k
    public t<Bitmap> a(T t, int i2, int i3, j jVar) {
        long longValue = ((Long) jVar.c(f4221a)).longValue();
        if (longValue >= 0 || longValue == -1) {
            Integer num = (Integer) jVar.c(f4222b);
            if (num == null) {
                num = 2;
            }
            DownsampleStrategy downsampleStrategy = (DownsampleStrategy) jVar.c(DownsampleStrategy.f4214f);
            if (downsampleStrategy == null) {
                downsampleStrategy = DownsampleStrategy.f4213e;
            }
            Objects.requireNonNull(this.f4226f);
            MediaMetadataRetriever mediaMetadataRetriever = new MediaMetadataRetriever();
            try {
                this.f4224d.a(mediaMetadataRetriever, t);
                Bitmap c2 = c(mediaMetadataRetriever, longValue, num.intValue(), i2, i3, downsampleStrategy);
                mediaMetadataRetriever.release();
                return d.d.a.m.q.c.e.c(c2, this.f4225e);
            } catch (Throwable th) {
                mediaMetadataRetriever.release();
                throw th;
            }
        } else {
            throw new IllegalArgumentException(d.a.a.a.a.o("Requested frame must be non-negative, or DEFAULT_FRAME, given: ", longValue));
        }
    }

    @Override // d.d.a.m.k
    public boolean b(T t, j jVar) {
        return true;
    }
}
