package com.bumptech.glide.load.resource.gif;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.drawable.Animatable;
import android.graphics.drawable.Drawable;
import android.view.Gravity;
import androidx.vectordrawable.graphics.drawable.Animatable2Compat;
import b.o.a.n;
import d.d.a.c;
import d.d.a.m.m;
import d.d.a.m.q.g.f;
import java.util.ArrayList;
import java.util.List;

public class GifDrawable extends Drawable implements f.b, Animatable, Animatable2Compat {

    /* renamed from: d  reason: collision with root package name */
    public final a f4229d;

    /* renamed from: h  reason: collision with root package name */
    public boolean f4230h;

    /* renamed from: j  reason: collision with root package name */
    public boolean f4231j;

    /* renamed from: k  reason: collision with root package name */
    public boolean f4232k;

    /* renamed from: l  reason: collision with root package name */
    public boolean f4233l = true;
    public int m;
    public int n = -1;
    public boolean o;
    public Paint p;
    public Rect q;
    public List<Animatable2Compat.a> r;

    public static final class a extends Drawable.ConstantState {

        /* renamed from: a  reason: collision with root package name */
        public final f f4234a;

        public a(f fVar) {
            this.f4234a = fVar;
        }

        public int getChangingConfigurations() {
            return 0;
        }

        public Drawable newDrawable() {
            return new GifDrawable(this);
        }

        public Drawable newDrawable(Resources resources) {
            return new GifDrawable(this);
        }
    }

    public GifDrawable(Context context, d.d.a.k.a aVar, m<Bitmap> mVar, int i2, int i3, Bitmap bitmap) {
        a aVar2 = new a(new f(c.b(context), aVar, i2, i3, mVar, bitmap));
        this.f4229d = aVar2;
    }

    @Override // d.d.a.m.q.g.f.b
    public void a() {
        Drawable.Callback callback = getCallback();
        while (callback instanceof Drawable) {
            callback = ((Drawable) callback).getCallback();
        }
        if (callback == null) {
            stop();
            invalidateSelf();
            return;
        }
        invalidateSelf();
        f fVar = this.f4229d.f4234a;
        f.a aVar = fVar.f8291i;
        if ((aVar != null ? aVar.f8296l : -1) == fVar.f8283a.e() - 1) {
            this.m++;
        }
        int i2 = this.n;
        if (i2 != -1 && this.m >= i2) {
            List<Animatable2Compat.a> list = this.r;
            if (list != null) {
                int size = list.size();
                for (int i3 = 0; i3 < size; i3++) {
                    this.r.get(i3).a(this);
                }
            }
            stop();
        }
    }

    public Bitmap b() {
        return this.f4229d.f4234a.f8294l;
    }

    public final Paint c() {
        if (this.p == null) {
            this.p = new Paint(2);
        }
        return this.p;
    }

    @Override // androidx.vectordrawable.graphics.drawable.Animatable2Compat
    public void clearAnimationCallbacks() {
        List<Animatable2Compat.a> list = this.r;
        if (list != null) {
            list.clear();
        }
    }

    public final void d() {
        n.B(!this.f4232k, "You cannot start a recycled Drawable. Ensure thatyou clear any references to the Drawable when clearing the corresponding request.");
        if (this.f4229d.f4234a.f8283a.e() == 1) {
            invalidateSelf();
        } else if (!this.f4230h) {
            this.f4230h = true;
            f fVar = this.f4229d.f4234a;
            if (fVar.f8292j) {
                throw new IllegalStateException("Cannot subscribe to a cleared frame loader");
            } else if (!fVar.f8285c.contains(this)) {
                boolean isEmpty = fVar.f8285c.isEmpty();
                fVar.f8285c.add(this);
                if (isEmpty && !fVar.f8288f) {
                    fVar.f8288f = true;
                    fVar.f8292j = false;
                    fVar.a();
                }
                invalidateSelf();
            } else {
                throw new IllegalStateException("Cannot subscribe twice in a row");
            }
        }
    }

    public void draw(Canvas canvas) {
        Bitmap bitmap;
        if (!this.f4232k) {
            if (this.o) {
                int intrinsicWidth = getIntrinsicWidth();
                int intrinsicHeight = getIntrinsicHeight();
                Rect bounds = getBounds();
                if (this.q == null) {
                    this.q = new Rect();
                }
                Gravity.apply(119, intrinsicWidth, intrinsicHeight, bounds, this.q);
                this.o = false;
            }
            f fVar = this.f4229d.f4234a;
            f.a aVar = fVar.f8291i;
            if (aVar != null) {
                bitmap = aVar.n;
            } else {
                bitmap = fVar.f8294l;
            }
            if (this.q == null) {
                this.q = new Rect();
            }
            canvas.drawBitmap(bitmap, (Rect) null, this.q, c());
        }
    }

    public final void e() {
        this.f4230h = false;
        f fVar = this.f4229d.f4234a;
        fVar.f8285c.remove(this);
        if (fVar.f8285c.isEmpty()) {
            fVar.f8288f = false;
        }
    }

    public Drawable.ConstantState getConstantState() {
        return this.f4229d;
    }

    public int getIntrinsicHeight() {
        return this.f4229d.f4234a.q;
    }

    public int getIntrinsicWidth() {
        return this.f4229d.f4234a.p;
    }

    public int getOpacity() {
        return -2;
    }

    public boolean isRunning() {
        return this.f4230h;
    }

    public void onBoundsChange(Rect rect) {
        super.onBoundsChange(rect);
        this.o = true;
    }

    @Override // androidx.vectordrawable.graphics.drawable.Animatable2Compat
    public void registerAnimationCallback(Animatable2Compat.a aVar) {
        if (aVar != null) {
            if (this.r == null) {
                this.r = new ArrayList();
            }
            this.r.add(aVar);
        }
    }

    public void setAlpha(int i2) {
        c().setAlpha(i2);
    }

    public void setColorFilter(ColorFilter colorFilter) {
        c().setColorFilter(colorFilter);
    }

    public boolean setVisible(boolean z, boolean z2) {
        n.B(!this.f4232k, "Cannot change the visibility of a recycled resource. Ensure that you unset the Drawable from your View before changing the View's visibility.");
        this.f4233l = z;
        if (!z) {
            e();
        } else if (this.f4231j) {
            d();
        }
        return super.setVisible(z, z2);
    }

    public void start() {
        this.f4231j = true;
        this.m = 0;
        if (this.f4233l) {
            d();
        }
    }

    public void stop() {
        this.f4231j = false;
        e();
    }

    @Override // androidx.vectordrawable.graphics.drawable.Animatable2Compat
    public boolean unregisterAnimationCallback(Animatable2Compat.a aVar) {
        List<Animatable2Compat.a> list = this.r;
        if (list == null || aVar == null) {
            return false;
        }
        return list.remove(aVar);
    }

    public GifDrawable(a aVar) {
        this.f4229d = aVar;
    }
}
