package com.bumptech.glide.request;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.drawable.Drawable;
import android.os.SystemClock;
import android.util.Log;
import com.bumptech.glide.Priority;
import com.bumptech.glide.load.DataSource;
import com.bumptech.glide.load.engine.GlideException;
import d.d.a.d;
import d.d.a.m.o.j;
import d.d.a.m.o.t;
import d.d.a.m.p.l;
import d.d.a.q.a;
import d.d.a.q.c;
import d.d.a.q.e;
import d.d.a.q.g;
import d.d.a.q.i.h;
import d.d.a.q.i.i;
import d.d.a.s.j.d;
import java.util.List;
import java.util.Objects;
import java.util.concurrent.Executor;

public final class SingleRequest<R> implements c, h, g {

    /* renamed from: a  reason: collision with root package name */
    public static final boolean f4241a = Log.isLoggable("Request", 2);
    public int A;
    public int B;
    public boolean C;
    public RuntimeException D;

    /* renamed from: b  reason: collision with root package name */
    public final String f4242b;

    /* renamed from: c  reason: collision with root package name */
    public final d f4243c;

    /* renamed from: d  reason: collision with root package name */
    public final Object f4244d;

    /* renamed from: e  reason: collision with root package name */
    public final e<R> f4245e;

    /* renamed from: f  reason: collision with root package name */
    public final RequestCoordinator f4246f;

    /* renamed from: g  reason: collision with root package name */
    public final Context f4247g;

    /* renamed from: h  reason: collision with root package name */
    public final d.d.a.e f4248h;

    /* renamed from: i  reason: collision with root package name */
    public final Object f4249i;

    /* renamed from: j  reason: collision with root package name */
    public final Class<R> f4250j;

    /* renamed from: k  reason: collision with root package name */
    public final a<?> f4251k;

    /* renamed from: l  reason: collision with root package name */
    public final int f4252l;
    public final int m;
    public final Priority n;
    public final i<R> o;
    public final List<e<R>> p;
    public final d.d.a.q.j.c<? super R> q;
    public final Executor r;
    public t<R> s;
    public j.d t;
    public long u;
    public volatile j v;
    public Status w;
    public Drawable x;
    public Drawable y;
    public Drawable z;

    public enum Status {
        PENDING,
        RUNNING,
        WAITING_FOR_SIZE,
        COMPLETE,
        FAILED,
        CLEARED
    }

    public SingleRequest(Context context, d.d.a.e eVar, Object obj, Object obj2, Class<R> cls, a<?> aVar, int i2, int i3, Priority priority, i<R> iVar, e<R> eVar2, List<e<R>> list, RequestCoordinator requestCoordinator, j jVar, d.d.a.q.j.c<? super R> cVar, Executor executor) {
        this.f4242b = f4241a ? String.valueOf(hashCode()) : null;
        this.f4243c = new d.b();
        this.f4244d = obj;
        this.f4247g = context;
        this.f4248h = eVar;
        this.f4249i = obj2;
        this.f4250j = cls;
        this.f4251k = aVar;
        this.f4252l = i2;
        this.m = i3;
        this.n = priority;
        this.o = iVar;
        this.f4245e = eVar2;
        this.p = list;
        this.f4246f = requestCoordinator;
        this.v = jVar;
        this.q = cVar;
        this.r = executor;
        this.w = Status.PENDING;
        if (this.D == null && eVar.f7692i.f7695a.containsKey(d.c.class)) {
            this.D = new RuntimeException("Glide request origin trace");
        }
    }

    @Override // d.d.a.q.c
    public boolean a() {
        boolean z2;
        synchronized (this.f4244d) {
            z2 = this.w == Status.COMPLETE;
        }
        return z2;
    }

    @Override // d.d.a.q.i.h
    public void b(int i2, int i3) {
        Object obj;
        Throwable th;
        int i4;
        int i5 = i2;
        this.f4243c.a();
        Object obj2 = this.f4244d;
        synchronized (obj2) {
            try {
                boolean z2 = f4241a;
                if (z2) {
                    m("Got onSizeReady in " + d.d.a.s.e.a(this.u));
                }
                if (this.w == Status.WAITING_FOR_SIZE) {
                    Status status = Status.RUNNING;
                    this.w = status;
                    float f2 = this.f4251k.f8357h;
                    if (i5 != Integer.MIN_VALUE) {
                        i5 = Math.round(((float) i5) * f2);
                    }
                    this.A = i5;
                    if (i3 == Integer.MIN_VALUE) {
                        i4 = i3;
                    } else {
                        i4 = Math.round(f2 * ((float) i3));
                    }
                    this.B = i4;
                    if (z2) {
                        m("finished setup for calling load in " + d.d.a.s.e.a(this.u));
                    }
                    j jVar = this.v;
                    d.d.a.e eVar = this.f4248h;
                    Object obj3 = this.f4249i;
                    a<?> aVar = this.f4251k;
                    try {
                        obj = obj2;
                    } catch (Throwable th2) {
                        th = th2;
                        obj = obj2;
                        while (true) {
                            try {
                                break;
                            } catch (Throwable th3) {
                                th = th3;
                            }
                        }
                        throw th;
                    }
                    try {
                    } catch (Throwable th4) {
                        th = th4;
                        while (true) {
                            break;
                        }
                        throw th;
                    }
                    try {
                        this.t = jVar.b(eVar, obj3, aVar.s, this.A, this.B, aVar.z, this.f4250j, this.n, aVar.f8358j, aVar.y, aVar.t, aVar.F, aVar.x, aVar.p, aVar.D, aVar.G, aVar.E, this, this.r);
                        if (this.w != status) {
                            this.t = null;
                        }
                        if (z2) {
                            m("finished onSizeReady in " + d.d.a.s.e.a(this.u));
                        }
                    } catch (Throwable th5) {
                        th = th5;
                        while (true) {
                            break;
                        }
                        throw th;
                    }
                }
            } catch (Throwable th6) {
                th = th6;
                obj = obj2;
                while (true) {
                    break;
                }
                throw th;
            }
        }
    }

    @Override // d.d.a.q.c
    public boolean c(c cVar) {
        int i2;
        int i3;
        Object obj;
        Class<R> cls;
        a<?> aVar;
        Priority priority;
        int size;
        int i4;
        int i5;
        Object obj2;
        Class<R> cls2;
        a<?> aVar2;
        Priority priority2;
        int size2;
        boolean z2;
        if (!(cVar instanceof SingleRequest)) {
            return false;
        }
        synchronized (this.f4244d) {
            i2 = this.f4252l;
            i3 = this.m;
            obj = this.f4249i;
            cls = this.f4250j;
            aVar = this.f4251k;
            priority = this.n;
            List<e<R>> list = this.p;
            size = list != null ? list.size() : 0;
        }
        SingleRequest singleRequest = (SingleRequest) cVar;
        synchronized (singleRequest.f4244d) {
            i4 = singleRequest.f4252l;
            i5 = singleRequest.m;
            obj2 = singleRequest.f4249i;
            cls2 = singleRequest.f4250j;
            aVar2 = singleRequest.f4251k;
            priority2 = singleRequest.n;
            List<e<R>> list2 = singleRequest.p;
            size2 = list2 != null ? list2.size() : 0;
        }
        if (i2 == i4 && i3 == i5) {
            char[] cArr = d.d.a.s.i.f8429a;
            if (obj == null) {
                z2 = obj2 == null;
            } else if (obj instanceof l) {
                z2 = ((l) obj).a(obj2);
            } else {
                z2 = obj.equals(obj2);
            }
            return z2 && cls.equals(cls2) && aVar.equals(aVar2) && priority == priority2 && size == size2;
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:22:0x003b, code lost:
        if (r1 == null) goto L_?;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:23:0x003d, code lost:
        r5.v.f(r1);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:27:?, code lost:
        return;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:28:?, code lost:
        return;
     */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x002f  */
    @Override // d.d.a.q.c
    public void clear() {
        boolean z2;
        synchronized (this.f4244d) {
            e();
            this.f4243c.a();
            Status status = this.w;
            Status status2 = Status.CLEARED;
            if (status != status2) {
                f();
                t<R> tVar = this.s;
                if (tVar != null) {
                    this.s = null;
                } else {
                    tVar = null;
                }
                RequestCoordinator requestCoordinator = this.f4246f;
                if (requestCoordinator != null) {
                    if (!requestCoordinator.j(this)) {
                        z2 = false;
                        if (z2) {
                            this.o.onLoadCleared(j());
                        }
                        this.w = status2;
                    }
                }
                z2 = true;
                if (z2) {
                }
                this.w = status2;
            }
        }
    }

    @Override // d.d.a.q.c
    public boolean d() {
        boolean z2;
        synchronized (this.f4244d) {
            z2 = this.w == Status.CLEARED;
        }
        return z2;
    }

    public final void e() {
        if (this.C) {
            throw new IllegalStateException("You can't start or clear loads in RequestListener or Target callbacks. If you're trying to start a fallback request when a load fails, use RequestBuilder#error(RequestBuilder). Otherwise consider posting your into() or clear() calls to the main thread using a Handler instead.");
        }
    }

    public final void f() {
        e();
        this.f4243c.a();
        this.o.removeCallback(this);
        j.d dVar = this.t;
        if (dVar != null) {
            synchronized (j.this) {
                dVar.f7988a.h(dVar.f7989b);
            }
            this.t = null;
        }
    }

    @Override // d.d.a.q.c
    public void g() {
        synchronized (this.f4244d) {
            e();
            this.f4243c.a();
            int i2 = d.d.a.s.e.f8419b;
            this.u = SystemClock.elapsedRealtimeNanos();
            if (this.f4249i == null) {
                if (d.d.a.s.i.j(this.f4252l, this.m)) {
                    this.A = this.f4252l;
                    this.B = this.m;
                }
                n(new GlideException("Received null model"), h() == null ? 5 : 3);
                return;
            }
            Status status = this.w;
            Status status2 = Status.RUNNING;
            if (status != status2) {
                boolean z2 = false;
                if (status == Status.COMPLETE) {
                    o(this.s, DataSource.MEMORY_CACHE, false);
                    return;
                }
                Status status3 = Status.WAITING_FOR_SIZE;
                this.w = status3;
                if (d.d.a.s.i.j(this.f4252l, this.m)) {
                    b(this.f4252l, this.m);
                } else {
                    this.o.getSize(this);
                }
                Status status4 = this.w;
                if (status4 == status2 || status4 == status3) {
                    RequestCoordinator requestCoordinator = this.f4246f;
                    if (requestCoordinator == null || requestCoordinator.e(this)) {
                        z2 = true;
                    }
                    if (z2) {
                        this.o.onLoadStarted(j());
                    }
                }
                if (f4241a) {
                    m("finished run method in " + d.d.a.s.e.a(this.u));
                }
                return;
            }
            throw new IllegalArgumentException("Cannot restart a running request");
        }
    }

    public final Drawable h() {
        int i2;
        if (this.z == null) {
            a<?> aVar = this.f4251k;
            Drawable drawable = aVar.v;
            this.z = drawable;
            if (drawable == null && (i2 = aVar.w) > 0) {
                this.z = l(i2);
            }
        }
        return this.z;
    }

    @Override // d.d.a.q.c
    public boolean i() {
        boolean z2;
        synchronized (this.f4244d) {
            z2 = this.w == Status.COMPLETE;
        }
        return z2;
    }

    @Override // d.d.a.q.c
    public boolean isRunning() {
        boolean z2;
        synchronized (this.f4244d) {
            Status status = this.w;
            if (status != Status.RUNNING) {
                if (status != Status.WAITING_FOR_SIZE) {
                    z2 = false;
                }
            }
            z2 = true;
        }
        return z2;
    }

    public final Drawable j() {
        int i2;
        if (this.y == null) {
            a<?> aVar = this.f4251k;
            Drawable drawable = aVar.n;
            this.y = drawable;
            if (drawable == null && (i2 = aVar.o) > 0) {
                this.y = l(i2);
            }
        }
        return this.y;
    }

    public final boolean k() {
        RequestCoordinator requestCoordinator = this.f4246f;
        return requestCoordinator == null || !requestCoordinator.getRoot().a();
    }

    public final Drawable l(int i2) {
        Resources.Theme theme = this.f4251k.B;
        if (theme == null) {
            theme = this.f4247g.getTheme();
        }
        d.d.a.e eVar = this.f4248h;
        return d.d.a.m.q.e.a.a(eVar, eVar, i2, theme);
    }

    public final void m(String str) {
        StringBuilder F = d.a.a.a.a.F(str, " this: ");
        F.append(this.f4242b);
        Log.v("Request", F.toString());
    }

    /* JADX INFO: finally extract failed */
    public final void n(GlideException glideException, int i2) {
        boolean z2;
        this.f4243c.a();
        synchronized (this.f4244d) {
            glideException.setOrigin(this.D);
            int i3 = this.f4248h.f7693j;
            if (i3 <= i2) {
                Log.w("Glide", "Load failed for " + this.f4249i + " with size [" + this.A + "x" + this.B + "]", glideException);
                if (i3 <= 4) {
                    glideException.logRootCauses("Glide");
                }
            }
            this.t = null;
            this.w = Status.FAILED;
            boolean z3 = true;
            this.C = true;
            try {
                List<e<R>> list = this.p;
                if (list != null) {
                    z2 = false;
                    for (e<R> eVar : list) {
                        z2 |= eVar.onLoadFailed(glideException, this.f4249i, this.o, k());
                    }
                } else {
                    z2 = false;
                }
                e<R> eVar2 = this.f4245e;
                if (eVar2 == null || !eVar2.onLoadFailed(glideException, this.f4249i, this.o, k())) {
                    z3 = false;
                }
                if (!z2 && !z3) {
                    q();
                }
                this.C = false;
                RequestCoordinator requestCoordinator = this.f4246f;
                if (requestCoordinator != null) {
                    requestCoordinator.b(this);
                }
            } catch (Throwable th) {
                this.C = false;
                throw th;
            }
        }
    }

    public void o(t<?> tVar, DataSource dataSource, boolean z2) {
        Throwable th;
        this.f4243c.a();
        try {
            synchronized (this.f4244d) {
                try {
                    this.t = null;
                    if (tVar == null) {
                        n(new GlideException("Expected to receive a Resource<R> with an object of " + this.f4250j + " inside, but instead got null."), 5);
                        return;
                    }
                    Object obj = tVar.get();
                    if (obj != null) {
                        if (this.f4250j.isAssignableFrom(obj.getClass())) {
                            RequestCoordinator requestCoordinator = this.f4246f;
                            if (!(requestCoordinator == null || requestCoordinator.f(this))) {
                                try {
                                    this.s = null;
                                    this.w = Status.COMPLETE;
                                    this.v.f(tVar);
                                    return;
                                } catch (Throwable th2) {
                                    th = th2;
                                    throw th;
                                }
                            } else {
                                p(tVar, obj, dataSource);
                                return;
                            }
                        }
                    }
                    this.s = null;
                    StringBuilder sb = new StringBuilder();
                    sb.append("Expected to receive an object of ");
                    sb.append(this.f4250j);
                    sb.append(" but instead got ");
                    sb.append(obj != null ? obj.getClass() : "");
                    sb.append("{");
                    sb.append(obj);
                    sb.append("} inside Resource{");
                    sb.append(tVar);
                    sb.append("}.");
                    sb.append(obj != null ? "" : " To indicate failure return a null Resource object, rather than a Resource object containing null data.");
                    n(new GlideException(sb.toString()), 5);
                    this.v.f(tVar);
                } catch (Throwable th3) {
                    th = th3;
                    throw th;
                }
            }
        } catch (Throwable th4) {
            if (0 != 0) {
                this.v.f(null);
            }
            throw th4;
        }
    }

    /* JADX WARN: Incorrect args count in method signature: (Ld/d/a/m/o/t<TR;>;TR;Lcom/bumptech/glide/load/DataSource;Z)V */
    /* JADX INFO: finally extract failed */
    public final void p(t tVar, Object obj, DataSource dataSource) {
        boolean z2;
        boolean k2 = k();
        this.w = Status.COMPLETE;
        this.s = tVar;
        if (this.f4248h.f7693j <= 3) {
            StringBuilder B2 = d.a.a.a.a.B("Finished loading ");
            B2.append(obj.getClass().getSimpleName());
            B2.append(" from ");
            B2.append(dataSource);
            B2.append(" for ");
            B2.append(this.f4249i);
            B2.append(" with size [");
            B2.append(this.A);
            B2.append("x");
            B2.append(this.B);
            B2.append("] in ");
            B2.append(d.d.a.s.e.a(this.u));
            B2.append(" ms");
            Log.d("Glide", B2.toString());
        }
        boolean z3 = true;
        this.C = true;
        try {
            List<e<R>> list = this.p;
            if (list != null) {
                z2 = false;
                for (e<R> eVar : list) {
                    z2 |= eVar.onResourceReady(obj, this.f4249i, this.o, dataSource, k2);
                }
            } else {
                z2 = false;
            }
            e<R> eVar2 = this.f4245e;
            if (eVar2 == null || !eVar2.onResourceReady(obj, this.f4249i, this.o, dataSource, k2)) {
                z3 = false;
            }
            if (!z3 && !z2) {
                Objects.requireNonNull(this.q);
                this.o.onResourceReady(obj, d.d.a.q.j.a.f8397a);
            }
            this.C = false;
            RequestCoordinator requestCoordinator = this.f4246f;
            if (requestCoordinator != null) {
                requestCoordinator.h(this);
            }
        } catch (Throwable th) {
            this.C = false;
            throw th;
        }
    }

    @Override // d.d.a.q.c
    public void pause() {
        synchronized (this.f4244d) {
            if (isRunning()) {
                clear();
            }
        }
    }

    public final void q() {
        int i2;
        RequestCoordinator requestCoordinator = this.f4246f;
        if (requestCoordinator == null || requestCoordinator.e(this)) {
            Drawable drawable = null;
            if (this.f4249i == null) {
                drawable = h();
            }
            if (drawable == null) {
                if (this.x == null) {
                    a<?> aVar = this.f4251k;
                    Drawable drawable2 = aVar.f8360l;
                    this.x = drawable2;
                    if (drawable2 == null && (i2 = aVar.m) > 0) {
                        this.x = l(i2);
                    }
                }
                drawable = this.x;
            }
            if (drawable == null) {
                drawable = j();
            }
            this.o.onLoadFailed(drawable);
        }
    }
}
