package com.chad.library.adapter.base;

import b.u.a.f;
import com.chad.library.adapter.base.entity.node.BaseExpandNode;
import com.chad.library.adapter.base.entity.node.BaseNode;
import com.chad.library.adapter.base.entity.node.NodeFooterImp;
import com.chad.library.adapter.base.provider.BaseItemProvider;
import com.chad.library.adapter.base.provider.BaseNodeProvider;
import com.lzy.okgo.cache.CacheEntity;
import d.l.b.g.g.b;
import h.p.b.m;
import h.p.b.o;
import java.util.ArrayList;
import java.util.Collection;
import java.util.HashSet;
import java.util.List;

/* compiled from: BaseNodeAdapter.kt */
public abstract class BaseNodeAdapter extends BaseProviderMultiAdapter<BaseNode> {
    private final HashSet<Integer> fullSpanNodeTypeSet;

    public BaseNodeAdapter() {
        this(null, 1, null);
    }

    /* JADX INFO: this call moved to the top of the method (can break code semantics) */
    public /* synthetic */ BaseNodeAdapter(List list, int i2, m mVar) {
        this((i2 & 1) != 0 ? null : list);
    }

    private final int collapse(int i2, boolean z, boolean z2, boolean z3, Object obj) {
        BaseNode baseNode = (BaseNode) getData().get(i2);
        if (baseNode instanceof BaseExpandNode) {
            BaseExpandNode baseExpandNode = (BaseExpandNode) baseNode;
            if (baseExpandNode.isExpanded()) {
                int headerLayoutCount = getHeaderLayoutCount() + i2;
                baseExpandNode.setExpanded(false);
                List<BaseNode> childNode = baseNode.getChildNode();
                if (childNode == null || childNode.isEmpty()) {
                    notifyItemChanged(headerLayoutCount, obj);
                    return 0;
                }
                List<BaseNode> childNode2 = baseNode.getChildNode();
                Boolean bool = null;
                if (childNode2 != null) {
                    if (z) {
                        bool = Boolean.FALSE;
                    }
                    List<BaseNode> flatData = flatData(childNode2, bool);
                    int size = flatData.size();
                    getData().removeAll(flatData);
                    if (z3) {
                        if (z2) {
                            notifyItemChanged(headerLayoutCount, obj);
                            notifyItemRangeRemoved(headerLayoutCount + 1, size);
                        } else {
                            notifyDataSetChanged();
                        }
                    }
                    return size;
                }
                o.l();
                throw null;
            }
        }
        return 0;
    }

    public static /* synthetic */ int collapse$default(BaseNodeAdapter baseNodeAdapter, int i2, boolean z, boolean z2, boolean z3, Object obj, int i3, Object obj2) {
        if (obj2 == null) {
            boolean z4 = (i3 & 2) != 0 ? false : z;
            boolean z5 = (i3 & 4) != 0 ? true : z2;
            boolean z6 = (i3 & 8) != 0 ? true : z3;
            if ((i3 & 16) != 0) {
                obj = null;
            }
            return baseNodeAdapter.collapse(i2, z4, z5, z6, obj);
        }
        throw new UnsupportedOperationException("Super calls with default arguments not supported in this target, function: collapse");
    }

    public static /* synthetic */ int collapseAndChild$default(BaseNodeAdapter baseNodeAdapter, int i2, boolean z, boolean z2, Object obj, int i3, Object obj2) {
        if (obj2 == null) {
            if ((i3 & 2) != 0) {
                z = true;
            }
            if ((i3 & 4) != 0) {
                z2 = true;
            }
            if ((i3 & 8) != 0) {
                obj = null;
            }
            return baseNodeAdapter.collapseAndChild(i2, z, z2, obj);
        }
        throw new UnsupportedOperationException("Super calls with default arguments not supported in this target, function: collapseAndChild");
    }

    private final int expand(int i2, boolean z, boolean z2, boolean z3, Object obj) {
        BaseNode baseNode = (BaseNode) getData().get(i2);
        if (baseNode instanceof BaseExpandNode) {
            BaseExpandNode baseExpandNode = (BaseExpandNode) baseNode;
            if (!baseExpandNode.isExpanded()) {
                int headerLayoutCount = getHeaderLayoutCount() + i2;
                baseExpandNode.setExpanded(true);
                List<BaseNode> childNode = baseNode.getChildNode();
                if (childNode == null || childNode.isEmpty()) {
                    notifyItemChanged(headerLayoutCount, obj);
                    return 0;
                }
                List<BaseNode> childNode2 = baseNode.getChildNode();
                Boolean bool = null;
                if (childNode2 != null) {
                    if (z) {
                        bool = Boolean.TRUE;
                    }
                    List<BaseNode> flatData = flatData(childNode2, bool);
                    int size = flatData.size();
                    getData().addAll(i2 + 1, flatData);
                    if (z3) {
                        if (z2) {
                            notifyItemChanged(headerLayoutCount, obj);
                            notifyItemRangeInserted(headerLayoutCount + 1, size);
                        } else {
                            notifyDataSetChanged();
                        }
                    }
                    return size;
                }
                o.l();
                throw null;
            }
        }
        return 0;
    }

    public static /* synthetic */ int expand$default(BaseNodeAdapter baseNodeAdapter, int i2, boolean z, boolean z2, boolean z3, Object obj, int i3, Object obj2) {
        if (obj2 == null) {
            boolean z4 = (i3 & 2) != 0 ? false : z;
            boolean z5 = (i3 & 4) != 0 ? true : z2;
            boolean z6 = (i3 & 8) != 0 ? true : z3;
            if ((i3 & 16) != 0) {
                obj = null;
            }
            return baseNodeAdapter.expand(i2, z4, z5, z6, obj);
        }
        throw new UnsupportedOperationException("Super calls with default arguments not supported in this target, function: expand");
    }

    public static /* synthetic */ int expandAndChild$default(BaseNodeAdapter baseNodeAdapter, int i2, boolean z, boolean z2, Object obj, int i3, Object obj2) {
        if (obj2 == null) {
            if ((i3 & 2) != 0) {
                z = true;
            }
            if ((i3 & 4) != 0) {
                z2 = true;
            }
            if ((i3 & 8) != 0) {
                obj = null;
            }
            return baseNodeAdapter.expandAndChild(i2, z, z2, obj);
        }
        throw new UnsupportedOperationException("Super calls with default arguments not supported in this target, function: expandAndChild");
    }

    public static /* synthetic */ void expandAndCollapseOther$default(BaseNodeAdapter baseNodeAdapter, int i2, boolean z, boolean z2, boolean z3, boolean z4, Object obj, Object obj2, int i3, Object obj3) {
        if (obj3 == null) {
            boolean z5 = (i3 & 2) != 0 ? false : z;
            boolean z6 = true;
            boolean z7 = (i3 & 4) != 0 ? true : z2;
            boolean z8 = (i3 & 8) != 0 ? true : z3;
            if ((i3 & 16) == 0) {
                z6 = z4;
            }
            Object obj4 = null;
            Object obj5 = (i3 & 32) != 0 ? null : obj;
            if ((i3 & 64) == 0) {
                obj4 = obj2;
            }
            baseNodeAdapter.expandAndCollapseOther(i2, z5, z7, z8, z6, obj5, obj4);
            return;
        }
        throw new UnsupportedOperationException("Super calls with default arguments not supported in this target, function: expandAndCollapseOther");
    }

    public static /* synthetic */ int expandOrCollapse$default(BaseNodeAdapter baseNodeAdapter, int i2, boolean z, boolean z2, Object obj, int i3, Object obj2) {
        if (obj2 == null) {
            if ((i3 & 2) != 0) {
                z = true;
            }
            if ((i3 & 4) != 0) {
                z2 = true;
            }
            if ((i3 & 8) != 0) {
                obj = null;
            }
            return baseNodeAdapter.expandOrCollapse(i2, z, z2, obj);
        }
        throw new UnsupportedOperationException("Super calls with default arguments not supported in this target, function: expandOrCollapse");
    }

    private final List<BaseNode> flatData(Collection<? extends BaseNode> collection, Boolean bool) {
        BaseNode footerNode;
        ArrayList arrayList = new ArrayList();
        for (BaseNode baseNode : collection) {
            arrayList.add(baseNode);
            boolean z = false;
            if (baseNode instanceof BaseExpandNode) {
                if (o.a(bool, Boolean.TRUE) || ((BaseExpandNode) baseNode).isExpanded()) {
                    List<BaseNode> childNode = baseNode.getChildNode();
                    if (childNode == null || childNode.isEmpty()) {
                        z = true;
                    }
                    if (!z) {
                        arrayList.addAll(flatData(childNode, bool));
                    }
                }
                if (bool != null) {
                    ((BaseExpandNode) baseNode).setExpanded(bool.booleanValue());
                }
            } else {
                List<BaseNode> childNode2 = baseNode.getChildNode();
                if (childNode2 == null || childNode2.isEmpty()) {
                    z = true;
                }
                if (!z) {
                    arrayList.addAll(flatData(childNode2, bool));
                }
            }
            if ((baseNode instanceof NodeFooterImp) && (footerNode = ((NodeFooterImp) baseNode).getFooterNode()) != null) {
                arrayList.add(footerNode);
            }
        }
        return arrayList;
    }

    public static /* synthetic */ List flatData$default(BaseNodeAdapter baseNodeAdapter, Collection collection, Boolean bool, int i2, Object obj) {
        if (obj == null) {
            if ((i2 & 2) != 0) {
                bool = null;
            }
            return baseNodeAdapter.flatData(collection, bool);
        }
        throw new UnsupportedOperationException("Super calls with default arguments not supported in this target, function: flatData");
    }

    private final int removeChildAt(int i2) {
        if (i2 >= getData().size()) {
            return 0;
        }
        BaseNode baseNode = (BaseNode) getData().get(i2);
        List<BaseNode> childNode = baseNode.getChildNode();
        if (childNode == null || childNode.isEmpty()) {
            return 0;
        }
        if (!(baseNode instanceof BaseExpandNode)) {
            List<BaseNode> childNode2 = baseNode.getChildNode();
            if (childNode2 != null) {
                List flatData$default = flatData$default(this, childNode2, null, 2, null);
                getData().removeAll(flatData$default);
                return flatData$default.size();
            }
            o.l();
            throw null;
        } else if (!((BaseExpandNode) baseNode).isExpanded()) {
            return 0;
        } else {
            List<BaseNode> childNode3 = baseNode.getChildNode();
            if (childNode3 != null) {
                List flatData$default2 = flatData$default(this, childNode3, null, 2, null);
                getData().removeAll(flatData$default2);
                return flatData$default2.size();
            }
            o.l();
            throw null;
        }
    }

    private final int removeNodesAt(int i2) {
        if (i2 >= getData().size()) {
            return 0;
        }
        int removeChildAt = removeChildAt(i2);
        getData().remove(i2);
        int i3 = removeChildAt + 1;
        BaseNode baseNode = (BaseNode) getData().get(i2);
        if (!(baseNode instanceof NodeFooterImp) || ((NodeFooterImp) baseNode).getFooterNode() == null) {
            return i3;
        }
        getData().remove(i2);
        return i3 + 1;
    }

    public final void addFooterNodeProvider(BaseNodeProvider baseNodeProvider) {
        o.f(baseNodeProvider, "provider");
        addFullSpanNodeProvider(baseNodeProvider);
    }

    public final void addFullSpanNodeProvider(BaseNodeProvider baseNodeProvider) {
        o.f(baseNodeProvider, "provider");
        this.fullSpanNodeTypeSet.add(Integer.valueOf(baseNodeProvider.getItemViewType()));
        addItemProvider(baseNodeProvider);
    }

    @Override // com.chad.library.adapter.base.BaseProviderMultiAdapter
    public void addItemProvider(BaseItemProvider<BaseNode> baseItemProvider) {
        o.f(baseItemProvider, "provider");
        if (baseItemProvider instanceof BaseNodeProvider) {
            super.addItemProvider(baseItemProvider);
            return;
        }
        throw new IllegalStateException("Please add BaseNodeProvider, no BaseItemProvider!");
    }

    public final void addNodeProvider(BaseNodeProvider baseNodeProvider) {
        o.f(baseNodeProvider, "provider");
        addItemProvider(baseNodeProvider);
    }

    public final int collapse(int i2) {
        return collapse$default(this, i2, false, false, null, 14, null);
    }

    public final int collapse(int i2, boolean z) {
        return collapse$default(this, i2, z, false, null, 12, null);
    }

    public final int collapse(int i2, boolean z, boolean z2) {
        return collapse$default(this, i2, z, z2, null, 8, null);
    }

    public final int collapseAndChild(int i2) {
        return collapseAndChild$default(this, i2, false, false, null, 14, null);
    }

    public final int collapseAndChild(int i2, boolean z) {
        return collapseAndChild$default(this, i2, z, false, null, 12, null);
    }

    public final int collapseAndChild(int i2, boolean z, boolean z2) {
        return collapseAndChild$default(this, i2, z, z2, null, 8, null);
    }

    public final int collapseAndChild(int i2, boolean z, boolean z2, Object obj) {
        return collapse(i2, true, z, z2, obj);
    }

    public final int expand(int i2) {
        return expand$default(this, i2, false, false, null, 14, null);
    }

    public final int expand(int i2, boolean z) {
        return expand$default(this, i2, z, false, null, 12, null);
    }

    public final int expand(int i2, boolean z, boolean z2) {
        return expand$default(this, i2, z, z2, null, 8, null);
    }

    public final int expandAndChild(int i2) {
        return expandAndChild$default(this, i2, false, false, null, 14, null);
    }

    public final int expandAndChild(int i2, boolean z) {
        return expandAndChild$default(this, i2, z, false, null, 12, null);
    }

    public final int expandAndChild(int i2, boolean z, boolean z2) {
        return expandAndChild$default(this, i2, z, z2, null, 8, null);
    }

    public final int expandAndChild(int i2, boolean z, boolean z2, Object obj) {
        return expand(i2, true, z, z2, obj);
    }

    public final void expandAndCollapseOther(int i2) {
        expandAndCollapseOther$default(this, i2, false, false, false, false, null, null, 126, null);
    }

    public final void expandAndCollapseOther(int i2, boolean z) {
        expandAndCollapseOther$default(this, i2, z, false, false, false, null, null, 124, null);
    }

    public final void expandAndCollapseOther(int i2, boolean z, boolean z2) {
        expandAndCollapseOther$default(this, i2, z, z2, false, false, null, null, 120, null);
    }

    public final void expandAndCollapseOther(int i2, boolean z, boolean z2, boolean z3) {
        expandAndCollapseOther$default(this, i2, z, z2, z3, false, null, null, 112, null);
    }

    public final void expandAndCollapseOther(int i2, boolean z, boolean z2, boolean z3, boolean z4) {
        expandAndCollapseOther$default(this, i2, z, z2, z3, z4, null, null, 96, null);
    }

    public final void expandAndCollapseOther(int i2, boolean z, boolean z2, boolean z3, boolean z4, Object obj) {
        expandAndCollapseOther$default(this, i2, z, z2, z3, z4, obj, null, 64, null);
    }

    public final void expandAndCollapseOther(int i2, boolean z, boolean z2, boolean z3, boolean z4, Object obj, Object obj2) {
        int i3;
        int i4;
        int expand = expand(i2, z, z3, z4, obj);
        if (expand != 0) {
            int findParentNode = findParentNode(i2);
            int i5 = 0;
            int i6 = findParentNode == -1 ? 0 : findParentNode + 1;
            if (i2 - i6 > 0) {
                int i7 = i6;
                i3 = i2;
                do {
                    int collapse = collapse(i7, z2, z3, z4, obj2);
                    i7++;
                    i3 -= collapse;
                } while (i7 < i3);
            } else {
                i3 = i2;
            }
            if (findParentNode == -1) {
                i4 = getData().size() - 1;
            } else {
                List<BaseNode> childNode = ((BaseNode) getData().get(findParentNode)).getChildNode();
                if (childNode != null) {
                    i5 = childNode.size();
                }
                i4 = findParentNode + i5 + expand;
            }
            int i8 = i3 + expand;
            if (i8 < i4) {
                int i9 = i8 + 1;
                while (i9 <= i4) {
                    int collapse2 = collapse(i9, z2, z3, z4, obj2);
                    i9++;
                    i4 -= collapse2;
                }
            }
        }
    }

    public final int expandOrCollapse(int i2) {
        return expandOrCollapse$default(this, i2, false, false, null, 14, null);
    }

    public final int expandOrCollapse(int i2, boolean z) {
        return expandOrCollapse$default(this, i2, z, false, null, 12, null);
    }

    public final int expandOrCollapse(int i2, boolean z, boolean z2) {
        return expandOrCollapse$default(this, i2, z, z2, null, 8, null);
    }

    public final int expandOrCollapse(int i2, boolean z, boolean z2, Object obj) {
        BaseNode baseNode = (BaseNode) getData().get(i2);
        if (!(baseNode instanceof BaseExpandNode)) {
            return 0;
        }
        if (((BaseExpandNode) baseNode).isExpanded()) {
            return collapse(i2, false, z, z2, obj);
        }
        return expand(i2, false, z, z2, obj);
    }

    public final int findParentNode(BaseNode baseNode) {
        o.f(baseNode, "node");
        int indexOf = getData().indexOf(baseNode);
        if (!(indexOf == -1 || indexOf == 0)) {
            for (int i2 = indexOf - 1; i2 >= 0; i2--) {
                List<BaseNode> childNode = ((BaseNode) getData().get(i2)).getChildNode();
                if (childNode != null && childNode.contains(baseNode)) {
                    return i2;
                }
            }
        }
        return -1;
    }

    @Override // com.chad.library.adapter.base.BaseQuickAdapter
    public boolean isFixedViewType(int i2) {
        return super.isFixedViewType(i2) || this.fullSpanNodeTypeSet.contains(Integer.valueOf(i2));
    }

    public final void nodeAddData(BaseNode baseNode, BaseNode baseNode2) {
        o.f(baseNode, "parentNode");
        o.f(baseNode2, CacheEntity.DATA);
        List<BaseNode> childNode = baseNode.getChildNode();
        if (childNode != null) {
            childNode.add(baseNode2);
            if (!(baseNode instanceof BaseExpandNode) || ((BaseExpandNode) baseNode).isExpanded()) {
                addData(childNode.size() + getData().indexOf(baseNode), baseNode2);
            }
        }
    }

    public final void nodeRemoveData(BaseNode baseNode, int i2) {
        o.f(baseNode, "parentNode");
        List<BaseNode> childNode = baseNode.getChildNode();
        if (childNode != null && i2 < childNode.size()) {
            if (!(baseNode instanceof BaseExpandNode) || ((BaseExpandNode) baseNode).isExpanded()) {
                remove(getData().indexOf(baseNode) + 1 + i2);
                childNode.remove(i2);
                return;
            }
            childNode.remove(i2);
        }
    }

    public final void nodeReplaceChildData(BaseNode baseNode, Collection<? extends BaseNode> collection) {
        o.f(baseNode, "parentNode");
        o.f(collection, "newData");
        List<BaseNode> childNode = baseNode.getChildNode();
        if (childNode == null) {
            return;
        }
        if (!(baseNode instanceof BaseExpandNode) || ((BaseExpandNode) baseNode).isExpanded()) {
            int indexOf = getData().indexOf(baseNode);
            int removeChildAt = removeChildAt(indexOf);
            childNode.clear();
            childNode.addAll(collection);
            List flatData$default = flatData$default(this, collection, null, 2, null);
            int i2 = indexOf + 1;
            getData().addAll(i2, flatData$default);
            int headerLayoutCount = getHeaderLayoutCount() + i2;
            if (removeChildAt == flatData$default.size()) {
                notifyItemRangeChanged(headerLayoutCount, removeChildAt);
                return;
            }
            notifyItemRangeRemoved(headerLayoutCount, removeChildAt);
            notifyItemRangeInserted(headerLayoutCount, flatData$default.size());
            return;
        }
        childNode.clear();
        childNode.addAll(collection);
    }

    public final void nodeSetData(BaseNode baseNode, int i2, BaseNode baseNode2) {
        o.f(baseNode, "parentNode");
        o.f(baseNode2, CacheEntity.DATA);
        List<BaseNode> childNode = baseNode.getChildNode();
        if (childNode != null && i2 < childNode.size()) {
            if (!(baseNode instanceof BaseExpandNode) || ((BaseExpandNode) baseNode).isExpanded()) {
                setData(getData().indexOf(baseNode) + 1 + i2, baseNode2);
                childNode.set(i2, baseNode2);
                return;
            }
            childNode.set(i2, baseNode2);
        }
    }

    @Override // com.chad.library.adapter.base.BaseQuickAdapter
    public void removeAt(int i2) {
        notifyItemRangeRemoved(getHeaderLayoutCount() + i2, removeNodesAt(i2));
        compatibilityDataSizeChanged(0);
    }

    @Override // com.chad.library.adapter.base.BaseQuickAdapter
    public void setDiffNewData(List<BaseNode> list) {
        if (hasEmptyView()) {
            setNewInstance(list);
            return;
        }
        if (list == null) {
            list = new ArrayList<>();
        }
        super.setDiffNewData(flatData$default(this, list, null, 2, null));
    }

    @Override // com.chad.library.adapter.base.BaseQuickAdapter
    public void setList(Collection<? extends BaseNode> collection) {
        if (collection == null) {
            collection = new ArrayList<>();
        }
        super.setList(flatData$default(this, collection, null, 2, null));
    }

    @Override // com.chad.library.adapter.base.BaseQuickAdapter
    public void setNewInstance(List<BaseNode> list) {
        if (list == null) {
            list = new ArrayList<>();
        }
        super.setNewInstance(flatData$default(this, list, null, 2, null));
    }

    public BaseNodeAdapter(List<BaseNode> list) {
        super(null);
        this.fullSpanNodeTypeSet = new HashSet<>();
        if (!(list == null || list.isEmpty())) {
            getData().addAll(flatData$default(this, list, null, 2, null));
        }
    }

    public void setData(int i2, BaseNode baseNode) {
        o.f(baseNode, CacheEntity.DATA);
        int removeNodesAt = removeNodesAt(i2);
        List flatData$default = flatData$default(this, b.i(baseNode), null, 2, null);
        getData().addAll(i2, flatData$default);
        if (removeNodesAt == flatData$default.size()) {
            notifyItemRangeChanged(getHeaderLayoutCount() + i2, removeNodesAt);
            return;
        }
        notifyItemRangeRemoved(getHeaderLayoutCount() + i2, removeNodesAt);
        notifyItemRangeInserted(getHeaderLayoutCount() + i2, flatData$default.size());
    }

    public static /* synthetic */ int collapse$default(BaseNodeAdapter baseNodeAdapter, int i2, boolean z, boolean z2, Object obj, int i3, Object obj2) {
        if (obj2 == null) {
            if ((i3 & 2) != 0) {
                z = true;
            }
            if ((i3 & 4) != 0) {
                z2 = true;
            }
            if ((i3 & 8) != 0) {
                obj = null;
            }
            return baseNodeAdapter.collapse(i2, z, z2, obj);
        }
        throw new UnsupportedOperationException("Super calls with default arguments not supported in this target, function: collapse");
    }

    public static /* synthetic */ int expand$default(BaseNodeAdapter baseNodeAdapter, int i2, boolean z, boolean z2, Object obj, int i3, Object obj2) {
        if (obj2 == null) {
            if ((i3 & 2) != 0) {
                z = true;
            }
            if ((i3 & 4) != 0) {
                z2 = true;
            }
            if ((i3 & 8) != 0) {
                obj = null;
            }
            return baseNodeAdapter.expand(i2, z, z2, obj);
        }
        throw new UnsupportedOperationException("Super calls with default arguments not supported in this target, function: expand");
    }

    public void addData(int i2, BaseNode baseNode) {
        o.f(baseNode, CacheEntity.DATA);
        addData(i2, (Collection<? extends BaseNode>) b.i(baseNode));
    }

    public void addData(BaseNode baseNode) {
        o.f(baseNode, CacheEntity.DATA);
        addData((Collection<? extends BaseNode>) b.i(baseNode));
    }

    public final int findParentNode(int i2) {
        if (i2 == 0) {
            return -1;
        }
        BaseNode baseNode = (BaseNode) getData().get(i2);
        for (int i3 = i2 - 1; i3 >= 0; i3--) {
            List<BaseNode> childNode = ((BaseNode) getData().get(i3)).getChildNode();
            if (childNode != null && childNode.contains(baseNode)) {
                return i3;
            }
        }
        return -1;
    }

    @Override // com.chad.library.adapter.base.BaseQuickAdapter
    public void setDiffNewData(f.d dVar, List<BaseNode> list) {
        o.f(dVar, "diffResult");
        o.f(list, "list");
        if (hasEmptyView()) {
            setNewInstance(list);
        } else {
            super.setDiffNewData(dVar, flatData$default(this, list, null, 2, null));
        }
    }

    @Override // com.chad.library.adapter.base.BaseQuickAdapter
    public void addData(int i2, Collection<? extends BaseNode> collection) {
        o.f(collection, "newData");
        super.addData(i2, (Collection) flatData$default(this, collection, null, 2, null));
    }

    @Override // com.chad.library.adapter.base.BaseQuickAdapter
    public void addData(Collection<? extends BaseNode> collection) {
        o.f(collection, "newData");
        super.addData((Collection) flatData$default(this, collection, null, 2, null));
    }

    public final void nodeAddData(BaseNode baseNode, int i2, BaseNode baseNode2) {
        o.f(baseNode, "parentNode");
        o.f(baseNode2, CacheEntity.DATA);
        List<BaseNode> childNode = baseNode.getChildNode();
        if (childNode != null) {
            childNode.add(i2, baseNode2);
            if (!(baseNode instanceof BaseExpandNode) || ((BaseExpandNode) baseNode).isExpanded()) {
                addData(getData().indexOf(baseNode) + 1 + i2, baseNode2);
            }
        }
    }

    public final void nodeRemoveData(BaseNode baseNode, BaseNode baseNode2) {
        o.f(baseNode, "parentNode");
        o.f(baseNode2, "childNode");
        List<BaseNode> childNode = baseNode.getChildNode();
        if (childNode == null) {
            return;
        }
        if (!(baseNode instanceof BaseExpandNode) || ((BaseExpandNode) baseNode).isExpanded()) {
            remove(baseNode2);
            childNode.remove(baseNode2);
            return;
        }
        childNode.remove(baseNode2);
    }

    public final void nodeAddData(BaseNode baseNode, int i2, Collection<? extends BaseNode> collection) {
        o.f(baseNode, "parentNode");
        o.f(collection, "newData");
        List<BaseNode> childNode = baseNode.getChildNode();
        if (childNode != null) {
            childNode.addAll(i2, collection);
            if (!(baseNode instanceof BaseExpandNode) || ((BaseExpandNode) baseNode).isExpanded()) {
                addData(getData().indexOf(baseNode) + 1 + i2, collection);
            }
        }
    }

    public final int collapse(int i2, boolean z, boolean z2, Object obj) {
        return collapse(i2, false, z, z2, obj);
    }

    public final int expand(int i2, boolean z, boolean z2, Object obj) {
        return expand(i2, false, z, z2, obj);
    }
}
