package com.chad.library.adapter.base.delegate;

import android.util.SparseIntArray;
import d.a.a.a.a;
import h.p.b.m;
import h.p.b.o;
import java.util.List;

/* compiled from: BaseMultiTypeDelegate.kt */
public abstract class BaseMultiTypeDelegate<T> {
    private boolean autoMode;
    private SparseIntArray layouts;
    private boolean selfMode;

    public BaseMultiTypeDelegate() {
        this(null, 1, null);
    }

    public BaseMultiTypeDelegate(SparseIntArray sparseIntArray) {
        o.f(sparseIntArray, "layouts");
        this.layouts = sparseIntArray;
    }

    private final void checkMode(boolean z) {
        if (!(!z)) {
            throw new IllegalArgumentException("Don't mess two register mode".toString());
        }
    }

    private final void registerItemType(int i2, int i3) {
        this.layouts.put(i2, i3);
    }

    public final BaseMultiTypeDelegate<T> addItemType(int i2, int i3) {
        this.selfMode = true;
        checkMode(this.autoMode);
        registerItemType(i2, i3);
        return this;
    }

    public final BaseMultiTypeDelegate<T> addItemTypeAutoIncrease(int... iArr) {
        o.f(iArr, "layoutResIds");
        this.autoMode = true;
        checkMode(this.selfMode);
        int length = iArr.length;
        for (int i2 = 0; i2 < length; i2++) {
            registerItemType(i2, iArr[i2]);
        }
        return this;
    }

    public abstract int getItemType(List<? extends T> list, int i2);

    public final int getLayoutId(int i2) {
        int i3 = this.layouts.get(i2);
        if (i3 != 0) {
            return i3;
        }
        throw new IllegalArgumentException(a.m("ViewType: ", i2, " found layoutResId，please use registerItemType() first!").toString());
    }

    /* JADX INFO: this call moved to the top of the method (can break code semantics) */
    public /* synthetic */ BaseMultiTypeDelegate(SparseIntArray sparseIntArray, int i2, m mVar) {
        this((i2 & 1) != 0 ? new SparseIntArray() : sparseIntArray);
    }
}
