package com.github.chrisbanes.photoview;

import android.content.Context;
import android.graphics.Matrix;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.util.AttributeSet;
import android.view.GestureDetector;
import android.view.View;
import android.widget.ImageView;
import androidx.appcompat.widget.AppCompatImageView;
import b.o.a.n;
import d.g.a.a.c;
import d.g.a.a.d;
import d.g.a.a.e;
import d.g.a.a.f;
import d.g.a.a.g;
import d.g.a.a.h;
import d.g.a.a.i;
import d.g.a.a.j;
import d.g.a.a.k;
import java.util.Objects;

public class PhotoView extends AppCompatImageView {

    /* renamed from: d  reason: collision with root package name */
    public j f4501d;

    /* renamed from: h  reason: collision with root package name */
    public ImageView.ScaleType f4502h;

    public PhotoView(Context context) {
        this(context, null);
    }

    public j getAttacher() {
        return this.f4501d;
    }

    public RectF getDisplayRect() {
        return this.f4501d.c();
    }

    public Matrix getImageMatrix() {
        return this.f4501d.s;
    }

    public float getMaximumScale() {
        return this.f4501d.f8944l;
    }

    public float getMediumScale() {
        return this.f4501d.f8943k;
    }

    public float getMinimumScale() {
        return this.f4501d.f8942j;
    }

    public float getScale() {
        return this.f4501d.h();
    }

    public ImageView.ScaleType getScaleType() {
        return this.f4501d.J;
    }

    public void setAllowParentInterceptOnEdge(boolean z) {
        this.f4501d.m = z;
    }

    public boolean setFrame(int i2, int i3, int i4, int i5) {
        boolean frame = super.setFrame(i2, i3, i4, i5);
        if (frame) {
            this.f4501d.k();
        }
        return frame;
    }

    @Override // androidx.appcompat.widget.AppCompatImageView
    public void setImageDrawable(Drawable drawable) {
        super.setImageDrawable(drawable);
        j jVar = this.f4501d;
        if (jVar != null) {
            jVar.k();
        }
    }

    @Override // androidx.appcompat.widget.AppCompatImageView
    public void setImageResource(int i2) {
        super.setImageResource(i2);
        j jVar = this.f4501d;
        if (jVar != null) {
            jVar.k();
        }
    }

    @Override // androidx.appcompat.widget.AppCompatImageView
    public void setImageURI(Uri uri) {
        super.setImageURI(uri);
        j jVar = this.f4501d;
        if (jVar != null) {
            jVar.k();
        }
    }

    public void setMaximumScale(float f2) {
        j jVar = this.f4501d;
        n.E(jVar.f8942j, jVar.f8943k, f2);
        jVar.f8944l = f2;
    }

    public void setMediumScale(float f2) {
        j jVar = this.f4501d;
        n.E(jVar.f8942j, f2, jVar.f8944l);
        jVar.f8943k = f2;
    }

    public void setMinimumScale(float f2) {
        j jVar = this.f4501d;
        n.E(f2, jVar.f8943k, jVar.f8944l);
        jVar.f8942j = f2;
    }

    public void setOnClickListener(View.OnClickListener onClickListener) {
        this.f4501d.A = onClickListener;
    }

    public void setOnDoubleTapListener(GestureDetector.OnDoubleTapListener onDoubleTapListener) {
        this.f4501d.p.setOnDoubleTapListener(onDoubleTapListener);
    }

    public void setOnLongClickListener(View.OnLongClickListener onLongClickListener) {
        this.f4501d.B = onLongClickListener;
    }

    public void setOnMatrixChangeListener(c cVar) {
        this.f4501d.w = cVar;
    }

    public void setOnOutsidePhotoTapListener(d dVar) {
        this.f4501d.y = dVar;
    }

    public void setOnPhotoTapListener(e eVar) {
        this.f4501d.x = eVar;
    }

    public void setOnScaleChangeListener(f fVar) {
        this.f4501d.C = fVar;
    }

    public void setOnSingleFlingListener(g gVar) {
        this.f4501d.D = gVar;
    }

    public void setOnViewDragListener(h hVar) {
        this.f4501d.E = hVar;
    }

    public void setOnViewTapListener(i iVar) {
        this.f4501d.z = iVar;
    }

    public void setRotationBy(float f2) {
        j jVar = this.f4501d;
        jVar.t.postRotate(f2 % 360.0f);
        jVar.a();
    }

    public void setRotationTo(float f2) {
        j jVar = this.f4501d;
        jVar.t.setRotate(f2 % 360.0f);
        jVar.a();
    }

    public void setScale(float f2) {
        j jVar = this.f4501d;
        jVar.j(f2, (float) (jVar.o.getRight() / 2), (float) (jVar.o.getBottom() / 2), false);
    }

    public void setScaleType(ImageView.ScaleType scaleType) {
        j jVar = this.f4501d;
        if (jVar == null) {
            this.f4502h = scaleType;
            return;
        }
        Objects.requireNonNull(jVar);
        boolean z = true;
        if (scaleType == null) {
            z = false;
        } else if (k.f8958a[scaleType.ordinal()] == 1) {
            throw new IllegalStateException("Matrix scale type is not supported");
        }
        if (z && scaleType != jVar.J) {
            jVar.J = scaleType;
            jVar.k();
        }
    }

    public void setZoomTransitionDuration(int i2) {
        this.f4501d.f8941h = i2;
    }

    public void setZoomable(boolean z) {
        j jVar = this.f4501d;
        jVar.I = z;
        jVar.k();
    }

    public PhotoView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public PhotoView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f4501d = new j(this);
        super.setScaleType(ImageView.ScaleType.MATRIX);
        ImageView.ScaleType scaleType = this.f4502h;
        if (scaleType != null) {
            setScaleType(scaleType);
            this.f4502h = null;
        }
    }
}
