package com.google.android.exoplayer;

import android.content.Context;
import android.util.AttributeSet;
import android.view.View;
import android.widget.FrameLayout;

public final class AspectRatioFrameLayout extends FrameLayout {

    /* renamed from: d  reason: collision with root package name */
    public float f4509d;

    public AspectRatioFrameLayout(Context context) {
        super(context);
    }

    public void onMeasure(int i2, int i3) {
        super.onMeasure(i2, i3);
        if (this.f4509d != 0.0f) {
            int measuredWidth = getMeasuredWidth();
            int measuredHeight = getMeasuredHeight();
            float f2 = (float) measuredWidth;
            float f3 = (float) measuredHeight;
            float f4 = (this.f4509d / (f2 / f3)) - 1.0f;
            if (Math.abs(f4) > 0.01f) {
                if (f4 > 0.0f) {
                    measuredHeight = (int) (f2 / this.f4509d);
                } else {
                    measuredWidth = (int) (f3 * this.f4509d);
                }
                super.onMeasure(View.MeasureSpec.makeMeasureSpec(measuredWidth, 1073741824), View.MeasureSpec.makeMeasureSpec(measuredHeight, 1073741824));
            }
        }
    }

    public void setAspectRatio(float f2) {
        if (this.f4509d != f2) {
            this.f4509d = f2;
            requestLayout();
        }
    }

    public AspectRatioFrameLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }
}
