package com.google.android.exoplayer;

import android.annotation.TargetApi;
import android.media.MediaCodec;
import android.media.MediaCrypto;
import android.media.MediaFormat;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.SystemClock;
import android.util.Log;
import android.util.Pair;
import b.o.a.n;
import com.google.android.exoplayer.MediaCodecUtil;
import d.h.a.a.b;
import d.h.a.a.d;
import d.h.a.a.f0.a;
import d.h.a.a.f0.e;
import d.h.a.a.f0.l;
import d.h.a.a.m0.i;
import d.h.a.a.m0.r;
import d.h.a.a.p;
import d.h.a.a.q;
import d.h.a.a.s;
import d.h.a.a.u;
import d.h.a.a.v;
import d.h.a.a.w;
import d.h.a.a.x;
import java.nio.ByteBuffer;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import java.util.UUID;

@TargetApi(16)
public abstract class MediaCodecTrackRenderer extends x {
    public static final byte[] o = r.h("0000016742C00BDA259000000168CE0F13200000016588840DCE7118A0002FBF1C31C3275D78");
    public MediaFormat A;
    public d.h.a.a.f0.a B;
    public MediaCodec C;
    public boolean D;
    public boolean E;
    public boolean F;
    public boolean G;
    public boolean H;
    public boolean I;
    public boolean J;
    public boolean K;
    public boolean L;
    public ByteBuffer[] M;
    public ByteBuffer[] N;
    public long O;
    public int P;
    public int Q;
    public boolean R;
    public boolean S;
    public int T;
    public int U;
    public boolean V;
    public boolean W;
    public int X;
    public boolean Y;
    public boolean Z;
    public boolean a0;
    public boolean b0;
    public final b p;
    public final p q;
    public final d.h.a.a.f0.b<e> r;
    public final boolean s;
    public final v t;
    public final u u;
    public final List<Long> v;
    public final MediaCodec.BufferInfo w;
    public final a x;
    public final boolean y;
    public final Handler z;

    public interface a {
        void onCryptoError(MediaCodec.CryptoException cryptoException);

        void onDecoderInitializationError(DecoderInitializationException decoderInitializationException);

        void onDecoderInitialized(String str, long j2, long j3);
    }

    public MediaCodecTrackRenderer(w[] wVarArr, p pVar, d.h.a.a.f0.b<e> bVar, boolean z2, Handler handler, a aVar) {
        super(wVarArr);
        int i2 = r.f10101a;
        boolean z3 = true;
        n.D(i2 >= 16);
        Objects.requireNonNull(pVar);
        this.q = pVar;
        this.r = bVar;
        this.s = z2;
        this.z = handler;
        this.x = aVar;
        this.y = (i2 > 22 || !"foster".equals(r.f10102b) || !"NVIDIA".equals(r.f10103c)) ? false : z3;
        this.p = new b();
        this.t = new v(0);
        this.u = new u();
        this.v = new ArrayList();
        this.w = new MediaCodec.BufferInfo();
        this.T = 0;
        this.U = 0;
    }

    public d A(p pVar, String str, boolean z2) {
        return pVar.b(str, z2);
    }

    public abstract boolean B(p pVar, MediaFormat mediaFormat);

    /* JADX WARNING: Removed duplicated region for block: B:127:0x022c A[Catch:{ Exception -> 0x0289 }] */
    /* JADX WARNING: Removed duplicated region for block: B:136:0x0271  */
    /* JADX WARNING: Removed duplicated region for block: B:137:0x0276  */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x00b2  */
    public final void C() {
        boolean z2;
        MediaCrypto mediaCrypto;
        boolean z3;
        Handler handler;
        byte[] bArr;
        if (K()) {
            String str = this.A.mimeType;
            d.h.a.a.f0.a aVar = this.B;
            Exception exc = null;
            if (aVar != null) {
                d.h.a.a.f0.b<e> bVar = this.r;
                if (bVar != null) {
                    if (!this.R) {
                        l lVar = (l) bVar;
                        int i2 = lVar.f9199l + 1;
                        lVar.f9199l = i2;
                        if (i2 == 1) {
                            if (lVar.f9198k == null) {
                                HandlerThread handlerThread = new HandlerThread("DrmRequestHandler");
                                lVar.f9197j = handlerThread;
                                handlerThread.start();
                                lVar.f9198k = new l.e(lVar.f9197j.getLooper());
                            }
                            if (lVar.q == null) {
                                a.b a2 = aVar.a(lVar.f9196i);
                                lVar.q = a2;
                                if (a2 == null) {
                                    StringBuilder B2 = d.a.a.a.a.B("Media does not support uuid: ");
                                    B2.append(lVar.f9196i);
                                    lVar.c(new IllegalStateException(B2.toString()));
                                } else if (r.f10101a < 21) {
                                    byte[] bArr2 = a2.f9179b;
                                    UUID uuid = l.f9188a;
                                    Pair<UUID, byte[]> W1 = n.W1(bArr2);
                                    if (W1 != null) {
                                        if (uuid == null || uuid.equals(W1.first)) {
                                            bArr = (byte[]) W1.second;
                                            if (bArr != null) {
                                                lVar.q = new a.b(lVar.q.f9178a, bArr);
                                            }
                                        } else {
                                            Log.w("PsshAtomUtil", "UUID mismatch. Expected: " + uuid + ", got: " + W1.first + ".");
                                        }
                                    }
                                    bArr = null;
                                    if (bArr != null) {
                                    }
                                }
                            }
                            lVar.n = 2;
                            lVar.e(true);
                        }
                        this.R = true;
                    }
                    l lVar2 = (l) this.r;
                    int i3 = lVar2.n;
                    if (i3 == 0) {
                        l lVar3 = (l) this.r;
                        if (lVar3.n == 0) {
                            exc = lVar3.p;
                        }
                        throw new ExoPlaybackException(exc);
                    } else if (i3 != 3 && i3 != 4) {
                        return;
                    } else {
                        if (i3 == 3 || i3 == 4) {
                            T t2 = lVar2.o;
                            mediaCrypto = ((e) t2).f9181a;
                            if (i3 == 3 || i3 == 4) {
                                z2 = ((e) t2).f9181a.requiresSecureDecoderComponent(str);
                            } else {
                                throw new IllegalStateException();
                            }
                        } else {
                            throw new IllegalStateException();
                        }
                    }
                } else {
                    throw new ExoPlaybackException("Media requires a DrmSessionManager");
                }
            } else {
                mediaCrypto = null;
                z2 = false;
            }
            try {
                d A2 = A(this.q, str, z2);
                if (A2 != null) {
                    String str2 = A2.f9011a;
                    this.D = A2.f9013c;
                    MediaFormat mediaFormat = this.A;
                    int i4 = r.f10101a;
                    this.E = i4 < 21 && mediaFormat.initializationData.isEmpty() && "OMX.MTK.VIDEO.DECODER.AVC".equals(str2);
                    this.F = i4 < 18 || (i4 == 18 && ("OMX.SEC.avc.dec".equals(str2) || "OMX.SEC.avc.dec.secure".equals(str2))) || (i4 == 19 && r.f10104d.startsWith("SM-G800") && ("OMX.Exynos.avc.dec".equals(str2) || "OMX.Exynos.avc.dec.secure".equals(str2)));
                    if (i4 < 24 && ("OMX.Nvidia.h264.decode".equals(str2) || "OMX.Nvidia.h264.decode.secure".equals(str2))) {
                        String str3 = r.f10102b;
                        if (str3.equals("flounder") || str3.equals("flounder_lte") || str3.equals("grouper") || str3.equals("tilapia")) {
                            z3 = true;
                            this.G = z3;
                            this.H = i4 > 17 && ("OMX.rk.video_decoder.avc".equals(str2) || "OMX.allwinner.video.decoder.avc".equals(str2));
                            this.I = i4 > 23 && "OMX.google.vorbis.decoder".equals(str2);
                            this.J = i4 > 18 && this.A.channelCount == 1 && "OMX.MTK.AUDIO.DECODER.MP3".equals(str2);
                            long elapsedRealtime = SystemClock.elapsedRealtime();
                            n.x("createByCodecName(" + str2 + ")");
                            this.C = MediaCodec.createByCodecName(str2);
                            n.j0();
                            n.x("configureCodec");
                            MediaCodec mediaCodec = this.C;
                            boolean z4 = A2.f9013c;
                            MediaFormat frameworkMediaFormatV16 = this.A.getFrameworkMediaFormatV16();
                            if (this.y) {
                                frameworkMediaFormatV16.setInteger("auto-frc", 0);
                            }
                            y(mediaCodec, z4, frameworkMediaFormatV16, mediaCrypto);
                            n.j0();
                            n.x("codec.start()");
                            this.C.start();
                            n.j0();
                            long elapsedRealtime2 = SystemClock.elapsedRealtime();
                            long j2 = elapsedRealtime2 - elapsedRealtime;
                            handler = this.z;
                            if (!(handler == null || this.x == null)) {
                                handler.post(new s(this, str2, elapsedRealtime2, j2));
                            }
                            this.M = this.C.getInputBuffers();
                            this.N = this.C.getOutputBuffers();
                            this.O = this.f8975d != 3 ? SystemClock.elapsedRealtime() : -1;
                            this.P = -1;
                            this.Q = -1;
                            this.b0 = true;
                            this.p.f8976a++;
                        }
                    }
                    z3 = false;
                    this.G = z3;
                    this.H = i4 > 17 && ("OMX.rk.video_decoder.avc".equals(str2) || "OMX.allwinner.video.decoder.avc".equals(str2));
                    this.I = i4 > 23 && "OMX.google.vorbis.decoder".equals(str2);
                    this.J = i4 > 18 && this.A.channelCount == 1 && "OMX.MTK.AUDIO.DECODER.MP3".equals(str2);
                    try {
                        long elapsedRealtime3 = SystemClock.elapsedRealtime();
                        n.x("createByCodecName(" + str2 + ")");
                        this.C = MediaCodec.createByCodecName(str2);
                        n.j0();
                        n.x("configureCodec");
                        MediaCodec mediaCodec2 = this.C;
                        boolean z42 = A2.f9013c;
                        MediaFormat frameworkMediaFormatV162 = this.A.getFrameworkMediaFormatV16();
                        if (this.y) {
                        }
                        y(mediaCodec2, z42, frameworkMediaFormatV162, mediaCrypto);
                        n.j0();
                        n.x("codec.start()");
                        this.C.start();
                        n.j0();
                        long elapsedRealtime22 = SystemClock.elapsedRealtime();
                        long j22 = elapsedRealtime22 - elapsedRealtime3;
                        handler = this.z;
                        handler.post(new s(this, str2, elapsedRealtime22, j22));
                        this.M = this.C.getInputBuffers();
                        this.N = this.C.getOutputBuffers();
                        this.O = this.f8975d != 3 ? SystemClock.elapsedRealtime() : -1;
                        this.P = -1;
                        this.Q = -1;
                        this.b0 = true;
                        this.p.f8976a++;
                    } catch (Exception e2) {
                        D(new DecoderInitializationException(this.A, e2, z2, str2));
                        throw null;
                    }
                } else {
                    D(new DecoderInitializationException(this.A, (Throwable) null, z2, -49999));
                    throw null;
                }
            } catch (MediaCodecUtil.DecoderQueryException e3) {
                D(new DecoderInitializationException(this.A, e3, z2, -49998));
                throw null;
            }
        }
    }

    public final void D(DecoderInitializationException decoderInitializationException) {
        Handler handler = this.z;
        if (!(handler == null || this.x == null)) {
            handler.post(new q(this, decoderInitializationException));
        }
        throw new ExoPlaybackException(decoderInitializationException);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:12:0x0034, code lost:
        if (r5.height == r0.height) goto L_0x0038;
     */
    public void E(u uVar) {
        MediaFormat mediaFormat = this.A;
        MediaFormat mediaFormat2 = uVar.f10131a;
        this.A = mediaFormat2;
        this.B = uVar.f10132b;
        if (!r.a(mediaFormat2, mediaFormat)) {
            MediaCodec mediaCodec = this.C;
            boolean z2 = true;
            if (mediaCodec != null && x(mediaCodec, this.D, mediaFormat, this.A)) {
                this.S = true;
                this.T = 1;
                if (this.G) {
                    MediaFormat mediaFormat3 = this.A;
                    if (mediaFormat3.width == mediaFormat.width) {
                    }
                }
                z2 = false;
                this.K = z2;
            } else if (this.V) {
                this.U = 1;
            } else {
                J();
                C();
            }
        }
    }

    public void F(MediaCodec mediaCodec, MediaFormat mediaFormat) {
    }

    public void G() {
    }

    public final void H() {
        if (this.U == 2) {
            J();
            C();
            return;
        }
        this.Z = true;
        G();
    }

    public abstract boolean I(long j2, long j3, MediaCodec mediaCodec, ByteBuffer byteBuffer, MediaCodec.BufferInfo bufferInfo, int i2, boolean z2);

    public void J() {
        if (this.C != null) {
            this.O = -1;
            this.P = -1;
            this.Q = -1;
            this.a0 = false;
            this.v.clear();
            this.M = null;
            this.N = null;
            this.S = false;
            this.V = false;
            this.D = false;
            this.E = false;
            this.F = false;
            this.G = false;
            this.H = false;
            this.I = false;
            this.J = false;
            this.K = false;
            this.L = false;
            this.W = false;
            this.T = 0;
            this.U = 0;
            this.p.f8977b++;
            try {
                this.C.stop();
                try {
                    this.C.release();
                } finally {
                    this.C = null;
                }
            } catch (Throwable th) {
                this.C.release();
                throw th;
            } finally {
                this.C = null;
            }
        }
    }

    public boolean K() {
        return this.C == null && this.A != null;
    }

    @Override // d.h.a.a.a0
    public boolean j() {
        return this.Z;
    }

    @Override // d.h.a.a.a0
    public boolean k() {
        if (this.A != null && !this.a0) {
            if (this.X != 0 || this.Q >= 0) {
                return true;
            }
            if (SystemClock.elapsedRealtime() < this.O + 1000) {
                return true;
            }
        }
        return false;
    }

    @Override // d.h.a.a.a0, d.h.a.a.x
    public void m() {
        this.A = null;
        this.B = null;
        try {
            J();
            try {
                if (this.R) {
                    ((l) this.r).a();
                    this.R = false;
                }
            } finally {
                super.m();
            }
        } catch (Throwable th) {
            if (this.R) {
                ((l) this.r).a();
                this.R = false;
            }
            throw th;
        } finally {
            super.m();
        }
    }

    @Override // d.h.a.a.a0
    public void p() {
    }

    @Override // d.h.a.a.a0
    public void q() {
    }

    @Override // d.h.a.a.x
    public void t(long j2, long j3, boolean z2) {
        int i2;
        int i3;
        boolean z3 = false;
        if (z2) {
            i2 = this.X;
            if (i2 == 0) {
                i2 = 1;
            }
        } else {
            i2 = 0;
        }
        this.X = i2;
        if (this.A == null && w(j2, this.u, null) == -4) {
            E(this.u);
        }
        C();
        if (this.C != null) {
            n.x("drainAndFeed");
            while (true) {
                if (!this.Z) {
                    if (this.Q < 0) {
                        this.Q = this.C.dequeueOutputBuffer(this.w, 0);
                    }
                    int i4 = this.Q;
                    if (i4 == -2) {
                        MediaFormat outputFormat = this.C.getOutputFormat();
                        if (this.G && outputFormat.getInteger("width") == 32 && outputFormat.getInteger("height") == 32) {
                            this.L = true;
                        } else {
                            if (this.J) {
                                outputFormat.setInteger("channel-count", 1);
                            }
                            F(this.C, outputFormat);
                            this.p.f8979d++;
                        }
                    } else if (i4 == -3) {
                        this.N = this.C.getOutputBuffers();
                        this.p.f8980e++;
                    } else if (i4 < 0) {
                        if (this.H && (this.Y || this.U == 2)) {
                            H();
                        }
                    } else if (this.L) {
                        this.L = z3;
                        this.C.releaseOutputBuffer(i4, z3);
                        this.Q = -1;
                    } else {
                        MediaCodec.BufferInfo bufferInfo = this.w;
                        if ((bufferInfo.flags & 4) != 0) {
                            H();
                        } else {
                            long j4 = bufferInfo.presentationTimeUs;
                            int size = this.v.size();
                            int i5 = 0;
                            while (true) {
                                if (i5 >= size) {
                                    i3 = -1;
                                    break;
                                } else if (this.v.get(i5).longValue() == j4) {
                                    i3 = i5;
                                    break;
                                } else {
                                    i5++;
                                }
                            }
                            MediaCodec mediaCodec = this.C;
                            ByteBuffer[] byteBufferArr = this.N;
                            int i6 = this.Q;
                            if (I(j2, j3, mediaCodec, byteBufferArr[i6], this.w, i6, i3 != -1)) {
                                long j5 = this.w.presentationTimeUs;
                                if (i3 != -1) {
                                    this.v.remove(i3);
                                }
                                this.Q = -1;
                            } else {
                                z3 = false;
                            }
                        }
                    }
                    z3 = true;
                }
                if (!z3) {
                    break;
                }
                z3 = false;
            }
            if (z(j2, true)) {
                do {
                } while (z(j2, false));
            }
            n.j0();
        }
        synchronized (this.p) {
        }
    }

    @Override // d.h.a.a.x
    public final boolean u(MediaFormat mediaFormat) {
        return B(this.q, mediaFormat);
    }

    @Override // d.h.a.a.x
    public void v(long j2) {
        this.X = 0;
        this.Y = false;
        this.Z = false;
        if (this.C != null) {
            this.O = -1;
            this.P = -1;
            this.Q = -1;
            this.b0 = true;
            this.a0 = false;
            this.v.clear();
            this.K = false;
            this.L = false;
            if (this.F || (this.I && this.W)) {
                J();
                C();
            } else if (this.U != 0) {
                J();
                C();
            } else {
                this.C.flush();
                this.V = false;
            }
            if (this.S && this.A != null) {
                this.T = 1;
            }
        }
    }

    public boolean x(MediaCodec mediaCodec, boolean z2, MediaFormat mediaFormat, MediaFormat mediaFormat2) {
        return false;
    }

    public abstract void y(MediaCodec mediaCodec, boolean z2, MediaFormat mediaFormat, MediaCrypto mediaCrypto);

    /* JADX WARNING: Removed duplicated region for block: B:100:0x0156 A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:101:0x0157  */
    public final boolean z(long j2, boolean z2) {
        int i2;
        boolean z3;
        if (this.Y || this.U == 2) {
            return false;
        }
        if (this.P < 0) {
            int dequeueInputBuffer = this.C.dequeueInputBuffer(0);
            this.P = dequeueInputBuffer;
            if (dequeueInputBuffer < 0) {
                return false;
            }
            v vVar = this.t;
            vVar.f10134b = this.M[dequeueInputBuffer];
            vVar.a();
        }
        if (this.U == 1) {
            if (!this.H) {
                this.W = true;
                this.C.queueInputBuffer(this.P, 0, 0, 0, 4);
                this.P = -1;
            }
            this.U = 2;
            return false;
        } else if (this.K) {
            this.K = false;
            ByteBuffer byteBuffer = this.t.f10134b;
            byte[] bArr = o;
            byteBuffer.put(bArr);
            this.C.queueInputBuffer(this.P, 0, bArr.length, 0, 0);
            this.P = -1;
            this.V = true;
            return true;
        } else {
            if (this.a0) {
                i2 = -3;
            } else {
                if (this.T == 1) {
                    for (int i3 = 0; i3 < this.A.initializationData.size(); i3++) {
                        this.t.f10134b.put(this.A.initializationData.get(i3));
                    }
                    this.T = 2;
                }
                i2 = w(j2, this.u, this.t);
                if (z2 && this.X == 1 && i2 == -2) {
                    this.X = 2;
                }
            }
            if (i2 == -2) {
                return false;
            }
            if (i2 == -4) {
                if (this.T == 2) {
                    this.t.a();
                    this.T = 1;
                }
                E(this.u);
                return true;
            } else if (i2 == -1) {
                if (this.T == 2) {
                    this.t.a();
                    this.T = 1;
                }
                this.Y = true;
                if (!this.V) {
                    H();
                    return false;
                }
                try {
                    if (!this.H) {
                        this.W = true;
                        this.C.queueInputBuffer(this.P, 0, 0, 0, 4);
                        this.P = -1;
                    }
                    return false;
                } catch (MediaCodec.CryptoException e2) {
                    Handler handler = this.z;
                    if (!(handler == null || this.x == null)) {
                        handler.post(new d.h.a.a.r(this, e2));
                    }
                    throw new ExoPlaybackException(e2);
                }
            } else {
                if (this.b0) {
                    if (!this.t.c()) {
                        this.t.a();
                        if (this.T == 2) {
                            this.T = 1;
                        }
                        return true;
                    }
                    this.b0 = false;
                }
                v vVar2 = this.t;
                boolean z4 = (2 & vVar2.f10136d) != 0;
                if (this.R) {
                    int i4 = ((l) this.r).n;
                    if (i4 == 0) {
                        l lVar = (l) this.r;
                        throw new ExoPlaybackException(lVar.n == 0 ? lVar.p : null);
                    } else if (i4 != 4 && (z4 || !this.s)) {
                        z3 = true;
                        this.a0 = z3;
                        if (!z3) {
                            return false;
                        }
                        if (this.E && !z4) {
                            ByteBuffer byteBuffer2 = vVar2.f10134b;
                            byte[] bArr2 = i.f10062a;
                            int position = byteBuffer2.position();
                            int i5 = 0;
                            int i6 = 0;
                            while (true) {
                                int i7 = i5 + 1;
                                if (i7 >= position) {
                                    byteBuffer2.clear();
                                    break;
                                }
                                int i8 = byteBuffer2.get(i5) & 255;
                                if (i6 == 3) {
                                    if (i8 == 1 && (byteBuffer2.get(i7) & 31) == 7) {
                                        ByteBuffer duplicate = byteBuffer2.duplicate();
                                        duplicate.position(i5 - 3);
                                        duplicate.limit(position);
                                        byteBuffer2.position(0);
                                        byteBuffer2.put(duplicate);
                                        break;
                                    }
                                } else if (i8 == 0) {
                                    i6++;
                                }
                                if (i8 != 0) {
                                    i6 = 0;
                                }
                                i5 = i7;
                            }
                            if (this.t.f10134b.position() == 0) {
                                return true;
                            }
                            this.E = false;
                        }
                        try {
                            int position2 = this.t.f10134b.position();
                            v vVar3 = this.t;
                            int i9 = position2 - vVar3.f10135c;
                            long j3 = vVar3.f10137e;
                            if ((vVar3.f10136d & 134217728) != 0) {
                                this.v.add(Long.valueOf(j3));
                            }
                            v vVar4 = this.t;
                            ByteBuffer byteBuffer3 = vVar4.f10134b;
                            if (z4) {
                                MediaCodec.CryptoInfo cryptoInfo = vVar4.f10133a.f9007g;
                                if (i9 != 0) {
                                    if (cryptoInfo.numBytesOfClearData == null) {
                                        cryptoInfo.numBytesOfClearData = new int[1];
                                    }
                                    int[] iArr = cryptoInfo.numBytesOfClearData;
                                    iArr[0] = iArr[0] + i9;
                                }
                                this.C.queueSecureInputBuffer(this.P, 0, cryptoInfo, j3, 0);
                            } else {
                                this.C.queueInputBuffer(this.P, 0, position2, j3, 0);
                            }
                            this.P = -1;
                            this.V = true;
                            this.T = 0;
                            this.p.f8978c++;
                            return true;
                        } catch (MediaCodec.CryptoException e3) {
                            Handler handler2 = this.z;
                            if (!(handler2 == null || this.x == null)) {
                                handler2.post(new d.h.a.a.r(this, e3));
                            }
                            throw new ExoPlaybackException(e3);
                        }
                    }
                }
                z3 = false;
                this.a0 = z3;
                if (!z3) {
                }
            }
        }
    }

    public static class DecoderInitializationException extends Exception {
        private static final int CUSTOM_ERROR_CODE_BASE = -50000;
        private static final int DECODER_QUERY_ERROR = -49998;
        private static final int NO_SUITABLE_DECODER_ERROR = -49999;
        public final String decoderName;
        public final String diagnosticInfo;
        public final String mimeType;
        public final boolean secureDecoderRequired;

        public DecoderInitializationException(MediaFormat mediaFormat, Throwable th, boolean z, int i2) {
            super("Decoder init failed: [" + i2 + "], " + mediaFormat, th);
            this.mimeType = mediaFormat.mimeType;
            this.secureDecoderRequired = z;
            this.decoderName = null;
            this.diagnosticInfo = buildCustomDiagnosticInfo(i2);
        }

        private static String buildCustomDiagnosticInfo(int i2) {
            StringBuilder F = d.a.a.a.a.F("com.google.android.exoplayer.MediaCodecTrackRenderer_", i2 < 0 ? "neg_" : "");
            F.append(Math.abs(i2));
            return F.toString();
        }

        @TargetApi(21)
        private static String getDiagnosticInfoV21(Throwable th) {
            if (th instanceof MediaCodec.CodecException) {
                return ((MediaCodec.CodecException) th).getDiagnosticInfo();
            }
            return null;
        }

        public DecoderInitializationException(MediaFormat mediaFormat, Throwable th, boolean z, String str) {
            super("Decoder init failed: " + str + ", " + mediaFormat, th);
            this.mimeType = mediaFormat.mimeType;
            this.secureDecoderRequired = z;
            this.decoderName = str;
            this.diagnosticInfo = r.f10101a >= 21 ? getDiagnosticInfoV21(th) : null;
        }
    }
}
