package com.google.android.exoplayer;

import android.annotation.TargetApi;
import android.media.MediaCodecInfo;
import android.media.MediaCodecList;
import android.text.TextUtils;
import android.util.Log;
import d.h.a.a.m0.r;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@TargetApi(16)
public final class MediaCodecUtil {

    /* renamed from: a  reason: collision with root package name */
    public static final d.h.a.a.d f4510a = new d.h.a.a.d("OMX.google.raw.decoder", null);

    /* renamed from: b  reason: collision with root package name */
    public static final Map<b, List<d.h.a.a.d>> f4511b = new HashMap();

    /* renamed from: c  reason: collision with root package name */
    public static int f4512c = -1;

    public static class DecoderQueryException extends IOException {
        private DecoderQueryException(Throwable th) {
            super("Failed to query underlying media codecs", th);
        }
    }

    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        public final String f4513a;

        /* renamed from: b  reason: collision with root package name */
        public final boolean f4514b;

        public b(String str, boolean z) {
            this.f4513a = str;
            this.f4514b = z;
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || obj.getClass() != b.class) {
                return false;
            }
            b bVar = (b) obj;
            if (!TextUtils.equals(this.f4513a, bVar.f4513a) || this.f4514b != bVar.f4514b) {
                return false;
            }
            return true;
        }

        public int hashCode() {
            String str = this.f4513a;
            return (((str == null ? 0 : str.hashCode()) + 31) * 31) + (this.f4514b ? 1231 : 1237);
        }
    }

    public interface c {
        MediaCodecInfo a(int i2);

        int b();

        boolean c(String str, MediaCodecInfo.CodecCapabilities codecCapabilities);

        boolean d();
    }

    public static final class d implements c {
        public d(a aVar) {
        }

        @Override // com.google.android.exoplayer.MediaCodecUtil.c
        public MediaCodecInfo a(int i2) {
            return MediaCodecList.getCodecInfoAt(i2);
        }

        @Override // com.google.android.exoplayer.MediaCodecUtil.c
        public int b() {
            return MediaCodecList.getCodecCount();
        }

        @Override // com.google.android.exoplayer.MediaCodecUtil.c
        public boolean c(String str, MediaCodecInfo.CodecCapabilities codecCapabilities) {
            return "video/avc".equals(str);
        }

        @Override // com.google.android.exoplayer.MediaCodecUtil.c
        public boolean d() {
            return false;
        }
    }

    @TargetApi(21)
    public static final class e implements c {

        /* renamed from: a  reason: collision with root package name */
        public final int f4515a;

        /* renamed from: b  reason: collision with root package name */
        public MediaCodecInfo[] f4516b;

        public e(boolean z) {
            this.f4515a = z ? 1 : 0;
        }

        @Override // com.google.android.exoplayer.MediaCodecUtil.c
        public MediaCodecInfo a(int i2) {
            if (this.f4516b == null) {
                this.f4516b = new MediaCodecList(this.f4515a).getCodecInfos();
            }
            return this.f4516b[i2];
        }

        @Override // com.google.android.exoplayer.MediaCodecUtil.c
        public int b() {
            if (this.f4516b == null) {
                this.f4516b = new MediaCodecList(this.f4515a).getCodecInfos();
            }
            return this.f4516b.length;
        }

        @Override // com.google.android.exoplayer.MediaCodecUtil.c
        public boolean c(String str, MediaCodecInfo.CodecCapabilities codecCapabilities) {
            return codecCapabilities.isFeatureSupported("secure-playback");
        }

        @Override // com.google.android.exoplayer.MediaCodecUtil.c
        public boolean d() {
            return true;
        }
    }

    public static d.h.a.a.d a(String str, boolean z) {
        List<d.h.a.a.d> list;
        synchronized (MediaCodecUtil.class) {
            b bVar = new b(str, z);
            Map<b, List<d.h.a.a.d>> map = f4511b;
            list = map.get(bVar);
            if (list == null) {
                int i2 = r.f10101a;
                List<d.h.a.a.d> b2 = b(bVar, i2 >= 21 ? new e(z) : new d(null));
                if (z && ((ArrayList) b2).isEmpty() && 21 <= i2 && i2 <= 23) {
                    b2 = b(bVar, new d(null));
                    ArrayList arrayList = (ArrayList) b2;
                    if (!arrayList.isEmpty()) {
                        Log.w("MediaCodecUtil", "MediaCodecList API didn't list secure decoder for: " + str + ". Assuming: " + ((d.h.a.a.d) arrayList.get(0)).f9011a);
                    }
                }
                list = Collections.unmodifiableList(b2);
                map.put(bVar, list);
            }
        }
        if (list.isEmpty()) {
            return null;
        }
        return list.get(0);
    }

    public static List<d.h.a.a.d> b(b bVar, c cVar) {
        b bVar2 = bVar;
        try {
            ArrayList arrayList = new ArrayList();
            String str = bVar2.f4513a;
            int b2 = cVar.b();
            boolean d2 = cVar.d();
            int i2 = 0;
            while (i2 < b2) {
                MediaCodecInfo a2 = cVar.a(i2);
                String name = a2.getName();
                if (c(a2, name, d2)) {
                    String[] supportedTypes = a2.getSupportedTypes();
                    int length = supportedTypes.length;
                    int i3 = 0;
                    while (i3 < length) {
                        String str2 = supportedTypes[i3];
                        if (str2.equalsIgnoreCase(str)) {
                            try {
                                MediaCodecInfo.CodecCapabilities capabilitiesForType = a2.getCapabilitiesForType(str2);
                                boolean c2 = cVar.c(str, capabilitiesForType);
                                if ((d2 && bVar2.f4514b == c2) || (!d2 && !bVar2.f4514b)) {
                                    arrayList.add(new d.h.a.a.d(name, capabilitiesForType));
                                } else if (!d2 && c2) {
                                    arrayList.add(new d.h.a.a.d(name + ".secure", capabilitiesForType));
                                    return arrayList;
                                }
                            } catch (Exception e2) {
                                if (r.f10101a > 23 || arrayList.isEmpty()) {
                                    Log.e("MediaCodecUtil", "Failed to query codec " + name + " (" + str2 + ")");
                                    throw e2;
                                }
                                Log.e("MediaCodecUtil", "Skipping codec " + name + " (failed to query capabilities)");
                            }
                        }
                        i3++;
                        bVar2 = bVar;
                    }
                    continue;
                }
                i2++;
                bVar2 = bVar;
            }
            return arrayList;
        } catch (Exception e3) {
            throw new DecoderQueryException(e3);
        }
    }

    public static boolean c(MediaCodecInfo mediaCodecInfo, String str, boolean z) {
        String str2;
        String str3;
        String str4;
        if (mediaCodecInfo.isEncoder() || (!z && str.endsWith(".secure"))) {
            return false;
        }
        int i2 = r.f10101a;
        if (i2 < 21 && ("CIPAACDecoder".equals(str) || "CIPMP3Decoder".equals(str) || "CIPVorbisDecoder".equals(str) || "AACDecoder".equals(str) || "MP3Decoder".equals(str))) {
            return false;
        }
        if (i2 < 18 && "OMX.SEC.MP3.Decoder".equals(str)) {
            return false;
        }
        if (i2 < 18 && "OMX.MTK.AUDIO.DECODER.AAC".equals(str) && "a70".equals(r.f10102b)) {
            return false;
        }
        if (i2 == 16 && (str4 = r.f10102b) != null && "OMX.qcom.audio.decoder.mp3".equals(str) && ("dlxu".equals(str4) || "protou".equals(str4) || "ville".equals(str4) || "villeplus".equals(str4) || "villec2".equals(str4) || str4.startsWith("gee") || "C6602".equals(str4) || "C6603".equals(str4) || "C6606".equals(str4) || "C6616".equals(str4) || "L36h".equals(str4) || "SO-02E".equals(str4))) {
            return false;
        }
        if (i2 == 16 && "OMX.qcom.audio.decoder.aac".equals(str)) {
            String str5 = r.f10102b;
            if ("C1504".equals(str5) || "C1505".equals(str5) || "C1604".equals(str5) || "C1605".equals(str5)) {
                return false;
            }
        }
        if (i2 <= 19 && (str3 = r.f10102b) != null && ((str3.startsWith("d2") || str3.startsWith("serrano") || str3.startsWith("jflte") || str3.startsWith("santos")) && "samsung".equals(r.f10103c) && str.equals("OMX.SEC.vp8.dec"))) {
            return false;
        }
        if (i2 > 19 || (str2 = r.f10102b) == null || !str2.startsWith("jflte") || !"OMX.qcom.video.decoder.vp8".equals(str)) {
            return true;
        }
        return false;
    }
}
