package com.google.android.exoplayer.audio;

import android.annotation.TargetApi;
import android.media.AudioTimestamp;
import android.media.PlaybackParams;
import android.os.ConditionVariable;
import android.os.SystemClock;
import android.util.Log;
import b.o.a.n;
import d.h.a.a.m0.r;
import java.lang.reflect.Method;
import java.nio.ByteBuffer;

public final class AudioTrack {
    public long A;
    public long B;
    public float C;
    public byte[] D;
    public int E;
    public int F;
    public ByteBuffer G;
    public boolean H;

    /* renamed from: a  reason: collision with root package name */
    public final d.h.a.a.c0.a f4517a;

    /* renamed from: b  reason: collision with root package name */
    public final int f4518b;

    /* renamed from: c  reason: collision with root package name */
    public final ConditionVariable f4519c = new ConditionVariable(true);

    /* renamed from: d  reason: collision with root package name */
    public final long[] f4520d;

    /* renamed from: e  reason: collision with root package name */
    public final b f4521e;

    /* renamed from: f  reason: collision with root package name */
    public android.media.AudioTrack f4522f;

    /* renamed from: g  reason: collision with root package name */
    public int f4523g;

    /* renamed from: h  reason: collision with root package name */
    public int f4524h;

    /* renamed from: i  reason: collision with root package name */
    public int f4525i;

    /* renamed from: j  reason: collision with root package name */
    public int f4526j;

    /* renamed from: k  reason: collision with root package name */
    public boolean f4527k;

    /* renamed from: l  reason: collision with root package name */
    public int f4528l;
    public int m;
    public long n;
    public int o;
    public int p;
    public long q;
    public long r;
    public boolean s;
    public long t;
    public Method u;
    public long v;
    public long w;
    public int x;
    public int y;
    public long z;

    public static final class InitializationException extends Exception {
        public final int audioTrackState;

        /* JADX WARNING: Illegal instructions before constructor call */
        public InitializationException(int i2, int i3, int i4, int i5) {
            super(r5.toString());
            StringBuilder D = d.a.a.a.a.D("AudioTrack init failed: ", i2, ", Config(", i3, ", ");
            D.append(i4);
            D.append(", ");
            D.append(i5);
            D.append(")");
            this.audioTrackState = i2;
        }
    }

    public static final class InvalidAudioTrackTimestampException extends RuntimeException {
        public InvalidAudioTrackTimestampException(String str) {
            super(str);
        }
    }

    public static final class WriteException extends Exception {
        public final int errorCode;

        public WriteException(int i2) {
            super(d.a.a.a.a.k("AudioTrack write failed: ", i2));
            this.errorCode = i2;
        }
    }

    public class a extends Thread {

        /* renamed from: d  reason: collision with root package name */
        public final /* synthetic */ android.media.AudioTrack f4529d;

        public a(android.media.AudioTrack audioTrack) {
            this.f4529d = audioTrack;
        }

        public void run() {
            try {
                this.f4529d.flush();
                this.f4529d.release();
            } finally {
                AudioTrack.this.f4519c.open();
            }
        }
    }

    public static class b {

        /* renamed from: a  reason: collision with root package name */
        public android.media.AudioTrack f4531a;

        /* renamed from: b  reason: collision with root package name */
        public boolean f4532b;

        /* renamed from: c  reason: collision with root package name */
        public int f4533c;

        /* renamed from: d  reason: collision with root package name */
        public long f4534d;

        /* renamed from: e  reason: collision with root package name */
        public long f4535e;

        /* renamed from: f  reason: collision with root package name */
        public long f4536f;

        /* renamed from: g  reason: collision with root package name */
        public long f4537g;

        /* renamed from: h  reason: collision with root package name */
        public long f4538h;

        /* renamed from: i  reason: collision with root package name */
        public long f4539i;

        public b(a aVar) {
        }

        public long a() {
            if (this.f4537g != -1) {
                return Math.min(this.f4539i, this.f4538h + ((((SystemClock.elapsedRealtime() * 1000) - this.f4537g) * ((long) this.f4533c)) / 1000000));
            }
            int playState = this.f4531a.getPlayState();
            if (playState == 1) {
                return 0;
            }
            long playbackHeadPosition = 4294967295L & ((long) this.f4531a.getPlaybackHeadPosition());
            if (this.f4532b) {
                if (playState == 2 && playbackHeadPosition == 0) {
                    this.f4536f = this.f4534d;
                }
                playbackHeadPosition += this.f4536f;
            }
            if (this.f4534d > playbackHeadPosition) {
                this.f4535e++;
            }
            this.f4534d = playbackHeadPosition;
            return playbackHeadPosition + (this.f4535e << 32);
        }

        public float b() {
            return 1.0f;
        }

        public long c() {
            throw new UnsupportedOperationException();
        }

        public long d() {
            throw new UnsupportedOperationException();
        }

        public void e(android.media.AudioTrack audioTrack, boolean z) {
            this.f4531a = audioTrack;
            this.f4532b = z;
            this.f4537g = -1;
            this.f4534d = 0;
            this.f4535e = 0;
            this.f4536f = 0;
            if (audioTrack != null) {
                this.f4533c = audioTrack.getSampleRate();
            }
        }

        public void f(PlaybackParams playbackParams) {
            throw new UnsupportedOperationException();
        }

        public boolean g() {
            return false;
        }
    }

    @TargetApi(19)
    public static class c extends b {

        /* renamed from: j  reason: collision with root package name */
        public final AudioTimestamp f4540j = new AudioTimestamp();

        /* renamed from: k  reason: collision with root package name */
        public long f4541k;

        /* renamed from: l  reason: collision with root package name */
        public long f4542l;
        public long m;

        public c() {
            super(null);
        }

        @Override // com.google.android.exoplayer.audio.AudioTrack.b
        public long c() {
            return this.m;
        }

        @Override // com.google.android.exoplayer.audio.AudioTrack.b
        public long d() {
            return this.f4540j.nanoTime;
        }

        @Override // com.google.android.exoplayer.audio.AudioTrack.b
        public void e(android.media.AudioTrack audioTrack, boolean z) {
            super.e(audioTrack, z);
            this.f4541k = 0;
            this.f4542l = 0;
            this.m = 0;
        }

        @Override // com.google.android.exoplayer.audio.AudioTrack.b
        public boolean g() {
            boolean timestamp = this.f4531a.getTimestamp(this.f4540j);
            if (timestamp) {
                long j2 = this.f4540j.framePosition;
                if (this.f4542l > j2) {
                    this.f4541k++;
                }
                this.f4542l = j2;
                this.m = j2 + (this.f4541k << 32);
            }
            return timestamp;
        }
    }

    @TargetApi(23)
    public static class d extends c {
        public PlaybackParams n;
        public float o = 1.0f;

        @Override // com.google.android.exoplayer.audio.AudioTrack.b
        public float b() {
            return this.o;
        }

        @Override // com.google.android.exoplayer.audio.AudioTrack.c, com.google.android.exoplayer.audio.AudioTrack.b
        public void e(android.media.AudioTrack audioTrack, boolean z) {
            PlaybackParams playbackParams;
            super.e(audioTrack, z);
            android.media.AudioTrack audioTrack2 = this.f4531a;
            if (audioTrack2 != null && (playbackParams = this.n) != null) {
                audioTrack2.setPlaybackParams(playbackParams);
            }
        }

        @Override // com.google.android.exoplayer.audio.AudioTrack.b
        public void f(PlaybackParams playbackParams) {
            PlaybackParams playbackParams2;
            if (playbackParams == null) {
                playbackParams = new PlaybackParams();
            }
            PlaybackParams allowDefaults = playbackParams.allowDefaults();
            this.n = allowDefaults;
            this.o = allowDefaults.getSpeed();
            android.media.AudioTrack audioTrack = this.f4531a;
            if (audioTrack != null && (playbackParams2 = this.n) != null) {
                audioTrack.setPlaybackParams(playbackParams2);
            }
        }
    }

    public AudioTrack(d.h.a.a.c0.a aVar, int i2) {
        this.f4517a = aVar;
        this.f4518b = i2;
        if (r.f10101a >= 18) {
            try {
                this.u = android.media.AudioTrack.class.getMethod("getLatency", null);
            } catch (NoSuchMethodException unused) {
            }
        }
        int i3 = r.f10101a;
        if (i3 >= 23) {
            this.f4521e = new d();
        } else if (i3 >= 19) {
            this.f4521e = new c();
        } else {
            this.f4521e = new b(null);
        }
        this.f4520d = new long[10];
        this.C = 1.0f;
        this.y = 0;
    }

    public static int c(String str) {
        str.hashCode();
        char c2 = 65535;
        switch (str.hashCode()) {
            case -1095064472:
                if (str.equals("audio/vnd.dts")) {
                    c2 = 0;
                    break;
                }
                break;
            case 187078296:
                if (str.equals("audio/ac3")) {
                    c2 = 1;
                    break;
                }
                break;
            case 1504578661:
                if (str.equals("audio/eac3")) {
                    c2 = 2;
                    break;
                }
                break;
            case 1505942594:
                if (str.equals("audio/vnd.dts.hd")) {
                    c2 = 3;
                    break;
                }
                break;
        }
        switch (c2) {
            case 0:
                return 7;
            case 1:
                return 5;
            case 2:
                return 6;
            case 3:
                return 8;
            default:
                return 0;
        }
    }

    public final long a(long j2) {
        return (j2 * ((long) this.f4523g)) / 1000000;
    }

    public final long b(long j2) {
        return (j2 * 1000000) / ((long) this.f4523g);
    }

    public final long d() {
        if (this.f4527k) {
            return this.w;
        }
        return this.v / ((long) this.f4528l);
    }

    /* JADX WARNING: Removed duplicated region for block: B:86:0x01aa  */
    public int e(ByteBuffer byteBuffer, int i2, int i3, long j2) {
        ByteBuffer byteBuffer2;
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9 = 0;
        if (i()) {
            if (this.f4522f.getPlayState() == 2) {
                return 0;
            }
            if (this.f4522f.getPlayState() == 1 && this.f4521e.a() != 0) {
                return 0;
            }
        }
        if (this.F != 0) {
            byteBuffer2 = byteBuffer;
            i4 = 0;
        } else if (i3 == 0) {
            return 2;
        } else {
            int i10 = this.f4526j;
            boolean z2 = i10 != this.f4525i;
            this.H = z2;
            if (z2) {
                n.D(i10 == 2);
                int i11 = this.f4525i;
                byteBuffer2 = this.G;
                if (i11 == Integer.MIN_VALUE) {
                    i8 = (i3 / 3) * 2;
                } else if (i11 == 3) {
                    i8 = i3 * 2;
                } else if (i11 == 1073741824) {
                    i8 = i3 / 2;
                } else {
                    throw new IllegalStateException();
                }
                if (byteBuffer2 == null || byteBuffer2.capacity() < i8) {
                    byteBuffer2 = ByteBuffer.allocateDirect(i8);
                }
                byteBuffer2.position(0);
                byteBuffer2.limit(i8);
                int i12 = i3 + i2;
                if (i11 == Integer.MIN_VALUE) {
                    for (int i13 = i2; i13 < i12; i13 += 3) {
                        byteBuffer2.put(byteBuffer.get(i13 + 1));
                        byteBuffer2.put(byteBuffer.get(i13 + 2));
                    }
                } else if (i11 == 3) {
                    for (int i14 = i2; i14 < i12; i14++) {
                        byteBuffer2.put((byte) 0);
                        byteBuffer2.put((byte) ((byteBuffer.get(i14) & 255) - 128));
                    }
                } else if (i11 == 1073741824) {
                    for (int i15 = i2; i15 < i12; i15 += 4) {
                        byteBuffer2.put(byteBuffer.get(i15 + 2));
                        byteBuffer2.put(byteBuffer.get(i15 + 3));
                    }
                } else {
                    throw new IllegalStateException();
                }
                byteBuffer2.position(0);
                this.G = byteBuffer2;
                i6 = byteBuffer2.position();
                i5 = this.G.limit();
            } else {
                i5 = i3;
                byteBuffer2 = byteBuffer;
                i6 = i2;
            }
            this.F = i5;
            byteBuffer2.position(i6);
            if (this.f4527k && this.x == 0) {
                int i16 = this.f4526j;
                int i17 = 6;
                if (i16 == 7 || i16 == 8) {
                    int position = byteBuffer2.position();
                    i7 = ((((byteBuffer2.get(position + 5) & 252) >> 2) | ((byteBuffer2.get(position + 4) & 1) << 6)) + 1) * 32;
                } else if (i16 == 5) {
                    i7 = 1536;
                } else if (i16 == 6) {
                    if (((byteBuffer2.get(byteBuffer2.position() + 4) & 192) >> 6) != 3) {
                        i17 = d.h.a.a.m0.a.f10024a[(byteBuffer2.get(byteBuffer2.position() + 4) & 48) >> 4];
                    }
                    i7 = i17 * 256;
                } else {
                    throw new IllegalStateException(d.a.a.a.a.k("Unexpected audio encoding: ", i16));
                }
                this.x = i7;
            }
            if (this.y == 0) {
                this.z = Math.max(0L, j2);
                this.y = 1;
            } else {
                long b2 = b(d()) + this.z;
                if (this.y == 1 && Math.abs(b2 - j2) > 200000) {
                    StringBuilder E2 = d.a.a.a.a.E("Discontinuity detected [expected ", b2, ", got ");
                    E2.append(j2);
                    E2.append("]");
                    Log.e("AudioTrack", E2.toString());
                    this.y = 2;
                }
                if (this.y == 2) {
                    this.z = (j2 - b2) + this.z;
                    this.y = 1;
                    i4 = 1;
                    if (r.f10101a < 21) {
                        byte[] bArr = this.D;
                        if (bArr == null || bArr.length < i5) {
                            this.D = new byte[i5];
                        }
                        byteBuffer2.get(this.D, 0, i5);
                        this.E = 0;
                    }
                }
            }
            i4 = 0;
            if (r.f10101a < 21) {
            }
        }
        if (r.f10101a < 21) {
            int a2 = this.m - ((int) (this.v - (this.f4521e.a() * ((long) this.f4528l))));
            if (a2 > 0 && (i9 = this.f4522f.write(this.D, this.E, Math.min(this.F, a2))) >= 0) {
                this.E += i9;
            }
        } else {
            if (this.H) {
                byteBuffer2 = this.G;
            }
            i9 = this.f4522f.write(byteBuffer2, this.F, 1);
        }
        if (i9 >= 0) {
            int i18 = this.F - i9;
            this.F = i18;
            boolean z3 = this.f4527k;
            if (!z3) {
                this.v += (long) i9;
            }
            if (i18 != 0) {
                return i4;
            }
            if (z3) {
                this.w += (long) this.x;
            }
            return i4 | 2;
        }
        throw new WriteException(i9);
    }

    public boolean f() {
        if (h()) {
            if (d() > this.f4521e.a()) {
                return true;
            }
            if (i() && this.f4522f.getPlayState() == 2 && this.f4522f.getPlaybackHeadPosition() == 0) {
                return true;
            }
        }
        return false;
    }

    public int g(int i2) {
        this.f4519c.block();
        if (i2 == 0) {
            this.f4522f = new android.media.AudioTrack(this.f4518b, this.f4523g, this.f4524h, this.f4526j, this.m, 1);
        } else {
            this.f4522f = new android.media.AudioTrack(this.f4518b, this.f4523g, this.f4524h, this.f4526j, this.m, 1, i2);
        }
        int state = this.f4522f.getState();
        if (state == 1) {
            int audioSessionId = this.f4522f.getAudioSessionId();
            this.f4521e.e(this.f4522f, i());
            l();
            return audioSessionId;
        }
        try {
            this.f4522f.release();
        } catch (Exception unused) {
        } catch (Throwable th) {
            this.f4522f = null;
            throw th;
        }
        this.f4522f = null;
        throw new InitializationException(state, this.f4523g, this.f4524h, this.m);
    }

    public boolean h() {
        return this.f4522f != null;
    }

    public final boolean i() {
        int i2;
        return r.f10101a < 23 && ((i2 = this.f4526j) == 5 || i2 == 6);
    }

    public void j() {
        if (h()) {
            this.A = System.nanoTime() / 1000;
            this.f4522f.play();
        }
    }

    public void k() {
        if (h()) {
            this.v = 0;
            this.w = 0;
            this.x = 0;
            this.F = 0;
            this.y = 0;
            this.B = 0;
            this.q = 0;
            this.p = 0;
            this.o = 0;
            this.r = 0;
            this.s = false;
            this.t = 0;
            if (this.f4522f.getPlayState() == 3) {
                this.f4522f.pause();
            }
            android.media.AudioTrack audioTrack = this.f4522f;
            this.f4522f = null;
            this.f4521e.e(null, false);
            this.f4519c.close();
            new a(audioTrack).start();
        }
    }

    public final void l() {
        if (h()) {
            if (r.f10101a >= 21) {
                this.f4522f.setVolume(this.C);
                return;
            }
            android.media.AudioTrack audioTrack = this.f4522f;
            float f2 = this.C;
            audioTrack.setStereoVolume(f2, f2);
        }
    }
}
