package com.google.android.exoplayer.dash;

import android.os.Handler;
import android.os.SystemClock;
import android.util.Log;
import android.util.SparseArray;
import com.google.android.exoplayer.BehindLiveWindowException;
import com.google.android.exoplayer.MediaFormat;
import com.google.android.exoplayer.upstream.Loader;
import com.google.android.exoplayer.util.ManifestFetcher;
import d.h.a.a.d0.j;
import d.h.a.a.d0.k;
import d.h.a.a.d0.m;
import d.h.a.a.d0.n;
import d.h.a.a.d0.q;
import d.h.a.a.d0.r;
import d.h.a.a.e0.c;
import d.h.a.a.e0.f.f;
import d.h.a.a.e0.f.h;
import d.h.a.a.f0.a;
import d.h.a.a.g0.e;
import d.h.a.a.g0.l;
import d.h.a.a.g0.p.g;
import d.h.a.a.m0.p;
import d.h.a.a.z;
import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Objects;

public class DashChunkSource implements j, c.a {

    /* renamed from: a  reason: collision with root package name */
    public final Handler f4543a;

    /* renamed from: b  reason: collision with root package name */
    public final a f4544b;

    /* renamed from: c  reason: collision with root package name */
    public final d.h.a.a.l0.d f4545c;

    /* renamed from: d  reason: collision with root package name */
    public final n f4546d;

    /* renamed from: e  reason: collision with root package name */
    public final n.b f4547e;

    /* renamed from: f  reason: collision with root package name */
    public final ManifestFetcher<d.h.a.a.e0.f.d> f4548f;

    /* renamed from: g  reason: collision with root package name */
    public final d.h.a.a.e0.c f4549g;

    /* renamed from: h  reason: collision with root package name */
    public final ArrayList<b> f4550h;

    /* renamed from: i  reason: collision with root package name */
    public final SparseArray<c> f4551i;

    /* renamed from: j  reason: collision with root package name */
    public final p f4552j;

    /* renamed from: k  reason: collision with root package name */
    public final long f4553k;

    /* renamed from: l  reason: collision with root package name */
    public final long f4554l;
    public final long[] m;
    public final boolean n;
    public final int o;
    public d.h.a.a.e0.f.d p;
    public d.h.a.a.e0.f.d q;
    public b r;
    public int s;
    public z t;
    public boolean u;
    public boolean v = true;
    public boolean w;
    public IOException x;

    public static class NoAdaptationSetException extends IOException {
        public NoAdaptationSetException(String str) {
            super(str);
        }
    }

    public interface a {
        void onAvailableRangeChanged(int i2, z zVar);
    }

    public static final class c {

        /* renamed from: a  reason: collision with root package name */
        public final int f4561a;

        /* renamed from: b  reason: collision with root package name */
        public final long f4562b;

        /* renamed from: c  reason: collision with root package name */
        public final HashMap<String, d> f4563c;

        /* renamed from: d  reason: collision with root package name */
        public final int[] f4564d;

        /* renamed from: e  reason: collision with root package name */
        public d.h.a.a.f0.a f4565e;

        /* renamed from: f  reason: collision with root package name */
        public boolean f4566f;

        /* renamed from: g  reason: collision with root package name */
        public boolean f4567g;

        /* renamed from: h  reason: collision with root package name */
        public long f4568h;

        /* renamed from: i  reason: collision with root package name */
        public long f4569i;

        public c(int i2, d.h.a.a.e0.f.d dVar, int i3, b bVar) {
            this.f4561a = i2;
            f fVar = dVar.f9130h.get(i3);
            long b2 = b(dVar, i3);
            d.h.a.a.e0.f.a aVar = fVar.f9137b.get(bVar.f4558d);
            List<h> list = aVar.f9117b;
            this.f4562b = fVar.f9136a * 1000;
            a.C0078a aVar2 = null;
            if (!aVar.f9118c.isEmpty()) {
                for (int i4 = 0; i4 < aVar.f9118c.size(); i4++) {
                    d.h.a.a.e0.f.b bVar2 = aVar.f9118c.get(i4);
                    if (!(bVar2.f9120b == null || bVar2.f9121c == null)) {
                        aVar2 = aVar2 == null ? new a.C0078a() : aVar2;
                        aVar2.f9177a.put(bVar2.f9120b, bVar2.f9121c);
                    }
                }
            }
            this.f4565e = aVar2;
            if (bVar.a()) {
                this.f4564d = new int[bVar.f4560f.length];
                int i5 = 0;
                while (true) {
                    m[] mVarArr = bVar.f4560f;
                    if (i5 >= mVarArr.length) {
                        break;
                    }
                    this.f4564d[i5] = c(list, mVarArr[i5].f9066a);
                    i5++;
                }
            } else {
                this.f4564d = new int[]{c(list, bVar.f4559e.f9066a)};
            }
            this.f4563c = new HashMap<>();
            int i6 = 0;
            while (true) {
                int[] iArr = this.f4564d;
                if (i6 < iArr.length) {
                    h hVar = list.get(iArr[i6]);
                    this.f4563c.put(hVar.f9143a.f9066a, new d(this.f4562b, b2, hVar));
                    i6++;
                } else {
                    e(b2, list.get(iArr[0]));
                    return;
                }
            }
        }

        /* JADX WARNING: Removed duplicated region for block: B:10:0x003a A[RETURN] */
        /* JADX WARNING: Removed duplicated region for block: B:11:0x003b  */
        public static long b(d.h.a.a.e0.f.d dVar, int i2) {
            long j2;
            long j3;
            long j4;
            if (i2 == dVar.f9130h.size() - 1) {
                j4 = dVar.f9124b;
                if (j4 == -1) {
                    j2 = -1;
                    if (j2 != -1) {
                        return -1;
                    }
                    return j2 * 1000;
                }
                j3 = dVar.f9130h.get(i2).f9136a;
            } else {
                j4 = dVar.f9130h.get(i2 + 1).f9136a;
                j3 = dVar.f9130h.get(i2).f9136a;
            }
            j2 = j4 - j3;
            if (j2 != -1) {
            }
        }

        public static int c(List<h> list, String str) {
            for (int i2 = 0; i2 < list.size(); i2++) {
                if (str.equals(list.get(i2).f9143a.f9066a)) {
                    return i2;
                }
            }
            throw new IllegalStateException(d.a.a.a.a.s("Missing format id: ", str));
        }

        public long a() {
            if (!this.f4566f) {
                return this.f4569i;
            }
            throw new IllegalStateException("Period has unbounded index");
        }

        public void d(d.h.a.a.e0.f.d dVar, int i2, b bVar) {
            long b2 = b(dVar, i2);
            List<h> list = dVar.f9130h.get(i2).f9137b.get(bVar.f4558d).f9117b;
            int i3 = 0;
            while (true) {
                int[] iArr = this.f4564d;
                if (i3 < iArr.length) {
                    h hVar = list.get(iArr[i3]);
                    d dVar2 = this.f4563c.get(hVar.f9143a.f9066a);
                    d.h.a.a.e0.b h2 = dVar2.f4572c.h();
                    d.h.a.a.e0.b h3 = hVar.h();
                    dVar2.f4576g = b2;
                    dVar2.f4572c = hVar;
                    if (h2 != null) {
                        dVar2.f4573d = h3;
                        if (!h2.e()) {
                            continue;
                        } else {
                            int g2 = h2.g(dVar2.f4576g);
                            long d2 = h2.d(g2);
                            int f2 = h3.f();
                            long d3 = h3.d(f2);
                            int i4 = ((h2.b(g2, dVar2.f4576g) + d2) > d3 ? 1 : ((h2.b(g2, dVar2.f4576g) + d2) == d3 ? 0 : -1));
                            if (i4 == 0) {
                                dVar2.f4577h = ((h2.g(dVar2.f4576g) + 1) - f2) + dVar2.f4577h;
                            } else if (i4 >= 0) {
                                dVar2.f4577h = (h2.a(d3, dVar2.f4576g) - f2) + dVar2.f4577h;
                            } else {
                                throw new BehindLiveWindowException();
                            }
                        }
                    }
                    i3++;
                } else {
                    e(b2, list.get(iArr[0]));
                    return;
                }
            }
        }

        public final void e(long j2, h hVar) {
            d.h.a.a.e0.b h2 = hVar.h();
            boolean z = true;
            if (h2 != null) {
                int f2 = h2.f();
                int g2 = h2.g(j2);
                if (g2 != -1) {
                    z = false;
                }
                this.f4566f = z;
                this.f4567g = h2.e();
                this.f4568h = h2.d(f2) + this.f4562b;
                if (!this.f4566f) {
                    long j3 = this.f4562b;
                    this.f4569i = h2.b(g2, j2) + h2.d(g2) + j3;
                    return;
                }
                return;
            }
            this.f4566f = false;
            this.f4567g = true;
            long j4 = this.f4562b;
            this.f4568h = j4;
            this.f4569i = j4 + j2;
        }
    }

    public static final class d {

        /* renamed from: a  reason: collision with root package name */
        public final boolean f4570a;

        /* renamed from: b  reason: collision with root package name */
        public final d.h.a.a.d0.d f4571b;

        /* renamed from: c  reason: collision with root package name */
        public h f4572c;

        /* renamed from: d  reason: collision with root package name */
        public d.h.a.a.e0.b f4573d;

        /* renamed from: e  reason: collision with root package name */
        public MediaFormat f4574e;

        /* renamed from: f  reason: collision with root package name */
        public final long f4575f;

        /* renamed from: g  reason: collision with root package name */
        public long f4576g;

        /* renamed from: h  reason: collision with root package name */
        public int f4577h;

        public d(long j2, long j3, h hVar) {
            e eVar;
            this.f4575f = j2;
            this.f4576g = j3;
            this.f4572c = hVar;
            String str = hVar.f9143a.f9067b;
            boolean m = DashChunkSource.m(str);
            this.f4570a = m;
            d.h.a.a.d0.d dVar = null;
            if (!m) {
                if (str.startsWith("video/webm") || str.startsWith("audio/webm") || str.startsWith("application/webm")) {
                    eVar = new d.h.a.a.g0.t.f();
                } else {
                    eVar = new g(0, null);
                }
                dVar = new d.h.a.a.d0.d(eVar);
            }
            this.f4571b = dVar;
            this.f4573d = hVar.h();
        }

        public boolean a(int i2) {
            int g2 = this.f4573d.g(this.f4576g);
            if (g2 != -1 && i2 > g2 + this.f4577h) {
                return true;
            }
            return false;
        }
    }

    public DashChunkSource(ManifestFetcher<d.h.a.a.e0.f.d> manifestFetcher, d.h.a.a.e0.c cVar, d.h.a.a.l0.d dVar, n nVar, long j2, long j3, Handler handler, a aVar, int i2) {
        T t2 = manifestFetcher.f4681k;
        p pVar = new p();
        this.f4548f = manifestFetcher;
        this.p = t2;
        this.f4549g = cVar;
        this.f4545c = dVar;
        this.f4546d = nVar;
        this.f4552j = pVar;
        this.f4553k = j2 * 1000;
        this.f4554l = j3 * 1000;
        this.f4543a = handler;
        this.f4544b = aVar;
        this.o = i2;
        this.f4547e = new n.b();
        this.m = new long[2];
        this.f4551i = new SparseArray<>();
        this.f4550h = new ArrayList<>();
        this.n = t2.f9125c;
    }

    public static String k(m mVar) {
        String str = mVar.f9067b;
        if (b.o.a.n.Y0(str)) {
            return b.o.a.n.p0(mVar.f9074i);
        }
        if (b.o.a.n.o1(str)) {
            return b.o.a.n.Q0(mVar.f9074i);
        }
        if (m(str)) {
            return str;
        }
        if (!"application/mp4".equals(str)) {
            return null;
        }
        if ("stpp".equals(mVar.f9074i)) {
            return "application/ttml+xml";
        }
        if ("wvtt".equals(mVar.f9074i)) {
            return "application/x-mp4vtt";
        }
        return null;
    }

    public static MediaFormat l(int i2, m mVar, String str, long j2) {
        if (i2 == 0) {
            return MediaFormat.createVideoFormat(mVar.f9066a, str, mVar.f9068c, -1, j2, mVar.f9069d, mVar.f9070e, null);
        }
        if (i2 == 1) {
            return MediaFormat.createAudioFormat(mVar.f9066a, str, mVar.f9068c, -1, j2, mVar.f9072g, mVar.f9073h, null, mVar.f9075j);
        }
        if (i2 != 2) {
            return null;
        }
        return MediaFormat.createTextFormat(mVar.f9066a, str, mVar.f9068c, j2, mVar.f9075j);
    }

    public static boolean m(String str) {
        return "text/vtt".equals(str) || "application/ttml+xml".equals(str);
    }

    @Override // d.h.a.a.d0.j
    public final MediaFormat a(int i2) {
        return this.f4550h.get(i2).f4555a;
    }

    /* JADX WARNING: Removed duplicated region for block: B:101:0x025a  */
    /* JADX WARNING: Removed duplicated region for block: B:102:0x0274  */
    /* JADX WARNING: Removed duplicated region for block: B:107:0x02b3  */
    /* JADX WARNING: Removed duplicated region for block: B:132:0x0333  */
    /* JADX WARNING: Removed duplicated region for block: B:80:0x01a5  */
    /* JADX WARNING: Removed duplicated region for block: B:81:0x01a8  */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x01ad  */
    /* JADX WARNING: Removed duplicated region for block: B:85:0x01b2  */
    /* JADX WARNING: Removed duplicated region for block: B:97:0x01f1  */
    /* JADX WARNING: Removed duplicated region for block: B:98:0x01f4  */
    @Override // d.h.a.a.d0.j
    public final void b(List<? extends q> list, long j2, d.h.a.a.d0.e eVar) {
        c cVar;
        boolean z;
        d dVar;
        h hVar;
        d.h.a.a.e0.f.g gVar;
        d.h.a.a.d0.d dVar2;
        int i2;
        d.h.a.a.d0.d dVar3;
        int i3;
        m mVar;
        d.h.a.a.d0.c cVar2;
        int i4;
        int i5;
        c cVar3;
        long j3;
        d.h.a.a.d0.c cVar4;
        long j4 = j2;
        d.h.a.a.e0.f.g gVar2 = null;
        if (this.x != null) {
            eVar.f9028b = null;
            return;
        }
        this.f4547e.f9080a = list.size();
        if (this.f4547e.f9082c == null || !this.w) {
            if (this.r.a()) {
                ((n.a) this.f4546d).a(list, j2, this.r.f4560f, this.f4547e);
            } else {
                n.b bVar = this.f4547e;
                bVar.f9082c = this.r.f4559e;
                bVar.f9081b = 2;
            }
        }
        n.b bVar2 = this.f4547e;
        m mVar2 = bVar2.f9082c;
        int i6 = bVar2.f9080a;
        eVar.f9027a = i6;
        if (mVar2 == null) {
            eVar.f9028b = null;
        } else if (i6 != list.size() || (cVar4 = eVar.f9028b) == null || !cVar4.f9019c.equals(mVar2)) {
            eVar.f9028b = null;
            this.t.a(this.m);
            if (list.isEmpty()) {
                if (this.n) {
                    if (j4 != 0) {
                        this.v = false;
                    }
                    if (this.v) {
                        long[] jArr = this.m;
                        j3 = Math.max(jArr[0], jArr[1] - this.f4553k);
                    } else {
                        j3 = Math.max(Math.min(j4, this.m[1] - 1), this.m[0]);
                    }
                } else {
                    j3 = j4;
                }
                if (j3 >= this.f4551i.valueAt(0).f4568h) {
                    int i7 = 0;
                    while (true) {
                        if (i7 >= this.f4551i.size() - 1) {
                            SparseArray<c> sparseArray = this.f4551i;
                            cVar3 = sparseArray.valueAt(sparseArray.size() - 1);
                            break;
                        }
                        c valueAt = this.f4551i.valueAt(i7);
                        if (j3 < valueAt.a()) {
                            cVar3 = valueAt;
                            break;
                        }
                        i7++;
                    }
                } else {
                    cVar3 = this.f4551i.valueAt(0);
                }
                j4 = j3;
            } else {
                if (this.v) {
                    this.v = false;
                }
                q qVar = (q) list.get(eVar.f9027a - 1);
                long j5 = qVar.f9090h;
                if (this.n && j5 < this.m[0]) {
                    this.x = new BehindLiveWindowException();
                    return;
                } else if (!this.p.f9125c || j5 < this.m[1]) {
                    SparseArray<c> sparseArray2 = this.f4551i;
                    c valueAt2 = sparseArray2.valueAt(sparseArray2.size() - 1);
                    if (qVar.f9021e != valueAt2.f4561a || !valueAt2.f4563c.get(qVar.f9019c.f9066a).a(qVar.f9091i + 1)) {
                        cVar = this.f4551i.get(qVar.f9021e);
                        if (cVar == null) {
                            cVar3 = this.f4551i.valueAt(0);
                        } else if (cVar.f4566f || !cVar.f4563c.get(qVar.f9019c.f9066a).a(qVar.f9091i + 1)) {
                            z = false;
                            dVar = cVar.f4563c.get(mVar2.f9066a);
                            hVar = dVar.f4572c;
                            MediaFormat mediaFormat = dVar.f4574e;
                            gVar = mediaFormat != null ? hVar.f9146d : null;
                            d.h.a.a.e0.f.g i8 = dVar.f4573d != null ? hVar.i() : null;
                            if (gVar == null || i8 != null) {
                                d.h.a.a.d0.d dVar4 = dVar.f4571b;
                                d.h.a.a.l0.d dVar5 = this.f4545c;
                                int i9 = cVar.f4561a;
                                int i10 = this.f4547e.f9081b;
                                if (gVar == null) {
                                    if (i8 == null || !gVar.a().equals(i8.a())) {
                                        dVar2 = dVar4;
                                        i2 = i9;
                                    } else {
                                        long j6 = gVar.f9139b;
                                        long j7 = -1;
                                        int i11 = (j6 > -1 ? 1 : (j6 == -1 ? 0 : -1));
                                        if (i11 != 0) {
                                            i2 = i9;
                                            long j8 = gVar.f9138a;
                                            if (j8 + j6 == i8.f9138a) {
                                                String str = gVar.f9140c;
                                                String str2 = gVar.f9141d;
                                                dVar3 = dVar4;
                                                long j9 = i8.f9139b;
                                                if (j9 != -1) {
                                                    j7 = j6 + j9;
                                                }
                                                gVar2 = new d.h.a.a.e0.f.g(str, str2, j8, j7);
                                                dVar2 = dVar3;
                                            } else {
                                                dVar3 = dVar4;
                                            }
                                        } else {
                                            dVar3 = dVar4;
                                            i2 = i9;
                                        }
                                        long j10 = i8.f9139b;
                                        if (j10 != -1) {
                                            long j11 = i8.f9138a;
                                            dVar2 = dVar3;
                                            if (j11 + j10 == gVar.f9138a) {
                                                String str3 = gVar.f9140c;
                                                String str4 = gVar.f9141d;
                                                if (i11 != 0) {
                                                    j7 = j10 + j6;
                                                }
                                                gVar2 = new d.h.a.a.e0.f.g(str3, str4, j11, j7);
                                            }
                                        }
                                        dVar2 = dVar3;
                                    }
                                    if (gVar2 != null) {
                                        gVar = gVar2;
                                    }
                                } else {
                                    dVar2 = dVar4;
                                    i2 = i9;
                                    gVar = i8;
                                }
                                d.h.a.a.d0.p pVar = new d.h.a.a.d0.p(dVar5, new d.h.a.a.l0.f(b.o.a.n.j2(gVar.f9140c, gVar.f9141d), gVar.f9138a, gVar.f9139b, hVar.f9145c), i10, hVar.f9143a, dVar2, i2);
                                this.w = true;
                                eVar.f9028b = pVar;
                            }
                            if (list.isEmpty()) {
                                i5 = dVar.f4573d.a(j4 - dVar.f4575f, dVar.f4576g);
                                i4 = dVar.f4577h;
                            } else if (z) {
                                i5 = dVar.f4573d.f();
                                i4 = dVar.f4577h;
                            } else {
                                i3 = ((q) list.get(eVar.f9027a - 1)).f9091i + 1;
                                d.h.a.a.l0.d dVar6 = this.f4545c;
                                b bVar3 = this.r;
                                int i12 = this.f4547e.f9081b;
                                boolean z2 = mediaFormat == null;
                                h hVar2 = dVar.f4572c;
                                mVar = hVar2.f9143a;
                                long d2 = dVar.f4573d.d(i3 - dVar.f4577h) + dVar.f4575f;
                                long b2 = dVar.f4573d.b(i3 - dVar.f4577h, dVar.f4576g) + dVar.f4573d.d(i3 - dVar.f4577h) + dVar.f4575f;
                                d.h.a.a.e0.f.g c2 = dVar.f4573d.c(i3 - dVar.f4577h);
                                d.h.a.a.l0.f fVar = new d.h.a.a.l0.f(b.o.a.n.j2(c2.f9140c, c2.f9141d), c2.f9138a, c2.f9139b, hVar2.f9145c);
                                long j12 = cVar.f4562b - hVar2.f9144b;
                                if (!m(mVar.f9067b)) {
                                    cVar2 = new r(dVar6, fVar, 1, mVar, d2, b2, i3, bVar3.f4555a, null, cVar.f4561a);
                                } else {
                                    cVar2 = new k(dVar6, fVar, i12, mVar, d2, b2, i3, j12, dVar.f4571b, mediaFormat, bVar3.f4556b, bVar3.f4557c, cVar.f4565e, z2, cVar.f4561a);
                                }
                                this.w = false;
                                eVar.f9028b = cVar2;
                                return;
                            }
                            i3 = i5 + i4;
                            d.h.a.a.l0.d dVar62 = this.f4545c;
                            b bVar32 = this.r;
                            int i122 = this.f4547e.f9081b;
                            if (mediaFormat == null) {
                            }
                            h hVar22 = dVar.f4572c;
                            mVar = hVar22.f9143a;
                            long d22 = dVar.f4573d.d(i3 - dVar.f4577h) + dVar.f4575f;
                            long b22 = dVar.f4573d.b(i3 - dVar.f4577h, dVar.f4576g) + dVar.f4573d.d(i3 - dVar.f4577h) + dVar.f4575f;
                            d.h.a.a.e0.f.g c22 = dVar.f4573d.c(i3 - dVar.f4577h);
                            d.h.a.a.l0.f fVar2 = new d.h.a.a.l0.f(b.o.a.n.j2(c22.f9140c, c22.f9141d), c22.f9138a, c22.f9139b, hVar22.f9145c);
                            long j122 = cVar.f4562b - hVar22.f9144b;
                            if (!m(mVar.f9067b)) {
                            }
                            this.w = false;
                            eVar.f9028b = cVar2;
                            return;
                        } else {
                            cVar3 = this.f4551i.get(qVar.f9021e + 1);
                        }
                    } else if (!this.p.f9125c) {
                        eVar.f9029c = true;
                        return;
                    } else {
                        return;
                    }
                } else {
                    return;
                }
            }
            cVar = cVar3;
            z = true;
            dVar = cVar.f4563c.get(mVar2.f9066a);
            hVar = dVar.f4572c;
            MediaFormat mediaFormat2 = dVar.f4574e;
            if (mediaFormat2 != null) {
            }
            if (dVar.f4573d != null) {
            }
            if (gVar == null) {
            }
            d.h.a.a.d0.d dVar42 = dVar.f4571b;
            d.h.a.a.l0.d dVar52 = this.f4545c;
            int i92 = cVar.f4561a;
            int i102 = this.f4547e.f9081b;
            if (gVar == null) {
            }
            d.h.a.a.d0.p pVar2 = new d.h.a.a.d0.p(dVar52, new d.h.a.a.l0.f(b.o.a.n.j2(gVar.f9140c, gVar.f9141d), gVar.f9138a, gVar.f9139b, hVar.f9145c), i102, hVar.f9143a, dVar2, i2);
            this.w = true;
            eVar.f9028b = pVar2;
        }
    }

    @Override // d.h.a.a.d0.j
    public int c() {
        return this.f4550h.size();
    }

    @Override // d.h.a.a.d0.j
    public void d(d.h.a.a.d0.c cVar) {
        if (cVar instanceof d.h.a.a.d0.p) {
            d.h.a.a.d0.p pVar = (d.h.a.a.d0.p) cVar;
            String str = pVar.f9019c.f9066a;
            c cVar2 = this.f4551i.get(pVar.f9021e);
            if (cVar2 != null) {
                d dVar = cVar2.f4563c.get(str);
                MediaFormat mediaFormat = pVar.f9084h;
                boolean z = false;
                if (mediaFormat != null) {
                    dVar.f4574e = mediaFormat;
                }
                if (dVar.f4573d == null) {
                    l lVar = pVar.f9086j;
                    if (lVar != null) {
                        dVar.f4573d = new d.h.a.a.e0.d((d.h.a.a.g0.a) lVar, pVar.f9020d.f9977a.toString());
                    }
                }
                if (cVar2.f4565e == null) {
                    d.h.a.a.f0.a aVar = pVar.f9085i;
                    if (aVar != null) {
                        z = true;
                    }
                    if (z) {
                        cVar2.f4565e = aVar;
                    }
                }
            }
        }
    }

    @Override // d.h.a.a.d0.j
    public void e() {
        ManifestFetcher.ManifestIOException manifestIOException;
        IOException iOException = this.x;
        if (iOException == null) {
            ManifestFetcher<d.h.a.a.e0.f.d> manifestFetcher = this.f4548f;
            if (manifestFetcher != null && (manifestIOException = manifestFetcher.f4680j) != null && manifestFetcher.f4678h > 1) {
                throw manifestIOException;
            }
            return;
        }
        throw iOException;
    }

    @Override // d.h.a.a.d0.j
    public void f(int i2) {
        b bVar = this.f4550h.get(i2);
        this.r = bVar;
        if (bVar.a()) {
            Objects.requireNonNull((n.a) this.f4546d);
        }
        ManifestFetcher<d.h.a.a.e0.f.d> manifestFetcher = this.f4548f;
        if (manifestFetcher != null) {
            int i3 = manifestFetcher.f4674d;
            manifestFetcher.f4674d = i3 + 1;
            if (i3 == 0) {
                manifestFetcher.f4678h = 0;
                manifestFetcher.f4680j = null;
            }
            n(manifestFetcher.f4681k);
            return;
        }
        n(this.p);
    }

    @Override // d.h.a.a.d0.j
    public void g(d.h.a.a.d0.c cVar, Exception exc) {
    }

    @Override // d.h.a.a.d0.j
    public void h(List<? extends q> list) {
        Loader loader;
        if (this.r.a()) {
            Objects.requireNonNull((n.a) this.f4546d);
        }
        ManifestFetcher<d.h.a.a.e0.f.d> manifestFetcher = this.f4548f;
        if (manifestFetcher != null) {
            int i2 = manifestFetcher.f4674d - 1;
            manifestFetcher.f4674d = i2;
            if (i2 == 0 && (loader = manifestFetcher.f4675e) != null) {
                loader.b();
                manifestFetcher.f4675e = null;
            }
        }
        this.f4551i.clear();
        this.f4547e.f9082c = null;
        this.t = null;
        this.x = null;
        this.r = null;
    }

    @Override // d.h.a.a.d0.j
    public void i(long j2) {
        ManifestFetcher<d.h.a.a.e0.f.d> manifestFetcher = this.f4548f;
        if (manifestFetcher != null && this.p.f9125c && this.x == null) {
            T t2 = manifestFetcher.f4681k;
            if (!(t2 == null || t2 == this.q)) {
                n(t2);
                this.q = t2;
            }
            long j3 = this.p.f9126d;
            if (j3 == 0) {
                j3 = 5000;
            }
            if (SystemClock.elapsedRealtime() > this.f4548f.f4682l + j3) {
                this.f4548f.a();
            }
        }
    }

    public void j(d.h.a.a.e0.f.d dVar, int i2, int i3, int i4) {
        d.h.a.a.e0.f.a aVar = dVar.f9130h.get(i2).f9137b.get(i3);
        m mVar = aVar.f9117b.get(i4).f9143a;
        String k2 = k(mVar);
        if (k2 == null) {
            StringBuilder B = d.a.a.a.a.B("Skipped track ");
            B.append(mVar.f9066a);
            B.append(" (unknown media mime type)");
            Log.w("DashChunkSource", B.toString());
            return;
        }
        MediaFormat l2 = l(aVar.f9116a, mVar, k2, dVar.f9125c ? -1 : dVar.f9124b * 1000);
        if (l2 == null) {
            StringBuilder B2 = d.a.a.a.a.B("Skipped track ");
            B2.append(mVar.f9066a);
            B2.append(" (unknown media format)");
            Log.w("DashChunkSource", B2.toString());
            return;
        }
        this.f4550h.add(new b(l2, i3, mVar));
    }

    public final void n(d.h.a.a.e0.f.d dVar) {
        long j2;
        z zVar;
        long j3;
        f b2 = dVar.b(0);
        while (this.f4551i.size() > 0 && this.f4551i.valueAt(0).f4562b < b2.f9136a * 1000) {
            this.f4551i.remove(this.f4551i.valueAt(0).f4561a);
        }
        if (this.f4551i.size() <= dVar.f9130h.size()) {
            try {
                int size = this.f4551i.size();
                if (size > 0) {
                    this.f4551i.valueAt(0).d(dVar, 0, this.r);
                    if (size > 1) {
                        int i2 = size - 1;
                        this.f4551i.valueAt(i2).d(dVar, i2, this.r);
                    }
                }
                for (int size2 = this.f4551i.size(); size2 < dVar.f9130h.size(); size2++) {
                    this.f4551i.put(this.s, new c(this.s, dVar, size2, this.r));
                    this.s++;
                }
                if (this.f4554l != 0) {
                    Objects.requireNonNull(this.f4552j);
                    j2 = (SystemClock.elapsedRealtime() * 1000) + this.f4554l;
                } else {
                    j2 = System.currentTimeMillis() * 1000;
                }
                c valueAt = this.f4551i.valueAt(0);
                SparseArray<c> sparseArray = this.f4551i;
                c valueAt2 = sparseArray.valueAt(sparseArray.size() - 1);
                if (!this.p.f9125c || valueAt2.f4567g) {
                    zVar = new z.b(valueAt.f4568h, valueAt2.a());
                } else {
                    long j4 = valueAt.f4568h;
                    if (valueAt2.f4566f) {
                        j3 = Long.MAX_VALUE;
                    } else {
                        j3 = valueAt2.a();
                    }
                    Objects.requireNonNull(this.f4552j);
                    d.h.a.a.e0.f.d dVar2 = this.p;
                    long elapsedRealtime = (SystemClock.elapsedRealtime() * 1000) - (j2 - (dVar2.f9123a * 1000));
                    long j5 = dVar2.f9127e;
                    zVar = new z.a(j4, j3, elapsedRealtime, j5 == -1 ? -1 : j5 * 1000, this.f4552j);
                }
                z zVar2 = this.t;
                if (zVar2 == null || !zVar2.equals(zVar)) {
                    this.t = zVar;
                    Handler handler = this.f4543a;
                    if (!(handler == null || this.f4544b == null)) {
                        handler.post(new d.h.a.a.e0.a(this, zVar));
                    }
                }
                this.p = dVar;
            } catch (BehindLiveWindowException e2) {
                this.x = e2;
            }
        }
    }

    @Override // d.h.a.a.d0.j
    public boolean prepare() {
        if (!this.u) {
            this.u = true;
            try {
                ((d.h.a.a.e0.e) this.f4549g).a(this.p, 0, this);
            } catch (IOException e2) {
                this.x = e2;
            }
        }
        if (this.x == null) {
            return true;
        }
        return false;
    }

    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        public final MediaFormat f4555a;

        /* renamed from: b  reason: collision with root package name */
        public final int f4556b;

        /* renamed from: c  reason: collision with root package name */
        public final int f4557c;

        /* renamed from: d  reason: collision with root package name */
        public final int f4558d;

        /* renamed from: e  reason: collision with root package name */
        public final m f4559e;

        /* renamed from: f  reason: collision with root package name */
        public final m[] f4560f;

        public b(MediaFormat mediaFormat, int i2, m mVar) {
            this.f4555a = mediaFormat;
            this.f4558d = i2;
            this.f4559e = mVar;
            this.f4560f = null;
            this.f4556b = -1;
            this.f4557c = -1;
        }

        public boolean a() {
            return this.f4560f != null;
        }

        public b(MediaFormat mediaFormat, int i2, m[] mVarArr, int i3, int i4) {
            this.f4555a = mediaFormat;
            this.f4558d = i2;
            this.f4560f = mVarArr;
            this.f4556b = i3;
            this.f4557c = i4;
            this.f4559e = null;
        }
    }
}
