package com.google.android.exoplayer.upstream;

import android.content.ContentResolver;
import android.content.Context;
import android.content.res.AssetFileDescriptor;
import d.h.a.a.l0.f;
import d.h.a.a.l0.i;
import d.h.a.a.l0.m;
import d.h.a.a.l0.n;
import java.io.EOFException;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;

public final class ContentDataSource implements n {

    /* renamed from: a  reason: collision with root package name */
    public final ContentResolver f4648a;

    /* renamed from: b  reason: collision with root package name */
    public final m f4649b;

    /* renamed from: c  reason: collision with root package name */
    public AssetFileDescriptor f4650c;

    /* renamed from: d  reason: collision with root package name */
    public InputStream f4651d;

    /* renamed from: e  reason: collision with root package name */
    public String f4652e;

    /* renamed from: f  reason: collision with root package name */
    public long f4653f;

    /* renamed from: g  reason: collision with root package name */
    public boolean f4654g;

    public static class ContentDataSourceException extends IOException {
        public ContentDataSourceException(IOException iOException) {
            super(iOException);
        }
    }

    public ContentDataSource(Context context, m mVar) {
        this.f4648a = context.getContentResolver();
        this.f4649b = mVar;
    }

    @Override // d.h.a.a.l0.n
    public String a() {
        return this.f4652e;
    }

    @Override // d.h.a.a.l0.d
    public long b(f fVar) {
        try {
            this.f4652e = fVar.f9977a.toString();
            this.f4650c = this.f4648a.openAssetFileDescriptor(fVar.f9977a, "r");
            FileInputStream fileInputStream = new FileInputStream(this.f4650c.getFileDescriptor());
            this.f4651d = fileInputStream;
            if (fileInputStream.skip(fVar.f9980d) >= fVar.f9980d) {
                long j2 = fVar.f9981e;
                if (j2 != -1) {
                    this.f4653f = j2;
                } else {
                    long available = (long) this.f4651d.available();
                    this.f4653f = available;
                    if (available == 0) {
                        this.f4653f = -1;
                    }
                }
                this.f4654g = true;
                m mVar = this.f4649b;
                if (mVar != null) {
                    ((i) mVar).c();
                }
                return this.f4653f;
            }
            throw new EOFException();
        } catch (IOException e2) {
            throw new ContentDataSourceException(e2);
        }
    }

    @Override // d.h.a.a.l0.d
    public void close() {
        this.f4652e = null;
        try {
            InputStream inputStream = this.f4651d;
            if (inputStream != null) {
                inputStream.close();
            }
            this.f4651d = null;
            try {
                AssetFileDescriptor assetFileDescriptor = this.f4650c;
                if (assetFileDescriptor != null) {
                    assetFileDescriptor.close();
                }
                this.f4650c = null;
                if (this.f4654g) {
                    this.f4654g = false;
                    m mVar = this.f4649b;
                    if (mVar != null) {
                        ((i) mVar).b();
                    }
                }
            } catch (IOException e2) {
                throw new ContentDataSourceException(e2);
            } catch (Throwable th) {
                this.f4650c = null;
                if (this.f4654g) {
                    this.f4654g = false;
                    m mVar2 = this.f4649b;
                    if (mVar2 != null) {
                        ((i) mVar2).b();
                    }
                }
                throw th;
            }
        } catch (IOException e3) {
            throw new ContentDataSourceException(e3);
        } catch (Throwable th2) {
            this.f4651d = null;
            try {
                AssetFileDescriptor assetFileDescriptor2 = this.f4650c;
                if (assetFileDescriptor2 != null) {
                    assetFileDescriptor2.close();
                }
                this.f4650c = null;
                if (this.f4654g) {
                    this.f4654g = false;
                    m mVar3 = this.f4649b;
                    if (mVar3 != null) {
                        ((i) mVar3).b();
                    }
                }
                throw th2;
            } catch (IOException e4) {
                throw new ContentDataSourceException(e4);
            } catch (Throwable th3) {
                this.f4650c = null;
                if (this.f4654g) {
                    this.f4654g = false;
                    m mVar4 = this.f4649b;
                    if (mVar4 != null) {
                        ((i) mVar4).b();
                    }
                }
                throw th3;
            }
        }
    }

    @Override // d.h.a.a.l0.d
    public int read(byte[] bArr, int i2, int i3) {
        long j2 = this.f4653f;
        if (j2 == 0) {
            return -1;
        }
        if (j2 != -1) {
            try {
                i3 = (int) Math.min(j2, (long) i3);
            } catch (IOException e2) {
                throw new ContentDataSourceException(e2);
            }
        }
        int read = this.f4651d.read(bArr, i2, i3);
        if (read > 0) {
            long j3 = this.f4653f;
            if (j3 != -1) {
                this.f4653f = j3 - ((long) read);
            }
            m mVar = this.f4649b;
            if (mVar != null) {
                ((i) mVar).a(read);
            }
        }
        return read;
    }
}
