package com.google.android.exoplayer.upstream;

import android.annotation.SuppressLint;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.util.Log;
import b.o.a.n;
import d.h.a.a.m0.q;
import d.h.a.a.m0.r;
import java.io.IOException;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

public final class Loader {

    /* renamed from: a  reason: collision with root package name */
    public final ExecutorService f4660a;

    /* renamed from: b  reason: collision with root package name */
    public b f4661b;

    /* renamed from: c  reason: collision with root package name */
    public boolean f4662c;

    public static final class UnexpectedLoaderException extends IOException {
        /* JADX WARNING: Illegal instructions before constructor call */
        public UnexpectedLoaderException(Exception exc) {
            super(r0.toString(), exc);
            StringBuilder B = d.a.a.a.a.B("Unexpected ");
            B.append(exc.getClass().getSimpleName());
            B.append(": ");
            B.append(exc.getMessage());
        }
    }

    public interface a {
        void i(c cVar);

        void k(c cVar, IOException iOException);

        void n(c cVar);
    }

    @SuppressLint({"HandlerLeak"})
    public final class b extends Handler implements Runnable {

        /* renamed from: d  reason: collision with root package name */
        public final c f4663d;

        /* renamed from: h  reason: collision with root package name */
        public final a f4664h;

        /* renamed from: j  reason: collision with root package name */
        public volatile Thread f4665j;

        public b(Looper looper, c cVar, a aVar) {
            super(looper);
            this.f4663d = cVar;
            this.f4664h = aVar;
        }

        public void handleMessage(Message message) {
            if (message.what != 2) {
                Loader loader = Loader.this;
                loader.f4662c = false;
                loader.f4661b = null;
                if (this.f4663d.f()) {
                    this.f4664h.i(this.f4663d);
                    return;
                }
                int i2 = message.what;
                if (i2 == 0) {
                    this.f4664h.n(this.f4663d);
                } else if (i2 == 1) {
                    this.f4664h.k(this.f4663d, (IOException) message.obj);
                }
            } else {
                throw ((Error) message.obj);
            }
        }

        public void run() {
            try {
                this.f4665j = Thread.currentThread();
                if (!this.f4663d.f()) {
                    n.x(this.f4663d.getClass().getSimpleName() + ".load()");
                    this.f4663d.a();
                    n.j0();
                }
                sendEmptyMessage(0);
            } catch (IOException e2) {
                obtainMessage(1, e2).sendToTarget();
            } catch (InterruptedException unused) {
                n.D(this.f4663d.f());
                sendEmptyMessage(0);
            } catch (Exception e3) {
                Log.e("LoadTask", "Unexpected exception loading stream", e3);
                obtainMessage(1, new UnexpectedLoaderException(e3)).sendToTarget();
            } catch (Error e4) {
                Log.e("LoadTask", "Unexpected error loading stream", e4);
                obtainMessage(2, e4).sendToTarget();
                throw e4;
            }
        }
    }

    public interface c {
        void a();

        boolean f();

        void h();
    }

    public Loader(String str) {
        int i2 = r.f10101a;
        this.f4660a = Executors.newSingleThreadExecutor(new q(str));
    }

    public void a() {
        n.D(this.f4662c);
        b bVar = this.f4661b;
        bVar.f4663d.h();
        if (bVar.f4665j != null) {
            bVar.f4665j.interrupt();
        }
    }

    public void b() {
        if (this.f4662c) {
            a();
        }
        this.f4660a.shutdown();
    }

    public void c(Looper looper, c cVar, a aVar) {
        n.D(!this.f4662c);
        this.f4662c = true;
        b bVar = new b(looper, cVar, aVar);
        this.f4661b = bVar;
        this.f4660a.submit(bVar);
    }

    public void d(c cVar, a aVar) {
        Looper myLooper = Looper.myLooper();
        n.D(myLooper != null);
        c(myLooper, cVar, aVar);
    }
}
