package com.google.android.exoplayer.util;

import android.os.Looper;
import android.os.SystemClock;
import android.text.TextUtils;
import com.google.android.exoplayer.upstream.Loader;
import d.h.a.a.l0.n;
import d.h.a.a.l0.o;
import java.io.IOException;
import java.util.concurrent.CancellationException;

public class ManifestFetcher<T> implements Loader.a {

    /* renamed from: a  reason: collision with root package name */
    public final o.a<T> f4671a;

    /* renamed from: b  reason: collision with root package name */
    public final n f4672b;

    /* renamed from: c  reason: collision with root package name */
    public volatile String f4673c;

    /* renamed from: d  reason: collision with root package name */
    public int f4674d;

    /* renamed from: e  reason: collision with root package name */
    public Loader f4675e;

    /* renamed from: f  reason: collision with root package name */
    public o<T> f4676f;

    /* renamed from: g  reason: collision with root package name */
    public long f4677g;

    /* renamed from: h  reason: collision with root package name */
    public int f4678h;

    /* renamed from: i  reason: collision with root package name */
    public long f4679i;

    /* renamed from: j  reason: collision with root package name */
    public ManifestIOException f4680j;

    /* renamed from: k  reason: collision with root package name */
    public volatile T f4681k;

    /* renamed from: l  reason: collision with root package name */
    public volatile long f4682l;
    public volatile long m;

    public static final class ManifestIOException extends IOException {
        public ManifestIOException(Throwable th) {
            super(th);
        }
    }

    public interface a<T> {
        void onSingleManifest(T t);

        void onSingleManifestError(IOException iOException);
    }

    public interface b {
        String a();
    }

    public class c implements Loader.a {

        /* renamed from: a  reason: collision with root package name */
        public final o<T> f4683a;

        /* renamed from: b  reason: collision with root package name */
        public final Looper f4684b;

        /* renamed from: c  reason: collision with root package name */
        public final a<T> f4685c;

        /* renamed from: d  reason: collision with root package name */
        public final Loader f4686d = new Loader("manifestLoader:single");

        /* renamed from: e  reason: collision with root package name */
        public long f4687e;

        public c(o<T> oVar, Looper looper, a<T> aVar) {
            this.f4683a = oVar;
            this.f4684b = looper;
            this.f4685c = aVar;
        }

        @Override // com.google.android.exoplayer.upstream.Loader.a
        public void i(Loader.c cVar) {
            try {
                this.f4685c.onSingleManifestError(new ManifestIOException(new CancellationException()));
            } finally {
                this.f4686d.b();
            }
        }

        @Override // com.google.android.exoplayer.upstream.Loader.a
        public void k(Loader.c cVar, IOException iOException) {
            try {
                this.f4685c.onSingleManifestError(iOException);
            } finally {
                this.f4686d.b();
            }
        }

        @Override // com.google.android.exoplayer.upstream.Loader.a
        public void n(Loader.c cVar) {
            try {
                T t = this.f4683a.f10020d;
                ManifestFetcher manifestFetcher = ManifestFetcher.this;
                long j2 = this.f4687e;
                manifestFetcher.f4681k = t;
                manifestFetcher.f4682l = j2;
                manifestFetcher.m = SystemClock.elapsedRealtime();
                this.f4685c.onSingleManifest(t);
            } finally {
                this.f4686d.b();
            }
        }
    }

    public ManifestFetcher(String str, n nVar, o.a<T> aVar) {
        this.f4671a = aVar;
        this.f4673c = str;
        this.f4672b = nVar;
    }

    public void a() {
        if (this.f4680j == null || SystemClock.elapsedRealtime() >= this.f4679i + Math.min((((long) this.f4678h) - 1) * 1000, 5000L)) {
            if (this.f4675e == null) {
                this.f4675e = new Loader("manifestLoader");
            }
            if (!this.f4675e.f4662c) {
                this.f4676f = new o<>(this.f4673c, this.f4672b, this.f4671a);
                this.f4677g = SystemClock.elapsedRealtime();
                this.f4675e.d(this.f4676f, this);
            }
        }
    }

    public void b(Looper looper, a<T> aVar) {
        o oVar = new o(this.f4673c, this.f4672b, this.f4671a);
        c cVar = new c(oVar, looper, aVar);
        cVar.f4687e = SystemClock.elapsedRealtime();
        cVar.f4686d.c(looper, oVar, cVar);
    }

    @Override // com.google.android.exoplayer.upstream.Loader.a
    public void i(Loader.c cVar) {
    }

    @Override // com.google.android.exoplayer.upstream.Loader.a
    public void k(Loader.c cVar, IOException iOException) {
        if (this.f4676f == cVar) {
            this.f4678h++;
            this.f4679i = SystemClock.elapsedRealtime();
            this.f4680j = new ManifestIOException(iOException);
        }
    }

    @Override // com.google.android.exoplayer.upstream.Loader.a
    public void n(Loader.c cVar) {
        o<T> oVar = this.f4676f;
        if (oVar == cVar) {
            this.f4681k = oVar.f10020d;
            this.f4682l = this.f4677g;
            this.m = SystemClock.elapsedRealtime();
            this.f4678h = 0;
            this.f4680j = null;
            if (this.f4681k instanceof b) {
                String a2 = this.f4681k.a();
                if (!TextUtils.isEmpty(a2)) {
                    this.f4673c = a2;
                }
            }
        }
    }
}
