package com.google.android.material.appbar;

import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.Region;
import android.graphics.Typeface;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.text.StaticLayout;
import android.text.TextPaint;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.widget.FrameLayout;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.appcompat.widget.Toolbar;
import androidx.core.view.OnApplyWindowInsetsListener;
import androidx.core.view.ViewCompat;
import b.j.h.o;
import com.google.android.material.R$attr;
import com.google.android.material.R$dimen;
import com.google.android.material.R$id;
import com.google.android.material.R$style;
import com.google.android.material.R$styleable;
import com.google.android.material.appbar.AppBarLayout;
import com.shuyu.gsyvideoplayer.utils.NeuQuant;
import d.h.a.b.b.e;
import d.h.a.b.b.i;
import d.h.a.b.p.f;
import java.util.List;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;

public class CollapsingToolbarLayout extends FrameLayout {

    /* renamed from: d  reason: collision with root package name */
    public static final int f4700d = R$style.Widget_Design_CollapsingToolbar;
    public ValueAnimator A;
    public long B;
    public int C;
    public AppBarLayout.d D;
    public int E;
    public int F;
    public o G;
    public int H;
    public boolean I;
    public int J;
    public boolean K;

    /* renamed from: h  reason: collision with root package name */
    public boolean f4701h;

    /* renamed from: j  reason: collision with root package name */
    public int f4702j;

    /* renamed from: k  reason: collision with root package name */
    public ViewGroup f4703k;

    /* renamed from: l  reason: collision with root package name */
    public View f4704l;
    public View m;
    public int n;
    public int o;
    public int p;
    public int q;
    public final Rect r;
    public final d.h.a.b.p.a s;
    public final d.h.a.b.m.a t;
    public boolean u;
    public boolean v;
    public Drawable w;
    public Drawable x;
    public int y;
    public boolean z;

    public class a implements OnApplyWindowInsetsListener {
        public a() {
        }

        @Override // androidx.core.view.OnApplyWindowInsetsListener
        public o onApplyWindowInsets(View view, o oVar) {
            CollapsingToolbarLayout collapsingToolbarLayout = CollapsingToolbarLayout.this;
            Objects.requireNonNull(collapsingToolbarLayout);
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            o oVar2 = collapsingToolbarLayout.getFitsSystemWindows() ? oVar : null;
            if (!Objects.equals(collapsingToolbarLayout.G, oVar2)) {
                collapsingToolbarLayout.G = oVar2;
                collapsingToolbarLayout.requestLayout();
            }
            return oVar.a();
        }
    }

    public class c implements AppBarLayout.d {
        public c() {
        }

        @Override // com.google.android.material.appbar.AppBarLayout.b
        public void onOffsetChanged(AppBarLayout appBarLayout, int i2) {
            CollapsingToolbarLayout collapsingToolbarLayout = CollapsingToolbarLayout.this;
            collapsingToolbarLayout.E = i2;
            o oVar = collapsingToolbarLayout.G;
            int e2 = oVar != null ? oVar.e() : 0;
            int childCount = CollapsingToolbarLayout.this.getChildCount();
            for (int i3 = 0; i3 < childCount; i3++) {
                View childAt = CollapsingToolbarLayout.this.getChildAt(i3);
                b bVar = (b) childAt.getLayoutParams();
                i d2 = CollapsingToolbarLayout.d(childAt);
                int i4 = bVar.f4706a;
                if (i4 == 1) {
                    d2.b(AppCompatDelegateImpl.e.p(-i2, 0, CollapsingToolbarLayout.this.c(childAt)));
                } else if (i4 == 2) {
                    d2.b(Math.round(((float) (-i2)) * bVar.f4707b));
                }
            }
            CollapsingToolbarLayout.this.h();
            CollapsingToolbarLayout collapsingToolbarLayout2 = CollapsingToolbarLayout.this;
            if (collapsingToolbarLayout2.x != null && e2 > 0) {
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                collapsingToolbarLayout2.postInvalidateOnAnimation();
            }
            int height = CollapsingToolbarLayout.this.getHeight();
            CollapsingToolbarLayout collapsingToolbarLayout3 = CollapsingToolbarLayout.this;
            AtomicInteger atomicInteger2 = ViewCompat.f1365a;
            int minimumHeight = (height - collapsingToolbarLayout3.getMinimumHeight()) - e2;
            int scrimVisibleHeightTrigger = height - CollapsingToolbarLayout.this.getScrimVisibleHeightTrigger();
            d.h.a.b.p.a aVar = CollapsingToolbarLayout.this.s;
            float f2 = (float) minimumHeight;
            float min = Math.min(1.0f, ((float) scrimVisibleHeightTrigger) / f2);
            aVar.f10532e = min;
            aVar.f10533f = d.a.a.a.a.b(1.0f, min, 0.5f, min);
            CollapsingToolbarLayout collapsingToolbarLayout4 = CollapsingToolbarLayout.this;
            d.h.a.b.p.a aVar2 = collapsingToolbarLayout4.s;
            aVar2.f10534g = collapsingToolbarLayout4.E + minimumHeight;
            aVar2.w(((float) Math.abs(i2)) / f2);
        }
    }

    public CollapsingToolbarLayout(Context context) {
        this(context, null);
    }

    public static int b(View view) {
        ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
        if (!(layoutParams instanceof ViewGroup.MarginLayoutParams)) {
            return view.getMeasuredHeight();
        }
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) layoutParams;
        return view.getMeasuredHeight() + marginLayoutParams.topMargin + marginLayoutParams.bottomMargin;
    }

    public static i d(View view) {
        int i2 = R$id.view_offset_helper;
        i iVar = (i) view.getTag(i2);
        if (iVar != null) {
            return iVar;
        }
        i iVar2 = new i(view);
        view.setTag(i2, iVar2);
        return iVar2;
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:34:0x0028 */
    public final void a() {
        if (this.f4701h) {
            ViewGroup viewGroup = null;
            this.f4703k = null;
            this.f4704l = null;
            int i2 = this.f4702j;
            if (i2 != -1) {
                ViewGroup viewGroup2 = (ViewGroup) findViewById(i2);
                this.f4703k = viewGroup2;
                if (viewGroup2 != null) {
                    ViewParent parent = viewGroup2.getParent();
                    View view = viewGroup2;
                    while (parent != this && parent != null) {
                        if (parent instanceof View) {
                            view = (View) parent;
                        }
                        parent = parent.getParent();
                        view = view;
                    }
                    this.f4704l = view;
                }
            }
            if (this.f4703k == null) {
                int childCount = getChildCount();
                int i3 = 0;
                while (true) {
                    if (i3 >= childCount) {
                        break;
                    }
                    View childAt = getChildAt(i3);
                    if ((childAt instanceof Toolbar) || (childAt instanceof android.widget.Toolbar)) {
                        viewGroup = (ViewGroup) childAt;
                        break;
                    }
                    i3++;
                }
                this.f4703k = viewGroup;
            }
            g();
            this.f4701h = false;
        }
    }

    public final int c(View view) {
        return ((getHeight() - d(view).f10272b) - view.getHeight()) - ((FrameLayout.LayoutParams) ((b) view.getLayoutParams())).bottomMargin;
    }

    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return layoutParams instanceof b;
    }

    public void draw(Canvas canvas) {
        Drawable drawable;
        super.draw(canvas);
        a();
        if (this.f4703k == null && (drawable = this.w) != null && this.y > 0) {
            drawable.mutate().setAlpha(this.y);
            this.w.draw(canvas);
        }
        if (this.u && this.v) {
            if (this.f4703k != null && this.w != null && this.y > 0 && e()) {
                d.h.a.b.p.a aVar = this.s;
                if (aVar.f10530c < aVar.f10533f) {
                    int save = canvas.save();
                    canvas.clipRect(this.w.getBounds(), Region.Op.DIFFERENCE);
                    this.s.g(canvas);
                    canvas.restoreToCount(save);
                }
            }
            this.s.g(canvas);
        }
        if (this.x != null && this.y > 0) {
            o oVar = this.G;
            int e2 = oVar != null ? oVar.e() : 0;
            if (e2 > 0) {
                this.x.setBounds(0, -this.E, getWidth(), e2 - this.E);
                this.x.mutate().setAlpha(this.y);
                this.x.draw(canvas);
            }
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:10:0x0018, code lost:
        r3 = true;
     */
    public boolean drawChild(Canvas canvas, View view, long j2) {
        boolean z2;
        Drawable drawable = this.w;
        if (drawable != null && this.y > 0) {
            if ((r3 = this.f4704l) != null) {
            }
            boolean z3 = false;
            if (z3) {
                f(drawable, view, getWidth(), getHeight());
                this.w.mutate().setAlpha(this.y);
                this.w.draw(canvas);
                z2 = true;
                if (super.drawChild(canvas, view, j2) && !z2) {
                    return false;
                }
            }
        }
        z2 = false;
        return super.drawChild(canvas, view, j2) ? true : true;
    }

    public void drawableStateChanged() {
        super.drawableStateChanged();
        int[] drawableState = getDrawableState();
        Drawable drawable = this.x;
        boolean z2 = false;
        if (drawable != null && drawable.isStateful()) {
            z2 = false | drawable.setState(drawableState);
        }
        Drawable drawable2 = this.w;
        if (drawable2 != null && drawable2.isStateful()) {
            z2 |= drawable2.setState(drawableState);
        }
        d.h.a.b.p.a aVar = this.s;
        if (aVar != null) {
            z2 |= aVar.y(drawableState);
        }
        if (z2) {
            invalidate();
        }
    }

    public final boolean e() {
        return this.F == 1;
    }

    public final void f(Drawable drawable, View view, int i2, int i3) {
        if (e() && view != null && this.u) {
            i3 = view.getBottom();
        }
        drawable.setBounds(0, 0, i2, i3);
    }

    public final void g() {
        View view;
        if (!this.u && (view = this.m) != null) {
            ViewParent parent = view.getParent();
            if (parent instanceof ViewGroup) {
                ((ViewGroup) parent).removeView(this.m);
            }
        }
        if (this.u && this.f4703k != null) {
            if (this.m == null) {
                this.m = new View(getContext());
            }
            if (this.m.getParent() == null) {
                this.f4703k.addView(this.m, -1, -1);
            }
        }
    }

    @Override // android.widget.FrameLayout, android.widget.FrameLayout
    public ViewGroup.LayoutParams generateDefaultLayoutParams() {
        return new b(-1, -1);
    }

    public int getCollapsedTitleGravity() {
        return this.s.f10539l;
    }

    public Typeface getCollapsedTitleTypeface() {
        Typeface typeface = this.s.w;
        return typeface != null ? typeface : Typeface.DEFAULT;
    }

    public Drawable getContentScrim() {
        return this.w;
    }

    public int getExpandedTitleGravity() {
        return this.s.f10538k;
    }

    public int getExpandedTitleMarginBottom() {
        return this.q;
    }

    public int getExpandedTitleMarginEnd() {
        return this.p;
    }

    public int getExpandedTitleMarginStart() {
        return this.n;
    }

    public int getExpandedTitleMarginTop() {
        return this.o;
    }

    public Typeface getExpandedTitleTypeface() {
        Typeface typeface = this.s.x;
        return typeface != null ? typeface : Typeface.DEFAULT;
    }

    public int getHyphenationFrequency() {
        return this.s.g0;
    }

    public int getLineCount() {
        StaticLayout staticLayout = this.s.Y;
        if (staticLayout != null) {
            return staticLayout.getLineCount();
        }
        return 0;
    }

    public float getLineSpacingAdd() {
        return this.s.Y.getSpacingAdd();
    }

    public float getLineSpacingMultiplier() {
        return this.s.Y.getSpacingMultiplier();
    }

    public int getMaxLines() {
        return this.s.d0;
    }

    public int getScrimAlpha() {
        return this.y;
    }

    public long getScrimAnimationDuration() {
        return this.B;
    }

    public int getScrimVisibleHeightTrigger() {
        int i2 = this.C;
        if (i2 >= 0) {
            return i2 + this.H + this.J;
        }
        o oVar = this.G;
        int e2 = oVar != null ? oVar.e() : 0;
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        int minimumHeight = getMinimumHeight();
        if (minimumHeight > 0) {
            return Math.min((minimumHeight * 2) + e2, getHeight());
        }
        return getHeight() / 3;
    }

    public Drawable getStatusBarScrim() {
        return this.x;
    }

    public CharSequence getTitle() {
        if (this.u) {
            return this.s.B;
        }
        return null;
    }

    public int getTitleCollapseMode() {
        return this.F;
    }

    public final void h() {
        if (this.w != null || this.x != null) {
            setScrimsShown(getHeight() + this.E < getScrimVisibleHeightTrigger());
        }
    }

    public final void i(int i2, int i3, int i4, int i5, boolean z2) {
        View view;
        int i6;
        int i7;
        int i8;
        if (this.u && (view = this.m) != null) {
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            int i9 = 0;
            boolean z3 = view.isAttachedToWindow() && this.m.getVisibility() == 0;
            this.v = z3;
            if (z3 || z2) {
                boolean z4 = getLayoutDirection() == 1;
                View view2 = this.f4704l;
                if (view2 == null) {
                    view2 = this.f4703k;
                }
                int c2 = c(view2);
                d.h.a.b.p.b.a(this, this.m, this.r);
                ViewGroup viewGroup = this.f4703k;
                if (viewGroup instanceof Toolbar) {
                    Toolbar toolbar = (Toolbar) viewGroup;
                    i9 = toolbar.getTitleMarginStart();
                    i7 = toolbar.getTitleMarginEnd();
                    i6 = toolbar.getTitleMarginTop();
                    i8 = toolbar.getTitleMarginBottom();
                } else if (Build.VERSION.SDK_INT < 24 || !(viewGroup instanceof android.widget.Toolbar)) {
                    i8 = 0;
                    i7 = 0;
                    i6 = 0;
                } else {
                    android.widget.Toolbar toolbar2 = (android.widget.Toolbar) viewGroup;
                    i9 = toolbar2.getTitleMarginStart();
                    i7 = toolbar2.getTitleMarginEnd();
                    i6 = toolbar2.getTitleMarginTop();
                    i8 = toolbar2.getTitleMarginBottom();
                }
                d.h.a.b.p.a aVar = this.s;
                Rect rect = this.r;
                int i10 = rect.left + (z4 ? i7 : i9);
                int i11 = rect.top + c2 + i6;
                int i12 = rect.right;
                if (!z4) {
                    i9 = i7;
                }
                int i13 = i12 - i9;
                int i14 = (rect.bottom + c2) - i8;
                if (!d.h.a.b.p.a.n(aVar.f10536i, i10, i11, i13, i14)) {
                    aVar.f10536i.set(i10, i11, i13, i14);
                    aVar.J = true;
                    aVar.l();
                }
                d.h.a.b.p.a aVar2 = this.s;
                int i15 = z4 ? this.p : this.n;
                int i16 = this.r.top + this.o;
                int i17 = (i4 - i2) - (z4 ? this.n : this.p);
                int i18 = (i5 - i3) - this.q;
                if (!d.h.a.b.p.a.n(aVar2.f10535h, i15, i16, i17, i18)) {
                    aVar2.f10535h.set(i15, i16, i17, i18);
                    aVar2.J = true;
                    aVar2.l();
                }
                this.s.m(z2);
            }
        }
    }

    public final void j() {
        CharSequence charSequence;
        if (this.f4703k != null && this.u && TextUtils.isEmpty(this.s.B)) {
            ViewGroup viewGroup = this.f4703k;
            if (viewGroup instanceof Toolbar) {
                charSequence = ((Toolbar) viewGroup).getTitle();
            } else {
                charSequence = viewGroup instanceof android.widget.Toolbar ? ((android.widget.Toolbar) viewGroup).getTitle() : null;
            }
            setTitle(charSequence);
        }
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        ViewParent parent = getParent();
        if (parent instanceof AppBarLayout) {
            AppBarLayout appBarLayout = (AppBarLayout) parent;
            if (e()) {
                appBarLayout.setLiftOnScroll(false);
            }
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            setFitsSystemWindows(appBarLayout.getFitsSystemWindows());
            if (this.D == null) {
                this.D = new c();
            }
            appBarLayout.a(this.D);
            requestApplyInsets();
        }
    }

    public void onDetachedFromWindow() {
        List<AppBarLayout.b> list;
        ViewParent parent = getParent();
        AppBarLayout.d dVar = this.D;
        if (!(dVar == null || !(parent instanceof AppBarLayout) || (list = ((AppBarLayout) parent).p) == null || dVar == null)) {
            list.remove(dVar);
        }
        super.onDetachedFromWindow();
    }

    public void onLayout(boolean z2, int i2, int i3, int i4, int i5) {
        super.onLayout(z2, i2, i3, i4, i5);
        o oVar = this.G;
        if (oVar != null) {
            int e2 = oVar.e();
            int childCount = getChildCount();
            for (int i6 = 0; i6 < childCount; i6++) {
                View childAt = getChildAt(i6);
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                if (!childAt.getFitsSystemWindows() && childAt.getTop() < e2) {
                    ViewCompat.n(childAt, e2);
                }
            }
        }
        int childCount2 = getChildCount();
        for (int i7 = 0; i7 < childCount2; i7++) {
            i d2 = d(getChildAt(i7));
            d2.f10272b = d2.f10271a.getTop();
            d2.f10273c = d2.f10271a.getLeft();
        }
        i(i2, i3, i4, i5, false);
        j();
        h();
        int childCount3 = getChildCount();
        for (int i8 = 0; i8 < childCount3; i8++) {
            d(getChildAt(i8)).a();
        }
    }

    public void onMeasure(int i2, int i3) {
        a();
        super.onMeasure(i2, i3);
        int mode = View.MeasureSpec.getMode(i3);
        o oVar = this.G;
        int i4 = 0;
        int e2 = oVar != null ? oVar.e() : 0;
        if ((mode == 0 || this.I) && e2 > 0) {
            this.H = e2;
            super.onMeasure(i2, View.MeasureSpec.makeMeasureSpec(getMeasuredHeight() + e2, 1073741824));
        }
        if (this.K && this.s.d0 > 1) {
            j();
            i(0, 0, getMeasuredWidth(), getMeasuredHeight(), true);
            StaticLayout staticLayout = this.s.Y;
            if (staticLayout != null) {
                i4 = staticLayout.getLineCount();
            }
            if (i4 > 1) {
                d.h.a.b.p.a aVar = this.s;
                TextPaint textPaint = aVar.L;
                textPaint.setTextSize(aVar.m);
                textPaint.setTypeface(aVar.x);
                textPaint.setLetterSpacing(aVar.X);
                this.J = (i4 - 1) * Math.round(aVar.L.descent() + (-aVar.L.ascent()));
                super.onMeasure(i2, View.MeasureSpec.makeMeasureSpec(getMeasuredHeight() + this.J, 1073741824));
            }
        }
        ViewGroup viewGroup = this.f4703k;
        if (viewGroup != null) {
            View view = this.f4704l;
            if (view == null || view == this) {
                setMinimumHeight(b(viewGroup));
            } else {
                setMinimumHeight(b(view));
            }
        }
    }

    public void onSizeChanged(int i2, int i3, int i4, int i5) {
        super.onSizeChanged(i2, i3, i4, i5);
        Drawable drawable = this.w;
        if (drawable != null) {
            f(drawable, this.f4703k, i2, i3);
        }
    }

    public void setCollapsedTitleGravity(int i2) {
        d.h.a.b.p.a aVar = this.s;
        if (aVar.f10539l != i2) {
            aVar.f10539l = i2;
            aVar.m(false);
        }
    }

    public void setCollapsedTitleTextAppearance(int i2) {
        this.s.o(i2);
    }

    public void setCollapsedTitleTextColor(int i2) {
        setCollapsedTitleTextColor(ColorStateList.valueOf(i2));
    }

    public void setCollapsedTitleTypeface(Typeface typeface) {
        this.s.r(typeface);
    }

    public void setContentScrim(Drawable drawable) {
        Drawable drawable2 = this.w;
        if (drawable2 != drawable) {
            Drawable drawable3 = null;
            if (drawable2 != null) {
                drawable2.setCallback(null);
            }
            if (drawable != null) {
                drawable3 = drawable.mutate();
            }
            this.w = drawable3;
            if (drawable3 != null) {
                f(drawable3, this.f4703k, getWidth(), getHeight());
                this.w.setCallback(this);
                this.w.setAlpha(this.y);
            }
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            postInvalidateOnAnimation();
        }
    }

    public void setContentScrimColor(int i2) {
        setContentScrim(new ColorDrawable(i2));
    }

    public void setContentScrimResource(int i2) {
        Context context = getContext();
        Object obj = b.j.b.a.f3266a;
        setContentScrim(context.getDrawable(i2));
    }

    public void setExpandedTitleColor(int i2) {
        setExpandedTitleTextColor(ColorStateList.valueOf(i2));
    }

    public void setExpandedTitleGravity(int i2) {
        d.h.a.b.p.a aVar = this.s;
        if (aVar.f10538k != i2) {
            aVar.f10538k = i2;
            aVar.m(false);
        }
    }

    public void setExpandedTitleMarginBottom(int i2) {
        this.q = i2;
        requestLayout();
    }

    public void setExpandedTitleMarginEnd(int i2) {
        this.p = i2;
        requestLayout();
    }

    public void setExpandedTitleMarginStart(int i2) {
        this.n = i2;
        requestLayout();
    }

    public void setExpandedTitleMarginTop(int i2) {
        this.o = i2;
        requestLayout();
    }

    public void setExpandedTitleTextAppearance(int i2) {
        this.s.s(i2);
    }

    public void setExpandedTitleTextColor(ColorStateList colorStateList) {
        d.h.a.b.p.a aVar = this.s;
        if (aVar.o != colorStateList) {
            aVar.o = colorStateList;
            aVar.m(false);
        }
    }

    public void setExpandedTitleTypeface(Typeface typeface) {
        this.s.v(typeface);
    }

    public void setExtraMultilineHeightEnabled(boolean z2) {
        this.K = z2;
    }

    public void setForceApplySystemWindowInsetTop(boolean z2) {
        this.I = z2;
    }

    public void setHyphenationFrequency(int i2) {
        this.s.g0 = i2;
    }

    public void setLineSpacingAdd(float f2) {
        this.s.e0 = f2;
    }

    public void setLineSpacingMultiplier(float f2) {
        this.s.f0 = f2;
    }

    public void setMaxLines(int i2) {
        d.h.a.b.p.a aVar = this.s;
        if (i2 != aVar.d0) {
            aVar.d0 = i2;
            aVar.f();
            aVar.m(false);
        }
    }

    public void setRtlTextDirectionHeuristicsEnabled(boolean z2) {
        this.s.E = z2;
    }

    public void setScrimAlpha(int i2) {
        ViewGroup viewGroup;
        if (i2 != this.y) {
            if (!(this.w == null || (viewGroup = this.f4703k) == null)) {
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                viewGroup.postInvalidateOnAnimation();
            }
            this.y = i2;
            AtomicInteger atomicInteger2 = ViewCompat.f1365a;
            postInvalidateOnAnimation();
        }
    }

    public void setScrimAnimationDuration(long j2) {
        this.B = j2;
    }

    public void setScrimVisibleHeightTrigger(int i2) {
        if (this.C != i2) {
            this.C = i2;
            h();
        }
    }

    public void setScrimsShown(boolean z2) {
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        int i2 = 0;
        boolean z3 = isLaidOut() && !isInEditMode();
        if (this.z != z2) {
            int i3 = NeuQuant.maxnetpos;
            if (z3) {
                if (!z2) {
                    i3 = 0;
                }
                a();
                ValueAnimator valueAnimator = this.A;
                if (valueAnimator == null) {
                    ValueAnimator valueAnimator2 = new ValueAnimator();
                    this.A = valueAnimator2;
                    valueAnimator2.setDuration(this.B);
                    this.A.setInterpolator(i3 > this.y ? d.h.a.b.a.a.f10155c : d.h.a.b.a.a.f10156d);
                    this.A.addUpdateListener(new e(this));
                } else if (valueAnimator.isRunning()) {
                    this.A.cancel();
                }
                this.A.setIntValues(this.y, i3);
                this.A.start();
            } else {
                if (z2) {
                    i2 = NeuQuant.maxnetpos;
                }
                setScrimAlpha(i2);
            }
            this.z = z2;
        }
    }

    public void setStatusBarScrim(Drawable drawable) {
        Drawable drawable2 = this.x;
        if (drawable2 != drawable) {
            Drawable drawable3 = null;
            if (drawable2 != null) {
                drawable2.setCallback(null);
            }
            if (drawable != null) {
                drawable3 = drawable.mutate();
            }
            this.x = drawable3;
            if (drawable3 != null) {
                if (drawable3.isStateful()) {
                    this.x.setState(getDrawableState());
                }
                Drawable drawable4 = this.x;
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                AppCompatDelegateImpl.e.s0(drawable4, getLayoutDirection());
                this.x.setVisible(getVisibility() == 0, false);
                this.x.setCallback(this);
                this.x.setAlpha(this.y);
            }
            AtomicInteger atomicInteger2 = ViewCompat.f1365a;
            postInvalidateOnAnimation();
        }
    }

    public void setStatusBarScrimColor(int i2) {
        setStatusBarScrim(new ColorDrawable(i2));
    }

    public void setStatusBarScrimResource(int i2) {
        Context context = getContext();
        Object obj = b.j.b.a.f3266a;
        setStatusBarScrim(context.getDrawable(i2));
    }

    public void setTitle(CharSequence charSequence) {
        this.s.z(charSequence);
        setContentDescription(getTitle());
    }

    public void setTitleCollapseMode(int i2) {
        this.F = i2;
        boolean e2 = e();
        this.s.f10531d = e2;
        ViewParent parent = getParent();
        if (parent instanceof AppBarLayout) {
            AppBarLayout appBarLayout = (AppBarLayout) parent;
            if (e()) {
                appBarLayout.setLiftOnScroll(false);
            }
        }
        if (e2 && this.w == null) {
            float dimension = getResources().getDimension(R$dimen.design_appbar_elevation);
            d.h.a.b.m.a aVar = this.t;
            setContentScrimColor(aVar.a(aVar.f10469c, dimension));
        }
    }

    public void setTitleEnabled(boolean z2) {
        if (z2 != this.u) {
            this.u = z2;
            setContentDescription(getTitle());
            g();
            requestLayout();
        }
    }

    public void setVisibility(int i2) {
        super.setVisibility(i2);
        boolean z2 = i2 == 0;
        Drawable drawable = this.x;
        if (!(drawable == null || drawable.isVisible() == z2)) {
            this.x.setVisible(z2, false);
        }
        Drawable drawable2 = this.w;
        if (drawable2 != null && drawable2.isVisible() != z2) {
            this.w.setVisible(z2, false);
        }
    }

    public boolean verifyDrawable(Drawable drawable) {
        return super.verifyDrawable(drawable) || drawable == this.w || drawable == this.x;
    }

    public CollapsingToolbarLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R$attr.collapsingToolbarLayoutStyle);
    }

    @Override // android.widget.FrameLayout, android.widget.FrameLayout
    /* renamed from: generateDefaultLayoutParams  reason: collision with other method in class */
    public FrameLayout.LayoutParams m4generateDefaultLayoutParams() {
        return new b(-1, -1);
    }

    @Override // android.widget.FrameLayout, android.widget.FrameLayout, android.view.ViewGroup
    public FrameLayout.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new b(getContext(), attributeSet);
    }

    public void setCollapsedTitleTextColor(ColorStateList colorStateList) {
        d.h.a.b.p.a aVar = this.s;
        if (aVar.p != colorStateList) {
            aVar.p = colorStateList;
            aVar.m(false);
        }
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public CollapsingToolbarLayout(Context context, AttributeSet attributeSet, int i2) {
        super(d.h.a.b.b0.a.a.a(context, attributeSet, i2, r4), attributeSet, i2);
        int i3;
        int i4 = f4700d;
        this.f4701h = true;
        this.r = new Rect();
        this.C = -1;
        this.H = 0;
        this.J = 0;
        Context context2 = getContext();
        d.h.a.b.p.a aVar = new d.h.a.b.p.a(this);
        this.s = aVar;
        aVar.N = d.h.a.b.a.a.f10157e;
        aVar.m(false);
        aVar.E = false;
        this.t = new d.h.a.b.m.a(context2);
        TypedArray d2 = f.d(context2, attributeSet, R$styleable.CollapsingToolbarLayout, i2, i4, new int[0]);
        aVar.u(d2.getInt(R$styleable.CollapsingToolbarLayout_expandedTitleGravity, 8388691));
        aVar.q(d2.getInt(R$styleable.CollapsingToolbarLayout_collapsedTitleGravity, 8388627));
        int dimensionPixelSize = d2.getDimensionPixelSize(R$styleable.CollapsingToolbarLayout_expandedTitleMargin, 0);
        this.q = dimensionPixelSize;
        this.p = dimensionPixelSize;
        this.o = dimensionPixelSize;
        this.n = dimensionPixelSize;
        int i5 = R$styleable.CollapsingToolbarLayout_expandedTitleMarginStart;
        if (d2.hasValue(i5)) {
            this.n = d2.getDimensionPixelSize(i5, 0);
        }
        int i6 = R$styleable.CollapsingToolbarLayout_expandedTitleMarginEnd;
        if (d2.hasValue(i6)) {
            this.p = d2.getDimensionPixelSize(i6, 0);
        }
        int i7 = R$styleable.CollapsingToolbarLayout_expandedTitleMarginTop;
        if (d2.hasValue(i7)) {
            this.o = d2.getDimensionPixelSize(i7, 0);
        }
        int i8 = R$styleable.CollapsingToolbarLayout_expandedTitleMarginBottom;
        if (d2.hasValue(i8)) {
            this.q = d2.getDimensionPixelSize(i8, 0);
        }
        this.u = d2.getBoolean(R$styleable.CollapsingToolbarLayout_titleEnabled, true);
        setTitle(d2.getText(R$styleable.CollapsingToolbarLayout_title));
        aVar.s(R$style.TextAppearance_Design_CollapsingToolbar_Expanded);
        aVar.o(androidx.appcompat.R$style.TextAppearance_AppCompat_Widget_ActionBar_Title);
        int i9 = R$styleable.CollapsingToolbarLayout_expandedTitleTextAppearance;
        if (d2.hasValue(i9)) {
            aVar.s(d2.getResourceId(i9, 0));
        }
        int i10 = R$styleable.CollapsingToolbarLayout_collapsedTitleTextAppearance;
        if (d2.hasValue(i10)) {
            aVar.o(d2.getResourceId(i10, 0));
        }
        this.C = d2.getDimensionPixelSize(R$styleable.CollapsingToolbarLayout_scrimVisibleHeightTrigger, -1);
        int i11 = R$styleable.CollapsingToolbarLayout_maxLines;
        if (d2.hasValue(i11) && (i3 = d2.getInt(i11, 1)) != aVar.d0) {
            aVar.d0 = i3;
            aVar.f();
            aVar.m(false);
        }
        this.B = (long) d2.getInt(R$styleable.CollapsingToolbarLayout_scrimAnimationDuration, 600);
        setContentScrim(d2.getDrawable(R$styleable.CollapsingToolbarLayout_contentScrim));
        setStatusBarScrim(d2.getDrawable(R$styleable.CollapsingToolbarLayout_statusBarScrim));
        setTitleCollapseMode(d2.getInt(R$styleable.CollapsingToolbarLayout_titleCollapseMode, 0));
        this.f4702j = d2.getResourceId(R$styleable.CollapsingToolbarLayout_toolbarId, -1);
        this.I = d2.getBoolean(R$styleable.CollapsingToolbarLayout_forceApplySystemWindowInsetTop, false);
        this.K = d2.getBoolean(R$styleable.CollapsingToolbarLayout_extraMultilineHeightEnabled, false);
        d2.recycle();
        setWillNotDraw(false);
        a aVar2 = new a();
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        ViewCompat.c.d(this, aVar2);
    }

    @Override // android.widget.FrameLayout, android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return new b(layoutParams);
    }

    public static class b extends FrameLayout.LayoutParams {

        /* renamed from: a  reason: collision with root package name */
        public int f4706a = 0;

        /* renamed from: b  reason: collision with root package name */
        public float f4707b = 0.5f;

        public b(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.CollapsingToolbarLayout_Layout);
            this.f4706a = obtainStyledAttributes.getInt(R$styleable.CollapsingToolbarLayout_Layout_layout_collapseMode, 0);
            this.f4707b = obtainStyledAttributes.getFloat(R$styleable.CollapsingToolbarLayout_Layout_layout_collapseParallaxMultiplier, 0.5f);
            obtainStyledAttributes.recycle();
        }

        public b(int i2, int i3) {
            super(i2, i3);
        }

        public b(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }
    }
}
