package com.google.android.material.badge;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Parcel;
import android.os.Parcelable;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import androidx.core.view.ViewCompat;
import b.o.a.n;
import com.google.android.material.R$attr;
import com.google.android.material.R$dimen;
import com.google.android.material.R$plurals;
import com.google.android.material.R$string;
import com.google.android.material.R$style;
import com.google.android.material.R$styleable;
import com.google.android.material.shape.MaterialShapeDrawable;
import com.shuyu.gsyvideoplayer.utils.NeuQuant;
import d.h.a.b.p.d;
import d.h.a.b.p.f;
import d.h.a.b.t.b;
import java.lang.ref.WeakReference;
import java.text.NumberFormat;
import java.util.concurrent.atomic.AtomicInteger;

public class BadgeDrawable extends Drawable implements d.b {

    /* renamed from: d  reason: collision with root package name */
    public static final int f4709d = R$style.Widget_MaterialComponents_Badge;

    /* renamed from: h  reason: collision with root package name */
    public static final int f4710h = R$attr.badgeStyle;

    /* renamed from: j  reason: collision with root package name */
    public final WeakReference<Context> f4711j;

    /* renamed from: k  reason: collision with root package name */
    public final MaterialShapeDrawable f4712k = new MaterialShapeDrawable();

    /* renamed from: l  reason: collision with root package name */
    public final d f4713l;
    public final Rect m = new Rect();
    public final float n;
    public final float o;
    public final float p;
    public final SavedState q;
    public float r;
    public float s;
    public int t;
    public float u;
    public float v;
    public float w;
    public WeakReference<View> x;
    public WeakReference<FrameLayout> y;

    public BadgeDrawable(Context context) {
        b bVar;
        Context context2;
        WeakReference<Context> weakReference = new WeakReference<>(context);
        this.f4711j = weakReference;
        f.c(context, f.f10559b, "Theme.MaterialComponents");
        Resources resources = context.getResources();
        this.n = (float) resources.getDimensionPixelSize(R$dimen.mtrl_badge_radius);
        this.p = (float) resources.getDimensionPixelSize(R$dimen.mtrl_badge_long_text_horizontal_padding);
        this.o = (float) resources.getDimensionPixelSize(R$dimen.mtrl_badge_with_text_radius);
        d dVar = new d(this);
        this.f4713l = dVar;
        dVar.f10551a.setTextAlign(Paint.Align.CENTER);
        this.q = new SavedState(context);
        int i2 = R$style.TextAppearance_MaterialComponents_Badge;
        Context context3 = weakReference.get();
        if (context3 != null && dVar.f10556f != (bVar = new b(context3, i2)) && (context2 = weakReference.get()) != null) {
            dVar.b(bVar, context2);
            m();
        }
    }

    @Override // d.h.a.b.p.d.b
    public void a() {
        invalidateSelf();
    }

    public final String b() {
        if (e() <= this.t) {
            return NumberFormat.getInstance().format((long) e());
        }
        Context context = this.f4711j.get();
        if (context == null) {
            return "";
        }
        return context.getString(R$string.mtrl_exceed_max_badge_number_suffix, Integer.valueOf(this.t), "+");
    }

    public CharSequence c() {
        Context context;
        if (!isVisible()) {
            return null;
        }
        if (!f()) {
            return this.q.contentDescriptionNumberless;
        }
        if (this.q.contentDescriptionQuantityStrings <= 0 || (context = this.f4711j.get()) == null) {
            return null;
        }
        if (e() <= this.t) {
            return context.getResources().getQuantityString(this.q.contentDescriptionQuantityStrings, e(), Integer.valueOf(e()));
        }
        return context.getString(this.q.contentDescriptionExceedsMaxBadgeNumberRes, Integer.valueOf(this.t));
    }

    public FrameLayout d() {
        WeakReference<FrameLayout> weakReference = this.y;
        if (weakReference != null) {
            return weakReference.get();
        }
        return null;
    }

    public void draw(Canvas canvas) {
        if (!getBounds().isEmpty() && getAlpha() != 0 && isVisible()) {
            this.f4712k.draw(canvas);
            if (f()) {
                Rect rect = new Rect();
                String b2 = b();
                this.f4713l.f10551a.getTextBounds(b2, 0, b2.length(), rect);
                canvas.drawText(b2, this.r, this.s + ((float) (rect.height() / 2)), this.f4713l.f10551a);
            }
        }
    }

    public int e() {
        if (!f()) {
            return 0;
        }
        return this.q.number;
    }

    public boolean f() {
        return this.q.number != -1;
    }

    public void g(int i2) {
        this.q.backgroundColor = i2;
        ColorStateList valueOf = ColorStateList.valueOf(i2);
        MaterialShapeDrawable materialShapeDrawable = this.f4712k;
        if (materialShapeDrawable.f4976j.f4983d != valueOf) {
            materialShapeDrawable.q(valueOf);
            invalidateSelf();
        }
    }

    public int getAlpha() {
        return this.q.alpha;
    }

    public int getIntrinsicHeight() {
        return this.m.height();
    }

    public int getIntrinsicWidth() {
        return this.m.width();
    }

    public int getOpacity() {
        return -3;
    }

    public void h(int i2) {
        if (this.q.badgeGravity != i2) {
            this.q.badgeGravity = i2;
            WeakReference<View> weakReference = this.x;
            if (weakReference != null && weakReference.get() != null) {
                View view = this.x.get();
                WeakReference<FrameLayout> weakReference2 = this.y;
                l(view, weakReference2 != null ? weakReference2.get() : null);
            }
        }
    }

    public void i(int i2) {
        this.q.badgeTextColor = i2;
        if (this.f4713l.f10551a.getColor() != i2) {
            this.f4713l.f10551a.setColor(i2);
            invalidateSelf();
        }
    }

    public boolean isStateful() {
        return false;
    }

    public void j(int i2) {
        if (this.q.maxCharacterCount != i2) {
            this.q.maxCharacterCount = i2;
            this.t = ((int) Math.pow(10.0d, ((double) this.q.maxCharacterCount) - 1.0d)) - 1;
            this.f4713l.f10554d = true;
            m();
            invalidateSelf();
        }
    }

    public void k(int i2) {
        int max = Math.max(0, i2);
        if (this.q.number != max) {
            this.q.number = max;
            this.f4713l.f10554d = true;
            m();
            invalidateSelf();
        }
    }

    public void l(View view, FrameLayout frameLayout) {
        this.x = new WeakReference<>(view);
        this.y = new WeakReference<>(frameLayout);
        ViewGroup viewGroup = (ViewGroup) view.getParent();
        viewGroup.setClipChildren(false);
        viewGroup.setClipToPadding(false);
        m();
        invalidateSelf();
    }

    public final void m() {
        Context context = this.f4711j.get();
        WeakReference<View> weakReference = this.x;
        FrameLayout frameLayout = null;
        View view = weakReference != null ? weakReference.get() : null;
        if (context != null && view != null) {
            Rect rect = new Rect();
            rect.set(this.m);
            Rect rect2 = new Rect();
            view.getDrawingRect(rect2);
            WeakReference<FrameLayout> weakReference2 = this.y;
            if (weakReference2 != null) {
                frameLayout = weakReference2.get();
            }
            if (frameLayout != null) {
                if (frameLayout == null) {
                    frameLayout = (ViewGroup) view.getParent();
                }
                frameLayout.offsetDescendantRectToMyCoords(view, rect2);
            }
            int i2 = this.q.additionalVerticalOffset + this.q.verticalOffset;
            int i3 = this.q.badgeGravity;
            if (i3 == 8388691 || i3 == 8388693) {
                this.s = (float) (rect2.bottom - i2);
            } else {
                this.s = (float) (rect2.top + i2);
            }
            if (e() <= 9) {
                float f2 = !f() ? this.n : this.o;
                this.u = f2;
                this.w = f2;
                this.v = f2;
            } else {
                float f3 = this.o;
                this.u = f3;
                this.w = f3;
                this.v = (this.f4713l.a(b()) / 2.0f) + this.p;
            }
            int dimensionPixelSize = context.getResources().getDimensionPixelSize(f() ? R$dimen.mtrl_badge_text_horizontal_edge_offset : R$dimen.mtrl_badge_horizontal_edge_offset);
            int i4 = this.q.additionalHorizontalOffset + this.q.horizontalOffset;
            int i5 = this.q.badgeGravity;
            if (i5 == 8388659 || i5 == 8388691) {
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                this.r = view.getLayoutDirection() == 0 ? (((float) rect2.left) - this.v) + ((float) dimensionPixelSize) + ((float) i4) : ((((float) rect2.right) + this.v) - ((float) dimensionPixelSize)) - ((float) i4);
            } else {
                AtomicInteger atomicInteger2 = ViewCompat.f1365a;
                this.r = view.getLayoutDirection() == 0 ? ((((float) rect2.right) + this.v) - ((float) dimensionPixelSize)) - ((float) i4) : (((float) rect2.left) - this.v) + ((float) dimensionPixelSize) + ((float) i4);
            }
            Rect rect3 = this.m;
            float f4 = this.r;
            float f5 = this.s;
            float f6 = this.v;
            float f7 = this.w;
            rect3.set((int) (f4 - f6), (int) (f5 - f7), (int) (f4 + f6), (int) (f5 + f7));
            MaterialShapeDrawable materialShapeDrawable = this.f4712k;
            materialShapeDrawable.f4976j.f4980a = materialShapeDrawable.f4976j.f4980a.f(this.u);
            materialShapeDrawable.invalidateSelf();
            if (!rect.equals(this.m)) {
                this.f4712k.setBounds(this.m);
            }
        }
    }

    @Override // d.h.a.b.p.d.b
    public boolean onStateChange(int[] iArr) {
        return super.onStateChange(iArr);
    }

    public void setAlpha(int i2) {
        this.q.alpha = i2;
        this.f4713l.f10551a.setAlpha(i2);
        invalidateSelf();
    }

    public void setColorFilter(ColorFilter colorFilter) {
    }

    public static final class SavedState implements Parcelable {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        private int additionalHorizontalOffset;
        private int additionalVerticalOffset;
        private int alpha = NeuQuant.maxnetpos;
        private int backgroundColor;
        private int badgeGravity;
        private int badgeTextColor;
        private int contentDescriptionExceedsMaxBadgeNumberRes;
        private CharSequence contentDescriptionNumberless;
        private int contentDescriptionQuantityStrings;
        private int horizontalOffset;
        private boolean isVisible;
        private int maxCharacterCount;
        private int number = -1;
        private int verticalOffset;

        public static class a implements Parcelable.Creator<SavedState> {
            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // android.os.Parcelable.Creator
            public SavedState createFromParcel(Parcel parcel) {
                return new SavedState(parcel);
            }

            /* Return type fixed from 'java.lang.Object[]' to match base method */
            @Override // android.os.Parcelable.Creator
            public SavedState[] newArray(int i2) {
                return new SavedState[i2];
            }
        }

        public SavedState(Context context) {
            int i2 = R$style.TextAppearance_MaterialComponents_Badge;
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(i2, R$styleable.TextAppearance);
            obtainStyledAttributes.getDimension(R$styleable.TextAppearance_android_textSize, 0.0f);
            ColorStateList s0 = n.s0(context, obtainStyledAttributes, R$styleable.TextAppearance_android_textColor);
            n.s0(context, obtainStyledAttributes, R$styleable.TextAppearance_android_textColorHint);
            n.s0(context, obtainStyledAttributes, R$styleable.TextAppearance_android_textColorLink);
            obtainStyledAttributes.getInt(R$styleable.TextAppearance_android_textStyle, 0);
            obtainStyledAttributes.getInt(R$styleable.TextAppearance_android_typeface, 1);
            int i3 = R$styleable.TextAppearance_fontFamily;
            i3 = !obtainStyledAttributes.hasValue(i3) ? R$styleable.TextAppearance_android_fontFamily : i3;
            obtainStyledAttributes.getResourceId(i3, 0);
            obtainStyledAttributes.getString(i3);
            obtainStyledAttributes.getBoolean(R$styleable.TextAppearance_textAllCaps, false);
            n.s0(context, obtainStyledAttributes, R$styleable.TextAppearance_android_shadowColor);
            obtainStyledAttributes.getFloat(R$styleable.TextAppearance_android_shadowDx, 0.0f);
            obtainStyledAttributes.getFloat(R$styleable.TextAppearance_android_shadowDy, 0.0f);
            obtainStyledAttributes.getFloat(R$styleable.TextAppearance_android_shadowRadius, 0.0f);
            obtainStyledAttributes.recycle();
            TypedArray obtainStyledAttributes2 = context.obtainStyledAttributes(i2, R$styleable.MaterialTextAppearance);
            int i4 = R$styleable.MaterialTextAppearance_android_letterSpacing;
            obtainStyledAttributes2.hasValue(i4);
            obtainStyledAttributes2.getFloat(i4, 0.0f);
            obtainStyledAttributes2.recycle();
            this.badgeTextColor = s0.getDefaultColor();
            this.contentDescriptionNumberless = context.getString(R$string.mtrl_badge_numberless_content_description);
            this.contentDescriptionQuantityStrings = R$plurals.mtrl_badge_content_description;
            this.contentDescriptionExceedsMaxBadgeNumberRes = R$string.mtrl_exceed_max_badge_number_content_description;
            this.isVisible = true;
        }

        public int describeContents() {
            return 0;
        }

        public void writeToParcel(Parcel parcel, int i2) {
            parcel.writeInt(this.backgroundColor);
            parcel.writeInt(this.badgeTextColor);
            parcel.writeInt(this.alpha);
            parcel.writeInt(this.number);
            parcel.writeInt(this.maxCharacterCount);
            parcel.writeString(this.contentDescriptionNumberless.toString());
            parcel.writeInt(this.contentDescriptionQuantityStrings);
            parcel.writeInt(this.badgeGravity);
            parcel.writeInt(this.horizontalOffset);
            parcel.writeInt(this.verticalOffset);
            parcel.writeInt(this.additionalHorizontalOffset);
            parcel.writeInt(this.additionalVerticalOffset);
            parcel.writeInt(this.isVisible ? 1 : 0);
        }

        public SavedState(Parcel parcel) {
            this.backgroundColor = parcel.readInt();
            this.badgeTextColor = parcel.readInt();
            this.alpha = parcel.readInt();
            this.number = parcel.readInt();
            this.maxCharacterCount = parcel.readInt();
            this.contentDescriptionNumberless = parcel.readString();
            this.contentDescriptionQuantityStrings = parcel.readInt();
            this.badgeGravity = parcel.readInt();
            this.horizontalOffset = parcel.readInt();
            this.verticalOffset = parcel.readInt();
            this.additionalHorizontalOffset = parcel.readInt();
            this.additionalVerticalOffset = parcel.readInt();
            this.isVisible = parcel.readInt() != 0;
        }
    }
}
