package com.google.android.material.bottomsheet;

import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.view.ViewCompat;
import androidx.customview.view.AbsSavedState;
import b.j.h.p.b;
import b.k.a.b;
import b.o.a.n;
import com.google.android.material.R$attr;
import com.google.android.material.R$dimen;
import com.google.android.material.R$string;
import com.google.android.material.R$style;
import com.google.android.material.R$styleable;
import com.google.android.material.shape.MaterialShapeDrawable;
import com.shuyu.gsyvideoplayer.utils.NeuQuant;
import d.h.a.b.w.l;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.atomic.AtomicInteger;

public class BottomSheetBehavior<V extends View> extends CoordinatorLayout.b<V> {

    /* renamed from: a  reason: collision with root package name */
    public static final int f4745a = R$style.Widget_Design_BottomSheet_Modal;
    public float A = 0.5f;
    public int B;
    public float C = -1.0f;
    public boolean D;
    public boolean E;
    public boolean F = true;
    public int G = 4;
    public b.k.a.b H;
    public boolean I;
    public int J;
    public boolean K;
    public int L;
    public int M;
    public int N;
    public WeakReference<V> O;
    public WeakReference<View> P;
    public final ArrayList<d> Q = new ArrayList<>();
    public VelocityTracker R;
    public int S;
    public int T;
    public boolean U;
    public Map<View, Integer> V;
    public int W = -1;
    public final b.c X = new c();

    /* renamed from: b  reason: collision with root package name */
    public int f4746b = 0;

    /* renamed from: c  reason: collision with root package name */
    public boolean f4747c = true;

    /* renamed from: d  reason: collision with root package name */
    public float f4748d;

    /* renamed from: e  reason: collision with root package name */
    public int f4749e;

    /* renamed from: f  reason: collision with root package name */
    public boolean f4750f;

    /* renamed from: g  reason: collision with root package name */
    public int f4751g;

    /* renamed from: h  reason: collision with root package name */
    public int f4752h;

    /* renamed from: i  reason: collision with root package name */
    public boolean f4753i;

    /* renamed from: j  reason: collision with root package name */
    public MaterialShapeDrawable f4754j;

    /* renamed from: k  reason: collision with root package name */
    public int f4755k = -1;

    /* renamed from: l  reason: collision with root package name */
    public int f4756l;
    public boolean m;
    public boolean n;
    public boolean o;
    public boolean p;
    public boolean q;
    public int r;
    public int s;
    public l t;
    public boolean u;
    public BottomSheetBehavior<V>.e v = null;
    public ValueAnimator w;
    public int x;
    public int y;
    public int z;

    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        public boolean fitToContents;
        public boolean hideable;
        public int peekHeight;
        public boolean skipCollapsed;
        public final int state;

        public static class a implements Parcelable.ClassLoaderCreator<SavedState> {
            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // android.os.Parcelable.ClassLoaderCreator
            public SavedState createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            public Object[] newArray(int i2) {
                return new SavedState[i2];
            }

            @Override // android.os.Parcelable.Creator
            public Object createFromParcel(Parcel parcel) {
                return new SavedState(parcel, (ClassLoader) null);
            }
        }

        public SavedState(Parcel parcel) {
            this(parcel, (ClassLoader) null);
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(Parcel parcel, int i2) {
            super.writeToParcel(parcel, i2);
            parcel.writeInt(this.state);
            parcel.writeInt(this.peekHeight);
            parcel.writeInt(this.fitToContents ? 1 : 0);
            parcel.writeInt(this.hideable ? 1 : 0);
            parcel.writeInt(this.skipCollapsed ? 1 : 0);
        }

        public SavedState(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.state = parcel.readInt();
            this.peekHeight = parcel.readInt();
            boolean z = false;
            this.fitToContents = parcel.readInt() == 1;
            this.hideable = parcel.readInt() == 1;
            this.skipCollapsed = parcel.readInt() == 1 ? true : z;
        }

        public SavedState(Parcelable parcelable, BottomSheetBehavior<?> bottomSheetBehavior) {
            super(parcelable);
            this.state = bottomSheetBehavior.G;
            this.peekHeight = bottomSheetBehavior.f4749e;
            this.fitToContents = bottomSheetBehavior.f4747c;
            this.hideable = bottomSheetBehavior.D;
            this.skipCollapsed = bottomSheetBehavior.E;
        }

        @Deprecated
        public SavedState(Parcelable parcelable, int i2) {
            super(parcelable);
            this.state = i2;
        }
    }

    public class a implements Runnable {

        /* renamed from: d  reason: collision with root package name */
        public final /* synthetic */ View f4757d;

        /* renamed from: h  reason: collision with root package name */
        public final /* synthetic */ ViewGroup.LayoutParams f4758h;

        public a(BottomSheetBehavior bottomSheetBehavior, View view, ViewGroup.LayoutParams layoutParams) {
            this.f4757d = view;
            this.f4758h = layoutParams;
        }

        public void run() {
            this.f4757d.setLayoutParams(this.f4758h);
        }
    }

    public class b implements Runnable {

        /* renamed from: d  reason: collision with root package name */
        public final /* synthetic */ View f4759d;

        /* renamed from: h  reason: collision with root package name */
        public final /* synthetic */ int f4760h;

        public b(View view, int i2) {
            this.f4759d = view;
            this.f4760h = i2;
        }

        public void run() {
            BottomSheetBehavior.this.O(this.f4759d, this.f4760h);
        }
    }

    public class c extends b.c {
        public c() {
        }

        @Override // b.k.a.b.c
        public int clampViewPositionHorizontal(View view, int i2, int i3) {
            return view.getLeft();
        }

        @Override // b.k.a.b.c
        public int clampViewPositionVertical(View view, int i2, int i3) {
            int I = BottomSheetBehavior.this.I();
            BottomSheetBehavior bottomSheetBehavior = BottomSheetBehavior.this;
            return AppCompatDelegateImpl.e.p(i2, I, bottomSheetBehavior.D ? bottomSheetBehavior.N : bottomSheetBehavior.B);
        }

        @Override // b.k.a.b.c
        public int getViewVerticalDragRange(View view) {
            BottomSheetBehavior bottomSheetBehavior = BottomSheetBehavior.this;
            if (bottomSheetBehavior.D) {
                return bottomSheetBehavior.N;
            }
            return bottomSheetBehavior.B;
        }

        @Override // b.k.a.b.c
        public void onViewDragStateChanged(int i2) {
            if (i2 == 1) {
                BottomSheetBehavior bottomSheetBehavior = BottomSheetBehavior.this;
                if (bottomSheetBehavior.F) {
                    bottomSheetBehavior.N(1);
                }
            }
        }

        @Override // b.k.a.b.c
        public void onViewPositionChanged(View view, int i2, int i3, int i4, int i5) {
            BottomSheetBehavior.this.F(i3);
        }

        @Override // b.k.a.b.c
        public void onViewReleased(View view, float f2, float f3) {
            int i2;
            int i3 = 4;
            if (f3 < 0.0f) {
                BottomSheetBehavior bottomSheetBehavior = BottomSheetBehavior.this;
                if (bottomSheetBehavior.f4747c) {
                    i2 = bottomSheetBehavior.y;
                } else {
                    int top = view.getTop();
                    BottomSheetBehavior bottomSheetBehavior2 = BottomSheetBehavior.this;
                    int i4 = bottomSheetBehavior2.z;
                    if (top > i4) {
                        i2 = i4;
                        i3 = 6;
                        BottomSheetBehavior.this.R(view, i3, i2, true);
                    }
                    i2 = bottomSheetBehavior2.I();
                }
            } else {
                BottomSheetBehavior bottomSheetBehavior3 = BottomSheetBehavior.this;
                if (bottomSheetBehavior3.D && bottomSheetBehavior3.Q(view, f3)) {
                    if (Math.abs(f2) >= Math.abs(f3) || f3 <= 500.0f) {
                        int top2 = view.getTop();
                        BottomSheetBehavior bottomSheetBehavior4 = BottomSheetBehavior.this;
                        if (!(top2 > (bottomSheetBehavior4.I() + bottomSheetBehavior4.N) / 2)) {
                            BottomSheetBehavior bottomSheetBehavior5 = BottomSheetBehavior.this;
                            if (bottomSheetBehavior5.f4747c) {
                                i2 = bottomSheetBehavior5.y;
                            } else if (Math.abs(view.getTop() - BottomSheetBehavior.this.I()) < Math.abs(view.getTop() - BottomSheetBehavior.this.z)) {
                                i2 = BottomSheetBehavior.this.I();
                            } else {
                                i2 = BottomSheetBehavior.this.z;
                                i3 = 6;
                                BottomSheetBehavior.this.R(view, i3, i2, true);
                            }
                        }
                    }
                    i2 = BottomSheetBehavior.this.N;
                    i3 = 5;
                    BottomSheetBehavior.this.R(view, i3, i2, true);
                } else if (f3 == 0.0f || Math.abs(f2) > Math.abs(f3)) {
                    int top3 = view.getTop();
                    BottomSheetBehavior bottomSheetBehavior6 = BottomSheetBehavior.this;
                    if (!bottomSheetBehavior6.f4747c) {
                        int i5 = bottomSheetBehavior6.z;
                        if (top3 < i5) {
                            if (top3 < Math.abs(top3 - bottomSheetBehavior6.B)) {
                                i2 = BottomSheetBehavior.this.I();
                            } else {
                                i2 = BottomSheetBehavior.this.z;
                            }
                        } else if (Math.abs(top3 - i5) < Math.abs(top3 - BottomSheetBehavior.this.B)) {
                            i2 = BottomSheetBehavior.this.z;
                        } else {
                            i2 = BottomSheetBehavior.this.B;
                            BottomSheetBehavior.this.R(view, i3, i2, true);
                        }
                        i3 = 6;
                        BottomSheetBehavior.this.R(view, i3, i2, true);
                    } else if (Math.abs(top3 - bottomSheetBehavior6.y) < Math.abs(top3 - BottomSheetBehavior.this.B)) {
                        i2 = BottomSheetBehavior.this.y;
                    } else {
                        i2 = BottomSheetBehavior.this.B;
                        BottomSheetBehavior.this.R(view, i3, i2, true);
                    }
                } else {
                    BottomSheetBehavior bottomSheetBehavior7 = BottomSheetBehavior.this;
                    if (bottomSheetBehavior7.f4747c) {
                        i2 = bottomSheetBehavior7.B;
                    } else {
                        int top4 = view.getTop();
                        if (Math.abs(top4 - BottomSheetBehavior.this.z) < Math.abs(top4 - BottomSheetBehavior.this.B)) {
                            i2 = BottomSheetBehavior.this.z;
                            i3 = 6;
                        } else {
                            i2 = BottomSheetBehavior.this.B;
                        }
                    }
                    BottomSheetBehavior.this.R(view, i3, i2, true);
                }
            }
            i3 = 3;
            BottomSheetBehavior.this.R(view, i3, i2, true);
        }

        @Override // b.k.a.b.c
        public boolean tryCaptureView(View view, int i2) {
            BottomSheetBehavior bottomSheetBehavior = BottomSheetBehavior.this;
            int i3 = bottomSheetBehavior.G;
            if (i3 == 1 || bottomSheetBehavior.U) {
                return false;
            }
            if (i3 == 3 && bottomSheetBehavior.S == i2) {
                WeakReference<View> weakReference = bottomSheetBehavior.P;
                View view2 = weakReference != null ? weakReference.get() : null;
                if (view2 != null && view2.canScrollVertically(-1)) {
                    return false;
                }
            }
            WeakReference<V> weakReference2 = BottomSheetBehavior.this.O;
            if (weakReference2 == null || weakReference2.get() != view) {
                return false;
            }
            return true;
        }
    }

    public static abstract class d {
        public abstract void a(View view, float f2);

        public abstract void b(View view, int i2);
    }

    public class e implements Runnable {

        /* renamed from: d  reason: collision with root package name */
        public final View f4763d;

        /* renamed from: h  reason: collision with root package name */
        public boolean f4764h;

        /* renamed from: j  reason: collision with root package name */
        public int f4765j;

        public e(View view, int i2) {
            this.f4763d = view;
            this.f4765j = i2;
        }

        public void run() {
            b.k.a.b bVar = BottomSheetBehavior.this.H;
            if (bVar == null || !bVar.j(true)) {
                BottomSheetBehavior.this.N(this.f4765j);
            } else {
                View view = this.f4763d;
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                view.postOnAnimation(this);
            }
            this.f4764h = false;
        }
    }

    public BottomSheetBehavior() {
    }

    public static <V extends View> BottomSheetBehavior<V> H(V v2) {
        ViewGroup.LayoutParams layoutParams = v2.getLayoutParams();
        if (layoutParams instanceof CoordinatorLayout.e) {
            CoordinatorLayout.b bVar = ((CoordinatorLayout.e) layoutParams).f1242a;
            if (bVar instanceof BottomSheetBehavior) {
                return (BottomSheetBehavior) bVar;
            }
            throw new IllegalArgumentException("The view is not associated with BottomSheetBehavior");
        }
        throw new IllegalArgumentException("The view is not a child of CoordinatorLayout");
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
    public boolean A(CoordinatorLayout coordinatorLayout, V v2, MotionEvent motionEvent) {
        if (!v2.isShown()) {
            return false;
        }
        int actionMasked = motionEvent.getActionMasked();
        if (this.G == 1 && actionMasked == 0) {
            return true;
        }
        b.k.a.b bVar = this.H;
        if (bVar != null) {
            bVar.r(motionEvent);
        }
        if (actionMasked == 0) {
            this.S = -1;
            VelocityTracker velocityTracker = this.R;
            if (velocityTracker != null) {
                velocityTracker.recycle();
                this.R = null;
            }
        }
        if (this.R == null) {
            this.R = VelocityTracker.obtain();
        }
        this.R.addMovement(motionEvent);
        if (this.H != null && actionMasked == 2 && !this.I) {
            float abs = Math.abs(((float) this.T) - motionEvent.getY());
            b.k.a.b bVar2 = this.H;
            if (abs > ((float) bVar2.f3504c)) {
                bVar2.c(v2, motionEvent.getPointerId(motionEvent.getActionIndex()));
            }
        }
        return !this.I;
    }

    public void B(d dVar) {
        if (!this.Q.contains(dVar)) {
            this.Q.add(dVar);
        }
    }

    public final void C() {
        int D2 = D();
        if (this.f4747c) {
            this.B = Math.max(this.N - D2, this.y);
        } else {
            this.B = this.N - D2;
        }
    }

    public final int D() {
        int i2;
        if (this.f4750f) {
            return Math.min(Math.max(this.f4751g, this.N - ((this.M * 9) / 16)), this.L) + this.r;
        }
        if (this.m || this.n || (i2 = this.f4756l) <= 0) {
            return this.f4749e + this.r;
        }
        return Math.max(this.f4749e, i2 + this.f4752h);
    }

    public final void E(Context context, AttributeSet attributeSet, boolean z2, ColorStateList colorStateList) {
        if (this.f4753i) {
            this.t = l.c(context, attributeSet, R$attr.bottomSheetStyle, f4745a, new d.h.a.b.w.a((float) 0)).a();
            MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable(this.t);
            this.f4754j = materialShapeDrawable;
            materialShapeDrawable.f4976j.f4981b = new d.h.a.b.m.a(context);
            materialShapeDrawable.C();
            if (!z2 || colorStateList == null) {
                TypedValue typedValue = new TypedValue();
                context.getTheme().resolveAttribute(16842801, typedValue, true);
                this.f4754j.setTint(typedValue.data);
                return;
            }
            this.f4754j.q(colorStateList);
        }
    }

    public void F(int i2) {
        float f2;
        float f3;
        V v2 = this.O.get();
        if (!(v2 == null || this.Q.isEmpty())) {
            int i3 = this.B;
            if (i2 > i3 || i3 == I()) {
                int i4 = this.B;
                f2 = (float) (i4 - i2);
                f3 = (float) (this.N - i4);
            } else {
                int i5 = this.B;
                f2 = (float) (i5 - i2);
                f3 = (float) (i5 - I());
            }
            float f4 = f2 / f3;
            for (int i6 = 0; i6 < this.Q.size(); i6++) {
                this.Q.get(i6).a(v2, f4);
            }
        }
    }

    public View G(View view) {
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        if (view.isNestedScrollingEnabled()) {
            return view;
        }
        if (!(view instanceof ViewGroup)) {
            return null;
        }
        ViewGroup viewGroup = (ViewGroup) view;
        int childCount = viewGroup.getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View G2 = G(viewGroup.getChildAt(i2));
            if (G2 != null) {
                return G2;
            }
        }
        return null;
    }

    public int I() {
        if (this.f4747c) {
            return this.y;
        }
        return Math.max(this.x, this.q ? 0 : this.s);
    }

    public final void J(V v2, b.a aVar, int i2) {
        ViewCompat.s(v2, aVar, null, new d.h.a.b.f.c(this, i2));
    }

    public void K(boolean z2) {
        if (this.D != z2) {
            this.D = z2;
            if (!z2 && this.G == 5) {
                M(4);
            }
            S();
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x0021  */
    /* JADX WARNING: Removed duplicated region for block: B:14:? A[RETURN, SYNTHETIC] */
    public void L(int i2) {
        boolean z2 = true;
        if (i2 == -1) {
            if (!this.f4750f) {
                this.f4750f = true;
                if (z2) {
                    V(false);
                    return;
                }
                return;
            }
        } else if (this.f4750f || this.f4749e != i2) {
            this.f4750f = false;
            this.f4749e = Math.max(0, i2);
            if (z2) {
            }
        }
        z2 = false;
        if (z2) {
        }
    }

    public void M(int i2) {
        if (i2 != this.G) {
            if (this.O != null) {
                P(i2);
            } else if (i2 == 4 || i2 == 3 || i2 == 6 || (this.D && i2 == 5)) {
                this.G = i2;
            }
        }
    }

    public void N(int i2) {
        V v2;
        if (this.G != i2) {
            this.G = i2;
            WeakReference<V> weakReference = this.O;
            if (!(weakReference == null || (v2 = weakReference.get()) == null)) {
                if (i2 == 3) {
                    U(true);
                } else if (i2 == 6 || i2 == 5 || i2 == 4) {
                    U(false);
                }
                T(i2);
                for (int i3 = 0; i3 < this.Q.size(); i3++) {
                    this.Q.get(i3).b(v2, i2);
                }
                S();
            }
        }
    }

    public void O(View view, int i2) {
        int i3;
        int i4;
        if (i2 == 4) {
            i3 = this.B;
        } else if (i2 == 6) {
            i3 = this.z;
            if (this.f4747c && i3 <= (i4 = this.y)) {
                i2 = 3;
                i3 = i4;
            }
        } else if (i2 == 3) {
            i3 = I();
        } else if (!this.D || i2 != 5) {
            throw new IllegalArgumentException(d.a.a.a.a.k("Illegal state argument: ", i2));
        } else {
            i3 = this.N;
        }
        R(view, i2, i3, false);
    }

    public final void P(int i2) {
        V v2 = this.O.get();
        if (v2 != null) {
            ViewParent parent = v2.getParent();
            if (parent != null && parent.isLayoutRequested()) {
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                if (v2.isAttachedToWindow()) {
                    v2.post(new b(v2, i2));
                    return;
                }
            }
            O(v2, i2);
        }
    }

    public boolean Q(View view, float f2) {
        if (this.E) {
            return true;
        }
        if (view.getTop() < this.B) {
            return false;
        }
        if (Math.abs(((f2 * 0.1f) + ((float) view.getTop())) - ((float) this.B)) / ((float) D()) > 0.5f) {
            return true;
        }
        return false;
    }

    public void R(View view, int i2, int i3, boolean z2) {
        b.k.a.b bVar = this.H;
        if (bVar != null && (!z2 ? bVar.z(view, view.getLeft(), i3) : bVar.x(view.getLeft(), i3))) {
            N(2);
            T(i2);
            if (this.v == null) {
                this.v = new e(view, i2);
            }
            BottomSheetBehavior<V>.e eVar = this.v;
            if (!eVar.f4764h) {
                eVar.f4765j = i2;
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                view.postOnAnimation(eVar);
                this.v.f4764h = true;
                return;
            }
            eVar.f4765j = i2;
            return;
        }
        N(i2);
    }

    /* JADX WARNING: Removed duplicated region for block: B:29:0x007d  */
    public final void S() {
        V v2;
        WeakReference<V> weakReference = this.O;
        if (weakReference != null && (v2 = weakReference.get()) != null) {
            ViewCompat.r(524288, v2);
            ViewCompat.l(v2, 0);
            ViewCompat.r(NeuQuant.alpharadbias, v2);
            ViewCompat.l(v2, 0);
            ViewCompat.r(1048576, v2);
            ViewCompat.l(v2, 0);
            int i2 = this.W;
            if (i2 != -1) {
                ViewCompat.r(i2, v2);
                ViewCompat.l(v2, 0);
            }
            int i3 = 6;
            if (!this.f4747c && this.G != 6) {
                String string = v2.getResources().getString(R$string.bottomsheet_action_expand_halfway);
                d.h.a.b.f.c cVar = new d.h.a.b.f.c(this, 6);
                List<b.a> j2 = ViewCompat.j(v2);
                int i4 = 0;
                int i5 = -1;
                while (true) {
                    int[] iArr = ViewCompat.f1370f;
                    if (i4 < iArr.length && i5 == -1) {
                        int i6 = iArr[i4];
                        boolean z2 = true;
                        for (int i7 = 0; i7 < j2.size(); i7++) {
                            z2 &= j2.get(i7).a() != i6;
                        }
                        if (z2) {
                            i5 = i6;
                        }
                        i4++;
                    } else if (i5 != -1) {
                        ViewCompat.a(v2, new b.a(null, i5, string, cVar, null));
                    }
                }
                if (i5 != -1) {
                }
                this.W = i5;
            }
            if (this.D && this.G != 5) {
                J(v2, b.a.f3463h, 5);
            }
            int i8 = this.G;
            if (i8 == 3) {
                if (this.f4747c) {
                    i3 = 4;
                }
                J(v2, b.a.f3462g, i3);
            } else if (i8 == 4) {
                if (this.f4747c) {
                    i3 = 3;
                }
                J(v2, b.a.f3461f, i3);
            } else if (i8 == 6) {
                J(v2, b.a.f3462g, 4);
                J(v2, b.a.f3461f, 3);
            }
        }
    }

    public final void T(int i2) {
        ValueAnimator valueAnimator;
        if (i2 != 2) {
            boolean z2 = i2 == 3;
            if (this.u != z2) {
                this.u = z2;
                if (this.f4754j != null && (valueAnimator = this.w) != null) {
                    if (valueAnimator.isRunning()) {
                        this.w.reverse();
                        return;
                    }
                    float f2 = z2 ? 0.0f : 1.0f;
                    this.w.setFloatValues(1.0f - f2, f2);
                    this.w.start();
                }
            }
        }
    }

    public final void U(boolean z2) {
        WeakReference<V> weakReference = this.O;
        if (weakReference != null) {
            ViewParent parent = weakReference.get().getParent();
            if (parent instanceof CoordinatorLayout) {
                CoordinatorLayout coordinatorLayout = (CoordinatorLayout) parent;
                int childCount = coordinatorLayout.getChildCount();
                if (z2) {
                    if (this.V == null) {
                        this.V = new HashMap(childCount);
                    } else {
                        return;
                    }
                }
                for (int i2 = 0; i2 < childCount; i2++) {
                    View childAt = coordinatorLayout.getChildAt(i2);
                    if (childAt != this.O.get() && z2) {
                        this.V.put(childAt, Integer.valueOf(childAt.getImportantForAccessibility()));
                    }
                }
                if (!z2) {
                    this.V = null;
                }
            }
        }
    }

    public final void V(boolean z2) {
        V v2;
        if (this.O != null) {
            C();
            if (this.G == 4 && (v2 = this.O.get()) != null) {
                if (z2) {
                    P(this.G);
                } else {
                    v2.requestLayout();
                }
            }
        }
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
    public void f(CoordinatorLayout.e eVar) {
        this.O = null;
        this.H = null;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
    public void i() {
        this.O = null;
        this.H = null;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
    public boolean j(CoordinatorLayout coordinatorLayout, V v2, MotionEvent motionEvent) {
        b.k.a.b bVar;
        if (!v2.isShown() || !this.F) {
            this.I = true;
            return false;
        }
        int actionMasked = motionEvent.getActionMasked();
        View view = null;
        if (actionMasked == 0) {
            this.S = -1;
            VelocityTracker velocityTracker = this.R;
            if (velocityTracker != null) {
                velocityTracker.recycle();
                this.R = null;
            }
        }
        if (this.R == null) {
            this.R = VelocityTracker.obtain();
        }
        this.R.addMovement(motionEvent);
        if (actionMasked == 0) {
            int x2 = (int) motionEvent.getX();
            this.T = (int) motionEvent.getY();
            if (this.G != 2) {
                WeakReference<View> weakReference = this.P;
                View view2 = weakReference != null ? weakReference.get() : null;
                if (view2 != null && coordinatorLayout.isPointInChildBounds(view2, x2, this.T)) {
                    this.S = motionEvent.getPointerId(motionEvent.getActionIndex());
                    this.U = true;
                }
            }
            this.I = this.S == -1 && !coordinatorLayout.isPointInChildBounds(v2, x2, this.T);
        } else if (actionMasked == 1 || actionMasked == 3) {
            this.U = false;
            this.S = -1;
            if (this.I) {
                this.I = false;
                return false;
            }
        }
        if (!this.I && (bVar = this.H) != null && bVar.y(motionEvent)) {
            return true;
        }
        WeakReference<View> weakReference2 = this.P;
        if (weakReference2 != null) {
            view = weakReference2.get();
        }
        if (actionMasked != 2 || view == null || this.I || this.G == 1 || coordinatorLayout.isPointInChildBounds(view, (int) motionEvent.getX(), (int) motionEvent.getY()) || this.H == null || Math.abs(((float) this.T) - motionEvent.getY()) <= ((float) this.H.f3504c)) {
            return false;
        }
        return true;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
    public boolean k(CoordinatorLayout coordinatorLayout, V v2, int i2) {
        MaterialShapeDrawable materialShapeDrawable;
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        if (coordinatorLayout.getFitsSystemWindows() && !v2.getFitsSystemWindows()) {
            v2.setFitsSystemWindows(true);
        }
        if (this.O == null) {
            this.f4751g = coordinatorLayout.getResources().getDimensionPixelSize(R$dimen.design_bottom_sheet_peek_height_min);
            boolean z2 = Build.VERSION.SDK_INT >= 29 && !this.m && !this.f4750f;
            if (this.n || this.o || this.p || z2) {
                n.d0(v2, new d.h.a.b.f.b(this, z2));
            }
            this.O = new WeakReference<>(v2);
            if (this.f4753i && (materialShapeDrawable = this.f4754j) != null) {
                v2.setBackground(materialShapeDrawable);
            }
            MaterialShapeDrawable materialShapeDrawable2 = this.f4754j;
            if (materialShapeDrawable2 != null) {
                float f2 = this.C;
                if (f2 == -1.0f) {
                    f2 = v2.getElevation();
                }
                materialShapeDrawable2.p(f2);
                boolean z3 = this.G == 3;
                this.u = z3;
                this.f4754j.r(z3 ? 0.0f : 1.0f);
            }
            S();
            if (v2.getImportantForAccessibility() == 0) {
                v2.setImportantForAccessibility(1);
            }
            int measuredWidth = v2.getMeasuredWidth();
            int i3 = this.f4755k;
            if (measuredWidth > i3 && i3 != -1) {
                ViewGroup.LayoutParams layoutParams = v2.getLayoutParams();
                layoutParams.width = this.f4755k;
                v2.post(new a(this, v2, layoutParams));
            }
        }
        if (this.H == null) {
            this.H = new b.k.a.b(coordinatorLayout.getContext(), coordinatorLayout, this.X);
        }
        int top = v2.getTop();
        coordinatorLayout.onLayoutChild(v2, i2);
        this.M = coordinatorLayout.getWidth();
        this.N = coordinatorLayout.getHeight();
        int height = v2.getHeight();
        this.L = height;
        int i4 = this.N;
        int i5 = i4 - height;
        int i6 = this.s;
        if (i5 < i6) {
            if (this.q) {
                this.L = i4;
            } else {
                this.L = i4 - i6;
            }
        }
        this.y = Math.max(0, i4 - this.L);
        this.z = (int) ((1.0f - this.A) * ((float) this.N));
        C();
        int i7 = this.G;
        if (i7 == 3) {
            ViewCompat.n(v2, I());
        } else if (i7 == 6) {
            ViewCompat.n(v2, this.z);
        } else if (this.D && i7 == 5) {
            ViewCompat.n(v2, this.N);
        } else if (i7 == 4) {
            ViewCompat.n(v2, this.B);
        } else if (i7 == 1 || i7 == 2) {
            ViewCompat.n(v2, top - v2.getTop());
        }
        this.P = new WeakReference<>(G(v2));
        return true;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
    public boolean n(CoordinatorLayout coordinatorLayout, V v2, View view, float f2, float f3) {
        WeakReference<View> weakReference = this.P;
        if (weakReference == null || view != weakReference.get() || this.G == 3) {
            return false;
        }
        return true;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
    public void p(CoordinatorLayout coordinatorLayout, V v2, View view, int i2, int i3, int[] iArr, int i4) {
        if (i4 != 1) {
            WeakReference<View> weakReference = this.P;
            if (view == (weakReference != null ? weakReference.get() : null)) {
                int top = v2.getTop();
                int i5 = top - i3;
                if (i3 > 0) {
                    if (i5 < I()) {
                        iArr[1] = top - I();
                        ViewCompat.n(v2, -iArr[1]);
                        N(3);
                    } else if (this.F) {
                        iArr[1] = i3;
                        ViewCompat.n(v2, -i3);
                        N(1);
                    } else {
                        return;
                    }
                } else if (i3 < 0 && !view.canScrollVertically(-1)) {
                    int i6 = this.B;
                    if (i5 > i6 && !this.D) {
                        iArr[1] = top - i6;
                        ViewCompat.n(v2, -iArr[1]);
                        N(4);
                    } else if (this.F) {
                        iArr[1] = i3;
                        ViewCompat.n(v2, -i3);
                        N(1);
                    } else {
                        return;
                    }
                }
                F(v2.getTop());
                this.J = i3;
                this.K = true;
            }
        }
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
    public void r(CoordinatorLayout coordinatorLayout, V v2, View view, int i2, int i3, int i4, int i5, int i6, int[] iArr) {
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
    public void u(CoordinatorLayout coordinatorLayout, V v2, Parcelable parcelable) {
        SavedState savedState = (SavedState) parcelable;
        savedState.getSuperState();
        int i2 = this.f4746b;
        if (i2 != 0) {
            if (i2 == -1 || (i2 & 1) == 1) {
                this.f4749e = savedState.peekHeight;
            }
            if (i2 == -1 || (i2 & 2) == 2) {
                this.f4747c = savedState.fitToContents;
            }
            if (i2 == -1 || (i2 & 4) == 4) {
                this.D = savedState.hideable;
            }
            if (i2 == -1 || (i2 & 8) == 8) {
                this.E = savedState.skipCollapsed;
            }
        }
        int i3 = savedState.state;
        if (i3 == 1 || i3 == 2) {
            this.G = 4;
        } else {
            this.G = i3;
        }
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
    public Parcelable v(CoordinatorLayout coordinatorLayout, V v2) {
        return new SavedState((Parcelable) View.BaseSavedState.EMPTY_STATE, (BottomSheetBehavior<?>) this);
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
    public boolean x(CoordinatorLayout coordinatorLayout, V v2, View view, View view2, int i2, int i3) {
        this.J = 0;
        this.K = false;
        if ((i2 & 2) != 0) {
            return true;
        }
        return false;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
    public void z(CoordinatorLayout coordinatorLayout, V v2, View view, int i2) {
        int i3;
        float f2;
        int i4 = 3;
        if (v2.getTop() == I()) {
            N(3);
            return;
        }
        WeakReference<View> weakReference = this.P;
        if (weakReference != null && view == weakReference.get() && this.K) {
            if (this.J > 0) {
                if (this.f4747c) {
                    i3 = this.y;
                } else {
                    int top = v2.getTop();
                    int i5 = this.z;
                    if (top > i5) {
                        i3 = i5;
                    } else {
                        i3 = I();
                    }
                }
                R(v2, i4, i3, false);
                this.K = false;
            }
            if (this.D) {
                VelocityTracker velocityTracker = this.R;
                if (velocityTracker == null) {
                    f2 = 0.0f;
                } else {
                    velocityTracker.computeCurrentVelocity(1000, this.f4748d);
                    f2 = this.R.getYVelocity(this.S);
                }
                if (Q(v2, f2)) {
                    i3 = this.N;
                    i4 = 5;
                    R(v2, i4, i3, false);
                    this.K = false;
                }
            }
            if (this.J == 0) {
                int top2 = v2.getTop();
                if (!this.f4747c) {
                    int i6 = this.z;
                    if (top2 < i6) {
                        if (top2 < Math.abs(top2 - this.B)) {
                            i3 = I();
                            R(v2, i4, i3, false);
                            this.K = false;
                        }
                        i3 = this.z;
                    } else if (Math.abs(top2 - i6) < Math.abs(top2 - this.B)) {
                        i3 = this.z;
                    } else {
                        i3 = this.B;
                    }
                } else if (Math.abs(top2 - this.y) < Math.abs(top2 - this.B)) {
                    i3 = this.y;
                    R(v2, i4, i3, false);
                    this.K = false;
                } else {
                    i3 = this.B;
                }
            } else if (this.f4747c) {
                i3 = this.B;
            } else {
                int top3 = v2.getTop();
                if (Math.abs(top3 - this.z) < Math.abs(top3 - this.B)) {
                    i3 = this.z;
                } else {
                    i3 = this.B;
                }
            }
            i4 = 4;
            R(v2, i4, i3, false);
            this.K = false;
            i4 = 6;
            R(v2, i4, i3, false);
            this.K = false;
        }
    }

    public BottomSheetBehavior(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        int i2;
        this.f4752h = context.getResources().getDimensionPixelSize(R$dimen.mtrl_min_touch_target_size);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.BottomSheetBehavior_Layout);
        this.f4753i = obtainStyledAttributes.hasValue(R$styleable.BottomSheetBehavior_Layout_shapeAppearance);
        int i3 = R$styleable.BottomSheetBehavior_Layout_backgroundTint;
        boolean hasValue = obtainStyledAttributes.hasValue(i3);
        if (hasValue) {
            E(context, attributeSet, hasValue, n.s0(context, obtainStyledAttributes, i3));
        } else {
            E(context, attributeSet, hasValue, null);
        }
        ValueAnimator ofFloat = ValueAnimator.ofFloat(0.0f, 1.0f);
        this.w = ofFloat;
        ofFloat.setDuration(500L);
        this.w.addUpdateListener(new d.h.a.b.f.a(this));
        this.C = obtainStyledAttributes.getDimension(R$styleable.BottomSheetBehavior_Layout_android_elevation, -1.0f);
        int i4 = R$styleable.BottomSheetBehavior_Layout_android_maxWidth;
        if (obtainStyledAttributes.hasValue(i4)) {
            this.f4755k = obtainStyledAttributes.getDimensionPixelSize(i4, -1);
        }
        int i5 = R$styleable.BottomSheetBehavior_Layout_behavior_peekHeight;
        TypedValue peekValue = obtainStyledAttributes.peekValue(i5);
        if (peekValue == null || (i2 = peekValue.data) != -1) {
            L(obtainStyledAttributes.getDimensionPixelSize(i5, -1));
        } else {
            L(i2);
        }
        K(obtainStyledAttributes.getBoolean(R$styleable.BottomSheetBehavior_Layout_behavior_hideable, false));
        this.m = obtainStyledAttributes.getBoolean(R$styleable.BottomSheetBehavior_Layout_gestureInsetBottomIgnored, false);
        boolean z2 = obtainStyledAttributes.getBoolean(R$styleable.BottomSheetBehavior_Layout_behavior_fitToContents, true);
        if (this.f4747c != z2) {
            this.f4747c = z2;
            if (this.O != null) {
                C();
            }
            N((!this.f4747c || this.G != 6) ? this.G : 3);
            S();
        }
        this.E = obtainStyledAttributes.getBoolean(R$styleable.BottomSheetBehavior_Layout_behavior_skipCollapsed, false);
        this.F = obtainStyledAttributes.getBoolean(R$styleable.BottomSheetBehavior_Layout_behavior_draggable, true);
        this.f4746b = obtainStyledAttributes.getInt(R$styleable.BottomSheetBehavior_Layout_behavior_saveFlags, 0);
        float f2 = obtainStyledAttributes.getFloat(R$styleable.BottomSheetBehavior_Layout_behavior_halfExpandedRatio, 0.5f);
        if (f2 <= 0.0f || f2 >= 1.0f) {
            throw new IllegalArgumentException("ratio must be a float value between 0 and 1");
        }
        this.A = f2;
        if (this.O != null) {
            this.z = (int) ((1.0f - f2) * ((float) this.N));
        }
        int i6 = R$styleable.BottomSheetBehavior_Layout_behavior_expandedOffset;
        TypedValue peekValue2 = obtainStyledAttributes.peekValue(i6);
        if (peekValue2 == null || peekValue2.type != 16) {
            int dimensionPixelOffset = obtainStyledAttributes.getDimensionPixelOffset(i6, 0);
            if (dimensionPixelOffset >= 0) {
                this.x = dimensionPixelOffset;
            } else {
                throw new IllegalArgumentException("offset must be greater than or equal to 0");
            }
        } else {
            int i7 = peekValue2.data;
            if (i7 >= 0) {
                this.x = i7;
            } else {
                throw new IllegalArgumentException("offset must be greater than or equal to 0");
            }
        }
        this.n = obtainStyledAttributes.getBoolean(R$styleable.BottomSheetBehavior_Layout_paddingBottomSystemWindowInsets, false);
        this.o = obtainStyledAttributes.getBoolean(R$styleable.BottomSheetBehavior_Layout_paddingLeftSystemWindowInsets, false);
        this.p = obtainStyledAttributes.getBoolean(R$styleable.BottomSheetBehavior_Layout_paddingRightSystemWindowInsets, false);
        this.q = obtainStyledAttributes.getBoolean(R$styleable.BottomSheetBehavior_Layout_paddingTopSystemWindowInsets, true);
        obtainStyledAttributes.recycle();
        this.f4748d = (float) ViewConfiguration.get(context).getScaledMaximumFlingVelocity();
    }
}
