package com.google.android.material.bottomsheet;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Color;
import android.graphics.drawable.ColorDrawable;
import android.os.Build;
import android.os.Bundle;
import android.util.TypedValue;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.widget.FrameLayout;
import androidx.appcompat.app.AppCompatDialog;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.view.OnApplyWindowInsetsListener;
import androidx.core.view.ViewCompat;
import b.j.h.o;
import b.o.a.n;
import com.google.android.material.R$attr;
import com.google.android.material.R$id;
import com.google.android.material.R$layout;
import com.google.android.material.R$style;
import com.google.android.material.bottomsheet.BottomSheetBehavior;
import com.google.android.material.shape.MaterialShapeDrawable;
import java.util.concurrent.atomic.AtomicInteger;

public class BottomSheetDialog extends AppCompatDialog {

    /* renamed from: j  reason: collision with root package name */
    public BottomSheetBehavior<FrameLayout> f4767j;

    /* renamed from: k  reason: collision with root package name */
    public FrameLayout f4768k;

    /* renamed from: l  reason: collision with root package name */
    public CoordinatorLayout f4769l;
    public FrameLayout m;
    public boolean n;
    public boolean o;
    public boolean p;
    public BottomSheetBehavior.d q;
    public boolean r;
    public BottomSheetBehavior.d s;

    public class a implements OnApplyWindowInsetsListener {
        public a() {
        }

        @Override // androidx.core.view.OnApplyWindowInsetsListener
        public o onApplyWindowInsets(View view, o oVar) {
            BottomSheetDialog bottomSheetDialog = BottomSheetDialog.this;
            BottomSheetBehavior.d dVar = bottomSheetDialog.q;
            if (dVar != null) {
                bottomSheetDialog.f4767j.Q.remove(dVar);
            }
            BottomSheetDialog bottomSheetDialog2 = BottomSheetDialog.this;
            bottomSheetDialog2.q = new f(bottomSheetDialog2.m, oVar, null);
            BottomSheetDialog bottomSheetDialog3 = BottomSheetDialog.this;
            bottomSheetDialog3.f4767j.B(bottomSheetDialog3.q);
            return oVar;
        }
    }

    public class b implements View.OnClickListener {
        public b() {
        }

        public void onClick(View view) {
            BottomSheetDialog bottomSheetDialog = BottomSheetDialog.this;
            if (bottomSheetDialog.n && bottomSheetDialog.isShowing()) {
                BottomSheetDialog bottomSheetDialog2 = BottomSheetDialog.this;
                if (!bottomSheetDialog2.p) {
                    TypedArray obtainStyledAttributes = bottomSheetDialog2.getContext().obtainStyledAttributes(new int[]{16843611});
                    bottomSheetDialog2.o = obtainStyledAttributes.getBoolean(0, true);
                    obtainStyledAttributes.recycle();
                    bottomSheetDialog2.p = true;
                }
                if (bottomSheetDialog2.o) {
                    BottomSheetDialog.this.cancel();
                }
            }
        }
    }

    public class c extends b.j.h.a {
        public c() {
        }

        @Override // b.j.h.a
        public void d(View view, b.j.h.p.b bVar) {
            this.f3391b.onInitializeAccessibilityNodeInfo(view, bVar.f3453b);
            if (BottomSheetDialog.this.n) {
                bVar.f3453b.addAction(1048576);
                bVar.f3453b.setDismissable(true);
                return;
            }
            bVar.f3453b.setDismissable(false);
        }

        @Override // b.j.h.a
        public boolean g(View view, int i2, Bundle bundle) {
            if (i2 == 1048576) {
                BottomSheetDialog bottomSheetDialog = BottomSheetDialog.this;
                if (bottomSheetDialog.n) {
                    bottomSheetDialog.cancel();
                    return true;
                }
            }
            return super.g(view, i2, bundle);
        }
    }

    public class d implements View.OnTouchListener {
        public d(BottomSheetDialog bottomSheetDialog) {
        }

        public boolean onTouch(View view, MotionEvent motionEvent) {
            return true;
        }
    }

    public class e extends BottomSheetBehavior.d {
        public e() {
        }

        @Override // com.google.android.material.bottomsheet.BottomSheetBehavior.d
        public void a(View view, float f2) {
        }

        @Override // com.google.android.material.bottomsheet.BottomSheetBehavior.d
        public void b(View view, int i2) {
            if (i2 == 5) {
                BottomSheetDialog.this.cancel();
            }
        }
    }

    public static class f extends BottomSheetBehavior.d {

        /* renamed from: a  reason: collision with root package name */
        public final boolean f4774a;

        /* renamed from: b  reason: collision with root package name */
        public final boolean f4775b;

        /* renamed from: c  reason: collision with root package name */
        public final o f4776c;

        public f(View view, o oVar, a aVar) {
            ColorStateList colorStateList;
            this.f4776c = oVar;
            boolean z = Build.VERSION.SDK_INT >= 23 && (view.getSystemUiVisibility() & 8192) != 0;
            this.f4775b = z;
            MaterialShapeDrawable materialShapeDrawable = BottomSheetBehavior.H(view).f4754j;
            if (materialShapeDrawable != null) {
                colorStateList = materialShapeDrawable.f4976j.f4983d;
            } else {
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                colorStateList = view.getBackgroundTintList();
            }
            if (colorStateList != null) {
                this.f4774a = n.Z0(colorStateList.getDefaultColor());
            } else if (view.getBackground() instanceof ColorDrawable) {
                this.f4774a = n.Z0(((ColorDrawable) view.getBackground()).getColor());
            } else {
                this.f4774a = z;
            }
        }

        @Override // com.google.android.material.bottomsheet.BottomSheetBehavior.d
        public void a(View view, float f2) {
            c(view);
        }

        @Override // com.google.android.material.bottomsheet.BottomSheetBehavior.d
        public void b(View view, int i2) {
            c(view);
        }

        public final void c(View view) {
            if (view.getTop() < this.f4776c.e()) {
                BottomSheetDialog.e(view, this.f4774a);
                view.setPadding(view.getPaddingLeft(), this.f4776c.e() - view.getTop(), view.getPaddingRight(), view.getPaddingBottom());
            } else if (view.getTop() != 0) {
                BottomSheetDialog.e(view, this.f4775b);
                view.setPadding(view.getPaddingLeft(), 0, view.getPaddingRight(), view.getPaddingBottom());
            }
        }
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public BottomSheetDialog(Context context, int i2) {
        super(context, i2);
        if (i2 == 0) {
            TypedValue typedValue = new TypedValue();
            if (context.getTheme().resolveAttribute(R$attr.bottomSheetDialogTheme, typedValue, true)) {
                i2 = typedValue.resourceId;
            } else {
                i2 = R$style.Theme_Design_Light_BottomSheetDialog;
            }
        }
        this.n = true;
        this.o = true;
        this.s = new e();
        c(1);
        this.r = getContext().getTheme().obtainStyledAttributes(new int[]{R$attr.enableEdgeToEdge}).getBoolean(0, false);
    }

    public static void e(View view, boolean z) {
        if (Build.VERSION.SDK_INT >= 23) {
            int systemUiVisibility = view.getSystemUiVisibility();
            view.setSystemUiVisibility(z ? systemUiVisibility | 8192 : systemUiVisibility & -8193);
        }
    }

    public void cancel() {
        if (this.f4767j == null) {
            d();
        }
        super.cancel();
    }

    public final FrameLayout d() {
        if (this.f4768k == null) {
            FrameLayout frameLayout = (FrameLayout) View.inflate(getContext(), R$layout.design_bottom_sheet_dialog, null);
            this.f4768k = frameLayout;
            this.f4769l = (CoordinatorLayout) frameLayout.findViewById(R$id.coordinator);
            FrameLayout frameLayout2 = (FrameLayout) this.f4768k.findViewById(R$id.design_bottom_sheet);
            this.m = frameLayout2;
            BottomSheetBehavior<FrameLayout> H = BottomSheetBehavior.H(frameLayout2);
            this.f4767j = H;
            H.B(this.s);
            this.f4767j.K(this.n);
        }
        return this.f4768k;
    }

    public final View f(int i2, View view, ViewGroup.LayoutParams layoutParams) {
        d();
        CoordinatorLayout coordinatorLayout = (CoordinatorLayout) this.f4768k.findViewById(R$id.coordinator);
        if (i2 != 0 && view == null) {
            view = getLayoutInflater().inflate(i2, (ViewGroup) coordinatorLayout, false);
        }
        if (this.r) {
            FrameLayout frameLayout = this.m;
            a aVar = new a();
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            ViewCompat.c.d(frameLayout, aVar);
        }
        this.m.removeAllViews();
        if (layoutParams == null) {
            this.m.addView(view);
        } else {
            this.m.addView(view, layoutParams);
        }
        coordinatorLayout.findViewById(R$id.touch_outside).setOnClickListener(new b());
        ViewCompat.u(this.m, new c());
        this.m.setOnTouchListener(new d(this));
        return this.f4768k;
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        Window window = getWindow();
        if (window != null) {
            boolean z = this.r && Color.alpha(window.getNavigationBarColor()) < 255;
            FrameLayout frameLayout = this.f4768k;
            if (frameLayout != null) {
                frameLayout.setFitsSystemWindows(!z);
            }
            CoordinatorLayout coordinatorLayout = this.f4769l;
            if (coordinatorLayout != null) {
                coordinatorLayout.setFitsSystemWindows(!z);
            }
            if (z) {
                window.getDecorView().setSystemUiVisibility(768);
            }
        }
    }

    @Override // androidx.appcompat.app.AppCompatDialog
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        Window window = getWindow();
        if (window != null) {
            int i2 = Build.VERSION.SDK_INT;
            window.setStatusBarColor(0);
            window.addFlags(Integer.MIN_VALUE);
            if (i2 < 23) {
                window.addFlags(67108864);
            }
            window.setLayout(-1, -1);
        }
    }

    public void onStart() {
        super.onStart();
        BottomSheetBehavior<FrameLayout> bottomSheetBehavior = this.f4767j;
        if (bottomSheetBehavior != null && bottomSheetBehavior.G == 5) {
            bottomSheetBehavior.M(4);
        }
    }

    public void setCancelable(boolean z) {
        super.setCancelable(z);
        if (this.n != z) {
            this.n = z;
            BottomSheetBehavior<FrameLayout> bottomSheetBehavior = this.f4767j;
            if (bottomSheetBehavior != null) {
                bottomSheetBehavior.K(z);
            }
        }
    }

    public void setCanceledOnTouchOutside(boolean z) {
        super.setCanceledOnTouchOutside(z);
        if (z && !this.n) {
            this.n = true;
        }
        this.o = z;
        this.p = true;
    }

    @Override // android.app.Dialog, androidx.appcompat.app.AppCompatDialog
    public void setContentView(int i2) {
        super.setContentView(f(i2, null, null));
    }

    @Override // android.app.Dialog, androidx.appcompat.app.AppCompatDialog
    public void setContentView(View view) {
        super.setContentView(f(0, view, null));
    }

    @Override // androidx.appcompat.app.AppCompatDialog
    public void setContentView(View view, ViewGroup.LayoutParams layoutParams) {
        super.setContentView(f(0, view, layoutParams));
    }
}
