package com.google.android.material.button;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextPaint;
import android.util.AttributeSet;
import android.util.Log;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.Button;
import android.widget.Checkable;
import android.widget.CompoundButton;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.appcompat.widget.AppCompatButton;
import androidx.core.view.ViewCompat;
import androidx.customview.view.AbsSavedState;
import b.o.a.n;
import com.google.android.material.R$attr;
import com.google.android.material.R$style;
import com.google.android.material.R$styleable;
import com.google.android.material.shape.MaterialShapeDrawable;
import d.h.a.b.p.f;
import d.h.a.b.w.l;
import d.h.a.b.w.p;
import java.util.Iterator;
import java.util.LinkedHashSet;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;

public class MaterialButton extends AppCompatButton implements Checkable, p {

    /* renamed from: j  reason: collision with root package name */
    public static final int[] f4778j = {16842911};

    /* renamed from: k  reason: collision with root package name */
    public static final int[] f4779k = {16842912};

    /* renamed from: l  reason: collision with root package name */
    public static final int f4780l = R$style.Widget_MaterialComponents_Button;
    public final d.h.a.b.g.a m;
    public final LinkedHashSet<a> n;
    public b o;
    public PorterDuff.Mode p;
    public ColorStateList q;
    public Drawable r;
    public int s;
    public int t;
    public int u;
    public int v;
    public boolean w;
    public boolean x;
    public int y;

    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        public boolean checked;

        public static class a implements Parcelable.ClassLoaderCreator<SavedState> {
            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // android.os.Parcelable.ClassLoaderCreator
            public SavedState createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            public Object[] newArray(int i2) {
                return new SavedState[i2];
            }

            @Override // android.os.Parcelable.Creator
            public Object createFromParcel(Parcel parcel) {
                return new SavedState(parcel, null);
            }
        }

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        private void readFromParcel(Parcel parcel) {
            boolean z = true;
            if (parcel.readInt() != 1) {
                z = false;
            }
            this.checked = z;
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(Parcel parcel, int i2) {
            super.writeToParcel(parcel, i2);
            parcel.writeInt(this.checked ? 1 : 0);
        }

        public SavedState(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            if (classLoader == null) {
                getClass().getClassLoader();
            }
            readFromParcel(parcel);
        }
    }

    public interface a {
        void a(MaterialButton materialButton, boolean z);
    }

    public interface b {
    }

    public MaterialButton(Context context) {
        this(context, null);
    }

    private String getA11yClassName() {
        return (a() ? CompoundButton.class : Button.class).getName();
    }

    private int getTextHeight() {
        TextPaint paint = getPaint();
        String charSequence = getText().toString();
        if (getTransformationMethod() != null) {
            charSequence = getTransformationMethod().getTransformation(charSequence, this).toString();
        }
        Rect rect = new Rect();
        paint.getTextBounds(charSequence, 0, charSequence.length(), rect);
        return Math.min(rect.height(), getLayout().getHeight());
    }

    private int getTextWidth() {
        TextPaint paint = getPaint();
        String charSequence = getText().toString();
        if (getTransformationMethod() != null) {
            charSequence = getTransformationMethod().getTransformation(charSequence, this).toString();
        }
        return Math.min((int) paint.measureText(charSequence), getLayout().getEllipsizedWidth());
    }

    public boolean a() {
        d.h.a.b.g.a aVar = this.m;
        return aVar != null && aVar.q;
    }

    public final boolean b() {
        int i2 = this.y;
        return i2 == 3 || i2 == 4;
    }

    public final boolean c() {
        int i2 = this.y;
        return i2 == 1 || i2 == 2;
    }

    public final boolean d() {
        int i2 = this.y;
        return i2 == 16 || i2 == 32;
    }

    public final boolean e() {
        d.h.a.b.g.a aVar = this.m;
        return aVar != null && !aVar.o;
    }

    public final void f() {
        if (c()) {
            setCompoundDrawablesRelative(this.r, null, null, null);
        } else if (b()) {
            setCompoundDrawablesRelative(null, null, this.r, null);
        } else if (d()) {
            setCompoundDrawablesRelative(null, this.r, null, null);
        }
    }

    public final void g(boolean z) {
        Drawable drawable = this.r;
        if (drawable != null) {
            Drawable mutate = AppCompatDelegateImpl.e.L0(drawable).mutate();
            this.r = mutate;
            mutate.setTintList(this.q);
            PorterDuff.Mode mode = this.p;
            if (mode != null) {
                this.r.setTintMode(mode);
            }
            int i2 = this.s;
            if (i2 == 0) {
                i2 = this.r.getIntrinsicWidth();
            }
            int i3 = this.s;
            if (i3 == 0) {
                i3 = this.r.getIntrinsicHeight();
            }
            Drawable drawable2 = this.r;
            int i4 = this.t;
            int i5 = this.u;
            drawable2.setBounds(i4, i5, i2 + i4, i3 + i5);
        }
        if (z) {
            f();
            return;
        }
        Drawable[] compoundDrawablesRelative = getCompoundDrawablesRelative();
        boolean z2 = false;
        Drawable drawable3 = compoundDrawablesRelative[0];
        Drawable drawable4 = compoundDrawablesRelative[1];
        Drawable drawable5 = compoundDrawablesRelative[2];
        if ((c() && drawable3 != this.r) || ((b() && drawable5 != this.r) || (d() && drawable4 != this.r))) {
            z2 = true;
        }
        if (z2) {
            f();
        }
    }

    public ColorStateList getBackgroundTintList() {
        return getSupportBackgroundTintList();
    }

    public PorterDuff.Mode getBackgroundTintMode() {
        return getSupportBackgroundTintMode();
    }

    public int getCornerRadius() {
        if (e()) {
            return this.m.f10375g;
        }
        return 0;
    }

    public Drawable getIcon() {
        return this.r;
    }

    public int getIconGravity() {
        return this.y;
    }

    public int getIconPadding() {
        return this.v;
    }

    public int getIconSize() {
        return this.s;
    }

    public ColorStateList getIconTint() {
        return this.q;
    }

    public PorterDuff.Mode getIconTintMode() {
        return this.p;
    }

    public int getInsetBottom() {
        return this.m.f10374f;
    }

    public int getInsetTop() {
        return this.m.f10373e;
    }

    public ColorStateList getRippleColor() {
        if (e()) {
            return this.m.f10380l;
        }
        return null;
    }

    @Override // d.h.a.b.w.p
    public l getShapeAppearanceModel() {
        if (e()) {
            return this.m.f10370b;
        }
        throw new IllegalStateException("Attempted to get ShapeAppearanceModel from a MaterialButton which has an overwritten background.");
    }

    public ColorStateList getStrokeColor() {
        if (e()) {
            return this.m.f10379k;
        }
        return null;
    }

    public int getStrokeWidth() {
        if (e()) {
            return this.m.f10376h;
        }
        return 0;
    }

    @Override // androidx.core.view.TintableBackgroundView, androidx.appcompat.widget.AppCompatButton
    public ColorStateList getSupportBackgroundTintList() {
        if (e()) {
            return this.m.f10378j;
        }
        return super.getSupportBackgroundTintList();
    }

    @Override // androidx.core.view.TintableBackgroundView, androidx.appcompat.widget.AppCompatButton
    public PorterDuff.Mode getSupportBackgroundTintMode() {
        if (e()) {
            return this.m.f10377i;
        }
        return super.getSupportBackgroundTintMode();
    }

    public final void h(int i2, int i3) {
        if (this.r != null && getLayout() != null) {
            if (c() || b()) {
                this.u = 0;
                int i4 = this.y;
                boolean z = true;
                if (i4 == 1 || i4 == 3) {
                    this.t = 0;
                    g(false);
                    return;
                }
                int i5 = this.s;
                if (i5 == 0) {
                    i5 = this.r.getIntrinsicWidth();
                }
                int textWidth = i2 - getTextWidth();
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                int paddingEnd = ((((textWidth - getPaddingEnd()) - i5) - this.v) - getPaddingStart()) / 2;
                boolean z2 = getLayoutDirection() == 1;
                if (this.y != 4) {
                    z = false;
                }
                if (z2 != z) {
                    paddingEnd = -paddingEnd;
                }
                if (this.t != paddingEnd) {
                    this.t = paddingEnd;
                    g(false);
                }
            } else if (d()) {
                this.t = 0;
                if (this.y == 16) {
                    this.u = 0;
                    g(false);
                    return;
                }
                int i6 = this.s;
                if (i6 == 0) {
                    i6 = this.r.getIntrinsicHeight();
                }
                int textHeight = (((((i3 - getTextHeight()) - getPaddingTop()) - i6) - this.v) - getPaddingBottom()) / 2;
                if (this.u != textHeight) {
                    this.u = textHeight;
                    g(false);
                }
            }
        }
    }

    public boolean isChecked() {
        return this.w;
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (e()) {
            n.n2(this, this.m.b());
        }
    }

    public int[] onCreateDrawableState(int i2) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i2 + 2);
        if (a()) {
            Button.mergeDrawableStates(onCreateDrawableState, f4778j);
        }
        if (isChecked()) {
            Button.mergeDrawableStates(onCreateDrawableState, f4779k);
        }
        return onCreateDrawableState;
    }

    @Override // androidx.appcompat.widget.AppCompatButton
    public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        super.onInitializeAccessibilityEvent(accessibilityEvent);
        accessibilityEvent.setClassName(getA11yClassName());
        accessibilityEvent.setChecked(isChecked());
    }

    @Override // androidx.appcompat.widget.AppCompatButton
    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        accessibilityNodeInfo.setClassName(getA11yClassName());
        accessibilityNodeInfo.setCheckable(a());
        accessibilityNodeInfo.setChecked(isChecked());
        accessibilityNodeInfo.setClickable(isClickable());
    }

    @Override // androidx.appcompat.widget.AppCompatButton
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        super.onLayout(z, i2, i3, i4, i5);
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        setChecked(savedState.checked);
    }

    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        savedState.checked = this.w;
        return savedState;
    }

    public void onSizeChanged(int i2, int i3, int i4, int i5) {
        super.onSizeChanged(i2, i3, i4, i5);
        h(i2, i3);
    }

    @Override // androidx.appcompat.widget.AppCompatButton
    public void onTextChanged(CharSequence charSequence, int i2, int i3, int i4) {
        super.onTextChanged(charSequence, i2, i3, i4);
        h(getMeasuredWidth(), getMeasuredHeight());
    }

    public boolean performClick() {
        toggle();
        return super.performClick();
    }

    public void setBackground(Drawable drawable) {
        setBackgroundDrawable(drawable);
    }

    public void setBackgroundColor(int i2) {
        if (e()) {
            d.h.a.b.g.a aVar = this.m;
            if (aVar.b() != null) {
                aVar.b().setTint(i2);
                return;
            }
            return;
        }
        super.setBackgroundColor(i2);
    }

    @Override // androidx.appcompat.widget.AppCompatButton
    public void setBackgroundDrawable(Drawable drawable) {
        if (!e()) {
            super.setBackgroundDrawable(drawable);
        } else if (drawable != getBackground()) {
            Log.w("MaterialButton", "MaterialButton manages its own background to control elevation, shape, color and states. Consider using backgroundTint, shapeAppearance and other attributes where available. A custom background will ignore these attributes and you should consider handling interaction states such as pressed, focused and disabled");
            d.h.a.b.g.a aVar = this.m;
            aVar.o = true;
            aVar.f10369a.setSupportBackgroundTintList(aVar.f10378j);
            aVar.f10369a.setSupportBackgroundTintMode(aVar.f10377i);
            super.setBackgroundDrawable(drawable);
        } else {
            getBackground().setState(drawable.getState());
        }
    }

    @Override // androidx.appcompat.widget.AppCompatButton
    public void setBackgroundResource(int i2) {
        setBackgroundDrawable(i2 != 0 ? b.b.b.a.a.b(getContext(), i2) : null);
    }

    public void setBackgroundTintList(ColorStateList colorStateList) {
        setSupportBackgroundTintList(colorStateList);
    }

    public void setBackgroundTintMode(PorterDuff.Mode mode) {
        setSupportBackgroundTintMode(mode);
    }

    public void setCheckable(boolean z) {
        if (e()) {
            this.m.q = z;
        }
    }

    public void setChecked(boolean z) {
        if (a() && isEnabled() && this.w != z) {
            this.w = z;
            refreshDrawableState();
            if (!this.x) {
                this.x = true;
                Iterator<a> it = this.n.iterator();
                while (it.hasNext()) {
                    it.next().a(this, this.w);
                }
                this.x = false;
            }
        }
    }

    public void setCornerRadius(int i2) {
        if (e()) {
            d.h.a.b.g.a aVar = this.m;
            if (!aVar.p || aVar.f10375g != i2) {
                aVar.f10375g = i2;
                aVar.p = true;
                aVar.e(aVar.f10370b.f((float) i2));
            }
        }
    }

    public void setCornerRadiusResource(int i2) {
        if (e()) {
            setCornerRadius(getResources().getDimensionPixelSize(i2));
        }
    }

    public void setElevation(float f2) {
        super.setElevation(f2);
        if (e()) {
            MaterialShapeDrawable b2 = this.m.b();
            MaterialShapeDrawable.b bVar = b2.f4976j;
            if (bVar.o != f2) {
                bVar.o = f2;
                b2.C();
            }
        }
    }

    public void setIcon(Drawable drawable) {
        if (this.r != drawable) {
            this.r = drawable;
            g(true);
            h(getMeasuredWidth(), getMeasuredHeight());
        }
    }

    public void setIconGravity(int i2) {
        if (this.y != i2) {
            this.y = i2;
            h(getMeasuredWidth(), getMeasuredHeight());
        }
    }

    public void setIconPadding(int i2) {
        if (this.v != i2) {
            this.v = i2;
            setCompoundDrawablePadding(i2);
        }
    }

    public void setIconResource(int i2) {
        setIcon(i2 != 0 ? b.b.b.a.a.b(getContext(), i2) : null);
    }

    public void setIconSize(int i2) {
        if (i2 < 0) {
            throw new IllegalArgumentException("iconSize cannot be less than 0");
        } else if (this.s != i2) {
            this.s = i2;
            g(true);
        }
    }

    public void setIconTint(ColorStateList colorStateList) {
        if (this.q != colorStateList) {
            this.q = colorStateList;
            g(false);
        }
    }

    public void setIconTintMode(PorterDuff.Mode mode) {
        if (this.p != mode) {
            this.p = mode;
            g(false);
        }
    }

    public void setIconTintResource(int i2) {
        setIconTint(b.b.b.a.a.a(getContext(), i2));
    }

    public void setInsetBottom(int i2) {
        d.h.a.b.g.a aVar = this.m;
        aVar.f(aVar.f10373e, i2);
    }

    public void setInsetTop(int i2) {
        d.h.a.b.g.a aVar = this.m;
        aVar.f(i2, aVar.f10374f);
    }

    public void setInternalBackground(Drawable drawable) {
        super.setBackgroundDrawable(drawable);
    }

    public void setOnPressedChangeListenerInternal(b bVar) {
        this.o = bVar;
    }

    public void setPressed(boolean z) {
        b bVar = this.o;
        if (bVar != null) {
            MaterialButtonToggleGroup.this.invalidate();
        }
        super.setPressed(z);
    }

    public void setRippleColor(ColorStateList colorStateList) {
        if (e()) {
            d.h.a.b.g.a aVar = this.m;
            if (aVar.f10380l != colorStateList) {
                aVar.f10380l = colorStateList;
                if (aVar.f10369a.getBackground() instanceof RippleDrawable) {
                    ((RippleDrawable) aVar.f10369a.getBackground()).setColor(d.h.a.b.u.a.c(colorStateList));
                }
            }
        }
    }

    public void setRippleColorResource(int i2) {
        if (e()) {
            setRippleColor(b.b.b.a.a.a(getContext(), i2));
        }
    }

    @Override // d.h.a.b.w.p
    public void setShapeAppearanceModel(l lVar) {
        if (e()) {
            this.m.e(lVar);
            return;
        }
        throw new IllegalStateException("Attempted to set ShapeAppearanceModel on a MaterialButton which has an overwritten background.");
    }

    public void setShouldDrawSurfaceColorStroke(boolean z) {
        if (e()) {
            d.h.a.b.g.a aVar = this.m;
            aVar.n = z;
            aVar.h();
        }
    }

    public void setStrokeColor(ColorStateList colorStateList) {
        if (e()) {
            d.h.a.b.g.a aVar = this.m;
            if (aVar.f10379k != colorStateList) {
                aVar.f10379k = colorStateList;
                aVar.h();
            }
        }
    }

    public void setStrokeColorResource(int i2) {
        if (e()) {
            setStrokeColor(b.b.b.a.a.a(getContext(), i2));
        }
    }

    public void setStrokeWidth(int i2) {
        if (e()) {
            d.h.a.b.g.a aVar = this.m;
            if (aVar.f10376h != i2) {
                aVar.f10376h = i2;
                aVar.h();
            }
        }
    }

    public void setStrokeWidthResource(int i2) {
        if (e()) {
            setStrokeWidth(getResources().getDimensionPixelSize(i2));
        }
    }

    @Override // androidx.core.view.TintableBackgroundView, androidx.appcompat.widget.AppCompatButton
    public void setSupportBackgroundTintList(ColorStateList colorStateList) {
        if (e()) {
            d.h.a.b.g.a aVar = this.m;
            if (aVar.f10378j != colorStateList) {
                aVar.f10378j = colorStateList;
                if (aVar.b() != null) {
                    aVar.b().setTintList(aVar.f10378j);
                    return;
                }
                return;
            }
            return;
        }
        super.setSupportBackgroundTintList(colorStateList);
    }

    @Override // androidx.core.view.TintableBackgroundView, androidx.appcompat.widget.AppCompatButton
    public void setSupportBackgroundTintMode(PorterDuff.Mode mode) {
        if (e()) {
            d.h.a.b.g.a aVar = this.m;
            if (aVar.f10377i != mode) {
                aVar.f10377i = mode;
                if (aVar.b() != null && aVar.f10377i != null) {
                    aVar.b().setTintMode(aVar.f10377i);
                    return;
                }
                return;
            }
            return;
        }
        super.setSupportBackgroundTintMode(mode);
    }

    public void toggle() {
        setChecked(!this.w);
    }

    public MaterialButton(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R$attr.materialButtonStyle);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public MaterialButton(Context context, AttributeSet attributeSet, int i2) {
        super(d.h.a.b.b0.a.a.a(context, attributeSet, i2, r6), attributeSet, i2);
        int i3 = f4780l;
        this.n = new LinkedHashSet<>();
        boolean z = false;
        this.w = false;
        this.x = false;
        Context context2 = getContext();
        TypedArray d2 = f.d(context2, attributeSet, R$styleable.MaterialButton, i2, i3, new int[0]);
        this.v = d2.getDimensionPixelSize(R$styleable.MaterialButton_iconPadding, 0);
        this.p = n.Z1(d2.getInt(R$styleable.MaterialButton_iconTintMode, -1), PorterDuff.Mode.SRC_IN);
        this.q = n.s0(getContext(), d2, R$styleable.MaterialButton_iconTint);
        this.r = n.z0(getContext(), d2, R$styleable.MaterialButton_icon);
        this.y = d2.getInteger(R$styleable.MaterialButton_iconGravity, 1);
        this.s = d2.getDimensionPixelSize(R$styleable.MaterialButton_iconSize, 0);
        d.h.a.b.g.a aVar = new d.h.a.b.g.a(this, l.c(context2, attributeSet, i2, i3, new d.h.a.b.w.a((float) 0)).a());
        this.m = aVar;
        Objects.requireNonNull(aVar);
        aVar.f10371c = d2.getDimensionPixelOffset(R$styleable.MaterialButton_android_insetLeft, 0);
        aVar.f10372d = d2.getDimensionPixelOffset(R$styleable.MaterialButton_android_insetRight, 0);
        aVar.f10373e = d2.getDimensionPixelOffset(R$styleable.MaterialButton_android_insetTop, 0);
        aVar.f10374f = d2.getDimensionPixelOffset(R$styleable.MaterialButton_android_insetBottom, 0);
        int i4 = R$styleable.MaterialButton_cornerRadius;
        if (d2.hasValue(i4)) {
            int dimensionPixelSize = d2.getDimensionPixelSize(i4, -1);
            aVar.f10375g = dimensionPixelSize;
            aVar.e(aVar.f10370b.f((float) dimensionPixelSize));
            aVar.p = true;
        }
        aVar.f10376h = d2.getDimensionPixelSize(R$styleable.MaterialButton_strokeWidth, 0);
        aVar.f10377i = n.Z1(d2.getInt(R$styleable.MaterialButton_backgroundTintMode, -1), PorterDuff.Mode.SRC_IN);
        aVar.f10378j = n.s0(getContext(), d2, R$styleable.MaterialButton_backgroundTint);
        aVar.f10379k = n.s0(getContext(), d2, R$styleable.MaterialButton_strokeColor);
        aVar.f10380l = n.s0(getContext(), d2, R$styleable.MaterialButton_rippleColor);
        aVar.q = d2.getBoolean(R$styleable.MaterialButton_android_checkable, false);
        aVar.s = d2.getDimensionPixelSize(R$styleable.MaterialButton_elevation, 0);
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        int paddingStart = getPaddingStart();
        int paddingTop = getPaddingTop();
        int paddingEnd = getPaddingEnd();
        int paddingBottom = getPaddingBottom();
        if (d2.hasValue(R$styleable.MaterialButton_android_background)) {
            aVar.o = true;
            setSupportBackgroundTintList(aVar.f10378j);
            setSupportBackgroundTintMode(aVar.f10377i);
        } else {
            aVar.g();
        }
        setPaddingRelative(paddingStart + aVar.f10371c, paddingTop + aVar.f10373e, paddingEnd + aVar.f10372d, paddingBottom + aVar.f10374f);
        d2.recycle();
        setCompoundDrawablePadding(this.v);
        g(this.r != null ? true : z);
    }
}
