package com.google.android.material.card;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.InsetDrawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.Checkable;
import android.widget.FrameLayout;
import androidx.cardview.widget.CardView;
import androidx.core.view.ViewCompat;
import b.o.a.n;
import com.google.android.material.R$attr;
import com.google.android.material.R$style;
import com.google.android.material.R$styleable;
import com.google.android.material.shape.MaterialShapeDrawable;
import d.h.a.b.p.f;
import d.h.a.b.w.l;
import d.h.a.b.w.p;
import java.util.concurrent.atomic.AtomicInteger;

public class MaterialCardView extends CardView implements Checkable, p {

    /* renamed from: d  reason: collision with root package name */
    public static final int[] f4795d = {16842911};

    /* renamed from: h  reason: collision with root package name */
    public static final int[] f4796h = {16842912};

    /* renamed from: j  reason: collision with root package name */
    public static final int[] f4797j = {R$attr.state_dragged};

    /* renamed from: k  reason: collision with root package name */
    public static final int f4798k = R$style.Widget_MaterialComponents_CardView;

    /* renamed from: l  reason: collision with root package name */
    public final d.h.a.b.h.a f4799l;
    public boolean m;
    public boolean n;
    public boolean o;
    public a p;

    public interface a {
        void a(MaterialCardView materialCardView, boolean z);
    }

    public MaterialCardView(Context context) {
        this(context, null);
    }

    private RectF getBoundsAsRectF() {
        RectF rectF = new RectF();
        rectF.set(this.f4799l.f10385e.getBounds());
        return rectF;
    }

    public final void e() {
        d.h.a.b.h.a aVar;
        Drawable drawable;
        if (Build.VERSION.SDK_INT > 26 && (drawable = (aVar = this.f4799l).p) != null) {
            Rect bounds = drawable.getBounds();
            int i2 = bounds.bottom;
            aVar.p.setBounds(bounds.left, bounds.top, bounds.right, i2 - 1);
            aVar.p.setBounds(bounds.left, bounds.top, bounds.right, i2);
        }
    }

    public boolean f() {
        d.h.a.b.h.a aVar = this.f4799l;
        return aVar != null && aVar.u;
    }

    public void g(int i2, int i3, int i4, int i5) {
        super.setContentPadding(i2, i3, i4, i5);
    }

    @Override // androidx.cardview.widget.CardView
    public ColorStateList getCardBackgroundColor() {
        return this.f4799l.f10385e.f4976j.f4983d;
    }

    public ColorStateList getCardForegroundColor() {
        return this.f4799l.f10386f.f4976j.f4983d;
    }

    public float getCardViewRadius() {
        return super.getRadius();
    }

    public Drawable getCheckedIcon() {
        return this.f4799l.f10391k;
    }

    public int getCheckedIconMargin() {
        return this.f4799l.f10387g;
    }

    public int getCheckedIconSize() {
        return this.f4799l.f10388h;
    }

    public ColorStateList getCheckedIconTint() {
        return this.f4799l.m;
    }

    @Override // androidx.cardview.widget.CardView
    public int getContentPaddingBottom() {
        return this.f4799l.f10384d.bottom;
    }

    @Override // androidx.cardview.widget.CardView
    public int getContentPaddingLeft() {
        return this.f4799l.f10384d.left;
    }

    @Override // androidx.cardview.widget.CardView
    public int getContentPaddingRight() {
        return this.f4799l.f10384d.right;
    }

    @Override // androidx.cardview.widget.CardView
    public int getContentPaddingTop() {
        return this.f4799l.f10384d.top;
    }

    public float getProgress() {
        return this.f4799l.f10385e.f4976j.f4990k;
    }

    @Override // androidx.cardview.widget.CardView
    public float getRadius() {
        return this.f4799l.f10385e.l();
    }

    public ColorStateList getRippleColor() {
        return this.f4799l.f10392l;
    }

    @Override // d.h.a.b.w.p
    public l getShapeAppearanceModel() {
        return this.f4799l.n;
    }

    @Deprecated
    public int getStrokeColor() {
        ColorStateList colorStateList = this.f4799l.o;
        if (colorStateList == null) {
            return -1;
        }
        return colorStateList.getDefaultColor();
    }

    public ColorStateList getStrokeColorStateList() {
        return this.f4799l.o;
    }

    public int getStrokeWidth() {
        return this.f4799l.f10389i;
    }

    public boolean isChecked() {
        return this.n;
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        n.n2(this, this.f4799l.f10385e);
    }

    public int[] onCreateDrawableState(int i2) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i2 + 3);
        if (f()) {
            FrameLayout.mergeDrawableStates(onCreateDrawableState, f4795d);
        }
        if (isChecked()) {
            FrameLayout.mergeDrawableStates(onCreateDrawableState, f4796h);
        }
        if (this.o) {
            FrameLayout.mergeDrawableStates(onCreateDrawableState, f4797j);
        }
        return onCreateDrawableState;
    }

    public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        super.onInitializeAccessibilityEvent(accessibilityEvent);
        accessibilityEvent.setClassName("androidx.cardview.widget.CardView");
        accessibilityEvent.setChecked(isChecked());
    }

    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        accessibilityNodeInfo.setClassName("androidx.cardview.widget.CardView");
        accessibilityNodeInfo.setCheckable(f());
        accessibilityNodeInfo.setClickable(isClickable());
        accessibilityNodeInfo.setChecked(isChecked());
    }

    @Override // androidx.cardview.widget.CardView
    public void onMeasure(int i2, int i3) {
        int i4;
        int i5;
        super.onMeasure(i2, i3);
        d.h.a.b.h.a aVar = this.f4799l;
        int measuredWidth = getMeasuredWidth();
        int measuredHeight = getMeasuredHeight();
        if (aVar.q != null) {
            int i6 = aVar.f10387g;
            int i7 = aVar.f10388h;
            int i8 = (measuredWidth - i6) - i7;
            int i9 = (measuredHeight - i6) - i7;
            if (aVar.f10383c.getUseCompatPadding()) {
                i9 -= (int) Math.ceil((double) (aVar.d() * 2.0f));
                i8 -= (int) Math.ceil((double) (aVar.c() * 2.0f));
            }
            int i10 = aVar.f10387g;
            MaterialCardView materialCardView = aVar.f10383c;
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            if (materialCardView.getLayoutDirection() == 1) {
                i4 = i8;
                i5 = i10;
            } else {
                i5 = i8;
                i4 = i10;
            }
            aVar.q.setLayerInset(2, i5, aVar.f10387g, i4, i9);
        }
    }

    public void setBackground(Drawable drawable) {
        setBackgroundDrawable(drawable);
    }

    public void setBackgroundDrawable(Drawable drawable) {
        if (this.m) {
            if (!this.f4799l.t) {
                Log.i("MaterialCardView", "Setting a custom background is not supported.");
                this.f4799l.t = true;
            }
            super.setBackgroundDrawable(drawable);
        }
    }

    public void setBackgroundInternal(Drawable drawable) {
        super.setBackgroundDrawable(drawable);
    }

    @Override // androidx.cardview.widget.CardView
    public void setCardBackgroundColor(int i2) {
        d.h.a.b.h.a aVar = this.f4799l;
        aVar.f10385e.q(ColorStateList.valueOf(i2));
    }

    @Override // androidx.cardview.widget.CardView
    public void setCardElevation(float f2) {
        super.setCardElevation(f2);
        d.h.a.b.h.a aVar = this.f4799l;
        aVar.f10385e.p(aVar.f10383c.getCardElevation());
    }

    public void setCardForegroundColor(ColorStateList colorStateList) {
        MaterialShapeDrawable materialShapeDrawable = this.f4799l.f10386f;
        if (colorStateList == null) {
            colorStateList = ColorStateList.valueOf(0);
        }
        materialShapeDrawable.q(colorStateList);
    }

    public void setCheckable(boolean z) {
        this.f4799l.u = z;
    }

    public void setChecked(boolean z) {
        if (this.n != z) {
            toggle();
        }
    }

    public void setCheckedIcon(Drawable drawable) {
        this.f4799l.g(drawable);
    }

    public void setCheckedIconMargin(int i2) {
        this.f4799l.f10387g = i2;
    }

    public void setCheckedIconMarginResource(int i2) {
        if (i2 != -1) {
            this.f4799l.f10387g = getResources().getDimensionPixelSize(i2);
        }
    }

    public void setCheckedIconResource(int i2) {
        this.f4799l.g(b.b.b.a.a.b(getContext(), i2));
    }

    public void setCheckedIconSize(int i2) {
        this.f4799l.f10388h = i2;
    }

    public void setCheckedIconSizeResource(int i2) {
        if (i2 != 0) {
            this.f4799l.f10388h = getResources().getDimensionPixelSize(i2);
        }
    }

    public void setCheckedIconTint(ColorStateList colorStateList) {
        d.h.a.b.h.a aVar = this.f4799l;
        aVar.m = colorStateList;
        Drawable drawable = aVar.f10391k;
        if (drawable != null) {
            drawable.setTintList(colorStateList);
        }
    }

    public void setClickable(boolean z) {
        super.setClickable(z);
        d.h.a.b.h.a aVar = this.f4799l;
        if (aVar != null) {
            Drawable drawable = aVar.f10390j;
            Drawable e2 = aVar.f10383c.isClickable() ? aVar.e() : aVar.f10386f;
            aVar.f10390j = e2;
            if (drawable == e2) {
                return;
            }
            if (Build.VERSION.SDK_INT < 23 || !(aVar.f10383c.getForeground() instanceof InsetDrawable)) {
                aVar.f10383c.setForeground(aVar.f(e2));
            } else {
                ((InsetDrawable) aVar.f10383c.getForeground()).setDrawable(e2);
            }
        }
    }

    @Override // androidx.cardview.widget.CardView
    public void setContentPadding(int i2, int i3, int i4, int i5) {
        d.h.a.b.h.a aVar = this.f4799l;
        aVar.f10384d.set(i2, i3, i4, i5);
        aVar.k();
    }

    public void setDragged(boolean z) {
        if (this.o != z) {
            this.o = z;
            refreshDrawableState();
            e();
            invalidate();
        }
    }

    @Override // androidx.cardview.widget.CardView
    public void setMaxCardElevation(float f2) {
        super.setMaxCardElevation(f2);
        this.f4799l.l();
    }

    public void setOnCheckedChangeListener(a aVar) {
        this.p = aVar;
    }

    @Override // androidx.cardview.widget.CardView
    public void setPreventCornerOverlap(boolean z) {
        super.setPreventCornerOverlap(z);
        this.f4799l.l();
        this.f4799l.k();
    }

    public void setProgress(float f2) {
        d.h.a.b.h.a aVar = this.f4799l;
        aVar.f10385e.r(f2);
        MaterialShapeDrawable materialShapeDrawable = aVar.f10386f;
        if (materialShapeDrawable != null) {
            materialShapeDrawable.r(f2);
        }
        MaterialShapeDrawable materialShapeDrawable2 = aVar.s;
        if (materialShapeDrawable2 != null) {
            materialShapeDrawable2.r(f2);
        }
    }

    @Override // androidx.cardview.widget.CardView
    public void setRadius(float f2) {
        super.setRadius(f2);
        d.h.a.b.h.a aVar = this.f4799l;
        aVar.h(aVar.n.f(f2));
        aVar.f10390j.invalidateSelf();
        if (aVar.j() || aVar.i()) {
            aVar.k();
        }
        if (aVar.j()) {
            aVar.l();
        }
    }

    public void setRippleColor(ColorStateList colorStateList) {
        d.h.a.b.h.a aVar = this.f4799l;
        aVar.f10392l = colorStateList;
        aVar.m();
    }

    public void setRippleColorResource(int i2) {
        d.h.a.b.h.a aVar = this.f4799l;
        aVar.f10392l = b.b.b.a.a.a(getContext(), i2);
        aVar.m();
    }

    @Override // d.h.a.b.w.p
    public void setShapeAppearanceModel(l lVar) {
        setClipToOutline(lVar.e(getBoundsAsRectF()));
        this.f4799l.h(lVar);
    }

    public void setStrokeColor(int i2) {
        d.h.a.b.h.a aVar = this.f4799l;
        ColorStateList valueOf = ColorStateList.valueOf(i2);
        if (aVar.o != valueOf) {
            aVar.o = valueOf;
            aVar.n();
        }
    }

    public void setStrokeWidth(int i2) {
        d.h.a.b.h.a aVar = this.f4799l;
        if (i2 != aVar.f10389i) {
            aVar.f10389i = i2;
            aVar.n();
        }
    }

    @Override // androidx.cardview.widget.CardView
    public void setUseCompatPadding(boolean z) {
        super.setUseCompatPadding(z);
        this.f4799l.l();
        this.f4799l.k();
    }

    public void toggle() {
        if (f() && isEnabled()) {
            this.n = !this.n;
            refreshDrawableState();
            e();
            a aVar = this.p;
            if (aVar != null) {
                aVar.a(this, this.n);
            }
        }
    }

    public MaterialCardView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R$attr.materialCardViewStyle);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public MaterialCardView(Context context, AttributeSet attributeSet, int i2) {
        super(d.h.a.b.b0.a.a.a(context, attributeSet, i2, r6), attributeSet, i2);
        int i3 = f4798k;
        this.n = false;
        this.o = false;
        this.m = true;
        TypedArray d2 = f.d(getContext(), attributeSet, R$styleable.MaterialCardView, i2, i3, new int[0]);
        d.h.a.b.h.a aVar = new d.h.a.b.h.a(this, attributeSet, i2, i3);
        this.f4799l = aVar;
        aVar.f10385e.q(super.getCardBackgroundColor());
        aVar.f10384d.set(super.getContentPaddingLeft(), super.getContentPaddingTop(), super.getContentPaddingRight(), super.getContentPaddingBottom());
        aVar.k();
        ColorStateList s0 = n.s0(aVar.f10383c.getContext(), d2, R$styleable.MaterialCardView_strokeColor);
        aVar.o = s0;
        if (s0 == null) {
            aVar.o = ColorStateList.valueOf(-1);
        }
        aVar.f10389i = d2.getDimensionPixelSize(R$styleable.MaterialCardView_strokeWidth, 0);
        boolean z = d2.getBoolean(R$styleable.MaterialCardView_android_checkable, false);
        aVar.u = z;
        aVar.f10383c.setLongClickable(z);
        aVar.m = n.s0(aVar.f10383c.getContext(), d2, R$styleable.MaterialCardView_checkedIconTint);
        aVar.g(n.z0(aVar.f10383c.getContext(), d2, R$styleable.MaterialCardView_checkedIcon));
        aVar.f10388h = d2.getDimensionPixelSize(R$styleable.MaterialCardView_checkedIconSize, 0);
        aVar.f10387g = d2.getDimensionPixelSize(R$styleable.MaterialCardView_checkedIconMargin, 0);
        ColorStateList s02 = n.s0(aVar.f10383c.getContext(), d2, R$styleable.MaterialCardView_rippleColor);
        aVar.f10392l = s02;
        if (s02 == null) {
            aVar.f10392l = ColorStateList.valueOf(n.r0(aVar.f10383c, R$attr.colorControlHighlight));
        }
        ColorStateList s03 = n.s0(aVar.f10383c.getContext(), d2, R$styleable.MaterialCardView_cardForegroundColor);
        aVar.f10386f.q(s03 == null ? ColorStateList.valueOf(0) : s03);
        aVar.m();
        aVar.f10385e.p(aVar.f10383c.getCardElevation());
        aVar.n();
        aVar.f10383c.setBackgroundInternal(aVar.f(aVar.f10385e));
        Drawable e2 = aVar.f10383c.isClickable() ? aVar.e() : aVar.f10386f;
        aVar.f10390j = e2;
        aVar.f10383c.setForeground(aVar.f(e2));
        d2.recycle();
    }

    @Override // androidx.cardview.widget.CardView
    public void setCardBackgroundColor(ColorStateList colorStateList) {
        this.f4799l.f10385e.q(colorStateList);
    }

    public void setStrokeColor(ColorStateList colorStateList) {
        d.h.a.b.h.a aVar = this.f4799l;
        if (aVar.o != colorStateList) {
            aVar.o = colorStateList;
            aVar.n();
        }
    }
}
