package com.google.android.material.checkbox;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import androidx.appcompat.widget.AppCompatCheckBox;
import b.o.a.n;
import com.google.android.material.R$attr;
import com.google.android.material.R$style;
import com.google.android.material.R$styleable;
import d.h.a.b.b0.a.a;
import d.h.a.b.p.f;

public class MaterialCheckBox extends AppCompatCheckBox {

    /* renamed from: d  reason: collision with root package name */
    public static final int f4800d = R$style.Widget_MaterialComponents_CompoundButton_CheckBox;

    /* renamed from: h  reason: collision with root package name */
    public static final int[][] f4801h = {new int[]{16842910, 16842912}, new int[]{16842910, -16842912}, new int[]{-16842910, 16842912}, new int[]{-16842910, -16842912}};

    /* renamed from: j  reason: collision with root package name */
    public ColorStateList f4802j;

    /* renamed from: k  reason: collision with root package name */
    public boolean f4803k;

    public MaterialCheckBox(Context context) {
        this(context, null);
    }

    private ColorStateList getMaterialThemeColorsTintList() {
        if (this.f4802j == null) {
            int[][] iArr = f4801h;
            int[] iArr2 = new int[iArr.length];
            int r0 = n.r0(this, R$attr.colorControlActivated);
            int r02 = n.r0(this, R$attr.colorSurface);
            int r03 = n.r0(this, R$attr.colorOnSurface);
            iArr2[0] = n.s1(r02, r0, 1.0f);
            iArr2[1] = n.s1(r02, r03, 0.54f);
            iArr2[2] = n.s1(r02, r03, 0.38f);
            iArr2[3] = n.s1(r02, r03, 0.38f);
            this.f4802j = new ColorStateList(iArr, iArr2);
        }
        return this.f4802j;
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (this.f4803k && getButtonTintList() == null) {
            setUseMaterialThemeColors(true);
        }
    }

    public void setUseMaterialThemeColors(boolean z) {
        this.f4803k = z;
        if (z) {
            setButtonTintList(getMaterialThemeColorsTintList());
        } else {
            setButtonTintList(null);
        }
    }

    public MaterialCheckBox(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R$attr.checkboxStyle);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public MaterialCheckBox(Context context, AttributeSet attributeSet, int i2) {
        super(a.a(context, attributeSet, i2, r4), attributeSet, i2);
        int i3 = f4800d;
        Context context2 = getContext();
        TypedArray d2 = f.d(context2, attributeSet, R$styleable.MaterialCheckBox, i2, i3, new int[0]);
        int i4 = R$styleable.MaterialCheckBox_buttonTint;
        if (d2.hasValue(i4)) {
            setButtonTintList(n.s0(context2, d2, i4));
        }
        this.f4803k = d2.getBoolean(R$styleable.MaterialCheckBox_useMaterialThemeColors, false);
        d2.recycle();
    }
}
