package com.google.android.material.chip;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.InsetDrawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Build;
import android.os.Bundle;
import android.text.TextPaint;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Log;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.PointerIcon;
import android.view.View;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.TextView;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.appcompat.widget.AppCompatCheckBox;
import androidx.core.view.ViewCompat;
import androidx.customview.widget.ExploreByTouchHelper;
import b.j.h.p.b;
import b.o.a.n;
import com.google.android.material.R$attr;
import com.google.android.material.R$id;
import com.google.android.material.R$string;
import com.google.android.material.R$style;
import com.google.android.material.R$styleable;
import com.google.android.material.chip.ChipDrawable;
import com.google.android.material.shape.MaterialShapeDrawable;
import d.h.a.b.a.g;
import d.h.a.b.p.f;
import d.h.a.b.t.d;
import d.h.a.b.w.l;
import d.h.a.b.w.p;
import java.lang.ref.WeakReference;
import java.lang.reflect.Field;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.List;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;
import org.dsq.library.widget.bigImage.SubsamplingScaleImageView;

public class Chip extends AppCompatCheckBox implements ChipDrawable.a, p {

    /* renamed from: d  reason: collision with root package name */
    public static final int f4804d = R$style.Widget_MaterialComponents_Chip_Action;

    /* renamed from: h  reason: collision with root package name */
    public static final Rect f4805h = new Rect();

    /* renamed from: j  reason: collision with root package name */
    public static final int[] f4806j = {16842913};

    /* renamed from: k  reason: collision with root package name */
    public static final int[] f4807k = {16842911};
    public final d A;

    /* renamed from: l  reason: collision with root package name */
    public ChipDrawable f4808l;
    public InsetDrawable m;
    public RippleDrawable n;
    public View.OnClickListener o;
    public CompoundButton.OnCheckedChangeListener p;
    public boolean q;
    public boolean r;
    public boolean s;
    public boolean t;
    public boolean u;
    public int v;
    public int w;
    public final b x;
    public final Rect y;
    public final RectF z;

    public class a extends d {
        public a() {
        }

        @Override // d.h.a.b.t.d
        public void a(int i2) {
        }

        @Override // d.h.a.b.t.d
        public void b(Typeface typeface, boolean z) {
            CharSequence charSequence;
            Chip chip = Chip.this;
            ChipDrawable chipDrawable = chip.f4808l;
            if (chipDrawable.N0) {
                charSequence = chipDrawable.O;
            } else {
                charSequence = chip.getText();
            }
            chip.setText(charSequence);
            Chip.this.requestLayout();
            Chip.this.invalidate();
        }
    }

    public class b extends ExploreByTouchHelper {
        public b(Chip chip) {
            super(chip);
        }

        @Override // androidx.customview.widget.ExploreByTouchHelper
        public int o(float f2, float f3) {
            Chip chip = Chip.this;
            int i2 = Chip.f4804d;
            return (!chip.e() || !Chip.this.getCloseIconTouchBounds().contains(f2, f3)) ? 0 : 1;
        }

        @Override // androidx.customview.widget.ExploreByTouchHelper
        public void p(List<Integer> list) {
            boolean z = false;
            list.add(0);
            Chip chip = Chip.this;
            int i2 = Chip.f4804d;
            if (chip.e()) {
                Chip chip2 = Chip.this;
                ChipDrawable chipDrawable = chip2.f4808l;
                if (chipDrawable != null && chipDrawable.U) {
                    z = true;
                }
                if (z && chip2.o != null) {
                    list.add(1);
                }
            }
        }

        @Override // androidx.customview.widget.ExploreByTouchHelper
        public boolean t(int i2, int i3, Bundle bundle) {
            boolean z = false;
            if (i3 == 16) {
                if (i2 == 0) {
                    return Chip.this.performClick();
                }
                if (i2 == 1) {
                    Chip chip = Chip.this;
                    chip.playSoundEffect(0);
                    View.OnClickListener onClickListener = chip.o;
                    if (onClickListener != null) {
                        onClickListener.onClick(chip);
                        z = true;
                    }
                    chip.x.A(1, 1);
                }
            }
            return z;
        }

        @Override // androidx.customview.widget.ExploreByTouchHelper
        public void w(b.j.h.p.b bVar) {
            bVar.f3453b.setCheckable(Chip.this.f());
            bVar.f3453b.setClickable(Chip.this.isClickable());
            if (Chip.this.f() || Chip.this.isClickable()) {
                bVar.f3453b.setClassName(Chip.this.f() ? "android.widget.CompoundButton" : "android.widget.Button");
            } else {
                bVar.f3453b.setClassName("android.view.View");
            }
            CharSequence text = Chip.this.getText();
            if (Build.VERSION.SDK_INT >= 23) {
                bVar.f3453b.setText(text);
            } else {
                bVar.f3453b.setContentDescription(text);
            }
        }

        @Override // androidx.customview.widget.ExploreByTouchHelper
        public void x(int i2, b.j.h.p.b bVar) {
            String str = "";
            if (i2 == 1) {
                CharSequence closeIconContentDescription = Chip.this.getCloseIconContentDescription();
                if (closeIconContentDescription != null) {
                    bVar.f3453b.setContentDescription(closeIconContentDescription);
                } else {
                    CharSequence text = Chip.this.getText();
                    Context context = Chip.this.getContext();
                    int i3 = R$string.mtrl_chip_close_icon_content_description;
                    Object[] objArr = new Object[1];
                    if (!TextUtils.isEmpty(text)) {
                        str = text;
                    }
                    objArr[0] = str;
                    bVar.f3453b.setContentDescription(context.getString(i3, objArr).trim());
                }
                bVar.f3453b.setBoundsInParent(Chip.this.getCloseIconTouchBoundsInt());
                bVar.a(b.a.f3458c);
                bVar.f3453b.setEnabled(Chip.this.isEnabled());
                return;
            }
            bVar.f3453b.setContentDescription(str);
            bVar.f3453b.setBoundsInParent(Chip.f4805h);
        }

        @Override // androidx.customview.widget.ExploreByTouchHelper
        public void y(int i2, boolean z) {
            if (i2 == 1) {
                Chip chip = Chip.this;
                chip.t = z;
                chip.refreshDrawableState();
            }
        }
    }

    public Chip(Context context) {
        this(context, null);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private RectF getCloseIconTouchBounds() {
        this.z.setEmpty();
        if (e() && this.o != null) {
            ChipDrawable chipDrawable = this.f4808l;
            chipDrawable.H(chipDrawable.getBounds(), this.z);
        }
        return this.z;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private Rect getCloseIconTouchBoundsInt() {
        RectF closeIconTouchBounds = getCloseIconTouchBounds();
        this.y.set((int) closeIconTouchBounds.left, (int) closeIconTouchBounds.top, (int) closeIconTouchBounds.right, (int) closeIconTouchBounds.bottom);
        return this.y;
    }

    private d.h.a.b.t.b getTextAppearance() {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            return chipDrawable.u0.f10556f;
        }
        return null;
    }

    private void setCloseIconHovered(boolean z2) {
        if (this.s != z2) {
            this.s = z2;
            refreshDrawableState();
        }
    }

    private void setCloseIconPressed(boolean z2) {
        if (this.r != z2) {
            this.r = z2;
            refreshDrawableState();
        }
    }

    @Override // com.google.android.material.chip.ChipDrawable.a
    public void a() {
        d(this.w);
        requestLayout();
        invalidateOutline();
    }

    public boolean d(int i2) {
        this.w = i2;
        if (!this.u) {
            if (this.m != null) {
                g();
            } else {
                int[] iArr = d.h.a.b.u.a.f10645a;
                i();
            }
            return false;
        }
        int max = Math.max(0, i2 - this.f4808l.getIntrinsicHeight());
        int max2 = Math.max(0, i2 - this.f4808l.getIntrinsicWidth());
        if (max2 > 0 || max > 0) {
            int i3 = max2 > 0 ? max2 / 2 : 0;
            int i4 = max > 0 ? max / 2 : 0;
            if (this.m != null) {
                Rect rect = new Rect();
                this.m.getPadding(rect);
                if (rect.top == i4 && rect.bottom == i4 && rect.left == i3 && rect.right == i3) {
                    int[] iArr2 = d.h.a.b.u.a.f10645a;
                    i();
                    return true;
                }
            }
            if (getMinHeight() != i2) {
                setMinHeight(i2);
            }
            if (getMinWidth() != i2) {
                setMinWidth(i2);
            }
            this.m = new InsetDrawable((Drawable) this.f4808l, i3, i4, i3, i4);
            int[] iArr3 = d.h.a.b.u.a.f10645a;
            i();
            return true;
        }
        if (this.m != null) {
            g();
        } else {
            int[] iArr4 = d.h.a.b.u.a.f10645a;
            i();
        }
        return false;
    }

    public boolean dispatchHoverEvent(MotionEvent motionEvent) {
        boolean z2;
        if (motionEvent.getAction() == 10) {
            try {
                Field declaredField = ExploreByTouchHelper.class.getDeclaredField("p");
                declaredField.setAccessible(true);
                if (((Integer) declaredField.get(this.x)).intValue() != Integer.MIN_VALUE) {
                    Method declaredMethod = ExploreByTouchHelper.class.getDeclaredMethod("B", Integer.TYPE);
                    declaredMethod.setAccessible(true);
                    declaredMethod.invoke(this.x, Integer.MIN_VALUE);
                    z2 = true;
                    if (!z2 || this.x.n(motionEvent) || super.dispatchHoverEvent(motionEvent)) {
                        return true;
                    }
                    return false;
                }
            } catch (NoSuchMethodException e2) {
                Log.e("Chip", "Unable to send Accessibility Exit event", e2);
            } catch (IllegalAccessException e3) {
                Log.e("Chip", "Unable to send Accessibility Exit event", e3);
            } catch (InvocationTargetException e4) {
                Log.e("Chip", "Unable to send Accessibility Exit event", e4);
            } catch (NoSuchFieldException e5) {
                Log.e("Chip", "Unable to send Accessibility Exit event", e5);
            }
        }
        z2 = false;
        return !z2 ? true : true;
    }

    public boolean dispatchKeyEvent(KeyEvent keyEvent) {
        b bVar = this.x;
        Objects.requireNonNull(bVar);
        boolean z2 = false;
        int i2 = 0;
        z2 = false;
        z2 = false;
        z2 = false;
        z2 = false;
        z2 = false;
        if (keyEvent.getAction() != 1) {
            int keyCode = keyEvent.getKeyCode();
            if (keyCode != 61) {
                int i3 = 66;
                if (keyCode != 66) {
                    switch (keyCode) {
                        case 19:
                        case 20:
                        case 21:
                        case 22:
                            if (keyEvent.hasNoModifiers()) {
                                if (keyCode == 19) {
                                    i3 = 33;
                                } else if (keyCode == 21) {
                                    i3 = 17;
                                } else if (keyCode != 22) {
                                    i3 = 130;
                                }
                                int repeatCount = keyEvent.getRepeatCount() + 1;
                                boolean z3 = false;
                                while (i2 < repeatCount && bVar.r(i3, null)) {
                                    i2++;
                                    z3 = true;
                                }
                                z2 = z3;
                                break;
                            }
                            break;
                    }
                }
                if (keyEvent.hasNoModifiers() && keyEvent.getRepeatCount() == 0) {
                    int i4 = bVar.o;
                    if (i4 != Integer.MIN_VALUE) {
                        bVar.t(i4, 16, null);
                    }
                    z2 = true;
                }
            } else if (keyEvent.hasNoModifiers()) {
                z2 = bVar.r(2, null);
            } else if (keyEvent.hasModifiers(1)) {
                z2 = bVar.r(1, null);
            }
        }
        if (!z2 || this.x.o == Integer.MIN_VALUE) {
            return super.dispatchKeyEvent(keyEvent);
        }
        return true;
    }

    /* JADX WARN: Type inference failed for: r2v0, types: [boolean, int] */
    /* JADX WARNING: Unknown variable types count: 1 */
    @Override // androidx.appcompat.widget.AppCompatCheckBox
    public void drawableStateChanged() {
        super.drawableStateChanged();
        ChipDrawable chipDrawable = this.f4808l;
        boolean z2 = false;
        int i2 = 0;
        z2 = false;
        if (chipDrawable != null && ChipDrawable.N(chipDrawable.V)) {
            ChipDrawable chipDrawable2 = this.f4808l;
            ?? isEnabled = isEnabled();
            int i3 = isEnabled;
            if (this.t) {
                i3 = isEnabled + 1;
            }
            int i4 = i3;
            if (this.s) {
                i4 = i3 + 1;
            }
            int i5 = i4;
            if (this.r) {
                i5 = i4 + 1;
            }
            int i6 = i5;
            if (isChecked()) {
                i6 = i5 + 1;
            }
            int[] iArr = new int[i6];
            if (isEnabled()) {
                iArr[0] = 16842910;
                i2 = 1;
            }
            if (this.t) {
                iArr[i2] = 16842908;
                i2++;
            }
            if (this.s) {
                iArr[i2] = 16843623;
                i2++;
            }
            if (this.r) {
                iArr[i2] = 16842919;
                i2++;
            }
            if (isChecked()) {
                iArr[i2] = 16842913;
            }
            z2 = chipDrawable2.j0(iArr);
        }
        if (z2) {
            invalidate();
        }
    }

    public final boolean e() {
        ChipDrawable chipDrawable = this.f4808l;
        return (chipDrawable == null || chipDrawable.K() == null) ? false : true;
    }

    public boolean f() {
        ChipDrawable chipDrawable = this.f4808l;
        return chipDrawable != null && chipDrawable.a0;
    }

    public final void g() {
        if (this.m != null) {
            this.m = null;
            setMinWidth(0);
            setMinHeight((int) getChipMinHeight());
            int[] iArr = d.h.a.b.u.a.f10645a;
            i();
        }
    }

    public Drawable getBackgroundDrawable() {
        InsetDrawable insetDrawable = this.m;
        return insetDrawable == null ? this.f4808l : insetDrawable;
    }

    public Drawable getCheckedIcon() {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            return chipDrawable.c0;
        }
        return null;
    }

    public ColorStateList getCheckedIconTint() {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            return chipDrawable.d0;
        }
        return null;
    }

    public ColorStateList getChipBackgroundColor() {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            return chipDrawable.I;
        }
        return null;
    }

    public float getChipCornerRadius() {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            return Math.max(0.0f, chipDrawable.J());
        }
        return 0.0f;
    }

    public Drawable getChipDrawable() {
        return this.f4808l;
    }

    public float getChipEndPadding() {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            return chipDrawable.n0;
        }
        return 0.0f;
    }

    public Drawable getChipIcon() {
        Drawable drawable;
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable == null || (drawable = chipDrawable.Q) == null) {
            return null;
        }
        return AppCompatDelegateImpl.e.J0(drawable);
    }

    public float getChipIconSize() {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            return chipDrawable.S;
        }
        return 0.0f;
    }

    public ColorStateList getChipIconTint() {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            return chipDrawable.R;
        }
        return null;
    }

    public float getChipMinHeight() {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            return chipDrawable.J;
        }
        return 0.0f;
    }

    public float getChipStartPadding() {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            return chipDrawable.g0;
        }
        return 0.0f;
    }

    public ColorStateList getChipStrokeColor() {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            return chipDrawable.L;
        }
        return null;
    }

    public float getChipStrokeWidth() {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            return chipDrawable.M;
        }
        return 0.0f;
    }

    @Deprecated
    public CharSequence getChipText() {
        return getText();
    }

    public Drawable getCloseIcon() {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            return chipDrawable.K();
        }
        return null;
    }

    public CharSequence getCloseIconContentDescription() {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            return chipDrawable.Z;
        }
        return null;
    }

    public float getCloseIconEndPadding() {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            return chipDrawable.m0;
        }
        return 0.0f;
    }

    public float getCloseIconSize() {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            return chipDrawable.Y;
        }
        return 0.0f;
    }

    public float getCloseIconStartPadding() {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            return chipDrawable.l0;
        }
        return 0.0f;
    }

    public ColorStateList getCloseIconTint() {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            return chipDrawable.X;
        }
        return null;
    }

    public TextUtils.TruncateAt getEllipsize() {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            return chipDrawable.M0;
        }
        return null;
    }

    public void getFocusedRect(Rect rect) {
        b bVar = this.x;
        if (bVar.o == 1 || bVar.n == 1) {
            rect.set(getCloseIconTouchBoundsInt());
        } else {
            super.getFocusedRect(rect);
        }
    }

    public g getHideMotionSpec() {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            return chipDrawable.f0;
        }
        return null;
    }

    public float getIconEndPadding() {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            return chipDrawable.i0;
        }
        return 0.0f;
    }

    public float getIconStartPadding() {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            return chipDrawable.h0;
        }
        return 0.0f;
    }

    public ColorStateList getRippleColor() {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            return chipDrawable.N;
        }
        return null;
    }

    @Override // d.h.a.b.w.p
    public l getShapeAppearanceModel() {
        return this.f4808l.f4976j.f4980a;
    }

    public g getShowMotionSpec() {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            return chipDrawable.e0;
        }
        return null;
    }

    public float getTextEndPadding() {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            return chipDrawable.k0;
        }
        return 0.0f;
    }

    public float getTextStartPadding() {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            return chipDrawable.j0;
        }
        return 0.0f;
    }

    public final void h() {
        if (e()) {
            ChipDrawable chipDrawable = this.f4808l;
            if ((chipDrawable != null && chipDrawable.U) && this.o != null) {
                ViewCompat.u(this, this.x);
                return;
            }
        }
        ViewCompat.u(this, null);
    }

    public final void i() {
        this.n = new RippleDrawable(d.h.a.b.u.a.c(this.f4808l.N), getBackgroundDrawable(), null);
        this.f4808l.s0(false);
        RippleDrawable rippleDrawable = this.n;
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        setBackground(rippleDrawable);
        j();
    }

    public final void j() {
        ChipDrawable chipDrawable;
        if (!TextUtils.isEmpty(getText()) && (chipDrawable = this.f4808l) != null) {
            int I = (int) (chipDrawable.I() + chipDrawable.n0 + chipDrawable.k0);
            ChipDrawable chipDrawable2 = this.f4808l;
            int F = (int) (chipDrawable2.F() + chipDrawable2.g0 + chipDrawable2.j0);
            if (this.m != null) {
                Rect rect = new Rect();
                this.m.getPadding(rect);
                F += rect.left;
                I += rect.right;
            }
            int paddingTop = getPaddingTop();
            int paddingBottom = getPaddingBottom();
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            setPaddingRelative(F, paddingTop, I, paddingBottom);
        }
    }

    public final void k() {
        TextPaint paint = getPaint();
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            paint.drawableState = chipDrawable.getState();
        }
        d.h.a.b.t.b textAppearance = getTextAppearance();
        if (textAppearance != null) {
            textAppearance.e(getContext(), paint, this.A);
        }
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        n.n2(this, this.f4808l);
    }

    public int[] onCreateDrawableState(int i2) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i2 + 2);
        if (isChecked()) {
            CheckBox.mergeDrawableStates(onCreateDrawableState, f4806j);
        }
        if (f()) {
            CheckBox.mergeDrawableStates(onCreateDrawableState, f4807k);
        }
        return onCreateDrawableState;
    }

    public void onFocusChanged(boolean z2, int i2, Rect rect) {
        super.onFocusChanged(z2, i2, rect);
        b bVar = this.x;
        int i3 = bVar.o;
        if (i3 != Integer.MIN_VALUE) {
            bVar.k(i3);
        }
        if (z2) {
            bVar.r(i2, rect);
        }
    }

    public boolean onHoverEvent(MotionEvent motionEvent) {
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 7) {
            setCloseIconHovered(getCloseIconTouchBounds().contains(motionEvent.getX(), motionEvent.getY()));
        } else if (actionMasked == 10) {
            setCloseIconHovered(false);
        }
        return super.onHoverEvent(motionEvent);
    }

    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        int i2;
        int i3;
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        if (f() || isClickable()) {
            accessibilityNodeInfo.setClassName(f() ? "android.widget.CompoundButton" : "android.widget.Button");
        } else {
            accessibilityNodeInfo.setClassName("android.view.View");
        }
        accessibilityNodeInfo.setCheckable(f());
        accessibilityNodeInfo.setClickable(isClickable());
        if (getParent() instanceof ChipGroup) {
            ChipGroup chipGroup = (ChipGroup) getParent();
            if (chipGroup.f4891j) {
                int i4 = 0;
                int i5 = 0;
                while (true) {
                    if (i4 >= chipGroup.getChildCount()) {
                        i5 = -1;
                        break;
                    }
                    if (chipGroup.getChildAt(i4) instanceof Chip) {
                        if (((Chip) chipGroup.getChildAt(i4)) == this) {
                            break;
                        }
                        i5++;
                    }
                    i4++;
                }
                i2 = i5;
            } else {
                i2 = -1;
            }
            Object tag = getTag(R$id.row_index_key);
            if (!(tag instanceof Integer)) {
                i3 = -1;
            } else {
                i3 = ((Integer) tag).intValue();
            }
            accessibilityNodeInfo.setCollectionItemInfo((AccessibilityNodeInfo.CollectionItemInfo) b.c.a(i3, 1, i2, 1, false, isChecked()).f3469a);
        }
    }

    @TargetApi(24)
    public PointerIcon onResolvePointerIcon(MotionEvent motionEvent, int i2) {
        if (!getCloseIconTouchBounds().contains(motionEvent.getX(), motionEvent.getY()) || !isEnabled()) {
            return null;
        }
        return PointerIcon.getSystemIcon(getContext(), 1002);
    }

    @TargetApi(17)
    public void onRtlPropertiesChanged(int i2) {
        super.onRtlPropertiesChanged(i2);
        if (this.v != i2) {
            this.v = i2;
            j();
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:6:0x001e, code lost:
        if (r0 != 3) goto L_0x004c;
     */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x004f  */
    @SuppressLint({"ClickableViewAccessibility"})
    public boolean onTouchEvent(MotionEvent motionEvent) {
        boolean z2;
        int actionMasked = motionEvent.getActionMasked();
        boolean contains = getCloseIconTouchBounds().contains(motionEvent.getX(), motionEvent.getY());
        if (actionMasked != 0) {
            if (actionMasked != 1) {
                if (actionMasked == 2) {
                    if (this.r) {
                        if (!contains) {
                            setCloseIconPressed(false);
                        }
                    }
                }
                z2 = false;
                if (!z2 || super.onTouchEvent(motionEvent)) {
                    return true;
                }
                return false;
            } else if (this.r) {
                playSoundEffect(0);
                View.OnClickListener onClickListener = this.o;
                if (onClickListener != null) {
                    onClickListener.onClick(this);
                }
                this.x.A(1, 1);
                z2 = true;
                setCloseIconPressed(false);
                if (!z2) {
                }
                return true;
            }
            z2 = false;
            setCloseIconPressed(false);
            if (!z2) {
            }
            return true;
        }
        if (contains) {
            setCloseIconPressed(true);
        }
        z2 = false;
        if (!z2) {
        }
        return true;
        z2 = true;
        if (!z2) {
        }
        return true;
    }

    public void setBackground(Drawable drawable) {
        if (drawable == getBackgroundDrawable() || drawable == this.n) {
            super.setBackground(drawable);
        } else {
            Log.w("Chip", "Do not set the background; Chip manages its own background drawable.");
        }
    }

    public void setBackgroundColor(int i2) {
        Log.w("Chip", "Do not set the background color; Chip manages its own background drawable.");
    }

    @Override // androidx.appcompat.widget.AppCompatCheckBox
    public void setBackgroundDrawable(Drawable drawable) {
        if (drawable == getBackgroundDrawable() || drawable == this.n) {
            super.setBackgroundDrawable(drawable);
        } else {
            Log.w("Chip", "Do not set the background drawable; Chip manages its own background drawable.");
        }
    }

    @Override // androidx.appcompat.widget.AppCompatCheckBox
    public void setBackgroundResource(int i2) {
        Log.w("Chip", "Do not set the background resource; Chip manages its own background drawable.");
    }

    public void setBackgroundTintList(ColorStateList colorStateList) {
        Log.w("Chip", "Do not set the background tint list; Chip manages its own background drawable.");
    }

    public void setBackgroundTintMode(PorterDuff.Mode mode) {
        Log.w("Chip", "Do not set the background tint mode; Chip manages its own background drawable.");
    }

    public void setCheckable(boolean z2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.Q(z2);
        }
    }

    public void setCheckableResource(int i2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.Q(chipDrawable.o0.getResources().getBoolean(i2));
        }
    }

    public void setChecked(boolean z2) {
        CompoundButton.OnCheckedChangeListener onCheckedChangeListener;
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable == null) {
            this.q = z2;
        } else if (chipDrawable.a0) {
            boolean isChecked = isChecked();
            super.setChecked(z2);
            if (isChecked != z2 && (onCheckedChangeListener = this.p) != null) {
                onCheckedChangeListener.onCheckedChanged(this, z2);
            }
        }
    }

    public void setCheckedIcon(Drawable drawable) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.R(drawable);
        }
    }

    @Deprecated
    public void setCheckedIconEnabled(boolean z2) {
        setCheckedIconVisible(z2);
    }

    @Deprecated
    public void setCheckedIconEnabledResource(int i2) {
        setCheckedIconVisible(i2);
    }

    public void setCheckedIconResource(int i2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.R(b.b.b.a.a.b(chipDrawable.o0, i2));
        }
    }

    public void setCheckedIconTint(ColorStateList colorStateList) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.S(colorStateList);
        }
    }

    public void setCheckedIconTintResource(int i2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.S(b.b.b.a.a.a(chipDrawable.o0, i2));
        }
    }

    public void setCheckedIconVisible(int i2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.T(chipDrawable.o0.getResources().getBoolean(i2));
        }
    }

    public void setChipBackgroundColor(ColorStateList colorStateList) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null && chipDrawable.I != colorStateList) {
            chipDrawable.I = colorStateList;
            chipDrawable.onStateChange(chipDrawable.getState());
        }
    }

    public void setChipBackgroundColorResource(int i2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.U(b.b.b.a.a.a(chipDrawable.o0, i2));
        }
    }

    @Deprecated
    public void setChipCornerRadius(float f2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.V(f2);
        }
    }

    @Deprecated
    public void setChipCornerRadiusResource(int i2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.V(chipDrawable.o0.getResources().getDimension(i2));
        }
    }

    public void setChipDrawable(ChipDrawable chipDrawable) {
        ChipDrawable chipDrawable2 = this.f4808l;
        if (chipDrawable2 != chipDrawable) {
            if (chipDrawable2 != null) {
                chipDrawable2.L0 = new WeakReference<>(null);
            }
            this.f4808l = chipDrawable;
            chipDrawable.N0 = false;
            Objects.requireNonNull(chipDrawable);
            chipDrawable.L0 = new WeakReference<>(this);
            d(this.w);
        }
    }

    public void setChipEndPadding(float f2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null && chipDrawable.n0 != f2) {
            chipDrawable.n0 = f2;
            chipDrawable.invalidateSelf();
            chipDrawable.O();
        }
    }

    public void setChipEndPaddingResource(int i2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.W(chipDrawable.o0.getResources().getDimension(i2));
        }
    }

    public void setChipIcon(Drawable drawable) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.X(drawable);
        }
    }

    @Deprecated
    public void setChipIconEnabled(boolean z2) {
        setChipIconVisible(z2);
    }

    @Deprecated
    public void setChipIconEnabledResource(int i2) {
        setChipIconVisible(i2);
    }

    public void setChipIconResource(int i2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.X(b.b.b.a.a.b(chipDrawable.o0, i2));
        }
    }

    public void setChipIconSize(float f2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.Y(f2);
        }
    }

    public void setChipIconSizeResource(int i2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.Y(chipDrawable.o0.getResources().getDimension(i2));
        }
    }

    public void setChipIconTint(ColorStateList colorStateList) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.Z(colorStateList);
        }
    }

    public void setChipIconTintResource(int i2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.Z(b.b.b.a.a.a(chipDrawable.o0, i2));
        }
    }

    public void setChipIconVisible(int i2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.a0(chipDrawable.o0.getResources().getBoolean(i2));
        }
    }

    public void setChipMinHeight(float f2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null && chipDrawable.J != f2) {
            chipDrawable.J = f2;
            chipDrawable.invalidateSelf();
            chipDrawable.O();
        }
    }

    public void setChipMinHeightResource(int i2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.b0(chipDrawable.o0.getResources().getDimension(i2));
        }
    }

    public void setChipStartPadding(float f2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null && chipDrawable.g0 != f2) {
            chipDrawable.g0 = f2;
            chipDrawable.invalidateSelf();
            chipDrawable.O();
        }
    }

    public void setChipStartPaddingResource(int i2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.c0(chipDrawable.o0.getResources().getDimension(i2));
        }
    }

    public void setChipStrokeColor(ColorStateList colorStateList) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.d0(colorStateList);
        }
    }

    public void setChipStrokeColorResource(int i2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.d0(b.b.b.a.a.a(chipDrawable.o0, i2));
        }
    }

    public void setChipStrokeWidth(float f2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.e0(f2);
        }
    }

    public void setChipStrokeWidthResource(int i2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.e0(chipDrawable.o0.getResources().getDimension(i2));
        }
    }

    @Deprecated
    public void setChipText(CharSequence charSequence) {
        setText(charSequence);
    }

    @Deprecated
    public void setChipTextResource(int i2) {
        setText(getResources().getString(i2));
    }

    public void setCloseIcon(Drawable drawable) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.f0(drawable);
        }
        h();
    }

    public void setCloseIconContentDescription(CharSequence charSequence) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null && chipDrawable.Z != charSequence) {
            b.j.f.a c2 = b.j.f.a.c();
            chipDrawable.Z = c2.d(charSequence, c2.f3377h, true);
            chipDrawable.invalidateSelf();
        }
    }

    @Deprecated
    public void setCloseIconEnabled(boolean z2) {
        setCloseIconVisible(z2);
    }

    @Deprecated
    public void setCloseIconEnabledResource(int i2) {
        setCloseIconVisible(i2);
    }

    public void setCloseIconEndPadding(float f2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.g0(f2);
        }
    }

    public void setCloseIconEndPaddingResource(int i2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.g0(chipDrawable.o0.getResources().getDimension(i2));
        }
    }

    public void setCloseIconResource(int i2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.f0(b.b.b.a.a.b(chipDrawable.o0, i2));
        }
        h();
    }

    public void setCloseIconSize(float f2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.h0(f2);
        }
    }

    public void setCloseIconSizeResource(int i2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.h0(chipDrawable.o0.getResources().getDimension(i2));
        }
    }

    public void setCloseIconStartPadding(float f2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.i0(f2);
        }
    }

    public void setCloseIconStartPaddingResource(int i2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.i0(chipDrawable.o0.getResources().getDimension(i2));
        }
    }

    public void setCloseIconTint(ColorStateList colorStateList) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.k0(colorStateList);
        }
    }

    public void setCloseIconTintResource(int i2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.k0(b.b.b.a.a.a(chipDrawable.o0, i2));
        }
    }

    public void setCloseIconVisible(int i2) {
        setCloseIconVisible(getResources().getBoolean(i2));
    }

    public void setCompoundDrawables(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        if (drawable != null) {
            throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
        } else if (drawable3 == null) {
            super.setCompoundDrawables(drawable, drawable2, drawable3, drawable4);
        } else {
            throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
        }
    }

    public void setCompoundDrawablesRelative(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        if (drawable != null) {
            throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
        } else if (drawable3 == null) {
            super.setCompoundDrawablesRelative(drawable, drawable2, drawable3, drawable4);
        } else {
            throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
        }
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesRelativeWithIntrinsicBounds(int i2, int i3, int i4, int i5) {
        if (i2 != 0) {
            throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
        } else if (i4 == 0) {
            super.setCompoundDrawablesRelativeWithIntrinsicBounds(i2, i3, i4, i5);
        } else {
            throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
        }
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesWithIntrinsicBounds(int i2, int i3, int i4, int i5) {
        if (i2 != 0) {
            throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
        } else if (i4 == 0) {
            super.setCompoundDrawablesWithIntrinsicBounds(i2, i3, i4, i5);
        } else {
            throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
        }
    }

    public void setElevation(float f2) {
        super.setElevation(f2);
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            MaterialShapeDrawable.b bVar = chipDrawable.f4976j;
            if (bVar.o != f2) {
                bVar.o = f2;
                chipDrawable.C();
            }
        }
    }

    public void setEllipsize(TextUtils.TruncateAt truncateAt) {
        if (this.f4808l != null) {
            if (truncateAt != TextUtils.TruncateAt.MARQUEE) {
                super.setEllipsize(truncateAt);
                ChipDrawable chipDrawable = this.f4808l;
                if (chipDrawable != null) {
                    chipDrawable.M0 = truncateAt;
                    return;
                }
                return;
            }
            throw new UnsupportedOperationException("Text within a chip are not allowed to scroll.");
        }
    }

    public void setEnsureMinTouchTargetSize(boolean z2) {
        this.u = z2;
        d(this.w);
    }

    public void setGravity(int i2) {
        if (i2 != 8388627) {
            Log.w("Chip", "Chip text must be vertically center and start aligned");
        } else {
            super.setGravity(i2);
        }
    }

    public void setHideMotionSpec(g gVar) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.f0 = gVar;
        }
    }

    public void setHideMotionSpecResource(int i2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.f0 = g.b(chipDrawable.o0, i2);
        }
    }

    public void setIconEndPadding(float f2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.m0(f2);
        }
    }

    public void setIconEndPaddingResource(int i2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.m0(chipDrawable.o0.getResources().getDimension(i2));
        }
    }

    public void setIconStartPadding(float f2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.n0(f2);
        }
    }

    public void setIconStartPaddingResource(int i2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.n0(chipDrawable.o0.getResources().getDimension(i2));
        }
    }

    public void setLayoutDirection(int i2) {
        if (this.f4808l != null) {
            super.setLayoutDirection(i2);
        }
    }

    public void setLines(int i2) {
        if (i2 <= 1) {
            super.setLines(i2);
            return;
        }
        throw new UnsupportedOperationException("Chip does not support multi-line text");
    }

    public void setMaxLines(int i2) {
        if (i2 <= 1) {
            super.setMaxLines(i2);
            return;
        }
        throw new UnsupportedOperationException("Chip does not support multi-line text");
    }

    public void setMaxWidth(int i2) {
        super.setMaxWidth(i2);
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.O0 = i2;
        }
    }

    public void setMinLines(int i2) {
        if (i2 <= 1) {
            super.setMinLines(i2);
            return;
        }
        throw new UnsupportedOperationException("Chip does not support multi-line text");
    }

    public void setOnCheckedChangeListenerInternal(CompoundButton.OnCheckedChangeListener onCheckedChangeListener) {
        this.p = onCheckedChangeListener;
    }

    public void setOnCloseIconClickListener(View.OnClickListener onClickListener) {
        this.o = onClickListener;
        h();
    }

    public void setRippleColor(ColorStateList colorStateList) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.o0(colorStateList);
        }
        if (!this.f4808l.J0) {
            i();
        }
    }

    public void setRippleColorResource(int i2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.o0(b.b.b.a.a.a(chipDrawable.o0, i2));
            if (!this.f4808l.J0) {
                i();
            }
        }
    }

    @Override // d.h.a.b.w.p
    public void setShapeAppearanceModel(l lVar) {
        ChipDrawable chipDrawable = this.f4808l;
        chipDrawable.f4976j.f4980a = lVar;
        chipDrawable.invalidateSelf();
    }

    public void setShowMotionSpec(g gVar) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.e0 = gVar;
        }
    }

    public void setShowMotionSpecResource(int i2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.e0 = g.b(chipDrawable.o0, i2);
        }
    }

    public void setSingleLine(boolean z2) {
        if (z2) {
            super.setSingleLine(z2);
            return;
        }
        throw new UnsupportedOperationException("Chip does not support multi-line text");
    }

    @Override // android.widget.TextView
    public void setText(CharSequence charSequence, TextView.BufferType bufferType) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            if (charSequence == null) {
                charSequence = "";
            }
            super.setText(chipDrawable.N0 ? null : charSequence, bufferType);
            ChipDrawable chipDrawable2 = this.f4808l;
            if (chipDrawable2 != null) {
                chipDrawable2.p0(charSequence);
            }
        }
    }

    public void setTextAppearance(d.h.a.b.t.b bVar) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.u0.b(bVar, chipDrawable.o0);
        }
        k();
    }

    public void setTextAppearanceResource(int i2) {
        setTextAppearance(getContext(), i2);
    }

    public void setTextEndPadding(float f2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null && chipDrawable.k0 != f2) {
            chipDrawable.k0 = f2;
            chipDrawable.invalidateSelf();
            chipDrawable.O();
        }
    }

    public void setTextEndPaddingResource(int i2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.q0(chipDrawable.o0.getResources().getDimension(i2));
        }
    }

    public void setTextStartPadding(float f2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null && chipDrawable.j0 != f2) {
            chipDrawable.j0 = f2;
            chipDrawable.invalidateSelf();
            chipDrawable.O();
        }
    }

    public void setTextStartPaddingResource(int i2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.r0(chipDrawable.o0.getResources().getDimension(i2));
        }
    }

    public Chip(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R$attr.chipStyle);
    }

    public void setCloseIconVisible(boolean z2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.l0(z2);
        }
        h();
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public Chip(Context context, AttributeSet attributeSet, int i2) {
        super(d.h.a.b.b0.a.a.a(context, attributeSet, i2, r9), attributeSet, i2);
        int i3 = f4804d;
        this.y = new Rect();
        this.z = new RectF();
        this.A = new a();
        Context context2 = getContext();
        if (attributeSet != null) {
            if (attributeSet.getAttributeValue("http://schemas.android.com/apk/res/android", "background") != null) {
                Log.w("Chip", "Do not set the background; Chip manages its own background drawable.");
            }
            if (attributeSet.getAttributeValue("http://schemas.android.com/apk/res/android", "drawableLeft") != null) {
                throw new UnsupportedOperationException("Please set left drawable using R.attr#chipIcon.");
            } else if (attributeSet.getAttributeValue("http://schemas.android.com/apk/res/android", "drawableStart") != null) {
                throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
            } else if (attributeSet.getAttributeValue("http://schemas.android.com/apk/res/android", "drawableEnd") != null) {
                throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
            } else if (attributeSet.getAttributeValue("http://schemas.android.com/apk/res/android", "drawableRight") != null) {
                throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
            } else if (!attributeSet.getAttributeBooleanValue("http://schemas.android.com/apk/res/android", "singleLine", true) || attributeSet.getAttributeIntValue("http://schemas.android.com/apk/res/android", "lines", 1) != 1 || attributeSet.getAttributeIntValue("http://schemas.android.com/apk/res/android", "minLines", 1) != 1 || attributeSet.getAttributeIntValue("http://schemas.android.com/apk/res/android", "maxLines", 1) != 1) {
                throw new UnsupportedOperationException("Chip does not support multi-line text");
            } else if (attributeSet.getAttributeIntValue("http://schemas.android.com/apk/res/android", "gravity", 8388627) != 8388627) {
                Log.w("Chip", "Chip text must be vertically center and start aligned");
            }
        }
        ChipDrawable chipDrawable = new ChipDrawable(context2, attributeSet, i2, i3);
        Context context3 = chipDrawable.o0;
        int[] iArr = R$styleable.Chip;
        TypedArray d2 = f.d(context3, attributeSet, iArr, i2, i3, new int[0]);
        int i4 = R$styleable.Chip_shapeAppearance;
        chipDrawable.P0 = d2.hasValue(i4);
        ColorStateList s0 = n.s0(chipDrawable.o0, d2, R$styleable.Chip_chipSurfaceColor);
        if (chipDrawable.H != s0) {
            chipDrawable.H = s0;
            chipDrawable.onStateChange(chipDrawable.getState());
        }
        chipDrawable.U(n.s0(chipDrawable.o0, d2, R$styleable.Chip_chipBackgroundColor));
        chipDrawable.b0(d2.getDimension(R$styleable.Chip_chipMinHeight, 0.0f));
        int i5 = R$styleable.Chip_chipCornerRadius;
        if (d2.hasValue(i5)) {
            chipDrawable.V(d2.getDimension(i5, 0.0f));
        }
        chipDrawable.d0(n.s0(chipDrawable.o0, d2, R$styleable.Chip_chipStrokeColor));
        chipDrawable.e0(d2.getDimension(R$styleable.Chip_chipStrokeWidth, 0.0f));
        chipDrawable.o0(n.s0(chipDrawable.o0, d2, R$styleable.Chip_rippleColor));
        chipDrawable.p0(d2.getText(R$styleable.Chip_android_text));
        d.h.a.b.t.b K0 = n.K0(chipDrawable.o0, d2, R$styleable.Chip_android_textAppearance);
        K0.f10638k = d2.getDimension(R$styleable.Chip_android_textSize, K0.f10638k);
        chipDrawable.u0.b(K0, chipDrawable.o0);
        int i6 = d2.getInt(R$styleable.Chip_android_ellipsize, 0);
        if (i6 == 1) {
            chipDrawable.M0 = TextUtils.TruncateAt.START;
        } else if (i6 == 2) {
            chipDrawable.M0 = TextUtils.TruncateAt.MIDDLE;
        } else if (i6 == 3) {
            chipDrawable.M0 = TextUtils.TruncateAt.END;
        }
        chipDrawable.a0(d2.getBoolean(R$styleable.Chip_chipIconVisible, false));
        if (!(attributeSet == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "chipIconEnabled") == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "chipIconVisible") != null)) {
            chipDrawable.a0(d2.getBoolean(R$styleable.Chip_chipIconEnabled, false));
        }
        chipDrawable.X(n.z0(chipDrawable.o0, d2, R$styleable.Chip_chipIcon));
        int i7 = R$styleable.Chip_chipIconTint;
        if (d2.hasValue(i7)) {
            chipDrawable.Z(n.s0(chipDrawable.o0, d2, i7));
        }
        chipDrawable.Y(d2.getDimension(R$styleable.Chip_chipIconSize, -1.0f));
        chipDrawable.l0(d2.getBoolean(R$styleable.Chip_closeIconVisible, false));
        if (!(attributeSet == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "closeIconEnabled") == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "closeIconVisible") != null)) {
            chipDrawable.l0(d2.getBoolean(R$styleable.Chip_closeIconEnabled, false));
        }
        chipDrawable.f0(n.z0(chipDrawable.o0, d2, R$styleable.Chip_closeIcon));
        chipDrawable.k0(n.s0(chipDrawable.o0, d2, R$styleable.Chip_closeIconTint));
        chipDrawable.h0(d2.getDimension(R$styleable.Chip_closeIconSize, 0.0f));
        chipDrawable.Q(d2.getBoolean(R$styleable.Chip_android_checkable, false));
        chipDrawable.T(d2.getBoolean(R$styleable.Chip_checkedIconVisible, false));
        if (!(attributeSet == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "checkedIconEnabled") == null || attributeSet.getAttributeValue("http://schemas.android.com/apk/res-auto", "checkedIconVisible") != null)) {
            chipDrawable.T(d2.getBoolean(R$styleable.Chip_checkedIconEnabled, false));
        }
        chipDrawable.R(n.z0(chipDrawable.o0, d2, R$styleable.Chip_checkedIcon));
        int i8 = R$styleable.Chip_checkedIconTint;
        if (d2.hasValue(i8)) {
            chipDrawable.S(n.s0(chipDrawable.o0, d2, i8));
        }
        chipDrawable.e0 = g.a(chipDrawable.o0, d2, R$styleable.Chip_showMotionSpec);
        chipDrawable.f0 = g.a(chipDrawable.o0, d2, R$styleable.Chip_hideMotionSpec);
        chipDrawable.c0(d2.getDimension(R$styleable.Chip_chipStartPadding, 0.0f));
        chipDrawable.n0(d2.getDimension(R$styleable.Chip_iconStartPadding, 0.0f));
        chipDrawable.m0(d2.getDimension(R$styleable.Chip_iconEndPadding, 0.0f));
        chipDrawable.r0(d2.getDimension(R$styleable.Chip_textStartPadding, 0.0f));
        chipDrawable.q0(d2.getDimension(R$styleable.Chip_textEndPadding, 0.0f));
        chipDrawable.i0(d2.getDimension(R$styleable.Chip_closeIconStartPadding, 0.0f));
        chipDrawable.g0(d2.getDimension(R$styleable.Chip_closeIconEndPadding, 0.0f));
        chipDrawable.W(d2.getDimension(R$styleable.Chip_chipEndPadding, 0.0f));
        chipDrawable.O0 = d2.getDimensionPixelSize(R$styleable.Chip_android_maxWidth, SubsamplingScaleImageView.TILE_SIZE_AUTO);
        d2.recycle();
        f.a(context2, attributeSet, i2, i3);
        f.b(context2, attributeSet, iArr, i2, i3, new int[0]);
        TypedArray obtainStyledAttributes = context2.obtainStyledAttributes(attributeSet, iArr, i2, i3);
        this.u = obtainStyledAttributes.getBoolean(R$styleable.Chip_ensureMinTouchTargetSize, false);
        this.w = (int) Math.ceil((double) obtainStyledAttributes.getDimension(R$styleable.Chip_chipMinTouchTargetSize, (float) Math.ceil((double) n.f0(getContext(), 48))));
        obtainStyledAttributes.recycle();
        setChipDrawable(chipDrawable);
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        chipDrawable.p(getElevation());
        f.a(context2, attributeSet, i2, i3);
        f.b(context2, attributeSet, iArr, i2, i3, new int[0]);
        TypedArray obtainStyledAttributes2 = context2.obtainStyledAttributes(attributeSet, iArr, i2, i3);
        if (Build.VERSION.SDK_INT < 23) {
            setTextColor(n.s0(context2, obtainStyledAttributes2, R$styleable.Chip_android_textColor));
        }
        boolean hasValue = obtainStyledAttributes2.hasValue(i4);
        obtainStyledAttributes2.recycle();
        this.x = new b(this);
        h();
        if (!hasValue) {
            setOutlineProvider(new d.h.a.b.i.a(this));
        }
        setChecked(this.q);
        setText(chipDrawable.O);
        setEllipsize(chipDrawable.M0);
        k();
        if (!this.f4808l.N0) {
            setLines(1);
            setHorizontallyScrolling(true);
        }
        setGravity(8388627);
        j();
        if (this.u) {
            setMinHeight(this.w);
        }
        this.v = getLayoutDirection();
    }

    public void setCheckedIconVisible(boolean z2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.T(z2);
        }
    }

    public void setChipIconVisible(boolean z2) {
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.a0(z2);
        }
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesRelativeWithIntrinsicBounds(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        if (drawable != null) {
            throw new UnsupportedOperationException("Please set start drawable using R.attr#chipIcon.");
        } else if (drawable3 == null) {
            super.setCompoundDrawablesRelativeWithIntrinsicBounds(drawable, drawable2, drawable3, drawable4);
        } else {
            throw new UnsupportedOperationException("Please set end drawable using R.attr#closeIcon.");
        }
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesWithIntrinsicBounds(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        if (drawable != null) {
            throw new UnsupportedOperationException("Please set left drawable using R.attr#chipIcon.");
        } else if (drawable3 == null) {
            super.setCompoundDrawablesWithIntrinsicBounds(drawable, drawable2, drawable3, drawable4);
        } else {
            throw new UnsupportedOperationException("Please set right drawable using R.attr#closeIcon.");
        }
    }

    public void setTextAppearance(Context context, int i2) {
        super.setTextAppearance(context, i2);
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.u0.b(new d.h.a.b.t.b(chipDrawable.o0, i2), chipDrawable.o0);
        }
        k();
    }

    public void setTextAppearance(int i2) {
        super.setTextAppearance(i2);
        ChipDrawable chipDrawable = this.f4808l;
        if (chipDrawable != null) {
            chipDrawable.u0.b(new d.h.a.b.t.b(chipDrawable.o0, i2), chipDrawable.o0);
        }
        k();
    }
}
