package com.google.android.material.datepicker;

import android.content.Context;
import android.os.Bundle;
import android.view.ContextThemeWrapper;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.GridView;
import android.widget.ListAdapter;
import androidx.core.view.ViewCompat;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.PagerSnapHelper;
import androidx.recyclerview.widget.RecyclerView;
import com.google.android.material.R$id;
import com.google.android.material.R$integer;
import com.google.android.material.R$layout;
import com.google.android.material.button.MaterialButton;
import d.h.a.b.k.f;
import d.h.a.b.k.g;
import d.h.a.b.k.h;
import d.h.a.b.k.i;
import d.h.a.b.k.j;
import d.h.a.b.k.k;
import d.h.a.b.k.p;
import d.h.a.b.k.q;
import d.h.a.b.k.r;

public final class MaterialCalendar<S> extends q<S> {

    /* renamed from: h  reason: collision with root package name */
    public static final /* synthetic */ int f4825h = 0;

    /* renamed from: j  reason: collision with root package name */
    public int f4826j;

    /* renamed from: k  reason: collision with root package name */
    public DateSelector<S> f4827k;

    /* renamed from: l  reason: collision with root package name */
    public CalendarConstraints f4828l;
    public Month m;
    public CalendarSelector n;
    public d.h.a.b.k.b o;
    public RecyclerView p;
    public RecyclerView q;
    public View r;
    public View s;

    public enum CalendarSelector {
        DAY,
        YEAR
    }

    public class a implements Runnable {

        /* renamed from: d  reason: collision with root package name */
        public final /* synthetic */ int f4829d;

        public a(int i2) {
            this.f4829d = i2;
        }

        public void run() {
            MaterialCalendar.this.q.smoothScrollToPosition(this.f4829d);
        }
    }

    public class b extends b.j.h.a {
        public b(MaterialCalendar materialCalendar) {
        }

        @Override // b.j.h.a
        public void d(View view, b.j.h.p.b bVar) {
            this.f3391b.onInitializeAccessibilityNodeInfo(view, bVar.f3453b);
            bVar.s(null);
        }
    }

    public class c extends r {

        /* renamed from: a  reason: collision with root package name */
        public final /* synthetic */ int f4831a;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        public c(Context context, int i2, boolean z, int i3) {
            super(context, i2, z);
            this.f4831a = i3;
        }

        @Override // androidx.recyclerview.widget.LinearLayoutManager
        public void calculateExtraLayoutSpace(RecyclerView.r rVar, int[] iArr) {
            if (this.f4831a == 0) {
                iArr[0] = MaterialCalendar.this.q.getWidth();
                iArr[1] = MaterialCalendar.this.q.getWidth();
                return;
            }
            iArr[0] = MaterialCalendar.this.q.getHeight();
            iArr[1] = MaterialCalendar.this.q.getHeight();
        }
    }

    public class d implements e {
        public d() {
        }
    }

    public interface e {
    }

    @Override // d.h.a.b.k.q
    public boolean l(p<S> pVar) {
        return this.f10456d.add(pVar);
    }

    public LinearLayoutManager m() {
        return (LinearLayoutManager) this.q.getLayoutManager();
    }

    public final void n(int i2) {
        this.q.post(new a(i2));
    }

    public void o(Month month) {
        MonthsPagerAdapter monthsPagerAdapter = (MonthsPagerAdapter) this.q.getAdapter();
        int monthsUntil = monthsPagerAdapter.f4849b.getStart().monthsUntil(month);
        int b2 = monthsUntil - monthsPagerAdapter.b(this.m);
        boolean z = true;
        boolean z2 = Math.abs(b2) > 3;
        if (b2 <= 0) {
            z = false;
        }
        this.m = month;
        if (z2 && z) {
            this.q.scrollToPosition(monthsUntil - 3);
            n(monthsUntil);
        } else if (z2) {
            this.q.scrollToPosition(monthsUntil + 3);
            n(monthsUntil);
        } else {
            n(monthsUntil);
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        if (bundle == null) {
            bundle = getArguments();
        }
        this.f4826j = bundle.getInt("THEME_RES_ID_KEY");
        this.f4827k = (DateSelector) bundle.getParcelable("GRID_SELECTOR_KEY");
        this.f4828l = (CalendarConstraints) bundle.getParcelable("CALENDAR_CONSTRAINTS_KEY");
        this.m = (Month) bundle.getParcelable("CURRENT_MONTH_KEY");
    }

    @Override // androidx.fragment.app.Fragment
    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        int i2;
        int i3;
        ContextThemeWrapper contextThemeWrapper = new ContextThemeWrapper(getContext(), this.f4826j);
        this.o = new d.h.a.b.k.b(contextThemeWrapper);
        LayoutInflater cloneInContext = layoutInflater.cloneInContext(contextThemeWrapper);
        Month start = this.f4828l.getStart();
        if (MaterialDatePicker.m(contextThemeWrapper)) {
            i3 = R$layout.mtrl_calendar_vertical;
            i2 = 1;
        } else {
            i3 = R$layout.mtrl_calendar_horizontal;
            i2 = 0;
        }
        View inflate = cloneInContext.inflate(i3, viewGroup, false);
        GridView gridView = (GridView) inflate.findViewById(R$id.mtrl_calendar_days_of_week);
        ViewCompat.u(gridView, new b(this));
        gridView.setAdapter((ListAdapter) new d.h.a.b.k.e());
        gridView.setNumColumns(start.daysInWeek);
        gridView.setEnabled(false);
        this.q = (RecyclerView) inflate.findViewById(R$id.mtrl_calendar_months);
        this.q.setLayoutManager(new c(getContext(), i2, false, i2));
        this.q.setTag("MONTHS_VIEW_GROUP_TAG");
        MonthsPagerAdapter monthsPagerAdapter = new MonthsPagerAdapter(contextThemeWrapper, this.f4827k, this.f4828l, new d());
        this.q.setAdapter(monthsPagerAdapter);
        int integer = contextThemeWrapper.getResources().getInteger(R$integer.mtrl_calendar_year_selector_span);
        int i4 = R$id.mtrl_calendar_year_selector_frame;
        RecyclerView recyclerView = (RecyclerView) inflate.findViewById(i4);
        this.p = recyclerView;
        if (recyclerView != null) {
            recyclerView.setHasFixedSize(true);
            this.p.setLayoutManager(new GridLayoutManager((Context) contextThemeWrapper, integer, 1, false));
            this.p.setAdapter(new YearGridAdapter(this));
            this.p.addItemDecoration(new f(this));
        }
        int i5 = R$id.month_navigation_fragment_toggle;
        if (inflate.findViewById(i5) != null) {
            MaterialButton materialButton = (MaterialButton) inflate.findViewById(i5);
            materialButton.setTag("SELECTOR_TOGGLE_TAG");
            ViewCompat.u(materialButton, new g(this));
            MaterialButton materialButton2 = (MaterialButton) inflate.findViewById(R$id.month_navigation_previous);
            materialButton2.setTag("NAVIGATION_PREV_TAG");
            MaterialButton materialButton3 = (MaterialButton) inflate.findViewById(R$id.month_navigation_next);
            materialButton3.setTag("NAVIGATION_NEXT_TAG");
            this.r = inflate.findViewById(i4);
            this.s = inflate.findViewById(R$id.mtrl_calendar_day_selector_frame);
            p(CalendarSelector.DAY);
            materialButton.setText(this.m.getLongName(inflate.getContext()));
            this.q.addOnScrollListener(new h(this, monthsPagerAdapter, materialButton));
            materialButton.setOnClickListener(new i(this));
            materialButton3.setOnClickListener(new j(this, monthsPagerAdapter));
            materialButton2.setOnClickListener(new k(this, monthsPagerAdapter));
        }
        if (!MaterialDatePicker.m(contextThemeWrapper)) {
            new PagerSnapHelper().attachToRecyclerView(this.q);
        }
        this.q.scrollToPosition(monthsPagerAdapter.b(this.m));
        return inflate;
    }

    @Override // androidx.fragment.app.Fragment
    public void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        bundle.putInt("THEME_RES_ID_KEY", this.f4826j);
        bundle.putParcelable("GRID_SELECTOR_KEY", this.f4827k);
        bundle.putParcelable("CALENDAR_CONSTRAINTS_KEY", this.f4828l);
        bundle.putParcelable("CURRENT_MONTH_KEY", this.m);
    }

    public void p(CalendarSelector calendarSelector) {
        this.n = calendarSelector;
        if (calendarSelector == CalendarSelector.YEAR) {
            this.p.getLayoutManager().scrollToPosition(((YearGridAdapter) this.p.getAdapter()).a(this.m.year));
            this.r.setVisibility(0);
            this.s.setVisibility(8);
        } else if (calendarSelector == CalendarSelector.DAY) {
            this.r.setVisibility(8);
            this.s.setVisibility(0);
            o(this.m);
        }
    }
}
