package com.google.android.material.datepicker;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.view.KeyEvent;
import android.view.View;
import android.widget.GridView;
import android.widget.ListAdapter;
import androidx.core.view.ViewCompat;
import b.j.h.p.b;
import com.google.android.material.R$attr;
import com.google.android.material.R$id;
import d.h.a.b.k.n;
import d.h.a.b.k.t;
import java.util.Calendar;

public final class MaterialCalendarGridView extends GridView {

    /* renamed from: d  reason: collision with root package name */
    public final Calendar f4834d;

    /* renamed from: h  reason: collision with root package name */
    public final boolean f4835h;

    public class a extends b.j.h.a {
        public a(MaterialCalendarGridView materialCalendarGridView) {
        }

        @Override // b.j.h.a
        public void d(View view, b bVar) {
            this.f3391b.onInitializeAccessibilityNodeInfo(view, bVar.f3453b);
            bVar.s(null);
        }
    }

    public MaterialCalendarGridView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    /* renamed from: a */
    public n getAdapter() {
        return (n) super.getAdapter();
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        getAdapter().notifyDataSetChanged();
    }

    public final void onDraw(Canvas canvas) {
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        int i7;
        MaterialCalendarGridView materialCalendarGridView = this;
        super.onDraw(canvas);
        n a2 = getAdapter();
        DateSelector<?> dateSelector = a2.f10451j;
        d.h.a.b.k.b bVar = a2.f10453l;
        Long c2 = a2.getItem(a2.b());
        Long c3 = a2.getItem(a2.d());
        for (b.j.g.a<Long, Long> aVar : dateSelector.getSelectedRanges()) {
            F f2 = aVar.f3388a;
            if (f2 != null) {
                if (aVar.f3389b != null) {
                    long longValue = f2.longValue();
                    long longValue2 = aVar.f3389b.longValue();
                    Long valueOf = Long.valueOf(longValue);
                    Long valueOf2 = Long.valueOf(longValue2);
                    boolean z = true;
                    if (!(c2 == null || c3 == null || valueOf == null || valueOf2 == null || valueOf.longValue() > c3.longValue() || valueOf2.longValue() < c2.longValue())) {
                        boolean i1 = b.o.a.n.i1(this);
                        if (longValue < c2.longValue()) {
                            i3 = a2.b();
                            if (i3 % a2.f10450h.daysInWeek == 0) {
                                i2 = 0;
                            } else if (!i1) {
                                i2 = materialCalendarGridView.getChildAt(i3 - 1).getRight();
                            } else {
                                i2 = materialCalendarGridView.getChildAt(i3 - 1).getLeft();
                            }
                        } else {
                            materialCalendarGridView.f4834d.setTimeInMillis(longValue);
                            i3 = a2.a(materialCalendarGridView.f4834d.get(5));
                            View childAt = materialCalendarGridView.getChildAt(i3);
                            i2 = (childAt.getWidth() / 2) + childAt.getLeft();
                        }
                        if (longValue2 > c3.longValue()) {
                            i5 = Math.min(a2.d(), getChildCount() - 1);
                            if ((i5 + 1) % a2.f10450h.daysInWeek != 0) {
                                z = false;
                            }
                            if (z) {
                                i4 = getWidth();
                            } else if (!i1) {
                                i4 = materialCalendarGridView.getChildAt(i5).getRight();
                            } else {
                                i4 = materialCalendarGridView.getChildAt(i5).getLeft();
                            }
                        } else {
                            materialCalendarGridView.f4834d.setTimeInMillis(longValue2);
                            i5 = a2.a(materialCalendarGridView.f4834d.get(5));
                            View childAt2 = materialCalendarGridView.getChildAt(i5);
                            i4 = (childAt2.getWidth() / 2) + childAt2.getLeft();
                        }
                        int itemId = (int) a2.getItemId(i3);
                        int itemId2 = (int) a2.getItemId(i5);
                        while (itemId <= itemId2) {
                            int numColumns = getNumColumns() * itemId;
                            int numColumns2 = (getNumColumns() + numColumns) - 1;
                            View childAt3 = materialCalendarGridView.getChildAt(numColumns);
                            int top = childAt3.getTop() + bVar.f10415a.f10409a.top;
                            int bottom = childAt3.getBottom() - bVar.f10415a.f10409a.bottom;
                            if (!i1) {
                                i7 = numColumns > i3 ? 0 : i2;
                                i6 = i5 > numColumns2 ? getWidth() : i4;
                            } else {
                                int i8 = i5 > numColumns2 ? 0 : i4;
                                i6 = numColumns > i3 ? getWidth() : i2;
                                i7 = i8;
                            }
                            canvas.drawRect((float) i7, (float) top, (float) i6, (float) bottom, bVar.f10422h);
                            itemId++;
                            materialCalendarGridView = this;
                            a2 = a2;
                        }
                    }
                }
            }
            materialCalendarGridView = this;
            a2 = a2;
        }
    }

    public void onFocusChanged(boolean z, int i2, Rect rect) {
        if (!z) {
            super.onFocusChanged(false, i2, rect);
        } else if (i2 == 33) {
            setSelection(getAdapter().d());
        } else if (i2 == 130) {
            setSelection(getAdapter().b());
        } else {
            super.onFocusChanged(true, i2, rect);
        }
    }

    public boolean onKeyDown(int i2, KeyEvent keyEvent) {
        if (!super.onKeyDown(i2, keyEvent)) {
            return false;
        }
        if (getSelectedItemPosition() == -1 || getSelectedItemPosition() >= getAdapter().b()) {
            return true;
        }
        if (19 != i2) {
            return false;
        }
        setSelection(getAdapter().b());
        return true;
    }

    public void onMeasure(int i2, int i3) {
        if (this.f4835h) {
            super.onMeasure(i2, View.MeasureSpec.makeMeasureSpec(16777215, Integer.MIN_VALUE));
            getLayoutParams().height = getMeasuredHeight();
            return;
        }
        super.onMeasure(i2, i3);
    }

    public void setSelection(int i2) {
        if (i2 < getAdapter().b()) {
            super.setSelection(getAdapter().b());
        } else {
            super.setSelection(i2);
        }
    }

    public MaterialCalendarGridView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f4834d = t.i();
        if (MaterialDatePicker.m(getContext())) {
            setNextFocusLeftId(R$id.cancel_button);
            setNextFocusRightId(R$id.confirm_button);
        }
        this.f4835h = MaterialDatePicker.n(getContext(), R$attr.nestedScrollable);
        ViewCompat.u(this, new a(this));
    }

    @Override // android.widget.GridView, android.widget.AbsListView
    public final void setAdapter(ListAdapter listAdapter) {
        if (listAdapter instanceof n) {
            super.setAdapter(listAdapter);
        } else {
            throw new IllegalArgumentException(String.format("%1$s must have its Adapter set to a %2$s", MaterialCalendarGridView.class.getCanonicalName(), n.class.getCanonicalName()));
        }
    }
}
