package com.google.android.material.datepicker;

import android.content.Context;
import android.content.res.Resources;
import android.view.LayoutInflater;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import android.widget.ListAdapter;
import android.widget.TextView;
import androidx.core.view.ViewCompat;
import androidx.recyclerview.widget.RecyclerView;
import b.j.h.k;
import com.google.android.material.R$dimen;
import com.google.android.material.R$id;
import com.google.android.material.R$layout;
import com.google.android.material.datepicker.MaterialCalendar;
import d.h.a.b.k.n;
import d.h.a.b.k.o;
import java.util.concurrent.atomic.AtomicInteger;

public class MonthsPagerAdapter extends RecyclerView.Adapter<ViewHolder> {

    /* renamed from: a  reason: collision with root package name */
    public final Context f4848a;

    /* renamed from: b  reason: collision with root package name */
    public final CalendarConstraints f4849b;

    /* renamed from: c  reason: collision with root package name */
    public final DateSelector<?> f4850c;

    /* renamed from: d  reason: collision with root package name */
    public final MaterialCalendar.e f4851d;

    /* renamed from: e  reason: collision with root package name */
    public final int f4852e;

    public static class ViewHolder extends RecyclerView.ViewHolder {

        /* renamed from: a  reason: collision with root package name */
        public final TextView f4853a;

        /* renamed from: b  reason: collision with root package name */
        public final MaterialCalendarGridView f4854b;

        public ViewHolder(LinearLayout linearLayout, boolean z) {
            super(linearLayout);
            TextView textView = (TextView) linearLayout.findViewById(R$id.month_title);
            this.f4853a = textView;
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            new k(androidx.core.R$id.tag_accessibility_heading, Boolean.class, 28).e(textView, Boolean.TRUE);
            this.f4854b = (MaterialCalendarGridView) linearLayout.findViewById(R$id.month_grid);
            if (!z) {
                textView.setVisibility(8);
            }
        }
    }

    public MonthsPagerAdapter(Context context, DateSelector<?> dateSelector, CalendarConstraints calendarConstraints, MaterialCalendar.e eVar) {
        Month start = calendarConstraints.getStart();
        Month end = calendarConstraints.getEnd();
        Month openAt = calendarConstraints.getOpenAt();
        if (start.compareTo(openAt) > 0) {
            throw new IllegalArgumentException("firstPage cannot be after currentPage");
        } else if (openAt.compareTo(end) <= 0) {
            int i2 = n.f10449d;
            int i3 = MaterialCalendar.f4825h;
            Resources resources = context.getResources();
            int i4 = R$dimen.mtrl_calendar_day_height;
            int dimensionPixelSize = i2 * resources.getDimensionPixelSize(i4);
            int dimensionPixelSize2 = MaterialDatePicker.m(context) ? context.getResources().getDimensionPixelSize(i4) : 0;
            this.f4848a = context;
            this.f4852e = dimensionPixelSize + dimensionPixelSize2;
            this.f4849b = calendarConstraints;
            this.f4850c = dateSelector;
            this.f4851d = eVar;
            setHasStableIds(true);
        } else {
            throw new IllegalArgumentException("currentPage cannot be after lastPage");
        }
    }

    public Month a(int i2) {
        return this.f4849b.getStart().monthsLater(i2);
    }

    public int b(Month month) {
        return this.f4849b.getStart().monthsUntil(month);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemCount() {
        return this.f4849b.getMonthSpan();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public long getItemId(int i2) {
        return this.f4849b.getStart().monthsLater(i2).getStableId();
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [androidx.recyclerview.widget.RecyclerView$ViewHolder, int] */
    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onBindViewHolder(ViewHolder viewHolder, int i2) {
        ViewHolder viewHolder2 = viewHolder;
        Month monthsLater = this.f4849b.getStart().monthsLater(i2);
        viewHolder2.f4853a.setText(monthsLater.getLongName(viewHolder2.itemView.getContext()));
        MaterialCalendarGridView materialCalendarGridView = (MaterialCalendarGridView) viewHolder2.f4854b.findViewById(R$id.month_grid);
        if (materialCalendarGridView.getAdapter() == null || !monthsLater.equals(materialCalendarGridView.getAdapter().f10450h)) {
            n nVar = new n(monthsLater, this.f4850c, this.f4849b);
            materialCalendarGridView.setNumColumns(monthsLater.daysInWeek);
            materialCalendarGridView.setAdapter((ListAdapter) nVar);
        } else {
            materialCalendarGridView.invalidate();
            n a2 = materialCalendarGridView.getAdapter();
            for (Long l2 : a2.f10452k) {
                a2.f(materialCalendarGridView, l2.longValue());
            }
            DateSelector<?> dateSelector = a2.f10451j;
            if (dateSelector != null) {
                for (Long l3 : dateSelector.getSelectedDays()) {
                    a2.f(materialCalendarGridView, l3.longValue());
                }
                a2.f10452k = a2.f10451j.getSelectedDays();
            }
        }
        materialCalendarGridView.setOnItemClickListener(new o(this, materialCalendarGridView));
    }

    /* Return type fixed from 'androidx.recyclerview.widget.RecyclerView$ViewHolder' to match base method */
    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public ViewHolder onCreateViewHolder(ViewGroup viewGroup, int i2) {
        LinearLayout linearLayout = (LinearLayout) LayoutInflater.from(viewGroup.getContext()).inflate(R$layout.mtrl_calendar_month_labeled, viewGroup, false);
        if (!MaterialDatePicker.m(viewGroup.getContext())) {
            return new ViewHolder(linearLayout, false);
        }
        linearLayout.setLayoutParams(new RecyclerView.l(-1, this.f4852e));
        return new ViewHolder(linearLayout, true);
    }
}
