package com.google.android.material.datepicker;

import android.content.Context;
import android.content.res.Resources;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.DisplayMetrics;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.EditText;
import androidx.appcompat.app.AppCompatDelegateImpl;
import b.o.a.n;
import com.google.android.material.R$attr;
import com.google.android.material.R$dimen;
import com.google.android.material.R$id;
import com.google.android.material.R$layout;
import com.google.android.material.R$string;
import com.google.android.material.textfield.TextInputLayout;
import d.h.a.b.k.p;
import d.h.a.b.k.t;
import d.h.a.b.p.i;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Collection;
import java.util.Locale;

public class RangeDateSelector implements DateSelector<b.j.g.a<Long, Long>> {
    public static final Parcelable.Creator<RangeDateSelector> CREATOR = new c();
    private final String invalidRangeEndError = " ";
    private String invalidRangeStartError;
    private Long proposedTextEnd = null;
    private Long proposedTextStart = null;
    private Long selectedEndItem = null;
    private Long selectedStartItem = null;

    public class a extends d.h.a.b.k.c {
        public final /* synthetic */ TextInputLayout n;
        public final /* synthetic */ TextInputLayout o;
        public final /* synthetic */ p p;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        public a(String str, DateFormat dateFormat, TextInputLayout textInputLayout, CalendarConstraints calendarConstraints, TextInputLayout textInputLayout2, TextInputLayout textInputLayout3, p pVar) {
            super(str, dateFormat, textInputLayout, calendarConstraints);
            this.n = textInputLayout2;
            this.o = textInputLayout3;
            this.p = pVar;
        }

        @Override // d.h.a.b.k.c
        public void a() {
            RangeDateSelector.this.proposedTextStart = null;
            RangeDateSelector.this.updateIfValidTextProposal(this.n, this.o, this.p);
        }

        @Override // d.h.a.b.k.c
        public void b(Long l2) {
            RangeDateSelector.this.proposedTextStart = l2;
            RangeDateSelector.this.updateIfValidTextProposal(this.n, this.o, this.p);
        }
    }

    public class b extends d.h.a.b.k.c {
        public final /* synthetic */ TextInputLayout n;
        public final /* synthetic */ TextInputLayout o;
        public final /* synthetic */ p p;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        public b(String str, DateFormat dateFormat, TextInputLayout textInputLayout, CalendarConstraints calendarConstraints, TextInputLayout textInputLayout2, TextInputLayout textInputLayout3, p pVar) {
            super(str, dateFormat, textInputLayout, calendarConstraints);
            this.n = textInputLayout2;
            this.o = textInputLayout3;
            this.p = pVar;
        }

        @Override // d.h.a.b.k.c
        public void a() {
            RangeDateSelector.this.proposedTextEnd = null;
            RangeDateSelector.this.updateIfValidTextProposal(this.n, this.o, this.p);
        }

        @Override // d.h.a.b.k.c
        public void b(Long l2) {
            RangeDateSelector.this.proposedTextEnd = l2;
            RangeDateSelector.this.updateIfValidTextProposal(this.n, this.o, this.p);
        }
    }

    public static class c implements Parcelable.Creator<RangeDateSelector> {
        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // android.os.Parcelable.Creator
        public RangeDateSelector createFromParcel(Parcel parcel) {
            RangeDateSelector rangeDateSelector = new RangeDateSelector();
            rangeDateSelector.selectedStartItem = (Long) parcel.readValue(Long.class.getClassLoader());
            rangeDateSelector.selectedEndItem = (Long) parcel.readValue(Long.class.getClassLoader());
            return rangeDateSelector;
        }

        /* Return type fixed from 'java.lang.Object[]' to match base method */
        @Override // android.os.Parcelable.Creator
        public RangeDateSelector[] newArray(int i2) {
            return new RangeDateSelector[i2];
        }
    }

    private void clearInvalidRange(TextInputLayout textInputLayout, TextInputLayout textInputLayout2) {
        if (textInputLayout.getError() != null && this.invalidRangeStartError.contentEquals(textInputLayout.getError())) {
            textInputLayout.setError(null);
        }
        if (textInputLayout2.getError() != null && " ".contentEquals(textInputLayout2.getError())) {
            textInputLayout2.setError(null);
        }
    }

    private boolean isValidRange(long j2, long j3) {
        return j2 <= j3;
    }

    private void setInvalidRange(TextInputLayout textInputLayout, TextInputLayout textInputLayout2) {
        textInputLayout.setError(this.invalidRangeStartError);
        textInputLayout2.setError(" ");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void updateIfValidTextProposal(TextInputLayout textInputLayout, TextInputLayout textInputLayout2, p<b.j.g.a<Long, Long>> pVar) {
        Long l2 = this.proposedTextStart;
        if (l2 == null || this.proposedTextEnd == null) {
            clearInvalidRange(textInputLayout, textInputLayout2);
            pVar.a();
        } else if (isValidRange(l2.longValue(), this.proposedTextEnd.longValue())) {
            this.selectedStartItem = this.proposedTextStart;
            this.selectedEndItem = this.proposedTextEnd;
            pVar.b(getSelection());
        } else {
            setInvalidRange(textInputLayout, textInputLayout2);
            pVar.a();
        }
    }

    public int describeContents() {
        return 0;
    }

    @Override // com.google.android.material.datepicker.DateSelector
    public int getDefaultThemeResId(Context context) {
        Resources resources = context.getResources();
        DisplayMetrics displayMetrics = resources.getDisplayMetrics();
        return n.i2(context, Math.min(displayMetrics.widthPixels, displayMetrics.heightPixels) > resources.getDimensionPixelSize(R$dimen.mtrl_calendar_maximum_default_fullscreen_minor_axis) ? R$attr.materialCalendarTheme : R$attr.materialCalendarFullscreenTheme, MaterialDatePicker.class.getCanonicalName());
    }

    @Override // com.google.android.material.datepicker.DateSelector
    public int getDefaultTitleResId() {
        return R$string.mtrl_picker_range_header_title;
    }

    @Override // com.google.android.material.datepicker.DateSelector
    public Collection<Long> getSelectedDays() {
        ArrayList arrayList = new ArrayList();
        Long l2 = this.selectedStartItem;
        if (l2 != null) {
            arrayList.add(l2);
        }
        Long l3 = this.selectedEndItem;
        if (l3 != null) {
            arrayList.add(l3);
        }
        return arrayList;
    }

    @Override // com.google.android.material.datepicker.DateSelector
    public Collection<b.j.g.a<Long, Long>> getSelectedRanges() {
        if (this.selectedStartItem == null || this.selectedEndItem == null) {
            return new ArrayList();
        }
        ArrayList arrayList = new ArrayList();
        arrayList.add(new b.j.g.a(this.selectedStartItem, this.selectedEndItem));
        return arrayList;
    }

    @Override // com.google.android.material.datepicker.DateSelector
    public String getSelectionDisplayString(Context context) {
        b.j.g.a aVar;
        b.j.g.a aVar2;
        b.j.g.a aVar3;
        Resources resources = context.getResources();
        Long l2 = this.selectedStartItem;
        if (l2 == null && this.selectedEndItem == null) {
            return resources.getString(R$string.mtrl_picker_range_header_unselected);
        }
        Long l3 = this.selectedEndItem;
        if (l3 == null) {
            return resources.getString(R$string.mtrl_picker_range_header_only_start_selected, n.w0(l2.longValue()));
        } else if (l2 == null) {
            return resources.getString(R$string.mtrl_picker_range_header_only_end_selected, n.w0(l3.longValue()));
        } else {
            if (l2 == null && l3 == null) {
                aVar = new b.j.g.a(null, null);
            } else {
                if (l2 == null) {
                    aVar3 = new b.j.g.a(null, n.x0(l3.longValue(), null));
                } else if (l3 == null) {
                    aVar3 = new b.j.g.a(n.x0(l2.longValue(), null), null);
                } else {
                    Calendar h2 = t.h();
                    Calendar i2 = t.i();
                    i2.setTimeInMillis(l2.longValue());
                    Calendar i3 = t.i();
                    i3.setTimeInMillis(l3.longValue());
                    if (i2.get(1) != i3.get(1)) {
                        aVar2 = new b.j.g.a(n.R0(l2.longValue(), Locale.getDefault()), n.R0(l3.longValue(), Locale.getDefault()));
                    } else if (i2.get(1) == h2.get(1)) {
                        aVar2 = new b.j.g.a(n.B0(l2.longValue(), Locale.getDefault()), n.B0(l3.longValue(), Locale.getDefault()));
                    } else {
                        aVar2 = new b.j.g.a(n.B0(l2.longValue(), Locale.getDefault()), n.R0(l3.longValue(), Locale.getDefault()));
                    }
                    aVar = aVar2;
                }
                aVar = aVar3;
            }
            return resources.getString(R$string.mtrl_picker_range_header_selected, aVar.f3388a, aVar.f3389b);
        }
    }

    @Override // com.google.android.material.datepicker.DateSelector
    public boolean isSelectionComplete() {
        Long l2 = this.selectedStartItem;
        return (l2 == null || this.selectedEndItem == null || !isValidRange(l2.longValue(), this.selectedEndItem.longValue())) ? false : true;
    }

    @Override // com.google.android.material.datepicker.DateSelector
    public View onCreateTextInputView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle, CalendarConstraints calendarConstraints, p<b.j.g.a<Long, Long>> pVar) {
        View inflate = layoutInflater.inflate(R$layout.mtrl_picker_text_input_date_range, viewGroup, false);
        TextInputLayout textInputLayout = (TextInputLayout) inflate.findViewById(R$id.mtrl_picker_text_input_range_start);
        TextInputLayout textInputLayout2 = (TextInputLayout) inflate.findViewById(R$id.mtrl_picker_text_input_range_end);
        EditText editText = textInputLayout.getEditText();
        EditText editText2 = textInputLayout2.getEditText();
        if (n.a1()) {
            editText.setInputType(17);
            editText2.setInputType(17);
        }
        this.invalidRangeStartError = inflate.getResources().getString(R$string.mtrl_picker_invalid_range);
        SimpleDateFormat e2 = t.e();
        Long l2 = this.selectedStartItem;
        if (l2 != null) {
            editText.setText(e2.format(l2));
            this.proposedTextStart = this.selectedStartItem;
        }
        Long l3 = this.selectedEndItem;
        if (l3 != null) {
            editText2.setText(e2.format(l3));
            this.proposedTextEnd = this.selectedEndItem;
        }
        String f2 = t.f(inflate.getResources(), e2);
        textInputLayout.setPlaceholderText(f2);
        textInputLayout2.setPlaceholderText(f2);
        editText.addTextChangedListener(new a(f2, e2, textInputLayout, calendarConstraints, textInputLayout, textInputLayout2, pVar));
        editText2.addTextChangedListener(new b(f2, e2, textInputLayout2, calendarConstraints, textInputLayout, textInputLayout2, pVar));
        editText.requestFocus();
        editText.post(new i(editText));
        return inflate;
    }

    @Override // com.google.android.material.datepicker.DateSelector
    public void select(long j2) {
        Long l2 = this.selectedStartItem;
        if (l2 == null) {
            this.selectedStartItem = Long.valueOf(j2);
        } else if (this.selectedEndItem != null || !isValidRange(l2.longValue(), j2)) {
            this.selectedEndItem = null;
            this.selectedStartItem = Long.valueOf(j2);
        } else {
            this.selectedEndItem = Long.valueOf(j2);
        }
    }

    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeValue(this.selectedStartItem);
        parcel.writeValue(this.selectedEndItem);
    }

    @Override // com.google.android.material.datepicker.DateSelector
    public b.j.g.a<Long, Long> getSelection() {
        return new b.j.g.a<>(this.selectedStartItem, this.selectedEndItem);
    }

    public void setSelection(b.j.g.a<Long, Long> aVar) {
        Long l2;
        F f2 = aVar.f3388a;
        if (!(f2 == null || aVar.f3389b == null)) {
            AppCompatDelegateImpl.e.g(isValidRange(f2.longValue(), aVar.f3389b.longValue()));
        }
        F f3 = aVar.f3388a;
        Long l3 = null;
        if (f3 == null) {
            l2 = null;
        } else {
            l2 = Long.valueOf(t.a(f3.longValue()));
        }
        this.selectedStartItem = l2;
        S s = aVar.f3389b;
        if (s != null) {
            l3 = Long.valueOf(t.a(s.longValue()));
        }
        this.selectedEndItem = l3;
    }
}
