package com.google.android.material.datepicker;

import android.view.LayoutInflater;
import android.view.ViewGroup;
import android.widget.TextView;
import androidx.recyclerview.widget.RecyclerView;
import com.google.android.material.R$layout;
import com.google.android.material.R$string;
import com.google.android.material.timepicker.TimeModel;
import d.h.a.b.k.a;
import d.h.a.b.k.b;
import d.h.a.b.k.t;
import d.h.a.b.k.u;
import java.util.Calendar;
import java.util.Locale;

public class YearGridAdapter extends RecyclerView.Adapter<ViewHolder> {

    /* renamed from: a  reason: collision with root package name */
    public final MaterialCalendar<?> f4855a;

    public static class ViewHolder extends RecyclerView.ViewHolder {

        /* renamed from: a  reason: collision with root package name */
        public final TextView f4856a;

        public ViewHolder(TextView textView) {
            super(textView);
            this.f4856a = textView;
        }
    }

    public YearGridAdapter(MaterialCalendar<?> materialCalendar) {
        this.f4855a = materialCalendar;
    }

    public int a(int i2) {
        return i2 - this.f4855a.f4828l.getStart().year;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemCount() {
        return this.f4855a.f4828l.getYearSpan();
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [androidx.recyclerview.widget.RecyclerView$ViewHolder, int] */
    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onBindViewHolder(ViewHolder viewHolder, int i2) {
        ViewHolder viewHolder2 = viewHolder;
        int i3 = this.f4855a.f4828l.getStart().year + i2;
        String string = viewHolder2.f4856a.getContext().getString(R$string.mtrl_picker_navigate_to_year_description);
        viewHolder2.f4856a.setText(String.format(Locale.getDefault(), TimeModel.NUMBER_FORMAT, Integer.valueOf(i3)));
        viewHolder2.f4856a.setContentDescription(String.format(string, Integer.valueOf(i3)));
        b bVar = this.f4855a.o;
        Calendar h2 = t.h();
        a aVar = h2.get(1) == i3 ? bVar.f10420f : bVar.f10418d;
        for (Long l2 : this.f4855a.f4827k.getSelectedDays()) {
            h2.setTimeInMillis(l2.longValue());
            if (h2.get(1) == i3) {
                aVar = bVar.f10419e;
            }
        }
        aVar.b(viewHolder2.f4856a);
        viewHolder2.f4856a.setOnClickListener(new u(this, i3));
    }

    /* Return type fixed from 'androidx.recyclerview.widget.RecyclerView$ViewHolder' to match base method */
    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public ViewHolder onCreateViewHolder(ViewGroup viewGroup, int i2) {
        return new ViewHolder((TextView) LayoutInflater.from(viewGroup.getContext()).inflate(R$layout.mtrl_calendar_year, viewGroup, false));
    }
}
