package com.google.android.material.floatingactionbutton;

import android.animation.Animator;
import android.animation.AnimatorSet;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.ViewTreeObserver;
import android.widget.ImageView;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.view.TintableBackgroundView;
import androidx.core.view.ViewCompat;
import androidx.core.widget.TintableImageSourceView;
import b.b.f.d;
import b.b.f.e;
import b.o.a.n;
import com.google.android.material.R$animator;
import com.google.android.material.R$attr;
import com.google.android.material.R$dimen;
import com.google.android.material.R$style;
import com.google.android.material.R$styleable;
import com.google.android.material.appbar.AppBarLayout;
import com.google.android.material.bottomappbar.BottomAppBar;
import com.google.android.material.bottomsheet.BottomSheetBehavior;
import com.google.android.material.internal.VisibilityAwareImageButton;
import com.google.android.material.shape.MaterialShapeDrawable;
import com.google.android.material.stateful.ExtendableSavedState;
import d.h.a.b.a.g;
import d.h.a.b.a.j;
import d.h.a.b.o.f;
import d.h.a.b.o.h;
import d.h.a.b.o.k;
import d.h.a.b.w.l;
import d.h.a.b.w.p;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;

public class FloatingActionButton extends VisibilityAwareImageButton implements TintableBackgroundView, TintableImageSourceView, d.h.a.b.n.a, p, CoordinatorLayout.AttachedBehavior {

    /* renamed from: h  reason: collision with root package name */
    public static final int f4868h = R$style.Widget_Design_FloatingActionButton;

    /* renamed from: j  reason: collision with root package name */
    public ColorStateList f4869j;

    /* renamed from: k  reason: collision with root package name */
    public PorterDuff.Mode f4870k;

    /* renamed from: l  reason: collision with root package name */
    public ColorStateList f4871l;
    public PorterDuff.Mode m;
    public ColorStateList n;
    public int o;
    public int p;
    public int q;
    public int r;
    public int s;
    public boolean t;
    public final Rect u;
    public final Rect v;
    public final e w;
    public final d.h.a.b.n.b x;
    public h y;

    public static class Behavior extends BaseBehavior<FloatingActionButton> {
        public Behavior() {
        }

        public Behavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }
    }

    public static abstract class a {
        public void a(FloatingActionButton floatingActionButton) {
        }

        public void b(FloatingActionButton floatingActionButton) {
        }
    }

    public class b implements d.h.a.b.v.b {
        public b() {
        }
    }

    public class c<T extends FloatingActionButton> implements h.e {

        /* renamed from: a  reason: collision with root package name */
        public final j<T> f4875a;

        public c(j<T> jVar) {
            this.f4875a = jVar;
        }

        @Override // d.h.a.b.o.h.e
        public void a() {
            j<T> jVar = this.f4875a;
            FloatingActionButton floatingActionButton = FloatingActionButton.this;
            BottomAppBar.b bVar = (BottomAppBar.b) jVar;
            Objects.requireNonNull(bVar);
            float translationX = floatingActionButton.getTranslationX();
            if (BottomAppBar.B(BottomAppBar.this).f10321l != translationX) {
                BottomAppBar.B(BottomAppBar.this).f10321l = translationX;
                BottomAppBar.this.b0.invalidateSelf();
            }
            float f2 = 0.0f;
            float max = Math.max(0.0f, -floatingActionButton.getTranslationY());
            if (BottomAppBar.B(BottomAppBar.this).f10320k != max) {
                BottomAppBar.B(BottomAppBar.this).c(max);
                BottomAppBar.this.b0.invalidateSelf();
            }
            MaterialShapeDrawable materialShapeDrawable = BottomAppBar.this.b0;
            if (floatingActionButton.getVisibility() == 0) {
                f2 = floatingActionButton.getScaleY();
            }
            materialShapeDrawable.r(f2);
        }

        @Override // d.h.a.b.o.h.e
        public void b() {
            j<T> jVar = this.f4875a;
            FloatingActionButton floatingActionButton = FloatingActionButton.this;
            BottomAppBar.b bVar = (BottomAppBar.b) jVar;
            Objects.requireNonNull(bVar);
            BottomAppBar.this.b0.r(floatingActionButton.getVisibility() == 0 ? floatingActionButton.getScaleY() : 0.0f);
        }

        public boolean equals(Object obj) {
            return (obj instanceof c) && ((c) obj).f4875a.equals(this.f4875a);
        }

        public int hashCode() {
            return this.f4875a.hashCode();
        }
    }

    public FloatingActionButton(Context context) {
        this(context, null);
    }

    private h getImpl() {
        if (this.y == null) {
            this.y = new k(this, new b());
        }
        return this.y;
    }

    public static int n(int i2, int i3) {
        int mode = View.MeasureSpec.getMode(i3);
        int size = View.MeasureSpec.getSize(i3);
        if (mode == Integer.MIN_VALUE) {
            return Math.min(i2, size);
        }
        if (mode == 0) {
            return i2;
        }
        if (mode == 1073741824) {
            return size;
        }
        throw new IllegalArgumentException();
    }

    @Override // d.h.a.b.n.a
    public boolean a() {
        return this.x.f10472b;
    }

    public void d(Animator.AnimatorListener animatorListener) {
        h impl = getImpl();
        if (impl.D == null) {
            impl.D = new ArrayList<>();
        }
        impl.D.add(animatorListener);
    }

    public void drawableStateChanged() {
        super.drawableStateChanged();
        getImpl().k(getDrawableState());
    }

    public void e(Animator.AnimatorListener animatorListener) {
        h impl = getImpl();
        if (impl.C == null) {
            impl.C = new ArrayList<>();
        }
        impl.C.add(animatorListener);
    }

    public void f(j<? extends FloatingActionButton> jVar) {
        h impl = getImpl();
        c cVar = new c(jVar);
        if (impl.E == null) {
            impl.E = new ArrayList<>();
        }
        impl.E.add(cVar);
    }

    @Deprecated
    public boolean g(Rect rect) {
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        if (!isLaidOut()) {
            return false;
        }
        rect.set(0, 0, getWidth(), getHeight());
        l(rect);
        return true;
    }

    public ColorStateList getBackgroundTintList() {
        return this.f4869j;
    }

    public PorterDuff.Mode getBackgroundTintMode() {
        return this.f4870k;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.AttachedBehavior
    public CoordinatorLayout.b<FloatingActionButton> getBehavior() {
        return new Behavior();
    }

    public float getCompatElevation() {
        return getImpl().d();
    }

    public float getCompatHoveredFocusedTranslationZ() {
        return getImpl().p;
    }

    public float getCompatPressedTranslationZ() {
        return getImpl().q;
    }

    public Drawable getContentBackground() {
        return getImpl().f10517l;
    }

    public int getCustomSize() {
        return this.q;
    }

    public int getExpandedComponentIdHint() {
        return this.x.f10473c;
    }

    public g getHideMotionSpec() {
        return getImpl().x;
    }

    @Deprecated
    public int getRippleColor() {
        ColorStateList colorStateList = this.n;
        if (colorStateList != null) {
            return colorStateList.getDefaultColor();
        }
        return 0;
    }

    public ColorStateList getRippleColorStateList() {
        return this.n;
    }

    @Override // d.h.a.b.w.p
    public l getShapeAppearanceModel() {
        l lVar = getImpl().f10513h;
        Objects.requireNonNull(lVar);
        return lVar;
    }

    public g getShowMotionSpec() {
        return getImpl().w;
    }

    public int getSize() {
        return this.p;
    }

    public int getSizeDimension() {
        return h(this.p);
    }

    @Override // androidx.core.view.TintableBackgroundView
    public ColorStateList getSupportBackgroundTintList() {
        return getBackgroundTintList();
    }

    @Override // androidx.core.view.TintableBackgroundView
    public PorterDuff.Mode getSupportBackgroundTintMode() {
        return getBackgroundTintMode();
    }

    @Override // androidx.core.widget.TintableImageSourceView
    public ColorStateList getSupportImageTintList() {
        return this.f4871l;
    }

    @Override // androidx.core.widget.TintableImageSourceView
    public PorterDuff.Mode getSupportImageTintMode() {
        return this.m;
    }

    public boolean getUseCompatPadding() {
        return this.t;
    }

    public final int h(int i2) {
        int i3 = this.q;
        if (i3 != 0) {
            return i3;
        }
        Resources resources = getResources();
        if (i2 != -1) {
            if (i2 != 1) {
                return resources.getDimensionPixelSize(R$dimen.design_fab_size_normal);
            }
            return resources.getDimensionPixelSize(R$dimen.design_fab_size_mini);
        } else if (Math.max(resources.getConfiguration().screenWidthDp, resources.getConfiguration().screenHeightDp) < 470) {
            return h(1);
        } else {
            return h(0);
        }
    }

    public void i(a aVar, boolean z) {
        d.h.a.b.o.e eVar;
        h impl = getImpl();
        if (aVar == null) {
            eVar = null;
        } else {
            eVar = new d.h.a.b.o.e(this, aVar);
        }
        if (!impl.g()) {
            Animator animator = impl.v;
            if (animator != null) {
                animator.cancel();
            }
            if (impl.s()) {
                g gVar = impl.x;
                if (gVar == null) {
                    if (impl.u == null) {
                        impl.u = g.b(impl.F.getContext(), R$animator.design_fab_hide_motion_spec);
                    }
                    gVar = impl.u;
                    Objects.requireNonNull(gVar);
                }
                AnimatorSet b2 = impl.b(gVar, 0.0f, 0.0f, 0.0f);
                b2.addListener(new f(impl, z, eVar));
                ArrayList<Animator.AnimatorListener> arrayList = impl.D;
                if (arrayList != null) {
                    Iterator<Animator.AnimatorListener> it = arrayList.iterator();
                    while (it.hasNext()) {
                        b2.addListener(it.next());
                    }
                }
                b2.start();
                return;
            }
            impl.F.b(z ? 8 : 4, z);
            if (eVar != null) {
                eVar.f10497a.a(eVar.f10498b);
            }
        }
    }

    public boolean j() {
        return getImpl().g();
    }

    public void jumpDrawablesToCurrentState() {
        super.jumpDrawablesToCurrentState();
        getImpl().i();
    }

    public boolean k() {
        return getImpl().h();
    }

    public final void l(Rect rect) {
        int i2 = rect.left;
        Rect rect2 = this.u;
        rect.left = i2 + rect2.left;
        rect.top += rect2.top;
        rect.right -= rect2.right;
        rect.bottom -= rect2.bottom;
    }

    public final void m() {
        Drawable drawable = getDrawable();
        if (drawable != null) {
            ColorStateList colorStateList = this.f4871l;
            if (colorStateList == null) {
                AppCompatDelegateImpl.e.q(drawable);
                return;
            }
            int colorForState = colorStateList.getColorForState(getDrawableState(), 0);
            PorterDuff.Mode mode = this.m;
            if (mode == null) {
                mode = PorterDuff.Mode.SRC_IN;
            }
            drawable.mutate().setColorFilter(d.c(colorForState, mode));
        }
    }

    public void o(a aVar, boolean z) {
        d.h.a.b.o.e eVar;
        h impl = getImpl();
        if (aVar == null) {
            eVar = null;
        } else {
            eVar = new d.h.a.b.o.e(this, aVar);
        }
        if (!impl.h()) {
            Animator animator = impl.v;
            if (animator != null) {
                animator.cancel();
            }
            if (impl.s()) {
                if (impl.F.getVisibility() != 0) {
                    impl.F.setAlpha(0.0f);
                    impl.F.setScaleY(0.0f);
                    impl.F.setScaleX(0.0f);
                    impl.o(0.0f);
                }
                g gVar = impl.w;
                if (gVar == null) {
                    if (impl.t == null) {
                        impl.t = g.b(impl.F.getContext(), R$animator.design_fab_show_motion_spec);
                    }
                    gVar = impl.t;
                    Objects.requireNonNull(gVar);
                }
                AnimatorSet b2 = impl.b(gVar, 1.0f, 1.0f, 1.0f);
                b2.addListener(new d.h.a.b.o.g(impl, z, eVar));
                ArrayList<Animator.AnimatorListener> arrayList = impl.C;
                if (arrayList != null) {
                    Iterator<Animator.AnimatorListener> it = arrayList.iterator();
                    while (it.hasNext()) {
                        b2.addListener(it.next());
                    }
                }
                b2.start();
                return;
            }
            impl.F.b(0, z);
            impl.F.setAlpha(1.0f);
            impl.F.setScaleY(1.0f);
            impl.F.setScaleX(1.0f);
            impl.o(1.0f);
            if (eVar != null) {
                eVar.f10497a.b(eVar.f10498b);
            }
        }
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        h impl = getImpl();
        MaterialShapeDrawable materialShapeDrawable = impl.f10514i;
        if (materialShapeDrawable != null) {
            n.n2(impl.F, materialShapeDrawable);
        }
        if (!(impl instanceof k)) {
            ViewTreeObserver viewTreeObserver = impl.F.getViewTreeObserver();
            if (impl.L == null) {
                impl.L = new d.h.a.b.o.j(impl);
            }
            viewTreeObserver.addOnPreDrawListener(impl.L);
        }
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        h impl = getImpl();
        ViewTreeObserver viewTreeObserver = impl.F.getViewTreeObserver();
        ViewTreeObserver.OnPreDrawListener onPreDrawListener = impl.L;
        if (onPreDrawListener != null) {
            viewTreeObserver.removeOnPreDrawListener(onPreDrawListener);
            impl.L = null;
        }
    }

    public void onMeasure(int i2, int i3) {
        int sizeDimension = getSizeDimension();
        this.r = (sizeDimension - this.s) / 2;
        getImpl().v();
        int min = Math.min(n(sizeDimension, i2), n(sizeDimension, i3));
        Rect rect = this.u;
        setMeasuredDimension(rect.left + min + rect.right, min + rect.top + rect.bottom);
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof ExtendableSavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        ExtendableSavedState extendableSavedState = (ExtendableSavedState) parcelable;
        super.onRestoreInstanceState(extendableSavedState.getSuperState());
        d.h.a.b.n.b bVar = this.x;
        Bundle bundle = extendableSavedState.extendableStates.get("expandableWidgetHelper");
        Objects.requireNonNull(bundle);
        Bundle bundle2 = bundle;
        Objects.requireNonNull(bVar);
        bVar.f10472b = bundle2.getBoolean("expanded", false);
        bVar.f10473c = bundle2.getInt("expandedComponentIdHint", 0);
        if (bVar.f10472b) {
            ViewParent parent = bVar.f10471a.getParent();
            if (parent instanceof CoordinatorLayout) {
                ((CoordinatorLayout) parent).dispatchDependentViewsChanged(bVar.f10471a);
            }
        }
    }

    public Parcelable onSaveInstanceState() {
        Parcelable onSaveInstanceState = super.onSaveInstanceState();
        if (onSaveInstanceState == null) {
            onSaveInstanceState = new Bundle();
        }
        ExtendableSavedState extendableSavedState = new ExtendableSavedState(onSaveInstanceState);
        b.f.g<String, Bundle> gVar = extendableSavedState.extendableStates;
        d.h.a.b.n.b bVar = this.x;
        Objects.requireNonNull(bVar);
        Bundle bundle = new Bundle();
        bundle.putBoolean("expanded", bVar.f10472b);
        bundle.putInt("expandedComponentIdHint", bVar.f10473c);
        gVar.put("expandableWidgetHelper", bundle);
        return extendableSavedState;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (motionEvent.getAction() != 0 || !g(this.v) || this.v.contains((int) motionEvent.getX(), (int) motionEvent.getY())) {
            return super.onTouchEvent(motionEvent);
        }
        return false;
    }

    public void setBackgroundColor(int i2) {
        Log.i("FloatingActionButton", "Setting a custom background is not supported.");
    }

    public void setBackgroundDrawable(Drawable drawable) {
        Log.i("FloatingActionButton", "Setting a custom background is not supported.");
    }

    public void setBackgroundResource(int i2) {
        Log.i("FloatingActionButton", "Setting a custom background is not supported.");
    }

    public void setBackgroundTintList(ColorStateList colorStateList) {
        if (this.f4869j != colorStateList) {
            this.f4869j = colorStateList;
            h impl = getImpl();
            MaterialShapeDrawable materialShapeDrawable = impl.f10514i;
            if (materialShapeDrawable != null) {
                materialShapeDrawable.setTintList(colorStateList);
            }
            d.h.a.b.o.c cVar = impl.f10516k;
            if (cVar != null) {
                cVar.b(colorStateList);
            }
        }
    }

    public void setBackgroundTintMode(PorterDuff.Mode mode) {
        if (this.f4870k != mode) {
            this.f4870k = mode;
            MaterialShapeDrawable materialShapeDrawable = getImpl().f10514i;
            if (materialShapeDrawable != null) {
                materialShapeDrawable.setTintMode(mode);
            }
        }
    }

    public void setCompatElevation(float f2) {
        h impl = getImpl();
        if (impl.o != f2) {
            impl.o = f2;
            impl.l(f2, impl.p, impl.q);
        }
    }

    public void setCompatElevationResource(int i2) {
        setCompatElevation(getResources().getDimension(i2));
    }

    public void setCompatHoveredFocusedTranslationZ(float f2) {
        h impl = getImpl();
        if (impl.p != f2) {
            impl.p = f2;
            impl.l(impl.o, f2, impl.q);
        }
    }

    public void setCompatHoveredFocusedTranslationZResource(int i2) {
        setCompatHoveredFocusedTranslationZ(getResources().getDimension(i2));
    }

    public void setCompatPressedTranslationZ(float f2) {
        h impl = getImpl();
        if (impl.q != f2) {
            impl.q = f2;
            impl.l(impl.o, impl.p, f2);
        }
    }

    public void setCompatPressedTranslationZResource(int i2) {
        setCompatPressedTranslationZ(getResources().getDimension(i2));
    }

    public void setCustomSize(int i2) {
        if (i2 < 0) {
            throw new IllegalArgumentException("Custom size must be non-negative");
        } else if (i2 != this.q) {
            this.q = i2;
            requestLayout();
        }
    }

    public void setElevation(float f2) {
        super.setElevation(f2);
        getImpl().w(f2);
    }

    public void setEnsureMinTouchTargetSize(boolean z) {
        if (z != getImpl().m) {
            getImpl().m = z;
            requestLayout();
        }
    }

    public void setExpandedComponentIdHint(int i2) {
        this.x.f10473c = i2;
    }

    public void setHideMotionSpec(g gVar) {
        getImpl().x = gVar;
    }

    public void setHideMotionSpecResource(int i2) {
        setHideMotionSpec(g.b(getContext(), i2));
    }

    public void setImageDrawable(Drawable drawable) {
        if (getDrawable() != drawable) {
            super.setImageDrawable(drawable);
            h impl = getImpl();
            impl.o(impl.z);
            if (this.f4871l != null) {
                m();
            }
        }
    }

    public void setImageResource(int i2) {
        this.w.c(i2);
        m();
    }

    public void setRippleColor(int i2) {
        setRippleColor(ColorStateList.valueOf(i2));
    }

    public void setScaleX(float f2) {
        super.setScaleX(f2);
        getImpl().m();
    }

    public void setScaleY(float f2) {
        super.setScaleY(f2);
        getImpl().m();
    }

    public void setShadowPaddingEnabled(boolean z) {
        h impl = getImpl();
        impl.n = z;
        impl.v();
    }

    @Override // d.h.a.b.w.p
    public void setShapeAppearanceModel(l lVar) {
        getImpl().q(lVar);
    }

    public void setShowMotionSpec(g gVar) {
        getImpl().w = gVar;
    }

    public void setShowMotionSpecResource(int i2) {
        setShowMotionSpec(g.b(getContext(), i2));
    }

    public void setSize(int i2) {
        this.q = 0;
        if (i2 != this.p) {
            this.p = i2;
            requestLayout();
        }
    }

    @Override // androidx.core.view.TintableBackgroundView
    public void setSupportBackgroundTintList(ColorStateList colorStateList) {
        setBackgroundTintList(colorStateList);
    }

    @Override // androidx.core.view.TintableBackgroundView
    public void setSupportBackgroundTintMode(PorterDuff.Mode mode) {
        setBackgroundTintMode(mode);
    }

    @Override // androidx.core.widget.TintableImageSourceView
    public void setSupportImageTintList(ColorStateList colorStateList) {
        if (this.f4871l != colorStateList) {
            this.f4871l = colorStateList;
            m();
        }
    }

    @Override // androidx.core.widget.TintableImageSourceView
    public void setSupportImageTintMode(PorterDuff.Mode mode) {
        if (this.m != mode) {
            this.m = mode;
            m();
        }
    }

    public void setTranslationX(float f2) {
        super.setTranslationX(f2);
        getImpl().n();
    }

    public void setTranslationY(float f2) {
        super.setTranslationY(f2);
        getImpl().n();
    }

    public void setTranslationZ(float f2) {
        super.setTranslationZ(f2);
        getImpl().n();
    }

    public void setUseCompatPadding(boolean z) {
        if (this.t != z) {
            this.t = z;
            getImpl().j();
        }
    }

    @Override // com.google.android.material.internal.VisibilityAwareImageButton
    public void setVisibility(int i2) {
        super.setVisibility(i2);
    }

    public static class BaseBehavior<T extends FloatingActionButton> extends CoordinatorLayout.b<T> {

        /* renamed from: a  reason: collision with root package name */
        public Rect f4872a;

        /* renamed from: b  reason: collision with root package name */
        public boolean f4873b;

        public BaseBehavior() {
            this.f4873b = true;
        }

        public boolean B(FloatingActionButton floatingActionButton, Rect rect) {
            Rect rect2 = floatingActionButton.u;
            rect.set(floatingActionButton.getLeft() + rect2.left, floatingActionButton.getTop() + rect2.top, floatingActionButton.getRight() - rect2.right, floatingActionButton.getBottom() - rect2.bottom);
            return true;
        }

        public final boolean C(View view, FloatingActionButton floatingActionButton) {
            CoordinatorLayout.e eVar = (CoordinatorLayout.e) floatingActionButton.getLayoutParams();
            if (this.f4873b && eVar.f1247f == view.getId() && floatingActionButton.getUserSetVisibility() == 0) {
                return true;
            }
            return false;
        }

        public final boolean D(CoordinatorLayout coordinatorLayout, AppBarLayout appBarLayout, FloatingActionButton floatingActionButton) {
            if (!C(appBarLayout, floatingActionButton)) {
                return false;
            }
            if (this.f4872a == null) {
                this.f4872a = new Rect();
            }
            Rect rect = this.f4872a;
            d.h.a.b.p.b.a(coordinatorLayout, appBarLayout, rect);
            if (rect.bottom <= appBarLayout.getMinimumHeightForVisibleOverlappingContent()) {
                floatingActionButton.i(null, false);
                return true;
            }
            floatingActionButton.o(null, false);
            return true;
        }

        public final boolean E(View view, FloatingActionButton floatingActionButton) {
            if (!C(view, floatingActionButton)) {
                return false;
            }
            if (view.getTop() < (floatingActionButton.getHeight() / 2) + ((ViewGroup.MarginLayoutParams) ((CoordinatorLayout.e) floatingActionButton.getLayoutParams())).topMargin) {
                floatingActionButton.i(null, false);
                return true;
            }
            floatingActionButton.o(null, false);
            return true;
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
        public /* bridge */ /* synthetic */ boolean a(CoordinatorLayout coordinatorLayout, View view, Rect rect) {
            return B((FloatingActionButton) view, rect);
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
        public void f(CoordinatorLayout.e eVar) {
            if (eVar.f1249h == 0) {
                eVar.f1249h = 80;
            }
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
        public boolean g(CoordinatorLayout coordinatorLayout, View view, View view2) {
            FloatingActionButton floatingActionButton = (FloatingActionButton) view;
            if (view2 instanceof AppBarLayout) {
                D(coordinatorLayout, (AppBarLayout) view2, floatingActionButton);
            } else {
                ViewGroup.LayoutParams layoutParams = view2.getLayoutParams();
                if (layoutParams instanceof CoordinatorLayout.e ? ((CoordinatorLayout.e) layoutParams).f1242a instanceof BottomSheetBehavior : false) {
                    E(view2, floatingActionButton);
                }
            }
            return false;
        }

        @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
        public boolean k(CoordinatorLayout coordinatorLayout, View view, int i2) {
            int i3;
            FloatingActionButton floatingActionButton = (FloatingActionButton) view;
            List<View> dependencies = coordinatorLayout.getDependencies(floatingActionButton);
            int size = dependencies.size();
            int i4 = 0;
            for (int i5 = 0; i5 < size; i5++) {
                View view2 = dependencies.get(i5);
                if (!(view2 instanceof AppBarLayout)) {
                    ViewGroup.LayoutParams layoutParams = view2.getLayoutParams();
                    if ((layoutParams instanceof CoordinatorLayout.e ? ((CoordinatorLayout.e) layoutParams).f1242a instanceof BottomSheetBehavior : false) && E(view2, floatingActionButton)) {
                        break;
                    }
                } else if (D(coordinatorLayout, (AppBarLayout) view2, floatingActionButton)) {
                    break;
                }
            }
            coordinatorLayout.onLayoutChild(floatingActionButton, i2);
            Rect rect = floatingActionButton.u;
            if (rect == null || rect.centerX() <= 0 || rect.centerY() <= 0) {
                return true;
            }
            CoordinatorLayout.e eVar = (CoordinatorLayout.e) floatingActionButton.getLayoutParams();
            if (floatingActionButton.getRight() >= coordinatorLayout.getWidth() - ((ViewGroup.MarginLayoutParams) eVar).rightMargin) {
                i3 = rect.right;
            } else {
                i3 = floatingActionButton.getLeft() <= ((ViewGroup.MarginLayoutParams) eVar).leftMargin ? -rect.left : 0;
            }
            if (floatingActionButton.getBottom() >= coordinatorLayout.getHeight() - ((ViewGroup.MarginLayoutParams) eVar).bottomMargin) {
                i4 = rect.bottom;
            } else if (floatingActionButton.getTop() <= ((ViewGroup.MarginLayoutParams) eVar).topMargin) {
                i4 = -rect.top;
            }
            if (i4 != 0) {
                ViewCompat.n(floatingActionButton, i4);
            }
            if (i3 == 0) {
                return true;
            }
            ViewCompat.m(floatingActionButton, i3);
            return true;
        }

        public BaseBehavior(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.FloatingActionButton_Behavior_Layout);
            this.f4873b = obtainStyledAttributes.getBoolean(R$styleable.FloatingActionButton_Behavior_Layout_behavior_autoHide, true);
            obtainStyledAttributes.recycle();
        }
    }

    public FloatingActionButton(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R$attr.floatingActionButtonStyle);
    }

    public void setRippleColor(ColorStateList colorStateList) {
        if (this.n != colorStateList) {
            this.n = colorStateList;
            getImpl().p(this.n);
        }
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public FloatingActionButton(Context context, AttributeSet attributeSet, int i2) {
        super(d.h.a.b.b0.a.a.a(context, attributeSet, i2, r6), attributeSet, i2);
        int i3 = f4868h;
        this.u = new Rect();
        this.v = new Rect();
        Context context2 = getContext();
        TypedArray d2 = d.h.a.b.p.f.d(context2, attributeSet, R$styleable.FloatingActionButton, i2, i3, new int[0]);
        this.f4869j = n.s0(context2, d2, R$styleable.FloatingActionButton_backgroundTint);
        this.f4870k = n.Z1(d2.getInt(R$styleable.FloatingActionButton_backgroundTintMode, -1), null);
        this.n = n.s0(context2, d2, R$styleable.FloatingActionButton_rippleColor);
        this.p = d2.getInt(R$styleable.FloatingActionButton_fabSize, -1);
        this.q = d2.getDimensionPixelSize(R$styleable.FloatingActionButton_fabCustomSize, 0);
        this.o = d2.getDimensionPixelSize(R$styleable.FloatingActionButton_borderWidth, 0);
        float dimension = d2.getDimension(R$styleable.FloatingActionButton_elevation, 0.0f);
        float dimension2 = d2.getDimension(R$styleable.FloatingActionButton_hoveredFocusedTranslationZ, 0.0f);
        float dimension3 = d2.getDimension(R$styleable.FloatingActionButton_pressedTranslationZ, 0.0f);
        this.t = d2.getBoolean(R$styleable.FloatingActionButton_useCompatPadding, false);
        int dimensionPixelSize = getResources().getDimensionPixelSize(R$dimen.mtrl_fab_min_touch_target);
        this.s = d2.getDimensionPixelSize(R$styleable.FloatingActionButton_maxImageSize, 0);
        g a2 = g.a(context2, d2, R$styleable.FloatingActionButton_showMotionSpec);
        g a3 = g.a(context2, d2, R$styleable.FloatingActionButton_hideMotionSpec);
        l a4 = l.c(context2, attributeSet, i2, i3, l.f10676a).a();
        boolean z = d2.getBoolean(R$styleable.FloatingActionButton_ensureMinTouchTargetSize, false);
        setEnabled(d2.getBoolean(R$styleable.FloatingActionButton_android_enabled, true));
        d2.recycle();
        e eVar = new e(this);
        this.w = eVar;
        eVar.b(attributeSet, i2);
        this.x = new d.h.a.b.n.b(this);
        getImpl().q(a4);
        getImpl().f(this.f4869j, this.f4870k, this.n, this.o);
        getImpl().r = dimensionPixelSize;
        h impl = getImpl();
        if (impl.o != dimension) {
            impl.o = dimension;
            impl.l(dimension, impl.p, impl.q);
        }
        h impl2 = getImpl();
        if (impl2.p != dimension2) {
            impl2.p = dimension2;
            impl2.l(impl2.o, dimension2, impl2.q);
        }
        h impl3 = getImpl();
        if (impl3.q != dimension3) {
            impl3.q = dimension3;
            impl3.l(impl3.o, impl3.p, dimension3);
        }
        h impl4 = getImpl();
        int i4 = this.s;
        if (impl4.A != i4) {
            impl4.A = i4;
            impl4.o(impl4.z);
        }
        getImpl().w = a2;
        getImpl().x = a3;
        getImpl().m = z;
        setScaleType(ImageView.ScaleType.MATRIX);
    }
}
