package com.google.android.material.imageview;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Outline;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffXfermode;
import android.graphics.Rect;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewOutlineProvider;
import androidx.appcompat.widget.AppCompatImageView;
import b.o.a.n;
import com.google.android.material.R$style;
import com.google.android.material.R$styleable;
import com.google.android.material.shape.MaterialShapeDrawable;
import d.h.a.b.w.l;
import d.h.a.b.w.m;
import d.h.a.b.w.p;

public class ShapeableImageView extends AppCompatImageView implements p {

    /* renamed from: d  reason: collision with root package name */
    public static final int f4877d = R$style.Widget_MaterialComponents_ShapeableImageView;

    /* renamed from: h  reason: collision with root package name */
    public final m f4878h;

    /* renamed from: j  reason: collision with root package name */
    public final RectF f4879j;

    /* renamed from: k  reason: collision with root package name */
    public final RectF f4880k;

    /* renamed from: l  reason: collision with root package name */
    public final Paint f4881l;
    public final Paint m;
    public final Path n;
    public ColorStateList o;
    public MaterialShapeDrawable p;
    public l q;
    public float r;
    public Path s;
    public int t;
    public int u;
    public int v;
    public int w;
    public int x;
    public int y;
    public boolean z;

    @TargetApi(21)
    public class a extends ViewOutlineProvider {

        /* renamed from: a  reason: collision with root package name */
        public final Rect f4882a = new Rect();

        public a() {
        }

        public void getOutline(View view, Outline outline) {
            ShapeableImageView shapeableImageView = ShapeableImageView.this;
            if (shapeableImageView.q != null) {
                if (shapeableImageView.p == null) {
                    shapeableImageView.p = new MaterialShapeDrawable(ShapeableImageView.this.q);
                }
                ShapeableImageView.this.f4879j.round(this.f4882a);
                ShapeableImageView.this.p.setBounds(this.f4882a);
                ShapeableImageView.this.p.getOutline(outline);
            }
        }
    }

    public ShapeableImageView(Context context) {
        this(context, null, 0);
    }

    public final boolean a() {
        return (this.x == Integer.MIN_VALUE && this.y == Integer.MIN_VALUE) ? false : true;
    }

    public final boolean b() {
        return getLayoutDirection() == 1;
    }

    public final void c(int i2, int i3) {
        this.f4879j.set((float) getPaddingLeft(), (float) getPaddingTop(), (float) (i2 - getPaddingRight()), (float) (i3 - getPaddingBottom()));
        this.f4878h.a(this.q, 1.0f, this.f4879j, this.n);
        this.s.rewind();
        this.s.addPath(this.n);
        this.f4880k.set(0.0f, 0.0f, (float) i2, (float) i3);
        this.s.addRect(this.f4880k, Path.Direction.CCW);
    }

    public int getContentPaddingBottom() {
        return this.w;
    }

    public final int getContentPaddingEnd() {
        int i2 = this.y;
        if (i2 != Integer.MIN_VALUE) {
            return i2;
        }
        return b() ? this.t : this.v;
    }

    public int getContentPaddingLeft() {
        int i2;
        int i3;
        if (a()) {
            if (b() && (i3 = this.y) != Integer.MIN_VALUE) {
                return i3;
            }
            if (!b() && (i2 = this.x) != Integer.MIN_VALUE) {
                return i2;
            }
        }
        return this.t;
    }

    public int getContentPaddingRight() {
        int i2;
        int i3;
        if (a()) {
            if (b() && (i3 = this.x) != Integer.MIN_VALUE) {
                return i3;
            }
            if (!b() && (i2 = this.y) != Integer.MIN_VALUE) {
                return i2;
            }
        }
        return this.v;
    }

    public final int getContentPaddingStart() {
        int i2 = this.x;
        if (i2 != Integer.MIN_VALUE) {
            return i2;
        }
        return b() ? this.v : this.t;
    }

    public int getContentPaddingTop() {
        return this.u;
    }

    public int getPaddingBottom() {
        return super.getPaddingBottom() - getContentPaddingBottom();
    }

    public int getPaddingEnd() {
        return super.getPaddingEnd() - getContentPaddingEnd();
    }

    public int getPaddingLeft() {
        return super.getPaddingLeft() - getContentPaddingLeft();
    }

    public int getPaddingRight() {
        return super.getPaddingRight() - getContentPaddingRight();
    }

    public int getPaddingStart() {
        return super.getPaddingStart() - getContentPaddingStart();
    }

    public int getPaddingTop() {
        return super.getPaddingTop() - getContentPaddingTop();
    }

    @Override // d.h.a.b.w.p
    public l getShapeAppearanceModel() {
        return this.q;
    }

    public ColorStateList getStrokeColor() {
        return this.o;
    }

    public float getStrokeWidth() {
        return this.r;
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        setLayerType(2, null);
    }

    public void onDetachedFromWindow() {
        setLayerType(0, null);
        super.onDetachedFromWindow();
    }

    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        canvas.drawPath(this.s, this.m);
        if (this.o != null) {
            this.f4881l.setStrokeWidth(this.r);
            int colorForState = this.o.getColorForState(getDrawableState(), this.o.getDefaultColor());
            if (this.r > 0.0f && colorForState != 0) {
                this.f4881l.setColor(colorForState);
                canvas.drawPath(this.n, this.f4881l);
            }
        }
    }

    public void onMeasure(int i2, int i3) {
        super.onMeasure(i2, i3);
        if (!this.z && isLayoutDirectionResolved()) {
            this.z = true;
            if (isPaddingRelative() || a()) {
                setPaddingRelative(super.getPaddingStart(), super.getPaddingTop(), super.getPaddingEnd(), super.getPaddingBottom());
            } else {
                setPadding(super.getPaddingLeft(), super.getPaddingTop(), super.getPaddingRight(), super.getPaddingBottom());
            }
        }
    }

    public void onSizeChanged(int i2, int i3, int i4, int i5) {
        super.onSizeChanged(i2, i3, i4, i5);
        c(i2, i3);
    }

    public void setPadding(int i2, int i3, int i4, int i5) {
        super.setPadding(getContentPaddingLeft() + i2, getContentPaddingTop() + i3, getContentPaddingRight() + i4, getContentPaddingBottom() + i5);
    }

    public void setPaddingRelative(int i2, int i3, int i4, int i5) {
        super.setPaddingRelative(getContentPaddingStart() + i2, getContentPaddingTop() + i3, getContentPaddingEnd() + i4, getContentPaddingBottom() + i5);
    }

    @Override // d.h.a.b.w.p
    public void setShapeAppearanceModel(l lVar) {
        this.q = lVar;
        MaterialShapeDrawable materialShapeDrawable = this.p;
        if (materialShapeDrawable != null) {
            materialShapeDrawable.f4976j.f4980a = lVar;
            materialShapeDrawable.invalidateSelf();
        }
        c(getWidth(), getHeight());
        invalidate();
        invalidateOutline();
    }

    public void setStrokeColor(ColorStateList colorStateList) {
        this.o = colorStateList;
        invalidate();
    }

    public void setStrokeColorResource(int i2) {
        setStrokeColor(b.b.b.a.a.a(getContext(), i2));
    }

    public void setStrokeWidth(float f2) {
        if (this.r != f2) {
            this.r = f2;
            invalidate();
        }
    }

    public void setStrokeWidthResource(int i2) {
        setStrokeWidth((float) getResources().getDimensionPixelSize(i2));
    }

    public ShapeableImageView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public ShapeableImageView(Context context, AttributeSet attributeSet, int i2) {
        super(d.h.a.b.b0.a.a.a(context, attributeSet, i2, r0), attributeSet, i2);
        int i3 = f4877d;
        this.f4878h = m.a.f10712a;
        this.n = new Path();
        this.z = false;
        Context context2 = getContext();
        Paint paint = new Paint();
        this.m = paint;
        paint.setAntiAlias(true);
        paint.setColor(-1);
        paint.setXfermode(new PorterDuffXfermode(PorterDuff.Mode.DST_OUT));
        this.f4879j = new RectF();
        this.f4880k = new RectF();
        this.s = new Path();
        TypedArray obtainStyledAttributes = context2.obtainStyledAttributes(attributeSet, R$styleable.ShapeableImageView, i2, i3);
        this.o = n.s0(context2, obtainStyledAttributes, R$styleable.ShapeableImageView_strokeColor);
        this.r = (float) obtainStyledAttributes.getDimensionPixelSize(R$styleable.ShapeableImageView_strokeWidth, 0);
        int dimensionPixelSize = obtainStyledAttributes.getDimensionPixelSize(R$styleable.ShapeableImageView_contentPadding, 0);
        this.t = dimensionPixelSize;
        this.u = dimensionPixelSize;
        this.v = dimensionPixelSize;
        this.w = dimensionPixelSize;
        this.t = obtainStyledAttributes.getDimensionPixelSize(R$styleable.ShapeableImageView_contentPaddingLeft, dimensionPixelSize);
        this.u = obtainStyledAttributes.getDimensionPixelSize(R$styleable.ShapeableImageView_contentPaddingTop, dimensionPixelSize);
        this.v = obtainStyledAttributes.getDimensionPixelSize(R$styleable.ShapeableImageView_contentPaddingRight, dimensionPixelSize);
        this.w = obtainStyledAttributes.getDimensionPixelSize(R$styleable.ShapeableImageView_contentPaddingBottom, dimensionPixelSize);
        this.x = obtainStyledAttributes.getDimensionPixelSize(R$styleable.ShapeableImageView_contentPaddingStart, Integer.MIN_VALUE);
        this.y = obtainStyledAttributes.getDimensionPixelSize(R$styleable.ShapeableImageView_contentPaddingEnd, Integer.MIN_VALUE);
        obtainStyledAttributes.recycle();
        Paint paint2 = new Paint();
        this.f4881l = paint2;
        paint2.setStyle(Paint.Style.STROKE);
        paint2.setAntiAlias(true);
        this.q = l.c(context2, attributeSet, i2, i3, new d.h.a.b.w.a((float) 0)).a();
        setOutlineProvider(new a());
    }
}
