package com.google.android.material.internal;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.View;
import android.widget.FrameLayout;
import androidx.core.view.OnApplyWindowInsetsListener;
import androidx.core.view.ViewCompat;
import b.j.c.b;
import b.j.h.o;
import com.google.android.material.R$style;
import com.google.android.material.R$styleable;
import d.h.a.b.p.f;
import java.util.concurrent.atomic.AtomicInteger;

public class ScrimInsetsFrameLayout extends FrameLayout {

    /* renamed from: d  reason: collision with root package name */
    public Drawable f4909d;

    /* renamed from: h  reason: collision with root package name */
    public Rect f4910h;

    /* renamed from: j  reason: collision with root package name */
    public Rect f4911j;

    /* renamed from: k  reason: collision with root package name */
    public boolean f4912k;

    /* renamed from: l  reason: collision with root package name */
    public boolean f4913l;

    public class a implements OnApplyWindowInsetsListener {
        public a() {
        }

        @Override // androidx.core.view.OnApplyWindowInsetsListener
        public o onApplyWindowInsets(View view, o oVar) {
            ScrimInsetsFrameLayout scrimInsetsFrameLayout = ScrimInsetsFrameLayout.this;
            if (scrimInsetsFrameLayout.f4910h == null) {
                scrimInsetsFrameLayout.f4910h = new Rect();
            }
            ScrimInsetsFrameLayout.this.f4910h.set(oVar.c(), oVar.e(), oVar.d(), oVar.b());
            ScrimInsetsFrameLayout.this.a(oVar);
            ScrimInsetsFrameLayout scrimInsetsFrameLayout2 = ScrimInsetsFrameLayout.this;
            boolean z = true;
            if ((!oVar.f3424b.h().equals(b.f3288a)) && ScrimInsetsFrameLayout.this.f4909d != null) {
                z = false;
            }
            scrimInsetsFrameLayout2.setWillNotDraw(z);
            ScrimInsetsFrameLayout scrimInsetsFrameLayout3 = ScrimInsetsFrameLayout.this;
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            scrimInsetsFrameLayout3.postInvalidateOnAnimation();
            return oVar.a();
        }
    }

    public ScrimInsetsFrameLayout(Context context) {
        this(context, null);
    }

    public void a(o oVar) {
    }

    public void draw(Canvas canvas) {
        super.draw(canvas);
        int width = getWidth();
        int height = getHeight();
        if (this.f4910h != null && this.f4909d != null) {
            int save = canvas.save();
            canvas.translate((float) getScrollX(), (float) getScrollY());
            if (this.f4912k) {
                this.f4911j.set(0, 0, width, this.f4910h.top);
                this.f4909d.setBounds(this.f4911j);
                this.f4909d.draw(canvas);
            }
            if (this.f4913l) {
                this.f4911j.set(0, height - this.f4910h.bottom, width, height);
                this.f4909d.setBounds(this.f4911j);
                this.f4909d.draw(canvas);
            }
            Rect rect = this.f4911j;
            Rect rect2 = this.f4910h;
            rect.set(0, rect2.top, rect2.left, height - rect2.bottom);
            this.f4909d.setBounds(this.f4911j);
            this.f4909d.draw(canvas);
            Rect rect3 = this.f4911j;
            Rect rect4 = this.f4910h;
            rect3.set(width - rect4.right, rect4.top, width, height - rect4.bottom);
            this.f4909d.setBounds(this.f4911j);
            this.f4909d.draw(canvas);
            canvas.restoreToCount(save);
        }
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        Drawable drawable = this.f4909d;
        if (drawable != null) {
            drawable.setCallback(this);
        }
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        Drawable drawable = this.f4909d;
        if (drawable != null) {
            drawable.setCallback(null);
        }
    }

    public void setDrawBottomInsetForeground(boolean z) {
        this.f4913l = z;
    }

    public void setDrawTopInsetForeground(boolean z) {
        this.f4912k = z;
    }

    public void setScrimInsetForeground(Drawable drawable) {
        this.f4909d = drawable;
    }

    public ScrimInsetsFrameLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public ScrimInsetsFrameLayout(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f4911j = new Rect();
        this.f4912k = true;
        this.f4913l = true;
        int[] iArr = R$styleable.ScrimInsetsFrameLayout;
        int i3 = R$style.Widget_Design_ScrimInsetsFrameLayout;
        f.a(context, attributeSet, i2, i3);
        f.b(context, attributeSet, iArr, i2, i3, new int[0]);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, iArr, i2, i3);
        this.f4909d = obtainStyledAttributes.getDrawable(R$styleable.ScrimInsetsFrameLayout_insetForeground);
        obtainStyledAttributes.recycle();
        setWillNotDraw(true);
        a aVar = new a();
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        ViewCompat.c.d(this, aVar);
    }
}
