package com.google.android.material.internal;

import android.os.Build;
import android.text.Layout;
import android.text.StaticLayout;
import android.text.TextDirectionHeuristic;
import android.text.TextDirectionHeuristics;
import android.text.TextPaint;
import android.text.TextUtils;
import d.a.a.a.a;
import java.lang.reflect.Constructor;
import java.util.Objects;
import org.dsq.library.widget.bigImage.SubsamplingScaleImageView;

public final class StaticLayoutBuilderCompat {

    /* renamed from: a  reason: collision with root package name */
    public static final int f4915a = (Build.VERSION.SDK_INT >= 23 ? 1 : 0);

    /* renamed from: b  reason: collision with root package name */
    public static boolean f4916b;

    /* renamed from: c  reason: collision with root package name */
    public static Constructor<StaticLayout> f4917c;

    /* renamed from: d  reason: collision with root package name */
    public static Object f4918d;

    /* renamed from: e  reason: collision with root package name */
    public CharSequence f4919e;

    /* renamed from: f  reason: collision with root package name */
    public final TextPaint f4920f;

    /* renamed from: g  reason: collision with root package name */
    public final int f4921g;

    /* renamed from: h  reason: collision with root package name */
    public int f4922h;

    /* renamed from: i  reason: collision with root package name */
    public Layout.Alignment f4923i = Layout.Alignment.ALIGN_NORMAL;

    /* renamed from: j  reason: collision with root package name */
    public int f4924j = SubsamplingScaleImageView.TILE_SIZE_AUTO;

    /* renamed from: k  reason: collision with root package name */
    public float f4925k = 0.0f;

    /* renamed from: l  reason: collision with root package name */
    public float f4926l = 1.0f;
    public int m = f4915a;
    public boolean n = true;
    public boolean o;
    public TextUtils.TruncateAt p = null;

    public static class StaticLayoutBuilderCompatException extends Exception {
        /* JADX WARNING: Illegal instructions before constructor call */
        public StaticLayoutBuilderCompatException(Throwable th) {
            super(r0.toString(), th);
            StringBuilder B = a.B("Error thrown initializing StaticLayout ");
            B.append(th.getMessage());
        }
    }

    public StaticLayoutBuilderCompat(CharSequence charSequence, TextPaint textPaint, int i2) {
        this.f4919e = charSequence;
        this.f4920f = textPaint;
        this.f4921g = i2;
        this.f4922h = charSequence.length();
    }

    public StaticLayout a() {
        if (this.f4919e == null) {
            this.f4919e = "";
        }
        int max = Math.max(0, this.f4921g);
        CharSequence charSequence = this.f4919e;
        if (this.f4924j == 1) {
            charSequence = TextUtils.ellipsize(charSequence, this.f4920f, (float) max, this.p);
        }
        int min = Math.min(charSequence.length(), this.f4922h);
        this.f4922h = min;
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 23) {
            if (this.o && this.f4924j == 1) {
                this.f4923i = Layout.Alignment.ALIGN_OPPOSITE;
            }
            StaticLayout.Builder obtain = StaticLayout.Builder.obtain(charSequence, 0, min, this.f4920f, max);
            obtain.setAlignment(this.f4923i);
            obtain.setIncludePad(this.n);
            obtain.setTextDirection(this.o ? TextDirectionHeuristics.RTL : TextDirectionHeuristics.LTR);
            TextUtils.TruncateAt truncateAt = this.p;
            if (truncateAt != null) {
                obtain.setEllipsize(truncateAt);
            }
            obtain.setMaxLines(this.f4924j);
            float f2 = this.f4925k;
            if (!(f2 == 0.0f && this.f4926l == 1.0f)) {
                obtain.setLineSpacing(f2, this.f4926l);
            }
            if (this.f4924j > 1) {
                obtain.setHyphenationFrequency(this.m);
            }
            return obtain.build();
        }
        if (!f4916b) {
            try {
                f4918d = this.o && i2 >= 23 ? TextDirectionHeuristics.RTL : TextDirectionHeuristics.LTR;
                Class cls = Integer.TYPE;
                Class cls2 = Float.TYPE;
                Constructor<StaticLayout> declaredConstructor = StaticLayout.class.getDeclaredConstructor(CharSequence.class, cls, cls, TextPaint.class, cls, Layout.Alignment.class, TextDirectionHeuristic.class, cls2, cls2, Boolean.TYPE, TextUtils.TruncateAt.class, cls, cls);
                f4917c = declaredConstructor;
                declaredConstructor.setAccessible(true);
                f4916b = true;
            } catch (Exception e2) {
                throw new StaticLayoutBuilderCompatException(e2);
            }
        }
        try {
            Constructor<StaticLayout> constructor = f4917c;
            Objects.requireNonNull(constructor);
            Object obj = f4918d;
            Objects.requireNonNull(obj);
            return constructor.newInstance(charSequence, 0, Integer.valueOf(this.f4922h), this.f4920f, Integer.valueOf(max), this.f4923i, obj, Float.valueOf(1.0f), Float.valueOf(0.0f), Boolean.valueOf(this.n), null, Integer.valueOf(max), Integer.valueOf(this.f4924j));
        } catch (Exception e3) {
            throw new StaticLayoutBuilderCompatException(e3);
        }
    }
}
