package com.google.android.material.navigation;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.appcompat.view.menu.MenuItemImpl;
import androidx.appcompat.view.menu.MenuView;
import androidx.core.view.ViewCompat;
import b.j.h.g;
import b.j.h.p.b;
import com.google.android.material.R$dimen;
import com.google.android.material.R$drawable;
import com.google.android.material.R$id;
import com.google.android.material.R$string;
import com.google.android.material.badge.BadgeDrawable;
import java.util.concurrent.atomic.AtomicInteger;

public abstract class NavigationBarItemView extends FrameLayout implements MenuView.ItemView {

    /* renamed from: d  reason: collision with root package name */
    public static final int[] f4929d = {16842912};

    /* renamed from: h  reason: collision with root package name */
    public final int f4930h;

    /* renamed from: j  reason: collision with root package name */
    public float f4931j;

    /* renamed from: k  reason: collision with root package name */
    public float f4932k;

    /* renamed from: l  reason: collision with root package name */
    public float f4933l;
    public int m;
    public boolean n;
    public ImageView o;
    public final ViewGroup p;
    public final TextView q;
    public final TextView r;
    public int s = -1;
    public MenuItemImpl t;
    public ColorStateList u;
    public Drawable v;
    public Drawable w;
    public BadgeDrawable x;

    public class a implements View.OnLayoutChangeListener {
        public a() {
        }

        public void onLayoutChange(View view, int i2, int i3, int i4, int i5, int i6, int i7, int i8, int i9) {
            if (NavigationBarItemView.this.o.getVisibility() == 0) {
                NavigationBarItemView navigationBarItemView = NavigationBarItemView.this;
                ImageView imageView = navigationBarItemView.o;
                if (navigationBarItemView.b()) {
                    d.h.a.b.c.a.c(navigationBarItemView.x, imageView, null);
                }
            }
        }
    }

    public NavigationBarItemView(Context context) {
        super(context);
        LayoutInflater.from(context).inflate(getItemLayoutResId(), (ViewGroup) this, true);
        this.o = (ImageView) findViewById(R$id.navigation_bar_item_icon_view);
        ViewGroup viewGroup = (ViewGroup) findViewById(R$id.navigation_bar_item_labels_group);
        this.p = viewGroup;
        TextView textView = (TextView) findViewById(R$id.navigation_bar_item_small_label_view);
        this.q = textView;
        TextView textView2 = (TextView) findViewById(R$id.navigation_bar_item_large_label_view);
        this.r = textView2;
        setBackgroundResource(getItemBackgroundResId());
        this.f4930h = getResources().getDimensionPixelSize(getItemDefaultMarginResId());
        viewGroup.setTag(R$id.mtrl_view_tag_bottom_padding, Integer.valueOf(viewGroup.getPaddingBottom()));
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        textView.setImportantForAccessibility(2);
        textView2.setImportantForAccessibility(2);
        setFocusable(true);
        a(textView.getTextSize(), textView2.getTextSize());
        ImageView imageView = this.o;
        if (imageView != null) {
            imageView.addOnLayoutChangeListener(new a());
        }
    }

    public static void c(View view, int i2, int i3) {
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) view.getLayoutParams();
        layoutParams.topMargin = i2;
        layoutParams.gravity = i3;
        view.setLayoutParams(layoutParams);
    }

    public static void d(View view, float f2, float f3, int i2) {
        view.setScaleX(f2);
        view.setScaleY(f3);
        view.setVisibility(i2);
    }

    public static void e(View view, int i2) {
        view.setPadding(view.getPaddingLeft(), view.getPaddingTop(), view.getPaddingRight(), i2);
    }

    private int getItemVisiblePosition() {
        ViewGroup viewGroup = (ViewGroup) getParent();
        int indexOfChild = viewGroup.indexOfChild(this);
        int i2 = 0;
        for (int i3 = 0; i3 < indexOfChild; i3++) {
            View childAt = viewGroup.getChildAt(i3);
            if ((childAt instanceof NavigationBarItemView) && childAt.getVisibility() == 0) {
                i2++;
            }
        }
        return i2;
    }

    private int getSuggestedIconHeight() {
        BadgeDrawable badgeDrawable = this.x;
        int minimumHeight = badgeDrawable != null ? badgeDrawable.getMinimumHeight() / 2 : 0;
        return this.o.getMeasuredWidth() + Math.max(minimumHeight, ((FrameLayout.LayoutParams) this.o.getLayoutParams()).topMargin) + minimumHeight;
    }

    private int getSuggestedIconWidth() {
        int i2;
        BadgeDrawable badgeDrawable = this.x;
        if (badgeDrawable == null) {
            i2 = 0;
        } else {
            i2 = badgeDrawable.getMinimumWidth() - BadgeDrawable.SavedState.access$600(this.x.q);
        }
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) this.o.getLayoutParams();
        int max = Math.max(i2, layoutParams.leftMargin);
        return Math.max(i2, layoutParams.rightMargin) + this.o.getMeasuredWidth() + max;
    }

    public final void a(float f2, float f3) {
        this.f4931j = f2 - f3;
        this.f4932k = (f3 * 1.0f) / f2;
        this.f4933l = (f2 * 1.0f) / f3;
    }

    public final boolean b() {
        return this.x != null;
    }

    public BadgeDrawable getBadge() {
        return this.x;
    }

    public int getItemBackgroundResId() {
        return R$drawable.mtrl_navigation_bar_item_background;
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public MenuItemImpl getItemData() {
        return this.t;
    }

    public int getItemDefaultMarginResId() {
        return R$dimen.mtrl_navigation_bar_item_default_margin;
    }

    public abstract int getItemLayoutResId();

    public int getItemPosition() {
        return this.s;
    }

    public int getSuggestedMinimumHeight() {
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) this.p.getLayoutParams();
        return this.p.getMeasuredHeight() + getSuggestedIconHeight() + layoutParams.topMargin + layoutParams.bottomMargin;
    }

    public int getSuggestedMinimumWidth() {
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) this.p.getLayoutParams();
        return Math.max(getSuggestedIconWidth(), this.p.getMeasuredWidth() + layoutParams.leftMargin + layoutParams.rightMargin);
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public void initialize(MenuItemImpl menuItemImpl, int i2) {
        CharSequence charSequence;
        this.t = menuItemImpl;
        setCheckable(menuItemImpl.isCheckable());
        setChecked(menuItemImpl.isChecked());
        setEnabled(menuItemImpl.isEnabled());
        setIcon(menuItemImpl.getIcon());
        setTitle(menuItemImpl.f255e);
        setId(menuItemImpl.f251a);
        if (!TextUtils.isEmpty(menuItemImpl.q)) {
            setContentDescription(menuItemImpl.q);
        }
        if (!TextUtils.isEmpty(menuItemImpl.r)) {
            charSequence = menuItemImpl.r;
        } else {
            charSequence = menuItemImpl.f255e;
        }
        if (Build.VERSION.SDK_INT > 23) {
            AppCompatDelegateImpl.e.C0(this, charSequence);
        }
        setVisibility(menuItemImpl.isVisible() ? 0 : 8);
    }

    public int[] onCreateDrawableState(int i2) {
        int[] onCreateDrawableState = super.onCreateDrawableState(i2 + 1);
        MenuItemImpl menuItemImpl = this.t;
        if (menuItemImpl != null && menuItemImpl.isCheckable() && this.t.isChecked()) {
            FrameLayout.mergeDrawableStates(onCreateDrawableState, f4929d);
        }
        return onCreateDrawableState;
    }

    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        BadgeDrawable badgeDrawable = this.x;
        if (badgeDrawable != null && badgeDrawable.isVisible()) {
            MenuItemImpl menuItemImpl = this.t;
            CharSequence charSequence = menuItemImpl.f255e;
            if (!TextUtils.isEmpty(menuItemImpl.q)) {
                charSequence = this.t.q;
            }
            accessibilityNodeInfo.setContentDescription(((Object) charSequence) + ", " + ((Object) this.x.c()));
        }
        accessibilityNodeInfo.setCollectionItemInfo((AccessibilityNodeInfo.CollectionItemInfo) b.c.a(0, 1, getItemVisiblePosition(), 1, false, isSelected()).f3469a);
        if (isSelected()) {
            accessibilityNodeInfo.setClickable(false);
            accessibilityNodeInfo.removeAction((AccessibilityNodeInfo.AccessibilityAction) b.a.f3458c.f3467l);
        }
        accessibilityNodeInfo.getExtras().putCharSequence("AccessibilityNodeInfo.roleDescription", getResources().getString(R$string.item_view_role_description));
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public boolean prefersCondensedTitle() {
        return false;
    }

    public void setBadge(BadgeDrawable badgeDrawable) {
        this.x = badgeDrawable;
        ImageView imageView = this.o;
        if (imageView != null && b() && imageView != null) {
            setClipChildren(false);
            setClipToPadding(false);
            d.h.a.b.c.a.a(this.x, imageView, null);
        }
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public void setCheckable(boolean z) {
        refreshDrawableState();
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public void setChecked(boolean z) {
        TextView textView = this.r;
        textView.setPivotX((float) (textView.getWidth() / 2));
        TextView textView2 = this.r;
        textView2.setPivotY((float) textView2.getBaseline());
        TextView textView3 = this.q;
        textView3.setPivotX((float) (textView3.getWidth() / 2));
        TextView textView4 = this.q;
        textView4.setPivotY((float) textView4.getBaseline());
        int i2 = this.m;
        if (i2 != -1) {
            if (i2 == 0) {
                if (z) {
                    c(this.o, this.f4930h, 49);
                    ViewGroup viewGroup = this.p;
                    e(viewGroup, ((Integer) viewGroup.getTag(R$id.mtrl_view_tag_bottom_padding)).intValue());
                    this.r.setVisibility(0);
                } else {
                    c(this.o, this.f4930h, 17);
                    e(this.p, 0);
                    this.r.setVisibility(4);
                }
                this.q.setVisibility(4);
            } else if (i2 == 1) {
                ViewGroup viewGroup2 = this.p;
                e(viewGroup2, ((Integer) viewGroup2.getTag(R$id.mtrl_view_tag_bottom_padding)).intValue());
                if (z) {
                    c(this.o, (int) (((float) this.f4930h) + this.f4931j), 49);
                    d(this.r, 1.0f, 1.0f, 0);
                    TextView textView5 = this.q;
                    float f2 = this.f4932k;
                    d(textView5, f2, f2, 4);
                } else {
                    c(this.o, this.f4930h, 49);
                    TextView textView6 = this.r;
                    float f3 = this.f4933l;
                    d(textView6, f3, f3, 4);
                    d(this.q, 1.0f, 1.0f, 0);
                }
            } else if (i2 == 2) {
                c(this.o, this.f4930h, 17);
                this.r.setVisibility(8);
                this.q.setVisibility(8);
            }
        } else if (this.n) {
            if (z) {
                c(this.o, this.f4930h, 49);
                ViewGroup viewGroup3 = this.p;
                e(viewGroup3, ((Integer) viewGroup3.getTag(R$id.mtrl_view_tag_bottom_padding)).intValue());
                this.r.setVisibility(0);
            } else {
                c(this.o, this.f4930h, 17);
                e(this.p, 0);
                this.r.setVisibility(4);
            }
            this.q.setVisibility(4);
        } else {
            ViewGroup viewGroup4 = this.p;
            e(viewGroup4, ((Integer) viewGroup4.getTag(R$id.mtrl_view_tag_bottom_padding)).intValue());
            if (z) {
                c(this.o, (int) (((float) this.f4930h) + this.f4931j), 49);
                d(this.r, 1.0f, 1.0f, 0);
                TextView textView7 = this.q;
                float f4 = this.f4932k;
                d(textView7, f4, f4, 4);
            } else {
                c(this.o, this.f4930h, 49);
                TextView textView8 = this.r;
                float f5 = this.f4933l;
                d(textView8, f5, f5, 4);
                d(this.q, 1.0f, 1.0f, 0);
            }
        }
        refreshDrawableState();
        setSelected(z);
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public void setEnabled(boolean z) {
        super.setEnabled(z);
        this.q.setEnabled(z);
        this.r.setEnabled(z);
        this.o.setEnabled(z);
        if (z) {
            ViewCompat.v(this, g.a(getContext(), 1002));
        } else {
            ViewCompat.v(this, null);
        }
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public void setIcon(Drawable drawable) {
        if (drawable != this.v) {
            this.v = drawable;
            if (drawable != null) {
                Drawable.ConstantState constantState = drawable.getConstantState();
                if (constantState != null) {
                    drawable = constantState.newDrawable();
                }
                drawable = AppCompatDelegateImpl.e.L0(drawable).mutate();
                this.w = drawable;
                ColorStateList colorStateList = this.u;
                if (colorStateList != null) {
                    drawable.setTintList(colorStateList);
                }
            }
            this.o.setImageDrawable(drawable);
        }
    }

    public void setIconSize(int i2) {
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) this.o.getLayoutParams();
        layoutParams.width = i2;
        layoutParams.height = i2;
        this.o.setLayoutParams(layoutParams);
    }

    public void setIconTintList(ColorStateList colorStateList) {
        Drawable drawable;
        this.u = colorStateList;
        if (this.t != null && (drawable = this.w) != null) {
            drawable.setTintList(colorStateList);
            this.w.invalidateSelf();
        }
    }

    public void setItemBackground(int i2) {
        Drawable drawable;
        if (i2 == 0) {
            drawable = null;
        } else {
            Context context = getContext();
            Object obj = b.j.b.a.f3266a;
            drawable = context.getDrawable(i2);
        }
        setItemBackground(drawable);
    }

    public void setItemPosition(int i2) {
        this.s = i2;
    }

    public void setLabelVisibilityMode(int i2) {
        if (this.m != i2) {
            this.m = i2;
            MenuItemImpl menuItemImpl = this.t;
            if (menuItemImpl != null) {
                setChecked(menuItemImpl.isChecked());
            }
        }
    }

    public void setShifting(boolean z) {
        if (this.n != z) {
            this.n = z;
            MenuItemImpl menuItemImpl = this.t;
            if (menuItemImpl != null) {
                setChecked(menuItemImpl.isChecked());
            }
        }
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public void setShortcut(boolean z, char c2) {
    }

    public void setTextAppearanceActive(int i2) {
        AppCompatDelegateImpl.e.x0(this.r, i2);
        a(this.q.getTextSize(), this.r.getTextSize());
    }

    public void setTextAppearanceInactive(int i2) {
        AppCompatDelegateImpl.e.x0(this.q, i2);
        a(this.q.getTextSize(), this.r.getTextSize());
    }

    public void setTextColor(ColorStateList colorStateList) {
        if (colorStateList != null) {
            this.q.setTextColor(colorStateList);
            this.r.setTextColor(colorStateList);
        }
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public void setTitle(CharSequence charSequence) {
        this.q.setText(charSequence);
        this.r.setText(charSequence);
        MenuItemImpl menuItemImpl = this.t;
        if (menuItemImpl == null || TextUtils.isEmpty(menuItemImpl.q)) {
            setContentDescription(charSequence);
        }
        MenuItemImpl menuItemImpl2 = this.t;
        if (menuItemImpl2 != null && !TextUtils.isEmpty(menuItemImpl2.r)) {
            charSequence = this.t.r;
        }
        if (Build.VERSION.SDK_INT > 23) {
            AppCompatDelegateImpl.e.C0(this, charSequence);
        }
    }

    @Override // androidx.appcompat.view.menu.MenuView.ItemView
    public boolean showsIcon() {
        return true;
    }

    public void setItemBackground(Drawable drawable) {
        if (!(drawable == null || drawable.getConstantState() == null)) {
            drawable = drawable.getConstantState().newDrawable().mutate();
        }
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        setBackground(drawable);
    }
}
