package com.google.android.material.navigation;

import android.content.Context;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.SparseArray;
import android.view.MenuItem;
import android.view.ViewGroup;
import androidx.appcompat.view.menu.MenuBuilder;
import androidx.appcompat.view.menu.MenuItemImpl;
import androidx.appcompat.view.menu.MenuPresenter;
import androidx.appcompat.view.menu.MenuView;
import androidx.appcompat.view.menu.SubMenuBuilder;
import b.x.m;
import com.google.android.material.badge.BadgeDrawable;
import com.google.android.material.internal.ParcelableSparseArray;

public class NavigationBarPresenter implements MenuPresenter {

    /* renamed from: d  reason: collision with root package name */
    public MenuBuilder f4941d;

    /* renamed from: h  reason: collision with root package name */
    public NavigationBarMenuView f4942h;

    /* renamed from: j  reason: collision with root package name */
    public boolean f4943j = false;

    /* renamed from: k  reason: collision with root package name */
    public int f4944k;

    public static class SavedState implements Parcelable {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        public ParcelableSparseArray badgeSavedStates;
        public int selectedItemId;

        public static class a implements Parcelable.Creator<SavedState> {
            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // android.os.Parcelable.Creator
            public SavedState createFromParcel(Parcel parcel) {
                return new SavedState(parcel);
            }

            /* Return type fixed from 'java.lang.Object[]' to match base method */
            @Override // android.os.Parcelable.Creator
            public SavedState[] newArray(int i2) {
                return new SavedState[i2];
            }
        }

        public SavedState() {
        }

        public int describeContents() {
            return 0;
        }

        public void writeToParcel(Parcel parcel, int i2) {
            parcel.writeInt(this.selectedItemId);
            parcel.writeParcelable(this.badgeSavedStates, 0);
        }

        public SavedState(Parcel parcel) {
            this.selectedItemId = parcel.readInt();
            this.badgeSavedStates = (ParcelableSparseArray) parcel.readParcelable(getClass().getClassLoader());
        }
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public boolean collapseItemActionView(MenuBuilder menuBuilder, MenuItemImpl menuItemImpl) {
        return false;
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public boolean expandItemActionView(MenuBuilder menuBuilder, MenuItemImpl menuItemImpl) {
        return false;
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public boolean flagActionItems() {
        return false;
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public int getId() {
        return this.f4944k;
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public MenuView getMenuView(ViewGroup viewGroup) {
        return this.f4942h;
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public void initForMenu(Context context, MenuBuilder menuBuilder) {
        this.f4941d = menuBuilder;
        this.f4942h.initialize(menuBuilder);
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public void onCloseMenu(MenuBuilder menuBuilder, boolean z) {
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (parcelable instanceof SavedState) {
            NavigationBarMenuView navigationBarMenuView = this.f4942h;
            SavedState savedState = (SavedState) parcelable;
            int i2 = savedState.selectedItemId;
            int size = navigationBarMenuView.B.size();
            int i3 = 0;
            while (true) {
                if (i3 >= size) {
                    break;
                }
                MenuItem item = navigationBarMenuView.B.getItem(i3);
                if (i2 == item.getItemId()) {
                    navigationBarMenuView.p = i2;
                    navigationBarMenuView.q = i3;
                    item.setChecked(true);
                    break;
                }
                i3++;
            }
            Context context = this.f4942h.getContext();
            ParcelableSparseArray parcelableSparseArray = savedState.badgeSavedStates;
            SparseArray<BadgeDrawable> sparseArray = new SparseArray<>(parcelableSparseArray.size());
            for (int i4 = 0; i4 < parcelableSparseArray.size(); i4++) {
                int keyAt = parcelableSparseArray.keyAt(i4);
                BadgeDrawable.SavedState savedState2 = (BadgeDrawable.SavedState) parcelableSparseArray.valueAt(i4);
                if (savedState2 != null) {
                    BadgeDrawable badgeDrawable = new BadgeDrawable(context);
                    badgeDrawable.j(BadgeDrawable.SavedState.access$100(savedState2));
                    if (BadgeDrawable.SavedState.access$200(savedState2) != -1) {
                        badgeDrawable.k(BadgeDrawable.SavedState.access$200(savedState2));
                    }
                    badgeDrawable.g(BadgeDrawable.SavedState.access$300(savedState2));
                    badgeDrawable.i(BadgeDrawable.SavedState.access$400(savedState2));
                    badgeDrawable.h(BadgeDrawable.SavedState.access$500(savedState2));
                    BadgeDrawable.SavedState.access$602(badgeDrawable.q, BadgeDrawable.SavedState.access$600(savedState2));
                    badgeDrawable.m();
                    BadgeDrawable.SavedState.access$702(badgeDrawable.q, BadgeDrawable.SavedState.access$700(savedState2));
                    badgeDrawable.m();
                    BadgeDrawable.SavedState.access$802(badgeDrawable.q, BadgeDrawable.SavedState.access$800(savedState2));
                    badgeDrawable.m();
                    BadgeDrawable.SavedState.access$902(badgeDrawable.q, BadgeDrawable.SavedState.access$900(savedState2));
                    badgeDrawable.m();
                    boolean access$000 = BadgeDrawable.SavedState.access$000(savedState2);
                    badgeDrawable.setVisible(access$000, false);
                    BadgeDrawable.SavedState.access$002(badgeDrawable.q, access$000);
                    sparseArray.put(keyAt, badgeDrawable);
                } else {
                    throw new IllegalArgumentException("BadgeDrawable's savedState cannot be null");
                }
            }
            this.f4942h.setBadgeDrawables(sparseArray);
        }
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState();
        savedState.selectedItemId = this.f4942h.getSelectedItemId();
        SparseArray<BadgeDrawable> badgeDrawables = this.f4942h.getBadgeDrawables();
        ParcelableSparseArray parcelableSparseArray = new ParcelableSparseArray();
        for (int i2 = 0; i2 < badgeDrawables.size(); i2++) {
            int keyAt = badgeDrawables.keyAt(i2);
            BadgeDrawable valueAt = badgeDrawables.valueAt(i2);
            if (valueAt != null) {
                parcelableSparseArray.put(keyAt, valueAt.q);
            } else {
                throw new IllegalArgumentException("badgeDrawable cannot be null");
            }
        }
        savedState.badgeSavedStates = parcelableSparseArray;
        return savedState;
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public boolean onSubMenuSelected(SubMenuBuilder subMenuBuilder) {
        return false;
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public void setCallback(MenuPresenter.Callback callback) {
    }

    @Override // androidx.appcompat.view.menu.MenuPresenter
    public void updateMenuView(boolean z) {
        if (!this.f4943j) {
            if (z) {
                this.f4942h.a();
                return;
            }
            NavigationBarMenuView navigationBarMenuView = this.f4942h;
            MenuBuilder menuBuilder = navigationBarMenuView.B;
            if (!(menuBuilder == null || navigationBarMenuView.o == null)) {
                int size = menuBuilder.size();
                if (size != navigationBarMenuView.o.length) {
                    navigationBarMenuView.a();
                    return;
                }
                int i2 = navigationBarMenuView.p;
                for (int i3 = 0; i3 < size; i3++) {
                    MenuItem item = navigationBarMenuView.B.getItem(i3);
                    if (item.isChecked()) {
                        navigationBarMenuView.p = item.getItemId();
                        navigationBarMenuView.q = i3;
                    }
                }
                if (i2 != navigationBarMenuView.p) {
                    m.a(navigationBarMenuView, navigationBarMenuView.f4937j);
                }
                boolean d2 = navigationBarMenuView.d(navigationBarMenuView.n, navigationBarMenuView.B.l().size());
                for (int i4 = 0; i4 < size; i4++) {
                    navigationBarMenuView.A.f4943j = true;
                    navigationBarMenuView.o[i4].setLabelVisibilityMode(navigationBarMenuView.n);
                    navigationBarMenuView.o[i4].setShifting(d2);
                    navigationBarMenuView.o[i4].initialize((MenuItemImpl) navigationBarMenuView.B.getItem(i4), 0);
                    navigationBarMenuView.A.f4943j = false;
                }
            }
        }
    }
}
