package com.google.android.material.navigation;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.widget.FrameLayout;
import androidx.appcompat.view.menu.MenuBuilder;
import androidx.appcompat.view.menu.MenuView;
import androidx.core.view.ViewCompat;
import androidx.customview.view.AbsSavedState;
import b.b.f.z;
import b.o.a.n;
import com.google.android.material.R$dimen;
import com.google.android.material.R$styleable;
import com.google.android.material.shape.MaterialShapeDrawable;
import d.h.a.b.p.f;
import java.util.concurrent.atomic.AtomicInteger;

public abstract class NavigationBarView extends FrameLayout {

    /* renamed from: d  reason: collision with root package name */
    public final NavigationBarMenu f4945d;

    /* renamed from: h  reason: collision with root package name */
    public final NavigationBarMenuView f4946h;

    /* renamed from: j  reason: collision with root package name */
    public final NavigationBarPresenter f4947j;

    /* renamed from: k  reason: collision with root package name */
    public ColorStateList f4948k;

    /* renamed from: l  reason: collision with root package name */
    public MenuInflater f4949l;
    public c m;
    public b n;

    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        public Bundle menuPresenterState;

        public static class a implements Parcelable.ClassLoaderCreator<SavedState> {
            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // android.os.Parcelable.ClassLoaderCreator
            public SavedState createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            public Object[] newArray(int i2) {
                return new SavedState[i2];
            }

            @Override // android.os.Parcelable.Creator
            public Object createFromParcel(Parcel parcel) {
                return new SavedState(parcel, null);
            }
        }

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        private void readFromParcel(Parcel parcel, ClassLoader classLoader) {
            this.menuPresenterState = parcel.readBundle(classLoader);
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(Parcel parcel, int i2) {
            super.writeToParcel(parcel, i2);
            parcel.writeBundle(this.menuPresenterState);
        }

        public SavedState(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            readFromParcel(parcel, classLoader == null ? getClass().getClassLoader() : classLoader);
        }
    }

    public class a implements MenuBuilder.Callback {
        public a() {
        }

        @Override // androidx.appcompat.view.menu.MenuBuilder.Callback
        public boolean onMenuItemSelected(MenuBuilder menuBuilder, MenuItem menuItem) {
            if (NavigationBarView.this.n == null || menuItem.getItemId() != NavigationBarView.this.getSelectedItemId()) {
                c cVar = NavigationBarView.this.m;
                if (cVar == null || cVar.a(menuItem)) {
                    return false;
                }
                return true;
            }
            NavigationBarView.this.n.a(menuItem);
            return true;
        }

        @Override // androidx.appcompat.view.menu.MenuBuilder.Callback
        public void onMenuModeChange(MenuBuilder menuBuilder) {
        }
    }

    public interface b {
        void a(MenuItem menuItem);
    }

    public interface c {
        boolean a(MenuItem menuItem);
    }

    public NavigationBarView(Context context, AttributeSet attributeSet, int i2, int i3) {
        super(d.h.a.b.b0.a.a.a(context, attributeSet, i2, i3), attributeSet, i2);
        NavigationBarPresenter navigationBarPresenter = new NavigationBarPresenter();
        this.f4947j = navigationBarPresenter;
        Context context2 = getContext();
        int[] iArr = R$styleable.NavigationBarView;
        int i4 = R$styleable.NavigationBarView_itemTextAppearanceInactive;
        int i5 = R$styleable.NavigationBarView_itemTextAppearanceActive;
        z e2 = f.e(context2, attributeSet, iArr, i2, i3, i4, i5);
        NavigationBarMenu navigationBarMenu = new NavigationBarMenu(context2, getClass(), getMaxItemCount());
        this.f4945d = navigationBarMenu;
        NavigationBarMenuView a2 = a(context2);
        this.f4946h = a2;
        navigationBarPresenter.f4942h = a2;
        navigationBarPresenter.f4944k = 1;
        a2.setPresenter(navigationBarPresenter);
        navigationBarMenu.b(navigationBarPresenter, navigationBarMenu.f240b);
        navigationBarPresenter.initForMenu(getContext(), navigationBarMenu);
        int i6 = R$styleable.NavigationBarView_itemIconTint;
        if (e2.p(i6)) {
            a2.setIconTintList(e2.c(i6));
        } else {
            a2.setIconTintList(a2.b(16842808));
        }
        setItemIconSize(e2.f(R$styleable.NavigationBarView_itemIconSize, getResources().getDimensionPixelSize(R$dimen.mtrl_navigation_bar_item_default_icon_size)));
        if (e2.p(i4)) {
            setItemTextAppearanceInactive(e2.m(i4, 0));
        }
        if (e2.p(i5)) {
            setItemTextAppearanceActive(e2.m(i5, 0));
        }
        int i7 = R$styleable.NavigationBarView_itemTextColor;
        if (e2.p(i7)) {
            setItemTextColor(e2.c(i7));
        }
        if (getBackground() == null || (getBackground() instanceof ColorDrawable)) {
            MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable();
            Drawable background = getBackground();
            if (background instanceof ColorDrawable) {
                materialShapeDrawable.q(ColorStateList.valueOf(((ColorDrawable) background).getColor()));
            }
            materialShapeDrawable.f4976j.f4981b = new d.h.a.b.m.a(context2);
            materialShapeDrawable.C();
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            setBackground(materialShapeDrawable);
        }
        int i8 = R$styleable.NavigationBarView_elevation;
        if (e2.p(i8)) {
            setElevation((float) e2.f(i8, 0));
        }
        getBackground().mutate().setTintList(n.t0(context2, e2, R$styleable.NavigationBarView_backgroundTint));
        setLabelVisibilityMode(e2.k(R$styleable.NavigationBarView_labelVisibilityMode, -1));
        int m2 = e2.m(R$styleable.NavigationBarView_itemBackground, 0);
        if (m2 != 0) {
            a2.setItemBackgroundRes(m2);
        } else {
            setItemRippleColor(n.t0(context2, e2, R$styleable.NavigationBarView_itemRippleColor));
        }
        int i9 = R$styleable.NavigationBarView_menu;
        if (e2.p(i9)) {
            int m3 = e2.m(i9, 0);
            navigationBarPresenter.f4943j = true;
            getMenuInflater().inflate(m3, navigationBarMenu);
            navigationBarPresenter.f4943j = false;
            navigationBarPresenter.updateMenuView(true);
        }
        e2.f2453b.recycle();
        addView(a2);
        navigationBarMenu.f244f = new a();
        n.d0(this, new d.h.a.b.q.a(this));
    }

    private MenuInflater getMenuInflater() {
        if (this.f4949l == null) {
            this.f4949l = new b.b.e.b(getContext());
        }
        return this.f4949l;
    }

    public abstract NavigationBarMenuView a(Context context);

    public Drawable getItemBackground() {
        return this.f4946h.getItemBackground();
    }

    @Deprecated
    public int getItemBackgroundResource() {
        return this.f4946h.getItemBackgroundRes();
    }

    public int getItemIconSize() {
        return this.f4946h.getItemIconSize();
    }

    public ColorStateList getItemIconTintList() {
        return this.f4946h.getIconTintList();
    }

    public ColorStateList getItemRippleColor() {
        return this.f4948k;
    }

    public int getItemTextAppearanceActive() {
        return this.f4946h.getItemTextAppearanceActive();
    }

    public int getItemTextAppearanceInactive() {
        return this.f4946h.getItemTextAppearanceInactive();
    }

    public ColorStateList getItemTextColor() {
        return this.f4946h.getItemTextColor();
    }

    public int getLabelVisibilityMode() {
        return this.f4946h.getLabelVisibilityMode();
    }

    public abstract int getMaxItemCount();

    public Menu getMenu() {
        return this.f4945d;
    }

    public MenuView getMenuView() {
        return this.f4946h;
    }

    public NavigationBarPresenter getPresenter() {
        return this.f4947j;
    }

    public int getSelectedItemId() {
        return this.f4946h.getSelectedItemId();
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        Drawable background = getBackground();
        if (background instanceof MaterialShapeDrawable) {
            n.n2(this, (MaterialShapeDrawable) background);
        }
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        this.f4945d.x(savedState.menuPresenterState);
    }

    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        Bundle bundle = new Bundle();
        savedState.menuPresenterState = bundle;
        this.f4945d.z(bundle);
        return savedState;
    }

    public void setElevation(float f2) {
        super.setElevation(f2);
        n.m2(this, f2);
    }

    public void setItemBackground(Drawable drawable) {
        this.f4946h.setItemBackground(drawable);
        this.f4948k = null;
    }

    public void setItemBackgroundResource(int i2) {
        this.f4946h.setItemBackgroundRes(i2);
        this.f4948k = null;
    }

    public void setItemIconSize(int i2) {
        this.f4946h.setItemIconSize(i2);
    }

    public void setItemIconSizeRes(int i2) {
        setItemIconSize(getResources().getDimensionPixelSize(i2));
    }

    public void setItemIconTintList(ColorStateList colorStateList) {
        this.f4946h.setIconTintList(colorStateList);
    }

    public void setItemRippleColor(ColorStateList colorStateList) {
        if (this.f4948k != colorStateList) {
            this.f4948k = colorStateList;
            if (colorStateList == null) {
                this.f4946h.setItemBackground(null);
                return;
            }
            this.f4946h.setItemBackground(new RippleDrawable(d.h.a.b.u.a.a(colorStateList), null, null));
        } else if (colorStateList == null && this.f4946h.getItemBackground() != null) {
            this.f4946h.setItemBackground(null);
        }
    }

    public void setItemTextAppearanceActive(int i2) {
        this.f4946h.setItemTextAppearanceActive(i2);
    }

    public void setItemTextAppearanceInactive(int i2) {
        this.f4946h.setItemTextAppearanceInactive(i2);
    }

    public void setItemTextColor(ColorStateList colorStateList) {
        this.f4946h.setItemTextColor(colorStateList);
    }

    public void setLabelVisibilityMode(int i2) {
        if (this.f4946h.getLabelVisibilityMode() != i2) {
            this.f4946h.setLabelVisibilityMode(i2);
            this.f4947j.updateMenuView(false);
        }
    }

    public void setOnItemReselectedListener(b bVar) {
        this.n = bVar;
    }

    public void setOnItemSelectedListener(c cVar) {
        this.m = cVar;
    }

    public void setSelectedItemId(int i2) {
        MenuItem findItem = this.f4945d.findItem(i2);
        if (findItem != null && !this.f4945d.t(findItem, this.f4947j, 0)) {
            findItem.setChecked(true);
        }
    }
}
