package com.google.android.material.progressindicator;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.drawable.Drawable;
import android.os.SystemClock;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewParent;
import android.widget.ProgressBar;
import androidx.core.view.ViewCompat;
import androidx.vectordrawable.graphics.drawable.Animatable2Compat;
import b.o.a.n;
import com.google.android.material.R$attr;
import com.google.android.material.R$style;
import com.google.android.material.R$styleable;
import d.h.a.b.p.f;
import d.h.a.b.s.b;
import d.h.a.b.s.i;
import d.h.a.b.s.j;
import java.util.Arrays;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;

public abstract class BaseProgressIndicator<S extends d.h.a.b.s.b> extends ProgressBar {

    /* renamed from: d  reason: collision with root package name */
    public static final int f4952d = R$style.Widget_MaterialComponents_ProgressIndicator;

    /* renamed from: h  reason: collision with root package name */
    public S f4953h;

    /* renamed from: j  reason: collision with root package name */
    public int f4954j;

    /* renamed from: k  reason: collision with root package name */
    public boolean f4955k;

    /* renamed from: l  reason: collision with root package name */
    public boolean f4956l;
    public final int m;
    public d.h.a.b.s.a n;
    public boolean o = false;
    public int p = 4;
    public final Runnable q = new a();
    public final Runnable r = new b();
    public final Animatable2Compat.a s = new c();
    public final Animatable2Compat.a t = new d();

    public class a implements Runnable {
        public a() {
        }

        public void run() {
            BaseProgressIndicator baseProgressIndicator = BaseProgressIndicator.this;
            if (baseProgressIndicator.m > 0) {
                SystemClock.uptimeMillis();
            }
            baseProgressIndicator.setVisibility(0);
        }
    }

    public class b implements Runnable {
        public b() {
        }

        public void run() {
            BaseProgressIndicator baseProgressIndicator = BaseProgressIndicator.this;
            int i2 = BaseProgressIndicator.f4952d;
            boolean z = false;
            ((i) baseProgressIndicator.getCurrentDrawable()).g(false, false, true);
            if ((baseProgressIndicator.getProgressDrawable() == null || !baseProgressIndicator.getProgressDrawable().isVisible()) && (baseProgressIndicator.getIndeterminateDrawable() == null || !baseProgressIndicator.getIndeterminateDrawable().isVisible())) {
                z = true;
            }
            if (z) {
                baseProgressIndicator.setVisibility(4);
            }
            Objects.requireNonNull(BaseProgressIndicator.this);
        }
    }

    public class c extends Animatable2Compat.a {
        public c() {
        }

        @Override // androidx.vectordrawable.graphics.drawable.Animatable2Compat.a
        public void a(Drawable drawable) {
            BaseProgressIndicator.this.setIndeterminate(false);
            BaseProgressIndicator.this.c(0, false);
            BaseProgressIndicator baseProgressIndicator = BaseProgressIndicator.this;
            baseProgressIndicator.c(baseProgressIndicator.f4954j, baseProgressIndicator.f4955k);
        }
    }

    public class d extends Animatable2Compat.a {
        public d() {
        }

        @Override // androidx.vectordrawable.graphics.drawable.Animatable2Compat.a
        public void a(Drawable drawable) {
            BaseProgressIndicator baseProgressIndicator = BaseProgressIndicator.this;
            if (!baseProgressIndicator.o) {
                baseProgressIndicator.setVisibility(baseProgressIndicator.p);
            }
        }
    }

    public BaseProgressIndicator(Context context, AttributeSet attributeSet, int i2, int i3) {
        super(d.h.a.b.b0.a.a.a(context, attributeSet, i2, f4952d), attributeSet, i2);
        Context context2 = getContext();
        this.f4953h = b(context2, attributeSet);
        TypedArray d2 = f.d(context2, attributeSet, R$styleable.BaseProgressIndicator, i2, i3, new int[0]);
        d2.getInt(R$styleable.BaseProgressIndicator_showDelay, -1);
        this.m = Math.min(d2.getInt(R$styleable.BaseProgressIndicator_minHideDelay, -1), 1000);
        d2.recycle();
        this.n = new d.h.a.b.s.a();
        this.f4956l = true;
    }

    private j<S> getCurrentDrawingDelegate() {
        if (isIndeterminate()) {
            if (getIndeterminateDrawable() == null) {
                return null;
            }
            return getIndeterminateDrawable().s;
        } else if (getProgressDrawable() == null) {
            return null;
        } else {
            return getProgressDrawable().t;
        }
    }

    public void a(boolean z) {
        if (this.f4956l) {
            ((i) getCurrentDrawable()).g(d(), false, z);
        }
    }

    public abstract S b(Context context, AttributeSet attributeSet);

    public void c(int i2, boolean z) {
        if (!isIndeterminate()) {
            super.setProgress(i2);
            if (getProgressDrawable() != null && !z) {
                getProgressDrawable().jumpToCurrentState();
            }
        } else if (getProgressDrawable() != null) {
            this.f4954j = i2;
            this.f4955k = z;
            this.o = true;
            if (!getIndeterminateDrawable().isVisible() || this.n.a(getContext().getContentResolver()) == 0.0f) {
                this.s.a(getIndeterminateDrawable());
            } else {
                getIndeterminateDrawable().t.e();
            }
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:10:0x0022, code lost:
        if (getWindowVisibility() == 0) goto L_0x0024;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:11:0x0024, code lost:
        r0 = true;
     */
    public boolean d() {
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        if (!isAttachedToWindow() || getWindowVisibility() != 0) {
            return false;
        }
        View view = this;
        while (true) {
            if (view.getVisibility() != 0) {
                break;
            }
            ViewParent parent = view.getParent();
            if (parent != null) {
                if (!(parent instanceof View)) {
                    break;
                }
                view = (View) parent;
            }
        }
        boolean z = false;
        if (z) {
            return true;
        }
        return false;
    }

    public Drawable getCurrentDrawable() {
        return isIndeterminate() ? getIndeterminateDrawable() : getProgressDrawable();
    }

    public int getHideAnimationBehavior() {
        return this.f4953h.f10576f;
    }

    public int[] getIndicatorColor() {
        return this.f4953h.f10573c;
    }

    public int getShowAnimationBehavior() {
        return this.f4953h.f10575e;
    }

    public int getTrackColor() {
        return this.f4953h.f10574d;
    }

    public int getTrackCornerRadius() {
        return this.f4953h.f10572b;
    }

    public int getTrackThickness() {
        return this.f4953h.f10571a;
    }

    public void invalidate() {
        super.invalidate();
        if (getCurrentDrawable() != null) {
            getCurrentDrawable().invalidateSelf();
        }
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (!(getProgressDrawable() == null || getIndeterminateDrawable() == null)) {
            getIndeterminateDrawable().t.d(this.s);
        }
        if (getProgressDrawable() != null) {
            getProgressDrawable().registerAnimationCallback(this.t);
        }
        if (getIndeterminateDrawable() != null) {
            getIndeterminateDrawable().registerAnimationCallback(this.t);
        }
        if (d()) {
            if (this.m > 0) {
                SystemClock.uptimeMillis();
            }
            setVisibility(0);
        }
    }

    public void onDetachedFromWindow() {
        removeCallbacks(this.r);
        removeCallbacks(this.q);
        ((i) getCurrentDrawable()).d();
        if (getIndeterminateDrawable() != null) {
            getIndeterminateDrawable().unregisterAnimationCallback(this.t);
            getIndeterminateDrawable().t.g();
        }
        if (getProgressDrawable() != null) {
            getProgressDrawable().unregisterAnimationCallback(this.t);
        }
        super.onDetachedFromWindow();
    }

    public synchronized void onDraw(Canvas canvas) {
        int save = canvas.save();
        if (!(getPaddingLeft() == 0 && getPaddingTop() == 0)) {
            canvas.translate((float) getPaddingLeft(), (float) getPaddingTop());
        }
        if (!(getPaddingRight() == 0 && getPaddingBottom() == 0)) {
            canvas.clipRect(0, 0, getWidth() - (getPaddingLeft() + getPaddingRight()), getHeight() - (getPaddingTop() + getPaddingBottom()));
        }
        getCurrentDrawable().draw(canvas);
        canvas.restoreToCount(save);
    }

    public synchronized void onMeasure(int i2, int i3) {
        int i4;
        int i5;
        super.onMeasure(i2, i3);
        j<S> currentDrawingDelegate = getCurrentDrawingDelegate();
        if (currentDrawingDelegate != null) {
            int e2 = currentDrawingDelegate.e();
            int d2 = currentDrawingDelegate.d();
            if (e2 < 0) {
                i4 = getMeasuredWidth();
            } else {
                i4 = e2 + getPaddingLeft() + getPaddingRight();
            }
            if (d2 < 0) {
                i5 = getMeasuredHeight();
            } else {
                i5 = d2 + getPaddingTop() + getPaddingBottom();
            }
            setMeasuredDimension(i4, i5);
        }
    }

    public void onVisibilityChanged(View view, int i2) {
        super.onVisibilityChanged(view, i2);
        a(i2 == 0);
    }

    public void onWindowVisibilityChanged(int i2) {
        super.onWindowVisibilityChanged(i2);
        a(false);
    }

    public void setAnimatorDurationScaleProvider(d.h.a.b.s.a aVar) {
        this.n = aVar;
        if (getProgressDrawable() != null) {
            getProgressDrawable().f10597k = aVar;
        }
        if (getIndeterminateDrawable() != null) {
            getIndeterminateDrawable().f10597k = aVar;
        }
    }

    public void setHideAnimationBehavior(int i2) {
        this.f4953h.f10576f = i2;
        invalidate();
    }

    public synchronized void setIndeterminate(boolean z) {
        if (z != isIndeterminate()) {
            if (!d() || !z) {
                i iVar = (i) getCurrentDrawable();
                if (iVar != null) {
                    iVar.d();
                }
                super.setIndeterminate(z);
                i iVar2 = (i) getCurrentDrawable();
                if (iVar2 != null) {
                    iVar2.g(d(), false, false);
                }
                this.o = false;
                return;
            }
            throw new IllegalStateException("Cannot switch to indeterminate mode while the progress indicator is visible.");
        }
    }

    public void setIndeterminateDrawable(Drawable drawable) {
        if (drawable == null) {
            super.setIndeterminateDrawable(null);
        } else if (drawable instanceof IndeterminateDrawable) {
            ((i) drawable).d();
            super.setIndeterminateDrawable(drawable);
        } else {
            throw new IllegalArgumentException("Cannot set framework drawable as indeterminate drawable.");
        }
    }

    public void setIndicatorColor(int... iArr) {
        if (iArr.length == 0) {
            iArr = new int[]{n.q0(getContext(), R$attr.colorPrimary, -1)};
        }
        if (!Arrays.equals(getIndicatorColor(), iArr)) {
            this.f4953h.f10573c = iArr;
            getIndeterminateDrawable().t.c();
            invalidate();
        }
    }

    public synchronized void setProgress(int i2) {
        if (!isIndeterminate()) {
            c(i2, false);
        }
    }

    public void setProgressDrawable(Drawable drawable) {
        if (drawable == null) {
            super.setProgressDrawable(null);
        } else if (drawable instanceof DeterminateDrawable) {
            DeterminateDrawable determinateDrawable = (DeterminateDrawable) drawable;
            determinateDrawable.d();
            super.setProgressDrawable(determinateDrawable);
            determinateDrawable.setLevel((int) ((((float) getProgress()) / ((float) getMax())) * 10000.0f));
        } else {
            throw new IllegalArgumentException("Cannot set framework drawable as progress drawable.");
        }
    }

    public void setShowAnimationBehavior(int i2) {
        this.f4953h.f10575e = i2;
        invalidate();
    }

    public void setTrackColor(int i2) {
        S s2 = this.f4953h;
        if (s2.f10574d != i2) {
            s2.f10574d = i2;
            invalidate();
        }
    }

    public void setTrackCornerRadius(int i2) {
        S s2 = this.f4953h;
        if (s2.f10572b != i2) {
            s2.f10572b = Math.min(i2, s2.f10571a / 2);
        }
    }

    public void setTrackThickness(int i2) {
        S s2 = this.f4953h;
        if (s2.f10571a != i2) {
            s2.f10571a = i2;
            requestLayout();
        }
    }

    public void setVisibilityAfterHide(int i2) {
        if (i2 == 0 || i2 == 4 || i2 == 8) {
            this.p = i2;
            return;
        }
        throw new IllegalArgumentException("The component's visibility must be one of VISIBLE, INVISIBLE, and GONE defined in View.");
    }

    public IndeterminateDrawable<S> getIndeterminateDrawable() {
        return (IndeterminateDrawable) super.getIndeterminateDrawable();
    }

    public DeterminateDrawable<S> getProgressDrawable() {
        return (DeterminateDrawable) super.getProgressDrawable();
    }
}
