package com.google.android.material.progressindicator;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.os.Looper;
import android.util.AndroidRuntimeException;
import androidx.dynamicanimation.animation.AnimationHandler;
import androidx.dynamicanimation.animation.SpringAnimation;
import androidx.dynamicanimation.animation.SpringForce;
import b.o.a.n;
import d.h.a.b.s.b;
import d.h.a.b.s.i;
import d.h.a.b.s.j;

public final class DeterminateDrawable<S extends b> extends i {
    public static final b.m.a.a<DeterminateDrawable> s = new a("indicatorLevel");
    public j<S> t;
    public final SpringForce u;
    public final SpringAnimation v;
    public float w;
    public boolean x = false;

    public static class a extends b.m.a.a<DeterminateDrawable> {
        public a(String str) {
            super(str);
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // b.m.a.a
        public float a(DeterminateDrawable determinateDrawable) {
            return determinateDrawable.w * 10000.0f;
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, float] */
        @Override // b.m.a.a
        public void b(DeterminateDrawable determinateDrawable, float f2) {
            DeterminateDrawable determinateDrawable2 = determinateDrawable;
            determinateDrawable2.w = f2 / 10000.0f;
            determinateDrawable2.invalidateSelf();
        }
    }

    public DeterminateDrawable(Context context, b bVar, j<S> jVar) {
        super(context, bVar);
        this.t = jVar;
        jVar.f10600b = this;
        SpringForce springForce = new SpringForce();
        this.u = springForce;
        springForce.f1476b = (double) 1.0f;
        springForce.f1477c = false;
        springForce.a(50.0f);
        SpringAnimation springAnimation = new SpringAnimation(this, s);
        this.v = springAnimation;
        springAnimation.r = springForce;
        if (this.p != 1.0f) {
            this.p = 1.0f;
            invalidateSelf();
        }
    }

    public void draw(Canvas canvas) {
        Rect rect = new Rect();
        if (!getBounds().isEmpty() && isVisible() && canvas.getClipBounds(rect)) {
            canvas.save();
            j<S> jVar = this.t;
            float c2 = c();
            jVar.f10599a.a();
            jVar.a(canvas, c2);
            this.t.c(canvas, this.q);
            this.t.b(canvas, this.q, 0.0f, this.w, n.R(this.f10596j.f10573c[0], this.r));
            canvas.restore();
        }
    }

    public int getIntrinsicHeight() {
        return this.t.d();
    }

    public int getIntrinsicWidth() {
        return this.t.e();
    }

    @Override // d.h.a.b.s.i
    public boolean h(boolean z, boolean z2, boolean z3) {
        boolean h2 = super.h(z, z2, z3);
        float a2 = this.f10597k.a(this.f10595h.getContentResolver());
        if (a2 == 0.0f) {
            this.x = true;
        } else {
            this.x = false;
            this.u.a(50.0f / a2);
        }
        return h2;
    }

    public void jumpToCurrentState() {
        this.v.a();
        this.w = ((float) getLevel()) / 10000.0f;
        invalidateSelf();
    }

    public boolean onLevelChange(int i2) {
        if (this.x) {
            this.v.a();
            this.w = ((float) i2) / 10000.0f;
            invalidateSelf();
        } else {
            SpringAnimation springAnimation = this.v;
            springAnimation.f1468h = this.w * 10000.0f;
            springAnimation.f1469i = true;
            float f2 = (float) i2;
            if (springAnimation.f1472l) {
                springAnimation.s = f2;
            } else {
                if (springAnimation.r == null) {
                    springAnimation.r = new SpringForce(f2);
                }
                SpringForce springForce = springAnimation.r;
                double d2 = (double) f2;
                springForce.f1483i = d2;
                double d3 = (double) ((float) d2);
                if (d3 > ((double) Float.MAX_VALUE)) {
                    throw new UnsupportedOperationException("Final position of the spring cannot be greater than the max value.");
                } else if (d3 >= ((double) springAnimation.m)) {
                    double abs = Math.abs((double) (springAnimation.o * 0.75f));
                    springForce.f1478d = abs;
                    springForce.f1479e = abs * 62.5d;
                    if (Looper.myLooper() == Looper.getMainLooper()) {
                        boolean z = springAnimation.f1472l;
                        if (!z && !z) {
                            springAnimation.f1472l = true;
                            if (!springAnimation.f1469i) {
                                springAnimation.f1468h = springAnimation.f1471k.a(springAnimation.f1470j);
                            }
                            float f3 = springAnimation.f1468h;
                            if (f3 > Float.MAX_VALUE || f3 < springAnimation.m) {
                                throw new IllegalArgumentException("Starting value need to be in between min value and max value");
                            }
                            AnimationHandler a2 = AnimationHandler.a();
                            if (a2.f1451c.size() == 0) {
                                if (a2.f1453e == null) {
                                    a2.f1453e = new AnimationHandler.c(a2.f1452d);
                                }
                                AnimationHandler.c cVar = (AnimationHandler.c) a2.f1453e;
                                cVar.f1458b.postFrameCallback(cVar.f1459c);
                            }
                            if (!a2.f1451c.contains(springAnimation)) {
                                a2.f1451c.add(springAnimation);
                            }
                        }
                    } else {
                        throw new AndroidRuntimeException("Animations may only be started on the main thread");
                    }
                } else {
                    throw new UnsupportedOperationException("Final position of the spring cannot be less than the min value.");
                }
            }
        }
        return true;
    }
}
