package com.google.android.material.radiobutton;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import androidx.appcompat.widget.AppCompatRadioButton;
import b.o.a.n;
import com.google.android.material.R$attr;
import com.google.android.material.R$style;
import com.google.android.material.R$styleable;
import d.h.a.b.b0.a.a;
import d.h.a.b.p.f;

public class MaterialRadioButton extends AppCompatRadioButton {

    /* renamed from: k  reason: collision with root package name */
    public static final int f4967k = R$style.Widget_MaterialComponents_CompoundButton_RadioButton;

    /* renamed from: l  reason: collision with root package name */
    public static final int[][] f4968l = {new int[]{16842910, 16842912}, new int[]{16842910, -16842912}, new int[]{-16842910, 16842912}, new int[]{-16842910, -16842912}};
    public ColorStateList m;
    public boolean n;

    public MaterialRadioButton(Context context) {
        this(context, null);
    }

    private ColorStateList getMaterialThemeColorsTintList() {
        if (this.m == null) {
            int r0 = n.r0(this, R$attr.colorControlActivated);
            int r02 = n.r0(this, R$attr.colorOnSurface);
            int r03 = n.r0(this, R$attr.colorSurface);
            int[][] iArr = f4968l;
            int[] iArr2 = new int[iArr.length];
            iArr2[0] = n.s1(r03, r0, 1.0f);
            iArr2[1] = n.s1(r03, r02, 0.54f);
            iArr2[2] = n.s1(r03, r02, 0.38f);
            iArr2[3] = n.s1(r03, r02, 0.38f);
            this.m = new ColorStateList(iArr, iArr2);
        }
        return this.m;
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (this.n && getButtonTintList() == null) {
            setUseMaterialThemeColors(true);
        }
    }

    public void setUseMaterialThemeColors(boolean z) {
        this.n = z;
        if (z) {
            setButtonTintList(getMaterialThemeColorsTintList());
        } else {
            setButtonTintList(null);
        }
    }

    public MaterialRadioButton(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R$attr.radioButtonStyle);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public MaterialRadioButton(Context context, AttributeSet attributeSet, int i2) {
        super(a.a(context, attributeSet, i2, r4), attributeSet, i2);
        int i3 = f4967k;
        Context context2 = getContext();
        TypedArray d2 = f.d(context2, attributeSet, R$styleable.MaterialRadioButton, i2, i3, new int[0]);
        int i4 = R$styleable.MaterialRadioButton_buttonTint;
        if (d2.hasValue(i4)) {
            setButtonTintList(n.s0(context2, d2, i4));
        }
        this.n = d2.getBoolean(R$styleable.MaterialRadioButton_useMaterialThemeColors, false);
        d2.recycle();
    }
}
