package com.google.android.material.shape;

import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Matrix;
import android.graphics.Outline;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.PorterDuffXfermode;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Region;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Looper;
import android.util.AttributeSet;
import android.util.Log;
import androidx.core.graphics.drawable.TintAwareDrawable;
import com.shuyu.gsyvideoplayer.utils.NeuQuant;
import d.h.a.b.w.h;
import d.h.a.b.w.l;
import d.h.a.b.w.m;
import d.h.a.b.w.o;
import d.h.a.b.w.p;
import java.util.BitSet;
import java.util.Objects;

public class MaterialShapeDrawable extends Drawable implements TintAwareDrawable, p {

    /* renamed from: d  reason: collision with root package name */
    public static final String f4974d = MaterialShapeDrawable.class.getSimpleName();

    /* renamed from: h  reason: collision with root package name */
    public static final Paint f4975h = new Paint(1);
    public final m A;
    public PorterDuffColorFilter B;
    public PorterDuffColorFilter C;
    public final RectF D;
    public boolean E;

    /* renamed from: j  reason: collision with root package name */
    public b f4976j;

    /* renamed from: k  reason: collision with root package name */
    public final o.f[] f4977k;

    /* renamed from: l  reason: collision with root package name */
    public final o.f[] f4978l;
    public final BitSet m;
    public boolean n;
    public final Matrix o;
    public final Path p;
    public final Path q;
    public final RectF r;
    public final RectF s;
    public final Region t;
    public final Region u;
    public l v;
    public final Paint w;
    public final Paint x;
    public final d.h.a.b.v.a y;
    public final m.b z;

    public class a implements m.b {
        public a() {
        }
    }

    public MaterialShapeDrawable() {
        this(new l());
    }

    public final boolean A(int[] iArr) {
        boolean z2;
        int color;
        int colorForState;
        int color2;
        int colorForState2;
        if (this.f4976j.f4983d == null || color2 == (colorForState2 = this.f4976j.f4983d.getColorForState(iArr, (color2 = this.w.getColor())))) {
            z2 = false;
        } else {
            this.w.setColor(colorForState2);
            z2 = true;
        }
        if (this.f4976j.f4984e == null || color == (colorForState = this.f4976j.f4984e.getColorForState(iArr, (color = this.x.getColor())))) {
            return z2;
        }
        this.x.setColor(colorForState);
        return true;
    }

    public final boolean B() {
        PorterDuffColorFilter porterDuffColorFilter = this.B;
        PorterDuffColorFilter porterDuffColorFilter2 = this.C;
        b bVar = this.f4976j;
        this.B = d(bVar.f4986g, bVar.f4987h, this.w, true);
        b bVar2 = this.f4976j;
        this.C = d(bVar2.f4985f, bVar2.f4987h, this.x, false);
        b bVar3 = this.f4976j;
        if (bVar3.u) {
            this.y.a(bVar3.f4986g.getColorForState(getState(), 0));
        }
        if (!Objects.equals(porterDuffColorFilter, this.B) || !Objects.equals(porterDuffColorFilter2, this.C)) {
            return true;
        }
        return false;
    }

    public final void C() {
        b bVar = this.f4976j;
        float f2 = bVar.o + bVar.p;
        bVar.r = (int) Math.ceil((double) (0.75f * f2));
        this.f4976j.s = (int) Math.ceil((double) (f2 * 0.25f));
        B();
        super.invalidateSelf();
    }

    public final void b(RectF rectF, Path path) {
        c(rectF, path);
        if (this.f4976j.f4989j != 1.0f) {
            this.o.reset();
            Matrix matrix = this.o;
            float f2 = this.f4976j.f4989j;
            matrix.setScale(f2, f2, rectF.width() / 2.0f, rectF.height() / 2.0f);
            path.transform(this.o);
        }
        path.computeBounds(this.D, true);
    }

    public final void c(RectF rectF, Path path) {
        m mVar = this.A;
        b bVar = this.f4976j;
        mVar.b(bVar.f4980a, bVar.f4990k, rectF, this.z, path);
    }

    public final PorterDuffColorFilter d(ColorStateList colorStateList, PorterDuff.Mode mode, Paint paint, boolean z2) {
        int color;
        int e2;
        if (colorStateList == null || mode == null) {
            return (!z2 || (e2 = e((color = paint.getColor()))) == color) ? null : new PorterDuffColorFilter(e2, PorterDuff.Mode.SRC_IN);
        }
        int colorForState = colorStateList.getColorForState(getState(), 0);
        if (z2) {
            colorForState = e(colorForState);
        }
        return new PorterDuffColorFilter(colorForState, mode);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:16:0x00ab, code lost:
        if ((!o() && !r10.p.isConvex() && android.os.Build.VERSION.SDK_INT < 29) != false) goto L_0x00ad;
     */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x00b4  */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x015a  */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x016f  */
    public void draw(Canvas canvas) {
        boolean z2;
        this.w.setColorFilter(this.B);
        int alpha = this.w.getAlpha();
        Paint paint = this.w;
        int i2 = this.f4976j.m;
        paint.setAlpha(((i2 + (i2 >>> 7)) * alpha) >>> 8);
        this.x.setColorFilter(this.C);
        this.x.setStrokeWidth(this.f4976j.f4991l);
        int alpha2 = this.x.getAlpha();
        Paint paint2 = this.x;
        int i3 = this.f4976j.m;
        paint2.setAlpha(((i3 + (i3 >>> 7)) * alpha2) >>> 8);
        boolean z3 = false;
        if (this.n) {
            l g2 = this.f4976j.f4980a.g(new h(this, -k()));
            this.v = g2;
            m mVar = this.A;
            float f2 = this.f4976j.f4990k;
            this.s.set(h());
            float k2 = k();
            this.s.inset(k2, k2);
            mVar.a(g2, f2, this.s, this.q);
            b(h(), this.p);
            this.n = false;
        }
        b bVar = this.f4976j;
        int i4 = bVar.q;
        if (i4 != 1 && bVar.r > 0) {
            if (i4 != 2) {
            }
            z2 = true;
            if (z2) {
                canvas.save();
                canvas.translate((float) i(), (float) j());
                if (!this.E) {
                    f(canvas);
                    canvas.restore();
                } else {
                    int width = (int) (this.D.width() - ((float) getBounds().width()));
                    int height = (int) (this.D.height() - ((float) getBounds().height()));
                    if (width < 0 || height < 0) {
                        throw new IllegalStateException("Invalid shadow bounds. Check that the treatments result in a valid path.");
                    }
                    Bitmap createBitmap = Bitmap.createBitmap((this.f4976j.r * 2) + ((int) this.D.width()) + width, (this.f4976j.r * 2) + ((int) this.D.height()) + height, Bitmap.Config.ARGB_8888);
                    Canvas canvas2 = new Canvas(createBitmap);
                    float f3 = (float) ((getBounds().left - this.f4976j.r) - width);
                    float f4 = (float) ((getBounds().top - this.f4976j.r) - height);
                    canvas2.translate(-f3, -f4);
                    f(canvas2);
                    canvas.drawBitmap(createBitmap, f3, f4, (Paint) null);
                    createBitmap.recycle();
                    canvas.restore();
                }
            }
            b bVar2 = this.f4976j;
            Paint.Style style = bVar2.v;
            if (style == Paint.Style.FILL_AND_STROKE || style == Paint.Style.FILL) {
                z3 = true;
            }
            if (z3) {
                g(canvas, this.w, this.p, bVar2.f4980a, h());
            }
            if (m()) {
                Paint paint3 = this.x;
                Path path = this.q;
                l lVar = this.v;
                this.s.set(h());
                float k3 = k();
                this.s.inset(k3, k3);
                g(canvas, paint3, path, lVar, this.s);
            }
            this.w.setAlpha(alpha);
            this.x.setAlpha(alpha2);
        }
        z2 = false;
        if (z2) {
        }
        b bVar22 = this.f4976j;
        Paint.Style style2 = bVar22.v;
        z3 = true;
        if (z3) {
        }
        if (m()) {
        }
        this.w.setAlpha(alpha);
        this.x.setAlpha(alpha2);
    }

    public int e(int i2) {
        b bVar = this.f4976j;
        float f2 = bVar.o + bVar.p + bVar.n;
        d.h.a.b.m.a aVar = bVar.f4981b;
        return aVar != null ? aVar.a(i2, f2) : i2;
    }

    public final void f(Canvas canvas) {
        if (this.m.cardinality() > 0) {
            Log.w(f4974d, "Compatibility shadow requested but can't be drawn for all operations in this shape.");
        }
        if (this.f4976j.s != 0) {
            canvas.drawPath(this.p, this.y.f10660e);
        }
        for (int i2 = 0; i2 < 4; i2++) {
            o.f fVar = this.f4977k[i2];
            d.h.a.b.v.a aVar = this.y;
            int i3 = this.f4976j.r;
            Matrix matrix = o.f.f10737a;
            fVar.a(matrix, aVar, i3, canvas);
            this.f4978l[i2].a(matrix, this.y, this.f4976j.r, canvas);
        }
        if (this.E) {
            int i4 = i();
            int j2 = j();
            canvas.translate((float) (-i4), (float) (-j2));
            canvas.drawPath(this.p, f4975h);
            canvas.translate((float) i4, (float) j2);
        }
    }

    public final void g(Canvas canvas, Paint paint, Path path, l lVar, RectF rectF) {
        if (lVar.e(rectF)) {
            float a2 = lVar.f10682g.a(rectF) * this.f4976j.f4990k;
            canvas.drawRoundRect(rectF, a2, a2, paint);
            return;
        }
        canvas.drawPath(path, paint);
    }

    public Drawable.ConstantState getConstantState() {
        return this.f4976j;
    }

    public int getOpacity() {
        return -3;
    }

    @TargetApi(21)
    public void getOutline(Outline outline) {
        if (this.f4976j.q != 2) {
            if (o()) {
                outline.setRoundRect(getBounds(), l() * this.f4976j.f4990k);
                return;
            }
            b(h(), this.p);
            if (this.p.isConvex() || Build.VERSION.SDK_INT >= 29) {
                try {
                    outline.setConvexPath(this.p);
                } catch (IllegalArgumentException unused) {
                }
            }
        }
    }

    public boolean getPadding(Rect rect) {
        Rect rect2 = this.f4976j.f4988i;
        if (rect2 == null) {
            return super.getPadding(rect);
        }
        rect.set(rect2);
        return true;
    }

    @Override // d.h.a.b.w.p
    public l getShapeAppearanceModel() {
        return this.f4976j.f4980a;
    }

    public Region getTransparentRegion() {
        this.t.set(getBounds());
        b(h(), this.p);
        this.u.setPath(this.p, this.t);
        this.t.op(this.u, Region.Op.DIFFERENCE);
        return this.t;
    }

    public RectF h() {
        this.r.set(getBounds());
        return this.r;
    }

    public int i() {
        b bVar = this.f4976j;
        return (int) (Math.sin(Math.toRadians((double) bVar.t)) * ((double) bVar.s));
    }

    public void invalidateSelf() {
        this.n = true;
        super.invalidateSelf();
    }

    public boolean isStateful() {
        ColorStateList colorStateList;
        ColorStateList colorStateList2;
        ColorStateList colorStateList3;
        ColorStateList colorStateList4;
        return super.isStateful() || ((colorStateList = this.f4976j.f4986g) != null && colorStateList.isStateful()) || (((colorStateList2 = this.f4976j.f4985f) != null && colorStateList2.isStateful()) || (((colorStateList3 = this.f4976j.f4984e) != null && colorStateList3.isStateful()) || ((colorStateList4 = this.f4976j.f4983d) != null && colorStateList4.isStateful())));
    }

    public int j() {
        b bVar = this.f4976j;
        return (int) (Math.cos(Math.toRadians((double) bVar.t)) * ((double) bVar.s));
    }

    public final float k() {
        if (m()) {
            return this.x.getStrokeWidth() / 2.0f;
        }
        return 0.0f;
    }

    public float l() {
        return this.f4976j.f4980a.f10681f.a(h());
    }

    public final boolean m() {
        Paint.Style style = this.f4976j.v;
        return (style == Paint.Style.FILL_AND_STROKE || style == Paint.Style.STROKE) && this.x.getStrokeWidth() > 0.0f;
    }

    public Drawable mutate() {
        this.f4976j = new b(this.f4976j);
        return this;
    }

    public void n(Context context) {
        this.f4976j.f4981b = new d.h.a.b.m.a(context);
        C();
    }

    public boolean o() {
        return this.f4976j.f4980a.e(h());
    }

    public void onBoundsChange(Rect rect) {
        this.n = true;
        super.onBoundsChange(rect);
    }

    public boolean onStateChange(int[] iArr) {
        boolean z2 = A(iArr) || B();
        if (z2) {
            invalidateSelf();
        }
        return z2;
    }

    public void p(float f2) {
        b bVar = this.f4976j;
        if (bVar.o != f2) {
            bVar.o = f2;
            C();
        }
    }

    public void q(ColorStateList colorStateList) {
        b bVar = this.f4976j;
        if (bVar.f4983d != colorStateList) {
            bVar.f4983d = colorStateList;
            onStateChange(getState());
        }
    }

    public void r(float f2) {
        b bVar = this.f4976j;
        if (bVar.f4990k != f2) {
            bVar.f4990k = f2;
            this.n = true;
            invalidateSelf();
        }
    }

    public void s(Paint.Style style) {
        this.f4976j.v = style;
        super.invalidateSelf();
    }

    public void setAlpha(int i2) {
        b bVar = this.f4976j;
        if (bVar.m != i2) {
            bVar.m = i2;
            super.invalidateSelf();
        }
    }

    public void setColorFilter(ColorFilter colorFilter) {
        this.f4976j.f4982c = colorFilter;
        super.invalidateSelf();
    }

    @Override // d.h.a.b.w.p
    public void setShapeAppearanceModel(l lVar) {
        this.f4976j.f4980a = lVar;
        invalidateSelf();
    }

    @Override // androidx.core.graphics.drawable.TintAwareDrawable
    public void setTint(int i2) {
        setTintList(ColorStateList.valueOf(i2));
    }

    @Override // androidx.core.graphics.drawable.TintAwareDrawable
    public void setTintList(ColorStateList colorStateList) {
        this.f4976j.f4986g = colorStateList;
        B();
        super.invalidateSelf();
    }

    @Override // androidx.core.graphics.drawable.TintAwareDrawable
    public void setTintMode(PorterDuff.Mode mode) {
        b bVar = this.f4976j;
        if (bVar.f4987h != mode) {
            bVar.f4987h = mode;
            B();
            super.invalidateSelf();
        }
    }

    public void t(int i2) {
        this.y.a(i2);
        this.f4976j.u = false;
        super.invalidateSelf();
    }

    public void u(int i2) {
        b bVar = this.f4976j;
        if (bVar.q != i2) {
            bVar.q = i2;
            super.invalidateSelf();
        }
    }

    public void v(int i2) {
        b bVar = this.f4976j;
        if (bVar.s != i2) {
            bVar.s = i2;
            super.invalidateSelf();
        }
    }

    public void w(float f2, int i2) {
        this.f4976j.f4991l = f2;
        invalidateSelf();
        y(ColorStateList.valueOf(i2));
    }

    public void x(float f2, ColorStateList colorStateList) {
        this.f4976j.f4991l = f2;
        invalidateSelf();
        y(colorStateList);
    }

    public void y(ColorStateList colorStateList) {
        b bVar = this.f4976j;
        if (bVar.f4984e != colorStateList) {
            bVar.f4984e = colorStateList;
            onStateChange(getState());
        }
    }

    public void z(float f2) {
        this.f4976j.f4991l = f2;
        invalidateSelf();
    }

    public MaterialShapeDrawable(l lVar) {
        this(new b(lVar, null));
    }

    public MaterialShapeDrawable(b bVar) {
        m mVar;
        this.f4977k = new o.f[4];
        this.f4978l = new o.f[4];
        this.m = new BitSet(8);
        this.o = new Matrix();
        this.p = new Path();
        this.q = new Path();
        this.r = new RectF();
        this.s = new RectF();
        this.t = new Region();
        this.u = new Region();
        Paint paint = new Paint(1);
        this.w = paint;
        Paint paint2 = new Paint(1);
        this.x = paint2;
        this.y = new d.h.a.b.v.a();
        if (Looper.getMainLooper().getThread() == Thread.currentThread()) {
            mVar = m.a.f10712a;
        } else {
            mVar = new m();
        }
        this.A = mVar;
        this.D = new RectF();
        this.E = true;
        this.f4976j = bVar;
        paint2.setStyle(Paint.Style.STROKE);
        paint.setStyle(Paint.Style.FILL);
        Paint paint3 = f4975h;
        paint3.setColor(-1);
        paint3.setXfermode(new PorterDuffXfermode(PorterDuff.Mode.DST_OUT));
        B();
        A(getState());
        this.z = new a();
    }

    public static final class b extends Drawable.ConstantState {

        /* renamed from: a  reason: collision with root package name */
        public l f4980a;

        /* renamed from: b  reason: collision with root package name */
        public d.h.a.b.m.a f4981b;

        /* renamed from: c  reason: collision with root package name */
        public ColorFilter f4982c;

        /* renamed from: d  reason: collision with root package name */
        public ColorStateList f4983d = null;

        /* renamed from: e  reason: collision with root package name */
        public ColorStateList f4984e = null;

        /* renamed from: f  reason: collision with root package name */
        public ColorStateList f4985f = null;

        /* renamed from: g  reason: collision with root package name */
        public ColorStateList f4986g = null;

        /* renamed from: h  reason: collision with root package name */
        public PorterDuff.Mode f4987h = PorterDuff.Mode.SRC_IN;

        /* renamed from: i  reason: collision with root package name */
        public Rect f4988i = null;

        /* renamed from: j  reason: collision with root package name */
        public float f4989j = 1.0f;

        /* renamed from: k  reason: collision with root package name */
        public float f4990k = 1.0f;

        /* renamed from: l  reason: collision with root package name */
        public float f4991l;
        public int m = NeuQuant.maxnetpos;
        public float n = 0.0f;
        public float o = 0.0f;
        public float p = 0.0f;
        public int q = 0;
        public int r = 0;
        public int s = 0;
        public int t = 0;
        public boolean u = false;
        public Paint.Style v = Paint.Style.FILL_AND_STROKE;

        public b(l lVar, d.h.a.b.m.a aVar) {
            this.f4980a = lVar;
            this.f4981b = null;
        }

        public int getChangingConfigurations() {
            return 0;
        }

        public Drawable newDrawable() {
            MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable(this);
            materialShapeDrawable.n = true;
            return materialShapeDrawable;
        }

        public b(b bVar) {
            this.f4980a = bVar.f4980a;
            this.f4981b = bVar.f4981b;
            this.f4991l = bVar.f4991l;
            this.f4982c = bVar.f4982c;
            this.f4983d = bVar.f4983d;
            this.f4984e = bVar.f4984e;
            this.f4987h = bVar.f4987h;
            this.f4986g = bVar.f4986g;
            this.m = bVar.m;
            this.f4989j = bVar.f4989j;
            this.s = bVar.s;
            this.q = bVar.q;
            this.u = bVar.u;
            this.f4990k = bVar.f4990k;
            this.n = bVar.n;
            this.o = bVar.o;
            this.p = bVar.p;
            this.r = bVar.r;
            this.t = bVar.t;
            this.f4985f = bVar.f4985f;
            this.v = bVar.v;
            if (bVar.f4988i != null) {
                this.f4988i = new Rect(bVar.f4988i);
            }
        }
    }

    public MaterialShapeDrawable(Context context, AttributeSet attributeSet, int i2, int i3) {
        this(l.c(context, attributeSet, i2, i3, new d.h.a.b.w.a((float) 0)).a());
    }
}
