package com.google.android.material.slider;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffXfermode;
import android.graphics.Rect;
import android.graphics.Region;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Log;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityManager;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.SeekBar;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.core.view.ViewCompat;
import androidx.customview.widget.ExploreByTouchHelper;
import b.j.h.p.b;
import b.o.a.n;
import com.google.android.material.R$attr;
import com.google.android.material.R$color;
import com.google.android.material.R$dimen;
import com.google.android.material.R$string;
import com.google.android.material.R$style;
import com.google.android.material.R$styleable;
import com.google.android.material.shape.MaterialShapeDrawable;
import com.google.android.material.slider.BaseSlider;
import com.google.android.material.tooltip.TooltipDrawable;
import d.h.a.b.p.g;
import d.h.a.b.p.h;
import d.h.a.b.w.l;
import d.h.a.b.x.a;
import d.h.a.b.x.b;
import java.lang.reflect.InvocationTargetException;
import java.math.BigDecimal;
import java.math.MathContext;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;
import org.dsq.library.widget.bigImage.SubsamplingScaleImageView;

public abstract class BaseSlider<S extends BaseSlider<S, L, T>, L extends d.h.a.b.x.a<S>, T extends d.h.a.b.x.b<S>> extends View {

    /* renamed from: d  reason: collision with root package name */
    public static final String f4992d = BaseSlider.class.getSimpleName();

    /* renamed from: h  reason: collision with root package name */
    public static final int f4993h = R$style.Widget_MaterialComponents_Slider;
    public int A;
    public int B;
    public int C;
    public int D;
    public int E;
    public int F;
    public int G;
    public int H;
    public int I;
    public int J;
    public float K;
    public MotionEvent L;
    public d.h.a.b.x.c M;
    public boolean N;
    public float O;
    public float P;
    public ArrayList<Float> Q;
    public int R;
    public int S;
    public float T;
    public float[] U;
    public boolean V;
    public int W;
    public boolean a0;
    public boolean b0;
    public ColorStateList c0;
    public ColorStateList d0;
    public ColorStateList e0;
    public ColorStateList f0;
    public ColorStateList g0;
    public final MaterialShapeDrawable h0;
    public float i0;

    /* renamed from: j  reason: collision with root package name */
    public final Paint f4994j;
    public int j0;

    /* renamed from: k  reason: collision with root package name */
    public final Paint f4995k;

    /* renamed from: l  reason: collision with root package name */
    public final Paint f4996l;
    public final Paint m;
    public final Paint n;
    public final Paint o;
    public final e p;
    public final AccessibilityManager q;
    public BaseSlider<S, L, T>.d r;
    public final f s;
    public final List<TooltipDrawable> t;
    public final List<L> u;
    public final List<T> v;
    public boolean w;
    public ValueAnimator x;
    public ValueAnimator y;
    public final int z;

    public static class SliderState extends View.BaseSavedState {
        public static final Parcelable.Creator<SliderState> CREATOR = new a();
        public boolean hasFocus;
        public float stepSize;
        public float valueFrom;
        public float valueTo;
        public ArrayList<Float> values;

        public static class a implements Parcelable.Creator<SliderState> {
            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // android.os.Parcelable.Creator
            public SliderState createFromParcel(Parcel parcel) {
                return new SliderState(parcel, null);
            }

            /* Return type fixed from 'java.lang.Object[]' to match base method */
            @Override // android.os.Parcelable.Creator
            public SliderState[] newArray(int i2) {
                return new SliderState[i2];
            }
        }

        public /* synthetic */ SliderState(Parcel parcel, a aVar) {
            this(parcel);
        }

        public void writeToParcel(Parcel parcel, int i2) {
            super.writeToParcel(parcel, i2);
            parcel.writeFloat(this.valueFrom);
            parcel.writeFloat(this.valueTo);
            parcel.writeList(this.values);
            parcel.writeFloat(this.stepSize);
            parcel.writeBooleanArray(new boolean[]{this.hasFocus});
        }

        public SliderState(Parcelable parcelable) {
            super(parcelable);
        }

        private SliderState(Parcel parcel) {
            super(parcel);
            this.valueFrom = parcel.readFloat();
            this.valueTo = parcel.readFloat();
            ArrayList<Float> arrayList = new ArrayList<>();
            this.values = arrayList;
            parcel.readList(arrayList, Float.class.getClassLoader());
            this.stepSize = parcel.readFloat();
            this.hasFocus = parcel.createBooleanArray()[0];
        }
    }

    public class a implements f {

        /* renamed from: a  reason: collision with root package name */
        public final /* synthetic */ AttributeSet f4997a;

        /* renamed from: b  reason: collision with root package name */
        public final /* synthetic */ int f4998b;

        public a(AttributeSet attributeSet, int i2) {
            this.f4997a = attributeSet;
            this.f4998b = i2;
        }
    }

    public class b implements ValueAnimator.AnimatorUpdateListener {
        public b() {
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            float floatValue = ((Float) valueAnimator.getAnimatedValue()).floatValue();
            for (TooltipDrawable tooltipDrawable : BaseSlider.this.t) {
                tooltipDrawable.U = 1.2f;
                tooltipDrawable.S = floatValue;
                tooltipDrawable.T = floatValue;
                tooltipDrawable.V = d.h.a.b.a.a.b(0.0f, 1.0f, 0.19f, 1.0f, floatValue);
                tooltipDrawable.invalidateSelf();
            }
            BaseSlider baseSlider = BaseSlider.this;
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            baseSlider.postInvalidateOnAnimation();
        }
    }

    public class c extends AnimatorListenerAdapter {
        public c() {
        }

        public void onAnimationEnd(Animator animator) {
            super.onAnimationEnd(animator);
            for (TooltipDrawable tooltipDrawable : BaseSlider.this.t) {
                ((g) n.v0(BaseSlider.this)).f10560a.remove(tooltipDrawable);
            }
        }
    }

    public class d implements Runnable {

        /* renamed from: d  reason: collision with root package name */
        public int f5002d = -1;

        public d(a aVar) {
        }

        public void run() {
            BaseSlider.this.p.A(this.f5002d, 4);
        }
    }

    public static class e extends ExploreByTouchHelper {
        public final BaseSlider<?, ?, ?> q;
        public Rect r = new Rect();

        public e(BaseSlider<?, ?, ?> baseSlider) {
            super(baseSlider);
            this.q = baseSlider;
        }

        @Override // androidx.customview.widget.ExploreByTouchHelper
        public int o(float f2, float f3) {
            for (int i2 = 0; i2 < this.q.getValues().size(); i2++) {
                this.q.v(i2, this.r);
                if (this.r.contains((int) f2, (int) f3)) {
                    return i2;
                }
            }
            return -1;
        }

        @Override // androidx.customview.widget.ExploreByTouchHelper
        public void p(List<Integer> list) {
            for (int i2 = 0; i2 < this.q.getValues().size(); i2++) {
                list.add(Integer.valueOf(i2));
            }
        }

        @Override // androidx.customview.widget.ExploreByTouchHelper
        public boolean t(int i2, int i3, Bundle bundle) {
            if (!this.q.isEnabled()) {
                return false;
            }
            if (i3 == 4096 || i3 == 8192) {
                BaseSlider<?, ?, ?> baseSlider = this.q;
                String str = BaseSlider.f4992d;
                float b2 = baseSlider.b(20);
                if (i3 == 8192) {
                    b2 = -b2;
                }
                if (this.q.k()) {
                    b2 = -b2;
                }
                if (!this.q.t(i2, AppCompatDelegateImpl.e.o(this.q.getValues().get(i2).floatValue() + b2, this.q.getValueFrom(), this.q.getValueTo()))) {
                    return false;
                }
                this.q.w();
                this.q.postInvalidate();
                q(i2);
                return true;
            }
            if (i3 == 16908349 && bundle != null && bundle.containsKey("android.view.accessibility.action.ARGUMENT_PROGRESS_VALUE")) {
                float f2 = bundle.getFloat("android.view.accessibility.action.ARGUMENT_PROGRESS_VALUE");
                BaseSlider<?, ?, ?> baseSlider2 = this.q;
                String str2 = BaseSlider.f4992d;
                if (baseSlider2.t(i2, f2)) {
                    this.q.w();
                    this.q.postInvalidate();
                    q(i2);
                    return true;
                }
            }
            return false;
        }

        @Override // androidx.customview.widget.ExploreByTouchHelper
        public void x(int i2, b.j.h.p.b bVar) {
            String str;
            bVar.a(b.a.f3466k);
            List<Float> values = this.q.getValues();
            float floatValue = values.get(i2).floatValue();
            float valueFrom = this.q.getValueFrom();
            float valueTo = this.q.getValueTo();
            if (this.q.isEnabled()) {
                if (floatValue > valueFrom) {
                    bVar.f3453b.addAction(8192);
                }
                if (floatValue < valueTo) {
                    bVar.f3453b.addAction(4096);
                }
            }
            bVar.f3453b.setRangeInfo(AccessibilityNodeInfo.RangeInfo.obtain(1, valueFrom, valueTo, floatValue));
            bVar.f3453b.setClassName(SeekBar.class.getName());
            StringBuilder sb = new StringBuilder();
            if (this.q.getContentDescription() != null) {
                sb.append(this.q.getContentDescription());
                sb.append(",");
            }
            if (values.size() > 1) {
                if (i2 == this.q.getValues().size() - 1) {
                    str = this.q.getContext().getString(R$string.material_slider_range_end);
                } else {
                    str = i2 == 0 ? this.q.getContext().getString(R$string.material_slider_range_start) : "";
                }
                sb.append(str);
                sb.append(this.q.h(floatValue));
            }
            bVar.f3453b.setContentDescription(sb.toString());
            this.q.v(i2, this.r);
            bVar.f3453b.setBoundsInParent(this.r);
        }
    }

    public interface f {
    }

    public BaseSlider(Context context) {
        this(context, null);
    }

    private float[] getActiveRange() {
        float floatValue = ((Float) Collections.max(getValues())).floatValue();
        float floatValue2 = ((Float) Collections.min(getValues())).floatValue();
        if (this.Q.size() == 1) {
            floatValue2 = this.O;
        }
        float o2 = o(floatValue2);
        float o3 = o(floatValue);
        if (k()) {
            return new float[]{o3, o2};
        }
        return new float[]{o2, o3};
    }

    private float getValueOfTouchPosition() {
        double d2;
        float f2 = this.i0;
        float f3 = this.T;
        if (f3 > 0.0f) {
            int i2 = (int) ((this.P - this.O) / f3);
            d2 = ((double) Math.round(f2 * ((float) i2))) / ((double) i2);
        } else {
            d2 = (double) f2;
        }
        if (k()) {
            d2 = 1.0d - d2;
        }
        float f4 = this.P;
        float f5 = this.O;
        return (float) ((d2 * ((double) (f4 - f5))) + ((double) f5));
    }

    private float getValueOfTouchPositionAbsolute() {
        float f2 = this.i0;
        if (k()) {
            f2 = 1.0f - f2;
        }
        float f3 = this.P;
        float f4 = this.O;
        return d.a.a.a.a.b(f3, f4, f2, f4);
    }

    private void setValuesInternal(ArrayList<Float> arrayList) {
        if (!arrayList.isEmpty()) {
            Collections.sort(arrayList);
            if (this.Q.size() != arrayList.size() || !this.Q.equals(arrayList)) {
                this.Q = arrayList;
                int i2 = 1;
                this.b0 = true;
                this.S = 0;
                w();
                if (this.t.size() > this.Q.size()) {
                    List<TooltipDrawable> subList = this.t.subList(this.Q.size(), this.t.size());
                    for (TooltipDrawable tooltipDrawable : subList) {
                        AtomicInteger atomicInteger = ViewCompat.f1365a;
                        if (isAttachedToWindow()) {
                            e(tooltipDrawable);
                        }
                    }
                    subList.clear();
                }
                while (this.t.size() < this.Q.size()) {
                    a aVar = (a) this.s;
                    TypedArray d2 = d.h.a.b.p.f.d(BaseSlider.this.getContext(), aVar.f4997a, R$styleable.Slider, aVar.f4998b, f4993h, new int[0]);
                    Context context = BaseSlider.this.getContext();
                    int resourceId = d2.getResourceId(R$styleable.Slider_labelStyle, R$style.Widget_MaterialComponents_Tooltip);
                    TooltipDrawable tooltipDrawable2 = new TooltipDrawable(context, null, 0, resourceId);
                    TypedArray d3 = d.h.a.b.p.f.d(tooltipDrawable2.H, null, R$styleable.Tooltip, 0, resourceId, new int[0]);
                    tooltipDrawable2.Q = tooltipDrawable2.H.getResources().getDimensionPixelSize(R$dimen.mtrl_tooltip_arrowSize);
                    l lVar = tooltipDrawable2.f4976j.f4980a;
                    Objects.requireNonNull(lVar);
                    l.b bVar = new l.b(lVar);
                    bVar.f10698k = tooltipDrawable2.E();
                    tooltipDrawable2.f4976j.f4980a = bVar.a();
                    tooltipDrawable2.invalidateSelf();
                    CharSequence text = d3.getText(R$styleable.Tooltip_android_text);
                    if (!TextUtils.equals(tooltipDrawable2.G, text)) {
                        tooltipDrawable2.G = text;
                        tooltipDrawable2.J.f10554d = true;
                        tooltipDrawable2.invalidateSelf();
                    }
                    tooltipDrawable2.J.b(n.K0(tooltipDrawable2.H, d3, R$styleable.Tooltip_android_textAppearance), tooltipDrawable2.H);
                    int i22 = n.i2(tooltipDrawable2.H, R$attr.colorOnBackground, TooltipDrawable.class.getCanonicalName());
                    tooltipDrawable2.q(ColorStateList.valueOf(d3.getColor(R$styleable.Tooltip_backgroundTint, b.j.c.a.b(b.j.c.a.d(i22, 153), b.j.c.a.d(n.i2(tooltipDrawable2.H, 16842801, TooltipDrawable.class.getCanonicalName()), 229)))));
                    tooltipDrawable2.y(ColorStateList.valueOf(n.i2(tooltipDrawable2.H, R$attr.colorSurface, TooltipDrawable.class.getCanonicalName())));
                    tooltipDrawable2.M = d3.getDimensionPixelSize(R$styleable.Tooltip_android_padding, 0);
                    tooltipDrawable2.N = d3.getDimensionPixelSize(R$styleable.Tooltip_android_minWidth, 0);
                    tooltipDrawable2.O = d3.getDimensionPixelSize(R$styleable.Tooltip_android_minHeight, 0);
                    tooltipDrawable2.P = d3.getDimensionPixelSize(R$styleable.Tooltip_android_layout_margin, 0);
                    d3.recycle();
                    d2.recycle();
                    this.t.add(tooltipDrawable2);
                    AtomicInteger atomicInteger2 = ViewCompat.f1365a;
                    if (isAttachedToWindow()) {
                        a(tooltipDrawable2);
                    }
                }
                if (this.t.size() == 1) {
                    i2 = 0;
                }
                for (TooltipDrawable tooltipDrawable3 : this.t) {
                    tooltipDrawable3.z((float) i2);
                }
                f();
                postInvalidate();
                return;
            }
            return;
        }
        throw new IllegalArgumentException("At least one value must be set");
    }

    public final void a(TooltipDrawable tooltipDrawable) {
        ViewGroup u0 = n.u0(this);
        Objects.requireNonNull(tooltipDrawable);
        if (u0 != null) {
            int[] iArr = new int[2];
            u0.getLocationOnScreen(iArr);
            tooltipDrawable.R = iArr[0];
            u0.getWindowVisibleDisplayFrame(tooltipDrawable.L);
            u0.addOnLayoutChangeListener(tooltipDrawable.K);
        }
    }

    public final float b(int i2) {
        float f2 = this.T;
        if (f2 == 0.0f) {
            f2 = 1.0f;
        }
        float f3 = (this.P - this.O) / f2;
        float f4 = (float) i2;
        if (f3 <= f4) {
            return f2;
        }
        return ((float) Math.round(f3 / f4)) * f2;
    }

    public final int c() {
        int i2 = this.G;
        int i3 = 0;
        if (this.D == 1) {
            i3 = this.t.get(0).getIntrinsicHeight();
        }
        return i2 + i3;
    }

    public final ValueAnimator d(boolean z2) {
        float f2 = 0.0f;
        float f3 = z2 ? 0.0f : 1.0f;
        ValueAnimator valueAnimator = z2 ? this.y : this.x;
        if (valueAnimator != null && valueAnimator.isRunning()) {
            f3 = ((Float) valueAnimator.getAnimatedValue()).floatValue();
            valueAnimator.cancel();
        }
        if (z2) {
            f2 = 1.0f;
        }
        ValueAnimator ofFloat = ValueAnimator.ofFloat(f3, f2);
        ofFloat.setDuration(z2 ? 83 : 117);
        ofFloat.setInterpolator(z2 ? d.h.a.b.a.a.f10157e : d.h.a.b.a.a.f10155c);
        ofFloat.addUpdateListener(new b());
        return ofFloat;
    }

    public boolean dispatchHoverEvent(MotionEvent motionEvent) {
        return this.p.n(motionEvent) || super.dispatchHoverEvent(motionEvent);
    }

    public boolean dispatchKeyEvent(KeyEvent keyEvent) {
        return super.dispatchKeyEvent(keyEvent);
    }

    public void drawableStateChanged() {
        super.drawableStateChanged();
        this.f4994j.setColor(i(this.g0));
        this.f4995k.setColor(i(this.f0));
        this.n.setColor(i(this.e0));
        this.o.setColor(i(this.d0));
        for (TooltipDrawable tooltipDrawable : this.t) {
            if (tooltipDrawable.isStateful()) {
                tooltipDrawable.setState(getDrawableState());
            }
        }
        if (this.h0.isStateful()) {
            this.h0.setState(getDrawableState());
        }
        this.m.setColor(i(this.c0));
        this.m.setAlpha(63);
    }

    public final void e(TooltipDrawable tooltipDrawable) {
        h v0 = n.v0(this);
        if (v0 != null) {
            ((g) v0).f10560a.remove(tooltipDrawable);
            ViewGroup u0 = n.u0(this);
            Objects.requireNonNull(tooltipDrawable);
            if (u0 != null) {
                u0.removeOnLayoutChangeListener(tooltipDrawable.K);
            }
        }
    }

    public final void f() {
        for (L l2 : this.u) {
            Iterator<Float> it = this.Q.iterator();
            while (it.hasNext()) {
                l2.a(this, it.next().floatValue(), false);
            }
        }
    }

    public final void g() {
        if (this.w) {
            this.w = false;
            ValueAnimator d2 = d(false);
            this.y = d2;
            this.x = null;
            d2.addListener(new c());
            this.y.start();
        }
    }

    public CharSequence getAccessibilityClassName() {
        return SeekBar.class.getName();
    }

    public final int getAccessibilityFocusedVirtualViewId() {
        return this.p.n;
    }

    public int getActiveThumbIndex() {
        return this.R;
    }

    public int getFocusedThumbIndex() {
        return this.S;
    }

    public int getHaloRadius() {
        return this.I;
    }

    public ColorStateList getHaloTintList() {
        return this.c0;
    }

    public int getLabelBehavior() {
        return this.D;
    }

    public float getMinSeparation() {
        return 0.0f;
    }

    public float getStepSize() {
        return this.T;
    }

    public float getThumbElevation() {
        return this.h0.f4976j.o;
    }

    public int getThumbRadius() {
        return this.H;
    }

    public ColorStateList getThumbStrokeColor() {
        return this.h0.f4976j.f4984e;
    }

    public float getThumbStrokeWidth() {
        return this.h0.f4976j.f4991l;
    }

    public ColorStateList getThumbTintList() {
        return this.h0.f4976j.f4983d;
    }

    public ColorStateList getTickActiveTintList() {
        return this.d0;
    }

    public ColorStateList getTickInactiveTintList() {
        return this.e0;
    }

    public ColorStateList getTickTintList() {
        if (this.e0.equals(this.d0)) {
            return this.d0;
        }
        throw new IllegalStateException("The inactive and active ticks are different colors. Use the getTickColorInactive() and getTickColorActive() methods instead.");
    }

    public ColorStateList getTrackActiveTintList() {
        return this.f0;
    }

    public int getTrackHeight() {
        return this.E;
    }

    public ColorStateList getTrackInactiveTintList() {
        return this.g0;
    }

    public int getTrackSidePadding() {
        return this.F;
    }

    public ColorStateList getTrackTintList() {
        if (this.g0.equals(this.f0)) {
            return this.f0;
        }
        throw new IllegalStateException("The inactive and active parts of the track are different colors. Use the getInactiveTrackColor() and getActiveTrackColor() methods instead.");
    }

    public int getTrackWidth() {
        return this.W;
    }

    public float getValueFrom() {
        return this.O;
    }

    public float getValueTo() {
        return this.P;
    }

    public List<Float> getValues() {
        return new ArrayList(this.Q);
    }

    public final String h(float f2) {
        d.h.a.b.x.c cVar = this.M;
        if (cVar != null) {
            return cVar.a(f2);
        }
        return String.format(((float) ((int) f2)) == f2 ? "%.0f" : "%.2f", Float.valueOf(f2));
    }

    public final int i(ColorStateList colorStateList) {
        return colorStateList.getColorForState(getDrawableState(), colorStateList.getDefaultColor());
    }

    public final boolean j() {
        ViewParent parent = getParent();
        while (true) {
            boolean z2 = false;
            if (!(parent instanceof ViewGroup)) {
                return false;
            }
            ViewGroup viewGroup = (ViewGroup) parent;
            if (viewGroup.canScrollVertically(1) || viewGroup.canScrollVertically(-1)) {
                z2 = true;
            }
            if (z2 && viewGroup.shouldDelayChildPressedState()) {
                return true;
            }
            parent = parent.getParent();
        }
    }

    public final boolean k() {
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        return getLayoutDirection() == 1;
    }

    public final void l() {
        if (this.T > 0.0f) {
            x();
            int min = Math.min((int) (((this.P - this.O) / this.T) + 1.0f), (this.W / (this.E * 2)) + 1);
            float[] fArr = this.U;
            if (fArr == null || fArr.length != min * 2) {
                this.U = new float[(min * 2)];
            }
            float f2 = ((float) this.W) / ((float) (min - 1));
            for (int i2 = 0; i2 < min * 2; i2 += 2) {
                float[] fArr2 = this.U;
                fArr2[i2] = (((float) (i2 / 2)) * f2) + ((float) this.F);
                fArr2[i2 + 1] = (float) c();
            }
        }
    }

    public final boolean m(int i2) {
        int i3 = this.S;
        long j2 = ((long) i3) + ((long) i2);
        long size = (long) (this.Q.size() - 1);
        if (j2 < 0) {
            j2 = 0;
        } else if (j2 > size) {
            j2 = size;
        }
        int i4 = (int) j2;
        this.S = i4;
        if (i4 == i3) {
            return false;
        }
        if (this.R != -1) {
            this.R = i4;
        }
        w();
        postInvalidate();
        return true;
    }

    public final boolean n(int i2) {
        if (k()) {
            i2 = i2 == Integer.MIN_VALUE ? SubsamplingScaleImageView.TILE_SIZE_AUTO : -i2;
        }
        return m(i2);
    }

    public final float o(float f2) {
        float f3 = this.O;
        float f4 = (f2 - f3) / (this.P - f3);
        return k() ? 1.0f - f4 : f4;
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        for (TooltipDrawable tooltipDrawable : this.t) {
            a(tooltipDrawable);
        }
    }

    public void onDetachedFromWindow() {
        BaseSlider<S, L, T>.d dVar = this.r;
        if (dVar != null) {
            removeCallbacks(dVar);
        }
        this.w = false;
        for (TooltipDrawable tooltipDrawable : this.t) {
            e(tooltipDrawable);
        }
        super.onDetachedFromWindow();
    }

    public void onDraw(Canvas canvas) {
        if (this.b0) {
            x();
            l();
        }
        super.onDraw(canvas);
        int c2 = c();
        int i2 = this.W;
        float[] activeRange = getActiveRange();
        int i3 = this.F;
        float f2 = (float) i2;
        float f3 = (activeRange[1] * f2) + ((float) i3);
        float f4 = (float) (i3 + i2);
        if (f3 < f4) {
            float f5 = (float) c2;
            canvas.drawLine(f3, f5, f4, f5, this.f4994j);
        }
        float f6 = (float) this.F;
        float f7 = (activeRange[0] * f2) + f6;
        if (f7 > f6) {
            float f8 = (float) c2;
            canvas.drawLine(f6, f8, f7, f8, this.f4994j);
        }
        if (((Float) Collections.max(getValues())).floatValue() > this.O) {
            int i4 = this.W;
            float[] activeRange2 = getActiveRange();
            float f9 = (float) this.F;
            float f10 = (float) i4;
            float f11 = (float) c2;
            canvas.drawLine((activeRange2[0] * f10) + f9, f11, (activeRange2[1] * f10) + f9, f11, this.f4995k);
        }
        if (this.V && this.T > 0.0f) {
            float[] activeRange3 = getActiveRange();
            int round = Math.round(activeRange3[0] * ((float) ((this.U.length / 2) - 1)));
            int round2 = Math.round(activeRange3[1] * ((float) ((this.U.length / 2) - 1)));
            int i5 = round * 2;
            canvas.drawPoints(this.U, 0, i5, this.n);
            int i6 = round2 * 2;
            canvas.drawPoints(this.U, i5, i6 - i5, this.o);
            float[] fArr = this.U;
            canvas.drawPoints(fArr, i6, fArr.length - i6, this.n);
        }
        if ((this.N || isFocused()) && isEnabled()) {
            int i7 = this.W;
            if (s()) {
                int o2 = (int) ((o(this.Q.get(this.S).floatValue()) * ((float) i7)) + ((float) this.F));
                if (Build.VERSION.SDK_INT < 28) {
                    int i8 = this.I;
                    canvas.clipRect((float) (o2 - i8), (float) (c2 - i8), (float) (o2 + i8), (float) (i8 + c2), Region.Op.UNION);
                }
                canvas.drawCircle((float) o2, (float) c2, (float) this.I, this.m);
            }
            if (!(this.R == -1 || this.D == 2)) {
                if (!this.w) {
                    this.w = true;
                    ValueAnimator d2 = d(true);
                    this.x = d2;
                    this.y = null;
                    d2.start();
                }
                Iterator<TooltipDrawable> it = this.t.iterator();
                for (int i9 = 0; i9 < this.Q.size() && it.hasNext(); i9++) {
                    if (i9 != this.S) {
                        r(it.next(), this.Q.get(i9).floatValue());
                    }
                }
                if (it.hasNext()) {
                    r(it.next(), this.Q.get(this.S).floatValue());
                } else {
                    throw new IllegalStateException(String.format("Not enough labels(%d) to display all the values(%d)", Integer.valueOf(this.t.size()), Integer.valueOf(this.Q.size())));
                }
            }
        }
        int i10 = this.W;
        if (!isEnabled()) {
            Iterator<Float> it2 = this.Q.iterator();
            while (it2.hasNext()) {
                canvas.drawCircle((o(it2.next().floatValue()) * ((float) i10)) + ((float) this.F), (float) c2, (float) this.H, this.f4996l);
            }
        }
        Iterator<Float> it3 = this.Q.iterator();
        while (it3.hasNext()) {
            canvas.save();
            int o3 = this.F + ((int) (o(it3.next().floatValue()) * ((float) i10)));
            int i11 = this.H;
            canvas.translate((float) (o3 - i11), (float) (c2 - i11));
            this.h0.draw(canvas);
            canvas.restore();
        }
    }

    public void onFocusChanged(boolean z2, int i2, Rect rect) {
        super.onFocusChanged(z2, i2, rect);
        if (!z2) {
            this.R = -1;
            g();
            this.p.k(this.S);
            return;
        }
        if (i2 == 1) {
            m(SubsamplingScaleImageView.TILE_SIZE_AUTO);
        } else if (i2 == 2) {
            m(Integer.MIN_VALUE);
        } else if (i2 == 17) {
            n(SubsamplingScaleImageView.TILE_SIZE_AUTO);
        } else if (i2 == 66) {
            n(Integer.MIN_VALUE);
        }
        this.p.z(this.S);
    }

    public boolean onKeyDown(int i2, KeyEvent keyEvent) {
        float f2;
        if (!isEnabled()) {
            return super.onKeyDown(i2, keyEvent);
        }
        if (this.Q.size() == 1) {
            this.R = 0;
        }
        Float f3 = null;
        Boolean bool = null;
        if (this.R == -1) {
            if (i2 != 61) {
                if (i2 != 66) {
                    if (i2 != 81) {
                        if (i2 != 69) {
                            if (i2 != 70) {
                                switch (i2) {
                                    case 21:
                                        n(-1);
                                        bool = Boolean.TRUE;
                                        break;
                                    case 22:
                                        n(1);
                                        bool = Boolean.TRUE;
                                        break;
                                }
                            }
                        } else {
                            m(-1);
                            bool = Boolean.TRUE;
                        }
                    }
                    m(1);
                    bool = Boolean.TRUE;
                }
                this.R = this.S;
                postInvalidate();
                bool = Boolean.TRUE;
            } else if (keyEvent.hasNoModifiers()) {
                bool = Boolean.valueOf(m(1));
            } else if (keyEvent.isShiftPressed()) {
                bool = Boolean.valueOf(m(-1));
            } else {
                bool = Boolean.FALSE;
            }
            return bool != null ? bool.booleanValue() : super.onKeyDown(i2, keyEvent);
        }
        boolean isLongPress = this.a0 | keyEvent.isLongPress();
        this.a0 = isLongPress;
        if (isLongPress) {
            f2 = b(20);
        } else {
            f2 = this.T;
            if (f2 == 0.0f) {
                f2 = 1.0f;
            }
        }
        if (i2 == 21) {
            if (!k()) {
                f2 = -f2;
            }
            f3 = Float.valueOf(f2);
        } else if (i2 == 22) {
            if (k()) {
                f2 = -f2;
            }
            f3 = Float.valueOf(f2);
        } else if (i2 == 69) {
            f3 = Float.valueOf(-f2);
        } else if (i2 == 70 || i2 == 81) {
            f3 = Float.valueOf(f2);
        }
        if (f3 != null) {
            if (t(this.R, f3.floatValue() + this.Q.get(this.R).floatValue())) {
                w();
                postInvalidate();
            }
            return true;
        }
        if (i2 != 23) {
            if (i2 != 61) {
                if (i2 != 66) {
                    return super.onKeyDown(i2, keyEvent);
                }
            } else if (keyEvent.hasNoModifiers()) {
                return m(1);
            } else {
                if (keyEvent.isShiftPressed()) {
                    return m(-1);
                }
                return false;
            }
        }
        this.R = -1;
        g();
        postInvalidate();
        return true;
    }

    public boolean onKeyUp(int i2, KeyEvent keyEvent) {
        this.a0 = false;
        return super.onKeyUp(i2, keyEvent);
    }

    public void onMeasure(int i2, int i3) {
        int i4 = this.C;
        int i5 = 0;
        if (this.D == 1) {
            i5 = this.t.get(0).getIntrinsicHeight();
        }
        super.onMeasure(i2, View.MeasureSpec.makeMeasureSpec(i4 + i5, 1073741824));
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        SliderState sliderState = (SliderState) parcelable;
        super.onRestoreInstanceState(sliderState.getSuperState());
        this.O = sliderState.valueFrom;
        this.P = sliderState.valueTo;
        setValuesInternal(sliderState.values);
        this.T = sliderState.stepSize;
        if (sliderState.hasFocus) {
            requestFocus();
        }
        f();
    }

    public Parcelable onSaveInstanceState() {
        SliderState sliderState = new SliderState(super.onSaveInstanceState());
        sliderState.valueFrom = this.O;
        sliderState.valueTo = this.P;
        sliderState.values = new ArrayList<>(this.Q);
        sliderState.stepSize = this.T;
        sliderState.hasFocus = hasFocus();
        return sliderState;
    }

    public void onSizeChanged(int i2, int i3, int i4, int i5) {
        this.W = Math.max(i2 - (this.F * 2), 0);
        l();
        w();
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        if (!isEnabled()) {
            return false;
        }
        float x2 = motionEvent.getX();
        float f2 = (x2 - ((float) this.F)) / ((float) this.W);
        this.i0 = f2;
        float max = Math.max(0.0f, f2);
        this.i0 = max;
        this.i0 = Math.min(1.0f, max);
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 0) {
            this.K = x2;
            if (!j()) {
                getParent().requestDisallowInterceptTouchEvent(true);
                if (q()) {
                    requestFocus();
                    this.N = true;
                    u();
                    w();
                    invalidate();
                    p();
                }
            }
        } else if (actionMasked == 1) {
            this.N = false;
            MotionEvent motionEvent2 = this.L;
            if (motionEvent2 != null && motionEvent2.getActionMasked() == 0 && Math.abs(this.L.getX() - motionEvent.getX()) <= ((float) this.z) && Math.abs(this.L.getY() - motionEvent.getY()) <= ((float) this.z) && q()) {
                p();
            }
            if (this.R != -1) {
                u();
                this.R = -1;
                for (T t2 : this.v) {
                    t2.b(this);
                }
            }
            g();
            invalidate();
        } else if (actionMasked == 2) {
            if (!this.N) {
                if (j() && Math.abs(x2 - this.K) < ((float) this.z)) {
                    return false;
                }
                getParent().requestDisallowInterceptTouchEvent(true);
                p();
            }
            if (q()) {
                this.N = true;
                u();
                w();
                invalidate();
            }
        }
        setPressed(this.N);
        this.L = MotionEvent.obtain(motionEvent);
        return true;
    }

    public final void p() {
        for (T t2 : this.v) {
            t2.a(this);
        }
    }

    public boolean q() {
        if (this.R != -1) {
            return true;
        }
        float valueOfTouchPositionAbsolute = getValueOfTouchPositionAbsolute();
        float o2 = (o(valueOfTouchPositionAbsolute) * ((float) this.W)) + ((float) this.F);
        this.R = 0;
        float abs = Math.abs(this.Q.get(0).floatValue() - valueOfTouchPositionAbsolute);
        for (int i2 = 1; i2 < this.Q.size(); i2++) {
            float abs2 = Math.abs(this.Q.get(i2).floatValue() - valueOfTouchPositionAbsolute);
            float o3 = (o(this.Q.get(i2).floatValue()) * ((float) this.W)) + ((float) this.F);
            if (Float.compare(abs2, abs) > 1) {
                break;
            }
            boolean z2 = !k() ? o3 - o2 < 0.0f : o3 - o2 > 0.0f;
            if (Float.compare(abs2, abs) < 0) {
                this.R = i2;
            } else {
                if (Float.compare(abs2, abs) != 0) {
                    continue;
                } else if (Math.abs(o3 - o2) < ((float) this.z)) {
                    this.R = -1;
                    return false;
                } else if (z2) {
                    this.R = i2;
                }
            }
            abs = abs2;
        }
        if (this.R != -1) {
            return true;
        }
        return false;
    }

    public final void r(TooltipDrawable tooltipDrawable, float f2) {
        String h2 = h(f2);
        if (!TextUtils.equals(tooltipDrawable.G, h2)) {
            tooltipDrawable.G = h2;
            tooltipDrawable.J.f10554d = true;
            tooltipDrawable.invalidateSelf();
        }
        int o2 = (this.F + ((int) (o(f2) * ((float) this.W)))) - (tooltipDrawable.getIntrinsicWidth() / 2);
        int c2 = c() - (this.J + this.H);
        tooltipDrawable.setBounds(o2, c2 - tooltipDrawable.getIntrinsicHeight(), tooltipDrawable.getIntrinsicWidth() + o2, c2);
        Rect rect = new Rect(tooltipDrawable.getBounds());
        d.h.a.b.p.b.c(n.u0(this), this, rect);
        tooltipDrawable.setBounds(rect);
        ((g) n.v0(this)).f10560a.add(tooltipDrawable);
    }

    public final boolean s() {
        return !(getBackground() instanceof RippleDrawable);
    }

    public void setActiveThumbIndex(int i2) {
        this.R = i2;
    }

    public void setEnabled(boolean z2) {
        super.setEnabled(z2);
        setLayerType(z2 ? 0 : 2, null);
    }

    public void setFocusedThumbIndex(int i2) {
        if (i2 < 0 || i2 >= this.Q.size()) {
            throw new IllegalArgumentException("index out of range");
        }
        this.S = i2;
        this.p.z(i2);
        postInvalidate();
    }

    public void setHaloRadius(int i2) {
        if (i2 != this.I) {
            this.I = i2;
            Drawable background = getBackground();
            if (s() || !(background instanceof RippleDrawable)) {
                postInvalidate();
                return;
            }
            RippleDrawable rippleDrawable = (RippleDrawable) background;
            int i3 = this.I;
            if (Build.VERSION.SDK_INT >= 23) {
                rippleDrawable.setRadius(i3);
                return;
            }
            try {
                RippleDrawable.class.getDeclaredMethod("setMaxRadius", Integer.TYPE).invoke(rippleDrawable, Integer.valueOf(i3));
            } catch (IllegalAccessException | NoSuchMethodException | InvocationTargetException e2) {
                throw new IllegalStateException("Couldn't set RippleDrawable radius", e2);
            }
        }
    }

    public void setHaloRadiusResource(int i2) {
        setHaloRadius(getResources().getDimensionPixelSize(i2));
    }

    public void setHaloTintList(ColorStateList colorStateList) {
        if (!colorStateList.equals(this.c0)) {
            this.c0 = colorStateList;
            Drawable background = getBackground();
            if (s() || !(background instanceof RippleDrawable)) {
                this.m.setColor(colorStateList.getColorForState(getDrawableState(), colorStateList.getDefaultColor()));
                this.m.setAlpha(63);
                invalidate();
                return;
            }
            ((RippleDrawable) background).setColor(colorStateList);
        }
    }

    public void setLabelBehavior(int i2) {
        if (this.D != i2) {
            this.D = i2;
            requestLayout();
        }
    }

    public void setLabelFormatter(d.h.a.b.x.c cVar) {
        this.M = cVar;
    }

    public void setSeparationUnit(int i2) {
        this.j0 = i2;
    }

    public void setStepSize(float f2) {
        if (f2 < 0.0f) {
            throw new IllegalArgumentException(String.format("The stepSize(%s) must be 0, or a factor of the valueFrom(%s)-valueTo(%s) range", Float.toString(f2), Float.toString(this.O), Float.toString(this.P)));
        } else if (this.T != f2) {
            this.T = f2;
            this.b0 = true;
            postInvalidate();
        }
    }

    public void setThumbElevation(float f2) {
        MaterialShapeDrawable materialShapeDrawable = this.h0;
        MaterialShapeDrawable.b bVar = materialShapeDrawable.f4976j;
        if (bVar.o != f2) {
            bVar.o = f2;
            materialShapeDrawable.C();
        }
    }

    public void setThumbElevationResource(int i2) {
        setThumbElevation(getResources().getDimension(i2));
    }

    public void setThumbRadius(int i2) {
        if (i2 != this.H) {
            this.H = i2;
            this.F = this.A + Math.max(i2 - this.B, 0);
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            if (isLaidOut()) {
                this.W = Math.max(getWidth() - (this.F * 2), 0);
                l();
            }
            MaterialShapeDrawable materialShapeDrawable = this.h0;
            l.b bVar = new l.b();
            d.h.a.b.w.d W2 = n.W(0);
            bVar.f10688a = W2;
            l.b.b(W2);
            bVar.f10689b = W2;
            l.b.b(W2);
            bVar.f10690c = W2;
            l.b.b(W2);
            bVar.f10691d = W2;
            l.b.b(W2);
            bVar.c((float) this.H);
            materialShapeDrawable.f4976j.f4980a = bVar.a();
            materialShapeDrawable.invalidateSelf();
            MaterialShapeDrawable materialShapeDrawable2 = this.h0;
            int i3 = this.H;
            materialShapeDrawable2.setBounds(0, 0, i3 * 2, i3 * 2);
            postInvalidate();
        }
    }

    public void setThumbRadiusResource(int i2) {
        setThumbRadius(getResources().getDimensionPixelSize(i2));
    }

    public void setThumbStrokeColor(ColorStateList colorStateList) {
        this.h0.y(colorStateList);
        postInvalidate();
    }

    public void setThumbStrokeColorResource(int i2) {
        if (i2 != 0) {
            setThumbStrokeColor(b.b.b.a.a.a(getContext(), i2));
        }
    }

    public void setThumbStrokeWidth(float f2) {
        MaterialShapeDrawable materialShapeDrawable = this.h0;
        materialShapeDrawable.f4976j.f4991l = f2;
        materialShapeDrawable.invalidateSelf();
        postInvalidate();
    }

    public void setThumbStrokeWidthResource(int i2) {
        if (i2 != 0) {
            setThumbStrokeWidth(getResources().getDimension(i2));
        }
    }

    public void setThumbTintList(ColorStateList colorStateList) {
        if (!colorStateList.equals(this.h0.f4976j.f4983d)) {
            this.h0.q(colorStateList);
            invalidate();
        }
    }

    public void setTickActiveTintList(ColorStateList colorStateList) {
        if (!colorStateList.equals(this.d0)) {
            this.d0 = colorStateList;
            this.o.setColor(i(colorStateList));
            invalidate();
        }
    }

    public void setTickInactiveTintList(ColorStateList colorStateList) {
        if (!colorStateList.equals(this.e0)) {
            this.e0 = colorStateList;
            this.n.setColor(i(colorStateList));
            invalidate();
        }
    }

    public void setTickTintList(ColorStateList colorStateList) {
        setTickInactiveTintList(colorStateList);
        setTickActiveTintList(colorStateList);
    }

    public void setTickVisible(boolean z2) {
        if (this.V != z2) {
            this.V = z2;
            postInvalidate();
        }
    }

    public void setTrackActiveTintList(ColorStateList colorStateList) {
        if (!colorStateList.equals(this.f0)) {
            this.f0 = colorStateList;
            this.f4995k.setColor(i(colorStateList));
            invalidate();
        }
    }

    public void setTrackHeight(int i2) {
        if (this.E != i2) {
            this.E = i2;
            this.f4994j.setStrokeWidth((float) i2);
            this.f4995k.setStrokeWidth((float) this.E);
            this.n.setStrokeWidth(((float) this.E) / 2.0f);
            this.o.setStrokeWidth(((float) this.E) / 2.0f);
            postInvalidate();
        }
    }

    public void setTrackInactiveTintList(ColorStateList colorStateList) {
        if (!colorStateList.equals(this.g0)) {
            this.g0 = colorStateList;
            this.f4994j.setColor(i(colorStateList));
            invalidate();
        }
    }

    public void setTrackTintList(ColorStateList colorStateList) {
        setTrackInactiveTintList(colorStateList);
        setTrackActiveTintList(colorStateList);
    }

    public void setValueFrom(float f2) {
        this.O = f2;
        this.b0 = true;
        postInvalidate();
    }

    public void setValueTo(float f2) {
        this.P = f2;
        this.b0 = true;
        postInvalidate();
    }

    public void setValues(Float... fArr) {
        ArrayList<Float> arrayList = new ArrayList<>();
        Collections.addAll(arrayList, fArr);
        setValuesInternal(arrayList);
    }

    public final boolean t(int i2, float f2) {
        if (((double) Math.abs(f2 - this.Q.get(i2).floatValue())) < 1.0E-4d) {
            return false;
        }
        float f3 = 0.0f;
        float minSeparation = this.T == 0.0f ? getMinSeparation() : 0.0f;
        if (this.j0 == 0) {
            if (minSeparation != 0.0f) {
                float f4 = (minSeparation - ((float) this.F)) / ((float) this.W);
                float f5 = this.O;
                f3 = d.a.a.a.a.b(f5, this.P, f4, f5);
            }
            minSeparation = f3;
        }
        if (k()) {
            minSeparation = -minSeparation;
        }
        int i3 = i2 + 1;
        int i4 = i2 - 1;
        this.Q.set(i2, Float.valueOf(AppCompatDelegateImpl.e.o(f2, i4 < 0 ? this.O : minSeparation + this.Q.get(i4).floatValue(), i3 >= this.Q.size() ? this.P : this.Q.get(i3).floatValue() - minSeparation)));
        this.S = i2;
        for (L l2 : this.u) {
            l2.a(this, this.Q.get(i2).floatValue(), true);
        }
        AccessibilityManager accessibilityManager = this.q;
        if (accessibilityManager != null && accessibilityManager.isEnabled()) {
            BaseSlider<S, L, T>.d dVar = this.r;
            if (dVar == null) {
                this.r = new d(null);
            } else {
                removeCallbacks(dVar);
            }
            BaseSlider<S, L, T>.d dVar2 = this.r;
            dVar2.f5002d = i2;
            postDelayed(dVar2, 200);
        }
        return true;
    }

    public final boolean u() {
        return t(this.R, getValueOfTouchPosition());
    }

    public void v(int i2, Rect rect) {
        int o2 = this.F + ((int) (o(getValues().get(i2).floatValue()) * ((float) this.W)));
        int c2 = c();
        int i3 = this.H;
        rect.set(o2 - i3, c2 - i3, o2 + i3, c2 + i3);
    }

    public final void w() {
        if (!s() && getMeasuredWidth() > 0) {
            Drawable background = getBackground();
            if (background instanceof RippleDrawable) {
                int o2 = (int) ((o(this.Q.get(this.S).floatValue()) * ((float) this.W)) + ((float) this.F));
                int c2 = c();
                int i2 = this.I;
                background.setHotspotBounds(o2 - i2, c2 - i2, o2 + i2, c2 + i2);
            }
        }
    }

    public final void x() {
        if (this.b0) {
            float f2 = this.O;
            float f3 = this.P;
            if (f2 >= f3) {
                throw new IllegalStateException(String.format("valueFrom(%s) must be smaller than valueTo(%s)", Float.toString(this.O), Float.toString(this.P)));
            } else if (f3 <= f2) {
                throw new IllegalStateException(String.format("valueTo(%s) must be greater than valueFrom(%s)", Float.toString(this.P), Float.toString(this.O)));
            } else if (this.T <= 0.0f || y(f3)) {
                Iterator<Float> it = this.Q.iterator();
                while (it.hasNext()) {
                    Float next = it.next();
                    if (next.floatValue() < this.O || next.floatValue() > this.P) {
                        throw new IllegalStateException(String.format("Slider value(%s) must be greater or equal to valueFrom(%s), and lower or equal to valueTo(%s)", Float.toString(next.floatValue()), Float.toString(this.O), Float.toString(this.P)));
                    } else if (this.T > 0.0f && !y(next.floatValue())) {
                        throw new IllegalStateException(String.format("Value(%s) must be equal to valueFrom(%s) plus a multiple of stepSize(%s) when using stepSize(%s)", Float.toString(next.floatValue()), Float.toString(this.O), Float.toString(this.T), Float.toString(this.T)));
                    }
                }
                float f4 = this.T;
                if (f4 != 0.0f) {
                    if (((float) ((int) f4)) != f4) {
                        Log.w(f4992d, String.format("Floating point value used for %s(%s). Using floats can have rounding errors which may result in incorrect values. Instead, consider using integers with a custom LabelFormatter to display the  value correctly.", "stepSize", Float.valueOf(f4)));
                    }
                    float f5 = this.O;
                    if (((float) ((int) f5)) != f5) {
                        Log.w(f4992d, String.format("Floating point value used for %s(%s). Using floats can have rounding errors which may result in incorrect values. Instead, consider using integers with a custom LabelFormatter to display the  value correctly.", "valueFrom", Float.valueOf(f5)));
                    }
                    float f6 = this.P;
                    if (((float) ((int) f6)) != f6) {
                        Log.w(f4992d, String.format("Floating point value used for %s(%s). Using floats can have rounding errors which may result in incorrect values. Instead, consider using integers with a custom LabelFormatter to display the  value correctly.", "valueTo", Float.valueOf(f6)));
                    }
                }
                this.b0 = false;
            } else {
                throw new IllegalStateException(String.format("The stepSize(%s) must be 0, or a factor of the valueFrom(%s)-valueTo(%s) range", Float.toString(this.T), Float.toString(this.O), Float.toString(this.P)));
            }
        }
    }

    public final boolean y(float f2) {
        double doubleValue = new BigDecimal(Float.toString(f2)).subtract(new BigDecimal(Float.toString(this.O))).divide(new BigDecimal(Float.toString(this.T)), MathContext.DECIMAL64).doubleValue();
        return Math.abs(((double) Math.round(doubleValue)) - doubleValue) < 1.0E-4d;
    }

    public BaseSlider(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R$attr.sliderStyle);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public BaseSlider(Context context, AttributeSet attributeSet, int i2) {
        super(d.h.a.b.b0.a.a.a(context, attributeSet, i2, r6), attributeSet, i2);
        int i3;
        int i4;
        int i5 = f4993h;
        this.t = new ArrayList();
        this.u = new ArrayList();
        this.v = new ArrayList();
        this.w = false;
        this.N = false;
        this.Q = new ArrayList<>();
        this.R = -1;
        this.S = -1;
        this.T = 0.0f;
        this.V = true;
        this.a0 = false;
        MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable();
        this.h0 = materialShapeDrawable;
        this.j0 = 0;
        Context context2 = getContext();
        Paint paint = new Paint();
        this.f4994j = paint;
        paint.setStyle(Paint.Style.STROKE);
        paint.setStrokeCap(Paint.Cap.ROUND);
        Paint paint2 = new Paint();
        this.f4995k = paint2;
        paint2.setStyle(Paint.Style.STROKE);
        paint2.setStrokeCap(Paint.Cap.ROUND);
        Paint paint3 = new Paint(1);
        this.f4996l = paint3;
        paint3.setStyle(Paint.Style.FILL);
        paint3.setXfermode(new PorterDuffXfermode(PorterDuff.Mode.CLEAR));
        Paint paint4 = new Paint(1);
        this.m = paint4;
        paint4.setStyle(Paint.Style.FILL);
        Paint paint5 = new Paint();
        this.n = paint5;
        paint5.setStyle(Paint.Style.STROKE);
        paint5.setStrokeCap(Paint.Cap.ROUND);
        Paint paint6 = new Paint();
        this.o = paint6;
        paint6.setStyle(Paint.Style.STROKE);
        paint6.setStrokeCap(Paint.Cap.ROUND);
        Resources resources = context2.getResources();
        this.C = resources.getDimensionPixelSize(R$dimen.mtrl_slider_widget_height);
        int dimensionPixelOffset = resources.getDimensionPixelOffset(R$dimen.mtrl_slider_track_side_padding);
        this.A = dimensionPixelOffset;
        this.F = dimensionPixelOffset;
        this.B = resources.getDimensionPixelSize(R$dimen.mtrl_slider_thumb_radius);
        this.G = resources.getDimensionPixelOffset(R$dimen.mtrl_slider_track_top);
        this.J = resources.getDimensionPixelSize(R$dimen.mtrl_slider_label_padding);
        this.s = new a(attributeSet, i2);
        int[] iArr = R$styleable.Slider;
        d.h.a.b.p.f.a(context2, attributeSet, i2, i5);
        d.h.a.b.p.f.b(context2, attributeSet, iArr, i2, i5, new int[0]);
        TypedArray obtainStyledAttributes = context2.obtainStyledAttributes(attributeSet, iArr, i2, i5);
        this.O = obtainStyledAttributes.getFloat(R$styleable.Slider_android_valueFrom, 0.0f);
        this.P = obtainStyledAttributes.getFloat(R$styleable.Slider_android_valueTo, 1.0f);
        setValues(Float.valueOf(this.O));
        this.T = obtainStyledAttributes.getFloat(R$styleable.Slider_android_stepSize, 0.0f);
        int i6 = R$styleable.Slider_trackColor;
        boolean hasValue = obtainStyledAttributes.hasValue(i6);
        if (hasValue) {
            i3 = i6;
        } else {
            i3 = R$styleable.Slider_trackColorInactive;
        }
        i6 = !hasValue ? R$styleable.Slider_trackColorActive : i6;
        ColorStateList s0 = n.s0(context2, obtainStyledAttributes, i3);
        setTrackInactiveTintList(s0 == null ? b.b.b.a.a.a(context2, R$color.material_slider_inactive_track_color) : s0);
        ColorStateList s02 = n.s0(context2, obtainStyledAttributes, i6);
        setTrackActiveTintList(s02 == null ? b.b.b.a.a.a(context2, R$color.material_slider_active_track_color) : s02);
        materialShapeDrawable.q(n.s0(context2, obtainStyledAttributes, R$styleable.Slider_thumbColor));
        int i7 = R$styleable.Slider_thumbStrokeColor;
        if (obtainStyledAttributes.hasValue(i7)) {
            setThumbStrokeColor(n.s0(context2, obtainStyledAttributes, i7));
        }
        setThumbStrokeWidth(obtainStyledAttributes.getDimension(R$styleable.Slider_thumbStrokeWidth, 0.0f));
        ColorStateList s03 = n.s0(context2, obtainStyledAttributes, R$styleable.Slider_haloColor);
        setHaloTintList(s03 == null ? b.b.b.a.a.a(context2, R$color.material_slider_halo_color) : s03);
        this.V = obtainStyledAttributes.getBoolean(R$styleable.Slider_tickVisible, true);
        int i8 = R$styleable.Slider_tickColor;
        boolean hasValue2 = obtainStyledAttributes.hasValue(i8);
        if (hasValue2) {
            i4 = i8;
        } else {
            i4 = R$styleable.Slider_tickColorInactive;
        }
        i8 = !hasValue2 ? R$styleable.Slider_tickColorActive : i8;
        ColorStateList s04 = n.s0(context2, obtainStyledAttributes, i4);
        setTickInactiveTintList(s04 == null ? b.b.b.a.a.a(context2, R$color.material_slider_inactive_tick_marks_color) : s04);
        ColorStateList s05 = n.s0(context2, obtainStyledAttributes, i8);
        setTickActiveTintList(s05 == null ? b.b.b.a.a.a(context2, R$color.material_slider_active_tick_marks_color) : s05);
        setThumbRadius(obtainStyledAttributes.getDimensionPixelSize(R$styleable.Slider_thumbRadius, 0));
        setHaloRadius(obtainStyledAttributes.getDimensionPixelSize(R$styleable.Slider_haloRadius, 0));
        setThumbElevation(obtainStyledAttributes.getDimension(R$styleable.Slider_thumbElevation, 0.0f));
        setTrackHeight(obtainStyledAttributes.getDimensionPixelSize(R$styleable.Slider_trackHeight, 0));
        this.D = obtainStyledAttributes.getInt(R$styleable.Slider_labelBehavior, 0);
        if (!obtainStyledAttributes.getBoolean(R$styleable.Slider_android_enabled, true)) {
            setEnabled(false);
        }
        obtainStyledAttributes.recycle();
        setFocusable(true);
        setClickable(true);
        materialShapeDrawable.u(2);
        this.z = ViewConfiguration.get(context2).getScaledTouchSlop();
        e eVar = new e(this);
        this.p = eVar;
        ViewCompat.u(this, eVar);
        this.q = (AccessibilityManager) getContext().getSystemService("accessibility");
    }

    public void setValues(List<Float> list) {
        setValuesInternal(new ArrayList<>(list));
    }
}
