package com.google.android.material.snackbar;

import android.accessibilityservice.AccessibilityServiceInfo;
import android.animation.ValueAnimator;
import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.GradientDrawable;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.WindowInsets;
import android.view.WindowManager;
import android.view.accessibility.AccessibilityManager;
import android.widget.FrameLayout;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.view.OnApplyWindowInsetsListener;
import androidx.core.view.ViewCompat;
import b.j.h.o;
import com.google.android.material.R$attr;
import com.google.android.material.R$dimen;
import com.google.android.material.R$layout;
import com.google.android.material.R$styleable;
import com.google.android.material.behavior.SwipeDismissBehavior;
import com.google.android.material.snackbar.BaseTransientBottomBar;
import d.h.a.b.y.i;
import d.h.a.b.y.j;
import d.h.a.b.y.k;
import d.h.a.b.y.l;
import d.h.a.b.y.m;
import d.h.a.b.y.n;
import d.h.a.b.y.p;
import java.util.List;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;

public abstract class BaseTransientBottomBar<B extends BaseTransientBottomBar<B>> {

    /* renamed from: a  reason: collision with root package name */
    public static final Handler f5004a = new Handler(Looper.getMainLooper(), new a());

    /* renamed from: b  reason: collision with root package name */
    public static final int[] f5005b = {R$attr.snackbarStyle};

    /* renamed from: c  reason: collision with root package name */
    public static final String f5006c = BaseTransientBottomBar.class.getSimpleName();

    /* renamed from: d  reason: collision with root package name */
    public final ViewGroup f5007d;

    /* renamed from: e  reason: collision with root package name */
    public final Context f5008e;

    /* renamed from: f  reason: collision with root package name */
    public final SnackbarBaseLayout f5009f;

    /* renamed from: g  reason: collision with root package name */
    public final n f5010g;

    /* renamed from: h  reason: collision with root package name */
    public int f5011h;

    /* renamed from: i  reason: collision with root package name */
    public final Runnable f5012i = new b();

    /* renamed from: j  reason: collision with root package name */
    public Rect f5013j;

    /* renamed from: k  reason: collision with root package name */
    public int f5014k;

    /* renamed from: l  reason: collision with root package name */
    public int f5015l;
    public int m;
    public int n;
    public int o;
    public final AccessibilityManager p;
    public p.b q = new e();

    public static class Behavior extends SwipeDismissBehavior<View> {

        /* renamed from: i  reason: collision with root package name */
        public final f f5016i = new f(this);

        @Override // com.google.android.material.behavior.SwipeDismissBehavior
        public boolean B(View view) {
            Objects.requireNonNull(this.f5016i);
            return view instanceof SnackbarBaseLayout;
        }

        @Override // com.google.android.material.behavior.SwipeDismissBehavior, androidx.coordinatorlayout.widget.CoordinatorLayout.b
        public boolean j(CoordinatorLayout coordinatorLayout, View view, MotionEvent motionEvent) {
            f fVar = this.f5016i;
            Objects.requireNonNull(fVar);
            int actionMasked = motionEvent.getActionMasked();
            if (actionMasked != 0) {
                if (actionMasked == 1 || actionMasked == 3) {
                    p.b().f(fVar.f5026a);
                }
            } else if (coordinatorLayout.isPointInChildBounds(view, (int) motionEvent.getX(), (int) motionEvent.getY())) {
                p.b().e(fVar.f5026a);
            }
            return super.j(coordinatorLayout, view, motionEvent);
        }
    }

    public static class SnackbarBaseLayout extends FrameLayout {

        /* renamed from: d  reason: collision with root package name */
        public static final View.OnTouchListener f5017d = new a();

        /* renamed from: h  reason: collision with root package name */
        public h f5018h;

        /* renamed from: j  reason: collision with root package name */
        public g f5019j;

        /* renamed from: k  reason: collision with root package name */
        public int f5020k;

        /* renamed from: l  reason: collision with root package name */
        public final float f5021l;
        public final float m;
        public ColorStateList n;
        public PorterDuff.Mode o;

        public static class a implements View.OnTouchListener {
            @SuppressLint({"ClickableViewAccessibility"})
            public boolean onTouch(View view, MotionEvent motionEvent) {
                return true;
            }
        }

        public SnackbarBaseLayout(Context context, AttributeSet attributeSet) {
            super(d.h.a.b.b0.a.a.a(context, attributeSet, 0, 0), attributeSet);
            Drawable drawable;
            Context context2 = getContext();
            TypedArray obtainStyledAttributes = context2.obtainStyledAttributes(attributeSet, R$styleable.SnackbarLayout);
            int i2 = R$styleable.SnackbarLayout_elevation;
            if (obtainStyledAttributes.hasValue(i2)) {
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                setElevation((float) obtainStyledAttributes.getDimensionPixelSize(i2, 0));
            }
            this.f5020k = obtainStyledAttributes.getInt(R$styleable.SnackbarLayout_animationMode, 0);
            this.f5021l = obtainStyledAttributes.getFloat(R$styleable.SnackbarLayout_backgroundOverlayColorAlpha, 1.0f);
            setBackgroundTintList(b.o.a.n.s0(context2, obtainStyledAttributes, R$styleable.SnackbarLayout_backgroundTint));
            setBackgroundTintMode(b.o.a.n.Z1(obtainStyledAttributes.getInt(R$styleable.SnackbarLayout_backgroundTintMode, -1), PorterDuff.Mode.SRC_IN));
            this.m = obtainStyledAttributes.getFloat(R$styleable.SnackbarLayout_actionTextColorAlpha, 1.0f);
            obtainStyledAttributes.recycle();
            setOnTouchListener(f5017d);
            setFocusable(true);
            if (getBackground() == null) {
                float dimension = getResources().getDimension(R$dimen.mtrl_snackbar_background_corner_radius);
                GradientDrawable gradientDrawable = new GradientDrawable();
                gradientDrawable.setShape(0);
                gradientDrawable.setCornerRadius(dimension);
                int i3 = R$attr.colorSurface;
                int i4 = R$attr.colorOnSurface;
                gradientDrawable.setColor(b.o.a.n.s1(b.o.a.n.r0(this, i3), b.o.a.n.r0(this, i4), getBackgroundOverlayColorAlpha()));
                if (this.n != null) {
                    drawable = AppCompatDelegateImpl.e.L0(gradientDrawable);
                    drawable.setTintList(this.n);
                } else {
                    drawable = AppCompatDelegateImpl.e.L0(gradientDrawable);
                }
                AtomicInteger atomicInteger2 = ViewCompat.f1365a;
                setBackground(drawable);
            }
        }

        public float getActionTextColorAlpha() {
            return this.m;
        }

        public int getAnimationMode() {
            return this.f5020k;
        }

        public float getBackgroundOverlayColorAlpha() {
            return this.f5021l;
        }

        public void onAttachedToWindow() {
            WindowInsets rootWindowInsets;
            super.onAttachedToWindow();
            g gVar = this.f5019j;
            if (gVar != null) {
                k kVar = (k) gVar;
                Objects.requireNonNull(kVar);
                if (Build.VERSION.SDK_INT >= 29 && (rootWindowInsets = kVar.f10753a.f5009f.getRootWindowInsets()) != null) {
                    kVar.f10753a.n = rootWindowInsets.getMandatorySystemGestureInsets().bottom;
                    kVar.f10753a.h();
                }
            }
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            requestApplyInsets();
        }

        public void onDetachedFromWindow() {
            boolean z;
            super.onDetachedFromWindow();
            g gVar = this.f5019j;
            if (gVar != null) {
                k kVar = (k) gVar;
                BaseTransientBottomBar baseTransientBottomBar = kVar.f10753a;
                Objects.requireNonNull(baseTransientBottomBar);
                p b2 = p.b();
                p.b bVar = baseTransientBottomBar.q;
                synchronized (b2.f10759b) {
                    if (!b2.c(bVar)) {
                        if (!b2.d(bVar)) {
                            z = false;
                        }
                    }
                    z = true;
                }
                if (z) {
                    BaseTransientBottomBar.f5004a.post(new j(kVar));
                }
            }
        }

        public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
            super.onLayout(z, i2, i3, i4, i5);
            h hVar = this.f5018h;
            if (hVar != null) {
                l lVar = (l) hVar;
                lVar.f10754a.f5009f.setOnLayoutChangeListener(null);
                lVar.f10754a.g();
            }
        }

        public void setAnimationMode(int i2) {
            this.f5020k = i2;
        }

        public void setBackground(Drawable drawable) {
            setBackgroundDrawable(drawable);
        }

        public void setBackgroundDrawable(Drawable drawable) {
            if (!(drawable == null || this.n == null)) {
                drawable = AppCompatDelegateImpl.e.L0(drawable.mutate());
                drawable.setTintList(this.n);
                drawable.setTintMode(this.o);
            }
            super.setBackgroundDrawable(drawable);
        }

        public void setBackgroundTintList(ColorStateList colorStateList) {
            this.n = colorStateList;
            if (getBackground() != null) {
                Drawable L0 = AppCompatDelegateImpl.e.L0(getBackground().mutate());
                L0.setTintList(colorStateList);
                L0.setTintMode(this.o);
                if (L0 != getBackground()) {
                    super.setBackgroundDrawable(L0);
                }
            }
        }

        public void setBackgroundTintMode(PorterDuff.Mode mode) {
            this.o = mode;
            if (getBackground() != null) {
                Drawable L0 = AppCompatDelegateImpl.e.L0(getBackground().mutate());
                L0.setTintMode(mode);
                if (L0 != getBackground()) {
                    super.setBackgroundDrawable(L0);
                }
            }
        }

        public void setOnAttachStateChangeListener(g gVar) {
            this.f5019j = gVar;
        }

        public void setOnClickListener(View.OnClickListener onClickListener) {
            setOnTouchListener(onClickListener != null ? null : f5017d);
            super.setOnClickListener(onClickListener);
        }

        public void setOnLayoutChangeListener(h hVar) {
            this.f5018h = hVar;
        }
    }

    public static class a implements Handler.Callback {
        public boolean handleMessage(Message message) {
            int i2 = message.what;
            if (i2 == 0) {
                BaseTransientBottomBar baseTransientBottomBar = (BaseTransientBottomBar) message.obj;
                baseTransientBottomBar.f5009f.setOnAttachStateChangeListener(new k(baseTransientBottomBar));
                if (baseTransientBottomBar.f5009f.getParent() == null) {
                    ViewGroup.LayoutParams layoutParams = baseTransientBottomBar.f5009f.getLayoutParams();
                    if (layoutParams instanceof CoordinatorLayout.e) {
                        CoordinatorLayout.e eVar = (CoordinatorLayout.e) layoutParams;
                        Behavior behavior = new Behavior();
                        f fVar = behavior.f5016i;
                        Objects.requireNonNull(fVar);
                        fVar.f5026a = baseTransientBottomBar.q;
                        behavior.f4720b = new m(baseTransientBottomBar);
                        eVar.b(behavior);
                        eVar.f1248g = 80;
                    }
                    baseTransientBottomBar.o = 0;
                    baseTransientBottomBar.h();
                    baseTransientBottomBar.f5009f.setVisibility(4);
                    baseTransientBottomBar.f5007d.addView(baseTransientBottomBar.f5009f);
                }
                SnackbarBaseLayout snackbarBaseLayout = baseTransientBottomBar.f5009f;
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                if (snackbarBaseLayout.isLaidOut()) {
                    baseTransientBottomBar.g();
                } else {
                    baseTransientBottomBar.f5009f.setOnLayoutChangeListener(new l(baseTransientBottomBar));
                }
                return true;
            } else if (i2 != 1) {
                return false;
            } else {
                BaseTransientBottomBar baseTransientBottomBar2 = (BaseTransientBottomBar) message.obj;
                int i3 = message.arg1;
                if (!baseTransientBottomBar2.f() || baseTransientBottomBar2.f5009f.getVisibility() != 0) {
                    baseTransientBottomBar2.d(i3);
                } else if (baseTransientBottomBar2.f5009f.getAnimationMode() == 1) {
                    ValueAnimator ofFloat = ValueAnimator.ofFloat(1.0f, 0.0f);
                    ofFloat.setInterpolator(d.h.a.b.a.a.f10153a);
                    ofFloat.addUpdateListener(new d.h.a.b.y.d(baseTransientBottomBar2));
                    ofFloat.setDuration(75L);
                    ofFloat.addListener(new d.h.a.b.y.c(baseTransientBottomBar2, i3));
                    ofFloat.start();
                } else {
                    ValueAnimator valueAnimator = new ValueAnimator();
                    valueAnimator.setIntValues(0, baseTransientBottomBar2.c());
                    valueAnimator.setInterpolator(d.h.a.b.a.a.f10154b);
                    valueAnimator.setDuration(250L);
                    valueAnimator.addListener(new d.h.a.b.y.h(baseTransientBottomBar2, i3));
                    valueAnimator.addUpdateListener(new i(baseTransientBottomBar2));
                    valueAnimator.start();
                }
                return true;
            }
        }
    }

    public class b implements Runnable {
        public b() {
        }

        public void run() {
            Context context;
            BaseTransientBottomBar baseTransientBottomBar = BaseTransientBottomBar.this;
            if (baseTransientBottomBar.f5009f != null && (context = baseTransientBottomBar.f5008e) != null) {
                DisplayMetrics displayMetrics = new DisplayMetrics();
                ((WindowManager) context.getSystemService("window")).getDefaultDisplay().getRealMetrics(displayMetrics);
                int i2 = displayMetrics.heightPixels;
                BaseTransientBottomBar baseTransientBottomBar2 = BaseTransientBottomBar.this;
                int[] iArr = new int[2];
                baseTransientBottomBar2.f5009f.getLocationOnScreen(iArr);
                int height = (i2 - (baseTransientBottomBar2.f5009f.getHeight() + iArr[1])) + ((int) BaseTransientBottomBar.this.f5009f.getTranslationY());
                BaseTransientBottomBar baseTransientBottomBar3 = BaseTransientBottomBar.this;
                if (height < baseTransientBottomBar3.n) {
                    ViewGroup.LayoutParams layoutParams = baseTransientBottomBar3.f5009f.getLayoutParams();
                    if (!(layoutParams instanceof ViewGroup.MarginLayoutParams)) {
                        Handler handler = BaseTransientBottomBar.f5004a;
                        Log.w(BaseTransientBottomBar.f5006c, "Unable to apply gesture inset because layout params are not MarginLayoutParams");
                        return;
                    }
                    ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) layoutParams;
                    int i3 = marginLayoutParams.bottomMargin;
                    BaseTransientBottomBar baseTransientBottomBar4 = BaseTransientBottomBar.this;
                    marginLayoutParams.bottomMargin = (baseTransientBottomBar4.n - height) + i3;
                    baseTransientBottomBar4.f5009f.requestLayout();
                }
            }
        }
    }

    public class c implements OnApplyWindowInsetsListener {
        public c() {
        }

        @Override // androidx.core.view.OnApplyWindowInsetsListener
        public o onApplyWindowInsets(View view, o oVar) {
            BaseTransientBottomBar.this.f5014k = oVar.b();
            BaseTransientBottomBar.this.f5015l = oVar.c();
            BaseTransientBottomBar.this.m = oVar.d();
            BaseTransientBottomBar.this.h();
            return oVar;
        }
    }

    public class d extends b.j.h.a {
        public d() {
        }

        @Override // b.j.h.a
        public void d(View view, b.j.h.p.b bVar) {
            this.f3391b.onInitializeAccessibilityNodeInfo(view, bVar.f3453b);
            bVar.f3453b.addAction(1048576);
            bVar.f3453b.setDismissable(true);
        }

        @Override // b.j.h.a
        public boolean g(View view, int i2, Bundle bundle) {
            if (i2 != 1048576) {
                return super.g(view, i2, bundle);
            }
            BaseTransientBottomBar.this.a();
            return true;
        }
    }

    public class e implements p.b {
        public e() {
        }

        @Override // d.h.a.b.y.p.b
        public void a(int i2) {
            Handler handler = BaseTransientBottomBar.f5004a;
            handler.sendMessage(handler.obtainMessage(1, i2, 0, BaseTransientBottomBar.this));
        }

        @Override // d.h.a.b.y.p.b
        public void show() {
            Handler handler = BaseTransientBottomBar.f5004a;
            handler.sendMessage(handler.obtainMessage(0, BaseTransientBottomBar.this));
        }
    }

    public static class f {

        /* renamed from: a  reason: collision with root package name */
        public p.b f5026a;

        public f(SwipeDismissBehavior<?> swipeDismissBehavior) {
            swipeDismissBehavior.f4724f = SwipeDismissBehavior.C(0.0f, 0.1f, 1.0f);
            swipeDismissBehavior.f4725g = SwipeDismissBehavior.C(0.0f, 0.6f, 1.0f);
            swipeDismissBehavior.f4722d = 0;
        }
    }

    public interface g {
    }

    public interface h {
    }

    public BaseTransientBottomBar(Context context, ViewGroup viewGroup, View view, n nVar) {
        if (viewGroup == null) {
            throw new IllegalArgumentException("Transient bottom bar must have non-null parent");
        } else if (view == null) {
            throw new IllegalArgumentException("Transient bottom bar must have non-null content");
        } else if (nVar != null) {
            this.f5007d = viewGroup;
            this.f5010g = nVar;
            this.f5008e = context;
            d.h.a.b.p.f.c(context, d.h.a.b.p.f.f10558a, "Theme.AppCompat");
            LayoutInflater from = LayoutInflater.from(context);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(f5005b);
            int resourceId = obtainStyledAttributes.getResourceId(0, -1);
            obtainStyledAttributes.recycle();
            SnackbarBaseLayout snackbarBaseLayout = (SnackbarBaseLayout) from.inflate(resourceId != -1 ? R$layout.mtrl_layout_snackbar : R$layout.design_layout_snackbar, viewGroup, false);
            this.f5009f = snackbarBaseLayout;
            if (view instanceof SnackbarContentLayout) {
                SnackbarContentLayout snackbarContentLayout = (SnackbarContentLayout) view;
                float actionTextColorAlpha = snackbarBaseLayout.getActionTextColorAlpha();
                if (actionTextColorAlpha != 1.0f) {
                    snackbarContentLayout.f5028h.setTextColor(b.o.a.n.s1(b.o.a.n.r0(snackbarContentLayout, R$attr.colorSurface), snackbarContentLayout.f5028h.getCurrentTextColor(), actionTextColorAlpha));
                }
            }
            snackbarBaseLayout.addView(view);
            ViewGroup.LayoutParams layoutParams = snackbarBaseLayout.getLayoutParams();
            if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
                ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) layoutParams;
                this.f5013j = new Rect(marginLayoutParams.leftMargin, marginLayoutParams.topMargin, marginLayoutParams.rightMargin, marginLayoutParams.bottomMargin);
            }
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            snackbarBaseLayout.setAccessibilityLiveRegion(1);
            snackbarBaseLayout.setImportantForAccessibility(1);
            snackbarBaseLayout.setFitsSystemWindows(true);
            ViewCompat.c.d(snackbarBaseLayout, new c());
            ViewCompat.u(snackbarBaseLayout, new d());
            this.p = (AccessibilityManager) context.getSystemService("accessibility");
        } else {
            throw new IllegalArgumentException("Transient bottom bar must have non-null callback");
        }
    }

    public void a() {
        b(3);
    }

    public void b(int i2) {
        p b2 = p.b();
        p.b bVar = this.q;
        synchronized (b2.f10759b) {
            if (b2.c(bVar)) {
                b2.a(b2.f10761d, i2);
            } else if (b2.d(bVar)) {
                b2.a(b2.f10762e, i2);
            }
        }
    }

    public final int c() {
        int height = this.f5009f.getHeight();
        ViewGroup.LayoutParams layoutParams = this.f5009f.getLayoutParams();
        return layoutParams instanceof ViewGroup.MarginLayoutParams ? height + ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin : height;
    }

    public void d(int i2) {
        p b2 = p.b();
        p.b bVar = this.q;
        synchronized (b2.f10759b) {
            if (b2.c(bVar)) {
                b2.f10761d = null;
                if (b2.f10762e != null) {
                    b2.h();
                }
            }
        }
        ViewParent parent = this.f5009f.getParent();
        if (parent instanceof ViewGroup) {
            ((ViewGroup) parent).removeView(this.f5009f);
        }
    }

    public void e() {
        p b2 = p.b();
        p.b bVar = this.q;
        synchronized (b2.f10759b) {
            if (b2.c(bVar)) {
                b2.g(b2.f10761d);
            }
        }
    }

    public boolean f() {
        AccessibilityManager accessibilityManager = this.p;
        if (accessibilityManager == null) {
            return true;
        }
        List<AccessibilityServiceInfo> enabledAccessibilityServiceList = accessibilityManager.getEnabledAccessibilityServiceList(1);
        if (enabledAccessibilityServiceList == null || !enabledAccessibilityServiceList.isEmpty()) {
            return false;
        }
        return true;
    }

    public final void g() {
        if (f()) {
            this.f5009f.post(new d.h.a.b.y.a(this));
            return;
        }
        if (this.f5009f.getParent() != null) {
            this.f5009f.setVisibility(0);
        }
        e();
    }

    public final void h() {
        Rect rect;
        ViewGroup.LayoutParams layoutParams = this.f5009f.getLayoutParams();
        if (!(layoutParams instanceof ViewGroup.MarginLayoutParams) || (rect = this.f5013j) == null) {
            Log.w(f5006c, "Unable to update margins because layout params are not MarginLayoutParams");
            return;
        }
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) layoutParams;
        marginLayoutParams.bottomMargin = rect.bottom + this.f5014k;
        marginLayoutParams.leftMargin = rect.left + this.f5015l;
        marginLayoutParams.rightMargin = rect.right + this.m;
        this.f5009f.requestLayout();
        if (Build.VERSION.SDK_INT >= 29) {
            boolean z = false;
            if (this.n > 0) {
                ViewGroup.LayoutParams layoutParams2 = this.f5009f.getLayoutParams();
                if ((layoutParams2 instanceof CoordinatorLayout.e) && (((CoordinatorLayout.e) layoutParams2).f1242a instanceof SwipeDismissBehavior)) {
                    z = true;
                }
            }
            if (z) {
                this.f5009f.removeCallbacks(this.f5012i);
                this.f5009f.post(this.f5012i);
            }
        }
    }
}
