package com.google.android.material.switchmaterial;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import androidx.appcompat.widget.SwitchCompat;
import b.o.a.n;
import com.google.android.material.R$attr;
import com.google.android.material.R$dimen;
import com.google.android.material.R$style;
import com.google.android.material.R$styleable;
import d.h.a.b.m.a;
import d.h.a.b.p.f;

public class SwitchMaterial extends SwitchCompat {
    public static final int W = R$style.Widget_MaterialComponents_CompoundButton_Switch;
    public static final int[][] a0 = {new int[]{16842910, 16842912}, new int[]{16842910, -16842912}, new int[]{-16842910, 16842912}, new int[]{-16842910, -16842912}};
    public final a b0;
    public ColorStateList c0;
    public ColorStateList d0;
    public boolean e0;

    public SwitchMaterial(Context context) {
        this(context, null);
    }

    private ColorStateList getMaterialThemeColorsThumbTintList() {
        if (this.c0 == null) {
            int r0 = n.r0(this, R$attr.colorSurface);
            int r02 = n.r0(this, R$attr.colorControlActivated);
            float dimension = getResources().getDimension(R$dimen.mtrl_switch_thumb_elevation);
            if (this.b0.f10467a) {
                dimension += n.H0(this);
            }
            int a2 = this.b0.a(r0, dimension);
            int[][] iArr = a0;
            int[] iArr2 = new int[iArr.length];
            iArr2[0] = n.s1(r0, r02, 1.0f);
            iArr2[1] = a2;
            iArr2[2] = n.s1(r0, r02, 0.38f);
            iArr2[3] = a2;
            this.c0 = new ColorStateList(iArr, iArr2);
        }
        return this.c0;
    }

    private ColorStateList getMaterialThemeColorsTrackTintList() {
        if (this.d0 == null) {
            int[][] iArr = a0;
            int[] iArr2 = new int[iArr.length];
            int r0 = n.r0(this, R$attr.colorSurface);
            int r02 = n.r0(this, R$attr.colorControlActivated);
            int r03 = n.r0(this, R$attr.colorOnSurface);
            iArr2[0] = n.s1(r0, r02, 0.54f);
            iArr2[1] = n.s1(r0, r03, 0.32f);
            iArr2[2] = n.s1(r0, r02, 0.12f);
            iArr2[3] = n.s1(r0, r03, 0.12f);
            this.d0 = new ColorStateList(iArr, iArr2);
        }
        return this.d0;
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (this.e0 && getThumbTintList() == null) {
            setThumbTintList(getMaterialThemeColorsThumbTintList());
        }
        if (this.e0 && getTrackTintList() == null) {
            setTrackTintList(getMaterialThemeColorsTrackTintList());
        }
    }

    public void setUseMaterialThemeColors(boolean z) {
        this.e0 = z;
        if (z) {
            setThumbTintList(getMaterialThemeColorsThumbTintList());
            setTrackTintList(getMaterialThemeColorsTrackTintList());
            return;
        }
        setThumbTintList(null);
        setTrackTintList(null);
    }

    public SwitchMaterial(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R$attr.switchStyle);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public SwitchMaterial(Context context, AttributeSet attributeSet, int i2) {
        super(d.h.a.b.b0.a.a.a(context, attributeSet, i2, r4), attributeSet, i2);
        int i3 = W;
        Context context2 = getContext();
        this.b0 = new a(context2);
        TypedArray d2 = f.d(context2, attributeSet, R$styleable.SwitchMaterial, i2, i3, new int[0]);
        this.e0 = d2.getBoolean(R$styleable.SwitchMaterial_useMaterialThemeColors, false);
        d2.recycle();
    }
}
