package com.google.android.material.tabs;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.database.DataSetObserver;
import android.graphics.Canvas;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.GradientDrawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Build;
import android.text.Layout;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.FrameLayout;
import android.widget.HorizontalScrollView;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.core.util.Pools$Pool;
import androidx.core.util.Pools$SimplePool;
import androidx.core.util.Pools$SynchronizedPool;
import androidx.core.view.ViewCompat;
import androidx.viewpager.widget.ViewPager;
import b.j.h.p.b;
import b.o.a.n;
import com.google.android.material.R$attr;
import com.google.android.material.R$dimen;
import com.google.android.material.R$layout;
import com.google.android.material.R$string;
import com.google.android.material.R$style;
import com.google.android.material.R$styleable;
import com.google.android.material.badge.BadgeDrawable;
import com.google.android.material.shape.MaterialShapeDrawable;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;
import org.dsq.library.widget.bigImage.SubsamplingScaleImageView;

@ViewPager.e
public class TabLayout extends HorizontalScrollView {

    /* renamed from: d  reason: collision with root package name */
    public static final int f5034d = R$style.Widget_Design_TabLayout;

    /* renamed from: h  reason: collision with root package name */
    public static final Pools$Pool<g> f5035h = new Pools$SynchronizedPool(16);
    public int A;
    public final int B;
    public final int C;
    public final int D;
    public int E;
    public int F;
    public int G;
    public int H;
    public int I;
    public boolean J;
    public boolean K;
    public int L;
    public boolean M;
    public d.h.a.b.z.b N;
    public c O;
    public final ArrayList<c> P;
    public c Q;
    public ValueAnimator R;
    public ViewPager S;
    public b.a0.a.a T;
    public DataSetObserver U;
    public TabLayoutOnPageChangeListener V;
    public b W;
    public boolean a0;
    public final Pools$Pool<TabView> b0;

    /* renamed from: j  reason: collision with root package name */
    public final ArrayList<g> f5036j;

    /* renamed from: k  reason: collision with root package name */
    public g f5037k;

    /* renamed from: l  reason: collision with root package name */
    public final f f5038l;
    public int m;
    public int n;
    public int o;
    public int p;
    public int q;
    public ColorStateList r;
    public ColorStateList s;
    public ColorStateList t;
    public Drawable u;
    public int v;
    public PorterDuff.Mode w;
    public float x;
    public float y;
    public final int z;

    public static class TabLayoutOnPageChangeListener implements ViewPager.OnPageChangeListener {

        /* renamed from: d  reason: collision with root package name */
        public final WeakReference<TabLayout> f5039d;

        /* renamed from: h  reason: collision with root package name */
        public int f5040h;

        /* renamed from: j  reason: collision with root package name */
        public int f5041j;

        public TabLayoutOnPageChangeListener(TabLayout tabLayout) {
            this.f5039d = new WeakReference<>(tabLayout);
        }

        @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
        public void onPageScrollStateChanged(int i2) {
            this.f5040h = this.f5041j;
            this.f5041j = i2;
        }

        @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
        public void onPageScrolled(int i2, float f2, int i3) {
            TabLayout tabLayout = this.f5039d.get();
            if (tabLayout != null) {
                int i4 = this.f5041j;
                boolean z = false;
                boolean z2 = i4 != 2 || this.f5040h == 1;
                if (!(i4 == 2 && this.f5040h == 0)) {
                    z = true;
                }
                tabLayout.l(i2, f2, z2, z);
            }
        }

        @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
        public void onPageSelected(int i2) {
            TabLayout tabLayout = this.f5039d.get();
            if (tabLayout != null && tabLayout.getSelectedTabPosition() != i2 && i2 < tabLayout.getTabCount()) {
                int i3 = this.f5041j;
                tabLayout.j(tabLayout.g(i2), i3 == 0 || (i3 == 2 && this.f5040h == 0));
            }
        }
    }

    public final class TabView extends LinearLayout {

        /* renamed from: d  reason: collision with root package name */
        public static final /* synthetic */ int f5042d = 0;

        /* renamed from: h  reason: collision with root package name */
        public g f5043h;

        /* renamed from: j  reason: collision with root package name */
        public TextView f5044j;

        /* renamed from: k  reason: collision with root package name */
        public ImageView f5045k;

        /* renamed from: l  reason: collision with root package name */
        public View f5046l;
        public BadgeDrawable m;
        public View n;
        public TextView o;
        public ImageView p;
        public Drawable q;
        public int r = 2;

        public TabView(Context context) {
            super(context);
            g(context);
            int i2 = TabLayout.this.m;
            int i3 = TabLayout.this.n;
            int i4 = TabLayout.this.o;
            int i5 = TabLayout.this.p;
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            setPaddingRelative(i2, i3, i4, i5);
            setGravity(17);
            setOrientation(!TabLayout.this.J ? 1 : 0);
            setClickable(true);
            ViewCompat.v(this, b.j.h.g.a(getContext(), 1002));
        }

        private BadgeDrawable getBadge() {
            return this.m;
        }

        private BadgeDrawable getOrCreateBadge() {
            if (this.m == null) {
                Context context = getContext();
                int i2 = BadgeDrawable.f4710h;
                int i3 = BadgeDrawable.f4709d;
                BadgeDrawable badgeDrawable = new BadgeDrawable(context);
                int[] iArr = R$styleable.Badge;
                d.h.a.b.p.f.a(context, null, i2, i3);
                d.h.a.b.p.f.b(context, null, iArr, i2, i3, new int[0]);
                TypedArray obtainStyledAttributes = context.obtainStyledAttributes(null, iArr, i2, i3);
                badgeDrawable.j(obtainStyledAttributes.getInt(R$styleable.Badge_maxCharacterCount, 4));
                int i4 = R$styleable.Badge_number;
                if (obtainStyledAttributes.hasValue(i4)) {
                    badgeDrawable.k(obtainStyledAttributes.getInt(i4, 0));
                }
                badgeDrawable.g(n.s0(context, obtainStyledAttributes, R$styleable.Badge_backgroundColor).getDefaultColor());
                int i5 = R$styleable.Badge_badgeTextColor;
                if (obtainStyledAttributes.hasValue(i5)) {
                    badgeDrawable.i(n.s0(context, obtainStyledAttributes, i5).getDefaultColor());
                }
                badgeDrawable.h(obtainStyledAttributes.getInt(R$styleable.Badge_badgeGravity, 8388661));
                badgeDrawable.q.horizontalOffset = obtainStyledAttributes.getDimensionPixelOffset(R$styleable.Badge_horizontalOffset, 0);
                badgeDrawable.m();
                badgeDrawable.q.verticalOffset = obtainStyledAttributes.getDimensionPixelOffset(R$styleable.Badge_verticalOffset, 0);
                badgeDrawable.m();
                obtainStyledAttributes.recycle();
                this.m = badgeDrawable;
            }
            d();
            BadgeDrawable badgeDrawable2 = this.m;
            if (badgeDrawable2 != null) {
                return badgeDrawable2;
            }
            throw new IllegalStateException("Unable to create badge");
        }

        public final boolean a() {
            return this.m != null;
        }

        public final void b(View view) {
            if (a() && view != null) {
                setClipChildren(false);
                setClipToPadding(false);
                ViewGroup viewGroup = (ViewGroup) getParent();
                if (viewGroup != null) {
                    viewGroup.setClipChildren(false);
                    viewGroup.setClipToPadding(false);
                }
                d.h.a.b.c.a.a(this.m, view, null);
                this.f5046l = view;
            }
        }

        public final void c() {
            if (a()) {
                setClipChildren(true);
                setClipToPadding(true);
                ViewGroup viewGroup = (ViewGroup) getParent();
                if (viewGroup != null) {
                    viewGroup.setClipChildren(true);
                    viewGroup.setClipToPadding(true);
                }
                View view = this.f5046l;
                if (view != null) {
                    d.h.a.b.c.a.b(this.m, view);
                    this.f5046l = null;
                }
            }
        }

        public final void d() {
            g gVar;
            g gVar2;
            if (a()) {
                if (this.n != null) {
                    c();
                    return;
                }
                ImageView imageView = this.f5045k;
                if (imageView == null || (gVar2 = this.f5043h) == null || gVar2.f5061a == null) {
                    if (this.f5044j == null || (gVar = this.f5043h) == null) {
                        c();
                        return;
                    }
                    Objects.requireNonNull(gVar);
                    View view = this.f5046l;
                    TextView textView = this.f5044j;
                    if (view != textView) {
                        c();
                        b(this.f5044j);
                        return;
                    }
                    e(textView);
                } else if (this.f5046l != imageView) {
                    c();
                    b(this.f5045k);
                } else {
                    e(imageView);
                }
            }
        }

        public void drawableStateChanged() {
            super.drawableStateChanged();
            int[] drawableState = getDrawableState();
            Drawable drawable = this.q;
            boolean z = false;
            if (drawable != null && drawable.isStateful()) {
                z = false | this.q.setState(drawableState);
            }
            if (z) {
                invalidate();
                TabLayout.this.invalidate();
            }
        }

        public final void e(View view) {
            if (a() && view == this.f5046l) {
                d.h.a.b.c.a.c(this.m, view, null);
            }
        }

        public final void f() {
            Drawable drawable;
            g gVar = this.f5043h;
            Drawable drawable2 = null;
            View view = gVar != null ? gVar.f5065e : null;
            if (view != null) {
                ViewParent parent = view.getParent();
                if (parent != this) {
                    if (parent != null) {
                        ((ViewGroup) parent).removeView(view);
                    }
                    addView(view);
                }
                this.n = view;
                TextView textView = this.f5044j;
                if (textView != null) {
                    textView.setVisibility(8);
                }
                ImageView imageView = this.f5045k;
                if (imageView != null) {
                    imageView.setVisibility(8);
                    this.f5045k.setImageDrawable(null);
                }
                TextView textView2 = (TextView) view.findViewById(16908308);
                this.o = textView2;
                if (textView2 != null) {
                    this.r = textView2.getMaxLines();
                }
                this.p = (ImageView) view.findViewById(16908294);
            } else {
                View view2 = this.n;
                if (view2 != null) {
                    removeView(view2);
                    this.n = null;
                }
                this.o = null;
                this.p = null;
            }
            boolean z = false;
            if (this.n == null) {
                if (this.f5045k == null) {
                    ImageView imageView2 = (ImageView) LayoutInflater.from(getContext()).inflate(R$layout.design_layout_tab_icon, (ViewGroup) this, false);
                    this.f5045k = imageView2;
                    addView(imageView2, 0);
                }
                if (!(gVar == null || (drawable = gVar.f5061a) == null)) {
                    drawable2 = AppCompatDelegateImpl.e.L0(drawable).mutate();
                }
                if (drawable2 != null) {
                    drawable2.setTintList(TabLayout.this.s);
                    PorterDuff.Mode mode = TabLayout.this.w;
                    if (mode != null) {
                        drawable2.setTintMode(mode);
                    }
                }
                if (this.f5044j == null) {
                    TextView textView3 = (TextView) LayoutInflater.from(getContext()).inflate(R$layout.design_layout_tab_text, (ViewGroup) this, false);
                    this.f5044j = textView3;
                    addView(textView3);
                    this.r = this.f5044j.getMaxLines();
                }
                AppCompatDelegateImpl.e.x0(this.f5044j, TabLayout.this.q);
                ColorStateList colorStateList = TabLayout.this.r;
                if (colorStateList != null) {
                    this.f5044j.setTextColor(colorStateList);
                }
                h(this.f5044j, this.f5045k);
                d();
                ImageView imageView3 = this.f5045k;
                if (imageView3 != null) {
                    imageView3.addOnLayoutChangeListener(new d.h.a.b.z.c(this, imageView3));
                }
                TextView textView4 = this.f5044j;
                if (textView4 != null) {
                    textView4.addOnLayoutChangeListener(new d.h.a.b.z.c(this, textView4));
                }
            } else {
                TextView textView5 = this.o;
                if (!(textView5 == null && this.p == null)) {
                    h(textView5, this.p);
                }
            }
            if (gVar != null && !TextUtils.isEmpty(gVar.f5063c)) {
                setContentDescription(gVar.f5063c);
            }
            if (gVar != null) {
                TabLayout tabLayout = gVar.f5066f;
                if (tabLayout != null) {
                    if (tabLayout.getSelectedTabPosition() == gVar.f5064d) {
                        z = true;
                    }
                } else {
                    throw new IllegalArgumentException("Tab not attached to a TabLayout");
                }
            }
            setSelected(z);
        }

        /* JADX WARN: Multi-variable type inference failed */
        /* JADX WARN: Type inference failed for: r5v0, types: [android.widget.LinearLayout, android.view.View, com.google.android.material.tabs.TabLayout$TabView] */
        /* JADX WARN: Type inference failed for: r3v0, types: [android.graphics.drawable.RippleDrawable] */
        /* JADX WARNING: Unknown variable types count: 1 */
        public final void g(Context context) {
            int i2 = TabLayout.this.z;
            GradientDrawable gradientDrawable = null;
            if (i2 != 0) {
                Drawable b2 = b.b.b.a.a.b(context, i2);
                this.q = b2;
                if (b2 != null && b2.isStateful()) {
                    this.q.setState(getDrawableState());
                }
            } else {
                this.q = null;
            }
            GradientDrawable gradientDrawable2 = new GradientDrawable();
            gradientDrawable2.setColor(0);
            if (TabLayout.this.t != null) {
                GradientDrawable gradientDrawable3 = new GradientDrawable();
                gradientDrawable3.setCornerRadius(1.0E-5f);
                gradientDrawable3.setColor(-1);
                ColorStateList a2 = d.h.a.b.u.a.a(TabLayout.this.t);
                boolean z = TabLayout.this.M;
                if (z) {
                    gradientDrawable2 = null;
                }
                if (!z) {
                    gradientDrawable = gradientDrawable3;
                }
                gradientDrawable2 = new RippleDrawable(a2, gradientDrawable2, gradientDrawable);
            }
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            setBackground(gradientDrawable2);
            TabLayout.this.invalidate();
        }

        public int getContentHeight() {
            View[] viewArr = {this.f5044j, this.f5045k, this.n};
            int i2 = 0;
            int i3 = 0;
            boolean z = false;
            for (int i4 = 0; i4 < 3; i4++) {
                View view = viewArr[i4];
                if (view != null && view.getVisibility() == 0) {
                    i3 = z ? Math.min(i3, view.getTop()) : view.getTop();
                    i2 = z ? Math.max(i2, view.getBottom()) : view.getBottom();
                    z = true;
                }
            }
            return i2 - i3;
        }

        public int getContentWidth() {
            View[] viewArr = {this.f5044j, this.f5045k, this.n};
            int i2 = 0;
            int i3 = 0;
            boolean z = false;
            for (int i4 = 0; i4 < 3; i4++) {
                View view = viewArr[i4];
                if (view != null && view.getVisibility() == 0) {
                    i3 = z ? Math.min(i3, view.getLeft()) : view.getLeft();
                    i2 = z ? Math.max(i2, view.getRight()) : view.getRight();
                    z = true;
                }
            }
            return i2 - i3;
        }

        public g getTab() {
            return this.f5043h;
        }

        public final void h(TextView textView, ImageView imageView) {
            Drawable drawable;
            g gVar = this.f5043h;
            CharSequence charSequence = null;
            Drawable mutate = (gVar == null || (drawable = gVar.f5061a) == null) ? null : AppCompatDelegateImpl.e.L0(drawable).mutate();
            g gVar2 = this.f5043h;
            CharSequence charSequence2 = gVar2 != null ? gVar2.f5062b : null;
            if (imageView != null) {
                if (mutate != null) {
                    imageView.setImageDrawable(mutate);
                    imageView.setVisibility(0);
                    setVisibility(0);
                } else {
                    imageView.setVisibility(8);
                    imageView.setImageDrawable(null);
                }
            }
            boolean z = !TextUtils.isEmpty(charSequence2);
            if (textView != null) {
                if (z) {
                    textView.setText(charSequence2);
                    Objects.requireNonNull(this.f5043h);
                    textView.setVisibility(0);
                    setVisibility(0);
                } else {
                    textView.setVisibility(8);
                    textView.setText((CharSequence) null);
                }
            }
            if (imageView != null) {
                ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) imageView.getLayoutParams();
                int f0 = (!z || imageView.getVisibility() != 0) ? 0 : (int) n.f0(getContext(), 8);
                if (TabLayout.this.J) {
                    if (f0 != marginLayoutParams.getMarginEnd()) {
                        marginLayoutParams.setMarginEnd(f0);
                        marginLayoutParams.bottomMargin = 0;
                        imageView.setLayoutParams(marginLayoutParams);
                        imageView.requestLayout();
                    }
                } else if (f0 != marginLayoutParams.bottomMargin) {
                    marginLayoutParams.bottomMargin = f0;
                    marginLayoutParams.setMarginEnd(0);
                    imageView.setLayoutParams(marginLayoutParams);
                    imageView.requestLayout();
                }
            }
            g gVar3 = this.f5043h;
            if (gVar3 != null) {
                charSequence = gVar3.f5063c;
            }
            if (Build.VERSION.SDK_INT > 23) {
                if (!z) {
                    charSequence2 = charSequence;
                }
                AppCompatDelegateImpl.e.C0(this, charSequence2);
            }
        }

        public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
            super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
            BadgeDrawable badgeDrawable = this.m;
            if (badgeDrawable != null && badgeDrawable.isVisible()) {
                CharSequence contentDescription = getContentDescription();
                accessibilityNodeInfo.setContentDescription(((Object) contentDescription) + ", " + ((Object) this.m.c()));
            }
            accessibilityNodeInfo.setCollectionItemInfo((AccessibilityNodeInfo.CollectionItemInfo) b.c.a(0, 1, this.f5043h.f5064d, 1, false, isSelected()).f3469a);
            if (isSelected()) {
                accessibilityNodeInfo.setClickable(false);
                accessibilityNodeInfo.removeAction((AccessibilityNodeInfo.AccessibilityAction) b.a.f3458c.f3467l);
            }
            accessibilityNodeInfo.getExtras().putCharSequence("AccessibilityNodeInfo.roleDescription", getResources().getString(R$string.item_view_role_description));
        }

        /* JADX WARNING: Code restructure failed: missing block: B:28:0x0094, code lost:
            if (((r0 / r2.getPaint().getTextSize()) * r2.getLineWidth(0)) > ((float) ((getMeasuredWidth() - getPaddingLeft()) - getPaddingRight()))) goto L_0x0096;
         */
        public void onMeasure(int i2, int i3) {
            int size = View.MeasureSpec.getSize(i2);
            int mode = View.MeasureSpec.getMode(i2);
            int tabMaxWidth = TabLayout.this.getTabMaxWidth();
            if (tabMaxWidth > 0 && (mode == 0 || size > tabMaxWidth)) {
                i2 = View.MeasureSpec.makeMeasureSpec(TabLayout.this.A, Integer.MIN_VALUE);
            }
            super.onMeasure(i2, i3);
            if (this.f5044j != null) {
                float f2 = TabLayout.this.x;
                int i4 = this.r;
                ImageView imageView = this.f5045k;
                boolean z = true;
                if (imageView == null || imageView.getVisibility() != 0) {
                    TextView textView = this.f5044j;
                    if (textView != null && textView.getLineCount() > 1) {
                        f2 = TabLayout.this.y;
                    }
                } else {
                    i4 = 1;
                }
                float textSize = this.f5044j.getTextSize();
                int lineCount = this.f5044j.getLineCount();
                int maxLines = this.f5044j.getMaxLines();
                int i5 = (f2 > textSize ? 1 : (f2 == textSize ? 0 : -1));
                if (i5 != 0 || (maxLines >= 0 && i4 != maxLines)) {
                    if (TabLayout.this.I == 1 && i5 > 0 && lineCount == 1) {
                        Layout layout = this.f5044j.getLayout();
                        if (layout != null) {
                        }
                        z = false;
                    }
                    if (z) {
                        this.f5044j.setTextSize(0, f2);
                        this.f5044j.setMaxLines(i4);
                        super.onMeasure(i2, i3);
                    }
                }
            }
        }

        public boolean performClick() {
            boolean performClick = super.performClick();
            if (this.f5043h == null) {
                return performClick;
            }
            if (!performClick) {
                playSoundEffect(0);
            }
            g gVar = this.f5043h;
            TabLayout tabLayout = gVar.f5066f;
            if (tabLayout != null) {
                tabLayout.j(gVar, true);
                return true;
            }
            throw new IllegalArgumentException("Tab not attached to a TabLayout");
        }

        public void setSelected(boolean z) {
            if (isSelected() != z) {
            }
            super.setSelected(z);
            TextView textView = this.f5044j;
            if (textView != null) {
                textView.setSelected(z);
            }
            ImageView imageView = this.f5045k;
            if (imageView != null) {
                imageView.setSelected(z);
            }
            View view = this.n;
            if (view != null) {
                view.setSelected(z);
            }
        }

        public void setTab(g gVar) {
            if (gVar != this.f5043h) {
                this.f5043h = gVar;
                f();
            }
        }
    }

    public class a implements ValueAnimator.AnimatorUpdateListener {
        public a() {
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            TabLayout.this.scrollTo(((Integer) valueAnimator.getAnimatedValue()).intValue(), 0);
        }
    }

    public class b implements ViewPager.OnAdapterChangeListener {

        /* renamed from: d  reason: collision with root package name */
        public boolean f5048d;

        public b() {
        }

        @Override // androidx.viewpager.widget.ViewPager.OnAdapterChangeListener
        public void onAdapterChanged(ViewPager viewPager, b.a0.a.a aVar, b.a0.a.a aVar2) {
            TabLayout tabLayout = TabLayout.this;
            if (tabLayout.S == viewPager) {
                tabLayout.k(aVar2, this.f5048d);
            }
        }
    }

    @Deprecated
    public interface c<T extends g> {
        void a(T t);

        void b(T t);

        void c(T t);
    }

    public interface d extends c<g> {
    }

    public class e extends DataSetObserver {
        public e() {
        }

        public void onChanged() {
            TabLayout.this.i();
        }

        public void onInvalidated() {
            TabLayout.this.i();
        }
    }

    public class f extends LinearLayout {

        /* renamed from: d  reason: collision with root package name */
        public ValueAnimator f5051d;

        /* renamed from: h  reason: collision with root package name */
        public int f5052h = -1;

        /* renamed from: j  reason: collision with root package name */
        public float f5053j;

        /* renamed from: k  reason: collision with root package name */
        public int f5054k = -1;

        public class a implements ValueAnimator.AnimatorUpdateListener {

            /* renamed from: d  reason: collision with root package name */
            public final /* synthetic */ View f5056d;

            /* renamed from: h  reason: collision with root package name */
            public final /* synthetic */ View f5057h;

            public a(View view, View view2) {
                this.f5056d = view;
                this.f5057h = view2;
            }

            public void onAnimationUpdate(ValueAnimator valueAnimator) {
                f.this.c(this.f5056d, this.f5057h, valueAnimator.getAnimatedFraction());
            }
        }

        public class b extends AnimatorListenerAdapter {

            /* renamed from: d  reason: collision with root package name */
            public final /* synthetic */ int f5059d;

            public b(int i2) {
                this.f5059d = i2;
            }

            public void onAnimationEnd(Animator animator) {
                f.this.f5052h = this.f5059d;
            }

            public void onAnimationStart(Animator animator) {
                f.this.f5052h = this.f5059d;
            }
        }

        public f(Context context) {
            super(context);
            setWillNotDraw(false);
        }

        public final void a() {
            View childAt = getChildAt(this.f5052h);
            TabLayout tabLayout = TabLayout.this;
            d.h.a.b.z.b bVar = tabLayout.N;
            Drawable drawable = tabLayout.u;
            Objects.requireNonNull(bVar);
            RectF a2 = d.h.a.b.z.b.a(tabLayout, childAt);
            drawable.setBounds((int) a2.left, drawable.getBounds().top, (int) a2.right, drawable.getBounds().bottom);
        }

        public void b(int i2) {
            Rect bounds = TabLayout.this.u.getBounds();
            TabLayout.this.u.setBounds(bounds.left, 0, bounds.right, i2);
            requestLayout();
        }

        public final void c(View view, View view2, float f2) {
            if (view != null && view.getWidth() > 0) {
                TabLayout tabLayout = TabLayout.this;
                tabLayout.N.b(tabLayout, view, view2, f2, tabLayout.u);
            } else {
                Drawable drawable = TabLayout.this.u;
                drawable.setBounds(-1, drawable.getBounds().top, -1, TabLayout.this.u.getBounds().bottom);
            }
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            postInvalidateOnAnimation();
        }

        public final void d(boolean z, int i2, int i3) {
            View childAt = getChildAt(this.f5052h);
            View childAt2 = getChildAt(i2);
            if (childAt2 == null) {
                a();
                return;
            }
            a aVar = new a(childAt, childAt2);
            if (z) {
                ValueAnimator valueAnimator = new ValueAnimator();
                this.f5051d = valueAnimator;
                valueAnimator.setInterpolator(d.h.a.b.a.a.f10154b);
                valueAnimator.setDuration((long) i3);
                valueAnimator.setFloatValues(0.0f, 1.0f);
                valueAnimator.addUpdateListener(aVar);
                valueAnimator.addListener(new b(i2));
                valueAnimator.start();
                return;
            }
            this.f5051d.removeAllUpdateListeners();
            this.f5051d.addUpdateListener(aVar);
        }

        public void draw(Canvas canvas) {
            int height = TabLayout.this.u.getBounds().height();
            if (height < 0) {
                height = TabLayout.this.u.getIntrinsicHeight();
            }
            int i2 = TabLayout.this.H;
            int i3 = 0;
            if (i2 == 0) {
                i3 = getHeight() - height;
                height = getHeight();
            } else if (i2 == 1) {
                i3 = (getHeight() - height) / 2;
                height = (getHeight() + height) / 2;
            } else if (i2 != 2) {
                if (i2 != 3) {
                    height = 0;
                } else {
                    height = getHeight();
                }
            }
            if (TabLayout.this.u.getBounds().width() > 0) {
                Rect bounds = TabLayout.this.u.getBounds();
                TabLayout.this.u.setBounds(bounds.left, i3, bounds.right, height);
                TabLayout tabLayout = TabLayout.this;
                Drawable drawable = tabLayout.u;
                if (tabLayout.v != 0) {
                    drawable = AppCompatDelegateImpl.e.L0(drawable);
                    drawable.setTint(TabLayout.this.v);
                }
                drawable.draw(canvas);
            }
            super.draw(canvas);
        }

        public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
            super.onLayout(z, i2, i3, i4, i5);
            ValueAnimator valueAnimator = this.f5051d;
            if (valueAnimator == null || !valueAnimator.isRunning()) {
                a();
            } else {
                d(false, this.f5052h, -1);
            }
        }

        public void onMeasure(int i2, int i3) {
            super.onMeasure(i2, i3);
            if (View.MeasureSpec.getMode(i2) == 1073741824) {
                TabLayout tabLayout = TabLayout.this;
                boolean z = true;
                if (tabLayout.F == 1 || tabLayout.I == 2) {
                    int childCount = getChildCount();
                    int i4 = 0;
                    for (int i5 = 0; i5 < childCount; i5++) {
                        View childAt = getChildAt(i5);
                        if (childAt.getVisibility() == 0) {
                            i4 = Math.max(i4, childAt.getMeasuredWidth());
                        }
                    }
                    if (i4 > 0) {
                        if (i4 * childCount <= getMeasuredWidth() - (((int) n.f0(getContext(), 16)) * 2)) {
                            boolean z2 = false;
                            for (int i6 = 0; i6 < childCount; i6++) {
                                LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) getChildAt(i6).getLayoutParams();
                                if (layoutParams.width != i4 || layoutParams.weight != 0.0f) {
                                    layoutParams.width = i4;
                                    layoutParams.weight = 0.0f;
                                    z2 = true;
                                }
                            }
                            z = z2;
                        } else {
                            TabLayout tabLayout2 = TabLayout.this;
                            tabLayout2.F = 0;
                            tabLayout2.p(false);
                        }
                        if (z) {
                            super.onMeasure(i2, i3);
                        }
                    }
                }
            }
        }

        public void onRtlPropertiesChanged(int i2) {
            super.onRtlPropertiesChanged(i2);
            if (Build.VERSION.SDK_INT < 23 && this.f5054k != i2) {
                requestLayout();
                this.f5054k = i2;
            }
        }
    }

    public static class g {

        /* renamed from: a  reason: collision with root package name */
        public Drawable f5061a;

        /* renamed from: b  reason: collision with root package name */
        public CharSequence f5062b;

        /* renamed from: c  reason: collision with root package name */
        public CharSequence f5063c;

        /* renamed from: d  reason: collision with root package name */
        public int f5064d = -1;

        /* renamed from: e  reason: collision with root package name */
        public View f5065e;

        /* renamed from: f  reason: collision with root package name */
        public TabLayout f5066f;

        /* renamed from: g  reason: collision with root package name */
        public TabView f5067g;

        /* renamed from: h  reason: collision with root package name */
        public int f5068h = -1;

        public g a(int i2) {
            this.f5065e = LayoutInflater.from(this.f5067g.getContext()).inflate(i2, (ViewGroup) this.f5067g, false);
            c();
            return this;
        }

        public g b(CharSequence charSequence) {
            if (TextUtils.isEmpty(this.f5063c) && !TextUtils.isEmpty(charSequence)) {
                this.f5067g.setContentDescription(charSequence);
            }
            this.f5062b = charSequence;
            c();
            return this;
        }

        public void c() {
            TabView tabView = this.f5067g;
            if (tabView != null) {
                tabView.f();
            }
        }
    }

    public static class h implements d {

        /* renamed from: a  reason: collision with root package name */
        public final ViewPager f5069a;

        public h(ViewPager viewPager) {
            this.f5069a = viewPager;
        }

        @Override // com.google.android.material.tabs.TabLayout.c
        public void a(g gVar) {
        }

        @Override // com.google.android.material.tabs.TabLayout.c
        public void b(g gVar) {
        }

        @Override // com.google.android.material.tabs.TabLayout.c
        public void c(g gVar) {
            this.f5069a.setCurrentItem(gVar.f5064d);
        }
    }

    public TabLayout(Context context) {
        this(context, null);
    }

    private int getDefaultHeight() {
        int size = this.f5036j.size();
        boolean z2 = false;
        int i2 = 0;
        while (true) {
            if (i2 < size) {
                g gVar = this.f5036j.get(i2);
                if (gVar != null && gVar.f5061a != null && !TextUtils.isEmpty(gVar.f5062b)) {
                    z2 = true;
                    break;
                }
                i2++;
            } else {
                break;
            }
        }
        return (!z2 || this.J) ? 48 : 72;
    }

    private int getTabMinWidth() {
        int i2 = this.B;
        if (i2 != -1) {
            return i2;
        }
        int i3 = this.I;
        if (i3 == 0 || i3 == 2) {
            return this.D;
        }
        return 0;
    }

    private int getTabScrollRange() {
        return Math.max(0, ((this.f5038l.getWidth() - getWidth()) - getPaddingLeft()) - getPaddingRight());
    }

    private void setSelectedTabView(int i2) {
        int childCount = this.f5038l.getChildCount();
        if (i2 < childCount) {
            int i3 = 0;
            while (i3 < childCount) {
                View childAt = this.f5038l.getChildAt(i3);
                boolean z2 = true;
                childAt.setSelected(i3 == i2);
                if (i3 != i2) {
                    z2 = false;
                }
                childAt.setActivated(z2);
                i3++;
            }
        }
    }

    public void a(g gVar, boolean z2) {
        int size = this.f5036j.size();
        if (gVar.f5066f == this) {
            gVar.f5064d = size;
            this.f5036j.add(size, gVar);
            int size2 = this.f5036j.size();
            while (true) {
                size++;
                if (size >= size2) {
                    break;
                }
                this.f5036j.get(size).f5064d = size;
            }
            TabView tabView = gVar.f5067g;
            tabView.setSelected(false);
            tabView.setActivated(false);
            f fVar = this.f5038l;
            int i2 = gVar.f5064d;
            LinearLayout.LayoutParams layoutParams = new LinearLayout.LayoutParams(-2, -1);
            o(layoutParams);
            fVar.addView(tabView, i2, layoutParams);
            if (z2) {
                TabLayout tabLayout = gVar.f5066f;
                if (tabLayout != null) {
                    tabLayout.j(gVar, true);
                    return;
                }
                throw new IllegalArgumentException("Tab not attached to a TabLayout");
            }
            return;
        }
        throw new IllegalArgumentException("Tab belongs to a different TabLayout.");
    }

    public void addView(View view) {
        b(view);
    }

    public final void b(View view) {
        if (view instanceof TabItem) {
            TabItem tabItem = (TabItem) view;
            g h2 = h();
            CharSequence charSequence = tabItem.f5031d;
            if (charSequence != null) {
                h2.b(charSequence);
            }
            Drawable drawable = tabItem.f5032h;
            if (drawable != null) {
                h2.f5061a = drawable;
                TabLayout tabLayout = h2.f5066f;
                if (tabLayout.F == 1 || tabLayout.I == 2) {
                    tabLayout.p(true);
                }
                h2.c();
            }
            int i2 = tabItem.f5033j;
            if (i2 != 0) {
                h2.a(i2);
            }
            if (!TextUtils.isEmpty(tabItem.getContentDescription())) {
                h2.f5063c = tabItem.getContentDescription();
                h2.c();
            }
            a(h2, this.f5036j.isEmpty());
            return;
        }
        throw new IllegalArgumentException("Only TabItem instances can be added to TabLayout");
    }

    public final void c(int i2) {
        boolean z2;
        if (i2 != -1) {
            if (getWindowToken() != null) {
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                if (isLaidOut()) {
                    f fVar = this.f5038l;
                    int childCount = fVar.getChildCount();
                    int i3 = 0;
                    while (true) {
                        if (i3 >= childCount) {
                            z2 = false;
                            break;
                        } else if (fVar.getChildAt(i3).getWidth() <= 0) {
                            z2 = true;
                            break;
                        } else {
                            i3++;
                        }
                    }
                    if (!z2) {
                        int scrollX = getScrollX();
                        int e2 = e(i2, 0.0f);
                        if (scrollX != e2) {
                            f();
                            this.R.setIntValues(scrollX, e2);
                            this.R.start();
                        }
                        f fVar2 = this.f5038l;
                        int i4 = this.G;
                        ValueAnimator valueAnimator = fVar2.f5051d;
                        if (valueAnimator != null && valueAnimator.isRunning()) {
                            fVar2.f5051d.cancel();
                        }
                        fVar2.d(true, i2, i4);
                        return;
                    }
                }
            }
            l(i2, 0.0f, true, true);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:16:0x003c, code lost:
        if (r0 != 2) goto L_0x0052;
     */
    public final void d() {
        int i2;
        int i3 = this.I;
        if (i3 == 0 || i3 == 2) {
            i2 = Math.max(0, this.E - this.m);
        } else {
            i2 = 0;
        }
        f fVar = this.f5038l;
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        fVar.setPaddingRelative(i2, 0, 0, 0);
        int i4 = this.I;
        if (i4 == 0) {
            int i5 = this.F;
            if (i5 == 0) {
                Log.w("TabLayout", "MODE_SCROLLABLE + GRAVITY_FILL is not supported, GRAVITY_START will be used instead");
            } else if (i5 == 1) {
                this.f5038l.setGravity(1);
            }
            this.f5038l.setGravity(8388611);
        } else if (i4 == 1 || i4 == 2) {
            if (this.F == 2) {
                Log.w("TabLayout", "GRAVITY_START is not supported with the current tab mode, GRAVITY_CENTER will be used instead");
            }
            this.f5038l.setGravity(1);
        }
        p(true);
    }

    public final int e(int i2, float f2) {
        int i3 = this.I;
        int i4 = 0;
        if (i3 != 0 && i3 != 2) {
            return 0;
        }
        View childAt = this.f5038l.getChildAt(i2);
        int i5 = i2 + 1;
        View childAt2 = i5 < this.f5038l.getChildCount() ? this.f5038l.getChildAt(i5) : null;
        int width = childAt != null ? childAt.getWidth() : 0;
        if (childAt2 != null) {
            i4 = childAt2.getWidth();
        }
        int left = ((width / 2) + childAt.getLeft()) - (getWidth() / 2);
        int i6 = (int) (((float) (width + i4)) * 0.5f * f2);
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        return getLayoutDirection() == 0 ? left + i6 : left - i6;
    }

    public final void f() {
        if (this.R == null) {
            ValueAnimator valueAnimator = new ValueAnimator();
            this.R = valueAnimator;
            valueAnimator.setInterpolator(d.h.a.b.a.a.f10154b);
            this.R.setDuration((long) this.G);
            this.R.addUpdateListener(new a());
        }
    }

    public g g(int i2) {
        if (i2 < 0 || i2 >= getTabCount()) {
            return null;
        }
        return this.f5036j.get(i2);
    }

    public int getSelectedTabPosition() {
        g gVar = this.f5037k;
        if (gVar != null) {
            return gVar.f5064d;
        }
        return -1;
    }

    public int getTabCount() {
        return this.f5036j.size();
    }

    public int getTabGravity() {
        return this.F;
    }

    public ColorStateList getTabIconTint() {
        return this.s;
    }

    public int getTabIndicatorAnimationMode() {
        return this.L;
    }

    public int getTabIndicatorGravity() {
        return this.H;
    }

    public int getTabMaxWidth() {
        return this.A;
    }

    public int getTabMode() {
        return this.I;
    }

    public ColorStateList getTabRippleColor() {
        return this.t;
    }

    public Drawable getTabSelectedIndicator() {
        return this.u;
    }

    public ColorStateList getTabTextColors() {
        return this.r;
    }

    public g h() {
        g acquire = f5035h.acquire();
        if (acquire == null) {
            acquire = new g();
        }
        acquire.f5066f = this;
        Pools$Pool<TabView> pools$Pool = this.b0;
        TabView acquire2 = pools$Pool != null ? pools$Pool.acquire() : null;
        if (acquire2 == null) {
            acquire2 = new TabView(getContext());
        }
        acquire2.setTab(acquire);
        acquire2.setFocusable(true);
        acquire2.setMinimumWidth(getTabMinWidth());
        if (TextUtils.isEmpty(acquire.f5063c)) {
            acquire2.setContentDescription(acquire.f5062b);
        } else {
            acquire2.setContentDescription(acquire.f5063c);
        }
        acquire.f5067g = acquire2;
        int i2 = acquire.f5068h;
        if (i2 != -1) {
            acquire2.setId(i2);
        }
        return acquire;
    }

    public void i() {
        int currentItem;
        for (int childCount = this.f5038l.getChildCount() - 1; childCount >= 0; childCount--) {
            TabView tabView = (TabView) this.f5038l.getChildAt(childCount);
            this.f5038l.removeViewAt(childCount);
            if (tabView != null) {
                tabView.setTab(null);
                tabView.setSelected(false);
                this.b0.release(tabView);
            }
            requestLayout();
        }
        Iterator<g> it = this.f5036j.iterator();
        while (it.hasNext()) {
            g next = it.next();
            it.remove();
            next.f5066f = null;
            next.f5067g = null;
            next.f5061a = null;
            next.f5068h = -1;
            next.f5062b = null;
            next.f5063c = null;
            next.f5064d = -1;
            next.f5065e = null;
            f5035h.release(next);
        }
        this.f5037k = null;
        b.a0.a.a aVar = this.T;
        if (aVar != null) {
            int count = aVar.getCount();
            for (int i2 = 0; i2 < count; i2++) {
                g h2 = h();
                h2.b(this.T.getPageTitle(i2));
                a(h2, false);
            }
            ViewPager viewPager = this.S;
            if (viewPager != null && count > 0 && (currentItem = viewPager.getCurrentItem()) != getSelectedTabPosition() && currentItem < getTabCount()) {
                j(g(currentItem), true);
            }
        }
    }

    public void j(g gVar, boolean z2) {
        g gVar2 = this.f5037k;
        if (gVar2 != gVar) {
            int i2 = gVar != null ? gVar.f5064d : -1;
            if (z2) {
                if ((gVar2 == null || gVar2.f5064d == -1) && i2 != -1) {
                    l(i2, 0.0f, true, true);
                } else {
                    c(i2);
                }
                if (i2 != -1) {
                    setSelectedTabView(i2);
                }
            }
            this.f5037k = gVar;
            if (gVar2 != null) {
                for (int size = this.P.size() - 1; size >= 0; size--) {
                    this.P.get(size).b(gVar2);
                }
            }
            if (gVar != null) {
                for (int size2 = this.P.size() - 1; size2 >= 0; size2--) {
                    this.P.get(size2).c(gVar);
                }
            }
        } else if (gVar2 != null) {
            for (int size3 = this.P.size() - 1; size3 >= 0; size3--) {
                this.P.get(size3).a(gVar);
            }
            c(gVar.f5064d);
        }
    }

    public void k(b.a0.a.a aVar, boolean z2) {
        DataSetObserver dataSetObserver;
        b.a0.a.a aVar2 = this.T;
        if (!(aVar2 == null || (dataSetObserver = this.U) == null)) {
            aVar2.unregisterDataSetObserver(dataSetObserver);
        }
        this.T = aVar;
        if (z2 && aVar != null) {
            if (this.U == null) {
                this.U = new e();
            }
            aVar.registerDataSetObserver(this.U);
        }
        i();
    }

    public void l(int i2, float f2, boolean z2, boolean z3) {
        int round = Math.round(((float) i2) + f2);
        if (round >= 0 && round < this.f5038l.getChildCount()) {
            if (z3) {
                f fVar = this.f5038l;
                ValueAnimator valueAnimator = fVar.f5051d;
                if (valueAnimator != null && valueAnimator.isRunning()) {
                    fVar.f5051d.cancel();
                }
                fVar.f5052h = i2;
                fVar.f5053j = f2;
                fVar.c(fVar.getChildAt(i2), fVar.getChildAt(fVar.f5052h + 1), fVar.f5053j);
            }
            ValueAnimator valueAnimator2 = this.R;
            if (valueAnimator2 != null && valueAnimator2.isRunning()) {
                this.R.cancel();
            }
            scrollTo(e(i2, f2), 0);
            if (z2) {
                setSelectedTabView(round);
            }
        }
    }

    public final void m(ViewPager viewPager, boolean z2, boolean z3) {
        ViewPager viewPager2 = this.S;
        if (viewPager2 != null) {
            TabLayoutOnPageChangeListener tabLayoutOnPageChangeListener = this.V;
            if (tabLayoutOnPageChangeListener != null) {
                viewPager2.removeOnPageChangeListener(tabLayoutOnPageChangeListener);
            }
            b bVar = this.W;
            if (bVar != null) {
                this.S.removeOnAdapterChangeListener(bVar);
            }
        }
        c cVar = this.Q;
        if (cVar != null) {
            this.P.remove(cVar);
            this.Q = null;
        }
        if (viewPager != null) {
            this.S = viewPager;
            if (this.V == null) {
                this.V = new TabLayoutOnPageChangeListener(this);
            }
            TabLayoutOnPageChangeListener tabLayoutOnPageChangeListener2 = this.V;
            tabLayoutOnPageChangeListener2.f5041j = 0;
            tabLayoutOnPageChangeListener2.f5040h = 0;
            viewPager.addOnPageChangeListener(tabLayoutOnPageChangeListener2);
            h hVar = new h(viewPager);
            this.Q = hVar;
            if (!this.P.contains(hVar)) {
                this.P.add(hVar);
            }
            b.a0.a.a adapter = viewPager.getAdapter();
            if (adapter != null) {
                k(adapter, z2);
            }
            if (this.W == null) {
                this.W = new b();
            }
            b bVar2 = this.W;
            bVar2.f5048d = z2;
            viewPager.addOnAdapterChangeListener(bVar2);
            l(viewPager.getCurrentItem(), 0.0f, true, true);
        } else {
            this.S = null;
            k(null, false);
        }
        this.a0 = z3;
    }

    public final void n() {
        int size = this.f5036j.size();
        for (int i2 = 0; i2 < size; i2++) {
            this.f5036j.get(i2).c();
        }
    }

    public final void o(LinearLayout.LayoutParams layoutParams) {
        if (this.I == 1 && this.F == 0) {
            layoutParams.width = 0;
            layoutParams.weight = 1.0f;
            return;
        }
        layoutParams.width = -2;
        layoutParams.weight = 0.0f;
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        Drawable background = getBackground();
        if (background instanceof MaterialShapeDrawable) {
            n.n2(this, (MaterialShapeDrawable) background);
        }
        if (this.S == null) {
            ViewParent parent = getParent();
            if (parent instanceof ViewPager) {
                m((ViewPager) parent, true, true);
            }
        }
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        if (this.a0) {
            setupWithViewPager(null);
            this.a0 = false;
        }
    }

    public void onDraw(Canvas canvas) {
        TabView tabView;
        Drawable drawable;
        for (int i2 = 0; i2 < this.f5038l.getChildCount(); i2++) {
            View childAt = this.f5038l.getChildAt(i2);
            if ((childAt instanceof TabView) && (drawable = (tabView = (TabView) childAt).q) != null) {
                drawable.setBounds(tabView.getLeft(), tabView.getTop(), tabView.getRight(), tabView.getBottom());
                tabView.q.draw(canvas);
            }
        }
        super.onDraw(canvas);
    }

    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        accessibilityNodeInfo.setCollectionInfo((AccessibilityNodeInfo.CollectionInfo) b.C0023b.a(1, getTabCount(), false, 1).f3468a);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:21:0x0073, code lost:
        if (r0 != 2) goto L_0x008d;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:23:0x007e, code lost:
        if (r7.getMeasuredWidth() != getMeasuredWidth()) goto L_0x0080;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:24:0x0080, code lost:
        r4 = true;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:26:0x008a, code lost:
        if (r7.getMeasuredWidth() < getMeasuredWidth()) goto L_0x0080;
     */
    public void onMeasure(int i2, int i3) {
        int round = Math.round(n.f0(getContext(), getDefaultHeight()));
        int mode = View.MeasureSpec.getMode(i3);
        boolean z2 = false;
        if (mode != Integer.MIN_VALUE) {
            if (mode == 0) {
                i3 = View.MeasureSpec.makeMeasureSpec(getPaddingBottom() + getPaddingTop() + round, 1073741824);
            }
        } else if (getChildCount() == 1 && View.MeasureSpec.getSize(i3) >= round) {
            getChildAt(0).setMinimumHeight(round);
        }
        int size = View.MeasureSpec.getSize(i2);
        if (View.MeasureSpec.getMode(i2) != 0) {
            int i4 = this.C;
            if (i4 <= 0) {
                i4 = (int) (((float) size) - n.f0(getContext(), 56));
            }
            this.A = i4;
        }
        super.onMeasure(i2, i3);
        if (getChildCount() == 1) {
            View childAt = getChildAt(0);
            int i5 = this.I;
            if (i5 != 0) {
                if (i5 != 1) {
                }
                if (z2) {
                    childAt.measure(View.MeasureSpec.makeMeasureSpec(getMeasuredWidth(), 1073741824), HorizontalScrollView.getChildMeasureSpec(i3, getPaddingBottom() + getPaddingTop(), childAt.getLayoutParams().height));
                }
            }
        }
    }

    public void p(boolean z2) {
        for (int i2 = 0; i2 < this.f5038l.getChildCount(); i2++) {
            View childAt = this.f5038l.getChildAt(i2);
            childAt.setMinimumWidth(getTabMinWidth());
            o((LinearLayout.LayoutParams) childAt.getLayoutParams());
            if (z2) {
                childAt.requestLayout();
            }
        }
    }

    public void setElevation(float f2) {
        super.setElevation(f2);
        n.m2(this, f2);
    }

    public void setInlineLabel(boolean z2) {
        if (this.J != z2) {
            this.J = z2;
            for (int i2 = 0; i2 < this.f5038l.getChildCount(); i2++) {
                View childAt = this.f5038l.getChildAt(i2);
                if (childAt instanceof TabView) {
                    TabView tabView = (TabView) childAt;
                    tabView.setOrientation(!TabLayout.this.J ? 1 : 0);
                    TextView textView = tabView.o;
                    if (textView == null && tabView.p == null) {
                        tabView.h(tabView.f5044j, tabView.f5045k);
                    } else {
                        tabView.h(textView, tabView.p);
                    }
                }
            }
            d();
        }
    }

    public void setInlineLabelResource(int i2) {
        setInlineLabel(getResources().getBoolean(i2));
    }

    @Deprecated
    public void setOnTabSelectedListener(d dVar) {
        setOnTabSelectedListener((c) dVar);
    }

    public void setScrollAnimatorListener(Animator.AnimatorListener animatorListener) {
        f();
        this.R.addListener(animatorListener);
    }

    public void setSelectedTabIndicator(Drawable drawable) {
        if (this.u != drawable) {
            if (drawable == null) {
                drawable = new GradientDrawable();
            }
            this.u = drawable;
        }
    }

    public void setSelectedTabIndicatorColor(int i2) {
        this.v = i2;
    }

    public void setSelectedTabIndicatorGravity(int i2) {
        if (this.H != i2) {
            this.H = i2;
            f fVar = this.f5038l;
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            fVar.postInvalidateOnAnimation();
        }
    }

    @Deprecated
    public void setSelectedTabIndicatorHeight(int i2) {
        this.f5038l.b(i2);
    }

    public void setTabGravity(int i2) {
        if (this.F != i2) {
            this.F = i2;
            d();
        }
    }

    public void setTabIconTint(ColorStateList colorStateList) {
        if (this.s != colorStateList) {
            this.s = colorStateList;
            n();
        }
    }

    public void setTabIconTintResource(int i2) {
        setTabIconTint(b.b.b.a.a.a(getContext(), i2));
    }

    public void setTabIndicatorAnimationMode(int i2) {
        this.L = i2;
        if (i2 == 0) {
            this.N = new d.h.a.b.z.b();
        } else if (i2 == 1) {
            this.N = new d.h.a.b.z.a();
        } else {
            throw new IllegalArgumentException(i2 + " is not a valid TabIndicatorAnimationMode");
        }
    }

    public void setTabIndicatorFullWidth(boolean z2) {
        this.K = z2;
        f fVar = this.f5038l;
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        fVar.postInvalidateOnAnimation();
    }

    public void setTabMode(int i2) {
        if (i2 != this.I) {
            this.I = i2;
            d();
        }
    }

    public void setTabRippleColor(ColorStateList colorStateList) {
        if (this.t != colorStateList) {
            this.t = colorStateList;
            for (int i2 = 0; i2 < this.f5038l.getChildCount(); i2++) {
                View childAt = this.f5038l.getChildAt(i2);
                if (childAt instanceof TabView) {
                    Context context = getContext();
                    int i3 = TabView.f5042d;
                    ((TabView) childAt).g(context);
                }
            }
        }
    }

    public void setTabRippleColorResource(int i2) {
        setTabRippleColor(b.b.b.a.a.a(getContext(), i2));
    }

    public void setTabTextColors(ColorStateList colorStateList) {
        if (this.r != colorStateList) {
            this.r = colorStateList;
            n();
        }
    }

    @Deprecated
    public void setTabsFromPagerAdapter(b.a0.a.a aVar) {
        k(aVar, false);
    }

    public void setUnboundedRipple(boolean z2) {
        if (this.M != z2) {
            this.M = z2;
            for (int i2 = 0; i2 < this.f5038l.getChildCount(); i2++) {
                View childAt = this.f5038l.getChildAt(i2);
                if (childAt instanceof TabView) {
                    Context context = getContext();
                    int i3 = TabView.f5042d;
                    ((TabView) childAt).g(context);
                }
            }
        }
    }

    public void setUnboundedRippleResource(int i2) {
        setUnboundedRipple(getResources().getBoolean(i2));
    }

    public void setupWithViewPager(ViewPager viewPager) {
        m(viewPager, true, false);
    }

    public boolean shouldDelayChildPressedState() {
        return getTabScrollRange() > 0;
    }

    public TabLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R$attr.tabStyle);
    }

    @Override // android.widget.HorizontalScrollView, android.view.ViewGroup
    public void addView(View view, int i2) {
        b(view);
    }

    @Override // android.widget.FrameLayout, android.widget.FrameLayout, android.view.ViewGroup
    public FrameLayout.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return generateDefaultLayoutParams();
    }

    @Deprecated
    public void setOnTabSelectedListener(c cVar) {
        c cVar2 = this.O;
        if (cVar2 != null) {
            this.P.remove(cVar2);
        }
        this.O = cVar;
        if (cVar != null && !this.P.contains(cVar)) {
            this.P.add(cVar);
        }
    }

    /* JADX INFO: finally extract failed */
    /* JADX WARNING: Illegal instructions before constructor call */
    public TabLayout(Context context, AttributeSet attributeSet, int i2) {
        super(d.h.a.b.b0.a.a.a(context, attributeSet, i2, r4), attributeSet, i2);
        int i3 = f5034d;
        this.f5036j = new ArrayList<>();
        this.u = new GradientDrawable();
        this.v = 0;
        this.A = SubsamplingScaleImageView.TILE_SIZE_AUTO;
        this.P = new ArrayList<>();
        this.b0 = new Pools$SimplePool(12);
        Context context2 = getContext();
        setHorizontalScrollBarEnabled(false);
        f fVar = new f(context2);
        this.f5038l = fVar;
        super.addView(fVar, 0, new FrameLayout.LayoutParams(-2, -1));
        int[] iArr = R$styleable.TabLayout;
        int i4 = R$styleable.TabLayout_tabTextAppearance;
        TypedArray d2 = d.h.a.b.p.f.d(context2, attributeSet, iArr, i2, i3, i4);
        if (getBackground() instanceof ColorDrawable) {
            MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable();
            materialShapeDrawable.q(ColorStateList.valueOf(((ColorDrawable) getBackground()).getColor()));
            materialShapeDrawable.f4976j.f4981b = new d.h.a.b.m.a(context2);
            materialShapeDrawable.C();
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            materialShapeDrawable.p(getElevation());
            setBackground(materialShapeDrawable);
        }
        setSelectedTabIndicator(n.z0(context2, d2, R$styleable.TabLayout_tabIndicator));
        setSelectedTabIndicatorColor(d2.getColor(R$styleable.TabLayout_tabIndicatorColor, 0));
        fVar.b(d2.getDimensionPixelSize(R$styleable.TabLayout_tabIndicatorHeight, -1));
        setSelectedTabIndicatorGravity(d2.getInt(R$styleable.TabLayout_tabIndicatorGravity, 0));
        setTabIndicatorFullWidth(d2.getBoolean(R$styleable.TabLayout_tabIndicatorFullWidth, true));
        setTabIndicatorAnimationMode(d2.getInt(R$styleable.TabLayout_tabIndicatorAnimationMode, 0));
        int dimensionPixelSize = d2.getDimensionPixelSize(R$styleable.TabLayout_tabPadding, 0);
        this.p = dimensionPixelSize;
        this.o = dimensionPixelSize;
        this.n = dimensionPixelSize;
        this.m = dimensionPixelSize;
        this.m = d2.getDimensionPixelSize(R$styleable.TabLayout_tabPaddingStart, dimensionPixelSize);
        this.n = d2.getDimensionPixelSize(R$styleable.TabLayout_tabPaddingTop, this.n);
        this.o = d2.getDimensionPixelSize(R$styleable.TabLayout_tabPaddingEnd, this.o);
        this.p = d2.getDimensionPixelSize(R$styleable.TabLayout_tabPaddingBottom, this.p);
        int resourceId = d2.getResourceId(i4, R$style.TextAppearance_Design_Tab);
        this.q = resourceId;
        TypedArray obtainStyledAttributes = context2.obtainStyledAttributes(resourceId, androidx.appcompat.R$styleable.TextAppearance);
        try {
            this.x = (float) obtainStyledAttributes.getDimensionPixelSize(androidx.appcompat.R$styleable.TextAppearance_android_textSize, 0);
            this.r = n.s0(context2, obtainStyledAttributes, androidx.appcompat.R$styleable.TextAppearance_android_textColor);
            obtainStyledAttributes.recycle();
            int i5 = R$styleable.TabLayout_tabTextColor;
            if (d2.hasValue(i5)) {
                this.r = n.s0(context2, d2, i5);
            }
            int i6 = R$styleable.TabLayout_tabSelectedTextColor;
            if (d2.hasValue(i6)) {
                int color = d2.getColor(i6, 0);
                int defaultColor = this.r.getDefaultColor();
                this.r = new ColorStateList(new int[][]{HorizontalScrollView.SELECTED_STATE_SET, HorizontalScrollView.EMPTY_STATE_SET}, new int[]{color, defaultColor});
            }
            this.s = n.s0(context2, d2, R$styleable.TabLayout_tabIconTint);
            this.w = n.Z1(d2.getInt(R$styleable.TabLayout_tabIconTintMode, -1), null);
            this.t = n.s0(context2, d2, R$styleable.TabLayout_tabRippleColor);
            this.G = d2.getInt(R$styleable.TabLayout_tabIndicatorAnimationDuration, 300);
            this.B = d2.getDimensionPixelSize(R$styleable.TabLayout_tabMinWidth, -1);
            this.C = d2.getDimensionPixelSize(R$styleable.TabLayout_tabMaxWidth, -1);
            this.z = d2.getResourceId(R$styleable.TabLayout_tabBackground, 0);
            this.E = d2.getDimensionPixelSize(R$styleable.TabLayout_tabContentStart, 0);
            this.I = d2.getInt(R$styleable.TabLayout_tabMode, 1);
            this.F = d2.getInt(R$styleable.TabLayout_tabGravity, 0);
            this.J = d2.getBoolean(R$styleable.TabLayout_tabInlineLabel, false);
            this.M = d2.getBoolean(R$styleable.TabLayout_tabUnboundedRipple, false);
            d2.recycle();
            Resources resources = getResources();
            this.y = (float) resources.getDimensionPixelSize(R$dimen.design_tab_text_size_2line);
            this.D = resources.getDimensionPixelSize(R$dimen.design_tab_scrollable_min_width);
            d();
        } catch (Throwable th) {
            obtainStyledAttributes.recycle();
            throw th;
        }
    }

    @Override // android.widget.HorizontalScrollView, android.view.ViewGroup
    public void addView(View view, ViewGroup.LayoutParams layoutParams) {
        b(view);
    }

    public void setSelectedTabIndicator(int i2) {
        if (i2 != 0) {
            setSelectedTabIndicator(b.b.b.a.a.b(getContext(), i2));
        } else {
            setSelectedTabIndicator((Drawable) null);
        }
    }

    @Override // android.widget.HorizontalScrollView, android.view.ViewGroup
    public void addView(View view, int i2, ViewGroup.LayoutParams layoutParams) {
        b(view);
    }
}
