package com.google.android.material.textfield;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityManager;
import android.widget.AdapterView;
import android.widget.Filterable;
import android.widget.ListAdapter;
import androidx.appcompat.widget.AppCompatAutoCompleteTextView;
import androidx.appcompat.widget.ListPopupWindow;
import com.google.android.material.R$attr;
import com.google.android.material.R$style;
import com.google.android.material.R$styleable;
import d.h.a.b.p.f;
import java.util.Locale;

public class MaterialAutoCompleteTextView extends AppCompatAutoCompleteTextView {

    /* renamed from: k  reason: collision with root package name */
    public final ListPopupWindow f5070k;

    /* renamed from: l  reason: collision with root package name */
    public final AccessibilityManager f5071l;
    public final Rect m;

    public class a implements AdapterView.OnItemClickListener {
        public a() {
        }

        @Override // android.widget.AdapterView.OnItemClickListener
        public void onItemClick(AdapterView<?> adapterView, View view, int i2, long j2) {
            Object obj;
            View view2 = null;
            if (i2 < 0) {
                ListPopupWindow listPopupWindow = MaterialAutoCompleteTextView.this.f5070k;
                if (!listPopupWindow.isShowing()) {
                    obj = null;
                } else {
                    obj = listPopupWindow.m.getSelectedItem();
                }
            } else {
                obj = MaterialAutoCompleteTextView.this.getAdapter().getItem(i2);
            }
            MaterialAutoCompleteTextView.a(MaterialAutoCompleteTextView.this, obj);
            AdapterView.OnItemClickListener onItemClickListener = MaterialAutoCompleteTextView.this.getOnItemClickListener();
            if (onItemClickListener != null) {
                if (view == null || i2 < 0) {
                    ListPopupWindow listPopupWindow2 = MaterialAutoCompleteTextView.this.f5070k;
                    if (listPopupWindow2.isShowing()) {
                        view2 = listPopupWindow2.m.getSelectedView();
                    }
                    view = view2;
                    ListPopupWindow listPopupWindow3 = MaterialAutoCompleteTextView.this.f5070k;
                    if (!listPopupWindow3.isShowing()) {
                        i2 = -1;
                    } else {
                        i2 = listPopupWindow3.m.getSelectedItemPosition();
                    }
                    ListPopupWindow listPopupWindow4 = MaterialAutoCompleteTextView.this.f5070k;
                    if (!listPopupWindow4.isShowing()) {
                        j2 = Long.MIN_VALUE;
                    } else {
                        j2 = listPopupWindow4.m.getSelectedItemId();
                    }
                }
                onItemClickListener.onItemClick(MaterialAutoCompleteTextView.this.f5070k.getListView(), view, i2, j2);
            }
            MaterialAutoCompleteTextView.this.f5070k.dismiss();
        }
    }

    public MaterialAutoCompleteTextView(Context context) {
        this(context, null);
    }

    public static void a(MaterialAutoCompleteTextView materialAutoCompleteTextView, Object obj) {
        materialAutoCompleteTextView.setText(materialAutoCompleteTextView.convertSelectionToString(obj), false);
    }

    public final TextInputLayout b() {
        for (ViewParent parent = getParent(); parent != null; parent = parent.getParent()) {
            if (parent instanceof TextInputLayout) {
                return (TextInputLayout) parent;
            }
        }
        return null;
    }

    public CharSequence getHint() {
        TextInputLayout b2 = b();
        if (b2 == null || !b2.K) {
            return super.getHint();
        }
        return b2.getHint();
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        TextInputLayout b2 = b();
        if (b2 != null && b2.K && super.getHint() == null && Build.MANUFACTURER.toLowerCase(Locale.ENGLISH).equals("meizu")) {
            setHint("");
        }
    }

    public void onMeasure(int i2, int i3) {
        int i4;
        super.onMeasure(i2, i3);
        if (View.MeasureSpec.getMode(i2) == Integer.MIN_VALUE) {
            int measuredWidth = getMeasuredWidth();
            ListAdapter adapter = getAdapter();
            TextInputLayout b2 = b();
            int i5 = 0;
            if (!(adapter == null || b2 == null)) {
                int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(getMeasuredWidth(), 0);
                int makeMeasureSpec2 = View.MeasureSpec.makeMeasureSpec(getMeasuredHeight(), 0);
                ListPopupWindow listPopupWindow = this.f5070k;
                if (!listPopupWindow.isShowing()) {
                    i4 = -1;
                } else {
                    i4 = listPopupWindow.m.getSelectedItemPosition();
                }
                int min = Math.min(adapter.getCount(), Math.max(0, i4) + 15);
                View view = null;
                int i6 = 0;
                for (int max = Math.max(0, min - 15); max < min; max++) {
                    int itemViewType = adapter.getItemViewType(max);
                    if (itemViewType != i5) {
                        view = null;
                        i5 = itemViewType;
                    }
                    view = adapter.getView(max, view, b2);
                    if (view.getLayoutParams() == null) {
                        view.setLayoutParams(new ViewGroup.LayoutParams(-2, -2));
                    }
                    view.measure(makeMeasureSpec, makeMeasureSpec2);
                    i6 = Math.max(i6, view.getMeasuredWidth());
                }
                Drawable background = this.f5070k.getBackground();
                if (background != null) {
                    background.getPadding(this.m);
                    Rect rect = this.m;
                    i6 += rect.left + rect.right;
                }
                i5 = b2.getEndIconView().getMeasuredWidth() + i6;
            }
            setMeasuredDimension(Math.min(Math.max(measuredWidth, i5), View.MeasureSpec.getSize(i2)), getMeasuredHeight());
        }
    }

    @Override // android.widget.AutoCompleteTextView
    public <T extends ListAdapter & Filterable> void setAdapter(T t) {
        super.setAdapter(t);
        this.f5070k.setAdapter(getAdapter());
    }

    public void showDropDown() {
        AccessibilityManager accessibilityManager = this.f5071l;
        if (accessibilityManager == null || !accessibilityManager.isTouchExplorationEnabled()) {
            super.showDropDown();
        } else {
            this.f5070k.show();
        }
    }

    public MaterialAutoCompleteTextView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R$attr.autoCompleteTextViewStyle);
    }

    public MaterialAutoCompleteTextView(Context context, AttributeSet attributeSet, int i2) {
        super(d.h.a.b.b0.a.a.a(context, attributeSet, i2, 0), attributeSet, i2);
        this.m = new Rect();
        Context context2 = getContext();
        TypedArray d2 = f.d(context2, attributeSet, R$styleable.MaterialAutoCompleteTextView, i2, R$style.Widget_AppCompat_AutoCompleteTextView, new int[0]);
        int i3 = R$styleable.MaterialAutoCompleteTextView_android_inputType;
        if (d2.hasValue(i3) && d2.getInt(i3, 0) == 0) {
            setKeyListener(null);
        }
        this.f5071l = (AccessibilityManager) context2.getSystemService("accessibility");
        ListPopupWindow listPopupWindow = new ListPopupWindow(context2, null, androidx.appcompat.R$attr.listPopupWindowStyle);
        this.f5070k = listPopupWindow;
        listPopupWindow.c(true);
        listPopupWindow.z = this;
        listPopupWindow.J.setInputMethodMode(2);
        listPopupWindow.setAdapter(getAdapter());
        listPopupWindow.A = new a();
        d2.recycle();
    }
}
