package com.google.android.material.textfield;

import android.animation.TimeInterpolator;
import android.animation.ValueAnimator;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Canvas;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Typeface;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.Editable;
import android.text.TextPaint;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewStructure;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.appcompat.widget.AppCompatTextView;
import androidx.core.text.TextDirectionHeuristicCompat;
import androidx.core.view.ViewCompat;
import androidx.customview.view.AbsSavedState;
import b.b.f.o;
import b.b.f.z;
import com.google.android.material.R$attr;
import com.google.android.material.R$color;
import com.google.android.material.R$dimen;
import com.google.android.material.R$id;
import com.google.android.material.R$layout;
import com.google.android.material.R$string;
import com.google.android.material.R$style;
import com.google.android.material.R$styleable;
import com.google.android.material.internal.CheckableImageButton;
import com.google.android.material.shape.MaterialShapeDrawable;
import d.h.a.b.a0.g;
import d.h.a.b.a0.h;
import d.h.a.b.a0.m;
import d.h.a.b.a0.n;
import d.h.a.b.a0.p;
import d.h.a.b.w.l;
import java.util.Arrays;
import java.util.Iterator;
import java.util.LinkedHashSet;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;

public class TextInputLayout extends LinearLayout {

    /* renamed from: d  reason: collision with root package name */
    public static final int f5075d = R$style.Widget_Design_TextInputLayout;
    public ColorStateList A;
    public final CheckableImageButton A0;
    public int B;
    public ColorStateList B0;
    public ColorStateList C;
    public ColorStateList C0;
    public ColorStateList D;
    public ColorStateList D0;
    public CharSequence E;
    public int E0;
    public final TextView F;
    public int F0;
    public CharSequence G;
    public int G0;
    public final TextView H;
    public ColorStateList H0;
    public boolean I;
    public int I0;
    public CharSequence J;
    public int J0;
    public boolean K;
    public int K0;
    public MaterialShapeDrawable L;
    public int L0;
    public MaterialShapeDrawable M;
    public int M0;
    public l N;
    public boolean N0;
    public final int O;
    public final d.h.a.b.p.a O0;
    public int P;
    public boolean P0;
    public int Q;
    public boolean Q0;
    public int R;
    public ValueAnimator R0;
    public int S;
    public boolean S0;
    public int T;
    public boolean T0;
    public int U;
    public int V;
    public int W;
    public final Rect a0;
    public final Rect b0;
    public final RectF c0;
    public Typeface d0;
    public final CheckableImageButton e0;
    public ColorStateList f0;
    public boolean g0;

    /* renamed from: h  reason: collision with root package name */
    public final FrameLayout f5076h;
    public PorterDuff.Mode h0;
    public boolean i0;

    /* renamed from: j  reason: collision with root package name */
    public final LinearLayout f5077j;
    public Drawable j0;

    /* renamed from: k  reason: collision with root package name */
    public final LinearLayout f5078k;
    public int k0;

    /* renamed from: l  reason: collision with root package name */
    public final FrameLayout f5079l;
    public View.OnLongClickListener l0;
    public EditText m;
    public final LinkedHashSet<e> m0;
    public CharSequence n;
    public int n0;
    public int o;
    public final SparseArray<m> o0;
    public int p;
    public final CheckableImageButton p0;
    public final n q;
    public final LinkedHashSet<f> q0;
    public boolean r;
    public ColorStateList r0;
    public int s;
    public boolean s0;
    public boolean t;
    public PorterDuff.Mode t0;
    public TextView u;
    public boolean u0;
    public int v;
    public Drawable v0;
    public int w;
    public int w0;
    public CharSequence x;
    public Drawable x0;
    public boolean y;
    public View.OnLongClickListener y0;
    public TextView z;
    public View.OnLongClickListener z0;

    public static class AccessibilityDelegate extends b.j.h.a {

        /* renamed from: d  reason: collision with root package name */
        public final TextInputLayout f5080d;

        public AccessibilityDelegate(TextInputLayout textInputLayout) {
            this.f5080d = textInputLayout;
        }

        @Override // b.j.h.a
        public void d(View view, b.j.h.p.b bVar) {
            this.f3391b.onInitializeAccessibilityNodeInfo(view, bVar.f3453b);
            EditText editText = this.f5080d.getEditText();
            Editable text = editText != null ? editText.getText() : null;
            CharSequence hint = this.f5080d.getHint();
            CharSequence error = this.f5080d.getError();
            CharSequence placeholderText = this.f5080d.getPlaceholderText();
            int counterMaxLength = this.f5080d.getCounterMaxLength();
            CharSequence counterOverflowDescription = this.f5080d.getCounterOverflowDescription();
            boolean z = !TextUtils.isEmpty(text);
            boolean z2 = !TextUtils.isEmpty(hint);
            boolean z3 = !this.f5080d.N0;
            boolean z4 = !TextUtils.isEmpty(error);
            boolean z5 = z4 || !TextUtils.isEmpty(counterOverflowDescription);
            String charSequence = z2 ? hint.toString() : "";
            if (z) {
                bVar.f3453b.setText(text);
            } else if (!TextUtils.isEmpty(charSequence)) {
                bVar.f3453b.setText(charSequence);
                if (z3 && placeholderText != null) {
                    bVar.f3453b.setText(charSequence + ", " + ((Object) placeholderText));
                }
            } else if (placeholderText != null) {
                bVar.f3453b.setText(placeholderText);
            }
            if (!TextUtils.isEmpty(charSequence)) {
                int i2 = Build.VERSION.SDK_INT;
                if (i2 >= 26) {
                    bVar.u(charSequence);
                } else {
                    if (z) {
                        charSequence = ((Object) text) + ", " + charSequence;
                    }
                    bVar.f3453b.setText(charSequence);
                }
                boolean z6 = !z;
                if (i2 >= 26) {
                    bVar.f3453b.setShowingHintText(z6);
                } else {
                    bVar.r(4, z6);
                }
            }
            if (text == null || text.length() != counterMaxLength) {
                counterMaxLength = -1;
            }
            bVar.f3453b.setMaxTextLength(counterMaxLength);
            if (z5) {
                if (!z4) {
                    error = counterOverflowDescription;
                }
                bVar.f3453b.setError(error);
            }
            if (editText != null) {
                editText.setLabelFor(R$id.textinput_helper_text);
            }
        }
    }

    public static class SavedState extends AbsSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        public CharSequence error;
        public CharSequence helperText;
        public CharSequence hintText;
        public boolean isEndIconChecked;
        public CharSequence placeholderText;

        public static class a implements Parcelable.ClassLoaderCreator<SavedState> {
            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // android.os.Parcelable.ClassLoaderCreator
            public SavedState createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new SavedState(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            public Object[] newArray(int i2) {
                return new SavedState[i2];
            }

            @Override // android.os.Parcelable.Creator
            public Object createFromParcel(Parcel parcel) {
                return new SavedState(parcel, null);
            }
        }

        public SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        public String toString() {
            StringBuilder B = d.a.a.a.a.B("TextInputLayout.SavedState{");
            B.append(Integer.toHexString(System.identityHashCode(this)));
            B.append(" error=");
            B.append((Object) this.error);
            B.append(" hint=");
            B.append((Object) this.hintText);
            B.append(" helperText=");
            B.append((Object) this.helperText);
            B.append(" placeholderText=");
            B.append((Object) this.placeholderText);
            B.append("}");
            return B.toString();
        }

        @Override // androidx.customview.view.AbsSavedState
        public void writeToParcel(Parcel parcel, int i2) {
            super.writeToParcel(parcel, i2);
            TextUtils.writeToParcel(this.error, parcel, i2);
            parcel.writeInt(this.isEndIconChecked ? 1 : 0);
            TextUtils.writeToParcel(this.hintText, parcel, i2);
            TextUtils.writeToParcel(this.helperText, parcel, i2);
            TextUtils.writeToParcel(this.placeholderText, parcel, i2);
        }

        public SavedState(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.error = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
            this.isEndIconChecked = parcel.readInt() != 1 ? false : true;
            this.hintText = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
            this.helperText = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
            this.placeholderText = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        }
    }

    public class a implements TextWatcher {
        public a() {
        }

        public void afterTextChanged(Editable editable) {
            TextInputLayout textInputLayout = TextInputLayout.this;
            textInputLayout.y(!textInputLayout.T0, false);
            TextInputLayout textInputLayout2 = TextInputLayout.this;
            if (textInputLayout2.r) {
                textInputLayout2.t(editable.length());
            }
            TextInputLayout textInputLayout3 = TextInputLayout.this;
            if (textInputLayout3.y) {
                textInputLayout3.z(editable.length());
            }
        }

        public void beforeTextChanged(CharSequence charSequence, int i2, int i3, int i4) {
        }

        public void onTextChanged(CharSequence charSequence, int i2, int i3, int i4) {
        }
    }

    public class b implements Runnable {
        public b() {
        }

        public void run() {
            TextInputLayout.this.p0.performClick();
            TextInputLayout.this.p0.jumpDrawablesToCurrentState();
        }
    }

    public class c implements Runnable {
        public c() {
        }

        public void run() {
            TextInputLayout.this.m.requestLayout();
        }
    }

    public class d implements ValueAnimator.AnimatorUpdateListener {
        public d() {
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            TextInputLayout.this.O0.w(((Float) valueAnimator.getAnimatedValue()).floatValue());
        }
    }

    public interface e {
        void a(TextInputLayout textInputLayout);
    }

    public interface f {
        void a(TextInputLayout textInputLayout, int i2);
    }

    public TextInputLayout(Context context) {
        this(context, null);
    }

    private m getEndIconDelegate() {
        m mVar = this.o0.get(this.n0);
        return mVar != null ? mVar : this.o0.get(0);
    }

    private CheckableImageButton getEndIconToUpdateDummyDrawable() {
        if (this.A0.getVisibility() == 0) {
            return this.A0;
        }
        if (!j() || !k()) {
            return null;
        }
        return this.p0;
    }

    public static void n(ViewGroup viewGroup, boolean z2) {
        int childCount = viewGroup.getChildCount();
        for (int i2 = 0; i2 < childCount; i2++) {
            View childAt = viewGroup.getChildAt(i2);
            childAt.setEnabled(z2);
            if (childAt instanceof ViewGroup) {
                n((ViewGroup) childAt, z2);
            }
        }
    }

    public static void q(CheckableImageButton checkableImageButton, View.OnLongClickListener onLongClickListener) {
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        boolean hasOnClickListeners = checkableImageButton.hasOnClickListeners();
        boolean z2 = false;
        int i2 = 1;
        boolean z3 = onLongClickListener != null;
        if (hasOnClickListeners || z3) {
            z2 = true;
        }
        checkableImageButton.setFocusable(z2);
        checkableImageButton.setClickable(hasOnClickListeners);
        checkableImageButton.setPressable(hasOnClickListeners);
        checkableImageButton.setLongClickable(z3);
        if (!z2) {
            i2 = 2;
        }
        checkableImageButton.setImportantForAccessibility(i2);
    }

    private void setEditText(EditText editText) {
        if (this.m == null) {
            if (this.n0 != 3 && !(editText instanceof TextInputEditText)) {
                Log.i("TextInputLayout", "EditText added is not a TextInputEditText. Please switch to using that class instead.");
            }
            this.m = editText;
            setMinWidth(this.o);
            setMaxWidth(this.p);
            l();
            setTextInputAccessibilityDelegate(new AccessibilityDelegate(this));
            this.O0.A(this.m.getTypeface());
            d.h.a.b.p.a aVar = this.O0;
            float textSize = this.m.getTextSize();
            if (aVar.m != textSize) {
                aVar.m = textSize;
                aVar.m(false);
            }
            int gravity = this.m.getGravity();
            this.O0.q((gravity & -113) | 48);
            this.O0.u(gravity);
            this.m.addTextChangedListener(new a());
            if (this.C0 == null) {
                this.C0 = this.m.getHintTextColors();
            }
            if (this.I) {
                if (TextUtils.isEmpty(this.J)) {
                    CharSequence hint = this.m.getHint();
                    this.n = hint;
                    setHint(hint);
                    this.m.setHint((CharSequence) null);
                }
                this.K = true;
            }
            if (this.u != null) {
                t(this.m.getText().length());
            }
            w();
            this.q.b();
            this.f5077j.bringToFront();
            this.f5078k.bringToFront();
            this.f5079l.bringToFront();
            this.A0.bringToFront();
            Iterator<e> it = this.m0.iterator();
            while (it.hasNext()) {
                it.next().a(this);
            }
            A();
            D();
            if (!isEnabled()) {
                editText.setEnabled(false);
            }
            y(false, true);
            return;
        }
        throw new IllegalArgumentException("We already have an EditText, can only have one");
    }

    private void setErrorIconVisible(boolean z2) {
        int i2 = 0;
        this.A0.setVisibility(z2 ? 0 : 8);
        FrameLayout frameLayout = this.f5079l;
        if (z2) {
            i2 = 8;
        }
        frameLayout.setVisibility(i2);
        D();
        if (!j()) {
            v();
        }
    }

    private void setHintInternal(CharSequence charSequence) {
        if (!TextUtils.equals(charSequence, this.J)) {
            this.J = charSequence;
            this.O0.z(charSequence);
            if (!this.N0) {
                m();
            }
        }
    }

    private void setPlaceholderTextEnabled(boolean z2) {
        if (this.y != z2) {
            if (z2) {
                AppCompatTextView appCompatTextView = new AppCompatTextView(getContext());
                this.z = appCompatTextView;
                appCompatTextView.setId(R$id.textinput_placeholder);
                TextView textView = this.z;
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                textView.setAccessibilityLiveRegion(1);
                setPlaceholderTextAppearance(this.B);
                setPlaceholderTextColor(this.A);
                TextView textView2 = this.z;
                if (textView2 != null) {
                    this.f5076h.addView(textView2);
                    this.z.setVisibility(0);
                }
            } else {
                TextView textView3 = this.z;
                if (textView3 != null) {
                    textView3.setVisibility(8);
                }
                this.z = null;
            }
            this.y = z2;
        }
    }

    public final void A() {
        if (this.m != null) {
            int i2 = 0;
            if (!(this.e0.getVisibility() == 0)) {
                EditText editText = this.m;
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                i2 = editText.getPaddingStart();
            }
            TextView textView = this.F;
            int compoundPaddingTop = this.m.getCompoundPaddingTop();
            int dimensionPixelSize = getContext().getResources().getDimensionPixelSize(R$dimen.material_input_text_to_prefix_suffix_padding);
            int compoundPaddingBottom = this.m.getCompoundPaddingBottom();
            AtomicInteger atomicInteger2 = ViewCompat.f1365a;
            textView.setPaddingRelative(i2, compoundPaddingTop, dimensionPixelSize, compoundPaddingBottom);
        }
    }

    public final void B() {
        this.F.setVisibility((this.E == null || this.N0) ? 8 : 0);
        v();
    }

    public final void C(boolean z2, boolean z3) {
        int defaultColor = this.H0.getDefaultColor();
        int colorForState = this.H0.getColorForState(new int[]{16843623, 16842910}, defaultColor);
        int colorForState2 = this.H0.getColorForState(new int[]{16843518, 16842910}, defaultColor);
        if (z2) {
            this.V = colorForState2;
        } else if (z3) {
            this.V = colorForState;
        } else {
            this.V = defaultColor;
        }
    }

    public final void D() {
        if (this.m != null) {
            int i2 = 0;
            if (!k()) {
                if (!(this.A0.getVisibility() == 0)) {
                    EditText editText = this.m;
                    AtomicInteger atomicInteger = ViewCompat.f1365a;
                    i2 = editText.getPaddingEnd();
                }
            }
            TextView textView = this.H;
            int dimensionPixelSize = getContext().getResources().getDimensionPixelSize(R$dimen.material_input_text_to_prefix_suffix_padding);
            int paddingTop = this.m.getPaddingTop();
            int paddingBottom = this.m.getPaddingBottom();
            AtomicInteger atomicInteger2 = ViewCompat.f1365a;
            textView.setPaddingRelative(dimensionPixelSize, paddingTop, i2, paddingBottom);
        }
    }

    public final void E() {
        int visibility = this.H.getVisibility();
        int i2 = 0;
        boolean z2 = this.G != null && !this.N0;
        TextView textView = this.H;
        if (!z2) {
            i2 = 8;
        }
        textView.setVisibility(i2);
        if (visibility != this.H.getVisibility()) {
            getEndIconDelegate().c(z2);
        }
        v();
    }

    public void F() {
        TextView textView;
        EditText editText;
        EditText editText2;
        if (this.L != null && this.Q != 0) {
            boolean z2 = false;
            boolean z3 = isFocused() || ((editText2 = this.m) != null && editText2.hasFocus());
            boolean z4 = isHovered() || ((editText = this.m) != null && editText.isHovered());
            if (!isEnabled()) {
                this.V = this.M0;
            } else if (this.q.e()) {
                if (this.H0 != null) {
                    C(z3, z4);
                } else {
                    this.V = this.q.g();
                }
            } else if (!this.t || (textView = this.u) == null) {
                if (z3) {
                    this.V = this.G0;
                } else if (z4) {
                    this.V = this.F0;
                } else {
                    this.V = this.E0;
                }
            } else if (this.H0 != null) {
                C(z3, z4);
            } else {
                this.V = textView.getCurrentTextColor();
            }
            if (getErrorIconDrawable() != null) {
                n nVar = this.q;
                if (nVar.f10227k && nVar.e()) {
                    z2 = true;
                }
            }
            setErrorIconVisible(z2);
            p(this.A0, this.B0);
            p(this.e0, this.f0);
            o();
            m endIconDelegate = getEndIconDelegate();
            Objects.requireNonNull(endIconDelegate);
            if (endIconDelegate instanceof h) {
                if (!this.q.e() || getEndIconDrawable() == null) {
                    d();
                } else {
                    Drawable mutate = AppCompatDelegateImpl.e.L0(getEndIconDrawable()).mutate();
                    mutate.setTint(this.q.g());
                    this.p0.setImageDrawable(mutate);
                }
            }
            if (!z3 || !isEnabled()) {
                this.S = this.T;
            } else {
                this.S = this.U;
            }
            if (this.Q == 2 && g() && !this.N0 && this.P != this.S) {
                if (g()) {
                    ((g) this.L).D(0.0f, 0.0f, 0.0f, 0.0f);
                }
                m();
            }
            if (this.Q == 1) {
                if (!isEnabled()) {
                    this.W = this.J0;
                } else if (z4 && !z3) {
                    this.W = this.L0;
                } else if (z3) {
                    this.W = this.K0;
                } else {
                    this.W = this.I0;
                }
            }
            c();
        }
    }

    public void a(e eVar) {
        this.m0.add(eVar);
        if (this.m != null) {
            eVar.a(this);
        }
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i2, ViewGroup.LayoutParams layoutParams) {
        if (view instanceof EditText) {
            FrameLayout.LayoutParams layoutParams2 = new FrameLayout.LayoutParams(layoutParams);
            layoutParams2.gravity = (layoutParams2.gravity & -113) | 16;
            this.f5076h.addView(view, layoutParams2);
            this.f5076h.setLayoutParams(layoutParams);
            x();
            setEditText((EditText) view);
            return;
        }
        super.addView(view, i2, layoutParams);
    }

    public void b(float f2) {
        if (this.O0.f10530c != f2) {
            if (this.R0 == null) {
                ValueAnimator valueAnimator = new ValueAnimator();
                this.R0 = valueAnimator;
                valueAnimator.setInterpolator(d.h.a.b.a.a.f10154b);
                this.R0.setDuration(167L);
                this.R0.addUpdateListener(new d());
            }
            this.R0.setFloatValues(this.O0.f10530c, f2);
            this.R0.start();
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:15:0x0024  */
    /* JADX WARNING: Removed duplicated region for block: B:18:0x0034  */
    /* JADX WARNING: Removed duplicated region for block: B:21:0x0054  */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x0062  */
    public final void c() {
        boolean z2;
        MaterialShapeDrawable materialShapeDrawable;
        MaterialShapeDrawable materialShapeDrawable2 = this.L;
        if (materialShapeDrawable2 != null) {
            materialShapeDrawable2.setShapeAppearanceModel(this.N);
            boolean z3 = false;
            if (this.Q == 2) {
                if (this.S > -1 && this.V != 0) {
                    z2 = true;
                    if (z2) {
                        this.L.w((float) this.S, this.V);
                    }
                    int i2 = this.W;
                    if (this.Q == 1) {
                        i2 = b.j.c.a.b(this.W, b.o.a.n.q0(getContext(), R$attr.colorSurface, 0));
                    }
                    this.W = i2;
                    this.L.q(ColorStateList.valueOf(i2));
                    if (this.n0 == 3) {
                        this.m.getBackground().invalidateSelf();
                    }
                    materialShapeDrawable = this.M;
                    if (materialShapeDrawable != null) {
                        if (this.S > -1 && this.V != 0) {
                            z3 = true;
                        }
                        if (z3) {
                            materialShapeDrawable.q(ColorStateList.valueOf(this.V));
                        }
                        invalidate();
                    }
                    invalidate();
                }
            }
            z2 = false;
            if (z2) {
            }
            int i22 = this.W;
            if (this.Q == 1) {
            }
            this.W = i22;
            this.L.q(ColorStateList.valueOf(i22));
            if (this.n0 == 3) {
            }
            materialShapeDrawable = this.M;
            if (materialShapeDrawable != null) {
            }
            invalidate();
        }
    }

    public final void d() {
        e(this.p0, this.s0, this.r0, this.u0, this.t0);
    }

    @TargetApi(26)
    public void dispatchProvideAutofillStructure(ViewStructure viewStructure, int i2) {
        EditText editText = this.m;
        if (editText == null) {
            super.dispatchProvideAutofillStructure(viewStructure, i2);
            return;
        }
        if (this.n != null) {
            boolean z2 = this.K;
            this.K = false;
            CharSequence hint = editText.getHint();
            this.m.setHint(this.n);
            try {
                super.dispatchProvideAutofillStructure(viewStructure, i2);
            } finally {
                this.m.setHint(hint);
                this.K = z2;
            }
        } else {
            viewStructure.setAutofillId(getAutofillId());
            onProvideAutofillStructure(viewStructure, i2);
            onProvideAutofillVirtualStructure(viewStructure, i2);
            viewStructure.setChildCount(this.f5076h.getChildCount());
            for (int i3 = 0; i3 < this.f5076h.getChildCount(); i3++) {
                View childAt = this.f5076h.getChildAt(i3);
                ViewStructure newChild = viewStructure.newChild(i3);
                childAt.dispatchProvideAutofillStructure(newChild, i2);
                if (childAt == this.m) {
                    newChild.setHint(getHint());
                }
            }
        }
    }

    @Override // android.view.View, android.view.ViewGroup
    public void dispatchRestoreInstanceState(SparseArray<Parcelable> sparseArray) {
        this.T0 = true;
        super.dispatchRestoreInstanceState(sparseArray);
        this.T0 = false;
    }

    public void draw(Canvas canvas) {
        super.draw(canvas);
        if (this.I) {
            this.O0.g(canvas);
        }
        MaterialShapeDrawable materialShapeDrawable = this.M;
        if (materialShapeDrawable != null) {
            Rect bounds = materialShapeDrawable.getBounds();
            bounds.top = bounds.bottom - this.S;
            this.M.draw(canvas);
        }
    }

    public void drawableStateChanged() {
        if (!this.S0) {
            boolean z2 = true;
            this.S0 = true;
            super.drawableStateChanged();
            int[] drawableState = getDrawableState();
            d.h.a.b.p.a aVar = this.O0;
            boolean y2 = aVar != null ? aVar.y(drawableState) | false : false;
            if (this.m != null) {
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                if (!isLaidOut() || !isEnabled()) {
                    z2 = false;
                }
                y(z2, false);
            }
            w();
            F();
            if (y2) {
                invalidate();
            }
            this.S0 = false;
        }
    }

    public final void e(CheckableImageButton checkableImageButton, boolean z2, ColorStateList colorStateList, boolean z3, PorterDuff.Mode mode) {
        Drawable drawable = checkableImageButton.getDrawable();
        if (drawable != null && (z2 || z3)) {
            drawable = AppCompatDelegateImpl.e.L0(drawable).mutate();
            if (z2) {
                drawable.setTintList(colorStateList);
            }
            if (z3) {
                drawable.setTintMode(mode);
            }
        }
        if (checkableImageButton.getDrawable() != drawable) {
            checkableImageButton.setImageDrawable(drawable);
        }
    }

    public final int f() {
        float h2;
        if (!this.I) {
            return 0;
        }
        int i2 = this.Q;
        if (i2 == 0 || i2 == 1) {
            h2 = this.O0.h();
        } else if (i2 != 2) {
            return 0;
        } else {
            h2 = this.O0.h() / 2.0f;
        }
        return (int) h2;
    }

    public final boolean g() {
        return this.I && !TextUtils.isEmpty(this.J) && (this.L instanceof g);
    }

    public int getBaseline() {
        EditText editText = this.m;
        if (editText == null) {
            return super.getBaseline();
        }
        return f() + getPaddingTop() + editText.getBaseline();
    }

    public MaterialShapeDrawable getBoxBackground() {
        int i2 = this.Q;
        if (i2 == 1 || i2 == 2) {
            return this.L;
        }
        throw new IllegalStateException();
    }

    public int getBoxBackgroundColor() {
        return this.W;
    }

    public int getBoxBackgroundMode() {
        return this.Q;
    }

    public float getBoxCornerRadiusBottomEnd() {
        MaterialShapeDrawable materialShapeDrawable = this.L;
        return materialShapeDrawable.f4976j.f4980a.f10684i.a(materialShapeDrawable.h());
    }

    public float getBoxCornerRadiusBottomStart() {
        MaterialShapeDrawable materialShapeDrawable = this.L;
        return materialShapeDrawable.f4976j.f4980a.f10683h.a(materialShapeDrawable.h());
    }

    public float getBoxCornerRadiusTopEnd() {
        MaterialShapeDrawable materialShapeDrawable = this.L;
        return materialShapeDrawable.f4976j.f4980a.f10682g.a(materialShapeDrawable.h());
    }

    public float getBoxCornerRadiusTopStart() {
        return this.L.l();
    }

    public int getBoxStrokeColor() {
        return this.G0;
    }

    public ColorStateList getBoxStrokeErrorColor() {
        return this.H0;
    }

    public int getBoxStrokeWidth() {
        return this.T;
    }

    public int getBoxStrokeWidthFocused() {
        return this.U;
    }

    public int getCounterMaxLength() {
        return this.s;
    }

    public CharSequence getCounterOverflowDescription() {
        TextView textView;
        if (!this.r || !this.t || (textView = this.u) == null) {
            return null;
        }
        return textView.getContentDescription();
    }

    public ColorStateList getCounterOverflowTextColor() {
        return this.C;
    }

    public ColorStateList getCounterTextColor() {
        return this.C;
    }

    public ColorStateList getDefaultHintTextColor() {
        return this.C0;
    }

    public EditText getEditText() {
        return this.m;
    }

    public CharSequence getEndIconContentDescription() {
        return this.p0.getContentDescription();
    }

    public Drawable getEndIconDrawable() {
        return this.p0.getDrawable();
    }

    public int getEndIconMode() {
        return this.n0;
    }

    public CheckableImageButton getEndIconView() {
        return this.p0;
    }

    public CharSequence getError() {
        n nVar = this.q;
        if (nVar.f10227k) {
            return nVar.f10226j;
        }
        return null;
    }

    public CharSequence getErrorContentDescription() {
        return this.q.m;
    }

    public int getErrorCurrentTextColors() {
        return this.q.g();
    }

    public Drawable getErrorIconDrawable() {
        return this.A0.getDrawable();
    }

    public final int getErrorTextCurrentColor() {
        return this.q.g();
    }

    public CharSequence getHelperText() {
        n nVar = this.q;
        if (nVar.q) {
            return nVar.p;
        }
        return null;
    }

    public int getHelperTextCurrentTextColor() {
        TextView textView = this.q.r;
        if (textView != null) {
            return textView.getCurrentTextColor();
        }
        return -1;
    }

    public CharSequence getHint() {
        if (this.I) {
            return this.J;
        }
        return null;
    }

    public final float getHintCollapsedTextHeight() {
        return this.O0.h();
    }

    public final int getHintCurrentCollapsedTextColor() {
        return this.O0.i();
    }

    public ColorStateList getHintTextColor() {
        return this.D0;
    }

    public int getMaxWidth() {
        return this.p;
    }

    public int getMinWidth() {
        return this.o;
    }

    @Deprecated
    public CharSequence getPasswordVisibilityToggleContentDescription() {
        return this.p0.getContentDescription();
    }

    @Deprecated
    public Drawable getPasswordVisibilityToggleDrawable() {
        return this.p0.getDrawable();
    }

    public CharSequence getPlaceholderText() {
        if (this.y) {
            return this.x;
        }
        return null;
    }

    public int getPlaceholderTextAppearance() {
        return this.B;
    }

    public ColorStateList getPlaceholderTextColor() {
        return this.A;
    }

    public CharSequence getPrefixText() {
        return this.E;
    }

    public ColorStateList getPrefixTextColor() {
        return this.F.getTextColors();
    }

    public TextView getPrefixTextView() {
        return this.F;
    }

    public CharSequence getStartIconContentDescription() {
        return this.e0.getContentDescription();
    }

    public Drawable getStartIconDrawable() {
        return this.e0.getDrawable();
    }

    public CharSequence getSuffixText() {
        return this.G;
    }

    public ColorStateList getSuffixTextColor() {
        return this.H.getTextColors();
    }

    public TextView getSuffixTextView() {
        return this.H;
    }

    public Typeface getTypeface() {
        return this.d0;
    }

    public final int h(int i2, boolean z2) {
        int compoundPaddingLeft = this.m.getCompoundPaddingLeft() + i2;
        return (this.E == null || z2) ? compoundPaddingLeft : (compoundPaddingLeft - this.F.getMeasuredWidth()) + this.F.getPaddingLeft();
    }

    public final int i(int i2, boolean z2) {
        int compoundPaddingRight = i2 - this.m.getCompoundPaddingRight();
        return (this.E == null || !z2) ? compoundPaddingRight : compoundPaddingRight + (this.F.getMeasuredWidth() - this.F.getPaddingRight());
    }

    public final boolean j() {
        return this.n0 != 0;
    }

    public boolean k() {
        return this.f5079l.getVisibility() == 0 && this.p0.getVisibility() == 0;
    }

    public final void l() {
        int i2 = this.Q;
        if (i2 == 0) {
            this.L = null;
            this.M = null;
        } else if (i2 == 1) {
            this.L = new MaterialShapeDrawable(this.N);
            this.M = new MaterialShapeDrawable();
        } else if (i2 == 2) {
            if (!this.I || (this.L instanceof g)) {
                this.L = new MaterialShapeDrawable(this.N);
            } else {
                this.L = new g(this.N);
            }
            this.M = null;
        } else {
            throw new IllegalArgumentException(d.a.a.a.a.v(new StringBuilder(), this.Q, " is illegal; only @BoxBackgroundMode constants are supported."));
        }
        EditText editText = this.m;
        if ((editText == null || this.L == null || editText.getBackground() != null || this.Q == 0) ? false : true) {
            EditText editText2 = this.m;
            MaterialShapeDrawable materialShapeDrawable = this.L;
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            editText2.setBackground(materialShapeDrawable);
        }
        F();
        if (this.Q == 1) {
            if (b.o.a.n.h1(getContext())) {
                this.R = getResources().getDimensionPixelSize(R$dimen.material_font_2_0_box_collapsed_padding_top);
            } else if (b.o.a.n.g1(getContext())) {
                this.R = getResources().getDimensionPixelSize(R$dimen.material_font_1_3_box_collapsed_padding_top);
            }
        }
        if (this.m != null && this.Q == 1) {
            if (b.o.a.n.h1(getContext())) {
                EditText editText3 = this.m;
                AtomicInteger atomicInteger2 = ViewCompat.f1365a;
                editText3.setPaddingRelative(editText3.getPaddingStart(), getResources().getDimensionPixelSize(R$dimen.material_filled_edittext_font_2_0_padding_top), this.m.getPaddingEnd(), getResources().getDimensionPixelSize(R$dimen.material_filled_edittext_font_2_0_padding_bottom));
            } else if (b.o.a.n.g1(getContext())) {
                EditText editText4 = this.m;
                AtomicInteger atomicInteger3 = ViewCompat.f1365a;
                editText4.setPaddingRelative(editText4.getPaddingStart(), getResources().getDimensionPixelSize(R$dimen.material_filled_edittext_font_1_3_padding_top), this.m.getPaddingEnd(), getResources().getDimensionPixelSize(R$dimen.material_filled_edittext_font_1_3_padding_bottom));
            }
        }
        if (this.Q != 0) {
            x();
        }
    }

    public final void m() {
        float f2;
        float f3;
        int i2;
        float f4;
        float f5;
        float f6;
        int i3;
        if (g()) {
            RectF rectF = this.c0;
            d.h.a.b.p.a aVar = this.O0;
            int width = this.m.getWidth();
            int gravity = this.m.getGravity();
            boolean c2 = aVar.c(aVar.B);
            aVar.D = c2;
            if (gravity == 17 || (gravity & 7) == 1) {
                f6 = ((float) width) / 2.0f;
                f5 = aVar.b() / 2.0f;
            } else {
                if ((gravity & 8388613) == 8388613 || (gravity & 5) == 5) {
                    if (c2) {
                        i3 = aVar.f10536i.left;
                    } else {
                        f6 = (float) aVar.f10536i.right;
                        f5 = aVar.b();
                    }
                } else if (c2) {
                    f6 = (float) aVar.f10536i.right;
                    f5 = aVar.b();
                } else {
                    i3 = aVar.f10536i.left;
                }
                f2 = (float) i3;
                rectF.left = f2;
                Rect rect = aVar.f10536i;
                rectF.top = (float) rect.top;
                if (gravity != 17 || (gravity & 7) == 1) {
                    f3 = (((float) width) / 2.0f) + (aVar.b() / 2.0f);
                } else {
                    if ((gravity & 8388613) == 8388613 || (gravity & 5) == 5) {
                        if (aVar.D) {
                            f4 = aVar.b();
                        } else {
                            i2 = rect.right;
                            f3 = (float) i2;
                        }
                    } else if (aVar.D) {
                        i2 = rect.right;
                        f3 = (float) i2;
                    } else {
                        f4 = aVar.b();
                    }
                    f3 = f4 + f2;
                }
                rectF.right = f3;
                rectF.bottom = aVar.h() + ((float) aVar.f10536i.top);
                float f7 = rectF.left;
                float f8 = (float) this.O;
                rectF.left = f7 - f8;
                rectF.right += f8;
                int i4 = this.S;
                this.P = i4;
                rectF.top = 0.0f;
                rectF.bottom = (float) i4;
                rectF.offset((float) (-getPaddingLeft()), 0.0f);
                g gVar = (g) this.L;
                Objects.requireNonNull(gVar);
                gVar.D(rectF.left, rectF.top, rectF.right, rectF.bottom);
            }
            f2 = f6 - f5;
            rectF.left = f2;
            Rect rect2 = aVar.f10536i;
            rectF.top = (float) rect2.top;
            if (gravity != 17) {
            }
            f3 = (((float) width) / 2.0f) + (aVar.b() / 2.0f);
            rectF.right = f3;
            rectF.bottom = aVar.h() + ((float) aVar.f10536i.top);
            float f72 = rectF.left;
            float f82 = (float) this.O;
            rectF.left = f72 - f82;
            rectF.right += f82;
            int i42 = this.S;
            this.P = i42;
            rectF.top = 0.0f;
            rectF.bottom = (float) i42;
            rectF.offset((float) (-getPaddingLeft()), 0.0f);
            g gVar2 = (g) this.L;
            Objects.requireNonNull(gVar2);
            gVar2.D(rectF.left, rectF.top, rectF.right, rectF.bottom);
        }
    }

    public void o() {
        p(this.p0, this.r0);
    }

    public void onLayout(boolean z2, int i2, int i3, int i4, int i5) {
        int i6;
        int i7;
        super.onLayout(z2, i2, i3, i4, i5);
        EditText editText = this.m;
        if (editText != null) {
            Rect rect = this.a0;
            d.h.a.b.p.b.a(this, editText, rect);
            MaterialShapeDrawable materialShapeDrawable = this.M;
            if (materialShapeDrawable != null) {
                int i8 = rect.bottom;
                materialShapeDrawable.setBounds(rect.left, i8 - this.U, rect.right, i8);
            }
            if (this.I) {
                d.h.a.b.p.a aVar = this.O0;
                float textSize = this.m.getTextSize();
                if (aVar.m != textSize) {
                    aVar.m = textSize;
                    aVar.m(false);
                }
                int gravity = this.m.getGravity();
                this.O0.q((gravity & -113) | 48);
                this.O0.u(gravity);
                d.h.a.b.p.a aVar2 = this.O0;
                if (this.m != null) {
                    Rect rect2 = this.b0;
                    AtomicInteger atomicInteger = ViewCompat.f1365a;
                    boolean z3 = getLayoutDirection() == 1;
                    rect2.bottom = rect.bottom;
                    int i9 = this.Q;
                    if (i9 == 1) {
                        rect2.left = h(rect.left, z3);
                        rect2.top = rect.top + this.R;
                        rect2.right = i(rect.right, z3);
                    } else if (i9 != 2) {
                        rect2.left = h(rect.left, z3);
                        rect2.top = getPaddingTop();
                        rect2.right = i(rect.right, z3);
                    } else {
                        rect2.left = this.m.getPaddingLeft() + rect.left;
                        rect2.top = rect.top - f();
                        rect2.right = rect.right - this.m.getPaddingRight();
                    }
                    Objects.requireNonNull(aVar2);
                    int i10 = rect2.left;
                    int i11 = rect2.top;
                    int i12 = rect2.right;
                    int i13 = rect2.bottom;
                    if (!d.h.a.b.p.a.n(aVar2.f10536i, i10, i11, i12, i13)) {
                        aVar2.f10536i.set(i10, i11, i12, i13);
                        aVar2.J = true;
                        aVar2.l();
                    }
                    d.h.a.b.p.a aVar3 = this.O0;
                    if (this.m != null) {
                        Rect rect3 = this.b0;
                        TextPaint textPaint = aVar3.L;
                        textPaint.setTextSize(aVar3.m);
                        textPaint.setTypeface(aVar3.x);
                        textPaint.setLetterSpacing(aVar3.X);
                        float f2 = -aVar3.L.ascent();
                        rect3.left = this.m.getCompoundPaddingLeft() + rect.left;
                        if (this.Q == 1 && this.m.getMinLines() <= 1) {
                            i6 = (int) (((float) rect.centerY()) - (f2 / 2.0f));
                        } else {
                            i6 = rect.top + this.m.getCompoundPaddingTop();
                        }
                        rect3.top = i6;
                        rect3.right = rect.right - this.m.getCompoundPaddingRight();
                        if (this.Q == 1 && this.m.getMinLines() <= 1) {
                            i7 = (int) (((float) rect3.top) + f2);
                        } else {
                            i7 = rect.bottom - this.m.getCompoundPaddingBottom();
                        }
                        rect3.bottom = i7;
                        int i14 = rect3.left;
                        int i15 = rect3.top;
                        int i16 = rect3.right;
                        if (!d.h.a.b.p.a.n(aVar3.f10535h, i14, i15, i16, i7)) {
                            aVar3.f10535h.set(i14, i15, i16, i7);
                            aVar3.J = true;
                            aVar3.l();
                        }
                        this.O0.m(false);
                        if (g() && !this.N0) {
                            m();
                            return;
                        }
                        return;
                    }
                    throw new IllegalStateException();
                }
                throw new IllegalStateException();
            }
        }
    }

    public void onMeasure(int i2, int i3) {
        EditText editText;
        int max;
        super.onMeasure(i2, i3);
        boolean z2 = false;
        if (this.m != null && this.m.getMeasuredHeight() < (max = Math.max(this.f5078k.getMeasuredHeight(), this.f5077j.getMeasuredHeight()))) {
            this.m.setMinimumHeight(max);
            z2 = true;
        }
        boolean v2 = v();
        if (z2 || v2) {
            this.m.post(new c());
        }
        if (!(this.z == null || (editText = this.m) == null)) {
            this.z.setGravity(editText.getGravity());
            this.z.setPadding(this.m.getCompoundPaddingLeft(), this.m.getCompoundPaddingTop(), this.m.getCompoundPaddingRight(), this.m.getCompoundPaddingBottom());
        }
        A();
        D();
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        setError(savedState.error);
        if (savedState.isEndIconChecked) {
            this.p0.post(new b());
        }
        setHint(savedState.hintText);
        setHelperText(savedState.helperText);
        setPlaceholderText(savedState.placeholderText);
        requestLayout();
    }

    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        if (this.q.e()) {
            savedState.error = getError();
        }
        savedState.isEndIconChecked = j() && this.p0.isChecked();
        savedState.hintText = getHint();
        savedState.helperText = getHelperText();
        savedState.placeholderText = getPlaceholderText();
        return savedState;
    }

    public final void p(CheckableImageButton checkableImageButton, ColorStateList colorStateList) {
        Drawable drawable = checkableImageButton.getDrawable();
        if (checkableImageButton.getDrawable() != null && colorStateList != null && colorStateList.isStateful()) {
            int[] drawableState = getDrawableState();
            int[] drawableState2 = checkableImageButton.getDrawableState();
            int length = drawableState.length;
            int[] copyOf = Arrays.copyOf(drawableState, drawableState.length + drawableState2.length);
            System.arraycopy(drawableState2, 0, copyOf, length, drawableState2.length);
            int colorForState = colorStateList.getColorForState(copyOf, colorStateList.getDefaultColor());
            Drawable mutate = AppCompatDelegateImpl.e.L0(drawable).mutate();
            mutate.setTintList(ColorStateList.valueOf(colorForState));
            checkableImageButton.setImageDrawable(mutate);
        }
    }

    public void r(TextView textView, int i2) {
        boolean z2 = true;
        try {
            AppCompatDelegateImpl.e.x0(textView, i2);
            if (Build.VERSION.SDK_INT < 23 || textView.getTextColors().getDefaultColor() != -65281) {
                z2 = false;
            }
        } catch (Exception unused) {
        }
        if (z2) {
            AppCompatDelegateImpl.e.x0(textView, R$style.TextAppearance_AppCompat_Caption);
            textView.setTextColor(b.j.b.a.b(getContext(), R$color.design_error));
        }
    }

    public final void s() {
        if (this.u != null) {
            EditText editText = this.m;
            t(editText == null ? 0 : editText.getText().length());
        }
    }

    public void setBoxBackgroundColor(int i2) {
        if (this.W != i2) {
            this.W = i2;
            this.I0 = i2;
            this.K0 = i2;
            this.L0 = i2;
            c();
        }
    }

    public void setBoxBackgroundColorResource(int i2) {
        setBoxBackgroundColor(b.j.b.a.b(getContext(), i2));
    }

    public void setBoxBackgroundColorStateList(ColorStateList colorStateList) {
        int defaultColor = colorStateList.getDefaultColor();
        this.I0 = defaultColor;
        this.W = defaultColor;
        this.J0 = colorStateList.getColorForState(new int[]{-16842910}, -1);
        this.K0 = colorStateList.getColorForState(new int[]{16842908, 16842910}, -1);
        this.L0 = colorStateList.getColorForState(new int[]{16843623, 16842910}, -1);
        c();
    }

    public void setBoxBackgroundMode(int i2) {
        if (i2 != this.Q) {
            this.Q = i2;
            if (this.m != null) {
                l();
            }
        }
    }

    public void setBoxStrokeColor(int i2) {
        if (this.G0 != i2) {
            this.G0 = i2;
            F();
        }
    }

    public void setBoxStrokeColorStateList(ColorStateList colorStateList) {
        if (colorStateList.isStateful()) {
            this.E0 = colorStateList.getDefaultColor();
            this.M0 = colorStateList.getColorForState(new int[]{-16842910}, -1);
            this.F0 = colorStateList.getColorForState(new int[]{16843623, 16842910}, -1);
            this.G0 = colorStateList.getColorForState(new int[]{16842908, 16842910}, -1);
        } else if (this.G0 != colorStateList.getDefaultColor()) {
            this.G0 = colorStateList.getDefaultColor();
        }
        F();
    }

    public void setBoxStrokeErrorColor(ColorStateList colorStateList) {
        if (this.H0 != colorStateList) {
            this.H0 = colorStateList;
            F();
        }
    }

    public void setBoxStrokeWidth(int i2) {
        this.T = i2;
        F();
    }

    public void setBoxStrokeWidthFocused(int i2) {
        this.U = i2;
        F();
    }

    public void setBoxStrokeWidthFocusedResource(int i2) {
        setBoxStrokeWidthFocused(getResources().getDimensionPixelSize(i2));
    }

    public void setBoxStrokeWidthResource(int i2) {
        setBoxStrokeWidth(getResources().getDimensionPixelSize(i2));
    }

    public void setCounterEnabled(boolean z2) {
        if (this.r != z2) {
            if (z2) {
                AppCompatTextView appCompatTextView = new AppCompatTextView(getContext());
                this.u = appCompatTextView;
                appCompatTextView.setId(R$id.textinput_counter);
                Typeface typeface = this.d0;
                if (typeface != null) {
                    this.u.setTypeface(typeface);
                }
                this.u.setMaxLines(1);
                this.q.a(this.u, 2);
                ((ViewGroup.MarginLayoutParams) this.u.getLayoutParams()).setMarginStart(getResources().getDimensionPixelOffset(R$dimen.mtrl_textinput_counter_margin_start));
                u();
                s();
            } else {
                this.q.j(this.u, 2);
                this.u = null;
            }
            this.r = z2;
        }
    }

    public void setCounterMaxLength(int i2) {
        if (this.s != i2) {
            if (i2 > 0) {
                this.s = i2;
            } else {
                this.s = -1;
            }
            if (this.r) {
                s();
            }
        }
    }

    public void setCounterOverflowTextAppearance(int i2) {
        if (this.v != i2) {
            this.v = i2;
            u();
        }
    }

    public void setCounterOverflowTextColor(ColorStateList colorStateList) {
        if (this.D != colorStateList) {
            this.D = colorStateList;
            u();
        }
    }

    public void setCounterTextAppearance(int i2) {
        if (this.w != i2) {
            this.w = i2;
            u();
        }
    }

    public void setCounterTextColor(ColorStateList colorStateList) {
        if (this.C != colorStateList) {
            this.C = colorStateList;
            u();
        }
    }

    public void setDefaultHintTextColor(ColorStateList colorStateList) {
        this.C0 = colorStateList;
        this.D0 = colorStateList;
        if (this.m != null) {
            y(false, false);
        }
    }

    public void setEnabled(boolean z2) {
        n(this, z2);
        super.setEnabled(z2);
    }

    public void setEndIconActivated(boolean z2) {
        this.p0.setActivated(z2);
    }

    public void setEndIconCheckable(boolean z2) {
        this.p0.setCheckable(z2);
    }

    public void setEndIconContentDescription(int i2) {
        setEndIconContentDescription(i2 != 0 ? getResources().getText(i2) : null);
    }

    public void setEndIconDrawable(int i2) {
        setEndIconDrawable(i2 != 0 ? b.b.b.a.a.b(getContext(), i2) : null);
    }

    public void setEndIconMode(int i2) {
        int i3 = this.n0;
        this.n0 = i2;
        Iterator<f> it = this.q0.iterator();
        while (it.hasNext()) {
            it.next().a(this, i3);
        }
        setEndIconVisible(i2 != 0);
        if (getEndIconDelegate().b(this.Q)) {
            getEndIconDelegate().a();
            d();
            return;
        }
        throw new IllegalStateException(d.a.a.a.a.x(d.a.a.a.a.B("The current box background mode "), this.Q, " is not supported by the end icon mode ", i2));
    }

    public void setEndIconOnClickListener(View.OnClickListener onClickListener) {
        CheckableImageButton checkableImageButton = this.p0;
        View.OnLongClickListener onLongClickListener = this.y0;
        checkableImageButton.setOnClickListener(onClickListener);
        q(checkableImageButton, onLongClickListener);
    }

    public void setEndIconOnLongClickListener(View.OnLongClickListener onLongClickListener) {
        this.y0 = onLongClickListener;
        CheckableImageButton checkableImageButton = this.p0;
        checkableImageButton.setOnLongClickListener(onLongClickListener);
        q(checkableImageButton, onLongClickListener);
    }

    public void setEndIconTintList(ColorStateList colorStateList) {
        if (this.r0 != colorStateList) {
            this.r0 = colorStateList;
            this.s0 = true;
            d();
        }
    }

    public void setEndIconTintMode(PorterDuff.Mode mode) {
        if (this.t0 != mode) {
            this.t0 = mode;
            this.u0 = true;
            d();
        }
    }

    public void setEndIconVisible(boolean z2) {
        if (k() != z2) {
            this.p0.setVisibility(z2 ? 0 : 8);
            D();
            v();
        }
    }

    public void setError(CharSequence charSequence) {
        if (!this.q.f10227k) {
            if (!TextUtils.isEmpty(charSequence)) {
                setErrorEnabled(true);
            } else {
                return;
            }
        }
        if (!TextUtils.isEmpty(charSequence)) {
            n nVar = this.q;
            nVar.c();
            nVar.f10226j = charSequence;
            nVar.f10228l.setText(charSequence);
            int i2 = nVar.f10224h;
            if (i2 != 1) {
                nVar.f10225i = 1;
            }
            nVar.l(i2, nVar.f10225i, nVar.k(nVar.f10228l, charSequence));
            return;
        }
        this.q.i();
    }

    public void setErrorContentDescription(CharSequence charSequence) {
        n nVar = this.q;
        nVar.m = charSequence;
        TextView textView = nVar.f10228l;
        if (textView != null) {
            textView.setContentDescription(charSequence);
        }
    }

    public void setErrorEnabled(boolean z2) {
        n nVar = this.q;
        if (nVar.f10227k != z2) {
            nVar.c();
            if (z2) {
                AppCompatTextView appCompatTextView = new AppCompatTextView(nVar.f10217a);
                nVar.f10228l = appCompatTextView;
                appCompatTextView.setId(R$id.textinput_error);
                nVar.f10228l.setTextAlignment(5);
                Typeface typeface = nVar.u;
                if (typeface != null) {
                    nVar.f10228l.setTypeface(typeface);
                }
                int i2 = nVar.n;
                nVar.n = i2;
                TextView textView = nVar.f10228l;
                if (textView != null) {
                    nVar.f10218b.r(textView, i2);
                }
                ColorStateList colorStateList = nVar.o;
                nVar.o = colorStateList;
                TextView textView2 = nVar.f10228l;
                if (!(textView2 == null || colorStateList == null)) {
                    textView2.setTextColor(colorStateList);
                }
                CharSequence charSequence = nVar.m;
                nVar.m = charSequence;
                TextView textView3 = nVar.f10228l;
                if (textView3 != null) {
                    textView3.setContentDescription(charSequence);
                }
                nVar.f10228l.setVisibility(4);
                TextView textView4 = nVar.f10228l;
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                textView4.setAccessibilityLiveRegion(1);
                nVar.a(nVar.f10228l, 0);
            } else {
                nVar.i();
                nVar.j(nVar.f10228l, 0);
                nVar.f10228l = null;
                nVar.f10218b.w();
                nVar.f10218b.F();
            }
            nVar.f10227k = z2;
        }
    }

    public void setErrorIconDrawable(int i2) {
        setErrorIconDrawable(i2 != 0 ? b.b.b.a.a.b(getContext(), i2) : null);
        p(this.A0, this.B0);
    }

    public void setErrorIconOnClickListener(View.OnClickListener onClickListener) {
        CheckableImageButton checkableImageButton = this.A0;
        View.OnLongClickListener onLongClickListener = this.z0;
        checkableImageButton.setOnClickListener(onClickListener);
        q(checkableImageButton, onLongClickListener);
    }

    public void setErrorIconOnLongClickListener(View.OnLongClickListener onLongClickListener) {
        this.z0 = onLongClickListener;
        CheckableImageButton checkableImageButton = this.A0;
        checkableImageButton.setOnLongClickListener(onLongClickListener);
        q(checkableImageButton, onLongClickListener);
    }

    public void setErrorIconTintList(ColorStateList colorStateList) {
        this.B0 = colorStateList;
        Drawable drawable = this.A0.getDrawable();
        if (drawable != null) {
            drawable = AppCompatDelegateImpl.e.L0(drawable).mutate();
            drawable.setTintList(colorStateList);
        }
        if (this.A0.getDrawable() != drawable) {
            this.A0.setImageDrawable(drawable);
        }
    }

    public void setErrorIconTintMode(PorterDuff.Mode mode) {
        Drawable drawable = this.A0.getDrawable();
        if (drawable != null) {
            drawable = AppCompatDelegateImpl.e.L0(drawable).mutate();
            drawable.setTintMode(mode);
        }
        if (this.A0.getDrawable() != drawable) {
            this.A0.setImageDrawable(drawable);
        }
    }

    public void setErrorTextAppearance(int i2) {
        n nVar = this.q;
        nVar.n = i2;
        TextView textView = nVar.f10228l;
        if (textView != null) {
            nVar.f10218b.r(textView, i2);
        }
    }

    public void setErrorTextColor(ColorStateList colorStateList) {
        n nVar = this.q;
        nVar.o = colorStateList;
        TextView textView = nVar.f10228l;
        if (textView != null && colorStateList != null) {
            textView.setTextColor(colorStateList);
        }
    }

    public void setExpandedHintEnabled(boolean z2) {
        if (this.P0 != z2) {
            this.P0 = z2;
            y(false, false);
        }
    }

    public void setHelperText(CharSequence charSequence) {
        if (!TextUtils.isEmpty(charSequence)) {
            if (!this.q.q) {
                setHelperTextEnabled(true);
            }
            n nVar = this.q;
            nVar.c();
            nVar.p = charSequence;
            nVar.r.setText(charSequence);
            int i2 = nVar.f10224h;
            if (i2 != 2) {
                nVar.f10225i = 2;
            }
            nVar.l(i2, nVar.f10225i, nVar.k(nVar.r, charSequence));
        } else if (this.q.q) {
            setHelperTextEnabled(false);
        }
    }

    public void setHelperTextColor(ColorStateList colorStateList) {
        n nVar = this.q;
        nVar.t = colorStateList;
        TextView textView = nVar.r;
        if (textView != null && colorStateList != null) {
            textView.setTextColor(colorStateList);
        }
    }

    public void setHelperTextEnabled(boolean z2) {
        n nVar = this.q;
        if (nVar.q != z2) {
            nVar.c();
            if (z2) {
                AppCompatTextView appCompatTextView = new AppCompatTextView(nVar.f10217a);
                nVar.r = appCompatTextView;
                appCompatTextView.setId(R$id.textinput_helper_text);
                nVar.r.setTextAlignment(5);
                Typeface typeface = nVar.u;
                if (typeface != null) {
                    nVar.r.setTypeface(typeface);
                }
                nVar.r.setVisibility(4);
                TextView textView = nVar.r;
                AtomicInteger atomicInteger = ViewCompat.f1365a;
                textView.setAccessibilityLiveRegion(1);
                int i2 = nVar.s;
                nVar.s = i2;
                TextView textView2 = nVar.r;
                if (textView2 != null) {
                    AppCompatDelegateImpl.e.x0(textView2, i2);
                }
                ColorStateList colorStateList = nVar.t;
                nVar.t = colorStateList;
                TextView textView3 = nVar.r;
                if (!(textView3 == null || colorStateList == null)) {
                    textView3.setTextColor(colorStateList);
                }
                nVar.a(nVar.r, 1);
            } else {
                nVar.c();
                int i3 = nVar.f10224h;
                if (i3 == 2) {
                    nVar.f10225i = 0;
                }
                nVar.l(i3, nVar.f10225i, nVar.k(nVar.r, null));
                nVar.j(nVar.r, 1);
                nVar.r = null;
                nVar.f10218b.w();
                nVar.f10218b.F();
            }
            nVar.q = z2;
        }
    }

    public void setHelperTextTextAppearance(int i2) {
        n nVar = this.q;
        nVar.s = i2;
        TextView textView = nVar.r;
        if (textView != null) {
            AppCompatDelegateImpl.e.x0(textView, i2);
        }
    }

    public void setHint(CharSequence charSequence) {
        if (this.I) {
            setHintInternal(charSequence);
            sendAccessibilityEvent(2048);
        }
    }

    public void setHintAnimationEnabled(boolean z2) {
        this.Q0 = z2;
    }

    public void setHintEnabled(boolean z2) {
        if (z2 != this.I) {
            this.I = z2;
            if (!z2) {
                this.K = false;
                if (!TextUtils.isEmpty(this.J) && TextUtils.isEmpty(this.m.getHint())) {
                    this.m.setHint(this.J);
                }
                setHintInternal(null);
            } else {
                CharSequence hint = this.m.getHint();
                if (!TextUtils.isEmpty(hint)) {
                    if (TextUtils.isEmpty(this.J)) {
                        setHint(hint);
                    }
                    this.m.setHint((CharSequence) null);
                }
                this.K = true;
            }
            if (this.m != null) {
                x();
            }
        }
    }

    public void setHintTextAppearance(int i2) {
        this.O0.o(i2);
        this.D0 = this.O0.p;
        if (this.m != null) {
            y(false, false);
            x();
        }
    }

    public void setHintTextColor(ColorStateList colorStateList) {
        if (this.D0 != colorStateList) {
            if (this.C0 == null) {
                d.h.a.b.p.a aVar = this.O0;
                if (aVar.p != colorStateList) {
                    aVar.p = colorStateList;
                    aVar.m(false);
                }
            }
            this.D0 = colorStateList;
            if (this.m != null) {
                y(false, false);
            }
        }
    }

    public void setMaxWidth(int i2) {
        this.p = i2;
        EditText editText = this.m;
        if (editText != null && i2 != -1) {
            editText.setMaxWidth(i2);
        }
    }

    public void setMaxWidthResource(int i2) {
        setMaxWidth(getContext().getResources().getDimensionPixelSize(i2));
    }

    public void setMinWidth(int i2) {
        this.o = i2;
        EditText editText = this.m;
        if (editText != null && i2 != -1) {
            editText.setMinWidth(i2);
        }
    }

    public void setMinWidthResource(int i2) {
        setMinWidth(getContext().getResources().getDimensionPixelSize(i2));
    }

    @Deprecated
    public void setPasswordVisibilityToggleContentDescription(int i2) {
        setPasswordVisibilityToggleContentDescription(i2 != 0 ? getResources().getText(i2) : null);
    }

    @Deprecated
    public void setPasswordVisibilityToggleDrawable(int i2) {
        setPasswordVisibilityToggleDrawable(i2 != 0 ? b.b.b.a.a.b(getContext(), i2) : null);
    }

    @Deprecated
    public void setPasswordVisibilityToggleEnabled(boolean z2) {
        if (z2 && this.n0 != 1) {
            setEndIconMode(1);
        } else if (!z2) {
            setEndIconMode(0);
        }
    }

    @Deprecated
    public void setPasswordVisibilityToggleTintList(ColorStateList colorStateList) {
        this.r0 = colorStateList;
        this.s0 = true;
        d();
    }

    @Deprecated
    public void setPasswordVisibilityToggleTintMode(PorterDuff.Mode mode) {
        this.t0 = mode;
        this.u0 = true;
        d();
    }

    public void setPlaceholderText(CharSequence charSequence) {
        int i2 = 0;
        if (!this.y || !TextUtils.isEmpty(charSequence)) {
            if (!this.y) {
                setPlaceholderTextEnabled(true);
            }
            this.x = charSequence;
        } else {
            setPlaceholderTextEnabled(false);
        }
        EditText editText = this.m;
        if (editText != null) {
            i2 = editText.getText().length();
        }
        z(i2);
    }

    public void setPlaceholderTextAppearance(int i2) {
        this.B = i2;
        TextView textView = this.z;
        if (textView != null) {
            AppCompatDelegateImpl.e.x0(textView, i2);
        }
    }

    public void setPlaceholderTextColor(ColorStateList colorStateList) {
        if (this.A != colorStateList) {
            this.A = colorStateList;
            TextView textView = this.z;
            if (textView != null && colorStateList != null) {
                textView.setTextColor(colorStateList);
            }
        }
    }

    public void setPrefixText(CharSequence charSequence) {
        this.E = TextUtils.isEmpty(charSequence) ? null : charSequence;
        this.F.setText(charSequence);
        B();
    }

    public void setPrefixTextAppearance(int i2) {
        AppCompatDelegateImpl.e.x0(this.F, i2);
    }

    public void setPrefixTextColor(ColorStateList colorStateList) {
        this.F.setTextColor(colorStateList);
    }

    public void setStartIconCheckable(boolean z2) {
        this.e0.setCheckable(z2);
    }

    public void setStartIconContentDescription(int i2) {
        setStartIconContentDescription(i2 != 0 ? getResources().getText(i2) : null);
    }

    public void setStartIconDrawable(int i2) {
        setStartIconDrawable(i2 != 0 ? b.b.b.a.a.b(getContext(), i2) : null);
    }

    public void setStartIconOnClickListener(View.OnClickListener onClickListener) {
        CheckableImageButton checkableImageButton = this.e0;
        View.OnLongClickListener onLongClickListener = this.l0;
        checkableImageButton.setOnClickListener(onClickListener);
        q(checkableImageButton, onLongClickListener);
    }

    public void setStartIconOnLongClickListener(View.OnLongClickListener onLongClickListener) {
        this.l0 = onLongClickListener;
        CheckableImageButton checkableImageButton = this.e0;
        checkableImageButton.setOnLongClickListener(onLongClickListener);
        q(checkableImageButton, onLongClickListener);
    }

    public void setStartIconTintList(ColorStateList colorStateList) {
        if (this.f0 != colorStateList) {
            this.f0 = colorStateList;
            this.g0 = true;
            e(this.e0, true, colorStateList, this.i0, this.h0);
        }
    }

    public void setStartIconTintMode(PorterDuff.Mode mode) {
        if (this.h0 != mode) {
            this.h0 = mode;
            this.i0 = true;
            e(this.e0, this.g0, this.f0, true, mode);
        }
    }

    public void setStartIconVisible(boolean z2) {
        int i2 = 0;
        if ((this.e0.getVisibility() == 0) != z2) {
            CheckableImageButton checkableImageButton = this.e0;
            if (!z2) {
                i2 = 8;
            }
            checkableImageButton.setVisibility(i2);
            A();
            v();
        }
    }

    public void setSuffixText(CharSequence charSequence) {
        this.G = TextUtils.isEmpty(charSequence) ? null : charSequence;
        this.H.setText(charSequence);
        E();
    }

    public void setSuffixTextAppearance(int i2) {
        AppCompatDelegateImpl.e.x0(this.H, i2);
    }

    public void setSuffixTextColor(ColorStateList colorStateList) {
        this.H.setTextColor(colorStateList);
    }

    public void setTextInputAccessibilityDelegate(AccessibilityDelegate accessibilityDelegate) {
        EditText editText = this.m;
        if (editText != null) {
            ViewCompat.u(editText, accessibilityDelegate);
        }
    }

    public void setTypeface(Typeface typeface) {
        if (typeface != this.d0) {
            this.d0 = typeface;
            this.O0.A(typeface);
            n nVar = this.q;
            if (typeface != nVar.u) {
                nVar.u = typeface;
                TextView textView = nVar.f10228l;
                if (textView != null) {
                    textView.setTypeface(typeface);
                }
                TextView textView2 = nVar.r;
                if (textView2 != null) {
                    textView2.setTypeface(typeface);
                }
            }
            TextView textView3 = this.u;
            if (textView3 != null) {
                textView3.setTypeface(typeface);
            }
        }
    }

    public void t(int i2) {
        boolean z2 = this.t;
        int i3 = this.s;
        String str = null;
        if (i3 == -1) {
            this.u.setText(String.valueOf(i2));
            this.u.setContentDescription(null);
            this.t = false;
        } else {
            this.t = i2 > i3;
            Context context = getContext();
            this.u.setContentDescription(context.getString(this.t ? R$string.character_counter_overflowed_content_description : R$string.character_counter_content_description, Integer.valueOf(i2), Integer.valueOf(this.s)));
            if (z2 != this.t) {
                u();
            }
            b.j.f.a c2 = b.j.f.a.c();
            TextView textView = this.u;
            String string = getContext().getString(R$string.character_counter_pattern, Integer.valueOf(i2), Integer.valueOf(this.s));
            TextDirectionHeuristicCompat textDirectionHeuristicCompat = c2.f3377h;
            if (string != null) {
                str = c2.d(string, textDirectionHeuristicCompat, true).toString();
            }
            textView.setText(str);
        }
        if (this.m != null && z2 != this.t) {
            y(false, false);
            F();
            w();
        }
    }

    public final void u() {
        ColorStateList colorStateList;
        ColorStateList colorStateList2;
        TextView textView = this.u;
        if (textView != null) {
            r(textView, this.t ? this.v : this.w);
            if (!this.t && (colorStateList2 = this.C) != null) {
                this.u.setTextColor(colorStateList2);
            }
            if (this.t && (colorStateList = this.D) != null) {
                this.u.setTextColor(colorStateList);
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:28:0x007d  */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x009a  */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x0104  */
    public final boolean v() {
        boolean z2;
        if (this.m == null) {
            return false;
        }
        boolean z3 = true;
        if (!(getStartIconDrawable() == null && this.E == null) && this.f5077j.getMeasuredWidth() > 0) {
            int measuredWidth = this.f5077j.getMeasuredWidth() - this.m.getPaddingLeft();
            if (this.j0 == null || this.k0 != measuredWidth) {
                ColorDrawable colorDrawable = new ColorDrawable();
                this.j0 = colorDrawable;
                this.k0 = measuredWidth;
                colorDrawable.setBounds(0, 0, measuredWidth, 1);
            }
            Drawable[] compoundDrawablesRelative = this.m.getCompoundDrawablesRelative();
            Drawable drawable = compoundDrawablesRelative[0];
            Drawable drawable2 = this.j0;
            if (drawable != drawable2) {
                this.m.setCompoundDrawablesRelative(drawable2, compoundDrawablesRelative[1], compoundDrawablesRelative[2], compoundDrawablesRelative[3]);
            }
            z2 = false;
            if ((this.A0.getVisibility() != 0 || ((j() && k()) || this.G != null)) && this.f5078k.getMeasuredWidth() > 0) {
                int measuredWidth2 = this.H.getMeasuredWidth() - this.m.getPaddingRight();
                CheckableImageButton endIconToUpdateDummyDrawable = getEndIconToUpdateDummyDrawable();
                if (endIconToUpdateDummyDrawable != null) {
                    measuredWidth2 = ((ViewGroup.MarginLayoutParams) endIconToUpdateDummyDrawable.getLayoutParams()).getMarginStart() + endIconToUpdateDummyDrawable.getMeasuredWidth() + measuredWidth2;
                }
                Drawable[] compoundDrawablesRelative2 = this.m.getCompoundDrawablesRelative();
                Drawable drawable3 = this.v0;
                if (drawable3 == null || this.w0 == measuredWidth2) {
                    if (drawable3 == null) {
                        ColorDrawable colorDrawable2 = new ColorDrawable();
                        this.v0 = colorDrawable2;
                        this.w0 = measuredWidth2;
                        colorDrawable2.setBounds(0, 0, measuredWidth2, 1);
                    }
                    Drawable drawable4 = compoundDrawablesRelative2[2];
                    Drawable drawable5 = this.v0;
                    if (drawable4 != drawable5) {
                        this.x0 = compoundDrawablesRelative2[2];
                        this.m.setCompoundDrawablesRelative(compoundDrawablesRelative2[0], compoundDrawablesRelative2[1], drawable5, compoundDrawablesRelative2[3]);
                    } else {
                        z3 = z2;
                    }
                } else {
                    this.w0 = measuredWidth2;
                    drawable3.setBounds(0, 0, measuredWidth2, 1);
                    this.m.setCompoundDrawablesRelative(compoundDrawablesRelative2[0], compoundDrawablesRelative2[1], this.v0, compoundDrawablesRelative2[3]);
                }
            } else if (this.v0 == null) {
                return z2;
            } else {
                Drawable[] compoundDrawablesRelative3 = this.m.getCompoundDrawablesRelative();
                if (compoundDrawablesRelative3[2] == this.v0) {
                    this.m.setCompoundDrawablesRelative(compoundDrawablesRelative3[0], compoundDrawablesRelative3[1], this.x0, compoundDrawablesRelative3[3]);
                } else {
                    z3 = z2;
                }
                this.v0 = null;
            }
            return z3;
        }
        if (this.j0 != null) {
            Drawable[] compoundDrawablesRelative4 = this.m.getCompoundDrawablesRelative();
            this.m.setCompoundDrawablesRelative(null, compoundDrawablesRelative4[1], compoundDrawablesRelative4[2], compoundDrawablesRelative4[3]);
            this.j0 = null;
        }
        z2 = false;
        if ((this.A0.getVisibility() != 0 || ((j() && k()) || this.G != null)) && this.f5078k.getMeasuredWidth() > 0) {
        }
        return z3;
        z2 = true;
        if ((this.A0.getVisibility() != 0 || ((j() && k()) || this.G != null)) && this.f5078k.getMeasuredWidth() > 0) {
        }
        return z3;
    }

    public void w() {
        Drawable background;
        TextView textView;
        EditText editText = this.m;
        if (editText != null && this.Q == 0 && (background = editText.getBackground()) != null) {
            if (o.a(background)) {
                background = background.mutate();
            }
            if (this.q.e()) {
                background.setColorFilter(b.b.f.d.c(this.q.g(), PorterDuff.Mode.SRC_IN));
            } else if (!this.t || (textView = this.u) == null) {
                AppCompatDelegateImpl.e.q(background);
                this.m.refreshDrawableState();
            } else {
                background.setColorFilter(b.b.f.d.c(textView.getCurrentTextColor(), PorterDuff.Mode.SRC_IN));
            }
        }
    }

    public final void x() {
        if (this.Q != 1) {
            LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) this.f5076h.getLayoutParams();
            int f2 = f();
            if (f2 != layoutParams.topMargin) {
                layoutParams.topMargin = f2;
                this.f5076h.requestLayout();
            }
        }
    }

    public final void y(boolean z2, boolean z3) {
        ColorStateList colorStateList;
        TextView textView;
        boolean isEnabled = isEnabled();
        EditText editText = this.m;
        int i2 = 0;
        boolean z4 = editText != null && !TextUtils.isEmpty(editText.getText());
        EditText editText2 = this.m;
        boolean z5 = editText2 != null && editText2.hasFocus();
        boolean e2 = this.q.e();
        ColorStateList colorStateList2 = this.C0;
        if (colorStateList2 != null) {
            this.O0.p(colorStateList2);
            this.O0.t(this.C0);
        }
        if (!isEnabled) {
            ColorStateList colorStateList3 = this.C0;
            int colorForState = colorStateList3 != null ? colorStateList3.getColorForState(new int[]{-16842910}, this.M0) : this.M0;
            this.O0.p(ColorStateList.valueOf(colorForState));
            this.O0.t(ColorStateList.valueOf(colorForState));
        } else if (e2) {
            d.h.a.b.p.a aVar = this.O0;
            TextView textView2 = this.q.f10228l;
            aVar.p(textView2 != null ? textView2.getTextColors() : null);
        } else if (this.t && (textView = this.u) != null) {
            this.O0.p(textView.getTextColors());
        } else if (z5 && (colorStateList = this.D0) != null) {
            this.O0.p(colorStateList);
        }
        if (z4 || !this.P0 || (isEnabled() && z5)) {
            if (z3 || this.N0) {
                ValueAnimator valueAnimator = this.R0;
                if (valueAnimator != null && valueAnimator.isRunning()) {
                    this.R0.cancel();
                }
                if (!z2 || !this.Q0) {
                    this.O0.w(1.0f);
                } else {
                    b(1.0f);
                }
                this.N0 = false;
                if (g()) {
                    m();
                }
                EditText editText3 = this.m;
                if (editText3 != null) {
                    i2 = editText3.getText().length();
                }
                z(i2);
                B();
                E();
            }
        } else if (z3 || !this.N0) {
            ValueAnimator valueAnimator2 = this.R0;
            if (valueAnimator2 != null && valueAnimator2.isRunning()) {
                this.R0.cancel();
            }
            if (!z2 || !this.Q0) {
                this.O0.w(0.0f);
            } else {
                b(0.0f);
            }
            if (g() && (!((g) this.L).G.isEmpty()) && g()) {
                ((g) this.L).D(0.0f, 0.0f, 0.0f, 0.0f);
            }
            this.N0 = true;
            TextView textView3 = this.z;
            if (textView3 != null && this.y) {
                textView3.setText((CharSequence) null);
                this.z.setVisibility(4);
            }
            B();
            E();
        }
    }

    public final void z(int i2) {
        if (i2 != 0 || this.N0) {
            TextView textView = this.z;
            if (textView != null && this.y) {
                textView.setText((CharSequence) null);
                this.z.setVisibility(4);
                return;
            }
            return;
        }
        TextView textView2 = this.z;
        if (textView2 != null && this.y) {
            textView2.setText(this.x);
            this.z.setVisibility(0);
            this.z.bringToFront();
        }
    }

    public TextInputLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R$attr.textInputStyle);
    }

    public void setEndIconContentDescription(CharSequence charSequence) {
        if (getEndIconContentDescription() != charSequence) {
            this.p0.setContentDescription(charSequence);
        }
    }

    public void setEndIconDrawable(Drawable drawable) {
        this.p0.setImageDrawable(drawable);
        o();
    }

    public void setStartIconContentDescription(CharSequence charSequence) {
        if (getStartIconContentDescription() != charSequence) {
            this.e0.setContentDescription(charSequence);
        }
    }

    public void setStartIconDrawable(Drawable drawable) {
        this.e0.setImageDrawable(drawable);
        if (drawable != null) {
            setStartIconVisible(true);
            p(this.e0, this.f0);
            return;
        }
        setStartIconVisible(false);
        setStartIconOnClickListener(null);
        setStartIconOnLongClickListener(null);
        setStartIconContentDescription((CharSequence) null);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v13, resolved type: b.b.f.z */
    /* JADX DEBUG: Multi-variable search result rejected for r7v3, resolved type: android.view.LayoutInflater */
    /* JADX DEBUG: Multi-variable search result rejected for r11v11, resolved type: android.view.ViewGroup$MarginLayoutParams */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r2v47, types: [boolean, int] */
    /* JADX WARN: Type inference failed for: r2v159 */
    /* JADX WARN: Type inference failed for: r2v160 */
    /* JADX WARNING: Illegal instructions before constructor call */
    /* JADX WARNING: Unknown variable types count: 1 */
    public TextInputLayout(Context context, AttributeSet attributeSet, int i2) {
        super(d.h.a.b.b0.a.a.a(context, attributeSet, i2, r9), attributeSet, i2);
        int i3;
        ?? r2;
        int i4;
        int i5 = f5075d;
        this.o = -1;
        this.p = -1;
        this.q = new n(this);
        this.a0 = new Rect();
        this.b0 = new Rect();
        this.c0 = new RectF();
        this.m0 = new LinkedHashSet<>();
        this.n0 = 0;
        this.o0 = new SparseArray<>();
        this.q0 = new LinkedHashSet<>();
        d.h.a.b.p.a aVar = new d.h.a.b.p.a(this);
        this.O0 = aVar;
        Context context2 = getContext();
        setOrientation(1);
        setWillNotDraw(false);
        setAddStatesFromChildren(true);
        FrameLayout frameLayout = new FrameLayout(context2);
        this.f5076h = frameLayout;
        frameLayout.setAddStatesFromChildren(true);
        addView(frameLayout);
        LinearLayout linearLayout = new LinearLayout(context2);
        this.f5077j = linearLayout;
        linearLayout.setOrientation(0);
        linearLayout.setLayoutParams(new FrameLayout.LayoutParams(-2, -1, 8388611));
        frameLayout.addView(linearLayout);
        LinearLayout linearLayout2 = new LinearLayout(context2);
        this.f5078k = linearLayout2;
        linearLayout2.setOrientation(0);
        linearLayout2.setLayoutParams(new FrameLayout.LayoutParams(-2, -1, 8388613));
        frameLayout.addView(linearLayout2);
        FrameLayout frameLayout2 = new FrameLayout(context2);
        this.f5079l = frameLayout2;
        frameLayout2.setLayoutParams(new FrameLayout.LayoutParams(-2, -1));
        TimeInterpolator timeInterpolator = d.h.a.b.a.a.f10153a;
        aVar.N = timeInterpolator;
        aVar.m(false);
        aVar.M = timeInterpolator;
        aVar.m(false);
        aVar.q(8388659);
        int[] iArr = R$styleable.TextInputLayout;
        int i6 = R$styleable.TextInputLayout_counterTextAppearance;
        int i7 = R$styleable.TextInputLayout_counterOverflowTextAppearance;
        int i8 = R$styleable.TextInputLayout_errorTextAppearance;
        int i9 = R$styleable.TextInputLayout_helperTextTextAppearance;
        int i10 = R$styleable.TextInputLayout_hintTextAppearance;
        z e2 = d.h.a.b.p.f.e(context2, attributeSet, iArr, i2, i5, i6, i7, i8, i9, i10);
        this.I = e2.a(R$styleable.TextInputLayout_hintEnabled, true);
        setHint(e2.o(R$styleable.TextInputLayout_android_hint));
        this.Q0 = e2.a(R$styleable.TextInputLayout_hintAnimationEnabled, true);
        this.P0 = e2.a(R$styleable.TextInputLayout_expandedHintEnabled, true);
        int i11 = R$styleable.TextInputLayout_android_minWidth;
        if (e2.p(i11)) {
            setMinWidth(e2.f(i11, -1));
        }
        int i12 = R$styleable.TextInputLayout_android_maxWidth;
        if (e2.p(i12)) {
            setMaxWidth(e2.f(i12, -1));
        }
        this.N = l.c(context2, attributeSet, i2, i5, new d.h.a.b.w.a((float) 0)).a();
        this.O = context2.getResources().getDimensionPixelOffset(R$dimen.mtrl_textinput_box_label_cutout_padding);
        this.R = e2.e(R$styleable.TextInputLayout_boxCollapsedPaddingTop, 0);
        this.T = e2.f(R$styleable.TextInputLayout_boxStrokeWidth, context2.getResources().getDimensionPixelSize(R$dimen.mtrl_textinput_box_stroke_width_default));
        this.U = e2.f(R$styleable.TextInputLayout_boxStrokeWidthFocused, context2.getResources().getDimensionPixelSize(R$dimen.mtrl_textinput_box_stroke_width_focused));
        this.S = this.T;
        float d2 = e2.d(R$styleable.TextInputLayout_boxCornerRadiusTopStart, -1.0f);
        float d3 = e2.d(R$styleable.TextInputLayout_boxCornerRadiusTopEnd, -1.0f);
        float d4 = e2.d(R$styleable.TextInputLayout_boxCornerRadiusBottomEnd, -1.0f);
        float d5 = e2.d(R$styleable.TextInputLayout_boxCornerRadiusBottomStart, -1.0f);
        l lVar = this.N;
        Objects.requireNonNull(lVar);
        l.b bVar = new l.b(lVar);
        if (d2 >= 0.0f) {
            bVar.f(d2);
        }
        if (d3 >= 0.0f) {
            bVar.g(d3);
        }
        if (d4 >= 0.0f) {
            bVar.e(d4);
        }
        if (d5 >= 0.0f) {
            bVar.d(d5);
        }
        this.N = bVar.a();
        ColorStateList t02 = b.o.a.n.t0(context2, e2, R$styleable.TextInputLayout_boxBackgroundColor);
        if (t02 != null) {
            int defaultColor = t02.getDefaultColor();
            this.I0 = defaultColor;
            this.W = defaultColor;
            if (t02.isStateful()) {
                this.J0 = t02.getColorForState(new int[]{-16842910}, -1);
                i3 = 2;
                this.K0 = t02.getColorForState(new int[]{16842908, 16842910}, -1);
                this.L0 = t02.getColorForState(new int[]{16843623, 16842910}, -1);
            } else {
                i3 = 2;
                this.K0 = this.I0;
                ColorStateList a2 = b.b.b.a.a.a(context2, R$color.mtrl_filled_background_color);
                this.J0 = a2.getColorForState(new int[]{-16842910}, -1);
                this.L0 = a2.getColorForState(new int[]{16843623}, -1);
            }
        } else {
            i3 = 2;
            this.W = 0;
            this.I0 = 0;
            this.J0 = 0;
            this.K0 = 0;
            this.L0 = 0;
        }
        int i13 = R$styleable.TextInputLayout_android_textColorHint;
        if (e2.p(i13)) {
            ColorStateList c2 = e2.c(i13);
            this.D0 = c2;
            this.C0 = c2;
        }
        int i14 = R$styleable.TextInputLayout_boxStrokeColor;
        ColorStateList t03 = b.o.a.n.t0(context2, e2, i14);
        this.G0 = e2.b(i14, 0);
        this.E0 = b.j.b.a.b(context2, R$color.mtrl_textinput_default_box_stroke_color);
        this.M0 = b.j.b.a.b(context2, R$color.mtrl_textinput_disabled_color);
        this.F0 = b.j.b.a.b(context2, R$color.mtrl_textinput_hovered_box_stroke_color);
        if (t03 != null) {
            setBoxStrokeColorStateList(t03);
        }
        int i15 = R$styleable.TextInputLayout_boxStrokeErrorColor;
        if (e2.p(i15)) {
            setBoxStrokeErrorColor(b.o.a.n.t0(context2, e2, i15));
        }
        if (e2.m(i10, -1) != -1) {
            r2 = 0;
            setHintTextAppearance(e2.m(i10, 0));
        } else {
            r2 = 0;
        }
        int i16 = r2 == true ? 1 : 0;
        int i17 = r2 == true ? 1 : 0;
        int i18 = r2 == true ? 1 : 0;
        int m2 = e2.m(i8, i16);
        CharSequence o2 = e2.o(R$styleable.TextInputLayout_errorContentDescription);
        boolean a3 = e2.a(R$styleable.TextInputLayout_errorEnabled, r2);
        LayoutInflater from = LayoutInflater.from(getContext());
        int i19 = R$layout.design_text_input_end_icon;
        CheckableImageButton checkableImageButton = (CheckableImageButton) from.inflate(i19, linearLayout2, (boolean) r2);
        this.A0 = checkableImageButton;
        checkableImageButton.setId(R$id.text_input_error_icon);
        checkableImageButton.setVisibility(8);
        if (b.o.a.n.g1(context2)) {
            ((ViewGroup.MarginLayoutParams) checkableImageButton.getLayoutParams()).setMarginStart(r2);
        }
        int i20 = R$styleable.TextInputLayout_errorIconDrawable;
        if (e2.p(i20)) {
            setErrorIconDrawable(e2.g(i20));
        }
        int i21 = R$styleable.TextInputLayout_errorIconTint;
        if (e2.p(i21)) {
            setErrorIconTintList(b.o.a.n.t0(context2, e2, i21));
        }
        int i22 = R$styleable.TextInputLayout_errorIconTintMode;
        if (e2.p(i22)) {
            setErrorIconTintMode(b.o.a.n.Z1(e2.j(i22, -1), null));
        }
        checkableImageButton.setContentDescription(getResources().getText(R$string.error_icon_content_description));
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        checkableImageButton.setImportantForAccessibility(i3);
        checkableImageButton.setClickable(false);
        checkableImageButton.setPressable(false);
        checkableImageButton.setFocusable(false);
        int m3 = e2.m(i9, 0);
        boolean a4 = e2.a(R$styleable.TextInputLayout_helperTextEnabled, false);
        CharSequence o3 = e2.o(R$styleable.TextInputLayout_helperText);
        int m4 = e2.m(R$styleable.TextInputLayout_placeholderTextAppearance, 0);
        CharSequence o4 = e2.o(R$styleable.TextInputLayout_placeholderText);
        int m5 = e2.m(R$styleable.TextInputLayout_prefixTextAppearance, 0);
        CharSequence o5 = e2.o(R$styleable.TextInputLayout_prefixText);
        int m6 = e2.m(R$styleable.TextInputLayout_suffixTextAppearance, 0);
        CharSequence o6 = e2.o(R$styleable.TextInputLayout_suffixText);
        boolean a5 = e2.a(R$styleable.TextInputLayout_counterEnabled, false);
        setCounterMaxLength(e2.j(R$styleable.TextInputLayout_counterMaxLength, -1));
        this.w = e2.m(i6, 0);
        this.v = e2.m(i7, 0);
        CheckableImageButton checkableImageButton2 = (CheckableImageButton) LayoutInflater.from(getContext()).inflate(R$layout.design_text_input_start_icon, (ViewGroup) this.f5077j, false);
        this.e0 = checkableImageButton2;
        checkableImageButton2.setVisibility(8);
        if (b.o.a.n.g1(context2)) {
            ((ViewGroup.MarginLayoutParams) checkableImageButton2.getLayoutParams()).setMarginEnd(0);
        }
        setStartIconOnClickListener(null);
        setStartIconOnLongClickListener(null);
        int i23 = R$styleable.TextInputLayout_startIconDrawable;
        if (e2.p(i23)) {
            setStartIconDrawable(e2.g(i23));
            int i24 = R$styleable.TextInputLayout_startIconContentDescription;
            if (e2.p(i24)) {
                setStartIconContentDescription(e2.o(i24));
            }
            setStartIconCheckable(e2.a(R$styleable.TextInputLayout_startIconCheckable, true));
        }
        int i25 = R$styleable.TextInputLayout_startIconTint;
        if (e2.p(i25)) {
            setStartIconTintList(b.o.a.n.t0(context2, e2, i25));
        }
        int i26 = R$styleable.TextInputLayout_startIconTintMode;
        if (e2.p(i26)) {
            setStartIconTintMode(b.o.a.n.Z1(e2.j(i26, -1), null));
        }
        setBoxBackgroundMode(e2.j(R$styleable.TextInputLayout_boxBackgroundMode, 0));
        this.p0 = (CheckableImageButton) LayoutInflater.from(getContext()).inflate(i19, (ViewGroup) this.f5079l, false);
        this.f5079l.addView(this.p0);
        this.p0.setVisibility(8);
        if (b.o.a.n.g1(context2)) {
            i4 = 0;
            ((ViewGroup.MarginLayoutParams) this.p0.getLayoutParams()).setMarginStart(0);
        } else {
            i4 = 0;
        }
        this.o0.append(-1, new d.h.a.b.a0.f(this));
        this.o0.append(i4, new d.h.a.b.a0.o(this));
        this.o0.append(1, new p(this));
        this.o0.append(2, new d.h.a.b.a0.a(this));
        this.o0.append(3, new h(this));
        int i27 = R$styleable.TextInputLayout_endIconMode;
        if (e2.p(i27)) {
            setEndIconMode(e2.j(i27, 0));
            int i28 = R$styleable.TextInputLayout_endIconDrawable;
            if (e2.p(i28)) {
                setEndIconDrawable(e2.g(i28));
            }
            int i29 = R$styleable.TextInputLayout_endIconContentDescription;
            if (e2.p(i29)) {
                setEndIconContentDescription(e2.o(i29));
            }
            setEndIconCheckable(e2.a(R$styleable.TextInputLayout_endIconCheckable, true));
        } else {
            int i30 = R$styleable.TextInputLayout_passwordToggleEnabled;
            if (e2.p(i30)) {
                setEndIconMode(e2.a(i30, false) ? 1 : 0);
                setEndIconDrawable(e2.g(R$styleable.TextInputLayout_passwordToggleDrawable));
                setEndIconContentDescription(e2.o(R$styleable.TextInputLayout_passwordToggleContentDescription));
                int i31 = R$styleable.TextInputLayout_passwordToggleTint;
                if (e2.p(i31)) {
                    setEndIconTintList(b.o.a.n.t0(context2, e2, i31));
                }
                int i32 = R$styleable.TextInputLayout_passwordToggleTintMode;
                if (e2.p(i32)) {
                    setEndIconTintMode(b.o.a.n.Z1(e2.j(i32, -1), null));
                }
            }
        }
        if (!e2.p(R$styleable.TextInputLayout_passwordToggleEnabled)) {
            int i33 = R$styleable.TextInputLayout_endIconTint;
            if (e2.p(i33)) {
                setEndIconTintList(b.o.a.n.t0(context2, e2, i33));
            }
            int i34 = R$styleable.TextInputLayout_endIconTintMode;
            if (e2.p(i34)) {
                setEndIconTintMode(b.o.a.n.Z1(e2.j(i34, -1), null));
            }
        }
        AppCompatTextView appCompatTextView = new AppCompatTextView(context2);
        this.F = appCompatTextView;
        appCompatTextView.setId(R$id.textinput_prefix_text);
        appCompatTextView.setLayoutParams(new FrameLayout.LayoutParams(-2, -2));
        appCompatTextView.setAccessibilityLiveRegion(1);
        this.f5077j.addView(this.e0);
        this.f5077j.addView(appCompatTextView);
        AppCompatTextView appCompatTextView2 = new AppCompatTextView(context2);
        this.H = appCompatTextView2;
        appCompatTextView2.setId(R$id.textinput_suffix_text);
        appCompatTextView2.setLayoutParams(new FrameLayout.LayoutParams(-2, -2, 80));
        appCompatTextView2.setAccessibilityLiveRegion(1);
        this.f5078k.addView(appCompatTextView2);
        this.f5078k.addView(this.A0);
        this.f5078k.addView(this.f5079l);
        setHelperTextEnabled(a4);
        setHelperText(o3);
        setHelperTextTextAppearance(m3);
        setErrorEnabled(a3);
        setErrorTextAppearance(m2);
        setErrorContentDescription(o2);
        setCounterTextAppearance(this.w);
        setCounterOverflowTextAppearance(this.v);
        setPlaceholderText(o4);
        setPlaceholderTextAppearance(m4);
        setPrefixText(o5);
        setPrefixTextAppearance(m5);
        setSuffixText(o6);
        setSuffixTextAppearance(m6);
        int i35 = R$styleable.TextInputLayout_errorTextColor;
        if (e2.p(i35)) {
            setErrorTextColor(e2.c(i35));
        }
        int i36 = R$styleable.TextInputLayout_helperTextTextColor;
        if (e2.p(i36)) {
            setHelperTextColor(e2.c(i36));
        }
        int i37 = R$styleable.TextInputLayout_hintTextColor;
        if (e2.p(i37)) {
            setHintTextColor(e2.c(i37));
        }
        int i38 = R$styleable.TextInputLayout_counterTextColor;
        if (e2.p(i38)) {
            setCounterTextColor(e2.c(i38));
        }
        int i39 = R$styleable.TextInputLayout_counterOverflowTextColor;
        if (e2.p(i39)) {
            setCounterOverflowTextColor(e2.c(i39));
        }
        int i40 = R$styleable.TextInputLayout_placeholderTextColor;
        if (e2.p(i40)) {
            setPlaceholderTextColor(e2.c(i40));
        }
        int i41 = R$styleable.TextInputLayout_prefixTextColor;
        if (e2.p(i41)) {
            setPrefixTextColor(e2.c(i41));
        }
        int i42 = R$styleable.TextInputLayout_suffixTextColor;
        if (e2.p(i42)) {
            setSuffixTextColor(e2.c(i42));
        }
        setCounterEnabled(a5);
        setEnabled(e2.a(R$styleable.TextInputLayout_android_enabled, true));
        e2.f2453b.recycle();
        setImportantForAccessibility(2);
        int i43 = Build.VERSION.SDK_INT;
        if (i43 >= 26 && i43 >= 26) {
            setImportantForAutofill(1);
        }
    }

    public void setErrorIconDrawable(Drawable drawable) {
        this.A0.setImageDrawable(drawable);
        setErrorIconVisible(drawable != null && this.q.f10227k);
    }

    @Deprecated
    public void setPasswordVisibilityToggleContentDescription(CharSequence charSequence) {
        this.p0.setContentDescription(charSequence);
    }

    @Deprecated
    public void setPasswordVisibilityToggleDrawable(Drawable drawable) {
        this.p0.setImageDrawable(drawable);
    }

    public void setHint(int i2) {
        setHint(i2 != 0 ? getResources().getText(i2) : null);
    }
}
