package com.google.android.material.timepicker;

import android.content.Context;
import android.content.res.Configuration;
import android.os.Build;
import android.text.Editable;
import android.text.InputFilter;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Checkable;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.TextView;
import com.google.android.material.R$id;
import com.google.android.material.R$layout;
import com.google.android.material.chip.Chip;
import com.google.android.material.textfield.TextInputLayout;
import d.h.a.b.p.e;
import java.util.Arrays;

public class ChipTextInputComboView extends FrameLayout implements Checkable {

    /* renamed from: d  reason: collision with root package name */
    public final Chip f5085d;

    /* renamed from: h  reason: collision with root package name */
    public final TextInputLayout f5086h;

    /* renamed from: j  reason: collision with root package name */
    public final EditText f5087j;

    /* renamed from: k  reason: collision with root package name */
    public TextWatcher f5088k;

    public class b extends e {
        public b(a aVar) {
        }

        @Override // d.h.a.b.p.e
        public void afterTextChanged(Editable editable) {
            if (TextUtils.isEmpty(editable)) {
                ChipTextInputComboView chipTextInputComboView = ChipTextInputComboView.this;
                chipTextInputComboView.f5085d.setText(TimeModel.formatText(chipTextInputComboView.getResources(), "00"));
                return;
            }
            ChipTextInputComboView chipTextInputComboView2 = ChipTextInputComboView.this;
            chipTextInputComboView2.f5085d.setText(TimeModel.formatText(chipTextInputComboView2.getResources(), editable));
        }
    }

    public ChipTextInputComboView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public void a(InputFilter inputFilter) {
        InputFilter[] filters = this.f5087j.getFilters();
        InputFilter[] inputFilterArr = (InputFilter[]) Arrays.copyOf(filters, filters.length + 1);
        inputFilterArr[filters.length] = inputFilter;
        this.f5087j.setFilters(inputFilterArr);
    }

    public void b(CharSequence charSequence) {
        this.f5085d.setText(TimeModel.formatText(getResources(), charSequence));
        if (!TextUtils.isEmpty(this.f5087j.getText())) {
            this.f5087j.removeTextChangedListener(this.f5088k);
            this.f5087j.setText((CharSequence) null);
            this.f5087j.addTextChangedListener(this.f5088k);
        }
    }

    public final void c() {
        if (Build.VERSION.SDK_INT >= 24) {
            this.f5087j.setImeHintLocales(getContext().getResources().getConfiguration().getLocales());
        }
    }

    public boolean isChecked() {
        return this.f5085d.isChecked();
    }

    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        c();
    }

    public void setChecked(boolean z) {
        this.f5085d.setChecked(z);
        int i2 = 0;
        this.f5087j.setVisibility(z ? 0 : 4);
        Chip chip = this.f5085d;
        if (z) {
            i2 = 8;
        }
        chip.setVisibility(i2);
        if (isChecked()) {
            this.f5087j.requestFocus();
            if (!TextUtils.isEmpty(this.f5087j.getText())) {
                EditText editText = this.f5087j;
                editText.setSelection(editText.getText().length());
            }
        }
    }

    public void setOnClickListener(View.OnClickListener onClickListener) {
        this.f5085d.setOnClickListener(onClickListener);
    }

    public void setTag(int i2, Object obj) {
        this.f5085d.setTag(i2, obj);
    }

    public void toggle() {
        this.f5085d.toggle();
    }

    public ChipTextInputComboView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        LayoutInflater from = LayoutInflater.from(context);
        Chip chip = (Chip) from.inflate(R$layout.material_time_chip, (ViewGroup) this, false);
        this.f5085d = chip;
        TextInputLayout textInputLayout = (TextInputLayout) from.inflate(R$layout.material_time_input, (ViewGroup) this, false);
        this.f5086h = textInputLayout;
        EditText editText = textInputLayout.getEditText();
        this.f5087j = editText;
        editText.setVisibility(4);
        b bVar = new b(null);
        this.f5088k = bVar;
        editText.addTextChangedListener(bVar);
        c();
        addView(chip);
        addView(textInputLayout);
        TextView textView = (TextView) findViewById(R$id.material_label);
        editText.setSaveEnabled(false);
    }
}
