package com.google.android.material.timepicker;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.RadialGradient;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Shader;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.util.SparseArray;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.TextView;
import androidx.core.view.ViewCompat;
import b.j.h.p.b;
import b.o.a.n;
import com.google.android.material.R$attr;
import com.google.android.material.R$color;
import com.google.android.material.R$dimen;
import com.google.android.material.R$id;
import com.google.android.material.R$layout;
import com.google.android.material.R$style;
import com.google.android.material.R$styleable;
import com.google.android.material.timepicker.ClockHandView;
import java.util.Arrays;

public class ClockFaceView extends RadialViewGroup implements ClockHandView.d {

    /* renamed from: k  reason: collision with root package name */
    public final ClockHandView f5090k;

    /* renamed from: l  reason: collision with root package name */
    public final Rect f5091l;
    public final RectF m;
    public final SparseArray<TextView> n;
    public final b.j.h.a o;
    public final int[] p;
    public final float[] q;
    public final int r;
    public final int s;
    public final int t;
    public final int u;
    public String[] v;
    public float w;
    public final ColorStateList x;

    public class a implements ViewTreeObserver.OnPreDrawListener {
        public a() {
        }

        public boolean onPreDraw() {
            if (!ClockFaceView.this.isShown()) {
                return true;
            }
            ClockFaceView.this.getViewTreeObserver().removeOnPreDrawListener(this);
            ClockFaceView clockFaceView = ClockFaceView.this;
            int height = ((ClockFaceView.this.getHeight() / 2) - clockFaceView.f5090k.p) - clockFaceView.r;
            if (height != clockFaceView.f5110h) {
                clockFaceView.f5110h = height;
                clockFaceView.a();
                ClockHandView clockHandView = clockFaceView.f5090k;
                clockHandView.y = clockFaceView.f5110h;
                clockHandView.invalidate();
            }
            return true;
        }
    }

    public class b extends b.j.h.a {
        public b() {
        }

        @Override // b.j.h.a
        public void d(View view, b.j.h.p.b bVar) {
            this.f3391b.onInitializeAccessibilityNodeInfo(view, bVar.f3453b);
            int intValue = ((Integer) view.getTag(R$id.material_value_index)).intValue();
            if (intValue > 0) {
                bVar.f3453b.setTraversalAfter(ClockFaceView.this.n.get(intValue - 1));
            }
            bVar.t(b.c.a(0, 1, intValue, 1, false, view.isSelected()));
        }
    }

    public ClockFaceView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R$attr.materialClockStyle);
    }

    @Override // com.google.android.material.timepicker.ClockHandView.d
    public void b(float f2, boolean z) {
        if (Math.abs(this.w - f2) > 0.001f) {
            this.w = f2;
            c();
        }
    }

    public final void c() {
        RadialGradient radialGradient;
        RectF rectF = this.f5090k.s;
        for (int i2 = 0; i2 < this.n.size(); i2++) {
            TextView textView = this.n.get(i2);
            if (textView != null) {
                textView.getDrawingRect(this.f5091l);
                this.f5091l.offset(textView.getPaddingLeft(), textView.getPaddingTop());
                offsetDescendantRectToMyCoords(textView, this.f5091l);
                this.m.set(this.f5091l);
                if (!RectF.intersects(rectF, this.m)) {
                    radialGradient = null;
                } else {
                    radialGradient = new RadialGradient(rectF.centerX() - this.m.left, rectF.centerY() - this.m.top, 0.5f * rectF.width(), this.p, this.q, Shader.TileMode.CLAMP);
                }
                textView.getPaint().setShader(radialGradient);
                textView.invalidate();
            }
        }
    }

    public void d(String[] strArr, int i2) {
        this.v = strArr;
        LayoutInflater from = LayoutInflater.from(getContext());
        int size = this.n.size();
        for (int i3 = 0; i3 < Math.max(this.v.length, size); i3++) {
            TextView textView = this.n.get(i3);
            if (i3 >= this.v.length) {
                removeView(textView);
                this.n.remove(i3);
            } else {
                if (textView == null) {
                    textView = (TextView) from.inflate(R$layout.material_clockface_textview, (ViewGroup) this, false);
                    this.n.put(i3, textView);
                    addView(textView);
                }
                textView.setVisibility(0);
                textView.setText(this.v[i3]);
                textView.setTag(R$id.material_value_index, Integer.valueOf(i3));
                ViewCompat.u(textView, this.o);
                textView.setTextColor(this.x);
                if (i2 != 0) {
                    textView.setContentDescription(getResources().getString(i2, this.v[i3]));
                }
            }
        }
    }

    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        accessibilityNodeInfo.setCollectionInfo((AccessibilityNodeInfo.CollectionInfo) b.C0023b.a(1, this.v.length, false, 1).f3468a);
    }

    @Override // androidx.constraintlayout.widget.ConstraintLayout
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        super.onLayout(z, i2, i3, i4, i5);
        c();
    }

    @Override // androidx.constraintlayout.widget.ConstraintLayout
    public void onMeasure(int i2, int i3) {
        DisplayMetrics displayMetrics = getResources().getDisplayMetrics();
        int max = (int) (((float) this.u) / Math.max(Math.max(((float) this.s) / ((float) displayMetrics.heightPixels), ((float) this.t) / ((float) displayMetrics.widthPixels)), 1.0f));
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(max, 1073741824);
        setMeasuredDimension(max, max);
        super.onMeasure(makeMeasureSpec, makeMeasureSpec);
    }

    @SuppressLint({"ClickableViewAccessibility"})
    public ClockFaceView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f5091l = new Rect();
        this.m = new RectF();
        this.n = new SparseArray<>();
        this.q = new float[]{0.0f, 0.9f, 1.0f};
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.ClockFaceView, i2, R$style.Widget_MaterialComponents_TimePicker_Clock);
        Resources resources = getResources();
        ColorStateList s0 = n.s0(context, obtainStyledAttributes, R$styleable.ClockFaceView_clockNumberTextColor);
        this.x = s0;
        LayoutInflater.from(context).inflate(R$layout.material_clockface_view, (ViewGroup) this, true);
        ClockHandView clockHandView = (ClockHandView) findViewById(R$id.material_clock_hand);
        this.f5090k = clockHandView;
        this.r = resources.getDimensionPixelSize(R$dimen.material_clock_hand_padding);
        int colorForState = s0.getColorForState(new int[]{16842913}, s0.getDefaultColor());
        this.p = new int[]{colorForState, colorForState, s0.getDefaultColor()};
        clockHandView.o.add(this);
        int defaultColor = b.b.b.a.a.a(context, R$color.material_timepicker_clockface).getDefaultColor();
        ColorStateList s02 = n.s0(context, obtainStyledAttributes, R$styleable.ClockFaceView_clockFaceBackgroundColor);
        setBackgroundColor(s02 != null ? s02.getDefaultColor() : defaultColor);
        getViewTreeObserver().addOnPreDrawListener(new a());
        setFocusable(true);
        obtainStyledAttributes.recycle();
        this.o = new b();
        String[] strArr = new String[12];
        Arrays.fill(strArr, "");
        d(strArr, 0);
        this.s = resources.getDimensionPixelSize(R$dimen.material_time_picker_minimum_screen_height);
        this.t = resources.getDimensionPixelSize(R$dimen.material_time_picker_minimum_screen_width);
        this.u = resources.getDimensionPixelSize(R$dimen.material_clock_size);
    }
}
