package com.google.android.material.timepicker;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ValueAnimator;
import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.util.Pair;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.accessibility.AccessibilityManager;
import androidx.core.view.ViewCompat;
import com.google.android.material.R$attr;
import com.google.android.material.R$dimen;
import com.google.android.material.R$style;
import com.google.android.material.R$styleable;
import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.atomic.AtomicInteger;

public class ClockHandView extends View {

    /* renamed from: d  reason: collision with root package name */
    public static final /* synthetic */ int f5094d = 0;

    /* renamed from: h  reason: collision with root package name */
    public ValueAnimator f5095h;

    /* renamed from: j  reason: collision with root package name */
    public boolean f5096j;

    /* renamed from: k  reason: collision with root package name */
    public float f5097k;

    /* renamed from: l  reason: collision with root package name */
    public float f5098l;
    public boolean m;
    public int n;
    public final List<d> o;
    public final int p;
    public final float q;
    public final Paint r;
    public final RectF s;
    public final int t;
    public float u;
    public boolean v;
    public c w;
    public double x;
    public int y;

    public class a implements ValueAnimator.AnimatorUpdateListener {
        public a() {
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            float floatValue = ((Float) valueAnimator.getAnimatedValue()).floatValue();
            ClockHandView clockHandView = ClockHandView.this;
            int i2 = ClockHandView.f5094d;
            clockHandView.c(floatValue, true);
        }
    }

    public class b extends AnimatorListenerAdapter {
        public b(ClockHandView clockHandView) {
        }

        public void onAnimationCancel(Animator animator) {
            animator.end();
        }
    }

    public interface c {
    }

    public interface d {
        void b(float f2, boolean z);
    }

    public ClockHandView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R$attr.materialClockStyle);
    }

    public final int a(float f2, float f3) {
        int degrees = ((int) Math.toDegrees(Math.atan2((double) (f3 - ((float) (getHeight() / 2))), (double) (f2 - ((float) (getWidth() / 2)))))) + 90;
        return degrees < 0 ? degrees + 360 : degrees;
    }

    public void b(float f2, boolean z) {
        ValueAnimator valueAnimator = this.f5095h;
        if (valueAnimator != null) {
            valueAnimator.cancel();
        }
        if (!z) {
            c(f2, false);
            return;
        }
        float f3 = this.u;
        if (Math.abs(f3 - f2) > 180.0f) {
            if (f3 > 180.0f && f2 < 180.0f) {
                f2 += 360.0f;
            }
            if (f3 < 180.0f && f2 > 180.0f) {
                f3 += 360.0f;
            }
        }
        Pair pair = new Pair(Float.valueOf(f3), Float.valueOf(f2));
        ValueAnimator ofFloat = ValueAnimator.ofFloat(((Float) pair.first).floatValue(), ((Float) pair.second).floatValue());
        this.f5095h = ofFloat;
        ofFloat.setDuration(200L);
        this.f5095h.addUpdateListener(new a());
        this.f5095h.addListener(new b(this));
        this.f5095h.start();
    }

    public final void c(float f2, boolean z) {
        float f3 = f2 % 360.0f;
        this.u = f3;
        this.x = Math.toRadians((double) (f3 - 90.0f));
        float cos = (((float) this.y) * ((float) Math.cos(this.x))) + ((float) (getWidth() / 2));
        float sin = (((float) this.y) * ((float) Math.sin(this.x))) + ((float) (getHeight() / 2));
        RectF rectF = this.s;
        int i2 = this.p;
        rectF.set(cos - ((float) i2), sin - ((float) i2), cos + ((float) i2), sin + ((float) i2));
        for (d dVar : this.o) {
            dVar.b(f3, z);
        }
        invalidate();
    }

    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        int height = getHeight() / 2;
        int width = getWidth() / 2;
        float f2 = (float) width;
        float f3 = (float) height;
        this.r.setStrokeWidth(0.0f);
        canvas.drawCircle((((float) this.y) * ((float) Math.cos(this.x))) + f2, (((float) this.y) * ((float) Math.sin(this.x))) + f3, (float) this.p, this.r);
        double sin = Math.sin(this.x);
        double cos = Math.cos(this.x);
        double d2 = (double) ((float) (this.y - this.p));
        this.r.setStrokeWidth((float) this.t);
        canvas.drawLine(f2, f3, (float) (width + ((int) (cos * d2))), (float) (height + ((int) (d2 * sin))), this.r);
        canvas.drawCircle(f2, f3, this.q, this.r);
    }

    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        super.onLayout(z, i2, i3, i4, i5);
        b(this.u, false);
    }

    /* JADX WARNING: Removed duplicated region for block: B:39:0x0090  */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x00b3  */
    @SuppressLint({"ClickableViewAccessibility"})
    public boolean onTouchEvent(MotionEvent motionEvent) {
        boolean z;
        boolean z2;
        boolean z3;
        boolean z4;
        c cVar;
        d.h.a.b.c0.c cVar2;
        TimeModel timeModel;
        int actionMasked = motionEvent.getActionMasked();
        float x2 = motionEvent.getX();
        float y2 = motionEvent.getY();
        if (actionMasked != 0) {
            if (actionMasked == 1 || actionMasked == 2) {
                int i2 = (int) (x2 - this.f5097k);
                int i3 = (int) (y2 - this.f5098l);
                this.m = (i3 * i3) + (i2 * i2) > this.n;
                z2 = this.v;
                z3 = actionMasked == 1;
            } else {
                z3 = false;
                z2 = false;
            }
            z = false;
        } else {
            this.f5097k = x2;
            this.f5098l = y2;
            this.m = true;
            this.v = false;
            z3 = false;
            z2 = false;
            z = true;
        }
        boolean z5 = this.v;
        float a2 = (float) a(x2, y2);
        boolean z6 = this.u != a2;
        if (!z || !z6) {
            if (z6 || z2) {
                b(a2, z3 && this.f5096j);
            } else {
                z4 = false;
                boolean z7 = z4 | z5;
                this.v = z7;
                if (z7 && z3 && (cVar = this.w) != null) {
                    float a3 = (float) a(x2, y2);
                    boolean z8 = this.m;
                    cVar2 = (d.h.a.b.c0.c) cVar;
                    cVar2.o = true;
                    timeModel = cVar2.f10285l;
                    int i4 = timeModel.minute;
                    int i5 = timeModel.hour;
                    if (timeModel.selection != 10) {
                        cVar2.f10284k.f5115j.b(cVar2.n, false);
                        if (!((AccessibilityManager) b.j.b.a.d(cVar2.f10284k.getContext(), AccessibilityManager.class)).isTouchExplorationEnabled()) {
                            cVar2.e(12, true);
                        }
                    } else {
                        int round = Math.round(a3);
                        if (!z8) {
                            cVar2.f10285l.setMinute(((round + 15) / 30) * 5);
                            cVar2.m = (float) (cVar2.f10285l.minute * 6);
                        }
                        cVar2.f10284k.f5115j.b(cVar2.m, z8);
                    }
                    cVar2.o = false;
                    cVar2.f();
                    TimeModel timeModel2 = cVar2.f10285l;
                    if (!(timeModel2.minute == i4 && timeModel2.hour == i5)) {
                        cVar2.f10284k.performHapticFeedback(4);
                    }
                }
                return true;
            }
        }
        z4 = true;
        boolean z72 = z4 | z5;
        this.v = z72;
        float a32 = (float) a(x2, y2);
        boolean z82 = this.m;
        cVar2 = (d.h.a.b.c0.c) cVar;
        cVar2.o = true;
        timeModel = cVar2.f10285l;
        int i42 = timeModel.minute;
        int i52 = timeModel.hour;
        if (timeModel.selection != 10) {
        }
        cVar2.o = false;
        cVar2.f();
        TimeModel timeModel22 = cVar2.f10285l;
        cVar2.f10284k.performHapticFeedback(4);
        return true;
    }

    public ClockHandView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.o = new ArrayList();
        Paint paint = new Paint();
        this.r = paint;
        this.s = new RectF();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.ClockHandView, i2, R$style.Widget_MaterialComponents_TimePicker_Clock);
        this.y = obtainStyledAttributes.getDimensionPixelSize(R$styleable.ClockHandView_materialCircleRadius, 0);
        this.p = obtainStyledAttributes.getDimensionPixelSize(R$styleable.ClockHandView_selectorSize, 0);
        Resources resources = getResources();
        this.t = resources.getDimensionPixelSize(R$dimen.material_clock_hand_stroke_width);
        this.q = (float) resources.getDimensionPixelSize(R$dimen.material_clock_hand_center_dot_radius);
        int color = obtainStyledAttributes.getColor(R$styleable.ClockHandView_clockHandColor, 0);
        paint.setAntiAlias(true);
        paint.setColor(color);
        b(0.0f, false);
        this.n = ViewConfiguration.get(context).getScaledTouchSlop();
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        setImportantForAccessibility(2);
        obtainStyledAttributes.recycle();
    }
}
