package com.google.android.material.timepicker;

import android.app.Dialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.Pair;
import android.util.TypedValue;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewStub;
import android.view.Window;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.fragment.app.DialogFragment;
import b.o.a.n;
import com.google.android.material.R$attr;
import com.google.android.material.R$id;
import com.google.android.material.R$layout;
import com.google.android.material.R$string;
import com.google.android.material.R$style;
import com.google.android.material.R$styleable;
import com.google.android.material.button.MaterialButton;
import com.google.android.material.shape.MaterialShapeDrawable;
import com.google.android.material.timepicker.TimePickerView;
import d.h.a.b.c0.f;
import java.util.LinkedHashSet;
import java.util.Set;

public final class MaterialTimePicker extends DialogFragment {

    /* renamed from: d  reason: collision with root package name */
    public final Set<View.OnClickListener> f5100d = new LinkedHashSet();

    /* renamed from: h  reason: collision with root package name */
    public final Set<View.OnClickListener> f5101h = new LinkedHashSet();

    /* renamed from: j  reason: collision with root package name */
    public final Set<DialogInterface.OnCancelListener> f5102j = new LinkedHashSet();

    /* renamed from: k  reason: collision with root package name */
    public final Set<DialogInterface.OnDismissListener> f5103k = new LinkedHashSet();

    /* renamed from: l  reason: collision with root package name */
    public TimePickerView f5104l;
    public ViewStub m;
    public d.h.a.b.c0.c n;
    public f o;
    public d.h.a.b.c0.d p;
    public int q;
    public int r;
    public int s = 0;
    public String t;
    public MaterialButton u;
    public int v = 0;
    public TimeModel w;
    public int x = 0;

    public class a implements TimePickerView.c {
        public a() {
        }
    }

    public class b implements View.OnClickListener {
        public b() {
        }

        public void onClick(View view) {
            for (View.OnClickListener onClickListener : MaterialTimePicker.this.f5100d) {
                onClickListener.onClick(view);
            }
            MaterialTimePicker.this.dismiss();
        }
    }

    public class c implements View.OnClickListener {
        public c() {
        }

        public void onClick(View view) {
            for (View.OnClickListener onClickListener : MaterialTimePicker.this.f5101h) {
                onClickListener.onClick(view);
            }
            MaterialTimePicker.this.dismiss();
        }
    }

    public class d implements View.OnClickListener {
        public d() {
        }

        public void onClick(View view) {
            MaterialTimePicker materialTimePicker = MaterialTimePicker.this;
            materialTimePicker.v = materialTimePicker.v == 0 ? 1 : 0;
            materialTimePicker.l(materialTimePicker.u);
        }
    }

    public final void l(MaterialButton materialButton) {
        d.h.a.b.c0.c cVar;
        Pair pair;
        d.h.a.b.c0.d dVar = this.p;
        if (dVar != null) {
            dVar.hide();
        }
        if (this.v == 0) {
            d.h.a.b.c0.c cVar2 = this.n;
            d.h.a.b.c0.c cVar3 = cVar2;
            if (cVar2 == null) {
                cVar3 = new d.h.a.b.c0.c(this.f5104l, this.w);
            }
            this.n = cVar3;
            cVar = cVar3;
        } else {
            if (this.o == null) {
                this.o = new f((LinearLayout) this.m.inflate(), this.w);
            }
            f fVar = this.o;
            fVar.f10294l.setChecked(false);
            fVar.m.setChecked(false);
            cVar = this.o;
        }
        this.p = cVar;
        cVar.show();
        this.p.a();
        int i2 = this.v;
        if (i2 == 0) {
            pair = new Pair(Integer.valueOf(this.q), Integer.valueOf(R$string.material_timepicker_text_input_mode_description));
        } else if (i2 == 1) {
            pair = new Pair(Integer.valueOf(this.r), Integer.valueOf(R$string.material_timepicker_clock_mode_description));
        } else {
            throw new IllegalArgumentException(d.a.a.a.a.k("no icon for mode: ", i2));
        }
        materialButton.setIconResource(((Integer) pair.first).intValue());
        materialButton.setContentDescription(getResources().getString(((Integer) pair.second).intValue()));
    }

    @Override // androidx.fragment.app.DialogFragment
    public final void onCancel(DialogInterface dialogInterface) {
        for (DialogInterface.OnCancelListener onCancelListener : this.f5102j) {
            onCancelListener.onCancel(dialogInterface);
        }
        super.onCancel(dialogInterface);
    }

    @Override // androidx.fragment.app.Fragment, androidx.fragment.app.DialogFragment
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        if (bundle == null) {
            bundle = getArguments();
        }
        if (bundle != null) {
            TimeModel timeModel = (TimeModel) bundle.getParcelable("TIME_PICKER_TIME_MODEL");
            this.w = timeModel;
            if (timeModel == null) {
                this.w = new TimeModel();
            }
            this.v = bundle.getInt("TIME_PICKER_INPUT_MODE", 0);
            this.s = bundle.getInt("TIME_PICKER_TITLE_RES", 0);
            this.t = bundle.getString("TIME_PICKER_TITLE_TEXT");
            this.x = bundle.getInt("TIME_PICKER_OVERRIDE_THEME_RES_ID", 0);
        }
    }

    @Override // androidx.fragment.app.DialogFragment
    public final Dialog onCreateDialog(Bundle bundle) {
        Context requireContext = requireContext();
        int i2 = this.x;
        if (i2 == 0) {
            TypedValue f2 = n.f2(requireContext(), R$attr.materialTimePickerTheme);
            if (f2 == null) {
                i2 = 0;
            } else {
                i2 = f2.data;
            }
        }
        Dialog dialog = new Dialog(requireContext, i2);
        Context context = dialog.getContext();
        int i22 = n.i2(context, R$attr.colorSurface, MaterialTimePicker.class.getCanonicalName());
        int i3 = R$attr.materialTimePickerStyle;
        int i4 = R$style.Widget_MaterialComponents_TimePicker;
        MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable(context, null, i3, i4);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(null, R$styleable.MaterialTimePicker, i3, i4);
        this.r = obtainStyledAttributes.getResourceId(R$styleable.MaterialTimePicker_clockIcon, 0);
        this.q = obtainStyledAttributes.getResourceId(R$styleable.MaterialTimePicker_keyboardIcon, 0);
        obtainStyledAttributes.recycle();
        materialShapeDrawable.f4976j.f4981b = new d.h.a.b.m.a(context);
        materialShapeDrawable.C();
        materialShapeDrawable.q(ColorStateList.valueOf(i22));
        Window window = dialog.getWindow();
        window.setBackgroundDrawable(materialShapeDrawable);
        window.requestFeature(1);
        window.setLayout(-2, -2);
        return dialog;
    }

    @Override // androidx.fragment.app.Fragment
    public final View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        ViewGroup viewGroup2 = (ViewGroup) layoutInflater.inflate(R$layout.material_timepicker_dialog, viewGroup);
        TimePickerView timePickerView = (TimePickerView) viewGroup2.findViewById(R$id.material_timepicker_view);
        this.f5104l = timePickerView;
        timePickerView.p = new a();
        this.m = (ViewStub) viewGroup2.findViewById(R$id.material_textinput_timepicker);
        this.u = (MaterialButton) viewGroup2.findViewById(R$id.material_timepicker_mode_button);
        TextView textView = (TextView) viewGroup2.findViewById(R$id.header_title);
        if (!TextUtils.isEmpty(this.t)) {
            textView.setText(this.t);
        }
        int i2 = this.s;
        if (i2 != 0) {
            textView.setText(i2);
        }
        l(this.u);
        ((Button) viewGroup2.findViewById(R$id.material_timepicker_ok_button)).setOnClickListener(new b());
        ((Button) viewGroup2.findViewById(R$id.material_timepicker_cancel_button)).setOnClickListener(new c());
        this.u.setOnClickListener(new d());
        return viewGroup2;
    }

    @Override // androidx.fragment.app.DialogFragment
    public final void onDismiss(DialogInterface dialogInterface) {
        for (DialogInterface.OnDismissListener onDismissListener : this.f5103k) {
            onDismissListener.onDismiss(dialogInterface);
        }
        super.onDismiss(dialogInterface);
    }

    @Override // androidx.fragment.app.Fragment, androidx.fragment.app.DialogFragment
    public void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        bundle.putParcelable("TIME_PICKER_TIME_MODEL", this.w);
        bundle.putInt("TIME_PICKER_INPUT_MODE", this.v);
        bundle.putInt("TIME_PICKER_TITLE_RES", this.s);
        bundle.putString("TIME_PICKER_TITLE_TEXT", this.t);
        bundle.putInt("TIME_PICKER_OVERRIDE_THEME_RES_ID", this.x);
    }

    @Override // androidx.fragment.app.Fragment, androidx.fragment.app.DialogFragment
    public void onStop() {
        super.onStop();
        this.p = null;
        this.n = null;
        this.o = null;
        this.f5104l = null;
    }
}
