package com.google.android.material.timepicker;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.os.Handler;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.core.view.ViewCompat;
import b.h.d.b;
import com.google.android.material.R$id;
import com.google.android.material.R$layout;
import com.google.android.material.R$styleable;
import com.google.android.material.shape.MaterialShapeDrawable;
import d.h.a.b.w.j;
import d.h.a.b.w.l;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;

public class RadialViewGroup extends ConstraintLayout {

    /* renamed from: d  reason: collision with root package name */
    public final Runnable f5109d;

    /* renamed from: h  reason: collision with root package name */
    public int f5110h;

    /* renamed from: j  reason: collision with root package name */
    public MaterialShapeDrawable f5111j;

    public class a implements Runnable {
        public a() {
        }

        public void run() {
            RadialViewGroup.this.a();
        }
    }

    public RadialViewGroup(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public void a() {
        int childCount = getChildCount();
        int i2 = 1;
        for (int i3 = 0; i3 < childCount; i3++) {
            if ("skip".equals(getChildAt(i3).getTag())) {
                i2++;
            }
        }
        b bVar = new b();
        bVar.e(this);
        float f2 = 0.0f;
        for (int i4 = 0; i4 < childCount; i4++) {
            View childAt = getChildAt(i4);
            int id = childAt.getId();
            int i5 = R$id.circle_center;
            if (id != i5 && !"skip".equals(childAt.getTag())) {
                int id2 = childAt.getId();
                int i6 = this.f5110h;
                b.C0018b bVar2 = bVar.i(id2).f3156e;
                bVar2.A = i5;
                bVar2.B = i6;
                bVar2.C = f2;
                f2 = (360.0f / ((float) (childCount - i2))) + f2;
            }
        }
        bVar.c(this, true);
        setConstraintSet(null);
        requestLayout();
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i2, ViewGroup.LayoutParams layoutParams) {
        super.addView(view, i2, layoutParams);
        if (view.getId() == -1) {
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            view.setId(View.generateViewId());
        }
        Handler handler = getHandler();
        if (handler != null) {
            handler.removeCallbacks(this.f5109d);
            handler.post(this.f5109d);
        }
    }

    public void onFinishInflate() {
        super.onFinishInflate();
        a();
    }

    @Override // androidx.constraintlayout.widget.ConstraintLayout
    public void onViewRemoved(View view) {
        super.onViewRemoved(view);
        Handler handler = getHandler();
        if (handler != null) {
            handler.removeCallbacks(this.f5109d);
            handler.post(this.f5109d);
        }
    }

    public void setBackgroundColor(int i2) {
        this.f5111j.q(ColorStateList.valueOf(i2));
    }

    public RadialViewGroup(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        LayoutInflater.from(context).inflate(R$layout.material_radial_view_group, this);
        MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable();
        this.f5111j = materialShapeDrawable;
        j jVar = new j(0.5f);
        l lVar = materialShapeDrawable.f4976j.f4980a;
        Objects.requireNonNull(lVar);
        l.b bVar = new l.b(lVar);
        bVar.f10692e = jVar;
        bVar.f10693f = jVar;
        bVar.f10694g = jVar;
        bVar.f10695h = jVar;
        materialShapeDrawable.f4976j.f4980a = bVar.a();
        materialShapeDrawable.invalidateSelf();
        this.f5111j.q(ColorStateList.valueOf(-1));
        MaterialShapeDrawable materialShapeDrawable2 = this.f5111j;
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        setBackground(materialShapeDrawable2);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.RadialViewGroup, i2, 0);
        this.f5110h = obtainStyledAttributes.getDimensionPixelSize(R$styleable.RadialViewGroup_materialCircleRadius, 0);
        this.f5109d = new a();
        obtainStyledAttributes.recycle();
    }
}
