package com.google.android.material.transformation;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.annotation.TargetApi;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.util.Pair;
import android.util.Property;
import android.view.View;
import android.view.ViewAnimationUtils;
import android.view.ViewGroup;
import android.widget.ImageView;
import androidx.constraintlayout.core.motion.utils.TypedValues;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.view.ViewCompat;
import b.o.a.n;
import com.google.android.material.R$id;
import com.google.android.material.floatingactionbutton.FloatingActionButton;
import com.shuyu.gsyvideoplayer.utils.NeuQuant;
import d.h.a.b.a.d;
import d.h.a.b.a.g;
import d.h.a.b.a.h;
import d.h.a.b.a.i;
import d.h.a.b.j.c;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;

@Deprecated
public abstract class FabTransformationBehavior extends ExpandableTransformationBehavior {

    /* renamed from: c  reason: collision with root package name */
    public final Rect f5128c;

    /* renamed from: d  reason: collision with root package name */
    public final RectF f5129d;

    /* renamed from: e  reason: collision with root package name */
    public final RectF f5130e;

    /* renamed from: f  reason: collision with root package name */
    public final int[] f5131f;

    /* renamed from: g  reason: collision with root package name */
    public float f5132g;

    /* renamed from: h  reason: collision with root package name */
    public float f5133h;

    public class a extends AnimatorListenerAdapter {

        /* renamed from: d  reason: collision with root package name */
        public final /* synthetic */ boolean f5134d;

        /* renamed from: h  reason: collision with root package name */
        public final /* synthetic */ View f5135h;

        /* renamed from: j  reason: collision with root package name */
        public final /* synthetic */ View f5136j;

        public a(FabTransformationBehavior fabTransformationBehavior, boolean z, View view, View view2) {
            this.f5134d = z;
            this.f5135h = view;
            this.f5136j = view2;
        }

        public void onAnimationEnd(Animator animator) {
            if (!this.f5134d) {
                this.f5135h.setVisibility(4);
                this.f5136j.setAlpha(1.0f);
                this.f5136j.setVisibility(0);
            }
        }

        public void onAnimationStart(Animator animator) {
            if (this.f5134d) {
                this.f5135h.setVisibility(0);
                this.f5136j.setAlpha(0.0f);
                this.f5136j.setVisibility(4);
            }
        }
    }

    public static class b {

        /* renamed from: a  reason: collision with root package name */
        public g f5137a;

        /* renamed from: b  reason: collision with root package name */
        public i f5138b;
    }

    public FabTransformationBehavior() {
        this.f5128c = new Rect();
        this.f5129d = new RectF();
        this.f5130e = new RectF();
        this.f5131f = new int[2];
    }

    @Override // com.google.android.material.transformation.ExpandableTransformationBehavior
    public AnimatorSet D(View view, View view2, boolean z, boolean z2) {
        b bVar;
        ArrayList arrayList;
        c cVar;
        ArrayList arrayList2;
        h hVar;
        Animator animator;
        ObjectAnimator objectAnimator;
        b N = N(view2.getContext(), z);
        if (z) {
            this.f5132g = view.getTranslationX();
            this.f5133h = view.getTranslationY();
        }
        ArrayList arrayList3 = new ArrayList();
        ArrayList arrayList4 = new ArrayList();
        L(view, view2, z, z2, N, arrayList3);
        RectF rectF = this.f5129d;
        M(view, view2, z, z2, N, arrayList3, rectF);
        float width = rectF.width();
        float height = rectF.height();
        float F = F(view, view2, N.f5138b);
        float G = G(view, view2, N.f5138b);
        Pair<h, h> E = E(F, G, z, N);
        h hVar2 = (h) E.first;
        h hVar3 = (h) E.second;
        Property property = View.TRANSLATION_X;
        float[] fArr = new float[1];
        if (!z) {
            F = this.f5132g;
        }
        fArr[0] = F;
        ObjectAnimator ofFloat = ObjectAnimator.ofFloat(view, property, fArr);
        Property property2 = View.TRANSLATION_Y;
        float[] fArr2 = new float[1];
        if (!z) {
            G = this.f5133h;
        }
        fArr2[0] = G;
        ObjectAnimator ofFloat2 = ObjectAnimator.ofFloat(view, property2, fArr2);
        hVar2.a(ofFloat);
        hVar3.a(ofFloat2);
        arrayList3.add(ofFloat);
        arrayList3.add(ofFloat2);
        boolean z3 = view2 instanceof c;
        if (z3 && (view instanceof ImageView)) {
            c cVar2 = (c) view2;
            Drawable drawable = ((ImageView) view).getDrawable();
            if (drawable != null) {
                drawable.mutate();
                if (z) {
                    if (!z2) {
                        drawable.setAlpha(NeuQuant.maxnetpos);
                    }
                    objectAnimator = ObjectAnimator.ofInt(drawable, d.f10160a, 0);
                } else {
                    objectAnimator = ObjectAnimator.ofInt(drawable, d.f10160a, 255);
                }
                objectAnimator.addUpdateListener(new d.h.a.b.d0.a(this, view2));
                N.f5137a.f("iconFade").a(objectAnimator);
                arrayList3.add(objectAnimator);
                arrayList4.add(new d.h.a.b.d0.b(this, cVar2, drawable));
            }
        }
        if (!z3) {
            bVar = N;
            arrayList = arrayList4;
        } else {
            c cVar3 = (c) view2;
            i iVar = N.f5138b;
            RectF rectF2 = this.f5129d;
            RectF rectF3 = this.f5130e;
            I(view, rectF2);
            rectF2.offset(this.f5132g, this.f5133h);
            I(view2, rectF3);
            rectF3.offset(-F(view, view2, iVar), 0.0f);
            float centerX = rectF2.centerX() - rectF3.left;
            i iVar2 = N.f5138b;
            RectF rectF4 = this.f5129d;
            RectF rectF5 = this.f5130e;
            I(view, rectF4);
            rectF4.offset(this.f5132g, this.f5133h);
            I(view2, rectF5);
            rectF5.offset(0.0f, -G(view, view2, iVar2));
            float centerY = rectF4.centerY() - rectF5.top;
            ((FloatingActionButton) view).g(this.f5128c);
            float width2 = ((float) this.f5128c.width()) / 2.0f;
            h f2 = N.f5137a.f("expansion");
            if (z) {
                if (!z2) {
                    cVar3.setRevealInfo(new c.e(centerX, centerY, width2));
                }
                if (z2) {
                    width2 = cVar3.getRevealInfo().f10408c;
                }
                animator = n.V(cVar3, centerX, centerY, n.c0(centerX, centerY, 0.0f, 0.0f, width, height));
                animator.addListener(new d.h.a.b.d0.c(this, cVar3));
                hVar = f2;
                long j2 = hVar.f10168a;
                int i2 = (int) centerX;
                int i3 = (int) centerY;
                if (j2 > 0) {
                    Animator createCircularReveal = ViewAnimationUtils.createCircularReveal(view2, i2, i3, width2, width2);
                    createCircularReveal.setStartDelay(0);
                    createCircularReveal.setDuration(j2);
                    arrayList3.add(createCircularReveal);
                }
                cVar = cVar3;
                arrayList2 = arrayList4;
                bVar = N;
            } else {
                h hVar4 = f2;
                float f3 = cVar3.getRevealInfo().f10408c;
                Animator V = n.V(cVar3, centerX, centerY, width2);
                long j3 = hVar4.f10168a;
                int i4 = (int) centerX;
                int i5 = (int) centerY;
                if (j3 > 0) {
                    Animator createCircularReveal2 = ViewAnimationUtils.createCircularReveal(view2, i4, i5, f3, f3);
                    createCircularReveal2.setStartDelay(0);
                    createCircularReveal2.setDuration(j3);
                    arrayList3.add(createCircularReveal2);
                }
                long j4 = hVar4.f10168a;
                long j5 = hVar4.f10169b;
                g gVar = N.f5137a;
                int size = gVar.f10166a.size();
                arrayList2 = arrayList4;
                bVar = N;
                int i6 = 0;
                long j6 = 0;
                while (i6 < size) {
                    h l2 = gVar.f10166a.l(i6);
                    j6 = Math.max(j6, l2.f10168a + l2.f10169b);
                    i6++;
                    size = size;
                    gVar = gVar;
                    cVar3 = cVar3;
                    hVar4 = hVar4;
                    i4 = i4;
                }
                cVar = cVar3;
                long j7 = j4 + j5;
                if (j7 < j6) {
                    Animator createCircularReveal3 = ViewAnimationUtils.createCircularReveal(view2, i4, i5, width2, width2);
                    createCircularReveal3.setStartDelay(j7);
                    createCircularReveal3.setDuration(j6 - j7);
                    arrayList3.add(createCircularReveal3);
                }
                animator = V;
                hVar = hVar4;
            }
            hVar.a(animator);
            arrayList3.add(animator);
            arrayList = arrayList2;
            arrayList.add(new d.h.a.b.j.a(cVar));
        }
        K(view, view2, z, z2, bVar, arrayList3);
        J(view2, z, z2, bVar, arrayList3);
        AnimatorSet animatorSet = new AnimatorSet();
        n.d2(animatorSet, arrayList3);
        animatorSet.addListener(new a(this, z, view2, view));
        int size2 = arrayList.size();
        for (int i7 = 0; i7 < size2; i7++) {
            animatorSet.addListener((Animator.AnimatorListener) arrayList.get(i7));
        }
        return animatorSet;
    }

    public final Pair<h, h> E(float f2, float f3, boolean z, b bVar) {
        h hVar;
        h hVar2;
        int i2;
        if (f2 == 0.0f || f3 == 0.0f) {
            hVar2 = bVar.f5137a.f("translationXLinear");
            hVar = bVar.f5137a.f("translationYLinear");
        } else if ((!z || f3 >= 0.0f) && (z || i2 <= 0)) {
            hVar2 = bVar.f5137a.f("translationXCurveDownwards");
            hVar = bVar.f5137a.f("translationYCurveDownwards");
        } else {
            hVar2 = bVar.f5137a.f("translationXCurveUpwards");
            hVar = bVar.f5137a.f("translationYCurveUpwards");
        }
        return new Pair<>(hVar2, hVar);
    }

    public final float F(View view, View view2, i iVar) {
        RectF rectF = this.f5129d;
        RectF rectF2 = this.f5130e;
        I(view, rectF);
        rectF.offset(this.f5132g, this.f5133h);
        I(view2, rectF2);
        Objects.requireNonNull(iVar);
        return (rectF2.centerX() - rectF.centerX()) + 0.0f;
    }

    public final float G(View view, View view2, i iVar) {
        RectF rectF = this.f5129d;
        RectF rectF2 = this.f5130e;
        I(view, rectF);
        rectF.offset(this.f5132g, this.f5133h);
        I(view2, rectF2);
        Objects.requireNonNull(iVar);
        return (rectF2.centerY() - rectF.centerY()) + 0.0f;
    }

    public final float H(b bVar, h hVar, float f2, float f3) {
        long j2 = hVar.f10168a;
        long j3 = hVar.f10169b;
        h f4 = bVar.f5137a.f("expansion");
        return d.h.a.b.a.a.a(f2, f3, hVar.b().getInterpolation(((float) (((f4.f10168a + f4.f10169b) + 17) - j2)) / ((float) j3)));
    }

    public final void I(View view, RectF rectF) {
        rectF.set(0.0f, 0.0f, (float) view.getWidth(), (float) view.getHeight());
        int[] iArr = this.f5131f;
        view.getLocationInWindow(iArr);
        rectF.offsetTo((float) iArr[0], (float) iArr[1]);
        rectF.offset((float) ((int) (-view.getTranslationX())), (float) ((int) (-view.getTranslationY())));
    }

    /* JADX WARN: Incorrect args count in method signature: (Landroid/view/View;Landroid/view/View;ZZLcom/google/android/material/transformation/FabTransformationBehavior$b;Ljava/util/List<Landroid/animation/Animator;>;Ljava/util/List<Landroid/animation/Animator$AnimatorListener;>;)V */
    public final void J(View view, boolean z, boolean z2, b bVar, List list) {
        ViewGroup viewGroup;
        ObjectAnimator objectAnimator;
        if (view instanceof ViewGroup) {
            boolean z3 = view instanceof c;
            View findViewById = view.findViewById(R$id.mtrl_child_content_container);
            if (findViewById != null) {
                viewGroup = O(findViewById);
            } else if ((view instanceof TransformationChildLayout) || (view instanceof TransformationChildCard)) {
                viewGroup = O(((ViewGroup) view).getChildAt(0));
            } else {
                viewGroup = O(view);
            }
            if (viewGroup != null) {
                if (z) {
                    if (!z2) {
                        d.h.a.b.a.c.f10159a.set(viewGroup, Float.valueOf(0.0f));
                    }
                    objectAnimator = ObjectAnimator.ofFloat(viewGroup, d.h.a.b.a.c.f10159a, 1.0f);
                } else {
                    objectAnimator = ObjectAnimator.ofFloat(viewGroup, d.h.a.b.a.c.f10159a, 0.0f);
                }
                bVar.f5137a.f("contentFade").a(objectAnimator);
                list.add(objectAnimator);
            }
        }
    }

    /* JADX WARN: Incorrect args count in method signature: (Landroid/view/View;Landroid/view/View;ZZLcom/google/android/material/transformation/FabTransformationBehavior$b;Ljava/util/List<Landroid/animation/Animator;>;Ljava/util/List<Landroid/animation/Animator$AnimatorListener;>;)V */
    public final void K(View view, View view2, boolean z, boolean z2, b bVar, List list) {
        ObjectAnimator objectAnimator;
        if (view2 instanceof c) {
            c cVar = (c) view2;
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            ColorStateList backgroundTintList = view.getBackgroundTintList();
            int colorForState = backgroundTintList != null ? backgroundTintList.getColorForState(view.getDrawableState(), backgroundTintList.getDefaultColor()) : 0;
            int i2 = 16777215 & colorForState;
            if (z) {
                if (!z2) {
                    cVar.setCircularRevealScrimColor(colorForState);
                }
                objectAnimator = ObjectAnimator.ofInt(cVar, c.d.f10405a, i2);
            } else {
                objectAnimator = ObjectAnimator.ofInt(cVar, c.d.f10405a, colorForState);
            }
            objectAnimator.setEvaluator(d.h.a.b.a.b.f10158a);
            bVar.f5137a.f(TypedValues.Custom.S_COLOR).a(objectAnimator);
            list.add(objectAnimator);
        }
    }

    /* JADX WARN: Incorrect args count in method signature: (Landroid/view/View;Landroid/view/View;ZZLcom/google/android/material/transformation/FabTransformationBehavior$b;Ljava/util/List<Landroid/animation/Animator;>;Ljava/util/List<Landroid/animation/Animator$AnimatorListener;>;)V */
    @TargetApi(21)
    public final void L(View view, View view2, boolean z, boolean z2, b bVar, List list) {
        ObjectAnimator objectAnimator;
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        float elevation = view2.getElevation() - view.getElevation();
        if (z) {
            if (!z2) {
                view2.setTranslationZ(-elevation);
            }
            objectAnimator = ObjectAnimator.ofFloat(view2, View.TRANSLATION_Z, 0.0f);
        } else {
            objectAnimator = ObjectAnimator.ofFloat(view2, View.TRANSLATION_Z, -elevation);
        }
        bVar.f5137a.f("elevation").a(objectAnimator);
        list.add(objectAnimator);
    }

    /* JADX WARN: Incorrect args count in method signature: (Landroid/view/View;Landroid/view/View;ZZLcom/google/android/material/transformation/FabTransformationBehavior$b;Ljava/util/List<Landroid/animation/Animator;>;Ljava/util/List<Landroid/animation/Animator$AnimatorListener;>;Landroid/graphics/RectF;)V */
    public final void M(View view, View view2, boolean z, boolean z2, b bVar, List list, RectF rectF) {
        ObjectAnimator objectAnimator;
        ObjectAnimator objectAnimator2;
        float F = F(view, view2, bVar.f5138b);
        float G = G(view, view2, bVar.f5138b);
        Pair<h, h> E = E(F, G, z, bVar);
        h hVar = (h) E.first;
        h hVar2 = (h) E.second;
        if (z) {
            if (!z2) {
                view2.setTranslationX(-F);
                view2.setTranslationY(-G);
            }
            objectAnimator2 = ObjectAnimator.ofFloat(view2, View.TRANSLATION_X, 0.0f);
            objectAnimator = ObjectAnimator.ofFloat(view2, View.TRANSLATION_Y, 0.0f);
            float H = H(bVar, hVar, -F, 0.0f);
            float H2 = H(bVar, hVar2, -G, 0.0f);
            Rect rect = this.f5128c;
            view2.getWindowVisibleDisplayFrame(rect);
            RectF rectF2 = this.f5129d;
            rectF2.set(rect);
            RectF rectF3 = this.f5130e;
            I(view2, rectF3);
            rectF3.offset(H, H2);
            rectF3.intersect(rectF2);
            rectF.set(rectF3);
        } else {
            objectAnimator2 = ObjectAnimator.ofFloat(view2, View.TRANSLATION_X, -F);
            objectAnimator = ObjectAnimator.ofFloat(view2, View.TRANSLATION_Y, -G);
        }
        hVar.a(objectAnimator2);
        hVar2.a(objectAnimator);
        list.add(objectAnimator2);
        list.add(objectAnimator);
    }

    public abstract b N(Context context, boolean z);

    public final ViewGroup O(View view) {
        if (view instanceof ViewGroup) {
            return (ViewGroup) view;
        }
        return null;
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
    public boolean d(CoordinatorLayout coordinatorLayout, View view, View view2) {
        if (view.getVisibility() == 8) {
            throw new IllegalStateException("This behavior cannot be attached to a GONE view. Set the view to INVISIBLE instead.");
        } else if (!(view2 instanceof FloatingActionButton)) {
            return false;
        } else {
            int expandedComponentIdHint = ((FloatingActionButton) view2).getExpandedComponentIdHint();
            if (expandedComponentIdHint == 0 || expandedComponentIdHint == view.getId()) {
                return true;
            }
            return false;
        }
    }

    @Override // androidx.coordinatorlayout.widget.CoordinatorLayout.b
    public void f(CoordinatorLayout.e eVar) {
        if (eVar.f1249h == 0) {
            eVar.f1249h = 80;
        }
    }

    public FabTransformationBehavior(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f5128c = new Rect();
        this.f5129d = new RectF();
        this.f5130e = new RectF();
        this.f5131f = new int[2];
    }
}
