package com.google.android.material.transition;

import android.animation.Animator;
import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.LinearGradient;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.PathMeasure;
import android.graphics.PointF;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Region;
import android.graphics.Shader;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.DisplayMetrics;
import android.util.Log;
import android.util.TypedValue;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowManager;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.core.view.ViewCompat;
import androidx.transition.ArcMotion;
import androidx.transition.PatternPathMotion;
import androidx.transition.Transition;
import b.o.a.n;
import b.x.p;
import com.google.android.material.R$attr;
import com.google.android.material.R$id;
import com.google.android.material.shape.MaterialShapeDrawable;
import d.h.a.b.e0.f;
import d.h.a.b.e0.i;
import d.h.a.b.e0.l;
import d.h.a.b.e0.m;
import d.h.a.b.e0.n;
import d.h.a.b.p.g;
import d.h.a.b.p.h;
import d.h.a.b.w.l;
import java.util.Map;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;

public final class MaterialContainerTransform extends Transition {
    public static final String F = MaterialContainerTransform.class.getSimpleName();
    public static final String[] G = {"materialContainerTransition:bounds", "materialContainerTransition:shapeAppearance"};
    public static final d H = new d(new c(0.0f, 0.25f), new c(0.0f, 1.0f), new c(0.0f, 1.0f), new c(0.0f, 0.75f), null);
    public static final d I = new d(new c(0.6f, 0.9f), new c(0.0f, 1.0f), new c(0.0f, 0.9f), new c(0.3f, 0.9f), null);
    public static final d J = new d(new c(0.1f, 0.4f), new c(0.1f, 1.0f), new c(0.1f, 1.0f), new c(0.1f, 0.9f), null);
    public static final d K = new d(new c(0.6f, 0.9f), new c(0.0f, 0.9f), new c(0.0f, 0.9f), new c(0.2f, 0.9f), null);
    public boolean L = false;
    public int M = 16908290;
    public int N = -1;
    public int O = -1;
    public int P = 1375731712;
    public boolean Q;
    public float R;
    public float S;

    public class a implements ValueAnimator.AnimatorUpdateListener {

        /* renamed from: d  reason: collision with root package name */
        public final /* synthetic */ e f5144d;

        public a(MaterialContainerTransform materialContainerTransform, e eVar) {
            this.f5144d = eVar;
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            e eVar = this.f5144d;
            float animatedFraction = valueAnimator.getAnimatedFraction();
            if (eVar.L != animatedFraction) {
                eVar.e(animatedFraction);
            }
        }
    }

    public class b extends l {

        /* renamed from: d  reason: collision with root package name */
        public final /* synthetic */ View f5145d;

        /* renamed from: h  reason: collision with root package name */
        public final /* synthetic */ e f5146h;

        /* renamed from: j  reason: collision with root package name */
        public final /* synthetic */ View f5147j;

        /* renamed from: k  reason: collision with root package name */
        public final /* synthetic */ View f5148k;

        public b(View view, e eVar, View view2, View view3) {
            this.f5145d = view;
            this.f5146h = eVar;
            this.f5147j = view2;
            this.f5148k = view3;
        }

        @Override // androidx.transition.Transition.TransitionListener
        public void onTransitionEnd(Transition transition) {
            MaterialContainerTransform.this.w(this);
            Objects.requireNonNull(MaterialContainerTransform.this);
            this.f5147j.setAlpha(1.0f);
            this.f5148k.setAlpha(1.0f);
            h G0 = n.G0(this.f5145d);
            ((g) G0).f10560a.remove(this.f5146h);
        }

        @Override // androidx.transition.Transition.TransitionListener
        public void onTransitionStart(Transition transition) {
            h G0 = n.G0(this.f5145d);
            ((g) G0).f10560a.add(this.f5146h);
            this.f5147j.setAlpha(0.0f);
            this.f5148k.setAlpha(0.0f);
        }
    }

    public static class c {

        /* renamed from: a  reason: collision with root package name */
        public final float f5150a;

        /* renamed from: b  reason: collision with root package name */
        public final float f5151b;

        public c(float f2, float f3) {
            this.f5150a = f2;
            this.f5151b = f3;
        }
    }

    public static class d {

        /* renamed from: a  reason: collision with root package name */
        public final c f5152a;

        /* renamed from: b  reason: collision with root package name */
        public final c f5153b;

        /* renamed from: c  reason: collision with root package name */
        public final c f5154c;

        /* renamed from: d  reason: collision with root package name */
        public final c f5155d;

        public d(c cVar, c cVar2, c cVar3, c cVar4, a aVar) {
            this.f5152a = cVar;
            this.f5153b = cVar2;
            this.f5154c = cVar3;
            this.f5155d = cVar4;
        }
    }

    public static final class e extends Drawable {
        public final d A;
        public final d.h.a.b.e0.a B;
        public final f C;
        public final boolean D;
        public final Paint E;
        public final Path F;
        public d.h.a.b.e0.c G;
        public d.h.a.b.e0.h H;
        public RectF I;
        public float J;
        public float K;
        public float L;

        /* renamed from: a  reason: collision with root package name */
        public final View f5156a;

        /* renamed from: b  reason: collision with root package name */
        public final RectF f5157b;

        /* renamed from: c  reason: collision with root package name */
        public final d.h.a.b.w.l f5158c;

        /* renamed from: d  reason: collision with root package name */
        public final float f5159d;

        /* renamed from: e  reason: collision with root package name */
        public final View f5160e;

        /* renamed from: f  reason: collision with root package name */
        public final RectF f5161f;

        /* renamed from: g  reason: collision with root package name */
        public final d.h.a.b.w.l f5162g;

        /* renamed from: h  reason: collision with root package name */
        public final float f5163h;

        /* renamed from: i  reason: collision with root package name */
        public final Paint f5164i;

        /* renamed from: j  reason: collision with root package name */
        public final Paint f5165j;

        /* renamed from: k  reason: collision with root package name */
        public final Paint f5166k;

        /* renamed from: l  reason: collision with root package name */
        public final Paint f5167l = new Paint();
        public final Paint m;
        public final i n;
        public final PathMeasure o;
        public final float p;
        public final float[] q;
        public final boolean r;
        public final float s;
        public final float t;
        public final boolean u;
        public final MaterialShapeDrawable v;
        public final RectF w;
        public final RectF x;
        public final RectF y;
        public final RectF z;

        public class a implements n.a {
            public a() {
            }

            @Override // d.h.a.b.e0.n.a
            public void a(Canvas canvas) {
                e.this.f5156a.draw(canvas);
            }
        }

        public class b implements n.a {
            public b() {
            }

            @Override // d.h.a.b.e0.n.a
            public void a(Canvas canvas) {
                e.this.f5160e.draw(canvas);
            }
        }

        public e(b.x.h hVar, View view, RectF rectF, d.h.a.b.w.l lVar, float f2, View view2, RectF rectF2, d.h.a.b.w.l lVar2, float f3, int i2, int i3, int i4, int i5, boolean z2, boolean z3, d.h.a.b.e0.a aVar, f fVar, d dVar, boolean z4, a aVar2) {
            Paint paint = new Paint();
            this.f5164i = paint;
            Paint paint2 = new Paint();
            this.f5165j = paint2;
            Paint paint3 = new Paint();
            this.f5166k = paint3;
            Paint paint4 = new Paint();
            this.m = paint4;
            this.n = new i();
            float[] fArr = new float[2];
            this.q = fArr;
            MaterialShapeDrawable materialShapeDrawable = new MaterialShapeDrawable();
            this.v = materialShapeDrawable;
            Paint paint5 = new Paint();
            this.E = paint5;
            this.F = new Path();
            this.f5156a = view;
            this.f5157b = rectF;
            this.f5158c = lVar;
            this.f5159d = f2;
            this.f5160e = view2;
            this.f5161f = rectF2;
            this.f5162g = lVar2;
            this.f5163h = f3;
            this.r = z2;
            this.u = z3;
            this.B = aVar;
            this.C = fVar;
            this.A = dVar;
            this.D = z4;
            DisplayMetrics displayMetrics = new DisplayMetrics();
            ((WindowManager) view.getContext().getSystemService("window")).getDefaultDisplay().getMetrics(displayMetrics);
            this.s = (float) displayMetrics.widthPixels;
            this.t = (float) displayMetrics.heightPixels;
            paint.setColor(i2);
            paint2.setColor(i3);
            paint3.setColor(i4);
            materialShapeDrawable.q(ColorStateList.valueOf(0));
            materialShapeDrawable.u(2);
            materialShapeDrawable.E = false;
            materialShapeDrawable.t(-7829368);
            RectF rectF3 = new RectF(rectF);
            this.w = rectF3;
            this.x = new RectF(rectF3);
            RectF rectF4 = new RectF(rectF3);
            this.y = rectF4;
            this.z = new RectF(rectF4);
            PointF c2 = c(rectF);
            PointF c3 = c(rectF2);
            PathMeasure pathMeasure = new PathMeasure(hVar.a(c2.x, c2.y, c3.x, c3.y), false);
            this.o = pathMeasure;
            this.p = pathMeasure.getLength();
            fArr[0] = rectF.centerX();
            fArr[1] = rectF.top;
            paint4.setStyle(Paint.Style.FILL);
            RectF rectF5 = d.h.a.b.e0.n.f10363a;
            paint4.setShader(new LinearGradient(0.0f, 0.0f, 0.0f, 0.0f, i5, i5, Shader.TileMode.CLAMP));
            paint5.setStyle(Paint.Style.STROKE);
            paint5.setStrokeWidth(10.0f);
            e(0.0f);
        }

        public static PointF c(RectF rectF) {
            return new PointF(rectF.centerX(), rectF.top);
        }

        public final void a(Canvas canvas) {
            d(canvas, this.f5166k);
            Rect bounds = getBounds();
            RectF rectF = this.y;
            d.h.a.b.e0.n.l(canvas, bounds, rectF.left, rectF.top, this.H.f10347b, this.G.f10327b, new b());
        }

        public final void b(Canvas canvas) {
            d(canvas, this.f5165j);
            Rect bounds = getBounds();
            RectF rectF = this.w;
            d.h.a.b.e0.n.l(canvas, bounds, rectF.left, rectF.top, this.H.f10346a, this.G.f10326a, new a());
        }

        public final void d(Canvas canvas, Paint paint) {
            if (paint.getColor() != 0 && paint.getAlpha() > 0) {
                canvas.drawRect(getBounds(), paint);
            }
        }

        public void draw(Canvas canvas) {
            if (this.m.getAlpha() > 0) {
                canvas.drawRect(getBounds(), this.m);
            }
            int save = this.D ? canvas.save() : -1;
            if (this.u && this.J > 0.0f) {
                canvas.save();
                canvas.clipPath(this.n.f10352a, Region.Op.DIFFERENCE);
                if (Build.VERSION.SDK_INT > 28) {
                    d.h.a.b.w.l lVar = this.n.f10356e;
                    if (lVar.e(this.I)) {
                        float a2 = lVar.f10681f.a(this.I);
                        canvas.drawRoundRect(this.I, a2, a2, this.f5167l);
                    } else {
                        canvas.drawPath(this.n.f10352a, this.f5167l);
                    }
                } else {
                    MaterialShapeDrawable materialShapeDrawable = this.v;
                    RectF rectF = this.I;
                    materialShapeDrawable.setBounds((int) rectF.left, (int) rectF.top, (int) rectF.right, (int) rectF.bottom);
                    this.v.p(this.J);
                    this.v.v((int) this.K);
                    this.v.setShapeAppearanceModel(this.n.f10356e);
                    this.v.draw(canvas);
                }
                canvas.restore();
            }
            i iVar = this.n;
            if (Build.VERSION.SDK_INT >= 23) {
                canvas.clipPath(iVar.f10352a);
            } else {
                canvas.clipPath(iVar.f10353b);
                canvas.clipPath(iVar.f10354c, Region.Op.UNION);
            }
            d(canvas, this.f5164i);
            if (this.G.f10328c) {
                b(canvas);
                a(canvas);
            } else {
                a(canvas);
                b(canvas);
            }
            if (this.D) {
                canvas.restoreToCount(save);
                RectF rectF2 = this.w;
                Path path = this.F;
                PointF c2 = c(rectF2);
                if (this.L == 0.0f) {
                    path.reset();
                    path.moveTo(c2.x, c2.y);
                } else {
                    path.lineTo(c2.x, c2.y);
                    this.E.setColor(-65281);
                    canvas.drawPath(path, this.E);
                }
                RectF rectF3 = this.x;
                this.E.setColor(-256);
                canvas.drawRect(rectF3, this.E);
                RectF rectF4 = this.w;
                this.E.setColor(-16711936);
                canvas.drawRect(rectF4, this.E);
                RectF rectF5 = this.z;
                this.E.setColor(-16711681);
                canvas.drawRect(rectF5, this.E);
                RectF rectF6 = this.y;
                this.E.setColor(-16776961);
                canvas.drawRect(rectF6, this.E);
            }
        }

        public final void e(float f2) {
            float f3;
            float f4;
            this.L = f2;
            this.m.setAlpha((int) (this.r ? d.h.a.b.e0.n.f(0.0f, 255.0f, f2) : d.h.a.b.e0.n.f(255.0f, 0.0f, f2)));
            this.o.getPosTan(this.p * f2, this.q, null);
            float[] fArr = this.q;
            boolean z2 = false;
            float f5 = fArr[0];
            float f6 = fArr[1];
            int i2 = (f2 > 1.0f ? 1 : (f2 == 1.0f ? 0 : -1));
            if (i2 > 0 || f2 < 0.0f) {
                if (i2 > 0) {
                    f4 = 0.99f;
                    f3 = (f2 - 1.0f) / 0.00999999f;
                } else {
                    f4 = 0.01f;
                    f3 = (f2 / 0.01f) * -1.0f;
                }
                this.o.getPosTan(this.p * f4, fArr, null);
                float[] fArr2 = this.q;
                float f7 = fArr2[0];
                float f8 = fArr2[1];
                f5 = d.a.a.a.a.b(f5, f7, f3, f5);
                f6 = d.a.a.a.a.b(f6, f8, f3, f6);
            }
            Float valueOf = Float.valueOf(this.A.f5153b.f5150a);
            Objects.requireNonNull(valueOf);
            float floatValue = valueOf.floatValue();
            Float valueOf2 = Float.valueOf(this.A.f5153b.f5151b);
            Objects.requireNonNull(valueOf2);
            d.h.a.b.e0.h b2 = this.C.b(f2, floatValue, valueOf2.floatValue(), this.f5157b.width(), this.f5157b.height(), this.f5161f.width(), this.f5161f.height());
            this.H = b2;
            RectF rectF = this.w;
            float f9 = b2.f10348c / 2.0f;
            rectF.set(f5 - f9, f6, f9 + f5, b2.f10349d + f6);
            RectF rectF2 = this.y;
            d.h.a.b.e0.h hVar = this.H;
            float f10 = hVar.f10350e / 2.0f;
            rectF2.set(f5 - f10, f6, f10 + f5, hVar.f10351f + f6);
            this.x.set(this.w);
            this.z.set(this.y);
            Float valueOf3 = Float.valueOf(this.A.f5154c.f5150a);
            Objects.requireNonNull(valueOf3);
            float floatValue2 = valueOf3.floatValue();
            Float valueOf4 = Float.valueOf(this.A.f5154c.f5151b);
            Objects.requireNonNull(valueOf4);
            float floatValue3 = valueOf4.floatValue();
            boolean c2 = this.C.c(this.H);
            RectF rectF3 = c2 ? this.x : this.z;
            float g2 = d.h.a.b.e0.n.g(0.0f, 1.0f, floatValue2, floatValue3, f2);
            if (!c2) {
                g2 = 1.0f - g2;
            }
            this.C.a(rectF3, g2, this.H);
            this.I = new RectF(Math.min(this.x.left, this.z.left), Math.min(this.x.top, this.z.top), Math.max(this.x.right, this.z.right), Math.max(this.x.bottom, this.z.bottom));
            i iVar = this.n;
            d.h.a.b.w.l lVar = this.f5158c;
            d.h.a.b.w.l lVar2 = this.f5162g;
            RectF rectF4 = this.w;
            RectF rectF5 = this.x;
            RectF rectF6 = this.z;
            c cVar = this.A.f5155d;
            Objects.requireNonNull(iVar);
            float f11 = cVar.f5150a;
            float f12 = cVar.f5151b;
            RectF rectF7 = d.h.a.b.e0.n.f10363a;
            if (f2 >= f11) {
                if (f2 > f12) {
                    lVar = lVar2;
                } else {
                    if (!(lVar.f10681f.a(rectF4) == 0.0f && lVar.f10682g.a(rectF4) == 0.0f && lVar.f10683h.a(rectF4) == 0.0f && lVar.f10684i.a(rectF4) == 0.0f)) {
                        z2 = true;
                    }
                    d.h.a.b.w.l lVar3 = z2 ? lVar : lVar2;
                    Objects.requireNonNull(lVar3);
                    l.b bVar = new l.b(lVar3);
                    bVar.f10692e = new d.h.a.b.w.a(d.h.a.b.e0.n.g(lVar.f10681f.a(rectF4), lVar2.f10681f.a(rectF6), f11, f12, f2));
                    bVar.f10693f = new d.h.a.b.w.a(d.h.a.b.e0.n.g(lVar.f10682g.a(rectF4), lVar2.f10682g.a(rectF6), f11, f12, f2));
                    bVar.f10695h = new d.h.a.b.w.a(d.h.a.b.e0.n.g(lVar.f10684i.a(rectF4), lVar2.f10684i.a(rectF6), f11, f12, f2));
                    bVar.f10694g = new d.h.a.b.w.a(d.h.a.b.e0.n.g(lVar.f10683h.a(rectF4), lVar2.f10683h.a(rectF6), f11, f12, f2));
                    lVar = bVar.a();
                }
            }
            iVar.f10356e = lVar;
            iVar.f10355d.a(lVar, 1.0f, rectF5, iVar.f10353b);
            iVar.f10355d.a(iVar.f10356e, 1.0f, rectF6, iVar.f10354c);
            if (Build.VERSION.SDK_INT >= 23) {
                iVar.f10352a.op(iVar.f10353b, iVar.f10354c, Path.Op.UNION);
            }
            this.J = d.h.a.b.e0.n.f(this.f5159d, this.f5163h, f2);
            RectF rectF8 = this.I;
            float f13 = this.s;
            RectF rectF9 = this.I;
            float f14 = this.t;
            float f15 = this.J;
            float centerY = (float) ((int) ((rectF9.centerY() / f14) * 1.5f * f15));
            this.K = centerY;
            this.f5167l.setShadowLayer(f15, (float) ((int) (((rectF8.centerX() / (f13 / 2.0f)) - 1.0f) * 0.3f * f15)), centerY, 754974720);
            Float valueOf5 = Float.valueOf(this.A.f5152a.f5150a);
            Objects.requireNonNull(valueOf5);
            float floatValue4 = valueOf5.floatValue();
            Float valueOf6 = Float.valueOf(this.A.f5152a.f5151b);
            Objects.requireNonNull(valueOf6);
            this.G = this.B.a(f2, floatValue4, valueOf6.floatValue(), 0.35f);
            if (this.f5165j.getColor() != 0) {
                this.f5165j.setAlpha(this.G.f10326a);
            }
            if (this.f5166k.getColor() != 0) {
                this.f5166k.setAlpha(this.G.f10327b);
            }
            invalidateSelf();
        }

        public int getOpacity() {
            return -3;
        }

        public void setAlpha(int i2) {
            throw new UnsupportedOperationException("Setting alpha on is not supported");
        }

        public void setColorFilter(ColorFilter colorFilter) {
            throw new UnsupportedOperationException("Setting a color filter is not supported");
        }
    }

    public MaterialContainerTransform() {
        boolean z = false;
        this.Q = Build.VERSION.SDK_INT >= 28 ? true : z;
        this.R = -1.0f;
        this.S = -1.0f;
    }

    public static void I(p pVar, View view, int i2, d.h.a.b.w.l lVar) {
        RectF rectF;
        d.h.a.b.w.l lVar2;
        if (i2 != -1) {
            View view2 = pVar.f3969b;
            RectF rectF2 = d.h.a.b.e0.n.f10363a;
            View findViewById = view2.findViewById(i2);
            if (findViewById == null) {
                findViewById = d.h.a.b.e0.n.b(view2, i2);
            }
            pVar.f3969b = findViewById;
        } else {
            View view3 = pVar.f3969b;
            int i3 = R$id.mtrl_motion_snapshot_view;
            if (view3.getTag(i3) instanceof View) {
                pVar.f3969b.setTag(i3, null);
                pVar.f3969b = (View) pVar.f3969b.getTag(i3);
            }
        }
        View view4 = pVar.f3969b;
        AtomicInteger atomicInteger = ViewCompat.f1365a;
        if (view4.isLaidOut() || view4.getWidth() != 0 || view4.getHeight() != 0) {
            if (view4.getParent() == null) {
                RectF rectF3 = d.h.a.b.e0.n.f10363a;
                rectF = new RectF((float) view4.getLeft(), (float) view4.getTop(), (float) view4.getRight(), (float) view4.getBottom());
            } else {
                rectF = d.h.a.b.e0.n.d(view4);
            }
            pVar.f3968a.put("materialContainerTransition:bounds", rectF);
            Map<String, Object> map = pVar.f3968a;
            int i4 = R$id.mtrl_motion_snapshot_view;
            if (view4.getTag(i4) instanceof d.h.a.b.w.l) {
                lVar2 = (d.h.a.b.w.l) view4.getTag(i4);
            } else {
                Context context = view4.getContext();
                TypedArray obtainStyledAttributes = context.obtainStyledAttributes(new int[]{R$attr.transitionShapeAppearance});
                int resourceId = obtainStyledAttributes.getResourceId(0, -1);
                obtainStyledAttributes.recycle();
                if (resourceId != -1) {
                    lVar2 = d.h.a.b.w.l.a(context, resourceId, 0).a();
                } else if (view4 instanceof d.h.a.b.w.p) {
                    lVar2 = ((d.h.a.b.w.p) view4).getShapeAppearanceModel();
                } else {
                    lVar2 = new l.b().a();
                }
            }
            RectF rectF4 = d.h.a.b.e0.n.f10363a;
            map.put("materialContainerTransition:shapeAppearance", lVar2.g(new m(rectF)));
        }
    }

    @Override // androidx.transition.Transition
    public void D(b.x.h hVar) {
        if (hVar == null) {
            this.E = Transition.f2048h;
        } else {
            this.E = hVar;
        }
        this.L = true;
    }

    public final d J(boolean z, d dVar, d dVar2) {
        if (!z) {
            dVar = dVar2;
        }
        return new d((c) d.h.a.b.e0.n.a(null, dVar.f5152a), (c) d.h.a.b.e0.n.a(null, dVar.f5153b), (c) d.h.a.b.e0.n.a(null, dVar.f5154c), (c) d.h.a.b.e0.n.a(null, dVar.f5155d), null);
    }

    @Override // androidx.transition.Transition
    public void d(p pVar) {
        I(pVar, null, this.O, null);
    }

    @Override // androidx.transition.Transition
    public void g(p pVar) {
        I(pVar, null, this.N, null);
    }

    @Override // androidx.transition.Transition
    public Animator k(ViewGroup viewGroup, p pVar, p pVar2) {
        View view;
        View view2;
        RectF rectF;
        d dVar;
        int i2;
        b.x.h hVar = null;
        if (!(pVar == null || pVar2 == null)) {
            RectF rectF2 = (RectF) pVar.f3968a.get("materialContainerTransition:bounds");
            d.h.a.b.w.l lVar = (d.h.a.b.w.l) pVar.f3968a.get("materialContainerTransition:shapeAppearance");
            if (rectF2 == null || lVar == null) {
                Log.w(F, "Skipping due to null start bounds. Ensure start view is laid out and measured.");
            } else {
                RectF rectF3 = (RectF) pVar2.f3968a.get("materialContainerTransition:bounds");
                d.h.a.b.w.l lVar2 = (d.h.a.b.w.l) pVar2.f3968a.get("materialContainerTransition:shapeAppearance");
                if (rectF3 == null || lVar2 == null) {
                    Log.w(F, "Skipping due to null end bounds. Ensure end view is laid out and measured.");
                    return null;
                }
                View view3 = pVar.f3969b;
                View view4 = pVar2.f3969b;
                View view5 = view4.getParent() != null ? view4 : view3;
                if (this.M == view5.getId()) {
                    view = (View) view5.getParent();
                    view2 = view5;
                } else {
                    view = d.h.a.b.e0.n.b(view5, this.M);
                    view2 = null;
                }
                RectF d2 = d.h.a.b.e0.n.d(view);
                float f2 = -d2.left;
                float f3 = -d2.top;
                if (view2 != null) {
                    rectF = d.h.a.b.e0.n.d(view2);
                    rectF.offset(f2, f3);
                } else {
                    rectF = new RectF(0.0f, 0.0f, (float) view.getWidth(), (float) view.getHeight());
                }
                rectF2.offset(f2, f3);
                rectF3.offset(f2, f3);
                RectF rectF4 = d.h.a.b.e0.n.f10363a;
                boolean z = true;
                boolean z2 = rectF3.height() * rectF3.width() > rectF2.height() * rectF2.width();
                Context context = view5.getContext();
                d.h.a.b.e0.n.k(this, context, R$attr.motionEasingStandard, d.h.a.b.a.a.f10154b);
                d.h.a.b.e0.n.j(this, context, z2 ? R$attr.motionDurationLong1 : R$attr.motionDurationMedium2);
                if (!this.L && (i2 = R$attr.motionPath) != 0) {
                    TypedValue typedValue = new TypedValue();
                    if (context.getTheme().resolveAttribute(i2, typedValue, true)) {
                        int i3 = typedValue.type;
                        if (i3 == 16) {
                            int i4 = typedValue.data;
                            if (i4 != 0) {
                                if (i4 == 1) {
                                    hVar = new MaterialArcMotion();
                                } else {
                                    throw new IllegalArgumentException(d.a.a.a.a.k("Invalid motion path type: ", i4));
                                }
                            }
                        } else if (i3 == 3) {
                            hVar = new PatternPathMotion(AppCompatDelegateImpl.e.z(String.valueOf(typedValue.string)));
                        } else {
                            throw new IllegalArgumentException("Motion path theme attribute must either be an enum value or path data string");
                        }
                    }
                    if (hVar != null) {
                        D(hVar);
                    }
                }
                b.x.h hVar2 = this.E;
                float f4 = this.R;
                if (f4 == -1.0f) {
                    AtomicInteger atomicInteger = ViewCompat.f1365a;
                    f4 = view3.getElevation();
                }
                float f5 = this.S;
                if (f5 == -1.0f) {
                    AtomicInteger atomicInteger2 = ViewCompat.f1365a;
                    f5 = view4.getElevation();
                }
                int i5 = this.P;
                boolean z3 = this.Q;
                d.h.a.b.e0.a aVar = z2 ? d.h.a.b.e0.b.f10322a : d.h.a.b.e0.b.f10323b;
                float width = rectF2.width();
                float height = rectF2.height();
                float width2 = rectF3.width();
                float height2 = rectF3.height();
                float f6 = (height2 * width) / width2;
                float f7 = (width2 * height) / width;
                if (!z2 ? f7 < height2 : f6 < height) {
                    z = false;
                }
                f fVar = z ? d.h.a.b.e0.g.f10344a : d.h.a.b.e0.g.f10345b;
                b.x.h hVar3 = this.E;
                if ((hVar3 instanceof ArcMotion) || (hVar3 instanceof MaterialArcMotion)) {
                    dVar = J(z2, J, K);
                } else {
                    dVar = J(z2, H, I);
                }
                e eVar = new e(hVar2, view3, rectF2, lVar, f4, view4, rectF3, lVar2, f5, 0, 0, 0, i5, z2, z3, aVar, fVar, dVar, false, null);
                eVar.setBounds(Math.round(rectF.left), Math.round(rectF.top), Math.round(rectF.right), Math.round(rectF.bottom));
                ValueAnimator ofFloat = ValueAnimator.ofFloat(0.0f, 1.0f);
                ofFloat.addUpdateListener(new a(this, eVar));
                a(new b(view, eVar, view3, view4));
                return ofFloat;
            }
        }
        return null;
    }

    @Override // androidx.transition.Transition
    public String[] q() {
        return G;
    }
}
