package com.google.gson.internal;

import java.io.Serializable;
import java.util.AbstractMap;
import java.util.AbstractSet;
import java.util.Arrays;
import java.util.Comparator;
import java.util.ConcurrentModificationException;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.NoSuchElementException;
import java.util.Objects;
import java.util.Set;

public final class LinkedHashTreeMap<K, V> extends AbstractMap<K, V> implements Serializable {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    private static final Comparator<Comparable> NATURAL_ORDER = new a();
    public Comparator<? super K> comparator;
    private LinkedHashTreeMap<K, V>.c entrySet;
    public final f<K, V> header;
    private LinkedHashTreeMap<K, V>.d keySet;
    public int modCount;
    public int size;
    public f<K, V>[] table;
    public int threshold;

    public class a implements Comparator<Comparable> {
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, java.lang.Object] */
        @Override // java.util.Comparator
        public int compare(Comparable comparable, Comparable comparable2) {
            return comparable.compareTo(comparable2);
        }
    }

    public static final class b<K, V> {

        /* renamed from: a  reason: collision with root package name */
        public f<K, V> f5171a;

        /* renamed from: b  reason: collision with root package name */
        public int f5172b;

        /* renamed from: c  reason: collision with root package name */
        public int f5173c;

        /* renamed from: d  reason: collision with root package name */
        public int f5174d;

        public void a(f<K, V> fVar) {
            fVar.f5183j = null;
            fVar.f5181d = null;
            fVar.f5182h = null;
            fVar.p = 1;
            int i2 = this.f5172b;
            if (i2 > 0) {
                int i3 = this.f5174d;
                if ((i3 & 1) == 0) {
                    this.f5174d = i3 + 1;
                    this.f5172b = i2 - 1;
                    this.f5173c++;
                }
            }
            fVar.f5181d = this.f5171a;
            this.f5171a = fVar;
            int i4 = this.f5174d + 1;
            this.f5174d = i4;
            int i5 = this.f5172b;
            if (i5 > 0 && (i4 & 1) == 0) {
                this.f5174d = i4 + 1;
                this.f5172b = i5 - 1;
                this.f5173c++;
            }
            int i6 = 4;
            while (true) {
                int i7 = i6 - 1;
                if ((this.f5174d & i7) == i7) {
                    int i8 = this.f5173c;
                    if (i8 == 0) {
                        f<K, V> fVar2 = this.f5171a;
                        f<K, V> fVar3 = fVar2.f5181d;
                        f<K, V> fVar4 = fVar3.f5181d;
                        fVar3.f5181d = fVar4.f5181d;
                        this.f5171a = fVar3;
                        fVar3.f5182h = fVar4;
                        fVar3.f5183j = fVar2;
                        fVar3.p = fVar2.p + 1;
                        fVar4.f5181d = fVar3;
                        fVar2.f5181d = fVar3;
                    } else if (i8 == 1) {
                        f<K, V> fVar5 = this.f5171a;
                        f<K, V> fVar6 = fVar5.f5181d;
                        this.f5171a = fVar6;
                        fVar6.f5183j = fVar5;
                        fVar6.p = fVar5.p + 1;
                        fVar5.f5181d = fVar6;
                        this.f5173c = 0;
                    } else if (i8 == 2) {
                        this.f5173c = 0;
                    }
                    i6 *= 2;
                } else {
                    return;
                }
            }
        }

        public void b(int i2) {
            this.f5172b = ((Integer.highestOneBit(i2) * 2) - 1) - i2;
            this.f5174d = 0;
            this.f5173c = 0;
            this.f5171a = null;
        }
    }

    public final class c extends AbstractSet<Map.Entry<K, V>> {

        public class a extends LinkedHashTreeMap<K, V>.e {
            public a(c cVar) {
                super();
            }

            @Override // java.util.Iterator
            public Object next() {
                return a();
            }
        }

        public c() {
        }

        public void clear() {
            LinkedHashTreeMap.this.clear();
        }

        public boolean contains(Object obj) {
            return (obj instanceof Map.Entry) && LinkedHashTreeMap.this.findByEntry((Map.Entry) obj) != null;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<Map.Entry<K, V>> iterator() {
            return new a(this);
        }

        public boolean remove(Object obj) {
            f<K, V> findByEntry;
            if (!(obj instanceof Map.Entry) || (findByEntry = LinkedHashTreeMap.this.findByEntry((Map.Entry) obj)) == null) {
                return false;
            }
            LinkedHashTreeMap.this.removeInternal(findByEntry, true);
            return true;
        }

        public int size() {
            return LinkedHashTreeMap.this.size;
        }
    }

    public final class d extends AbstractSet<K> {

        public class a extends LinkedHashTreeMap<K, V>.e {
            public a(d dVar) {
                super();
            }

            @Override // java.util.Iterator
            public K next() {
                return a().m;
            }
        }

        public d() {
        }

        public void clear() {
            LinkedHashTreeMap.this.clear();
        }

        public boolean contains(Object obj) {
            return LinkedHashTreeMap.this.containsKey(obj);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<K> iterator() {
            return new a(this);
        }

        public boolean remove(Object obj) {
            return LinkedHashTreeMap.this.removeInternalByKey(obj) != null;
        }

        public int size() {
            return LinkedHashTreeMap.this.size;
        }
    }

    public abstract class e<T> implements Iterator<T> {

        /* renamed from: d  reason: collision with root package name */
        public f<K, V> f5177d;

        /* renamed from: h  reason: collision with root package name */
        public f<K, V> f5178h = null;

        /* renamed from: j  reason: collision with root package name */
        public int f5179j;

        public e() {
            this.f5177d = LinkedHashTreeMap.this.header.f5184k;
            this.f5179j = LinkedHashTreeMap.this.modCount;
        }

        public final f<K, V> a() {
            f<K, V> fVar = this.f5177d;
            LinkedHashTreeMap linkedHashTreeMap = LinkedHashTreeMap.this;
            if (fVar == linkedHashTreeMap.header) {
                throw new NoSuchElementException();
            } else if (linkedHashTreeMap.modCount == this.f5179j) {
                this.f5177d = fVar.f5184k;
                this.f5178h = fVar;
                return fVar;
            } else {
                throw new ConcurrentModificationException();
            }
        }

        public final boolean hasNext() {
            return this.f5177d != LinkedHashTreeMap.this.header;
        }

        public final void remove() {
            f<K, V> fVar = this.f5178h;
            if (fVar != null) {
                LinkedHashTreeMap.this.removeInternal(fVar, true);
                this.f5178h = null;
                this.f5179j = LinkedHashTreeMap.this.modCount;
                return;
            }
            throw new IllegalStateException();
        }
    }

    public LinkedHashTreeMap() {
        this(NATURAL_ORDER);
    }

    private void doubleCapacity() {
        f<K, V>[] doubleCapacity = doubleCapacity(this.table);
        this.table = doubleCapacity;
        this.threshold = (doubleCapacity.length / 4) + (doubleCapacity.length / 2);
    }

    private boolean equal(Object obj, Object obj2) {
        return obj == obj2 || (obj != null && obj.equals(obj2));
    }

    private void rebalance(f<K, V> fVar, boolean z) {
        while (fVar != null) {
            f<K, V> fVar2 = fVar.f5182h;
            f<K, V> fVar3 = fVar.f5183j;
            int i2 = 0;
            int i3 = fVar2 != null ? fVar2.p : 0;
            int i4 = fVar3 != null ? fVar3.p : 0;
            int i5 = i3 - i4;
            if (i5 == -2) {
                f<K, V> fVar4 = fVar3.f5182h;
                f<K, V> fVar5 = fVar3.f5183j;
                int i6 = fVar5 != null ? fVar5.p : 0;
                if (fVar4 != null) {
                    i2 = fVar4.p;
                }
                int i7 = i2 - i6;
                if (i7 == -1 || (i7 == 0 && !z)) {
                    rotateLeft(fVar);
                } else {
                    rotateRight(fVar3);
                    rotateLeft(fVar);
                }
                if (z) {
                    return;
                }
            } else if (i5 == 2) {
                f<K, V> fVar6 = fVar2.f5182h;
                f<K, V> fVar7 = fVar2.f5183j;
                int i8 = fVar7 != null ? fVar7.p : 0;
                if (fVar6 != null) {
                    i2 = fVar6.p;
                }
                int i9 = i2 - i8;
                if (i9 == 1 || (i9 == 0 && !z)) {
                    rotateRight(fVar);
                } else {
                    rotateLeft(fVar2);
                    rotateRight(fVar);
                }
                if (z) {
                    return;
                }
            } else if (i5 == 0) {
                fVar.p = i3 + 1;
                if (z) {
                    return;
                }
            } else {
                fVar.p = Math.max(i3, i4) + 1;
                if (!z) {
                    return;
                }
            }
            fVar = fVar.f5181d;
        }
    }

    private void replaceInParent(f<K, V> fVar, f<K, V> fVar2) {
        f<K, V> fVar3 = fVar.f5181d;
        fVar.f5181d = null;
        if (fVar2 != null) {
            fVar2.f5181d = fVar3;
        }
        if (fVar3 == null) {
            int i2 = fVar.n;
            f<K, V>[] fVarArr = this.table;
            fVarArr[i2 & (fVarArr.length - 1)] = fVar2;
        } else if (fVar3.f5182h == fVar) {
            fVar3.f5182h = fVar2;
        } else {
            fVar3.f5183j = fVar2;
        }
    }

    private void rotateLeft(f<K, V> fVar) {
        f<K, V> fVar2 = fVar.f5182h;
        f<K, V> fVar3 = fVar.f5183j;
        f<K, V> fVar4 = fVar3.f5182h;
        f<K, V> fVar5 = fVar3.f5183j;
        fVar.f5183j = fVar4;
        if (fVar4 != null) {
            fVar4.f5181d = fVar;
        }
        replaceInParent(fVar, fVar3);
        fVar3.f5182h = fVar;
        fVar.f5181d = fVar3;
        int i2 = 0;
        int max = Math.max(fVar2 != null ? fVar2.p : 0, fVar4 != null ? fVar4.p : 0) + 1;
        fVar.p = max;
        if (fVar5 != null) {
            i2 = fVar5.p;
        }
        fVar3.p = Math.max(max, i2) + 1;
    }

    private void rotateRight(f<K, V> fVar) {
        f<K, V> fVar2 = fVar.f5182h;
        f<K, V> fVar3 = fVar.f5183j;
        f<K, V> fVar4 = fVar2.f5182h;
        f<K, V> fVar5 = fVar2.f5183j;
        fVar.f5182h = fVar5;
        if (fVar5 != null) {
            fVar5.f5181d = fVar;
        }
        replaceInParent(fVar, fVar2);
        fVar2.f5183j = fVar;
        fVar.f5181d = fVar2;
        int i2 = 0;
        int max = Math.max(fVar3 != null ? fVar3.p : 0, fVar5 != null ? fVar5.p : 0) + 1;
        fVar.p = max;
        if (fVar4 != null) {
            i2 = fVar4.p;
        }
        fVar2.p = Math.max(max, i2) + 1;
    }

    private static int secondaryHash(int i2) {
        int i3 = i2 ^ ((i2 >>> 20) ^ (i2 >>> 12));
        return (i3 >>> 4) ^ ((i3 >>> 7) ^ i3);
    }

    private Object writeReplace() {
        return new LinkedHashMap(this);
    }

    public void clear() {
        Arrays.fill(this.table, (Object) null);
        this.size = 0;
        this.modCount++;
        f<K, V> fVar = this.header;
        f<K, V> fVar2 = fVar.f5184k;
        while (fVar2 != fVar) {
            f<K, V> fVar3 = fVar2.f5184k;
            fVar2.f5185l = null;
            fVar2.f5184k = null;
            fVar2 = fVar3;
        }
        fVar.f5185l = fVar;
        fVar.f5184k = fVar;
    }

    public boolean containsKey(Object obj) {
        return findByObject(obj) != null;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set<Map.Entry<K, V>> entrySet() {
        LinkedHashTreeMap<K, V>.c cVar = this.entrySet;
        if (cVar != null) {
            return cVar;
        }
        LinkedHashTreeMap<K, V>.c cVar2 = new c();
        this.entrySet = cVar2;
        return cVar2;
    }

    public f<K, V> find(K k2, boolean z) {
        int i2;
        f<K, V> fVar;
        f<K, V> fVar2;
        int i3;
        Comparator<? super K> comparator2 = this.comparator;
        f<K, V>[] fVarArr = this.table;
        int secondaryHash = secondaryHash(k2.hashCode());
        int length = (fVarArr.length - 1) & secondaryHash;
        f<K, V> fVar3 = fVarArr[length];
        if (fVar3 != null) {
            K k3 = comparator2 == NATURAL_ORDER ? k2 : null;
            while (true) {
                if (k3 != null) {
                    i3 = k3.compareTo(fVar3.m);
                } else {
                    i3 = comparator2.compare(k2, fVar3.m);
                }
                if (i3 == 0) {
                    return fVar3;
                }
                f<K, V> fVar4 = i3 < 0 ? fVar3.f5182h : fVar3.f5183j;
                if (fVar4 == null) {
                    fVar = fVar3;
                    i2 = i3;
                    break;
                }
                fVar3 = fVar4;
            }
        } else {
            fVar = fVar3;
            i2 = 0;
        }
        if (!z) {
            return null;
        }
        f<K, V> fVar5 = this.header;
        if (fVar != null) {
            fVar2 = new f<>(fVar, k2, secondaryHash, fVar5, fVar5.f5185l);
            if (i2 < 0) {
                fVar.f5182h = fVar2;
            } else {
                fVar.f5183j = fVar2;
            }
            rebalance(fVar, true);
        } else if (comparator2 != NATURAL_ORDER || (k2 instanceof Comparable)) {
            fVar2 = new f<>(fVar, k2, secondaryHash, fVar5, fVar5.f5185l);
            fVarArr[length] = fVar2;
        } else {
            throw new ClassCastException(k2.getClass().getName() + " is not Comparable");
        }
        int i4 = this.size;
        this.size = i4 + 1;
        if (i4 > this.threshold) {
            doubleCapacity();
        }
        this.modCount++;
        return fVar2;
    }

    public f<K, V> findByEntry(Map.Entry<?, ?> entry) {
        f<K, V> findByObject = findByObject(entry.getKey());
        if (findByObject != null && equal(findByObject.o, entry.getValue())) {
            return findByObject;
        }
        return null;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: java.lang.Object */
    /* JADX WARN: Multi-variable type inference failed */
    public f<K, V> findByObject(Object obj) {
        if (obj == 0) {
            return null;
        }
        try {
            return find(obj, false);
        } catch (ClassCastException unused) {
            return null;
        }
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V get(Object obj) {
        f<K, V> findByObject = findByObject(obj);
        if (findByObject != null) {
            return findByObject.o;
        }
        return null;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set<K> keySet() {
        LinkedHashTreeMap<K, V>.d dVar = this.keySet;
        if (dVar != null) {
            return dVar;
        }
        LinkedHashTreeMap<K, V>.d dVar2 = new d();
        this.keySet = dVar2;
        return dVar2;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V put(K k2, V v) {
        Objects.requireNonNull(k2, "key == null");
        f<K, V> find = find(k2, true);
        V v2 = find.o;
        find.o = v;
        return v2;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V remove(Object obj) {
        f<K, V> removeInternalByKey = removeInternalByKey(obj);
        if (removeInternalByKey != null) {
            return removeInternalByKey.o;
        }
        return null;
    }

    public void removeInternal(f<K, V> fVar, boolean z) {
        f<K, V> fVar2;
        int i2;
        if (z) {
            f<K, V> fVar3 = fVar.f5185l;
            fVar3.f5184k = fVar.f5184k;
            fVar.f5184k.f5185l = fVar3;
            fVar.f5185l = null;
            fVar.f5184k = null;
        }
        f<K, V> fVar4 = fVar.f5182h;
        f<K, V> fVar5 = fVar.f5183j;
        f<K, V> fVar6 = fVar.f5181d;
        int i3 = 0;
        if (fVar4 == null || fVar5 == null) {
            if (fVar4 != null) {
                replaceInParent(fVar, fVar4);
                fVar.f5182h = null;
            } else if (fVar5 != null) {
                replaceInParent(fVar, fVar5);
                fVar.f5183j = null;
            } else {
                replaceInParent(fVar, null);
            }
            rebalance(fVar6, false);
            this.size--;
            this.modCount++;
            return;
        }
        if (fVar4.p > fVar5.p) {
            f<K, V> fVar7 = fVar4.f5183j;
            while (true) {
                fVar2 = fVar4;
                fVar4 = fVar7;
                if (fVar4 == null) {
                    break;
                }
                fVar7 = fVar4.f5183j;
            }
        } else {
            f<K, V> fVar8 = fVar5.f5182h;
            while (true) {
                fVar5 = fVar8;
                if (fVar5 == null) {
                    break;
                }
                fVar8 = fVar5.f5182h;
            }
            fVar2 = fVar5;
        }
        removeInternal(fVar2, false);
        f<K, V> fVar9 = fVar.f5182h;
        if (fVar9 != null) {
            i2 = fVar9.p;
            fVar2.f5182h = fVar9;
            fVar9.f5181d = fVar2;
            fVar.f5182h = null;
        } else {
            i2 = 0;
        }
        f<K, V> fVar10 = fVar.f5183j;
        if (fVar10 != null) {
            i3 = fVar10.p;
            fVar2.f5183j = fVar10;
            fVar10.f5181d = fVar2;
            fVar.f5183j = null;
        }
        fVar2.p = Math.max(i2, i3) + 1;
        replaceInParent(fVar, fVar2);
    }

    public f<K, V> removeInternalByKey(Object obj) {
        f<K, V> findByObject = findByObject(obj);
        if (findByObject != null) {
            removeInternal(findByObject, true);
        }
        return findByObject;
    }

    public int size() {
        return this.size;
    }

    public LinkedHashTreeMap(Comparator<? super K> comparator2) {
        this.size = 0;
        this.modCount = 0;
        this.comparator = comparator2 == null ? NATURAL_ORDER : comparator2;
        this.header = new f<>();
        f<K, V>[] fVarArr = new f[16];
        this.table = fVarArr;
        this.threshold = (fVarArr.length / 4) + (fVarArr.length / 2);
    }

    public static <K, V> f<K, V>[] doubleCapacity(f<K, V>[] fVarArr) {
        f<K, V> fVar;
        f<K, V> fVar2;
        f<K, V> fVar3;
        int length = fVarArr.length;
        f<K, V>[] fVarArr2 = new f[(length * 2)];
        b bVar = new b();
        b bVar2 = new b();
        for (int i2 = 0; i2 < length; i2++) {
            f<K, V> fVar4 = fVarArr[i2];
            if (fVar4 != null) {
                f<K, V> fVar5 = null;
                f<K, V> fVar6 = null;
                for (f<K, V> fVar7 = fVar4; fVar7 != null; fVar7 = fVar7.f5182h) {
                    fVar7.f5181d = fVar6;
                    fVar6 = fVar7;
                }
                int i3 = 0;
                int i4 = 0;
                while (true) {
                    if (fVar6 != null) {
                        f<K, V> fVar8 = fVar6.f5181d;
                        fVar6.f5181d = null;
                        f<K, V> fVar9 = fVar6.f5183j;
                        while (true) {
                            fVar = fVar8;
                            fVar8 = fVar9;
                            if (fVar8 == null) {
                                break;
                            }
                            fVar8.f5181d = fVar;
                            fVar9 = fVar8.f5182h;
                        }
                    } else {
                        fVar = fVar6;
                        fVar6 = null;
                    }
                    if (fVar6 == null) {
                        break;
                    }
                    if ((fVar6.n & length) == 0) {
                        i3++;
                    } else {
                        i4++;
                    }
                    fVar6 = fVar;
                }
                bVar.b(i3);
                bVar2.b(i4);
                f<K, V> fVar10 = null;
                while (fVar4 != null) {
                    fVar4.f5181d = fVar10;
                    fVar10 = fVar4;
                    fVar4 = fVar4.f5182h;
                }
                while (true) {
                    if (fVar10 != null) {
                        f<K, V> fVar11 = fVar10.f5181d;
                        fVar10.f5181d = null;
                        f<K, V> fVar12 = fVar10.f5183j;
                        while (true) {
                            fVar2 = fVar11;
                            fVar11 = fVar12;
                            if (fVar11 == null) {
                                break;
                            }
                            fVar11.f5181d = fVar2;
                            fVar12 = fVar11.f5182h;
                        }
                    } else {
                        fVar2 = fVar10;
                        fVar10 = null;
                    }
                    if (fVar10 == null) {
                        break;
                    }
                    if ((fVar10.n & length) == 0) {
                        bVar.a(fVar10);
                    } else {
                        bVar2.a(fVar10);
                    }
                    fVar10 = fVar2;
                }
                if (i3 > 0) {
                    fVar3 = bVar.f5171a;
                    if (fVar3.f5181d != null) {
                        throw new IllegalStateException();
                    }
                } else {
                    fVar3 = null;
                }
                fVarArr2[i2] = fVar3;
                int i5 = i2 + length;
                if (i4 > 0) {
                    fVar5 = bVar2.f5171a;
                    if (fVar5.f5181d != null) {
                        throw new IllegalStateException();
                    }
                }
                fVarArr2[i5] = fVar5;
            }
        }
        return fVarArr2;
    }

    public static final class f<K, V> implements Map.Entry<K, V> {

        /* renamed from: d  reason: collision with root package name */
        public f<K, V> f5181d;

        /* renamed from: h  reason: collision with root package name */
        public f<K, V> f5182h;

        /* renamed from: j  reason: collision with root package name */
        public f<K, V> f5183j;

        /* renamed from: k  reason: collision with root package name */
        public f<K, V> f5184k;

        /* renamed from: l  reason: collision with root package name */
        public f<K, V> f5185l;
        public final K m;
        public final int n;
        public V o;
        public int p;

        public f() {
            this.m = null;
            this.n = -1;
            this.f5185l = this;
            this.f5184k = this;
        }

        /* JADX WARNING: Removed duplicated region for block: B:14:0x0031 A[ORIG_RETURN, RETURN, SYNTHETIC] */
        public boolean equals(Object obj) {
            if (!(obj instanceof Map.Entry)) {
                return false;
            }
            Map.Entry entry = (Map.Entry) obj;
            K k2 = this.m;
            if (k2 == null) {
                if (entry.getKey() != null) {
                    return false;
                }
            } else if (!k2.equals(entry.getKey())) {
                return false;
            }
            V v = this.o;
            if (v == null) {
                if (entry.getValue() == null) {
                    return true;
                }
                return false;
            } else if (!v.equals(entry.getValue())) {
                return false;
            }
            return true;
        }

        @Override // java.util.Map.Entry
        public K getKey() {
            return this.m;
        }

        @Override // java.util.Map.Entry
        public V getValue() {
            return this.o;
        }

        public int hashCode() {
            K k2 = this.m;
            int i2 = 0;
            int hashCode = k2 == null ? 0 : k2.hashCode();
            V v = this.o;
            if (v != null) {
                i2 = v.hashCode();
            }
            return hashCode ^ i2;
        }

        @Override // java.util.Map.Entry
        public V setValue(V v) {
            V v2 = this.o;
            this.o = v;
            return v2;
        }

        public String toString() {
            return ((Object) this.m) + "=" + ((Object) this.o);
        }

        public f(f<K, V> fVar, K k2, int i2, f<K, V> fVar2, f<K, V> fVar3) {
            this.f5181d = fVar;
            this.m = k2;
            this.n = i2;
            this.p = 1;
            this.f5184k = fVar2;
            this.f5185l = fVar3;
            fVar3.f5184k = this;
            fVar2.f5185l = this;
        }
    }
}
