package com.google.gson.internal;

import java.io.Serializable;
import java.util.AbstractMap;
import java.util.AbstractSet;
import java.util.Comparator;
import java.util.ConcurrentModificationException;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.NoSuchElementException;
import java.util.Objects;
import java.util.Set;

public final class LinkedTreeMap<K, V> extends AbstractMap<K, V> implements Serializable {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    private static final Comparator<Comparable> NATURAL_ORDER = new a();
    public Comparator<? super K> comparator;
    private LinkedTreeMap<K, V>.b entrySet;
    public final e<K, V> header;
    private LinkedTreeMap<K, V>.c keySet;
    public int modCount;
    public e<K, V> root;
    public int size;

    public class a implements Comparator<Comparable> {
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, java.lang.Object] */
        @Override // java.util.Comparator
        public int compare(Comparable comparable, Comparable comparable2) {
            return comparable.compareTo(comparable2);
        }
    }

    public class b extends AbstractSet<Map.Entry<K, V>> {

        public class a extends LinkedTreeMap<K, V>.d {
            public a(b bVar) {
                super();
            }

            @Override // java.util.Iterator
            public Object next() {
                return a();
            }
        }

        public b() {
        }

        public void clear() {
            LinkedTreeMap.this.clear();
        }

        public boolean contains(Object obj) {
            return (obj instanceof Map.Entry) && LinkedTreeMap.this.findByEntry((Map.Entry) obj) != null;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<Map.Entry<K, V>> iterator() {
            return new a(this);
        }

        public boolean remove(Object obj) {
            e<K, V> findByEntry;
            if (!(obj instanceof Map.Entry) || (findByEntry = LinkedTreeMap.this.findByEntry((Map.Entry) obj)) == null) {
                return false;
            }
            LinkedTreeMap.this.removeInternal(findByEntry, true);
            return true;
        }

        public int size() {
            return LinkedTreeMap.this.size;
        }
    }

    public final class c extends AbstractSet<K> {

        public class a extends LinkedTreeMap<K, V>.d {
            public a(c cVar) {
                super();
            }

            @Override // java.util.Iterator
            public K next() {
                return a().m;
            }
        }

        public c() {
        }

        public void clear() {
            LinkedTreeMap.this.clear();
        }

        public boolean contains(Object obj) {
            return LinkedTreeMap.this.containsKey(obj);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<K> iterator() {
            return new a(this);
        }

        public boolean remove(Object obj) {
            return LinkedTreeMap.this.removeInternalByKey(obj) != null;
        }

        public int size() {
            return LinkedTreeMap.this.size;
        }
    }

    public abstract class d<T> implements Iterator<T> {

        /* renamed from: d  reason: collision with root package name */
        public e<K, V> f5188d;

        /* renamed from: h  reason: collision with root package name */
        public e<K, V> f5189h = null;

        /* renamed from: j  reason: collision with root package name */
        public int f5190j;

        public d() {
            this.f5188d = LinkedTreeMap.this.header.f5195k;
            this.f5190j = LinkedTreeMap.this.modCount;
        }

        public final e<K, V> a() {
            e<K, V> eVar = this.f5188d;
            LinkedTreeMap linkedTreeMap = LinkedTreeMap.this;
            if (eVar == linkedTreeMap.header) {
                throw new NoSuchElementException();
            } else if (linkedTreeMap.modCount == this.f5190j) {
                this.f5188d = eVar.f5195k;
                this.f5189h = eVar;
                return eVar;
            } else {
                throw new ConcurrentModificationException();
            }
        }

        public final boolean hasNext() {
            return this.f5188d != LinkedTreeMap.this.header;
        }

        public final void remove() {
            e<K, V> eVar = this.f5189h;
            if (eVar != null) {
                LinkedTreeMap.this.removeInternal(eVar, true);
                this.f5189h = null;
                this.f5190j = LinkedTreeMap.this.modCount;
                return;
            }
            throw new IllegalStateException();
        }
    }

    public LinkedTreeMap() {
        this(NATURAL_ORDER);
    }

    private boolean equal(Object obj, Object obj2) {
        return obj == obj2 || (obj != null && obj.equals(obj2));
    }

    private void rebalance(e<K, V> eVar, boolean z) {
        while (eVar != null) {
            e<K, V> eVar2 = eVar.f5193h;
            e<K, V> eVar3 = eVar.f5194j;
            int i2 = 0;
            int i3 = eVar2 != null ? eVar2.o : 0;
            int i4 = eVar3 != null ? eVar3.o : 0;
            int i5 = i3 - i4;
            if (i5 == -2) {
                e<K, V> eVar4 = eVar3.f5193h;
                e<K, V> eVar5 = eVar3.f5194j;
                int i6 = eVar5 != null ? eVar5.o : 0;
                if (eVar4 != null) {
                    i2 = eVar4.o;
                }
                int i7 = i2 - i6;
                if (i7 == -1 || (i7 == 0 && !z)) {
                    rotateLeft(eVar);
                } else {
                    rotateRight(eVar3);
                    rotateLeft(eVar);
                }
                if (z) {
                    return;
                }
            } else if (i5 == 2) {
                e<K, V> eVar6 = eVar2.f5193h;
                e<K, V> eVar7 = eVar2.f5194j;
                int i8 = eVar7 != null ? eVar7.o : 0;
                if (eVar6 != null) {
                    i2 = eVar6.o;
                }
                int i9 = i2 - i8;
                if (i9 == 1 || (i9 == 0 && !z)) {
                    rotateRight(eVar);
                } else {
                    rotateLeft(eVar2);
                    rotateRight(eVar);
                }
                if (z) {
                    return;
                }
            } else if (i5 == 0) {
                eVar.o = i3 + 1;
                if (z) {
                    return;
                }
            } else {
                eVar.o = Math.max(i3, i4) + 1;
                if (!z) {
                    return;
                }
            }
            eVar = eVar.f5192d;
        }
    }

    private void replaceInParent(e<K, V> eVar, e<K, V> eVar2) {
        e<K, V> eVar3 = eVar.f5192d;
        eVar.f5192d = null;
        if (eVar2 != null) {
            eVar2.f5192d = eVar3;
        }
        if (eVar3 == null) {
            this.root = eVar2;
        } else if (eVar3.f5193h == eVar) {
            eVar3.f5193h = eVar2;
        } else {
            eVar3.f5194j = eVar2;
        }
    }

    private void rotateLeft(e<K, V> eVar) {
        e<K, V> eVar2 = eVar.f5193h;
        e<K, V> eVar3 = eVar.f5194j;
        e<K, V> eVar4 = eVar3.f5193h;
        e<K, V> eVar5 = eVar3.f5194j;
        eVar.f5194j = eVar4;
        if (eVar4 != null) {
            eVar4.f5192d = eVar;
        }
        replaceInParent(eVar, eVar3);
        eVar3.f5193h = eVar;
        eVar.f5192d = eVar3;
        int i2 = 0;
        int max = Math.max(eVar2 != null ? eVar2.o : 0, eVar4 != null ? eVar4.o : 0) + 1;
        eVar.o = max;
        if (eVar5 != null) {
            i2 = eVar5.o;
        }
        eVar3.o = Math.max(max, i2) + 1;
    }

    private void rotateRight(e<K, V> eVar) {
        e<K, V> eVar2 = eVar.f5193h;
        e<K, V> eVar3 = eVar.f5194j;
        e<K, V> eVar4 = eVar2.f5193h;
        e<K, V> eVar5 = eVar2.f5194j;
        eVar.f5193h = eVar5;
        if (eVar5 != null) {
            eVar5.f5192d = eVar;
        }
        replaceInParent(eVar, eVar2);
        eVar2.f5194j = eVar;
        eVar.f5192d = eVar2;
        int i2 = 0;
        int max = Math.max(eVar3 != null ? eVar3.o : 0, eVar5 != null ? eVar5.o : 0) + 1;
        eVar.o = max;
        if (eVar4 != null) {
            i2 = eVar4.o;
        }
        eVar2.o = Math.max(max, i2) + 1;
    }

    private Object writeReplace() {
        return new LinkedHashMap(this);
    }

    public void clear() {
        this.root = null;
        this.size = 0;
        this.modCount++;
        e<K, V> eVar = this.header;
        eVar.f5196l = eVar;
        eVar.f5195k = eVar;
    }

    public boolean containsKey(Object obj) {
        return findByObject(obj) != null;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set<Map.Entry<K, V>> entrySet() {
        LinkedTreeMap<K, V>.b bVar = this.entrySet;
        if (bVar != null) {
            return bVar;
        }
        LinkedTreeMap<K, V>.b bVar2 = new b();
        this.entrySet = bVar2;
        return bVar2;
    }

    public e<K, V> find(K k2, boolean z) {
        int i2;
        e<K, V> eVar;
        Comparator<? super K> comparator2 = this.comparator;
        e<K, V> eVar2 = this.root;
        if (eVar2 != null) {
            K k3 = comparator2 == NATURAL_ORDER ? k2 : null;
            while (true) {
                if (k3 != null) {
                    i2 = k3.compareTo(eVar2.m);
                } else {
                    i2 = comparator2.compare(k2, eVar2.m);
                }
                if (i2 == 0) {
                    return eVar2;
                }
                e<K, V> eVar3 = i2 < 0 ? eVar2.f5193h : eVar2.f5194j;
                if (eVar3 == null) {
                    break;
                }
                eVar2 = eVar3;
            }
        } else {
            i2 = 0;
        }
        if (!z) {
            return null;
        }
        e<K, V> eVar4 = this.header;
        if (eVar2 != null) {
            eVar = new e<>(eVar2, k2, eVar4, eVar4.f5196l);
            if (i2 < 0) {
                eVar2.f5193h = eVar;
            } else {
                eVar2.f5194j = eVar;
            }
            rebalance(eVar2, true);
        } else if (comparator2 != NATURAL_ORDER || (k2 instanceof Comparable)) {
            eVar = new e<>(eVar2, k2, eVar4, eVar4.f5196l);
            this.root = eVar;
        } else {
            throw new ClassCastException(k2.getClass().getName() + " is not Comparable");
        }
        this.size++;
        this.modCount++;
        return eVar;
    }

    public e<K, V> findByEntry(Map.Entry<?, ?> entry) {
        e<K, V> findByObject = findByObject(entry.getKey());
        if (findByObject != null && equal(findByObject.n, entry.getValue())) {
            return findByObject;
        }
        return null;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: java.lang.Object */
    /* JADX WARN: Multi-variable type inference failed */
    public e<K, V> findByObject(Object obj) {
        if (obj == 0) {
            return null;
        }
        try {
            return find(obj, false);
        } catch (ClassCastException unused) {
            return null;
        }
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V get(Object obj) {
        e<K, V> findByObject = findByObject(obj);
        if (findByObject != null) {
            return findByObject.n;
        }
        return null;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set<K> keySet() {
        LinkedTreeMap<K, V>.c cVar = this.keySet;
        if (cVar != null) {
            return cVar;
        }
        LinkedTreeMap<K, V>.c cVar2 = new c();
        this.keySet = cVar2;
        return cVar2;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V put(K k2, V v) {
        Objects.requireNonNull(k2, "key == null");
        e<K, V> find = find(k2, true);
        V v2 = find.n;
        find.n = v;
        return v2;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V remove(Object obj) {
        e<K, V> removeInternalByKey = removeInternalByKey(obj);
        if (removeInternalByKey != null) {
            return removeInternalByKey.n;
        }
        return null;
    }

    public void removeInternal(e<K, V> eVar, boolean z) {
        e<K, V> eVar2;
        int i2;
        if (z) {
            e<K, V> eVar3 = eVar.f5196l;
            eVar3.f5195k = eVar.f5195k;
            eVar.f5195k.f5196l = eVar3;
        }
        e<K, V> eVar4 = eVar.f5193h;
        e<K, V> eVar5 = eVar.f5194j;
        e<K, V> eVar6 = eVar.f5192d;
        int i3 = 0;
        if (eVar4 == null || eVar5 == null) {
            if (eVar4 != null) {
                replaceInParent(eVar, eVar4);
                eVar.f5193h = null;
            } else if (eVar5 != null) {
                replaceInParent(eVar, eVar5);
                eVar.f5194j = null;
            } else {
                replaceInParent(eVar, null);
            }
            rebalance(eVar6, false);
            this.size--;
            this.modCount++;
            return;
        }
        if (eVar4.o > eVar5.o) {
            e<K, V> eVar7 = eVar4.f5194j;
            while (true) {
                eVar2 = eVar4;
                eVar4 = eVar7;
                if (eVar4 == null) {
                    break;
                }
                eVar7 = eVar4.f5194j;
            }
        } else {
            e<K, V> eVar8 = eVar5.f5193h;
            while (true) {
                eVar5 = eVar8;
                if (eVar5 == null) {
                    break;
                }
                eVar8 = eVar5.f5193h;
            }
            eVar2 = eVar5;
        }
        removeInternal(eVar2, false);
        e<K, V> eVar9 = eVar.f5193h;
        if (eVar9 != null) {
            i2 = eVar9.o;
            eVar2.f5193h = eVar9;
            eVar9.f5192d = eVar2;
            eVar.f5193h = null;
        } else {
            i2 = 0;
        }
        e<K, V> eVar10 = eVar.f5194j;
        if (eVar10 != null) {
            i3 = eVar10.o;
            eVar2.f5194j = eVar10;
            eVar10.f5192d = eVar2;
            eVar.f5194j = null;
        }
        eVar2.o = Math.max(i2, i3) + 1;
        replaceInParent(eVar, eVar2);
    }

    public e<K, V> removeInternalByKey(Object obj) {
        e<K, V> findByObject = findByObject(obj);
        if (findByObject != null) {
            removeInternal(findByObject, true);
        }
        return findByObject;
    }

    public int size() {
        return this.size;
    }

    public LinkedTreeMap(Comparator<? super K> comparator2) {
        this.size = 0;
        this.modCount = 0;
        this.header = new e<>();
        this.comparator = comparator2 == null ? NATURAL_ORDER : comparator2;
    }

    public static final class e<K, V> implements Map.Entry<K, V> {

        /* renamed from: d  reason: collision with root package name */
        public e<K, V> f5192d;

        /* renamed from: h  reason: collision with root package name */
        public e<K, V> f5193h;

        /* renamed from: j  reason: collision with root package name */
        public e<K, V> f5194j;

        /* renamed from: k  reason: collision with root package name */
        public e<K, V> f5195k;

        /* renamed from: l  reason: collision with root package name */
        public e<K, V> f5196l;
        public final K m;
        public V n;
        public int o;

        public e() {
            this.m = null;
            this.f5196l = this;
            this.f5195k = this;
        }

        /* JADX WARNING: Removed duplicated region for block: B:14:0x0031 A[ORIG_RETURN, RETURN, SYNTHETIC] */
        public boolean equals(Object obj) {
            if (!(obj instanceof Map.Entry)) {
                return false;
            }
            Map.Entry entry = (Map.Entry) obj;
            K k2 = this.m;
            if (k2 == null) {
                if (entry.getKey() != null) {
                    return false;
                }
            } else if (!k2.equals(entry.getKey())) {
                return false;
            }
            V v = this.n;
            if (v == null) {
                if (entry.getValue() == null) {
                    return true;
                }
                return false;
            } else if (!v.equals(entry.getValue())) {
                return false;
            }
            return true;
        }

        @Override // java.util.Map.Entry
        public K getKey() {
            return this.m;
        }

        @Override // java.util.Map.Entry
        public V getValue() {
            return this.n;
        }

        public int hashCode() {
            K k2 = this.m;
            int i2 = 0;
            int hashCode = k2 == null ? 0 : k2.hashCode();
            V v = this.n;
            if (v != null) {
                i2 = v.hashCode();
            }
            return hashCode ^ i2;
        }

        @Override // java.util.Map.Entry
        public V setValue(V v) {
            V v2 = this.n;
            this.n = v;
            return v2;
        }

        public String toString() {
            return ((Object) this.m) + "=" + ((Object) this.n);
        }

        public e(e<K, V> eVar, K k2, e<K, V> eVar2, e<K, V> eVar3) {
            this.f5192d = eVar;
            this.m = k2;
            this.o = 1;
            this.f5195k = eVar2;
            this.f5196l = eVar3;
            eVar3.f5195k = this;
            eVar2.f5196l = this;
        }
    }
}
