package com.google.zxing.aztec.decoder;

import com.androidx.lv.base.utils.UiBuildConfig;
import com.google.zxing.FormatException;
import com.google.zxing.common.reedsolomon.ReedSolomonException;
import d.d.a.k.e;
import d.h.d.a.a;
import d.h.d.b.b;
import d.h.d.b.d;
import d.h.d.b.k.c;
import java.util.Arrays;
import okhttp3.internal.cache.DiskLruCache;

public final class Decoder {

    /* renamed from: a  reason: collision with root package name */
    public static final String[] f5197a = {"CTRL_PS", " ", "A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T", "U", "V", "W", "X", "Y", "Z", "CTRL_LL", "CTRL_ML", "CTRL_DL", "CTRL_BS"};

    /* renamed from: b  reason: collision with root package name */
    public static final String[] f5198b = {"CTRL_PS", " ", UiBuildConfig.ENCRYPT_TXT_KEY, "b", "c", "d", e.f7759a, "f", "g", "h", "i", "j", "k", "l", "m", "n", "o", "p", "q", "r", "s", "t", "u", "v", "w", "x", "y", "z", "CTRL_US", "CTRL_ML", "CTRL_DL", "CTRL_BS"};

    /* renamed from: c  reason: collision with root package name */
    public static final String[] f5199c = {"CTRL_PS", " ", "\u0001", "\u0002", "\u0003", "\u0004", "\u0005", "\u0006", "\u0007", "\b", "\t", "\n", "\u000b", "\f", "\r", "\u001b", "\u001c", "\u001d", "\u001e", "\u001f", "@", "\\", "^", "_", "`", "|", "~", "", "CTRL_LL", "CTRL_UL", "CTRL_PL", "CTRL_BS"};

    /* renamed from: d  reason: collision with root package name */
    public static final String[] f5200d = {"", "\r", "\r\n", ". ", ", ", ": ", "!", "\"", "#", "$", "%", "&", "'", "(", ")", "*", "+", ",", "-", ".", "/", ":", ";", "<", "=", ">", "?", "[", "]", "{", "}", "CTRL_UL"};

    /* renamed from: e  reason: collision with root package name */
    public static final String[] f5201e = {"CTRL_PS", " ", "0", DiskLruCache.VERSION_1, "2", "3", "4", "5", "6", "7", "8", "9", ",", ".", "CTRL_UL", "CTRL_US"};

    /* renamed from: f  reason: collision with root package name */
    public a f5202f;

    public enum Table {
        UPPER,
        LOWER,
        MIXED,
        DIGIT,
        PUNCT,
        BINARY
    }

    public static int b(boolean[] zArr, int i2, int i3) {
        int i4 = 0;
        for (int i5 = i2; i5 < i2 + i3; i5++) {
            i4 <<= 1;
            if (zArr[i5]) {
                i4 |= 1;
            }
        }
        return i4;
    }

    public d a(a aVar) {
        int i2;
        d.h.d.b.k.a aVar2;
        String str;
        int i3;
        this.f5202f = aVar;
        b bVar = aVar.f10949a;
        boolean z = aVar.f10902c;
        int i4 = aVar.f10904e;
        int i5 = (z ? 11 : 14) + (i4 << 2);
        int[] iArr = new int[i5];
        int i6 = ((z ? 88 : 112) + (i4 << 4)) * i4;
        boolean[] zArr = new boolean[i6];
        int i7 = 2;
        if (z) {
            for (int i8 = 0; i8 < i5; i8++) {
                iArr[i8] = i8;
            }
        } else {
            int i9 = i5 / 2;
            int i10 = ((((i9 - 1) / 15) * 2) + (i5 + 1)) / 2;
            for (int i11 = 0; i11 < i9; i11++) {
                int i12 = (i11 / 15) + i11;
                iArr[(i9 - i11) - 1] = (i10 - i12) - 1;
                iArr[i9 + i11] = i12 + i10 + 1;
            }
        }
        int i13 = 0;
        int i14 = 0;
        while (true) {
            i2 = 12;
            if (i13 >= i4) {
                break;
            }
            int i15 = (i4 - i13) << i7;
            if (z) {
                i2 = 9;
            }
            int i16 = i15 + i2;
            int i17 = i13 << 1;
            int i18 = (i5 - 1) - i17;
            int i19 = 0;
            while (i19 < i16) {
                int i20 = i19 << 1;
                int i21 = 0;
                while (i21 < i7) {
                    int i22 = i17 + i21;
                    int i23 = i17 + i19;
                    zArr[i14 + i20 + i21] = bVar.b(iArr[i22], iArr[i23]);
                    int i24 = i18 - i21;
                    zArr[(i16 * 2) + i14 + i20 + i21] = bVar.b(iArr[i23], iArr[i24]);
                    int i25 = i18 - i19;
                    zArr[(i16 * 4) + i14 + i20 + i21] = bVar.b(iArr[i24], iArr[i25]);
                    zArr[(i16 * 6) + i14 + i20 + i21] = bVar.b(iArr[i25], iArr[i22]);
                    i21++;
                    z = z;
                    i4 = i4;
                    i7 = 2;
                }
                i19++;
                i7 = 2;
            }
            i14 += i16 << 3;
            i13++;
            i4 = i4;
            i7 = 2;
        }
        a aVar3 = this.f5202f;
        int i26 = aVar3.f10904e;
        int i27 = 8;
        if (i26 <= 2) {
            aVar2 = d.h.d.b.k.a.f10975c;
            i2 = 6;
        } else if (i26 <= 8) {
            aVar2 = d.h.d.b.k.a.f10979g;
            i2 = 8;
        } else if (i26 <= 22) {
            i2 = 10;
            aVar2 = d.h.d.b.k.a.f10974b;
        } else {
            aVar2 = d.h.d.b.k.a.f10973a;
        }
        int i28 = aVar3.f10903d;
        int i29 = i6 / i2;
        if (i29 >= i28) {
            int i30 = i6 % i2;
            int[] iArr2 = new int[i29];
            int i31 = 0;
            while (i31 < i29) {
                iArr2[i31] = b(zArr, i30, i2);
                i31++;
                i30 += i2;
            }
            try {
                new c(aVar2).a(iArr2, i29 - i28);
                int i32 = 1;
                int i33 = (1 << i2) - 1;
                int i34 = 0;
                int i35 = 0;
                while (i34 < i28) {
                    int i36 = iArr2[i34];
                    if (i36 == 0 || i36 == i33) {
                        throw FormatException.getFormatInstance();
                    }
                    if (i36 == i32 || i36 == i33 - 1) {
                        i35++;
                    }
                    i34++;
                    i32 = 1;
                }
                int i37 = (i28 * i2) - i35;
                boolean[] zArr2 = new boolean[i37];
                int i38 = 0;
                for (int i39 = 0; i39 < i28; i39++) {
                    int i40 = iArr2[i39];
                    int i41 = 1;
                    if (i40 == 1 || i40 == i33 - 1) {
                        Arrays.fill(zArr2, i38, (i38 + i2) - 1, i40 > 1);
                        i38 = (i2 - 1) + i38;
                    } else {
                        int i42 = i2 - 1;
                        while (i42 >= 0) {
                            int i43 = i38 + 1;
                            zArr2[i38] = ((i41 << i42) & i40) != 0;
                            i42--;
                            i38 = i43;
                            i41 = 1;
                        }
                    }
                }
                int i44 = (i37 + 7) / 8;
                byte[] bArr = new byte[i44];
                for (int i45 = 0; i45 < i44; i45++) {
                    int i46 = i45 << 3;
                    int i47 = i37 - i46;
                    if (i47 >= 8) {
                        i3 = b(zArr2, i46, 8);
                    } else {
                        i3 = b(zArr2, i46, i47) << (8 - i47);
                    }
                    bArr[i45] = (byte) i3;
                }
                Table table = Table.UPPER;
                StringBuilder sb = new StringBuilder(20);
                Table table2 = table;
                int i48 = 0;
                while (i48 < i37) {
                    Table table3 = Table.BINARY;
                    if (table == table3) {
                        if (i37 - i48 < 5) {
                            break;
                        }
                        int b2 = b(zArr2, i48, 5);
                        i48 += 5;
                        if (b2 == 0) {
                            if (i37 - i48 < 11) {
                                break;
                            }
                            b2 = b(zArr2, i48, 11) + 31;
                            i48 += 11;
                        }
                        int i49 = 0;
                        while (true) {
                            if (i49 >= b2) {
                                break;
                            } else if (i37 - i48 < i27) {
                                i48 = i37;
                                break;
                            } else {
                                sb.append((char) b(zArr2, i48, i27));
                                i48 += 8;
                                i49++;
                            }
                        }
                    } else {
                        Table table4 = Table.DIGIT;
                        int i50 = table == table4 ? 4 : 5;
                        if (i37 - i48 < i50) {
                            break;
                        }
                        int b3 = b(zArr2, i48, i50);
                        i48 += i50;
                        int ordinal = table.ordinal();
                        if (ordinal == 0) {
                            str = f5197a[b3];
                        } else if (ordinal == 1) {
                            str = f5198b[b3];
                        } else if (ordinal == 2) {
                            str = f5199c[b3];
                        } else if (ordinal == 3) {
                            str = f5201e[b3];
                        } else if (ordinal == 4) {
                            str = f5200d[b3];
                        } else {
                            throw new IllegalStateException("Bad table");
                        }
                        if (str.startsWith("CTRL_")) {
                            char charAt = str.charAt(5);
                            if (charAt != 'B') {
                                table2 = charAt != 'D' ? charAt != 'P' ? charAt != 'L' ? charAt != 'M' ? Table.UPPER : Table.MIXED : Table.LOWER : Table.PUNCT : table4;
                            } else {
                                table2 = table3;
                            }
                            if (str.charAt(6) != 'L') {
                                i27 = 8;
                                table2 = table;
                                table = table2;
                            }
                        } else {
                            sb.append(str);
                        }
                    }
                    table = table2;
                    i27 = 8;
                }
                d dVar = new d(bArr, sb.toString(), null, null);
                dVar.f10941b = i37;
                return dVar;
            } catch (ReedSolomonException e2) {
                throw FormatException.getFormatInstance(e2);
            }
        } else {
            throw FormatException.getFormatInstance();
        }
    }
}
