package com.grass.mh.ui.comment;

import android.content.Context;
import android.graphics.Color;
import android.text.SpannableString;
import android.text.style.ForegroundColorSpan;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import b.o.a.n;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.utils.TimeUtils;
import com.androidx.lv.base.utils.UiUtils;
import com.androidx.lv.base.view.CircleImageView;
import com.grass.mh.bean.CommentData;
import com.like.LikeButton;
import d.i.a.k.s.d;
import d.i.a.k.s.e;
import d.i.a.k.s.t;
import java.util.List;
import org.dsq.library.util.ResouUtils;

public class CommentVerticalLayout extends LinearLayout implements ViewGroup.OnHierarchyChangeListener {

    /* renamed from: d  reason: collision with root package name */
    public List<CommentData> f6381d;

    /* renamed from: h  reason: collision with root package name */
    public int f6382h;

    /* renamed from: j  reason: collision with root package name */
    public LinearLayout.LayoutParams f6383j;

    /* renamed from: k  reason: collision with root package name */
    public a f6384k;

    /* renamed from: l  reason: collision with root package name */
    public int f6385l;
    public int m;
    public int n;
    public int o;

    public interface a {
        void e(int i2, CommentData commentData, int i3, int i4);
    }

    public CommentVerticalLayout(Context context) {
        super(context);
        d();
    }

    public final void a(CommentData commentData, int i2) {
        addViewInLayout(e(commentData), i2, c(i2), true);
    }

    public void b(List<CommentData> list, int i2, boolean z) {
        if (list != null) {
            this.f6381d = list;
            int childCount = getChildCount();
            if (!z && childCount > 0) {
                removeViewsInLayout(0, childCount);
            }
            int min = Math.min(i2, list.size());
            int i3 = 0;
            while (true) {
                View view = null;
                if (i3 >= min) {
                    break;
                }
                if (i3 < childCount) {
                    view = getChildAt(i3);
                }
                CommentData commentData = list.get(i3);
                if (view == null) {
                    addViewInLayout(e(commentData), i3, c(i3), true);
                } else {
                    a(commentData, i3);
                }
                i3++;
            }
            int size = list.size();
            View inflate = View.inflate(getContext(), R.layout.comment_item_end, null);
            TextView textView = (TextView) inflate.findViewById(R.id.tv_hide_comment);
            textView.setText("收起全部" + size + "条回复");
            textView.setOnClickListener(new e(this));
            if (this.o == 1) {
                textView.setTextColor(ResouUtils.getColor(R.color.white_50));
            }
            addView(inflate);
            requestLayout();
        }
    }

    public final LinearLayout.LayoutParams c(int i2) {
        if (this.f6383j == null) {
            this.f6383j = new LinearLayout.LayoutParams(-1, -2);
        }
        if (this.f6381d != null && i2 > 0) {
            this.f6383j.topMargin = (int) (((float) this.f6382h) * 1.2f);
        }
        return this.f6383j;
    }

    public final void d() {
        setOrientation(1);
        this.f6382h = UiUtils.dp2px(2.0f);
        setOnHierarchyChangeListener(this);
    }

    public final View e(CommentData commentData) {
        View inflate = View.inflate(getContext(), R.layout.comment_item_two, null);
        if (this.o == 1) {
            inflate.setBackgroundColor(ResouUtils.getColor(R.color.color_202333));
        }
        ((LinearLayout) inflate.findViewById(R.id.ll_root)).setOnClickListener(new d(this, commentData));
        CircleImageView circleImageView = (CircleImageView) inflate.findViewById(R.id.img_head);
        TextView textView = (TextView) inflate.findViewById(R.id.tv_name);
        TextView textView2 = (TextView) inflate.findViewById(R.id.tv_content);
        TextView textView3 = (TextView) inflate.findViewById(R.id.tv_time);
        LikeButton likeButton = (LikeButton) inflate.findViewById(R.id.bt_isLike);
        TextView textView4 = (TextView) inflate.findViewById(R.id.labelView);
        ImageView imageView = (ImageView) inflate.findViewById(R.id.iv_vip);
        TextView textView5 = (TextView) inflate.findViewById(R.id.tv_like_num);
        if (this.o == 1) {
            textView.setTextColor(-1);
            textView3.setTextColor(ResouUtils.getColor(R.color.white_50));
            textView2.setTextColor(ResouUtils.getColor(R.color.white_50));
            textView4.setTextColor(ResouUtils.getColor(R.color.white_50));
        }
        n.w1(inflate.getContext(), circleImageView, commentData.getLogo());
        textView.setText(commentData.getNickName());
        SpannableString spannableString = new SpannableString("回复  " + commentData.getBeUserName() + ":  " + commentData.getContent());
        spannableString.setSpan(new ForegroundColorSpan(Color.parseColor("#999999")), 0, 2, 33);
        textView2.setText(spannableString);
        textView3.setText(TimeUtils.utc2Common(commentData.getCreatedAt()));
        textView5.setText(UiUtils.num2str(commentData.getFakeLikes()));
        likeButton.setLiked(Boolean.valueOf(commentData.getIsLike()));
        likeButton.setOnLikeListener(new t(this, commentData, textView5));
        return inflate;
    }

    public void onChildViewAdded(View view, View view2) {
    }

    public void onChildViewRemoved(View view, View view2) {
    }

    public void setOnTwoClickListener(a aVar) {
        this.f6384k = aVar;
    }

    public void setPosition(int i2) {
        this.n = i2;
    }

    public void setShowType(int i2) {
        this.o = i2;
    }

    public void setTopId(int i2) {
        this.f6385l = i2;
    }

    public void setTwoType(int i2) {
        this.m = i2;
    }

    public CommentVerticalLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        d();
    }

    public CommentVerticalLayout(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        d();
    }
}
