package com.grass.mh.ui.community;

import android.annotation.SuppressLint;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ProgressBar;
import android.widget.TextView;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.PagerSnapHelper;
import androidx.recyclerview.widget.RecyclerView;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.bean.UserAccount;
import com.androidx.lv.base.bean.UserInfo;
import com.androidx.lv.base.dialog.CancelableDialogLoading;
import com.androidx.lv.base.ui.BaseActivity;
import com.androidx.lv.base.utils.SpUtils;
import com.github.chrisbanes.photoview.PhotoView;
import com.grass.mh.bean.FavoritePictureReqBean;
import com.grass.mh.databinding.ActivityGalleryViewBinding;
import com.grass.mh.viewmodel.EngagementViewModel;
import com.gyf.immersionbar.ImmersionBar;
import d.i.a.k.t.n;
import d.i.a.k.t.p;
import d.i.a.k.t.r;
import d.i.a.k.t.u;
import d.i.a.k.t.v;
import d.i.a.k.t.w;
import h.p.b.o;
import java.util.ArrayList;
import java.util.List;
import org.dsq.library.expand.GlideHelp;
import org.dsq.library.util.ResouUtils;
import org.dsq.library.widget.bigImage.SubsamplingScaleImageView;

/* compiled from: GalleryViewActivity.kt */
public final class GalleryViewActivity extends BaseActivity<ActivityGalleryViewBinding> {

    /* renamed from: l  reason: collision with root package name */
    public static final /* synthetic */ int f6397l = 0;
    public int m;
    public boolean n;
    public boolean o;
    public boolean p;
    public int q;
    public int r;
    public int s;
    public FavoritePictureReqBean t = new FavoritePictureReqBean();
    public UserAccount u;
    public UserInfo v;
    public CancelableDialogLoading w;

    /* compiled from: GalleryViewActivity.kt */
    public final class GalleryAdapter extends RecyclerView.Adapter<GalleryHolder> {

        /* renamed from: a  reason: collision with root package name */
        public final List<String> f6398a;

        /* renamed from: b  reason: collision with root package name */
        public final boolean f6399b;

        /* renamed from: c  reason: collision with root package name */
        public final /* synthetic */ GalleryViewActivity f6400c;

        public GalleryAdapter(GalleryViewActivity galleryViewActivity, List<String> list, boolean z) {
            o.e(galleryViewActivity, "this$0");
            o.e(list, "urls");
            this.f6400c = galleryViewActivity;
            this.f6398a = list;
            this.f6399b = z;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            return this.f6398a.size();
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [androidx.recyclerview.widget.RecyclerView$ViewHolder, int] */
        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(GalleryHolder galleryHolder, int i2) {
            GalleryHolder galleryHolder2 = galleryHolder;
            o.e(galleryHolder2, "holder");
            String str = this.f6398a.get(i2);
            boolean z = this.f6399b;
            o.e(str, "url");
            if (z) {
                galleryHolder2.f6402b.setVisibility(0);
                galleryHolder2.f6401a.setImageResource(ResouUtils.getDrawableIdByName("base_ic_default_video"));
                Context context = galleryHolder2.itemView.getContext();
                o.d(context, "itemView.context");
                GlideHelp.downloadImage(context, str, new GalleryViewActivity$GalleryHolder$dataBind$1(galleryHolder2));
                return;
            }
            PhotoView photoView = galleryHolder2.f6401a;
            o.d(photoView, "photoView");
            GlideHelp.loadBitmap$default(photoView, str, galleryHolder2.f6402b, false, 8, null);
        }

        /* Return type fixed from 'androidx.recyclerview.widget.RecyclerView$ViewHolder' to match base method */
        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public GalleryHolder onCreateViewHolder(ViewGroup viewGroup, int i2) {
            o.e(viewGroup, "parent");
            View inflate = LayoutInflater.from(viewGroup.getContext()).inflate(R.layout.item_gallery_view, viewGroup, false);
            if (!this.f6399b) {
                inflate.findViewById(R.id.photoLongView).setVisibility(8);
            }
            GalleryViewActivity galleryViewActivity = this.f6400c;
            o.d(inflate, "view");
            return new GalleryHolder(galleryViewActivity, inflate);
        }
    }

    /* compiled from: GalleryViewActivity.kt */
    public final class GalleryHolder extends RecyclerView.ViewHolder {

        /* renamed from: a  reason: collision with root package name */
        public final PhotoView f6401a;

        /* renamed from: b  reason: collision with root package name */
        public final ProgressBar f6402b;

        /* renamed from: c  reason: collision with root package name */
        public final SubsamplingScaleImageView f6403c;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        public GalleryHolder(GalleryViewActivity galleryViewActivity, View view) {
            super(view);
            o.e(galleryViewActivity, "this$0");
            o.e(view, "view");
            this.f6401a = (PhotoView) view.findViewById(R.id.photoView);
            ProgressBar progressBar = (ProgressBar) view.findViewById(R.id.progressView);
            this.f6402b = progressBar;
            this.f6403c = (SubsamplingScaleImageView) view.findViewById(R.id.photoLongView);
            progressBar.setIndeterminateDrawable(ResouUtils.getDrawable(ResouUtils.getDrawableIdByName("dialog_loading")));
        }
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public void B() {
        super.B();
        ImmersionBar.with(this).titleBar(((ActivityGalleryViewBinding) this.f4151h).q).init();
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public int E() {
        return R.layout.activity_gallery_view;
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    @SuppressLint({"SetTextI18n"})
    public void initData() {
        this.n = getIntent().getBooleanExtra("isLong", false);
        this.o = getIntent().getBooleanExtra("favorite", false);
        this.p = getIntent().getBooleanExtra("bought", false);
        getIntent().getIntExtra("imgNum", 0);
        this.q = getIntent().getIntExtra("portrayPicId", 0);
        this.r = getIntent().getIntExtra("picType", 0);
        this.s = getIntent().getIntExtra("price", 0);
        ((ActivityGalleryViewBinding) this.f4151h).setFavorite(this.o);
        FavoritePictureReqBean favoritePictureReqBean = this.t;
        favoritePictureReqBean.portrayPicId = this.q;
        favoritePictureReqBean.favorite = this.o;
        ArrayList<String> stringArrayListExtra = getIntent().getStringArrayListExtra("urls");
        if (stringArrayListExtra != null) {
            this.m = stringArrayListExtra.size();
            ((ActivityGalleryViewBinding) this.f4151h).f5347j.setAdapter(new GalleryAdapter(this, stringArrayListExtra, this.n));
        }
        int intExtra = getIntent().getIntExtra("position", 1);
        TextView textView = ((ActivityGalleryViewBinding) this.f4151h).o;
        StringBuilder sb = new StringBuilder();
        sb.append(intExtra);
        sb.append('/');
        sb.append(this.m);
        textView.setText(sb.toString());
        ((ActivityGalleryViewBinding) this.f4151h).f5347j.post(new n(intExtra, this));
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public void initView() {
        this.w = new CancelableDialogLoading(this);
        ((ActivityGalleryViewBinding) this.f4151h).r.setOnClickListener(new d.i.a.k.t.o(this));
        LinearLayoutManager linearLayoutManager = new LinearLayoutManager(this, 0, false);
        RecyclerView recyclerView = ((ActivityGalleryViewBinding) this.f4151h).f5347j;
        recyclerView.setLayoutManager(linearLayoutManager);
        new PagerSnapHelper().attachToRecyclerView(recyclerView);
        recyclerView.addOnScrollListener(new GalleryViewActivity$initView$2$1(linearLayoutManager, this));
        ((ActivityGalleryViewBinding) this.f4151h).f5346h.setOnClickListener(new u(this));
        ((ActivityGalleryViewBinding) this.f4151h).f5349l.setOnClickListener(new v(this));
        ((ActivityGalleryViewBinding) this.f4151h).s.setOnClickListener(new w(this));
        ((ActivityGalleryViewBinding) this.f4151h).f5348k.setOnClickListener(new p(this));
    }

    @Override // androidx.fragment.app.FragmentActivity
    public void onResume() {
        super.onResume();
        this.v = SpUtils.getInstance().getUserInfo();
        new EngagementViewModel().a().e(this, new r(this));
    }
}
