package com.grass.mh.ui.community;

import android.content.Intent;
import android.view.View;
import android.widget.TextView;
import androidx.lifecycle.MutableLiveData;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.bean.UserInfo;
import com.androidx.lv.base.ui.BaseActivity;
import com.androidx.lv.base.utils.ResourcesUtils;
import com.androidx.lv.base.utils.SpUtils;
import com.grass.mh.bean.CommentData;
import com.grass.mh.bean.PostsBean;
import com.grass.mh.databinding.ActivityPostDetailBinding;
import com.grass.mh.ui.comment.CommentAdapter;
import com.grass.mh.ui.comment.CommentVerticalLayout;
import com.grass.mh.ui.comment.InputTextDialog;
import com.grass.mh.utils.KeyBoardChangeListener;
import com.grass.mh.view.GridItemDecoration;
import com.grass.mh.viewmodel.CommunityViewModel;
import com.gyf.immersionbar.ImmersionBar;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.model.HttpParams;
import com.lzy.okgo.request.GetRequest;
import d.c.a.a.d.c;
import d.c.a.a.e.a;
import d.i.a.k.t.c0;
import d.i.a.k.t.d0;
import d.i.a.k.t.g0;
import d.i.a.k.t.i0;
import d.i.a.k.t.j0;
import d.i.a.k.t.l0;
import d.i.a.k.t.n0;
import d.i.a.k.t.p0;
import d.i.a.k.t.q0;
import d.i.a.k.t.s0;
import d.i.a.n.b;
import d.o.a.b.b.i;
import d.o.a.b.f.d;
import java.lang.ref.WeakReference;
import java.util.Objects;

public class PostDetailActivity extends BaseActivity<ActivityPostDetailBinding> implements CommentVerticalLayout.a, a, d, KeyBoardChangeListener.KeyBoardListener {

    /* renamed from: l  reason: collision with root package name */
    public static final /* synthetic */ int f6412l = 0;
    public int m = 1;
    public int n = 0;
    public int o = 0;
    public int p = 0;
    public int q = -1;
    public PostsBean r;
    public UserInfo s;
    public CommunityViewModel t;
    public KeyBoardChangeListener u;
    public CommentAdapter v;
    public InputTextDialog w;
    public d.p.a.d.a x;
    public WeakReference<PostDetailActivity> y = new WeakReference<>(this);

    @Override // com.androidx.lv.base.ui.BaseActivity
    public void B() {
        super.B();
        ImmersionBar.with(this).titleBar(((ActivityPostDetailBinding) this.f4151h).u).init();
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public int E() {
        return R.layout.activity_post_detail;
    }

    public final void G(TextView textView, boolean z) {
        if (z) {
            textView.setText("已关注");
            textView.setTextColor(ResourcesUtils.getColor(R.color.color_999999));
            textView.setBackground(ResourcesUtils.getDrawable(R.drawable.bg_999_solid_20));
            return;
        }
        textView.setText("关注");
        textView.setTextColor(ResourcesUtils.getColor(R.color.black));
        textView.setBackground(ResourcesUtils.getDrawable(R.drawable.bg_000_solid_20));
    }

    @Override // com.grass.mh.ui.comment.CommentVerticalLayout.a
    public void e(int i2, CommentData commentData, int i3, int i4) {
        if (i2 == R.id.tv_hide_comment) {
            this.v.f4119a.get(i4).setShowSecond(false);
            this.v.notifyDataSetChanged();
        } else if (commentData != null) {
            this.p = commentData.getCommentId();
            InputTextDialog inputTextDialog = this.w;
            StringBuilder B = d.a.a.a.a.B("回复：");
            B.append(commentData.getNickName());
            inputTextDialog.m.setHint(B.toString());
            this.w.show();
        }
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public void initData() {
        this.t = new CommunityViewModel();
        this.s = SpUtils.getInstance().getUserInfo();
        CommentAdapter commentAdapter = new CommentAdapter();
        this.v = commentAdapter;
        commentAdapter.f4120b = this;
        commentAdapter.f6345c = this;
        commentAdapter.f6346d = -1;
        ((ActivityPostDetailBinding) this.f4151h).f5563k.f6185d.setAdapter(commentAdapter);
        this.n = getIntent().getIntExtra("dynamicId", -1);
        InputTextDialog inputTextDialog = new InputTextDialog(this.y.get(), R.style.dialogCenter, null);
        this.w = inputTextDialog;
        inputTextDialog.o = new l0(this);
        if (this.n != -1) {
            ((ActivityPostDetailBinding) this.f4151h).f5563k.f6187j.showLoading();
            CommunityViewModel communityViewModel = this.t;
            int i2 = this.n;
            Objects.requireNonNull(communityViewModel);
            MutableLiveData mutableLiveData = new MutableLiveData();
            HttpParams httpParams = new HttpParams();
            httpParams.put("dynamicId", i2, new boolean[0]);
            String i3 = d.a.a.a.a.i(c.b.f7655a, new StringBuilder(), "/api/community/dynamic/dynamicInfo");
            d.i.a.n.a aVar = new d.i.a.n.a(mutableLiveData);
            ((GetRequest) ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(i3).tag(aVar.getTag())).cacheKey(i3)).params(httpParams)).cacheMode(CacheMode.NO_CACHE)).execute(aVar);
            mutableLiveData.e(this, new p0(this));
        }
        this.t.b().e(this, new j0(this));
        ((MutableLiveData) this.t.f7240c.getValue()).e(this, new n0(this));
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public void initView() {
        ((ActivityPostDetailBinding) this.f4151h).f5560d.setOnClickListener(new g0(this));
        ((ActivityPostDetailBinding) this.f4151h).t.setText("帖子正文");
        KeyBoardChangeListener keyBoardChangeListener = new KeyBoardChangeListener(this);
        this.u = keyBoardChangeListener;
        keyBoardChangeListener.setKeyBoardListener(this);
        ((ActivityPostDetailBinding) this.f4151h).f5563k.f6186h.w(this);
        if (((ActivityPostDetailBinding) this.f4151h).f5563k.f6185d.getItemDecorationCount() == 0) {
            ((ActivityPostDetailBinding) this.f4151h).f5563k.f6185d.addItemDecoration(new GridItemDecoration());
        }
        this.x = new d.p.a.d.a();
        ((ActivityPostDetailBinding) this.f4151h).n.f6198d.setOnClickListener(new c0(this));
        ((ActivityPostDetailBinding) this.f4151h).n.f6199h.setOnClickListener(new d0(this));
        ((ActivityPostDetailBinding) this.f4151h).o.setOnClickListener(new q0(this));
        ((ActivityPostDetailBinding) this.f4151h).m.f6196k.setOnClickListener(new s0(this));
        ((ActivityPostDetailBinding) this.f4151h).m.f6197l.setOnClickListener(new i0(this));
    }

    @Override // androidx.activity.ComponentActivity, com.androidx.lv.base.ui.BaseActivity
    public void onBackPressed() {
        if (this.r != null) {
            Intent intent = new Intent();
            intent.putExtra("isAttention", this.r.isAttention());
            intent.putExtra("commentNum", this.r.getCommentNum());
            setResult(-1, intent);
        }
        super.onBackPressed();
    }

    @Override // d.c.a.a.e.a
    public void onItemClick(View view, int i2) {
        this.q = i2;
        D d2 = this.v.f4119a.get(i2);
        if (view.getId() == R.id.tv_reply) {
            if (((CommentData) this.v.b(i2)).getReplyNum() == 0) {
                this.p = d2.getCommentId();
                InputTextDialog inputTextDialog = this.w;
                StringBuilder B = d.a.a.a.a.B("回复：");
                B.append(d2.getNickName());
                inputTextDialog.m.setHint(B.toString());
                this.w.show();
                return;
            } else if (((CommentData) this.v.b(i2)).isShowSecond()) {
                this.p = d2.getCommentId();
                InputTextDialog inputTextDialog2 = this.w;
                StringBuilder B2 = d.a.a.a.a.B("回复：");
                B2.append(d2.getNickName());
                inputTextDialog2.m.setHint(B2.toString());
                this.w.show();
                return;
            } else {
                CommunityViewModel communityViewModel = this.t;
                int i3 = this.n;
                int commentId = d2.getCommentId();
                Objects.requireNonNull(communityViewModel);
                String s2 = c.b.f7655a.s(i3, commentId, 1);
                b bVar = new b(communityViewModel);
                ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(s2).tag(bVar.getTag())).cacheKey(s2)).cacheMode(CacheMode.NO_CACHE)).execute(bVar);
            }
        }
        if (view.getId() == R.id.ll_parent_root) {
            int commentId2 = d2.getCommentId();
            this.o = commentId2;
            this.p = commentId2;
            InputTextDialog inputTextDialog3 = this.w;
            StringBuilder B3 = d.a.a.a.a.B("回复：");
            B3.append(d2.getNickName());
            inputTextDialog3.m.setHint(B3.toString());
            this.w.show();
        }
    }

    @Override // com.grass.mh.utils.KeyBoardChangeListener.KeyBoardListener
    public void onKeyboardChange(boolean z, int i2) {
        InputTextDialog inputTextDialog = this.w;
        Objects.requireNonNull(inputTextDialog);
        if (!z) {
            inputTextDialog.dismiss();
        }
    }

    @Override // d.o.a.b.f.b
    public void onLoadMore(i iVar) {
        int i2 = this.m + 1;
        this.m = i2;
        this.t.c(i2, this.n);
    }

    @Override // d.o.a.b.f.c
    public void onRefresh(i iVar) {
        this.m = 1;
        this.t.c(1, this.n);
    }
}
