package com.grass.mh.ui.mine.activity;

import android.content.Intent;
import android.text.Editable;
import android.text.TextWatcher;
import androidx.lifecycle.MutableLiveData;
import androidx.lifecycle.ViewModelProvider;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.bean.UserInfo;
import com.androidx.lv.base.dialog.ProgressBarDialog;
import com.androidx.lv.base.ui.BaseActivity;
import com.androidx.lv.base.utils.GlideEngine;
import com.androidx.lv.base.utils.PictureStyle;
import com.androidx.lv.base.utils.SpUtils;
import com.grass.mh.bean.EditInfoReq;
import com.grass.mh.databinding.ActivityEditUserInfoLayoutBinding;
import com.grass.mh.event.ChangeCityEvent;
import com.grass.mh.ui.mine.model.EditUserModel;
import com.gyf.immersionbar.ImmersionBar;
import com.luck.picture.lib.PictureSelector;
import com.luck.picture.lib.config.PictureMimeType;
import com.luck.picture.lib.entity.LocalMedia;
import com.luck.picture.lib.listener.OnResultCallbackListener;
import com.luck.picture.lib.permissions.PermissionChecker;
import com.luck.picture.lib.tools.PictureFileUtils;
import com.lzy.okgo.cookie.SerializableCookie;
import d.c.a.a.d.a;
import d.i.a.k.w.b.m;
import d.i.a.k.w.b.n;
import d.i.a.k.w.b.o;
import d.i.a.k.w.b.p;
import d.i.a.k.w.b.q;
import d.i.a.k.w.b.r;
import d.i.a.k.w.b.s;
import d.i.a.k.w.b.t;
import d.i.a.k.w.b.u;
import java.util.List;
import java.util.Objects;
import k.b.a.l;
import org.greenrobot.eventbus.ThreadMode;

public class EditUserInfoActivity extends BaseActivity<ActivityEditUserInfoLayoutBinding> {

    /* renamed from: l  reason: collision with root package name */
    public static final /* synthetic */ int f6971l = 0;
    public EditUserModel m;
    public EditInfoReq n;
    public ProgressBarDialog o;

    public class a implements TextWatcher {
        public a() {
        }

        public void afterTextChanged(Editable editable) {
            EditUserInfoActivity.this.n.setNickName(editable.toString());
        }

        public void beforeTextChanged(CharSequence charSequence, int i2, int i3, int i4) {
        }

        public void onTextChanged(CharSequence charSequence, int i2, int i3, int i4) {
        }
    }

    public class b implements TextWatcher {
        public b() {
        }

        public void afterTextChanged(Editable editable) {
            EditUserInfoActivity.this.n.setPersonSign(editable.toString());
        }

        public void beforeTextChanged(CharSequence charSequence, int i2, int i3, int i4) {
        }

        public void onTextChanged(CharSequence charSequence, int i2, int i3, int i4) {
            ((ActivityEditUserInfoLayoutBinding) EditUserInfoActivity.this.f4151h).b(Integer.valueOf(charSequence.length()));
        }
    }

    public class c implements OnResultCallbackListener<LocalMedia> {
        public c() {
        }

        @Override // com.luck.picture.lib.listener.OnResultCallbackListener
        public void onCancel() {
        }

        @Override // com.luck.picture.lib.listener.OnResultCallbackListener
        public void onResult(List<LocalMedia> list) {
            if (list != null && list.size() > 0) {
                try {
                    LocalMedia localMedia = list.get(0);
                    EditUserInfoActivity.this.n.setLogo(localMedia.getCutPath());
                    EditUserInfoActivity editUserInfoActivity = EditUserInfoActivity.this;
                    ((ActivityEditUserInfoLayoutBinding) editUserInfoActivity.f4151h).d(editUserInfoActivity.n);
                    ((ActivityEditUserInfoLayoutBinding) EditUserInfoActivity.this.f4151h).c(localMedia.getCutPath());
                } catch (Exception e2) {
                    e2.printStackTrace();
                }
            }
        }
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public void B() {
        super.B();
        d.a.a.a.a.Q(ImmersionBar.with(this), ((ActivityEditUserInfoLayoutBinding) this.f4151h).r, true);
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public int E() {
        return R.layout.activity_edit_user_info_layout;
    }

    public final void G() {
        PictureSelector.create(this).openGallery(PictureMimeType.ofImage()).imageEngine(GlideEngine.createGlideEngine()).setPictureStyle(PictureStyle.getInstance(this).getPictureParameterStyle()).setPictureCropStyle(PictureStyle.getInstance(this).getCropParameterStyle()).selectionMode(1).isPreviewImage(true).isCamera(true).isEnableCrop(true).isCompress(true).withAspectRatio(1, 1).freeStyleCropEnabled(true).circleDimmedLayer(true).showCropFrame(false).showCropGrid(false).minimumCompressSize(100).forResult(new c());
    }

    public final void H(String str) {
        if (this.o == null) {
            this.o = new ProgressBarDialog(this);
        }
        if (!this.o.isShowing()) {
            this.o.show();
        }
        this.o.setHint(str);
    }

    @l(threadMode = ThreadMode.MAIN)
    public void changeCityEventClick(ChangeCityEvent changeCityEvent) {
        if (changeCityEvent.getType() == 1) {
            ((ActivityEditUserInfoLayoutBinding) this.f4151h).setCityName(changeCityEvent.getCityEntity().getName());
            this.n.setCode(changeCityEvent.getCityEntity().getCode());
        }
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public void initView() {
        ((ActivityEditUserInfoLayoutBinding) this.f4151h).f5325d.setOnClickListener(new s(this));
        ((ActivityEditUserInfoLayoutBinding) this.f4151h).q.setText("我的资料");
        k.b.a.c.b().j(this);
        ((ActivityEditUserInfoLayoutBinding) this.f4151h).b(0);
        ((ActivityEditUserInfoLayoutBinding) this.f4151h).n.setOnClickListener(new m(this));
        ((ActivityEditUserInfoLayoutBinding) this.f4151h).p.setOnClickListener(new u(this));
        ((ActivityEditUserInfoLayoutBinding) this.f4151h).o.setOnClickListener(new t(this));
        ((ActivityEditUserInfoLayoutBinding) this.f4151h).s.setOnClickListener(new p(this));
        this.m = (EditUserModel) new ViewModelProvider(this).a(EditUserModel.class);
        this.n = new EditInfoReq();
        UserInfo userInfo = SpUtils.getInstance().getUserInfo();
        this.n.setNickName(userInfo.getNickName());
        this.n.setPersonSign(userInfo.getPersonSign());
        this.n.setGender(userInfo.getGender());
        this.n.setLogo(userInfo.getLogo());
        this.n.setCode(userInfo.getCityCode());
        ((ActivityEditUserInfoLayoutBinding) this.f4151h).c(SpUtils.getInstance().getString(SerializableCookie.DOMAIN) + userInfo.getLogo());
        ((ActivityEditUserInfoLayoutBinding) this.f4151h).setCityName(userInfo.getCityName());
        ((ActivityEditUserInfoLayoutBinding) this.f4151h).d(this.n);
        ((ActivityEditUserInfoLayoutBinding) this.f4151h).f5328k.addTextChangedListener(new a());
        ((ActivityEditUserInfoLayoutBinding) this.f4151h).f5327j.addTextChangedListener(new b());
        ((ActivityEditUserInfoLayoutBinding) this.f4151h).f5329l.setOnClickListener(new q(this));
        ((ActivityEditUserInfoLayoutBinding) this.f4151h).m.setOnClickListener(new n(this));
        EditUserModel editUserModel = this.m;
        if (editUserModel.f7192b == null) {
            editUserModel.f7192b = new MutableLiveData<>();
        }
        editUserModel.f7192b.e(this, new r(this));
        EditUserModel editUserModel2 = this.m;
        if (editUserModel2.f7191a == null) {
            editUserModel2.f7191a = new MutableLiveData<>();
        }
        editUserModel2.f7191a.e(this, new o(this));
    }

    @Override // androidx.activity.ComponentActivity, androidx.fragment.app.FragmentActivity
    public void onActivityResult(int i2, int i3, Intent intent) {
        super.onActivityResult(i2, i3, intent);
    }

    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, com.androidx.lv.base.ui.BaseActivity
    public void onDestroy() {
        k.b.a.c.b().l(this);
        super.onDestroy();
        if (PermissionChecker.checkSelfPermission(this, "android.permission.WRITE_EXTERNAL_STORAGE")) {
            PictureFileUtils.deleteAllCacheDirFile(this);
        } else {
            PermissionChecker.requestPermissions(this, new String[]{"android.permission.WRITE_EXTERNAL_STORAGE"}, 1);
        }
        Objects.requireNonNull(this.m);
        d.c.a.a.d.a aVar = a.b.f7651a;
        aVar.a("uploadImg");
        aVar.a("logo");
        aVar.a("modifyInfo");
    }
}
