package com.grass.mh.ui.mine.activity;

import android.graphics.BitmapFactory;
import android.os.Build;
import android.text.TextUtils;
import android.view.View;
import androidx.lifecycle.MutableLiveData;
import androidx.lifecycle.Observer;
import androidx.lifecycle.ViewModelProvider;
import b.o.a.n;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.bean.UserInfo;
import com.androidx.lv.base.dialog.ProgressBarDialog;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.ui.BaseActivity;
import com.androidx.lv.base.utils.GlideEngine;
import com.androidx.lv.base.utils.LogUtils;
import com.androidx.lv.base.utils.PictureStyle;
import com.androidx.lv.base.utils.QRHelper;
import com.androidx.lv.base.utils.SpUtils;
import com.androidx.lv.base.utils.ToastUtils;
import com.grass.mh.databinding.ActivityRetrieveAccCredentialLayoutBinding;
import com.grass.mh.ui.mine.model.RecoverAccountModel;
import com.gyf.immersionbar.ImmersionBar;
import com.luck.picture.lib.PictureSelector;
import com.luck.picture.lib.config.PictureMimeType;
import com.luck.picture.lib.entity.LocalMedia;
import com.luck.picture.lib.listener.OnResultCallbackListener;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.request.PostRequest;
import com.tbruyelle.rxpermissions2.RxPermissions;
import d.c.a.a.d.c;
import d.i.a.k.w.b.a3;
import io.reactivex.internal.functions.Functions;
import java.util.Iterator;
import java.util.List;
import java.util.Objects;
import okhttp3.Call;
import okhttp3.OkHttpClient;
import org.json.JSONObject;

public class RetrieveAccCredentialActivity extends BaseActivity<ActivityRetrieveAccCredentialLayoutBinding> {

    /* renamed from: l  reason: collision with root package name */
    public static final /* synthetic */ int f7045l = 0;
    public RecoverAccountModel m;
    public ProgressBarDialog n;

    public class a implements View.OnClickListener {
        public a() {
        }

        public void onClick(View view) {
            RetrieveAccCredentialActivity.this.finish();
        }
    }

    public class b implements View.OnClickListener {
        public b() {
        }

        public void onClick(View view) {
            RetrieveAccCredentialActivity retrieveAccCredentialActivity = RetrieveAccCredentialActivity.this;
            int i2 = RetrieveAccCredentialActivity.f7045l;
            Objects.requireNonNull(retrieveAccCredentialActivity);
            if (Build.VERSION.SDK_INT >= 23) {
                new RxPermissions(retrieveAccCredentialActivity).request("android.permission.READ_EXTERNAL_STORAGE", "android.permission.CAMERA").i(new a3(retrieveAccCredentialActivity), Functions.f13358e, Functions.f13356c, Functions.f13357d);
            } else {
                retrieveAccCredentialActivity.H();
            }
        }
    }

    public class c implements Observer<BaseRes<UserInfo>> {
        public c() {
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // androidx.lifecycle.Observer
        public void onChanged(BaseRes<UserInfo> baseRes) {
            BaseRes<UserInfo> baseRes2 = baseRes;
            ProgressBarDialog progressBarDialog = RetrieveAccCredentialActivity.this.n;
            if (progressBarDialog != null) {
                progressBarDialog.dismiss();
            }
            if (baseRes2.getCode() != 200 || baseRes2.getData() == null) {
                ToastUtils.getInstance().showWrong(baseRes2.getMsg());
                return;
            }
            UserInfo data = baseRes2.getData();
            SpUtils.getInstance().setUserInfo(data);
            SpUtils.getInstance().put("token", data.getToken());
            ToastUtils.getInstance().showCorrect("賬號切換成功");
            RetrieveAccCredentialActivity.this.finish();
        }
    }

    public class d implements OnResultCallbackListener<LocalMedia> {
        public d() {
        }

        @Override // com.luck.picture.lib.listener.OnResultCallbackListener
        public void onCancel() {
            LogUtils.e("RetrieveAccCredential", "PictureSelector Cancel");
        }

        @Override // com.luck.picture.lib.listener.OnResultCallbackListener
        public void onResult(List<LocalMedia> list) {
            if (list != null && list.size() > 0) {
                try {
                    RetrieveAccCredentialActivity.G(RetrieveAccCredentialActivity.this, list.get(0).getRealPath());
                } catch (Exception e2) {
                    e2.printStackTrace();
                }
            }
        }
    }

    public static void G(RetrieveAccCredentialActivity retrieveAccCredentialActivity, String str) {
        retrieveAccCredentialActivity.n.show();
        String result = QRHelper.getResult(BitmapFactory.decodeFile(str));
        LogUtils.e("---->", result);
        if (TextUtils.isEmpty(result)) {
            ProgressBarDialog progressBarDialog = retrieveAccCredentialActivity.n;
            if (progressBarDialog != null) {
                progressBarDialog.dismiss();
            }
            ToastUtils.getInstance().showSigh("無效的二維碼");
            return;
        }
        String[] split = result.split("\\*");
        if (split.length < 2) {
            ProgressBarDialog progressBarDialog2 = retrieveAccCredentialActivity.n;
            if (progressBarDialog2 != null) {
                progressBarDialog2.dismiss();
            }
            ToastUtils.getInstance().showSigh("非賬號憑證二維碼");
            return;
        }
        RecoverAccountModel recoverAccountModel = retrieveAccCredentialActivity.m;
        String str2 = split[0];
        String str3 = split[1];
        Objects.requireNonNull(recoverAccountModel);
        String i2 = d.a.a.a.a.i(c.b.f7655a, new StringBuilder(), "/api/user/traveler/scan");
        d.c.a.a.d.b b2 = d.c.a.a.d.b.b();
        b2.a("deviceId", str2);
        b2.a("userId", str3);
        JSONObject jSONObject = d.c.a.a.d.b.f7653b;
        d.i.a.k.w.e.c cVar = new d.i.a.k.w.e.c(recoverAccountModel, "recoverAccount");
        ((PostRequest) ((PostRequest) ((PostRequest) d.a.a.a.a.c(jSONObject, d.a.a.a.a.F(i2, "_"), (PostRequest) new PostRequest(i2).tag(cVar.getTag()))).upJson(jSONObject)).cacheMode(CacheMode.NO_CACHE)).execute(cVar);
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public void B() {
        super.B();
        d.a.a.a.a.Q(ImmersionBar.with(this), ((ActivityRetrieveAccCredentialLayoutBinding) this.f4151h).f5621d, true);
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public int E() {
        return R.layout.activity_retrieve_acc_credential_layout;
    }

    public final void H() {
        PictureSelector.create(this).openGallery(PictureMimeType.ofImage()).imageEngine(GlideEngine.createGlideEngine()).setPictureStyle(PictureStyle.getInstance(this).getPictureParameterStyle()).setPictureCropStyle(PictureStyle.getInstance(this).getCropParameterStyle()).isCamera(false).selectionMode(1).forResult(new d());
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public void initView() {
        this.m = (RecoverAccountModel) new ViewModelProvider(this).a(RecoverAccountModel.class);
        ((ActivityRetrieveAccCredentialLayoutBinding) this.f4151h).f5622h.setOnClickListener(new a());
        ((ActivityRetrieveAccCredentialLayoutBinding) this.f4151h).f5623j.setOnClickListener(new b());
        this.n = new ProgressBarDialog(this);
        RecoverAccountModel recoverAccountModel = this.m;
        if (recoverAccountModel.f7194a == null) {
            recoverAccountModel.f7194a = new MutableLiveData<>();
        }
        recoverAccountModel.f7194a.e(this, new c());
    }

    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, com.androidx.lv.base.ui.BaseActivity
    public void onDestroy() {
        RecoverAccountModel recoverAccountModel = this.m;
        if (recoverAccountModel != null) {
            Objects.requireNonNull(recoverAccountModel);
            OkHttpClient D0 = n.D0();
            if (D0 != null) {
                Iterator I = d.a.a.a.a.I(D0);
                while (I.hasNext()) {
                    Call call = (Call) I.next();
                    if (d.a.a.a.a.Z(call, "recoverAccount")) {
                        call.cancel();
                    }
                }
                Iterator J = d.a.a.a.a.J(D0);
                while (J.hasNext()) {
                    Call call2 = (Call) J.next();
                    if (d.a.a.a.a.Z(call2, "recoverAccount")) {
                        call2.cancel();
                    }
                }
            }
        }
        super.onDestroy();
    }
}
