package com.grass.mh.ui.mine.activity;

import android.content.Context;
import android.content.Intent;
import android.graphics.Bitmap;
import android.net.Uri;
import android.os.Build;
import android.provider.MediaStore;
import android.text.TextUtils;
import android.view.View;
import androidx.lifecycle.MutableLiveData;
import androidx.lifecycle.Observer;
import androidx.lifecycle.ViewModelProvider;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.ui.BaseActivity;
import com.androidx.lv.base.utils.PlayPathUtils;
import com.androidx.lv.base.utils.QRCodeUtil;
import com.androidx.lv.base.utils.SpUtils;
import com.androidx.lv.base.utils.ToastUtils;
import com.androidx.lv.base.utils.UiUtils;
import com.grass.mh.bean.ShareBean;
import com.grass.mh.databinding.ActivityShareLayoutBinding;
import com.grass.mh.ui.mine.model.ShareModel;
import com.gyf.immersionbar.ImmersionBar;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.request.GetRequest;
import com.tbruyelle.rxpermissions2.RxPermissions;
import d.c.a.a.d.c;
import d.i.a.k.w.b.c3;
import io.reactivex.internal.functions.Functions;
import java.io.File;
import java.io.FileOutputStream;
import java.util.Objects;

public class ShareActivity extends BaseActivity<ActivityShareLayoutBinding> {

    /* renamed from: l  reason: collision with root package name */
    public static final /* synthetic */ int f7051l = 0;
    public int m;
    public ShareModel n;
    public String o;
    public String p;

    public class a implements View.OnClickListener {
        public a() {
        }

        public void onClick(View view) {
            ShareActivity shareActivity = ShareActivity.this;
            int i2 = ShareActivity.f7051l;
            if (!shareActivity.C()) {
                ShareActivity.this.finish();
            }
        }
    }

    public class b implements View.OnClickListener {
        public b() {
        }

        public void onClick(View view) {
            ShareActivity shareActivity = ShareActivity.this;
            int i2 = ShareActivity.f7051l;
            if (!shareActivity.C()) {
                ShareActivity shareActivity2 = ShareActivity.this;
                ShareActivity shareActivity3 = ShareActivity.this;
                Objects.requireNonNull(shareActivity3);
                shareActivity2.startActivity(new Intent(shareActivity3, MyShareListActivity.class));
            }
        }
    }

    public class c implements View.OnClickListener {
        public c() {
        }

        public void onClick(View view) {
            ShareActivity shareActivity = ShareActivity.this;
            int i2 = ShareActivity.f7051l;
            if (!shareActivity.C()) {
                if (TextUtils.isEmpty(ShareActivity.this.o)) {
                    ToastUtils.getInstance().showWrong("鏈接錯誤");
                    return;
                }
                ((ActivityShareLayoutBinding) ShareActivity.this.f4151h).f5643j.setVisibility(8);
                ((ActivityShareLayoutBinding) ShareActivity.this.f4151h).f5645l.setVisibility(8);
                ((ActivityShareLayoutBinding) ShareActivity.this.f4151h).m.setVisibility(8);
                ShareActivity shareActivity2 = ShareActivity.this;
                Objects.requireNonNull(shareActivity2);
                shareActivity2.getWindow().getDecorView().setDrawingCacheEnabled(true);
                Bitmap drawingCache = shareActivity2.getWindow().getDecorView().getDrawingCache();
                ShareActivity shareActivity3 = ShareActivity.this;
                Objects.requireNonNull(shareActivity3);
                if (Build.VERSION.SDK_INT >= 23) {
                    new RxPermissions(shareActivity3).request("android.permission.WRITE_EXTERNAL_STORAGE").i(new c3(shareActivity3, drawingCache), Functions.f13358e, Functions.f13356c, Functions.f13357d);
                } else {
                    shareActivity3.G(shareActivity3, drawingCache);
                }
            }
        }
    }

    public class d implements View.OnClickListener {
        public d() {
        }

        public void onClick(View view) {
            ShareActivity shareActivity = ShareActivity.this;
            int i2 = ShareActivity.f7051l;
            if (!shareActivity.C()) {
                if (TextUtils.isEmpty(ShareActivity.this.o)) {
                    ToastUtils.getInstance().showWrong("鏈接錯誤");
                } else if (!UiUtils.copyContentClipboard(ShareActivity.this.o)) {
                    ToastUtils.getInstance().showWrong("復制失敗");
                } else {
                    ToastUtils.getInstance().showCorrect("復制成功");
                }
            }
        }
    }

    public class e implements Observer<BaseRes<ShareBean>> {
        public e() {
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // androidx.lifecycle.Observer
        public void onChanged(BaseRes<ShareBean> baseRes) {
            BaseRes<ShareBean> baseRes2 = baseRes;
            if (baseRes2.getCode() == 200) {
                ShareActivity.this.o = baseRes2.getData().getUrl();
                ((ActivityShareLayoutBinding) ShareActivity.this.f4151h).f5642h.setImageBitmap(QRCodeUtil.createQRCode(ShareActivity.this.o, 400));
                String[] split = ShareActivity.this.o.split("\\?");
                if (split.length > 0) {
                    ((ActivityShareLayoutBinding) ShareActivity.this.f4151h).c(split[0]);
                    return;
                }
                return;
            }
            ToastUtils.getInstance().showWrong(UiUtils.getString(R.string.hit_no_net));
        }
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public void B() {
        super.B();
        d.a.a.a.a.Q(ImmersionBar.with(this), ((ActivityShareLayoutBinding) this.f4151h).f5643j, true);
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public int E() {
        return R.layout.activity_share_layout;
    }

    public void G(Context context, Bitmap bitmap) {
        ((ActivityShareLayoutBinding) this.f4151h).f5643j.setVisibility(0);
        ((ActivityShareLayoutBinding) this.f4151h).f5645l.setVisibility(0);
        ((ActivityShareLayoutBinding) this.f4151h).m.setVisibility(0);
        File file = new File(PlayPathUtils.getPicSavePath());
        if (!file.exists()) {
            file.mkdir();
        }
        String str = System.currentTimeMillis() + ".jpg";
        File file2 = new File(file, str);
        try {
            FileOutputStream fileOutputStream = new FileOutputStream(file2);
            bitmap.compress(Bitmap.CompressFormat.JPEG, 100, fileOutputStream);
            fileOutputStream.flush();
            fileOutputStream.close();
            MediaStore.Images.Media.insertImage(context.getContentResolver(), file2.getAbsolutePath(), str, (String) null);
            context.sendBroadcast(new Intent("android.intent.action.MEDIA_SCANNER_SCAN_FILE", Uri.fromFile(file2)));
            ToastUtils.getInstance().showCorrect("保存成功");
        } catch (Exception e2) {
            e2.printStackTrace();
            ToastUtils.getInstance().showWrong("保存失败");
        }
    }

    @Override // com.androidx.lv.base.ui.BaseActivity
    public void initView() {
        this.m = getIntent().getIntExtra("videoId", 0);
        this.n = (ShareModel) new ViewModelProvider(this).a(ShareModel.class);
        ((ActivityShareLayoutBinding) this.f4151h).f5641d.setOnClickListener(new a());
        ((ActivityShareLayoutBinding) this.f4151h).f5644k.setOnClickListener(new b());
        ((ActivityShareLayoutBinding) this.f4151h).f5645l.setOnClickListener(new c());
        ((ActivityShareLayoutBinding) this.f4151h).m.setOnClickListener(new d());
        String inviteCode = SpUtils.getInstance().getUserInfo().getInviteCode();
        this.p = inviteCode;
        ((ActivityShareLayoutBinding) this.f4151h).b(inviteCode);
        ShareModel shareModel = this.n;
        int i2 = this.m;
        if (shareModel.f7195a == null) {
            shareModel.f7195a = new MutableLiveData<>();
            String j2 = d.a.a.a.a.j(c.b.f7655a, new StringBuilder(), "/api/user/shared/link?videoId=", i2);
            d.i.a.k.w.e.d dVar = new d.i.a.k.w.e.d(shareModel, "shareData", this);
            ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(j2).tag(dVar.getTag())).cacheKey(j2)).cacheMode(CacheMode.NO_CACHE)).execute(dVar);
        }
        shareModel.f7195a.e(this, new e());
    }

    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, com.androidx.lv.base.ui.BaseActivity
    public void onDestroy() {
        this.n.a();
        super.onDestroy();
    }
}
