package com.grass.mh.ui.mine.adapter;

import android.graphics.Color;
import android.text.Spannable;
import android.text.TextPaint;
import android.text.method.LinkMovementMethod;
import android.text.style.URLSpan;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import androidx.recyclerview.widget.RecyclerView;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.bean.NoticeBean;
import com.androidx.lv.base.recycler.BaseRecyclerAdapter;
import com.androidx.lv.base.recycler.BaseRecyclerHolder;
import com.androidx.lv.base.utils.TimeUtils;
import d.a.a.a.a;
import java.util.Objects;

public class NotificationAdapter extends BaseRecyclerAdapter<NoticeBean, ViewHolder> {

    public static class URLSpanNoUnderline extends URLSpan {
        public static final /* synthetic */ boolean $assertionsDisabled = false;

        public URLSpanNoUnderline(String str) {
            super(str);
        }

        public void updateDrawState(TextPaint textPaint) {
            super.updateDrawState(textPaint);
            textPaint.setColor(Color.parseColor("#7774FD"));
            textPaint.setUnderlineText(false);
        }
    }

    public class ViewHolder extends BaseRecyclerHolder {

        /* renamed from: k  reason: collision with root package name */
        public TextView f7123k;

        /* renamed from: l  reason: collision with root package name */
        public TextView f7124l;
        public TextView m;

        public ViewHolder(View view) {
            super(view);
            this.f7123k = (TextView) view.findViewById(R.id.tv_title);
            this.f7124l = (TextView) view.findViewById(R.id.tv_content);
            this.m = (TextView) view.findViewById(R.id.tv_time);
        }
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [com.androidx.lv.base.recycler.BaseRecyclerHolder, int] */
    @Override // com.androidx.lv.base.recycler.BaseRecyclerAdapter
    public void a(ViewHolder viewHolder, int i2) {
        ViewHolder viewHolder2 = viewHolder;
        NoticeBean noticeBean = (NoticeBean) b(i2);
        viewHolder2.f7123k.setText(noticeBean.getProducerName());
        viewHolder2.f7124l.setText(noticeBean.getContent());
        viewHolder2.m.setText(TimeUtils.utcToChina(noticeBean.getCreatedAt()));
        NotificationAdapter notificationAdapter = NotificationAdapter.this;
        TextView textView = viewHolder2.f7124l;
        Objects.requireNonNull(notificationAdapter);
        if (textView != null && (textView.getText() instanceof Spannable)) {
            Spannable spannable = (Spannable) textView.getText();
            URLSpan[] uRLSpanArr = (URLSpan[]) spannable.getSpans(0, spannable.length(), URLSpan.class);
            for (URLSpan uRLSpan : uRLSpanArr) {
                int spanStart = spannable.getSpanStart(uRLSpan);
                int spanEnd = spannable.getSpanEnd(uRLSpan);
                spannable.removeSpan(uRLSpan);
                spannable.setSpan(new URLSpanNoUnderline(uRLSpan.getURL()), spanStart, spanEnd, 0);
            }
            textView.setAutoLinkMask(0);
            textView.setText(spannable);
            textView.setMovementMethod(LinkMovementMethod.getInstance());
        }
    }

    public ViewHolder g(ViewGroup viewGroup) {
        return new ViewHolder(a.b0(viewGroup, R.layout.item_notification_layout, viewGroup, false));
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public /* bridge */ /* synthetic */ RecyclerView.ViewHolder onCreateViewHolder(ViewGroup viewGroup, int i2) {
        return g(viewGroup);
    }
}
