package com.grass.mh.view;

import android.view.View;
import com.androidjks.acfan.d1682156448763174048.R;
import com.grass.mh.view.TimePickerView;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Arrays;
import java.util.List;
import okhttp3.internal.cache.DiskLruCache;

public class WheelTime {
    public static final int DEFULT_END_YEAR = 2100;
    public static final int DEFULT_START_YEAR = 1990;
    public static DateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm");
    private int endYear = DEFULT_END_YEAR;
    private float mTextSize = 5.0f;
    private int startYear = DEFULT_START_YEAR;
    private TimePickerView.Type type;
    private View view;
    private WheelView wv_day;
    private WheelView wv_hours;
    private WheelView wv_mins;
    private WheelView wv_month;
    private WheelView wv_year;

    /* renamed from: com.grass.mh.view.WheelTime$3  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass3 {
        public static final /* synthetic */ int[] $SwitchMap$com$grass$mh$view$TimePickerView$Type;

        /* JADX WARNING: Can't wrap try/catch for region: R(12:0|1|2|3|4|5|6|7|8|9|10|12) */
        /* JADX WARNING: Code restructure failed: missing block: B:13:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0011 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001c */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0027 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x0032 */
        static {
            TimePickerView.Type.values();
            int[] iArr = new int[5];
            $SwitchMap$com$grass$mh$view$TimePickerView$Type = iArr;
            iArr[TimePickerView.Type.ALL.ordinal()] = 1;
            $SwitchMap$com$grass$mh$view$TimePickerView$Type[TimePickerView.Type.YEAR_MONTH_DAY.ordinal()] = 2;
            $SwitchMap$com$grass$mh$view$TimePickerView$Type[TimePickerView.Type.HOURS_MINS.ordinal()] = 3;
            $SwitchMap$com$grass$mh$view$TimePickerView$Type[TimePickerView.Type.MONTH_DAY_HOUR_MIN.ordinal()] = 4;
            $SwitchMap$com$grass$mh$view$TimePickerView$Type[TimePickerView.Type.YEAR_MONTH.ordinal()] = 5;
        }
    }

    public WheelTime(View view2, TimePickerView.Type type2) {
        this.view = view2;
        this.type = type2;
        setView(view2);
    }

    public int getEndYear() {
        return this.endYear;
    }

    public int getStartYear() {
        return this.startYear;
    }

    public String getTime() {
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append(this.wv_year.getCurrentItem() + this.startYear);
        stringBuffer.append("-");
        stringBuffer.append(this.wv_month.getCurrentItem() + 1);
        stringBuffer.append("-");
        stringBuffer.append(this.wv_day.getCurrentItem() + 1);
        stringBuffer.append(" ");
        stringBuffer.append(this.wv_hours.getCurrentItem());
        stringBuffer.append(":");
        stringBuffer.append(this.wv_mins.getCurrentItem());
        return stringBuffer.toString();
    }

    public View getView() {
        return this.view;
    }

    public void setCyclic(boolean z) {
        this.wv_year.setCyclic(z);
        this.wv_month.setCyclic(z);
        this.wv_day.setCyclic(z);
        this.wv_hours.setCyclic(z);
        this.wv_mins.setCyclic(z);
    }

    public void setEndYear(int i2) {
        this.endYear = i2;
    }

    public void setPicker(int i2, int i3, int i4) {
        setPicker(i2, i3, i4, 0, 0);
    }

    public void setStartYear(int i2) {
        this.startYear = i2;
    }

    public void setTextSize(float f2) {
        this.mTextSize = f2;
        setTextSize();
    }

    public void setView(View view2) {
        this.view = view2;
    }

    public void setPicker(int i2, int i3, int i4, int i5, int i6) {
        final List asList = Arrays.asList(DiskLruCache.VERSION_1, "3", "5", "7", "8", "10", "12");
        final List asList2 = Arrays.asList("4", "6", "9", "11");
        this.view.getContext();
        WheelView wheelView = (WheelView) this.view.findViewById(R.id.year);
        this.wv_year = wheelView;
        wheelView.setAdapter(new NumericWheelAdapter(this.startYear, this.endYear));
        this.wv_year.setLabel("年");
        this.wv_year.setCurrentItem(i2 - this.startYear);
        WheelView wheelView2 = (WheelView) this.view.findViewById(R.id.month);
        this.wv_month = wheelView2;
        wheelView2.setAdapter(new NumericWheelAdapter(1, 12));
        this.wv_month.setLabel("月");
        this.wv_month.setCurrentItem(i3);
        this.wv_day = (WheelView) this.view.findViewById(R.id.day);
        int i7 = i3 + 1;
        if (asList.contains(String.valueOf(i7))) {
            this.wv_day.setAdapter(new NumericWheelAdapter(1, 31));
        } else if (asList2.contains(String.valueOf(i7))) {
            this.wv_day.setAdapter(new NumericWheelAdapter(1, 30));
        } else if ((i2 % 4 != 0 || i2 % 100 == 0) && i2 % 400 != 0) {
            this.wv_day.setAdapter(new NumericWheelAdapter(1, 28));
        } else {
            this.wv_day.setAdapter(new NumericWheelAdapter(1, 29));
        }
        this.wv_day.setLabel("日");
        this.wv_day.setCurrentItem(i4 - 1);
        WheelView wheelView3 = (WheelView) this.view.findViewById(R.id.hour);
        this.wv_hours = wheelView3;
        wheelView3.setAdapter(new NumericWheelAdapter(0, 23));
        this.wv_hours.setLabel("时");
        this.wv_hours.setCurrentItem(i5);
        WheelView wheelView4 = (WheelView) this.view.findViewById(R.id.min);
        this.wv_mins = wheelView4;
        wheelView4.setAdapter(new NumericWheelAdapter(0, 59));
        this.wv_mins.setLabel("分");
        this.wv_mins.setCurrentItem(i6);
        AnonymousClass1 r8 = new OnItemSelectedListener() {
            /* class com.grass.mh.view.WheelTime.AnonymousClass1 */

            @Override // com.grass.mh.view.OnItemSelectedListener
            public void onItemSelected(int i2) {
                int i3 = WheelTime.this.startYear + i2;
                int i4 = 28;
                if (asList.contains(String.valueOf(WheelTime.this.wv_month.getCurrentItem() + 1))) {
                    WheelTime.this.wv_day.setAdapter(new NumericWheelAdapter(1, 31));
                    i4 = 31;
                } else if (asList2.contains(String.valueOf(WheelTime.this.wv_month.getCurrentItem() + 1))) {
                    WheelTime.this.wv_day.setAdapter(new NumericWheelAdapter(1, 30));
                    i4 = 30;
                } else if ((i3 % 4 != 0 || i3 % 100 == 0) && i3 % 400 != 0) {
                    WheelTime.this.wv_day.setAdapter(new NumericWheelAdapter(1, 28));
                } else {
                    WheelTime.this.wv_day.setAdapter(new NumericWheelAdapter(1, 29));
                    i4 = 29;
                }
                int i5 = i4 - 1;
                if (WheelTime.this.wv_day.getCurrentItem() > i5) {
                    WheelTime.this.wv_day.setCurrentItem(i5);
                }
            }
        };
        AnonymousClass2 r9 = new OnItemSelectedListener() {
            /* class com.grass.mh.view.WheelTime.AnonymousClass2 */

            /* JADX WARNING: Code restructure failed: missing block: B:9:0x006d, code lost:
                if (((r6.this$0.startYear + r6.this$0.wv_year.getCurrentItem()) % 100) == 0) goto L_0x006f;
             */
            @Override // com.grass.mh.view.OnItemSelectedListener
            public void onItemSelected(int i2) {
                int i3 = i2 + 1;
                int i4 = 28;
                if (asList.contains(String.valueOf(i3))) {
                    WheelTime.this.wv_day.setAdapter(new NumericWheelAdapter(1, 31));
                    i4 = 31;
                } else if (asList2.contains(String.valueOf(i3))) {
                    WheelTime.this.wv_day.setAdapter(new NumericWheelAdapter(1, 30));
                    i4 = 30;
                } else {
                    if ((WheelTime.this.startYear + WheelTime.this.wv_year.getCurrentItem()) % 4 == 0) {
                    }
                    if ((WheelTime.this.startYear + WheelTime.this.wv_year.getCurrentItem()) % 400 != 0) {
                        WheelTime.this.wv_day.setAdapter(new NumericWheelAdapter(1, 28));
                    }
                    WheelTime.this.wv_day.setAdapter(new NumericWheelAdapter(1, 29));
                    i4 = 29;
                }
                int i5 = i4 - 1;
                if (WheelTime.this.wv_day.getCurrentItem() > i5) {
                    WheelTime.this.wv_day.setCurrentItem(i5);
                }
            }
        };
        this.wv_year.setOnItemSelectedListener(r8);
        this.wv_month.setOnItemSelectedListener(r9);
        setTextSize();
    }

    private void setTextSize() {
        float f2 = this.mTextSize;
        int ordinal = this.type.ordinal();
        if (ordinal == 0) {
            f2 *= 3.0f;
        } else if (ordinal == 1) {
            f2 *= 4.0f;
            this.wv_hours.setVisibility(8);
            this.wv_mins.setVisibility(8);
        } else if (ordinal == 2) {
            f2 *= 4.0f;
            this.wv_year.setVisibility(8);
            this.wv_month.setVisibility(8);
            this.wv_day.setVisibility(8);
        } else if (ordinal == 3) {
            f2 *= 3.0f;
            this.wv_year.setVisibility(8);
        } else if (ordinal == 4) {
            f2 *= 4.0f;
            this.wv_day.setVisibility(8);
            this.wv_hours.setVisibility(8);
            this.wv_mins.setVisibility(8);
        }
        this.wv_day.setTextSize(f2);
        this.wv_month.setTextSize(f2);
        this.wv_year.setTextSize(f2);
        this.wv_hours.setTextSize(f2);
        this.wv_mins.setTextSize(f2);
    }
}
