package com.jackandphantom.circularimageview;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Bitmap;
import android.graphics.BitmapShader;
import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.Shader;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.provider.MediaStore;
import android.util.AttributeSet;
import android.widget.ImageView;
import java.io.IOException;

public class CircleImage extends ImageView {

    /* renamed from: d  reason: collision with root package name */
    public int f7270d;

    /* renamed from: h  reason: collision with root package name */
    public Bitmap f7271h;

    /* renamed from: j  reason: collision with root package name */
    public Paint f7272j;

    /* renamed from: k  reason: collision with root package name */
    public Paint f7273k;

    /* renamed from: l  reason: collision with root package name */
    public Paint f7274l;
    public int m;
    public float n;
    public BitmapShader o;
    public int p;
    public Matrix q;
    public int r;
    public int s;
    public int t;
    public int u;
    public boolean v;
    public Context w;

    static {
        ImageView.ScaleType scaleType = ImageView.ScaleType.FIT_XY;
    }

    public CircleImage(Context context) {
        super(context);
        this.f7272j = new Paint();
        this.f7273k = new Paint();
        this.f7274l = new Paint();
        this.m = -16777216;
        this.q = new Matrix();
        this.w = context;
    }

    public final void a(Drawable drawable) {
        if (drawable != null) {
            Bitmap createBitmap = Bitmap.createBitmap(drawable.getIntrinsicWidth(), drawable.getIntrinsicHeight(), Bitmap.Config.ARGB_8888);
            Canvas canvas = new Canvas(createBitmap);
            drawable.setBounds(0, 0, createBitmap.getWidth(), createBitmap.getHeight());
            drawable.draw(canvas);
            this.f7271h = createBitmap;
        }
    }

    public final void b() {
        float f2;
        float f3;
        if (this.f7271h != null && getWidth() != 0 && getHeight() != 0) {
            this.f7273k.setAntiAlias(true);
            this.f7274l.setAntiAlias(true);
            this.f7274l.setColor(this.u);
            this.f7274l.setStyle(Paint.Style.STROKE);
            this.f7274l.setStrokeWidth((float) this.f7270d);
            this.f7272j.setStyle(Paint.Style.STROKE);
            this.f7272j.setStrokeWidth((float) this.f7270d);
            this.f7272j.setColor(-3355444);
            this.s = this.f7271h.getWidth();
            this.t = this.f7271h.getHeight();
            Bitmap bitmap = this.f7271h;
            Shader.TileMode tileMode = Shader.TileMode.CLAMP;
            BitmapShader bitmapShader = new BitmapShader(bitmap, tileMode, tileMode);
            this.o = bitmapShader;
            this.f7273k.setShader(bitmapShader);
            setLayerType(1, null);
            this.p = Math.min((getWidth() - this.f7270d) / 2, (getHeight() - this.f7270d) / 2);
            int min = Math.min((getWidth() - (this.f7270d * 2)) / 2, (getHeight() - (this.f7270d * 2)) / 2);
            this.r = min;
            float f4 = 0.0f;
            if (this.v) {
                float f5 = this.n;
                this.p = (int) (((float) this.p) - f5);
                this.r = (int) (((float) min) - f5);
                this.f7274l.setShadowLayer(f5, 0.0f, 3.0f, this.m);
            }
            this.q.set(null);
            if (getHeight() * this.s > getWidth() * this.t) {
                f3 = ((float) getHeight()) / ((float) this.t);
                f4 = (((float) getWidth()) - (((float) this.s) * f3)) * 0.5f;
                f2 = 0.0f;
            } else {
                f3 = ((float) getWidth()) / ((float) this.s);
                f2 = (((float) getHeight()) - (((float) this.t) * f3)) * 0.5f;
            }
            this.q.setScale(f3, f3);
            Matrix matrix = this.q;
            int i2 = this.f7270d;
            matrix.postTranslate((float) (((int) (f4 + 0.5f)) + i2), (float) (((int) (f2 + 0.5f)) + i2));
            this.o.setLocalMatrix(this.q);
            invalidate();
        }
    }

    public boolean getAddShadow() {
        return this.v;
    }

    public int getBorderColor() {
        return this.u;
    }

    public int getBorderWidth() {
        return this.f7270d;
    }

    public int getShadowColor() {
        return this.m;
    }

    public float getShadowRadius() {
        return this.n;
    }

    public void onDraw(Canvas canvas) {
        if (getDrawable() != null) {
            canvas.drawCircle((float) (getWidth() / 2), (float) (getHeight() / 2), (float) this.p, this.f7274l);
            canvas.drawCircle((float) (getWidth() / 2), (float) (getHeight() / 2), (float) this.r, this.f7273k);
        }
    }

    public void onSizeChanged(int i2, int i3, int i4, int i5) {
        super.onSizeChanged(i2, i3, i4, i5);
        b();
    }

    public void setAddShadow(boolean z) {
        this.v = z;
    }

    public void setBorderColor(int i2) {
        this.u = i2;
        b();
    }

    public void setBorderWidth(int i2) {
        this.f7270d = i2;
        b();
    }

    public void setImageBitmap(Bitmap bitmap) {
        super.setImageBitmap(bitmap);
        this.f7271h = bitmap;
        b();
    }

    public void setImageDrawable(Drawable drawable) {
        super.setImageDrawable(drawable);
        a(drawable);
        b();
    }

    public void setImageResource(int i2) {
        super.setImageResource(i2);
        a(getDrawable());
        b();
    }

    public void setImageURI(Uri uri) {
        Bitmap bitmap;
        super.setImageURI(uri);
        try {
            bitmap = MediaStore.Images.Media.getBitmap(this.w.getContentResolver(), uri);
        } catch (IOException e2) {
            e2.printStackTrace();
            bitmap = null;
        }
        this.f7271h = bitmap;
        b();
    }

    public void setShadowColor(int i2) {
        this.m = i2;
    }

    public void setShadowRadius(float f2) {
        this.n = f2;
    }

    public CircleImage(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
        this.w = context;
    }

    public CircleImage(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f7272j = new Paint();
        this.f7273k = new Paint();
        this.f7274l = new Paint();
        this.m = -16777216;
        this.q = new Matrix();
        this.w = context;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.CircleImage, i2, 0);
        this.f7270d = obtainStyledAttributes.getDimensionPixelSize(R$styleable.CircleImage_border_width, 0);
        this.u = obtainStyledAttributes.getColor(R$styleable.CircleImage_border_color, -1);
        this.v = obtainStyledAttributes.getBoolean(R$styleable.CircleImage_add_shadow, false);
        this.m = obtainStyledAttributes.getColor(R$styleable.CircleImage_shadow_color, -16777216);
        this.n = obtainStyledAttributes.getFloat(R$styleable.CircleImage_shadow_radius, 10.0f);
        obtainStyledAttributes.recycle();
        b();
    }
}
