package com.jackandphantom.circularimageview;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Path;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.widget.ImageView;

public class RoundedImage extends ImageView {

    /* renamed from: d  reason: collision with root package name */
    public RectF f7275d;

    /* renamed from: h  reason: collision with root package name */
    public Path f7276h;

    /* renamed from: j  reason: collision with root package name */
    public float f7277j;

    /* renamed from: k  reason: collision with root package name */
    public float f7278k;

    /* renamed from: l  reason: collision with root package name */
    public final ImageView.ScaleType f7279l;

    public RoundedImage(Context context) {
        super(context);
        this.f7276h = new Path();
        this.f7277j = 20.0f;
        this.f7278k = 20.0f;
        ImageView.ScaleType scaleType = ImageView.ScaleType.FIT_XY;
        this.f7279l = scaleType;
        setScaleType(scaleType);
        a();
    }

    public final void a() {
        RectF rectF = new RectF(0.0f, 0.0f, (float) getWidth(), (float) getHeight());
        this.f7275d = rectF;
        Path path = this.f7276h;
        float f2 = this.f7278k;
        path.addRoundRect(rectF, f2, f2, Path.Direction.CCW);
        invalidate();
    }

    public void onDraw(Canvas canvas) {
        canvas.clipPath(this.f7276h);
        super.onDraw(canvas);
    }

    public void onSizeChanged(int i2, int i3, int i4, int i5) {
        super.onSizeChanged(i2, i3, i4, i5);
        a();
    }

    public void setRoundedRadius(int i2) {
        this.f7278k = (float) i2;
        invalidate();
    }

    public RoundedImage(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
        setScaleType(this.f7279l);
        a();
    }

    public RoundedImage(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f7276h = new Path();
        this.f7277j = 20.0f;
        this.f7278k = 20.0f;
        ImageView.ScaleType scaleType = ImageView.ScaleType.FIT_XY;
        this.f7279l = scaleType;
        setScaleType(scaleType);
        this.f7278k = context.obtainStyledAttributes(attributeSet, R$styleable.RoundedImage, i2, 0).getFloat(R$styleable.RoundedImage_rounded_radius, this.f7277j);
        a();
    }
}
