package com.luck.picture.lib;

import android.content.ContentValues;
import android.content.Context;
import android.graphics.PointF;
import android.net.Uri;
import android.os.Bundle;
import android.os.Environment;
import android.provider.MediaStore;
import android.text.TextUtils;
import android.util.SparseArray;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.viewpager.widget.ViewPager;
import b.a0.a.a;
import com.luck.picture.lib.broadcast.BroadcastAction;
import com.luck.picture.lib.broadcast.BroadcastManager;
import com.luck.picture.lib.config.PictureConfig;
import com.luck.picture.lib.config.PictureMimeType;
import com.luck.picture.lib.config.PictureSelectionConfig;
import com.luck.picture.lib.dialog.PictureCustomDialog;
import com.luck.picture.lib.engine.ImageEngine;
import com.luck.picture.lib.entity.LocalMedia;
import com.luck.picture.lib.listener.OnImageCompleteCallback;
import com.luck.picture.lib.photoview.PhotoView;
import com.luck.picture.lib.style.PictureParameterStyle;
import com.luck.picture.lib.thread.PictureThreadUtils;
import com.luck.picture.lib.tools.AttrsUtils;
import com.luck.picture.lib.tools.DateUtils;
import com.luck.picture.lib.tools.MediaUtils;
import com.luck.picture.lib.tools.PictureFileUtils;
import com.luck.picture.lib.tools.SdkVersionUtils;
import com.luck.picture.lib.tools.ToastUtils;
import com.luck.picture.lib.tools.ValueOf;
import com.luck.picture.lib.widget.PreviewViewPager;
import com.luck.picture.lib.widget.longimage.ImageSource;
import com.luck.picture.lib.widget.longimage.ImageViewState;
import com.luck.picture.lib.widget.longimage.SubsamplingScaleImageView;
import d.k.a.a.f;
import d.k.a.a.g;
import d.k.a.a.h;
import d.k.a.a.i;
import d.k.a.a.j;
import d.k.a.a.k;
import d.k.a.a.l;
import d.k.a.a.m;
import java.io.Closeable;
import java.io.File;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.URL;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import okio.BufferedSource;
import okio.Okio;

public class PictureExternalPreviewActivity extends PictureBaseActivity implements View.OnClickListener {

    /* renamed from: h  reason: collision with root package name */
    public static final /* synthetic */ int f7286h = 0;
    private SimpleFragmentAdapter adapter;
    private String downloadPath;
    private ImageButton ibDelete;
    private ImageButton ibLeftBack;
    private final List<LocalMedia> images = new ArrayList();
    private String mMimeType;
    private View mTitleBar;
    private int position = 0;
    private TextView tvTitle;
    private PreviewViewPager viewPager;

    public class SimpleFragmentAdapter extends a {
        private static final int MAX_CACHE_SIZE = 20;
        private SparseArray<View> mCacheView = new SparseArray<>();

        public SimpleFragmentAdapter() {
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void clear() {
            SparseArray<View> sparseArray = this.mCacheView;
            if (sparseArray != null) {
                sparseArray.clear();
                this.mCacheView = null;
            }
        }

        @Override // b.a0.a.a
        public void destroyItem(ViewGroup viewGroup, int i2, Object obj) {
            viewGroup.removeView((View) obj);
            if (this.mCacheView.size() > 20) {
                this.mCacheView.remove(i2);
            }
        }

        @Override // b.a0.a.a
        public int getCount() {
            return PictureExternalPreviewActivity.this.images.size();
        }

        @Override // b.a0.a.a
        public int getItemPosition(Object obj) {
            return -2;
        }

        @Override // b.a0.a.a
        public Object instantiateItem(ViewGroup viewGroup, int i2) {
            String str;
            View view = this.mCacheView.get(i2);
            if (view == null) {
                view = LayoutInflater.from(viewGroup.getContext()).inflate(R.layout.picture_image_preview, viewGroup, false);
                this.mCacheView.put(i2, view);
            }
            PhotoView photoView = (PhotoView) view.findViewById(R.id.preview_image);
            SubsamplingScaleImageView subsamplingScaleImageView = (SubsamplingScaleImageView) view.findViewById(R.id.longImg);
            ImageView imageView = (ImageView) view.findViewById(R.id.iv_play);
            LocalMedia localMedia = (LocalMedia) PictureExternalPreviewActivity.this.images.get(i2);
            if (localMedia != null) {
                if (localMedia.isCut() && !localMedia.isCompressed()) {
                    str = localMedia.getCutPath();
                } else if (localMedia.isCompressed() || (localMedia.isCut() && localMedia.isCompressed())) {
                    str = localMedia.getCompressPath();
                } else if (!TextUtils.isEmpty(localMedia.getAndroidQToPath())) {
                    str = localMedia.getAndroidQToPath();
                } else {
                    str = localMedia.getPath();
                }
                boolean isHasHttp = PictureMimeType.isHasHttp(str);
                String mimeType = (!isHasHttp || !TextUtils.isEmpty(localMedia.getMimeType())) ? localMedia.getMimeType() : PictureMimeType.getImageMimeType(localMedia.getPath());
                boolean isHasVideo = PictureMimeType.isHasVideo(mimeType);
                int i3 = 8;
                imageView.setVisibility(isHasVideo ? 0 : 8);
                boolean isGif = PictureMimeType.isGif(mimeType);
                boolean isLongImg = MediaUtils.isLongImg(localMedia);
                photoView.setVisibility((!isLongImg || isGif) ? 0 : 8);
                if (isLongImg && !isGif) {
                    i3 = 0;
                }
                subsamplingScaleImageView.setVisibility(i3);
                if (!isGif || localMedia.isCompressed()) {
                    ImageEngine imageEngine = PictureSelectionConfig.imageEngine;
                    if (imageEngine != null) {
                        if (isHasHttp) {
                            imageEngine.loadImage(view.getContext(), str, photoView, subsamplingScaleImageView, new OnImageCompleteCallback() {
                                /* class com.luck.picture.lib.PictureExternalPreviewActivity.SimpleFragmentAdapter.AnonymousClass1 */

                                @Override // com.luck.picture.lib.listener.OnImageCompleteCallback
                                public void onHideLoading() {
                                    PictureExternalPreviewActivity.this.dismissDialog();
                                }

                                @Override // com.luck.picture.lib.listener.OnImageCompleteCallback
                                public void onShowLoading() {
                                    PictureExternalPreviewActivity.this.showPleaseDialog();
                                }
                            });
                        } else if (isLongImg) {
                            PictureExternalPreviewActivity.this.displayLongPic(PictureMimeType.isContent(str) ? Uri.parse(str) : Uri.fromFile(new File(str)), subsamplingScaleImageView);
                        } else {
                            imageEngine.loadImage(view.getContext(), str, photoView);
                        }
                    }
                } else {
                    ImageEngine imageEngine2 = PictureSelectionConfig.imageEngine;
                    if (imageEngine2 != null) {
                        imageEngine2.loadAsGifImage(PictureExternalPreviewActivity.this.getContext(), str, photoView);
                    }
                }
                photoView.setOnViewTapListener(new h(this));
                subsamplingScaleImageView.setOnClickListener(new j(this));
                if (!isHasVideo) {
                    subsamplingScaleImageView.setOnLongClickListener(new i(this, str, localMedia));
                }
                if (!isHasVideo) {
                    photoView.setOnLongClickListener(new k(this, str, localMedia));
                }
                imageView.setOnClickListener(new l(localMedia, str, viewGroup));
            }
            viewGroup.addView(view, 0);
            return view;
        }

        @Override // b.a0.a.a
        public boolean isViewFromObject(View view, Object obj) {
            return view == obj;
        }

        public void removeCacheView(int i2) {
            SparseArray<View> sparseArray = this.mCacheView;
            if (sparseArray != null && i2 < sparseArray.size()) {
                this.mCacheView.removeAt(i2);
            }
        }
    }

    private Uri createOutImageUri() {
        ContentValues contentValues = new ContentValues();
        contentValues.put("_display_name", DateUtils.getCreateFileName("IMG_"));
        contentValues.put("datetaken", ValueOf.toString(Long.valueOf(System.currentTimeMillis())));
        contentValues.put("mime_type", this.mMimeType);
        contentValues.put("relative_path", PictureMimeType.DCIM);
        return getContentResolver().insert(MediaStore.Images.Media.EXTERNAL_CONTENT_URI, contentValues);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void displayLongPic(Uri uri, SubsamplingScaleImageView subsamplingScaleImageView) {
        subsamplingScaleImageView.setQuickScaleEnabled(true);
        subsamplingScaleImageView.setZoomEnabled(true);
        subsamplingScaleImageView.setDoubleTapZoomDuration(100);
        subsamplingScaleImageView.setMinimumScaleType(2);
        subsamplingScaleImageView.setDoubleTapZoomDpi(2);
        subsamplingScaleImageView.setImage(ImageSource.uri(uri), new ImageViewState(0.0f, new PointF(0.0f, 0.0f), 0));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void exitAnimation() {
        overridePendingTransition(R.anim.picture_anim_fade_in, PictureSelectionConfig.windowAnimationStyle.activityPreviewExitAnimation);
    }

    private void initViewPageAdapterData() {
        this.tvTitle.setText(getString(R.string.picture_preview_image_num, new Object[]{Integer.valueOf(this.position + 1), Integer.valueOf(this.images.size())}));
        SimpleFragmentAdapter simpleFragmentAdapter = new SimpleFragmentAdapter();
        this.adapter = simpleFragmentAdapter;
        this.viewPager.setAdapter(simpleFragmentAdapter);
        this.viewPager.setCurrentItem(this.position);
        this.viewPager.addOnPageChangeListener(new ViewPager.OnPageChangeListener() {
            /* class com.luck.picture.lib.PictureExternalPreviewActivity.AnonymousClass1 */

            @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
            public void onPageScrollStateChanged(int i2) {
            }

            @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
            public void onPageScrolled(int i2, float f2, int i3) {
            }

            @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
            public void onPageSelected(int i2) {
                PictureExternalPreviewActivity.this.tvTitle.setText(PictureExternalPreviewActivity.this.getString(R.string.picture_preview_image_num, new Object[]{Integer.valueOf(i2 + 1), Integer.valueOf(PictureExternalPreviewActivity.this.images.size())}));
                PictureExternalPreviewActivity.this.position = i2;
            }
        });
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void onSuccessful(String str) {
        dismissDialog();
        if (!TextUtils.isEmpty(str)) {
            try {
                if (!SdkVersionUtils.checkedAndroid_Q()) {
                    File file = new File(str);
                    MediaStore.Images.Media.insertImage(getContentResolver(), file.getAbsolutePath(), file.getName(), (String) null);
                    new PictureMediaScannerConnection(getContext(), file.getAbsolutePath(), g.f12150a);
                }
                Context context = getContext();
                ToastUtils.s(context, getString(R.string.picture_save_success) + "\n" + str);
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        } else {
            ToastUtils.s(getContext(), getString(R.string.picture_save_error));
        }
    }

    private void savePictureAlbum() {
        File file;
        String str;
        String lastImgSuffix = PictureMimeType.getLastImgSuffix(this.mMimeType);
        String externalStorageState = Environment.getExternalStorageState();
        if (externalStorageState.equals("mounted")) {
            file = Environment.getExternalStoragePublicDirectory(Environment.DIRECTORY_DCIM);
        } else {
            file = getContext().getExternalFilesDir(Environment.DIRECTORY_PICTURES);
        }
        if (file != null && !file.exists()) {
            file.mkdirs();
        }
        if (SdkVersionUtils.checkedAndroid_Q() || !externalStorageState.equals("mounted")) {
            str = file.getAbsolutePath();
        } else {
            StringBuilder sb = new StringBuilder();
            sb.append(file.getAbsolutePath());
            String str2 = File.separator;
            str = d.a.a.a.a.z(sb, str2, "Camera", str2);
        }
        File file2 = new File(str);
        if (!file2.exists()) {
            file2.mkdirs();
        }
        File file3 = new File(file2, DateUtils.getCreateFileName("IMG_") + lastImgSuffix);
        PictureFileUtils.copyFile(this.downloadPath, file3.getAbsolutePath());
        onSuccessful(file3.getAbsolutePath());
    }

    private void savePictureAlbumAndroidQ(final Uri uri) {
        ContentValues contentValues = new ContentValues();
        contentValues.put("_display_name", DateUtils.getCreateFileName("IMG_"));
        contentValues.put("datetaken", ValueOf.toString(Long.valueOf(System.currentTimeMillis())));
        contentValues.put("mime_type", this.mMimeType);
        contentValues.put("relative_path", PictureMimeType.DCIM);
        final Uri insert = getContentResolver().insert(MediaStore.Images.Media.EXTERNAL_CONTENT_URI, contentValues);
        if (insert == null) {
            ToastUtils.s(getContext(), getString(R.string.picture_save_error));
        } else {
            PictureThreadUtils.executeBySingle(new PictureThreadUtils.SimpleTask<String>() {
                /* class com.luck.picture.lib.PictureExternalPreviewActivity.AnonymousClass3 */

                @Override // com.luck.picture.lib.thread.PictureThreadUtils.Task
                public String doInBackground() {
                    BufferedSource bufferedSource = null;
                    try {
                        InputStream openInputStream = PictureExternalPreviewActivity.this.getContentResolver().openInputStream(uri);
                        Objects.requireNonNull(openInputStream);
                        bufferedSource = Okio.buffer(Okio.source(openInputStream));
                        if (PictureFileUtils.bufferCopy(bufferedSource, PictureExternalPreviewActivity.this.getContentResolver().openOutputStream(insert))) {
                            String path = PictureFileUtils.getPath(PictureExternalPreviewActivity.this.getContext(), insert);
                            if (bufferedSource != null && bufferedSource.isOpen()) {
                                PictureFileUtils.close(bufferedSource);
                            }
                            return path;
                        }
                        if (bufferedSource == null || !bufferedSource.isOpen()) {
                            return "";
                        }
                        PictureFileUtils.close(bufferedSource);
                        return "";
                    } catch (Exception e2) {
                        e2.printStackTrace();
                        if (0 == 0 || !bufferedSource.isOpen()) {
                            return "";
                        }
                    } catch (Throwable th) {
                        if (0 != 0 && bufferedSource.isOpen()) {
                            PictureFileUtils.close(null);
                        }
                        throw th;
                    }
                }

                public void onSuccess(String str) {
                    PictureThreadUtils.cancel(PictureThreadUtils.getSinglePool());
                    PictureExternalPreviewActivity.this.onSuccessful(str);
                }
            });
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void showDownLoadDialog() {
        if (!isFinishing() && !TextUtils.isEmpty(this.downloadPath)) {
            PictureCustomDialog pictureCustomDialog = new PictureCustomDialog(getContext(), R.layout.picture_wind_base_dialog);
            ((TextView) pictureCustomDialog.findViewById(R.id.tvTitle)).setText(getString(R.string.picture_prompt));
            ((TextView) pictureCustomDialog.findViewById(R.id.tv_content)).setText(getString(R.string.picture_prompt_content));
            ((Button) pictureCustomDialog.findViewById(R.id.btn_cancel)).setOnClickListener(new m(this, pictureCustomDialog));
            ((Button) pictureCustomDialog.findViewById(R.id.btn_commit)).setOnClickListener(new f(this, pictureCustomDialog));
            pictureCustomDialog.show();
        }
    }

    public /* synthetic */ void B(PictureCustomDialog pictureCustomDialog, View view) {
        boolean isHasHttp = PictureMimeType.isHasHttp(this.downloadPath);
        showPleaseDialog();
        if (isHasHttp) {
            PictureThreadUtils.executeBySingle(new PictureThreadUtils.SimpleTask<String>() {
                /* class com.luck.picture.lib.PictureExternalPreviewActivity.AnonymousClass2 */

                @Override // com.luck.picture.lib.thread.PictureThreadUtils.Task
                public String doInBackground() {
                    PictureExternalPreviewActivity pictureExternalPreviewActivity = PictureExternalPreviewActivity.this;
                    return pictureExternalPreviewActivity.showLoadingImage(pictureExternalPreviewActivity.downloadPath);
                }

                public void onSuccess(String str) {
                    PictureExternalPreviewActivity.this.onSuccessful(str);
                }
            });
        } else {
            try {
                if (PictureMimeType.isContent(this.downloadPath)) {
                    savePictureAlbumAndroidQ(PictureMimeType.isContent(this.downloadPath) ? Uri.parse(this.downloadPath) : Uri.fromFile(new File(this.downloadPath)));
                } else {
                    savePictureAlbum();
                }
            } catch (Exception e2) {
                Context context = getContext();
                ToastUtils.s(context, getString(R.string.picture_save_error) + "\n" + e2.getMessage());
                dismissDialog();
                e2.printStackTrace();
            }
        }
        if (!isFinishing()) {
            pictureCustomDialog.dismiss();
        }
    }

    @Override // com.luck.picture.lib.PictureBaseActivity
    public int getResourceId() {
        return R.layout.picture_activity_external_preview;
    }

    @Override // com.luck.picture.lib.PictureBaseActivity
    public void initPictureSelectorStyle() {
        PictureParameterStyle pictureParameterStyle = PictureSelectionConfig.style;
        if (pictureParameterStyle != null) {
            int i2 = pictureParameterStyle.pictureTitleTextColor;
            if (i2 != 0) {
                this.tvTitle.setTextColor(i2);
            }
            int i3 = PictureSelectionConfig.style.pictureTitleTextSize;
            if (i3 != 0) {
                this.tvTitle.setTextSize((float) i3);
            }
            int i4 = PictureSelectionConfig.style.pictureLeftBackIcon;
            if (i4 != 0) {
                this.ibLeftBack.setImageResource(i4);
            }
            int i5 = PictureSelectionConfig.style.pictureExternalPreviewDeleteStyle;
            if (i5 != 0) {
                this.ibDelete.setImageResource(i5);
            }
            if (PictureSelectionConfig.style.pictureTitleBarBackgroundColor != 0) {
                this.mTitleBar.setBackgroundColor(this.colorPrimary);
                return;
            }
            return;
        }
        int typeValueColor = AttrsUtils.getTypeValueColor(getContext(), R.attr.picture_ac_preview_title_bg);
        if (typeValueColor != 0) {
            this.mTitleBar.setBackgroundColor(typeValueColor);
        } else {
            this.mTitleBar.setBackgroundColor(this.colorPrimary);
        }
    }

    @Override // com.luck.picture.lib.PictureBaseActivity
    public void initWidgets() {
        super.initWidgets();
        this.mTitleBar = findViewById(R.id.titleBar);
        this.tvTitle = (TextView) findViewById(R.id.picture_title);
        this.ibLeftBack = (ImageButton) findViewById(R.id.left_back);
        this.ibDelete = (ImageButton) findViewById(R.id.ib_delete);
        this.viewPager = (PreviewViewPager) findViewById(R.id.preview_pager);
        int i2 = 0;
        this.position = getIntent().getIntExtra("position", 0);
        ArrayList parcelableArrayListExtra = getIntent().getParcelableArrayListExtra(PictureConfig.EXTRA_PREVIEW_SELECT_LIST);
        if (parcelableArrayListExtra != null && parcelableArrayListExtra.size() > 0) {
            this.images.addAll(parcelableArrayListExtra);
        }
        this.ibLeftBack.setOnClickListener(this);
        this.ibDelete.setOnClickListener(this);
        ImageButton imageButton = this.ibDelete;
        PictureParameterStyle pictureParameterStyle = PictureSelectionConfig.style;
        if (pictureParameterStyle == null || !pictureParameterStyle.pictureExternalPreviewGonePreviewDelete) {
            i2 = 8;
        }
        imageButton.setVisibility(i2);
        initViewPageAdapterData();
    }

    @Override // androidx.activity.ComponentActivity
    public void onBackPressed() {
        if (SdkVersionUtils.checkedAndroid_Q()) {
            finishAfterTransition();
        } else {
            super.onBackPressed();
        }
        finish();
        exitAnimation();
    }

    public void onClick(View view) {
        int id = view.getId();
        if (id == R.id.left_back) {
            finish();
            exitAnimation();
        } else if (id == R.id.ib_delete && this.images.size() > 0) {
            int currentItem = this.viewPager.getCurrentItem();
            this.images.remove(currentItem);
            this.adapter.removeCacheView(currentItem);
            Bundle bundle = new Bundle();
            bundle.putInt("position", currentItem);
            BroadcastManager.getInstance(getContext()).action(BroadcastAction.ACTION_DELETE_PREVIEW_POSITION).extras(bundle).broadcast();
            if (this.images.size() == 0) {
                onBackPressed();
                return;
            }
            this.tvTitle.setText(getString(R.string.picture_preview_image_num, new Object[]{Integer.valueOf(this.position + 1), Integer.valueOf(this.images.size())}));
            this.position = currentItem;
            this.adapter.notifyDataSetChanged();
        }
    }

    @Override // androidx.appcompat.app.AppCompatActivity, com.luck.picture.lib.PictureBaseActivity, androidx.fragment.app.FragmentActivity
    public void onDestroy() {
        super.onDestroy();
        SimpleFragmentAdapter simpleFragmentAdapter = this.adapter;
        if (simpleFragmentAdapter != null) {
            simpleFragmentAdapter.clear();
        }
        PictureSelectionConfig.destroy();
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ActivityCompat.OnRequestPermissionsResultCallback, com.luck.picture.lib.PictureBaseActivity, androidx.fragment.app.FragmentActivity
    public void onRequestPermissionsResult(int i2, String[] strArr, int[] iArr) {
        super.onRequestPermissionsResult(i2, strArr, iArr);
        if (i2 == 1) {
            for (int i3 : iArr) {
                if (i3 == 0) {
                    showDownLoadDialog();
                } else {
                    ToastUtils.s(getContext(), getString(R.string.picture_jurisdiction));
                }
            }
        }
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:35:? */
    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:52:0x00e1 */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r3v0, types: [java.io.Closeable] */
    /* JADX WARN: Type inference failed for: r3v3 */
    /* JADX WARN: Type inference failed for: r3v4 */
    /* JADX WARN: Type inference failed for: r3v6 */
    /* JADX WARN: Type inference failed for: r3v7 */
    /* JADX WARN: Type inference failed for: r3v10 */
    /* JADX WARN: Type inference failed for: r3v13, types: [okio.BufferedSource, java.io.Closeable] */
    /* JADX WARNING: Code restructure failed: missing block: B:44:0x00d2, code lost:
        r7 = null;
        r2 = null;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:47:0x00d9, code lost:
        r7 = th;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:48:0x00da, code lost:
        r2 = null;
        r3 = null;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:55:0x00e7, code lost:
        if (com.luck.picture.lib.tools.SdkVersionUtils.checkedAndroid_Q() != false) goto L_0x00e9;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:56:0x00e9, code lost:
        getContentResolver().delete(r0, null, null);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:57:0x00f1, code lost:
        r0 = th;
        r3 = r3;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x00d9 A[ExcHandler: all (th java.lang.Throwable), Splitter:B:1:0x0003] */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x00e3 A[SYNTHETIC, Splitter:B:53:0x00e3] */
    /* JADX WARNING: Unknown variable types count: 1 */
    public String showLoadingImage(String str) {
        InputStream inputStream;
        ?? r3;
        OutputStream outputStream;
        Throwable th;
        Closeable closeable;
        Uri uri;
        File file;
        String str2;
        InputStream inputStream2 = null;
        try {
            if (SdkVersionUtils.checkedAndroid_Q()) {
                uri = createOutImageUri();
            } else {
                String lastImgSuffix = PictureMimeType.getLastImgSuffix(this.mMimeType);
                String externalStorageState = Environment.getExternalStorageState();
                if (externalStorageState.equals("mounted")) {
                    file = Environment.getExternalStoragePublicDirectory(Environment.DIRECTORY_DCIM);
                } else {
                    file = getContext().getExternalFilesDir(Environment.DIRECTORY_PICTURES);
                }
                if (file != null) {
                    if (!file.exists()) {
                        file.mkdirs();
                    }
                    if (!externalStorageState.equals("mounted")) {
                        str2 = file.getAbsolutePath();
                    } else {
                        StringBuilder sb = new StringBuilder();
                        sb.append(file.getAbsolutePath());
                        String str3 = File.separator;
                        sb.append(str3);
                        sb.append("Camera");
                        sb.append(str3);
                        str2 = sb.toString();
                    }
                    File file2 = new File(str2);
                    if (!file2.exists()) {
                        file2.mkdirs();
                    }
                    uri = Uri.fromFile(new File(file2, DateUtils.getCreateFileName("IMG_") + lastImgSuffix));
                } else {
                    uri = null;
                }
            }
            if (uri != null) {
                OutputStream openOutputStream = getContentResolver().openOutputStream(uri);
                Objects.requireNonNull(openOutputStream);
                outputStream = openOutputStream;
                try {
                    inputStream = new URL(str).openStream();
                    try {
                        r3 = Okio.buffer(Okio.source(inputStream));
                        try {
                            if (PictureFileUtils.bufferCopy((BufferedSource) r3, outputStream)) {
                                String path = PictureFileUtils.getPath(this, uri);
                                PictureFileUtils.close(inputStream);
                                PictureFileUtils.close(outputStream);
                                PictureFileUtils.close(r3);
                                return path;
                            }
                        } catch (Exception unused) {
                            if (uri != null) {
                            }
                            PictureFileUtils.close(inputStream);
                            PictureFileUtils.close(outputStream);
                            PictureFileUtils.close(r3);
                            return null;
                        }
                    } catch (Exception unused2) {
                        r3 = 0;
                        if (uri != null) {
                        }
                        PictureFileUtils.close(inputStream);
                        PictureFileUtils.close(outputStream);
                        PictureFileUtils.close(r3);
                        return null;
                    } catch (Throwable th2) {
                        Throwable th3 = th2;
                        Closeable closeable2 = null;
                        inputStream2 = inputStream;
                        th = th3;
                        closeable = closeable2;
                        PictureFileUtils.close(inputStream2);
                        PictureFileUtils.close(outputStream);
                        PictureFileUtils.close(closeable);
                        throw th;
                    }
                } catch (Exception unused3) {
                    inputStream = null;
                    r3 = 0;
                    if (uri != null) {
                    }
                    PictureFileUtils.close(inputStream);
                    PictureFileUtils.close(outputStream);
                    PictureFileUtils.close(r3);
                    return null;
                } catch (Throwable th4) {
                    th = th4;
                    closeable = null;
                    PictureFileUtils.close(inputStream2);
                    PictureFileUtils.close(outputStream);
                    PictureFileUtils.close(closeable);
                    throw th;
                }
            } else {
                inputStream = null;
                outputStream = null;
                r3 = 0;
            }
        } catch (Exception unused4) {
            inputStream = null;
            uri = null;
            outputStream = null;
            r3 = outputStream;
            if (uri != null) {
            }
            PictureFileUtils.close(inputStream);
            PictureFileUtils.close(outputStream);
            PictureFileUtils.close(r3);
            return null;
        } catch (Throwable th5) {
        }
        PictureFileUtils.close(inputStream);
        PictureFileUtils.close(outputStream);
        PictureFileUtils.close(r3);
        return null;
    }
}
