package com.luck.picture.lib.tools;

import android.annotation.SuppressLint;
import android.content.ContentUris;
import android.content.Context;
import android.database.Cursor;
import android.net.Uri;
import android.os.Build;
import android.os.Environment;
import android.provider.DocumentsContract;
import android.provider.MediaStore;
import android.text.TextUtils;
import android.util.Log;
import androidx.core.content.FileProvider;
import com.luck.picture.lib.config.PictureMimeType;
import d.a.a.a.a;
import java.io.Closeable;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.OutputStream;
import java.nio.channels.FileChannel;
import java.util.Locale;
import java.util.Objects;
import okio.BufferedSink;
import okio.BufferedSource;
import okio.Okio;
import okio.Source;

public class PictureFileUtils {
    public static final String POSTFIX = ".jpeg";
    public static final String POST_AUDIO = ".amr";
    public static final String POST_VIDEO = ".mp4";
    public static final String TAG = "PictureFileUtils";

    private PictureFileUtils() {
    }

    /* JADX INFO: finally extract failed */
    public static boolean bufferCopy(BufferedSource bufferedSource, File file) {
        BufferedSink bufferedSink = null;
        try {
            bufferedSink = Okio.buffer(Okio.sink(file));
            bufferedSink.writeAll(bufferedSource);
            bufferedSink.flush();
            close(bufferedSource);
            close(bufferedSink);
            return true;
        } catch (Exception e2) {
            e2.printStackTrace();
            close(bufferedSource);
            close(bufferedSink);
            return false;
        } catch (Throwable th) {
            close(bufferedSource);
            close(bufferedSink);
            throw th;
        }
    }

    public static void close(Closeable closeable) {
        if (closeable instanceof Closeable) {
            try {
                closeable.close();
            } catch (Exception unused) {
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:16:0x0044  */
    /* JADX WARNING: Removed duplicated region for block: B:18:0x0049  */
    public static void copyFile(String str, String str2) {
        Throwable th;
        FileChannel fileChannel;
        if (!str.equalsIgnoreCase(str2)) {
            FileChannel fileChannel2 = null;
            try {
                FileChannel channel = new FileInputStream(new File(str)).getChannel();
                try {
                    fileChannel2 = new FileOutputStream(new File(str2)).getChannel();
                    channel.transferTo(0, channel.size(), fileChannel2);
                    channel.close();
                    channel.close();
                    if (fileChannel2 != null) {
                        fileChannel2.close();
                    }
                } catch (Throwable th2) {
                    th = th2;
                    fileChannel2 = channel;
                    fileChannel = fileChannel2;
                    if (fileChannel2 != null) {
                    }
                    if (fileChannel != null) {
                    }
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                fileChannel = null;
                if (fileChannel2 != null) {
                    fileChannel2.close();
                }
                if (fileChannel != null) {
                    fileChannel.close();
                }
                throw th;
            }
        }
    }

    public static File createCameraFile(Context context, int i2, String str, String str2, String str3) {
        return createMediaFile(context, i2, str, str2, str3);
    }

    public static String createFilePath(Context context, String str, String str2, String str3) {
        String lastImgSuffix = PictureMimeType.getLastImgSuffix(str2);
        if (PictureMimeType.isHasVideo(str2)) {
            String str4 = getVideoDiskCacheDir(context) + File.separator;
            if (!TextUtils.isEmpty(str)) {
                if (TextUtils.isEmpty(str3)) {
                    StringBuilder B = a.B("VID_");
                    B.append(str.toUpperCase());
                    B.append(lastImgSuffix);
                    str3 = B.toString();
                }
                return a.s(str4, str3);
            }
            if (TextUtils.isEmpty(str3)) {
                str3 = DateUtils.getCreateFileName("VID_") + lastImgSuffix;
            }
            return a.s(str4, str3);
        } else if (PictureMimeType.isHasAudio(str2)) {
            String str5 = getAudioDiskCacheDir(context) + File.separator;
            if (!TextUtils.isEmpty(str)) {
                if (TextUtils.isEmpty(str3)) {
                    StringBuilder B2 = a.B("AUD_");
                    B2.append(str.toUpperCase());
                    B2.append(lastImgSuffix);
                    str3 = B2.toString();
                }
                return a.s(str5, str3);
            }
            if (TextUtils.isEmpty(str3)) {
                str3 = DateUtils.getCreateFileName("AUD_") + lastImgSuffix;
            }
            return a.s(str5, str3);
        } else {
            String str6 = getDiskCacheDir(context) + File.separator;
            if (!TextUtils.isEmpty(str)) {
                if (TextUtils.isEmpty(str3)) {
                    StringBuilder B3 = a.B("IMG_");
                    B3.append(str.toUpperCase());
                    B3.append(lastImgSuffix);
                    str3 = B3.toString();
                }
                return a.s(str6, str3);
            }
            if (TextUtils.isEmpty(str3)) {
                str3 = DateUtils.getCreateFileName("IMG_") + lastImgSuffix;
            }
            return a.s(str6, str3);
        }
    }

    private static File createMediaFile(Context context, int i2, String str, String str2, String str3) {
        return createOutFile(context, i2, str, str2, str3);
    }

    private static File createOutFile(Context context, int i2, String str, String str2, String str3) {
        File file;
        File file2;
        Context applicationContext = context.getApplicationContext();
        if (TextUtils.isEmpty(str3)) {
            if (TextUtils.equals("mounted", Environment.getExternalStorageState())) {
                file2 = Environment.getExternalStoragePublicDirectory(Environment.DIRECTORY_DCIM);
                StringBuilder sb = new StringBuilder();
                sb.append(file2.getAbsolutePath());
                String str4 = File.separator;
                file = new File(a.z(sb, str4, "Camera", str4));
            } else {
                file2 = getRootDirFile(applicationContext, i2);
                file = new File(file2.getAbsolutePath() + File.separator);
            }
            if (!file2.exists()) {
                file2.mkdirs();
            }
        } else {
            File file3 = new File(str3);
            File parentFile = file3.getParentFile();
            Objects.requireNonNull(parentFile);
            if (!parentFile.exists()) {
                file3.getParentFile().mkdirs();
            }
            file = file3;
        }
        if (!file.exists()) {
            file.mkdirs();
        }
        boolean isEmpty = TextUtils.isEmpty(str);
        if (i2 == 2) {
            if (isEmpty) {
                str = DateUtils.getCreateFileName("VID_") + ".mp4";
            }
            return new File(file, str);
        } else if (i2 != 3) {
            if (TextUtils.isEmpty(str2)) {
                str2 = ".jpeg";
            }
            if (isEmpty) {
                str = DateUtils.getCreateFileName("IMG_") + str2;
            }
            return new File(file, str);
        } else {
            if (isEmpty) {
                str = DateUtils.getCreateFileName("AUD_") + POST_AUDIO;
            }
            return new File(file, str);
        }
    }

    public static void deleteAllCacheDirFile(Context context) {
        File[] listFiles;
        File[] listFiles2;
        File[] listFiles3;
        File externalFilesDir = context.getExternalFilesDir(Environment.DIRECTORY_PICTURES);
        if (!(externalFilesDir == null || (listFiles3 = externalFilesDir.listFiles()) == null)) {
            for (File file : listFiles3) {
                if (file.isFile()) {
                    file.delete();
                }
            }
        }
        File externalFilesDir2 = context.getExternalFilesDir(Environment.DIRECTORY_MOVIES);
        if (!(externalFilesDir2 == null || (listFiles2 = externalFilesDir2.listFiles()) == null)) {
            for (File file2 : listFiles2) {
                if (file2.isFile()) {
                    file2.delete();
                }
            }
        }
        File externalFilesDir3 = context.getExternalFilesDir(Environment.DIRECTORY_MUSIC);
        if (!(externalFilesDir3 == null || (listFiles = externalFilesDir3.listFiles()) == null)) {
            for (File file3 : listFiles) {
                if (file3.isFile()) {
                    file3.delete();
                }
            }
        }
    }

    public static void deleteCacheDirFile(Context context, int i2) {
        File[] listFiles;
        File externalFilesDir = context.getExternalFilesDir(i2 == PictureMimeType.ofImage() ? Environment.DIRECTORY_PICTURES : Environment.DIRECTORY_MOVIES);
        if (!(externalFilesDir == null || (listFiles = externalFilesDir.listFiles()) == null)) {
            for (File file : listFiles) {
                if (file.isFile()) {
                    file.delete();
                }
            }
        }
    }

    public static String getAudioDiskCacheDir(Context context) {
        File externalFilesDir = context.getExternalFilesDir(Environment.DIRECTORY_MUSIC);
        if (externalFilesDir == null) {
            return "";
        }
        return externalFilesDir.getPath();
    }

    public static String getDCIMCameraPath() {
        try {
            return "%" + Environment.getExternalStoragePublicDirectory(Environment.DIRECTORY_DCIM).getAbsolutePath() + "/Camera";
        } catch (Exception e2) {
            e2.printStackTrace();
            return "";
        }
    }

    public static String getDataColumn(Context context, Uri uri, String str, String[] strArr) {
        Cursor cursor = null;
        try {
            cursor = context.getContentResolver().query(uri, new String[]{"_data"}, str, strArr, null);
            if (cursor == null || !cursor.moveToFirst()) {
                if (cursor == null) {
                    return "";
                }
                cursor.close();
                return "";
            }
            String string = cursor.getString(cursor.getColumnIndexOrThrow("_data"));
            cursor.close();
            return string;
        } catch (IllegalArgumentException e2) {
            Log.i(TAG, String.format(Locale.getDefault(), "getDataColumn: _data - [%s]", e2.getMessage()));
            if (0 == 0) {
                return "";
            }
        } catch (Throwable th) {
            if (0 != 0) {
                cursor.close();
            }
            throw th;
        }
    }

    public static String getDiskCacheDir(Context context) {
        File externalFilesDir = context.getExternalFilesDir(Environment.DIRECTORY_PICTURES);
        if (externalFilesDir == null) {
            return "";
        }
        return externalFilesDir.getPath();
    }

    @SuppressLint({"NewApi"})
    public static String getPath(Context context, Uri uri) {
        Context applicationContext = context.getApplicationContext();
        Uri uri2 = null;
        if (DocumentsContract.isDocumentUri(applicationContext, uri)) {
            if (isExternalStorageDocument(uri)) {
                String[] split = DocumentsContract.getDocumentId(uri).split(":");
                if (!"primary".equalsIgnoreCase(split[0])) {
                    return "";
                }
                if (SdkVersionUtils.checkedAndroid_Q()) {
                    return applicationContext.getExternalFilesDir(Environment.DIRECTORY_PICTURES) + "/" + split[1];
                }
                return Environment.getExternalStorageDirectory() + "/" + split[1];
            } else if (isDownloadsDocument(uri)) {
                return getDataColumn(applicationContext, ContentUris.withAppendedId(Uri.parse("content://downloads/public_downloads"), ValueOf.toLong(DocumentsContract.getDocumentId(uri))), null, null);
            } else if (!isMediaDocument(uri)) {
                return "";
            } else {
                String[] split2 = DocumentsContract.getDocumentId(uri).split(":");
                String str = split2[0];
                if (PictureMimeType.MIME_TYPE_PREFIX_IMAGE.equals(str)) {
                    uri2 = MediaStore.Images.Media.EXTERNAL_CONTENT_URI;
                } else if ("video".equals(str)) {
                    uri2 = MediaStore.Video.Media.EXTERNAL_CONTENT_URI;
                } else if ("audio".equals(str)) {
                    uri2 = MediaStore.Audio.Media.EXTERNAL_CONTENT_URI;
                }
                return getDataColumn(applicationContext, uri2, "_id=?", new String[]{split2[1]});
            }
        } else if (!"content".equalsIgnoreCase(uri.getScheme())) {
            return "file".equalsIgnoreCase(uri.getScheme()) ? uri.getPath() : "";
        } else {
            if (isGooglePhotosUri(uri)) {
                return uri.getLastPathSegment();
            }
            return getDataColumn(applicationContext, uri, null, null);
        }
    }

    private static File getRootDirFile(Context context, int i2) {
        if (i2 == 2) {
            return context.getExternalFilesDir(Environment.DIRECTORY_MOVIES);
        }
        if (i2 != 3) {
            return context.getExternalFilesDir(Environment.DIRECTORY_PICTURES);
        }
        return context.getExternalFilesDir(Environment.DIRECTORY_MUSIC);
    }

    public static String getVideoDiskCacheDir(Context context) {
        File externalFilesDir = context.getExternalFilesDir(Environment.DIRECTORY_MOVIES);
        if (externalFilesDir == null) {
            return "";
        }
        return externalFilesDir.getPath();
    }

    public static boolean isDownloadsDocument(Uri uri) {
        return "com.android.providers.downloads.documents".equals(uri.getAuthority());
    }

    public static boolean isExternalStorageDocument(Uri uri) {
        return "com.android.externalstorage.documents".equals(uri.getAuthority());
    }

    public static boolean isFileExists(String str) {
        return TextUtils.isEmpty(str) || new File(str).exists();
    }

    public static boolean isGooglePhotosUri(Uri uri) {
        return "com.google.android.apps.photos.content".equals(uri.getAuthority());
    }

    public static boolean isMediaDocument(Uri uri) {
        return "com.android.providers.media.documents".equals(uri.getAuthority());
    }

    public static Uri parUri(Context context, File file) {
        String str = context.getPackageName() + ".luckProvider";
        if (Build.VERSION.SDK_INT > 23) {
            return FileProvider.getUriForFile(context, str, file);
        }
        return Uri.fromFile(file);
    }

    /* JADX INFO: finally extract failed */
    public static boolean bufferCopy(BufferedSource bufferedSource, OutputStream outputStream) {
        BufferedSink bufferedSink = null;
        try {
            bufferedSink = Okio.buffer(Okio.sink(outputStream));
            bufferedSink.writeAll(bufferedSource);
            bufferedSink.flush();
            close(bufferedSource);
            close(bufferedSink);
            return true;
        } catch (Exception e2) {
            e2.printStackTrace();
            close(bufferedSource);
            close(bufferedSink);
            return false;
        } catch (Throwable th) {
            close(bufferedSource);
            close(bufferedSink);
            throw th;
        }
    }

    public static boolean bufferCopy(File file, OutputStream outputStream) {
        BufferedSink bufferedSink;
        Throwable th;
        Exception e2;
        BufferedSink bufferedSink2 = null;
        try {
            Source buffer = Okio.buffer(Okio.source(file));
            try {
                bufferedSink2 = Okio.buffer(Okio.sink(outputStream));
                bufferedSink2.writeAll(buffer);
                bufferedSink2.flush();
                close(buffer);
                close(outputStream);
                close(bufferedSink2);
                return true;
            } catch (Exception e3) {
                e2 = e3;
                bufferedSink2 = buffer;
                bufferedSink = bufferedSink2;
                try {
                    e2.printStackTrace();
                    close(bufferedSink2);
                    close(outputStream);
                    close(bufferedSink);
                    return false;
                } catch (Throwable th2) {
                    th = th2;
                    close(bufferedSink2);
                    close(outputStream);
                    close(bufferedSink);
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                bufferedSink2 = buffer;
                bufferedSink = bufferedSink2;
                close(bufferedSink2);
                close(outputStream);
                close(bufferedSink);
                throw th;
            }
        } catch (Exception e4) {
            e2 = e4;
            bufferedSink = null;
            e2.printStackTrace();
            close(bufferedSink2);
            close(outputStream);
            close(bufferedSink);
            return false;
        } catch (Throwable th4) {
            th = th4;
            bufferedSink = null;
            close(bufferedSink2);
            close(outputStream);
            close(bufferedSink);
            throw th;
        }
    }
}
