package com.lxj.easyadapter;

import android.content.Context;
import android.util.SparseArray;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.recyclerview.widget.StaggeredGridLayoutManager;
import com.lzy.okgo.cache.CacheEntity;
import d.l.a.c;
import d.l.a.d;
import h.p.b.o;
import java.util.List;
import java.util.Objects;

/* compiled from: MultiItemTypeAdapter.kt */
public class MultiItemTypeAdapter<T> extends RecyclerView.Adapter<ViewHolder> {

    /* renamed from: a  reason: collision with root package name */
    public final SparseArray<View> f7292a = new SparseArray<>();

    /* renamed from: b  reason: collision with root package name */
    public final SparseArray<View> f7293b = new SparseArray<>();

    /* renamed from: c  reason: collision with root package name */
    public d.l.a.b<T> f7294c = new d.l.a.b<>();

    /* renamed from: d  reason: collision with root package name */
    public a f7295d;

    /* renamed from: e  reason: collision with root package name */
    public List<? extends T> f7296e;

    /* compiled from: MultiItemTypeAdapter.kt */
    public interface a {
        void a(View view, RecyclerView.ViewHolder viewHolder, int i2);
    }

    /* compiled from: MultiItemTypeAdapter.kt */
    public static class b implements a {
    }

    public MultiItemTypeAdapter(List<? extends T> list) {
        o.f(list, CacheEntity.DATA);
        this.f7296e = list;
    }

    public final boolean a() {
        return true;
    }

    public final boolean b(int i2) {
        return i2 >= getHeadersCount() + ((getItemCount() - getHeadersCount()) - this.f7293b.size());
    }

    public final boolean c(int i2) {
        return i2 < getHeadersCount();
    }

    public final void d(a aVar) {
        o.f(aVar, "onItemClickListener");
        this.f7295d = aVar;
    }

    public final int getHeadersCount() {
        return this.f7292a.size();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemCount() {
        return getHeadersCount() + this.f7293b.size() + this.f7296e.size();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemViewType(int i2) {
        boolean z = false;
        if (i2 < getHeadersCount()) {
            return this.f7292a.keyAt(i2);
        }
        if (b(i2)) {
            return this.f7293b.keyAt((i2 - getHeadersCount()) - ((getItemCount() - getHeadersCount()) - this.f7293b.size()));
        }
        if (this.f7294c.f12183a.size() > 0) {
            z = true;
        }
        if (!z) {
            return super.getItemViewType(i2);
        }
        d.l.a.b<T> bVar = this.f7294c;
        Object obj = this.f7296e.get(i2 - getHeadersCount());
        int headersCount = i2 - getHeadersCount();
        int size = bVar.f12183a.size();
        do {
            size--;
            if (size < 0) {
                throw new IllegalArgumentException(d.a.a.a.a.m("No ItemDelegate added that matches position=", headersCount, " in data source"));
            }
        } while (!bVar.f12183a.valueAt(size).c(obj, headersCount));
        return bVar.f12183a.keyAt(size);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onAttachedToRecyclerView(RecyclerView recyclerView) {
        o.f(recyclerView, "recyclerView");
        super.onAttachedToRecyclerView(recyclerView);
        MultiItemTypeAdapter$onAttachedToRecyclerView$1 multiItemTypeAdapter$onAttachedToRecyclerView$1 = new MultiItemTypeAdapter$onAttachedToRecyclerView$1(this);
        o.f(recyclerView, "recyclerView");
        o.f(multiItemTypeAdapter$onAttachedToRecyclerView$1, "fn");
        RecyclerView.LayoutManager layoutManager = recyclerView.getLayoutManager();
        if (layoutManager instanceof GridLayoutManager) {
            GridLayoutManager gridLayoutManager = (GridLayoutManager) layoutManager;
            gridLayoutManager.setSpanSizeLookup(new WrapperUtils$onAttachedToRecyclerView$1(multiItemTypeAdapter$onAttachedToRecyclerView$1, layoutManager, gridLayoutManager.getSpanSizeLookup()));
            gridLayoutManager.setSpanCount(gridLayoutManager.getSpanCount());
        }
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [androidx.recyclerview.widget.RecyclerView$ViewHolder, int] */
    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onBindViewHolder(ViewHolder viewHolder, int i2) {
        ViewHolder viewHolder2 = viewHolder;
        o.f(viewHolder2, "holder");
        if (!(i2 < getHeadersCount()) && !b(i2)) {
            Object obj = this.f7296e.get(i2 - getHeadersCount());
            o.f(viewHolder2, "holder");
            d.l.a.b<T> bVar = this.f7294c;
            int adapterPosition = viewHolder2.getAdapterPosition() - getHeadersCount();
            Objects.requireNonNull(bVar);
            o.f(viewHolder2, "holder");
            int size = bVar.f12183a.size();
            for (int i3 = 0; i3 < size; i3++) {
                d.l.a.a<T> valueAt = bVar.f12183a.valueAt(i3);
                if (valueAt.c(obj, adapterPosition)) {
                    valueAt.b(viewHolder2, obj, adapterPosition);
                    return;
                }
            }
            throw new IllegalArgumentException(d.a.a.a.a.m("No ItemDelegateManager added that matches position=", adapterPosition, " in data source"));
        }
    }

    /* Return type fixed from 'androidx.recyclerview.widget.RecyclerView$ViewHolder' to match base method */
    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public ViewHolder onCreateViewHolder(ViewGroup viewGroup, int i2) {
        o.f(viewGroup, "parent");
        if (this.f7292a.get(i2) != null) {
            View view = this.f7292a.get(i2);
            if (view != null) {
                View view2 = view;
                o.f(view2, "itemView");
                return new ViewHolder(view2);
            }
            o.l();
            throw null;
        } else if (this.f7293b.get(i2) != null) {
            View view3 = this.f7293b.get(i2);
            if (view3 != null) {
                View view4 = view3;
                o.f(view4, "itemView");
                return new ViewHolder(view4);
            }
            o.l();
            throw null;
        } else {
            d.l.a.a<T> aVar = this.f7294c.f12183a.get(i2);
            if (aVar != null) {
                int a2 = aVar.a();
                Context context = viewGroup.getContext();
                o.b(context, "parent.context");
                o.f(context, "context");
                o.f(viewGroup, "parent");
                View inflate = LayoutInflater.from(context).inflate(a2, viewGroup, false);
                o.b(inflate, "itemView");
                ViewHolder viewHolder = new ViewHolder(inflate);
                View view5 = viewHolder.f7298b;
                o.f(viewHolder, "holder");
                o.f(view5, "itemView");
                o.f(viewGroup, "parent");
                o.f(viewHolder, "viewHolder");
                if (a()) {
                    viewHolder.f7298b.setOnClickListener(new c(this, viewHolder));
                    viewHolder.f7298b.setOnLongClickListener(new d(this, viewHolder));
                }
                return viewHolder;
            }
            o.l();
            throw null;
        }
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [androidx.recyclerview.widget.RecyclerView$ViewHolder] */
    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onViewAttachedToWindow(ViewHolder viewHolder) {
        ViewHolder viewHolder2 = viewHolder;
        o.f(viewHolder2, "holder");
        super.onViewAttachedToWindow(viewHolder2);
        int layoutPosition = viewHolder2.getLayoutPosition();
        if (c(layoutPosition) || b(layoutPosition)) {
            o.f(viewHolder2, "holder");
            View view = viewHolder2.itemView;
            o.b(view, "holder.itemView");
            ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
            if (layoutParams != null && (layoutParams instanceof StaggeredGridLayoutManager.LayoutParams)) {
                ((StaggeredGridLayoutManager.LayoutParams) layoutParams).f1923f = true;
            }
        }
    }
}
