package com.lzy.okserver.task;

import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.lang.reflect.Array;
import java.util.AbstractQueue;
import java.util.Collection;
import java.util.Iterator;
import java.util.NoSuchElementException;
import java.util.Objects;
import java.util.concurrent.BlockingQueue;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.locks.Condition;
import java.util.concurrent.locks.ReentrantLock;
import org.dsq.library.widget.bigImage.SubsamplingScaleImageView;

public class PriorityBlockingQueue<E> extends AbstractQueue<E> implements BlockingQueue<E>, Serializable {
    private static final long serialVersionUID = -6903933977591709194L;
    private final int capacity;
    private final AtomicInteger count;
    public transient PriorityBlockingQueue<E>.b head;
    private transient PriorityBlockingQueue<E>.b last;
    private final Condition notEmpty;
    private final Condition notFull;
    private final ReentrantLock putLock;
    private final ReentrantLock takeLock;

    public class a implements Iterator<E> {

        /* renamed from: d  reason: collision with root package name */
        public PriorityBlockingQueue<E>.b f7376d;

        /* renamed from: h  reason: collision with root package name */
        public PriorityBlockingQueue<E>.b f7377h;

        /* renamed from: j  reason: collision with root package name */
        public E f7378j;

        public a() {
            PriorityBlockingQueue.this.fullyLock();
            try {
                b bVar = (PriorityBlockingQueue<E>.b) PriorityBlockingQueue.this.head.f7382c;
                this.f7376d = bVar;
                if (bVar != null) {
                    this.f7378j = (E) bVar.a();
                }
            } finally {
                PriorityBlockingQueue.this.fullyUnlock();
            }
        }

        public boolean hasNext() {
            return this.f7376d != null;
        }

        @Override // java.util.Iterator
        public E next() {
            PriorityBlockingQueue<E>.b bVar;
            PriorityBlockingQueue.this.fullyLock();
            try {
                PriorityBlockingQueue<E>.b bVar2 = this.f7376d;
                if (bVar2 != null) {
                    E e2 = this.f7378j;
                    this.f7377h = bVar2;
                    while (true) {
                        bVar = bVar2.f7382c;
                        if (bVar == bVar2) {
                            bVar = PriorityBlockingQueue.this.head.f7382c;
                            break;
                        } else if (bVar == null) {
                            break;
                        } else if (bVar.a() != null) {
                            break;
                        } else {
                            bVar2 = bVar;
                        }
                    }
                    this.f7376d = (PriorityBlockingQueue<E>.b) bVar;
                    this.f7378j = bVar == null ? null : (E) bVar.a();
                    return e2;
                }
                throw new NoSuchElementException();
            } finally {
                PriorityBlockingQueue.this.fullyUnlock();
            }
        }

        /* JADX WARN: Multi-variable type inference failed */
        /* JADX DEBUG: Type inference failed for r2v0. Raw type applied. Possible types: com.lzy.okserver.task.PriorityBlockingQueue<E>$b<T> */
        public void remove() {
            if (this.f7377h != null) {
                PriorityBlockingQueue.this.fullyLock();
                try {
                    b bVar = this.f7377h;
                    this.f7377h = null;
                    b bVar2 = PriorityBlockingQueue.this.head;
                    while (true) {
                        bVar2 = (PriorityBlockingQueue<E>.b) bVar2.f7382c;
                        if (bVar2 != null) {
                            if (bVar2 == bVar) {
                                PriorityBlockingQueue.this.unlink(bVar2, bVar2);
                                break;
                            }
                        } else {
                            break;
                        }
                    }
                } finally {
                    PriorityBlockingQueue.this.fullyUnlock();
                }
            } else {
                throw new IllegalStateException();
            }
        }
    }

    public class b<T> {

        /* renamed from: a  reason: collision with root package name */
        public boolean f7380a = false;

        /* renamed from: b  reason: collision with root package name */
        public d.m.b.c.a<?> f7381b;

        /* renamed from: c  reason: collision with root package name */
        public PriorityBlockingQueue<E>.b f7382c;

        public b(PriorityBlockingQueue priorityBlockingQueue, T t) {
            b(t);
        }

        /* JADX WARN: Type inference failed for: r0v1, types: [T, E] */
        public T a() {
            T t = (T) this.f7381b;
            if (t == null) {
                return null;
            }
            if (this.f7380a) {
                return t;
            }
            return t.f12394h;
        }

        public void b(T t) {
            if (t == null) {
                this.f7381b = null;
            } else if (t instanceof d.m.b.c.a) {
                this.f7381b = t;
                this.f7380a = true;
            } else {
                this.f7381b = new d.m.b.c.a<>(0, t);
            }
        }
    }

    public PriorityBlockingQueue() {
        this((int) SubsamplingScaleImageView.TILE_SIZE_AUTO);
    }

    private E _dequeue() {
        b bVar = (PriorityBlockingQueue<E>.b) this.head;
        b bVar2 = (PriorityBlockingQueue<E>.b) bVar.f7382c;
        bVar.f7382c = bVar;
        this.head = bVar2;
        E e2 = (E) bVar2.a();
        bVar2.b(null);
        return e2;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX DEBUG: Type inference failed for r1v0. Raw type applied. Possible types: com.lzy.okserver.task.PriorityBlockingQueue<E>$b<T>, com.lzy.okserver.task.PriorityBlockingQueue$b */
    /* JADX WARN: Type inference failed for: r5v0, types: [com.lzy.okserver.task.PriorityBlockingQueue<E>$b<T>, com.lzy.okserver.task.PriorityBlockingQueue$b, com.lzy.okserver.task.PriorityBlockingQueue<E>$b<E>] */
    private void _enqueue(PriorityBlockingQueue<E>.b bVar) {
        boolean z;
        b bVar2 = this.head;
        while (true) {
            b bVar3 = (PriorityBlockingQueue<E>.b) bVar2.f7382c;
            if (bVar3 == null) {
                z = false;
                break;
            } else if (bVar3.f7381b.f12393d < bVar.f7381b.f12393d) {
                bVar2.f7382c = bVar;
                bVar.f7382c = bVar3;
                z = true;
                break;
            } else {
                bVar2 = bVar3;
            }
        }
        if (!z) {
            this.last.f7382c = bVar;
            this.last = bVar;
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: com.lzy.okserver.task.PriorityBlockingQueue<E>$b<E> */
    /* JADX WARN: Multi-variable type inference failed */
    private synchronized E opQueue(PriorityBlockingQueue<E>.b bVar) {
        if (bVar == 0) {
            return _dequeue();
        }
        _enqueue(bVar);
        return null;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: com.lzy.okserver.task.PriorityBlockingQueue<E> */
    /* JADX WARN: Multi-variable type inference failed */
    private void readObject(ObjectInputStream objectInputStream) {
        objectInputStream.defaultReadObject();
        this.count.set(0);
        PriorityBlockingQueue<E>.b bVar = new b<>(this, null);
        this.head = bVar;
        this.last = bVar;
        while (true) {
            Object readObject = objectInputStream.readObject();
            if (readObject != null) {
                add(readObject);
            } else {
                return;
            }
        }
    }

    private void signalNotEmpty() {
        ReentrantLock reentrantLock = this.takeLock;
        reentrantLock.lock();
        try {
            this.notEmpty.signal();
        } finally {
            reentrantLock.unlock();
        }
    }

    private void signalNotFull() {
        ReentrantLock reentrantLock = this.putLock;
        reentrantLock.lock();
        try {
            this.notFull.signal();
        } finally {
            reentrantLock.unlock();
        }
    }

    private void writeObject(ObjectOutputStream objectOutputStream) {
        fullyLock();
        try {
            objectOutputStream.defaultWriteObject();
            b bVar = this.head;
            while (true) {
                bVar = bVar.f7382c;
                if (bVar != null) {
                    objectOutputStream.writeObject(bVar.a());
                } else {
                    objectOutputStream.writeObject(null);
                    return;
                }
            }
        } finally {
            fullyUnlock();
        }
    }

    public void clear() {
        fullyLock();
        try {
            PriorityBlockingQueue<E>.b bVar = this.head;
            while (true) {
                PriorityBlockingQueue<E>.b bVar2 = bVar.f7382c;
                if (bVar2 == null) {
                    break;
                }
                bVar.f7382c = (PriorityBlockingQueue<E>.b) bVar;
                bVar2.b(null);
                bVar = bVar2;
            }
            this.head = this.last;
            if (this.count.getAndSet(0) == this.capacity) {
                this.notFull.signal();
            }
        } finally {
            fullyUnlock();
        }
    }

    public boolean contains(Object obj) {
        if (obj == null) {
            return false;
        }
        fullyLock();
        try {
            b bVar = this.head;
            do {
                bVar = bVar.f7382c;
                if (bVar == null) {
                    fullyUnlock();
                    return false;
                }
            } while (!obj.equals(bVar.a()));
            return true;
        } finally {
            fullyUnlock();
        }
    }

    @Override // java.util.concurrent.BlockingQueue
    public int drainTo(Collection<? super E> collection) {
        return drainTo(collection, SubsamplingScaleImageView.TILE_SIZE_AUTO);
    }

    public void fullyLock() {
        this.putLock.lock();
        this.takeLock.lock();
    }

    public void fullyUnlock() {
        this.takeLock.unlock();
        this.putLock.unlock();
    }

    @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable
    public Iterator<E> iterator() {
        return new a();
    }

    @Override // java.util.concurrent.BlockingQueue
    public boolean offer(E e2, long j2, TimeUnit timeUnit) {
        Objects.requireNonNull(e2);
        long nanos = timeUnit.toNanos(j2);
        ReentrantLock reentrantLock = this.putLock;
        AtomicInteger atomicInteger = this.count;
        reentrantLock.lockInterruptibly();
        while (atomicInteger.get() == this.capacity) {
            try {
                if (nanos <= 0) {
                    return false;
                }
                nanos = this.notFull.awaitNanos(nanos);
            } finally {
                reentrantLock.unlock();
            }
        }
        opQueue(new b<>(this, e2));
        int andIncrement = atomicInteger.getAndIncrement();
        if (andIncrement + 1 < this.capacity) {
            this.notFull.signal();
        }
        reentrantLock.unlock();
        if (andIncrement != 0) {
            return true;
        }
        signalNotEmpty();
        return true;
    }

    /* JADX WARN: Type inference failed for: r1v2, types: [E, java.lang.Object] */
    @Override // java.util.Queue
    public E peek() {
        if (this.count.get() == 0) {
            return null;
        }
        ReentrantLock reentrantLock = this.takeLock;
        reentrantLock.lock();
        try {
            PriorityBlockingQueue<E>.b bVar = this.head.f7382c;
            if (bVar == null) {
                return null;
            }
            T a2 = bVar.a();
            reentrantLock.unlock();
            return a2;
        } finally {
            reentrantLock.unlock();
        }
    }

    @Override // java.util.concurrent.BlockingQueue
    public E poll(long j2, TimeUnit timeUnit) {
        long nanos = timeUnit.toNanos(j2);
        AtomicInteger atomicInteger = this.count;
        ReentrantLock reentrantLock = this.takeLock;
        reentrantLock.lockInterruptibly();
        while (atomicInteger.get() == 0) {
            try {
                if (nanos <= 0) {
                    return null;
                }
                nanos = this.notEmpty.awaitNanos(nanos);
            } finally {
                reentrantLock.unlock();
            }
        }
        E opQueue = opQueue(null);
        int andDecrement = atomicInteger.getAndDecrement();
        if (andDecrement > 1) {
            this.notEmpty.signal();
        }
        reentrantLock.unlock();
        if (andDecrement == this.capacity) {
            signalNotFull();
        }
        return opQueue;
    }

    @Override // java.util.concurrent.BlockingQueue
    public void put(E e2) {
        Objects.requireNonNull(e2);
        b<E> bVar = new b<>(this, e2);
        ReentrantLock reentrantLock = this.putLock;
        AtomicInteger atomicInteger = this.count;
        reentrantLock.lockInterruptibly();
        while (atomicInteger.get() == this.capacity) {
            try {
                this.notFull.await();
            } finally {
                reentrantLock.unlock();
            }
        }
        opQueue(bVar);
        int andIncrement = atomicInteger.getAndIncrement();
        if (andIncrement + 1 < this.capacity) {
            this.notFull.signal();
        }
        if (andIncrement == 0) {
            signalNotEmpty();
        }
    }

    public int remainingCapacity() {
        return this.capacity - this.count.get();
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX DEBUG: Type inference failed for r2v0. Raw type applied. Possible types: com.lzy.okserver.task.PriorityBlockingQueue<E>$b<T> */
    /* JADX WARN: Type inference failed for: r5v0, types: [com.lzy.okserver.task.PriorityBlockingQueue, com.lzy.okserver.task.PriorityBlockingQueue<E>] */
    public boolean remove(Object obj) {
        if (obj == null) {
            return false;
        }
        fullyLock();
        try {
            b bVar = this.head;
            do {
                bVar = (PriorityBlockingQueue<E>.b) bVar.f7382c;
                if (bVar == null) {
                    fullyUnlock();
                    return false;
                }
            } while (!obj.equals(bVar.a()));
            unlink(bVar, bVar);
            return true;
        } finally {
            fullyUnlock();
        }
    }

    public int size() {
        return this.count.get();
    }

    /* JADX INFO: finally extract failed */
    @Override // java.util.concurrent.BlockingQueue
    public E take() {
        AtomicInteger atomicInteger = this.count;
        ReentrantLock reentrantLock = this.takeLock;
        reentrantLock.lockInterruptibly();
        while (atomicInteger.get() == 0) {
            try {
                this.notEmpty.await();
            } catch (Throwable th) {
                reentrantLock.unlock();
                throw th;
            }
        }
        E opQueue = opQueue(null);
        int andDecrement = atomicInteger.getAndDecrement();
        if (andDecrement > 1) {
            this.notEmpty.signal();
        }
        reentrantLock.unlock();
        if (andDecrement == this.capacity) {
            signalNotFull();
        }
        return opQueue;
    }

    public Object[] toArray() {
        fullyLock();
        try {
            Object[] objArr = new Object[this.count.get()];
            int i2 = 0;
            PriorityBlockingQueue<E>.b bVar = this.head.f7382c;
            while (bVar != null) {
                int i3 = i2 + 1;
                objArr[i2] = bVar.a();
                bVar = bVar.f7382c;
                i2 = i3;
            }
            return objArr;
        } finally {
            fullyUnlock();
        }
    }

    public void unlink(PriorityBlockingQueue<E>.b bVar, PriorityBlockingQueue<E>.b bVar2) {
        bVar.b(null);
        bVar2.f7382c = bVar.f7382c;
        if (this.last == bVar) {
            this.last = bVar2;
        }
        if (this.count.getAndDecrement() == this.capacity) {
            this.notFull.signal();
        }
    }

    public PriorityBlockingQueue(int i2) {
        this.count = new AtomicInteger();
        ReentrantLock reentrantLock = new ReentrantLock();
        this.takeLock = reentrantLock;
        this.notEmpty = reentrantLock.newCondition();
        ReentrantLock reentrantLock2 = new ReentrantLock();
        this.putLock = reentrantLock2;
        this.notFull = reentrantLock2.newCondition();
        if (i2 > 0) {
            this.capacity = i2;
            PriorityBlockingQueue<E>.b bVar = new b<>(this, null);
            this.head = bVar;
            this.last = bVar;
            return;
        }
        throw new IllegalArgumentException();
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX DEBUG: Type inference failed for r6v0. Raw type applied. Possible types: java.lang.Object, ? super E */
    /* JADX WARN: Type inference failed for: r5v0, types: [com.lzy.okserver.task.PriorityBlockingQueue<E>$b<T>, com.lzy.okserver.task.PriorityBlockingQueue$b] */
    /* JADX WARNING: Unknown variable types count: 1 */
    @Override // java.util.concurrent.BlockingQueue
    public int drainTo(Collection<? super E> collection, int i2) {
        Objects.requireNonNull(collection);
        if (collection != this) {
            int i3 = 0;
            if (i2 <= 0) {
                return i3;
            }
            ReentrantLock reentrantLock = this.takeLock;
            reentrantLock.lock();
            try {
                int min = Math.min(i2, this.count.get());
                PriorityBlockingQueue<E>.b bVar = this.head;
                int i4 = 0;
                while (i4 < min) {
                    try {
                        ?? r5 = bVar.f7382c;
                        collection.add(r5.a());
                        r5.b(null);
                        bVar.f7382c = (PriorityBlockingQueue<E>.b) bVar;
                        i4++;
                        bVar = r5;
                    } catch (Throwable th) {
                        if (i4 > 0) {
                            this.head = bVar;
                            if (this.count.getAndAdd(-i4) == this.capacity) {
                            }
                        }
                        throw th;
                    }
                }
                if (i4 > 0) {
                    this.head = bVar;
                    if (this.count.getAndAdd(-i4) == this.capacity) {
                        i3 = 1;
                    }
                }
                return min;
            } finally {
                reentrantLock.unlock();
                if (i3 != 0) {
                    signalNotFull();
                }
            }
        } else {
            throw new IllegalArgumentException();
        }
    }

    @Override // java.util.AbstractCollection, java.util.Collection
    public <T> T[] toArray(T[] tArr) {
        fullyLock();
        try {
            int i2 = this.count.get();
            if (tArr.length < i2) {
                tArr = (T[]) ((Object[]) Array.newInstance(tArr.getClass().getComponentType(), i2));
            }
            int i3 = 0;
            PriorityBlockingQueue<E>.b bVar = this.head.f7382c;
            while (bVar != null) {
                tArr[i3] = bVar.a();
                bVar = bVar.f7382c;
                i3++;
            }
            if (tArr.length > i3) {
                tArr[i3] = null;
            }
            return tArr;
        } finally {
            fullyUnlock();
        }
    }

    public PriorityBlockingQueue(Collection<? extends E> collection) {
        this((int) SubsamplingScaleImageView.TILE_SIZE_AUTO);
        ReentrantLock reentrantLock = this.putLock;
        reentrantLock.lock();
        int i2 = 0;
        try {
            for (Object obj : collection) {
                if (obj == null) {
                    throw new NullPointerException();
                } else if (i2 != this.capacity) {
                    opQueue(new b<>(this, obj));
                    i2++;
                } else {
                    throw new IllegalStateException("Queue full");
                }
            }
            this.count.set(i2);
        } finally {
            reentrantLock.unlock();
        }
    }

    /* JADX INFO: finally extract failed */
    @Override // java.util.Queue
    public E poll() {
        AtomicInteger atomicInteger = this.count;
        E e2 = null;
        if (atomicInteger.get() == 0) {
            return null;
        }
        int i2 = -1;
        ReentrantLock reentrantLock = this.takeLock;
        reentrantLock.lock();
        try {
            if (atomicInteger.get() > 0) {
                e2 = opQueue(null);
                i2 = atomicInteger.getAndDecrement();
                if (i2 > 1) {
                    this.notEmpty.signal();
                }
            }
            reentrantLock.unlock();
            if (i2 == this.capacity) {
                signalNotFull();
            }
            return e2;
        } catch (Throwable th) {
            reentrantLock.unlock();
            throw th;
        }
    }

    @Override // java.util.concurrent.BlockingQueue, java.util.Queue
    public boolean offer(E e2) {
        Objects.requireNonNull(e2);
        AtomicInteger atomicInteger = this.count;
        if (atomicInteger.get() == this.capacity) {
            return false;
        }
        int i2 = -1;
        b<E> bVar = new b<>(this, e2);
        ReentrantLock reentrantLock = this.putLock;
        reentrantLock.lock();
        try {
            if (atomicInteger.get() < this.capacity) {
                opQueue(bVar);
                i2 = atomicInteger.getAndIncrement();
                if (i2 + 1 < this.capacity) {
                    this.notFull.signal();
                }
            }
            if (i2 == 0) {
                signalNotEmpty();
            }
            if (i2 >= 0) {
                return true;
            }
            return false;
        } finally {
            reentrantLock.unlock();
        }
    }
}
