package com.nex3z.flowlayout;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.View;
import android.view.ViewGroup;
import androidx.core.internal.view.SupportMenu;
import java.util.ArrayList;
import java.util.List;
import org.dsq.library.widget.bigImage.SubsamplingScaleImageView;

public class FlowLayout extends ViewGroup {

    /* renamed from: d  reason: collision with root package name */
    public boolean f7383d;

    /* renamed from: h  reason: collision with root package name */
    public int f7384h;

    /* renamed from: j  reason: collision with root package name */
    public int f7385j;

    /* renamed from: k  reason: collision with root package name */
    public int f7386k;

    /* renamed from: l  reason: collision with root package name */
    public float f7387l;
    public float m;
    public boolean n;
    public int o;
    public int p;
    public int q;
    public int r;
    public List<Float> s;
    public List<Integer> t;
    public List<Integer> u;
    public List<Integer> v;

    public FlowLayout(Context context) {
        this(context, null);
    }

    public final float a(float f2) {
        return TypedValue.applyDimension(1, f2, getResources().getDisplayMetrics());
    }

    public final int b(int i2, int i3, int i4, int i5) {
        if (this.f7384h == -65536 || i5 >= this.u.size() || i5 >= this.v.size() || this.v.get(i5).intValue() <= 0) {
            return 0;
        }
        if (i2 == 1) {
            return ((i3 - i4) - this.u.get(i5).intValue()) / 2;
        }
        if (i2 != 5) {
            return 0;
        }
        return (i3 - i4) - this.u.get(i5).intValue();
    }

    public final float c(int i2, int i3, int i4, int i5) {
        if (i2 != -65536) {
            return (float) i2;
        }
        if (i5 > 1) {
            return (float) ((i3 - i4) / (i5 - 1));
        }
        return 0.0f;
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return new ViewGroup.MarginLayoutParams(layoutParams);
    }

    public int getChildSpacing() {
        return this.f7384h;
    }

    public int getChildSpacingForLastRow() {
        return this.f7386k;
    }

    public int getMaxRows() {
        return this.o;
    }

    public int getMinChildSpacing() {
        return this.f7385j;
    }

    public float getRowSpacing() {
        return this.f7387l;
    }

    public int getRowsCount() {
        return this.v.size();
    }

    /* JADX WARNING: Removed duplicated region for block: B:13:0x005c  */
    /* JADX WARNING: Removed duplicated region for block: B:44:0x0173  */
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        int size;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        int i12;
        int i13;
        int i14;
        int i15;
        int i16;
        int i17;
        int i18;
        int paddingLeft = getPaddingLeft();
        int paddingRight = getPaddingRight();
        int paddingTop = getPaddingTop();
        int paddingBottom = getPaddingBottom();
        int width = this.n ? getWidth() - paddingRight : paddingLeft;
        int i19 = this.p;
        int i20 = i19 & 112;
        int i21 = i19 & 7;
        if (i20 != 16) {
            if (i20 == 80) {
                i18 = (((i5 - i3) - paddingTop) - paddingBottom) - this.r;
            }
            int i22 = paddingLeft + paddingRight;
            int i23 = i4 - i2;
            int b2 = b(i21, i23, i22, 0) + width;
            int i24 = this.q & 112;
            size = this.v.size();
            i6 = 0;
            i7 = 0;
            while (i6 < Math.min(size, this.o)) {
                int intValue = this.v.get(i6).intValue();
                int intValue2 = this.t.get(i6).intValue();
                float floatValue = this.s.get(i6).floatValue();
                int i25 = 0;
                while (i25 < intValue && i7 < getChildCount()) {
                    int i26 = i7 + 1;
                    View childAt = getChildAt(i7);
                    if (childAt.getVisibility() == 8) {
                        paddingLeft = paddingLeft;
                        i7 = i26;
                        size = size;
                    } else {
                        int i27 = i25 + 1;
                        ViewGroup.LayoutParams layoutParams = childAt.getLayoutParams();
                        if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
                            ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) layoutParams;
                            int i28 = marginLayoutParams.leftMargin;
                            int i29 = marginLayoutParams.rightMargin;
                            i13 = marginLayoutParams.topMargin;
                            i14 = marginLayoutParams.bottomMargin;
                            i10 = i22;
                            i12 = i28;
                            i9 = intValue;
                            i11 = i29;
                            i8 = i27;
                        } else {
                            i14 = 0;
                            i13 = 0;
                            i10 = i22;
                            i9 = intValue;
                            i8 = i27;
                            i12 = 0;
                            i11 = 0;
                        }
                        int measuredWidth = childAt.getMeasuredWidth();
                        int measuredHeight = childAt.getMeasuredHeight();
                        int i30 = paddingTop + i13;
                        if (i24 == 80) {
                            i15 = ((paddingTop + intValue2) - i14) - measuredHeight;
                        } else {
                            if (i24 == 16) {
                                i30 = ((((intValue2 - i13) - i14) - measuredHeight) / 2) + i30;
                            }
                            i15 = i30;
                        }
                        int i31 = i15 + measuredHeight;
                        if (this.n) {
                            int i32 = b2 - i11;
                            i16 = i24;
                            childAt.layout(i32 - measuredWidth, i15, i32, i31);
                            i17 = (int) (((float) b2) - (((((float) measuredWidth) + floatValue) + ((float) i12)) + ((float) i11)));
                        } else {
                            i16 = i24;
                            int i33 = b2 + i12;
                            childAt.layout(i33, i15, i33 + measuredWidth, i31);
                            i17 = (int) (((float) measuredWidth) + floatValue + ((float) i12) + ((float) i11) + ((float) b2));
                        }
                        b2 = i17;
                        paddingLeft = paddingLeft;
                        i7 = i26;
                        size = size;
                        intValue = i9;
                        i25 = i8;
                        i22 = i10;
                        i24 = i16;
                        i21 = i21;
                    }
                }
                i6++;
                b2 = b(i21, i23, i22, i6) + (this.n ? getWidth() - paddingRight : paddingLeft);
                paddingTop = (int) (((float) intValue2) + this.m + ((float) paddingTop));
                paddingLeft = paddingLeft;
                size = size;
                i21 = i21;
                i22 = i22;
                i24 = i24;
            }
            while (i7 < getChildCount()) {
                View childAt2 = getChildAt(i7);
                if (childAt2.getVisibility() != 8) {
                    childAt2.layout(0, 0, 0, 0);
                }
                i7++;
            }
        }
        i18 = ((((i5 - i3) - paddingTop) - paddingBottom) - this.r) / 2;
        paddingTop += i18;
        int i222 = paddingLeft + paddingRight;
        int i232 = i4 - i2;
        int b22 = b(i21, i232, i222, 0) + width;
        int i242 = this.q & 112;
        size = this.v.size();
        i6 = 0;
        i7 = 0;
        while (i6 < Math.min(size, this.o)) {
        }
        while (i7 < getChildCount()) {
        }
    }

    public void onMeasure(int i2, int i3) {
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        int i12;
        float f2;
        int i13;
        int i14;
        int i15;
        int i16;
        int i17;
        int i18;
        View view;
        int i19;
        int i20;
        super.onMeasure(i2, i3);
        int size = View.MeasureSpec.getSize(i2);
        int mode = View.MeasureSpec.getMode(i2);
        int size2 = View.MeasureSpec.getSize(i3);
        int mode2 = View.MeasureSpec.getMode(i3);
        this.s.clear();
        this.t.clear();
        this.u.clear();
        this.v.clear();
        int childCount = getChildCount();
        int paddingLeft = (size - getPaddingLeft()) - getPaddingRight();
        boolean z = mode != 0 && this.f7383d;
        int i21 = this.f7384h;
        int i22 = (i21 == -65536 && mode == 0) ? 0 : i21;
        float f3 = i22 == -65536 ? (float) this.f7385j : (float) i22;
        int i23 = 0;
        int i24 = 0;
        int i25 = 0;
        int i26 = 0;
        int i27 = 0;
        int i28 = 0;
        int i29 = 0;
        while (i25 < childCount) {
            View childAt = getChildAt(i25);
            if (childAt.getVisibility() == 8) {
                i8 = i25;
                i14 = i22;
                i10 = mode;
                i7 = mode2;
                i9 = childCount;
                f2 = f3;
                i15 = i24;
                i12 = size;
                i13 = i23;
                i11 = size2;
            } else {
                ViewGroup.LayoutParams layoutParams = childAt.getLayoutParams();
                if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
                    i9 = childCount;
                    i17 = i23;
                    i11 = size2;
                    i18 = i24;
                    i8 = i25;
                    i7 = mode2;
                    f2 = f3;
                    i12 = size;
                    view = childAt;
                    i16 = i22;
                    i10 = mode;
                    measureChildWithMargins(childAt, i2, 0, i3, i28);
                    ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) layoutParams;
                    i20 = marginLayoutParams.leftMargin + marginLayoutParams.rightMargin;
                    i19 = marginLayoutParams.topMargin + marginLayoutParams.bottomMargin;
                } else {
                    i8 = i25;
                    i16 = i22;
                    i10 = mode;
                    i7 = mode2;
                    i9 = childCount;
                    f2 = f3;
                    i17 = i23;
                    i12 = size;
                    i11 = size2;
                    i18 = i24;
                    view = childAt;
                    measureChild(view, i2, i3);
                    i20 = 0;
                    i19 = 0;
                }
                i15 = i20 + view.getMeasuredWidth();
                int measuredHeight = view.getMeasuredHeight() + i19;
                if (!z || i27 + i15 <= paddingLeft) {
                    i14 = i16;
                    i13 = i17 + 1;
                    i27 = (int) (((float) i15) + f2 + ((float) i27));
                    i15 += i18;
                    i29 = Math.max(i29, measuredHeight);
                } else {
                    i14 = i16;
                    this.s.add(Float.valueOf(c(i14, paddingLeft, i18, i17)));
                    this.v.add(Integer.valueOf(i17));
                    this.t.add(Integer.valueOf(i29));
                    int i30 = (int) f2;
                    this.u.add(Integer.valueOf(i27 - i30));
                    if (this.s.size() <= this.o) {
                        i28 += i29;
                    }
                    i26 = Math.max(i26, i27);
                    i27 = i15 + i30;
                    i29 = measuredHeight;
                    i13 = 1;
                }
            }
            i24 = i15;
            i25 = i8 + 1;
            i22 = i14;
            i23 = i13;
            f3 = f2;
            size = i12;
            size2 = i11;
            mode = i10;
            childCount = i9;
            mode2 = i7;
        }
        int i31 = this.f7386k;
        if (i31 == -65537) {
            if (this.s.size() >= 1) {
                List<Float> list = this.s;
                list.add(list.get(list.size() - 1));
            } else {
                this.s.add(Float.valueOf(c(i22, paddingLeft, i24, i23)));
            }
        } else if (i31 != -65538) {
            this.s.add(Float.valueOf(c(i31, paddingLeft, i24, i23)));
        } else {
            this.s.add(Float.valueOf(c(i22, paddingLeft, i24, i23)));
        }
        this.v.add(Integer.valueOf(i23));
        this.t.add(Integer.valueOf(i29));
        this.u.add(Integer.valueOf(i27 - ((int) f3)));
        if (this.s.size() <= this.o) {
            i28 += i29;
        }
        int max = Math.max(i26, i27);
        if (i22 == -65536) {
            i5 = size;
            i4 = i5;
        } else if (mode == 0) {
            i5 = getPaddingRight() + getPaddingLeft() + max;
            i4 = size;
        } else {
            i4 = size;
            i5 = Math.min(getPaddingRight() + getPaddingLeft() + max, i4);
        }
        int paddingBottom = getPaddingBottom() + getPaddingTop() + i28;
        int min = Math.min(this.s.size(), this.o);
        float f4 = this.f7387l;
        if (f4 == -65536.0f && mode2 == 0) {
            f4 = 0.0f;
        }
        if (f4 == -65536.0f) {
            if (min > 1) {
                this.m = (float) ((size2 - paddingBottom) / (min - 1));
            } else {
                this.m = 0.0f;
            }
            paddingBottom = size2;
            i6 = paddingBottom;
        } else {
            this.m = f4;
            if (min > 1) {
                int i32 = (int) ((f4 * ((float) (min - 1))) + ((float) paddingBottom));
                if (mode2 == 0) {
                    paddingBottom = i32;
                } else {
                    i6 = size2;
                    paddingBottom = Math.min(i32, i6);
                }
            }
            i6 = size2;
        }
        this.r = paddingBottom;
        setMeasuredDimension(mode == 1073741824 ? i4 : i5, mode2 == 1073741824 ? i6 : paddingBottom);
    }

    public void setChildSpacing(int i2) {
        this.f7384h = i2;
        requestLayout();
    }

    public void setChildSpacingForLastRow(int i2) {
        this.f7386k = i2;
        requestLayout();
    }

    public void setFlow(boolean z) {
        this.f7383d = z;
        requestLayout();
    }

    public void setGravity(int i2) {
        if (this.p != i2) {
            this.p = i2;
            requestLayout();
        }
    }

    public void setMaxRows(int i2) {
        this.o = i2;
        requestLayout();
    }

    public void setMinChildSpacing(int i2) {
        this.f7385j = i2;
        requestLayout();
    }

    public void setRowSpacing(float f2) {
        this.f7387l = f2;
        requestLayout();
    }

    public void setRowVerticalGravity(int i2) {
        if (this.q != i2) {
            this.q = i2;
            requestLayout();
        }
    }

    public void setRtl(boolean z) {
        this.n = z;
        requestLayout();
    }

    public FlowLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f7383d = true;
        this.f7384h = 0;
        this.f7385j = 0;
        this.f7386k = -65538;
        this.f7387l = 0.0f;
        this.m = 0.0f;
        this.n = false;
        this.o = SubsamplingScaleImageView.TILE_SIZE_AUTO;
        this.p = -1;
        this.q = SupportMenu.CATEGORY_MASK;
        this.s = new ArrayList();
        this.t = new ArrayList();
        this.u = new ArrayList();
        this.v = new ArrayList();
        TypedArray obtainStyledAttributes = context.getTheme().obtainStyledAttributes(attributeSet, R$styleable.FlowLayout, 0, 0);
        try {
            this.f7383d = obtainStyledAttributes.getBoolean(R$styleable.FlowLayout_flFlow, true);
            try {
                this.f7384h = obtainStyledAttributes.getInt(R$styleable.FlowLayout_flChildSpacing, 0);
            } catch (NumberFormatException unused) {
                this.f7384h = obtainStyledAttributes.getDimensionPixelSize(R$styleable.FlowLayout_flChildSpacing, (int) a(0.0f));
            }
            try {
                this.f7385j = obtainStyledAttributes.getInt(R$styleable.FlowLayout_flMinChildSpacing, 0);
            } catch (NumberFormatException unused2) {
                this.f7385j = obtainStyledAttributes.getDimensionPixelSize(R$styleable.FlowLayout_flMinChildSpacing, (int) a(0.0f));
            }
            try {
                this.f7386k = obtainStyledAttributes.getInt(R$styleable.FlowLayout_flChildSpacingForLastRow, -65538);
            } catch (NumberFormatException unused3) {
                this.f7386k = obtainStyledAttributes.getDimensionPixelSize(R$styleable.FlowLayout_flChildSpacingForLastRow, (int) a(0.0f));
            }
            try {
                this.f7387l = (float) obtainStyledAttributes.getInt(R$styleable.FlowLayout_flRowSpacing, 0);
            } catch (NumberFormatException unused4) {
                this.f7387l = obtainStyledAttributes.getDimension(R$styleable.FlowLayout_flRowSpacing, a(0.0f));
            }
            this.o = obtainStyledAttributes.getInt(R$styleable.FlowLayout_flMaxRows, SubsamplingScaleImageView.TILE_SIZE_AUTO);
            this.n = obtainStyledAttributes.getBoolean(R$styleable.FlowLayout_flRtl, false);
            this.p = obtainStyledAttributes.getInt(R$styleable.FlowLayout_android_gravity, -1);
            this.q = obtainStyledAttributes.getInt(R$styleable.FlowLayout_flRowVerticalGravity, SupportMenu.CATEGORY_MASK);
        } finally {
            obtainStyledAttributes.recycle();
        }
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new ViewGroup.MarginLayoutParams(getContext(), attributeSet);
    }
}
