package com.scwang.smartrefresh.header;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ValueAnimator;
import android.content.Context;
import android.graphics.Canvas;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.View;
import android.view.animation.DecelerateInterpolator;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import com.scwang.smartrefresh.header.waterdrop.WaterDropView;
import com.scwang.smartrefresh.layout.constant.RefreshState;
import com.scwang.smartrefresh.layout.internal.InternalAbstract;
import com.shuyu.gsyvideoplayer.utils.NeuQuant;
import d.o.a.a.a.c;
import d.o.a.a.c.b;
import d.o.a.b.b.f;
import d.o.a.b.b.i;
import d.o.a.b.e.c;
import java.util.Objects;

public class WaterDropHeader extends InternalAbstract implements f {

    /* renamed from: k  reason: collision with root package name */
    public RefreshState f7434k;

    /* renamed from: l  reason: collision with root package name */
    public ImageView f7435l;
    public WaterDropView m;
    public c n;
    public d.o.a.a.a.c o;

    public class a extends AnimatorListenerAdapter {

        /* renamed from: d  reason: collision with root package name */
        public final /* synthetic */ View f7436d;

        public a(WaterDropHeader waterDropHeader, View view) {
            this.f7436d = view;
        }

        public void onAnimationEnd(Animator animator) {
            this.f7436d.setVisibility(8);
            this.f7436d.setAlpha(1.0f);
        }
    }

    public WaterDropHeader(Context context) {
        this(context, null);
    }

    @Override // com.scwang.smartrefresh.layout.internal.InternalAbstract, d.o.a.b.f.e
    public void a(i iVar, RefreshState refreshState, RefreshState refreshState2) {
        WaterDropView waterDropView = this.m;
        ImageView imageView = this.f7435l;
        this.f7434k = refreshState2;
        int ordinal = refreshState2.ordinal();
        if (ordinal == 0) {
            waterDropView.setVisibility(0);
            imageView.setVisibility(0);
        } else if (ordinal == 1) {
            waterDropView.setVisibility(0);
            imageView.setVisibility(0);
        } else if (ordinal == 5) {
            waterDropView.setVisibility(0);
            imageView.setVisibility(0);
        } else if (ordinal == 14) {
            waterDropView.setVisibility(8);
            imageView.setVisibility(8);
        }
    }

    public void dispatchDraw(Canvas canvas) {
        super.dispatchDraw(canvas);
        WaterDropView waterDropView = this.m;
        c cVar = this.n;
        if (this.f7434k == RefreshState.Refreshing) {
            canvas.save();
            canvas.translate((((float) getWidth()) / 2.0f) - (((float) cVar.getBounds().width()) / 2.0f), ((float) (waterDropView.getPaddingTop() + this.m.getMaxCircleRadius())) - (((float) cVar.getBounds().height()) / 2.0f));
            cVar.draw(canvas);
            canvas.restore();
        }
    }

    @Override // com.scwang.smartrefresh.layout.internal.InternalAbstract, d.o.a.b.b.g
    public void f(boolean z, float f2, int i2, int i3, int i4) {
        RefreshState refreshState;
        if (z || !((refreshState = this.f7434k) == RefreshState.Refreshing || refreshState == RefreshState.RefreshReleased)) {
            WaterDropView waterDropView = this.m;
            Math.max(i2, 0);
            waterDropView.a();
            waterDropView.postInvalidate();
        }
        if (z) {
            float f3 = (float) i3;
            float max = (((float) Math.max(((double) Math.min(1.0f, Math.abs((((float) i2) * 1.0f) / f3))) - 0.4d, 0.0d)) * 5.0f) / 3.0f;
            double max2 = (double) (Math.max(0.0f, Math.min((float) (Math.abs(i2) - i3), f3 * 2.0f) / f3) / 4.0f);
            float pow = ((float) (max2 - Math.pow(max2, 2.0d))) * 2.0f * 2.0f;
            this.o.f(true);
            this.o.e(0.0f, Math.min(0.8f, max * 0.8f));
            this.o.a(Math.min(1.0f, max));
            this.o.c((pow + ((0.4f * max) - 16.0f)) * 0.5f);
        }
    }

    @Override // com.scwang.smartrefresh.layout.internal.InternalAbstract, d.o.a.b.b.g
    public int g(i iVar, boolean z) {
        this.n.stop();
        return 0;
    }

    @Override // com.scwang.smartrefresh.layout.internal.InternalAbstract, d.o.a.b.b.g
    public void i(i iVar, int i2, int i3) {
        ImageView imageView = this.f7435l;
        WaterDropView waterDropView = this.m;
        this.n.start();
        imageView.setVisibility(8);
        WaterDropView waterDropView2 = this.m;
        Objects.requireNonNull(waterDropView2);
        ValueAnimator duration = ValueAnimator.ofFloat(1.0f, 0.001f).setDuration(180L);
        duration.setInterpolator(new DecelerateInterpolator());
        duration.addUpdateListener(new b(waterDropView2));
        duration.start();
        waterDropView.animate().setDuration(150).alpha(0.0f).setListener(new a(this, waterDropView));
    }

    public void invalidateDrawable(Drawable drawable) {
        invalidate();
    }

    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        ImageView imageView = this.f7435l;
        WaterDropView waterDropView = this.m;
        int measuredWidth = getMeasuredWidth();
        int measuredWidth2 = waterDropView.getMeasuredWidth();
        int i6 = measuredWidth / 2;
        int i7 = measuredWidth2 / 2;
        int i8 = i6 - i7;
        waterDropView.layout(i8, 0, i8 + measuredWidth2, waterDropView.getMeasuredHeight() + 0);
        int measuredWidth3 = imageView.getMeasuredWidth();
        int measuredHeight = imageView.getMeasuredHeight();
        int i9 = measuredWidth3 / 2;
        int i10 = i6 - i9;
        int i11 = i7 - i9;
        int i12 = (measuredWidth2 - measuredWidth3) / 2;
        if (i11 + measuredHeight > waterDropView.getBottom() - i12) {
            i11 = (waterDropView.getBottom() - i12) - measuredHeight;
        }
        imageView.layout(i10, i11, measuredWidth3 + i10, measuredHeight + i11);
    }

    public void onMeasure(int i2, int i3) {
        super.onMeasure(i2, i3);
        ImageView imageView = this.f7435l;
        WaterDropView waterDropView = this.m;
        RelativeLayout.LayoutParams layoutParams = (RelativeLayout.LayoutParams) imageView.getLayoutParams();
        imageView.measure(View.MeasureSpec.makeMeasureSpec(layoutParams.width, 1073741824), View.MeasureSpec.makeMeasureSpec(layoutParams.height, 1073741824));
        waterDropView.measure(View.MeasureSpec.makeMeasureSpec(View.MeasureSpec.getSize(i2), Integer.MIN_VALUE), i3);
        super.setMeasuredDimension(View.resolveSize(Math.max(imageView.getMeasuredWidth(), waterDropView.getMeasuredWidth()), i2), View.resolveSize(Math.max(imageView.getMeasuredHeight(), waterDropView.getMeasuredHeight()), i3));
    }

    @Override // com.scwang.smartrefresh.layout.internal.InternalAbstract, d.o.a.b.b.g
    @Deprecated
    public void setPrimaryColors(int... iArr) {
        if (iArr.length > 0) {
            this.m.setIndicatorColor(iArr[0]);
        }
    }

    public WaterDropHeader(Context context, AttributeSet attributeSet) {
        super(context, attributeSet, 0);
        d.o.a.b.c.b[] bVarArr = d.o.a.b.c.b.f12467f;
        int length = bVarArr.length;
        int i2 = 0;
        while (true) {
            if (i2 >= length) {
                break;
            }
            d.o.a.b.c.b bVar = bVarArr[i2];
            if (bVar.f12470i) {
                this.f7517h = bVar;
                break;
            }
            i2++;
        }
        WaterDropView waterDropView = new WaterDropView(context);
        this.m = waterDropView;
        waterDropView.b(0);
        addView(this.m, -1, -1);
        c cVar = new c();
        this.n = cVar;
        cVar.setCallback(this);
        cVar.setBounds(0, 0, d.o.a.b.g.b.c(20.0f), d.o.a.b.g.b.c(20.0f));
        this.f7435l = new ImageView(context);
        d.o.a.a.a.c cVar2 = new d.o.a.a.a.c(this.f7435l);
        this.o = cVar2;
        c.a aVar = cVar2.f12418l;
        aVar.v = -1;
        aVar.t = NeuQuant.maxnetpos;
        aVar.f12427i = new int[]{-1, -16737844, -48060, -10053376, -5609780, -30720};
        aVar.a(0);
        this.f7435l.setImageDrawable(this.o);
        addView(this.f7435l, d.o.a.b.g.b.c(30.0f), d.o.a.b.g.b.c(30.0f));
    }
}
