package com.scwang.smartrefresh.layout;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ValueAnimator;
import android.annotation.SuppressLint;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.PointF;
import android.os.Build;
import android.os.Handler;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.animation.AnimationUtils;
import android.view.animation.Interpolator;
import android.webkit.WebView;
import android.widget.AbsListView;
import android.widget.FrameLayout;
import android.widget.ScrollView;
import android.widget.Scroller;
import android.widget.TextView;
import android.widget.Toast;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.core.view.NestedScrollingChild;
import androidx.core.view.NestedScrollingParent;
import androidx.core.view.ViewCompat;
import androidx.core.widget.NestedScrollView;
import androidx.legacy.widget.Space;
import androidx.recyclerview.widget.RecyclerView;
import com.google.android.material.appbar.AppBarLayout;
import com.scwang.smartrefresh.layout.constant.RefreshState;
import com.scwang.smartrefresh.layout.footer.BallPulseFooter;
import com.scwang.smartrefresh.layout.header.BezierRadarHeader;
import com.scwang.smartrefresh.layout.impl.RefreshFooterWrapper;
import com.scwang.smartrefresh.layout.impl.RefreshHeaderWrapper;
import java.util.LinkedList;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;
import org.dsq.library.widget.bigImage.SubsamplingScaleImageView;

@SuppressLint({"RestrictedApi"})
public class SmartRefreshLayout extends ViewGroup implements d.o.a.b.b.i, NestedScrollingParent {

    /* renamed from: d  reason: collision with root package name */
    public static d.o.a.b.b.a f7468d;

    /* renamed from: h  reason: collision with root package name */
    public static d.o.a.b.b.b f7469h;

    /* renamed from: j  reason: collision with root package name */
    public static d.o.a.b.b.c f7470j;

    /* renamed from: k  reason: collision with root package name */
    public static ViewGroup.MarginLayoutParams f7471k = new ViewGroup.MarginLayoutParams(-1, -1);
    public int A;
    public float A0;
    public int B;
    public float B0;
    public int C;
    public d.o.a.b.b.g C0;
    public int D;
    public d.o.a.b.b.g D0;
    public int E;
    public d.o.a.b.b.d E0;
    public int F;
    public Paint F0;
    public int G;
    public Handler G0;
    public Scroller H;
    public d.o.a.b.b.h H0;
    public VelocityTracker I;
    public RefreshState I0;
    public Interpolator J;
    public RefreshState J0;
    public int[] K;
    public long K0;
    public boolean L;
    public int L0;
    public boolean M;
    public int M0;
    public boolean N;
    public boolean N0;
    public boolean O;
    public boolean O0;
    public boolean P;
    public boolean P0;
    public boolean Q;
    public boolean Q0;
    public boolean R;
    public boolean R0;
    public boolean S;
    public MotionEvent S0;
    public boolean T;
    public Runnable T0;
    public boolean U;
    public ValueAnimator U0;
    public boolean V;
    public boolean W;
    public boolean a0;
    public boolean b0;
    public boolean c0;
    public boolean d0;
    public boolean e0;
    public boolean f0;
    public boolean g0;
    public boolean h0;
    public boolean i0;
    public boolean j0;
    public boolean k0;

    /* renamed from: l  reason: collision with root package name */
    public int f7472l;
    public d.o.a.b.f.c l0;
    public int m;
    public d.o.a.b.f.b m0;
    public int n;
    public int n0;
    public int o;
    public boolean o0;
    public int p;
    public int[] p0;
    public int q;
    public b.j.h.d q0;
    public int r;
    public b.j.h.e r0;
    public float s;
    public int s0;
    public float t;
    public d.o.a.b.c.a t0;
    public float u;
    public int u0;
    public float v;
    public d.o.a.b.c.a v0;
    public float w;
    public int w0;
    public char x;
    public int x0;
    public boolean y;
    public float y0;
    public boolean z;
    public float z0;

    public class a extends AnimatorListenerAdapter {

        /* renamed from: d  reason: collision with root package name */
        public final /* synthetic */ boolean f7473d;

        public a(boolean z) {
            this.f7473d = z;
        }

        public void onAnimationEnd(Animator animator) {
            SmartRefreshLayout.this.setStateDirectLoading(this.f7473d);
        }
    }

    public class b extends AnimatorListenerAdapter {

        /* renamed from: d  reason: collision with root package name */
        public final /* synthetic */ boolean f7475d;

        public b(boolean z) {
            this.f7475d = z;
        }

        public void onAnimationEnd(Animator animator) {
            SmartRefreshLayout.this.K0 = System.currentTimeMillis();
            SmartRefreshLayout.this.r(RefreshState.Refreshing);
            SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
            d.o.a.b.f.c cVar = smartRefreshLayout.l0;
            if (cVar == null) {
                smartRefreshLayout.l(3000, true, Boolean.FALSE);
            } else if (this.f7475d) {
                cVar.onRefresh(smartRefreshLayout);
            }
            SmartRefreshLayout smartRefreshLayout2 = SmartRefreshLayout.this;
            d.o.a.b.b.g gVar = smartRefreshLayout2.C0;
            if (gVar != null) {
                int i2 = smartRefreshLayout2.s0;
                gVar.b(smartRefreshLayout2, i2, (int) (smartRefreshLayout2.y0 * ((float) i2)));
            }
            Objects.requireNonNull(SmartRefreshLayout.this);
        }
    }

    public class c extends AnimatorListenerAdapter {
        public c() {
        }

        public void onAnimationEnd(Animator animator) {
            RefreshState refreshState;
            RefreshState refreshState2;
            SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
            smartRefreshLayout.U0 = null;
            if (smartRefreshLayout.m != 0 || (refreshState = smartRefreshLayout.I0) == (refreshState2 = RefreshState.None) || refreshState.isOpening || refreshState.isDragging) {
                RefreshState refreshState3 = smartRefreshLayout.I0;
                if (refreshState3 != smartRefreshLayout.J0) {
                    smartRefreshLayout.setViceState(refreshState3);
                    return;
                }
                return;
            }
            smartRefreshLayout.r(refreshState2);
        }
    }

    public class d implements ValueAnimator.AnimatorUpdateListener {
        public d() {
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            ((k) SmartRefreshLayout.this.H0).b(((Integer) valueAnimator.getAnimatedValue()).intValue(), false);
        }
    }

    public class e implements Runnable {
        public e() {
        }

        public void run() {
            SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
            d.o.a.b.f.b bVar = smartRefreshLayout.m0;
            if (bVar != null) {
                bVar.onLoadMore(smartRefreshLayout);
            } else {
                smartRefreshLayout.i(2000, true, false);
            }
            Objects.requireNonNull(SmartRefreshLayout.this);
        }
    }

    public class f implements Runnable {

        /* renamed from: d  reason: collision with root package name */
        public int f7480d = 0;

        /* renamed from: h  reason: collision with root package name */
        public final /* synthetic */ int f7481h;

        /* renamed from: j  reason: collision with root package name */
        public final /* synthetic */ Boolean f7482j;

        /* renamed from: k  reason: collision with root package name */
        public final /* synthetic */ boolean f7483k;

        public f(int i2, Boolean bool, boolean z) {
            this.f7481h = i2;
            this.f7482j = bool;
            this.f7483k = z;
        }

        public void run() {
            int i2 = this.f7480d;
            ValueAnimator.AnimatorUpdateListener animatorUpdateListener = null;
            if (i2 == 0) {
                SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
                RefreshState refreshState = smartRefreshLayout.I0;
                RefreshState refreshState2 = RefreshState.None;
                if (refreshState == refreshState2 && smartRefreshLayout.J0 == RefreshState.Refreshing) {
                    smartRefreshLayout.J0 = refreshState2;
                } else {
                    ValueAnimator valueAnimator = smartRefreshLayout.U0;
                    if (valueAnimator != null && refreshState.isHeader && (refreshState.isDragging || refreshState == RefreshState.RefreshReleased)) {
                        smartRefreshLayout.U0 = null;
                        valueAnimator.cancel();
                        ((k) SmartRefreshLayout.this.H0).e(refreshState2);
                    } else if (!(refreshState != RefreshState.Refreshing || smartRefreshLayout.C0 == null || smartRefreshLayout.E0 == null)) {
                        this.f7480d = i2 + 1;
                        smartRefreshLayout.G0.postDelayed(this, (long) this.f7481h);
                        SmartRefreshLayout.this.r(RefreshState.RefreshFinish);
                        if (this.f7482j == Boolean.FALSE) {
                            SmartRefreshLayout.this.u(false);
                        }
                    }
                }
                if (this.f7482j == Boolean.TRUE) {
                    SmartRefreshLayout.this.u(true);
                    return;
                }
                return;
            }
            SmartRefreshLayout smartRefreshLayout2 = SmartRefreshLayout.this;
            int g2 = smartRefreshLayout2.C0.g(smartRefreshLayout2, this.f7483k);
            Objects.requireNonNull(SmartRefreshLayout.this);
            if (g2 < Integer.MAX_VALUE) {
                SmartRefreshLayout smartRefreshLayout3 = SmartRefreshLayout.this;
                if (smartRefreshLayout3.y || smartRefreshLayout3.o0) {
                    long currentTimeMillis = System.currentTimeMillis();
                    SmartRefreshLayout smartRefreshLayout4 = SmartRefreshLayout.this;
                    if (smartRefreshLayout4.y) {
                        float f2 = smartRefreshLayout4.v;
                        smartRefreshLayout4.t = f2;
                        smartRefreshLayout4.o = 0;
                        smartRefreshLayout4.y = false;
                        SmartRefreshLayout.super.dispatchTouchEvent(MotionEvent.obtain(currentTimeMillis, currentTimeMillis, 0, smartRefreshLayout4.u, (f2 + ((float) smartRefreshLayout4.m)) - ((float) (smartRefreshLayout4.f7472l * 2)), 0));
                        SmartRefreshLayout smartRefreshLayout5 = SmartRefreshLayout.this;
                        SmartRefreshLayout.super.dispatchTouchEvent(MotionEvent.obtain(currentTimeMillis, currentTimeMillis, 2, smartRefreshLayout5.u, smartRefreshLayout5.v + ((float) smartRefreshLayout5.m), 0));
                    }
                    SmartRefreshLayout smartRefreshLayout6 = SmartRefreshLayout.this;
                    if (smartRefreshLayout6.o0) {
                        smartRefreshLayout6.n0 = 0;
                        SmartRefreshLayout.super.dispatchTouchEvent(MotionEvent.obtain(currentTimeMillis, currentTimeMillis, 1, smartRefreshLayout6.u, smartRefreshLayout6.v, 0));
                        SmartRefreshLayout smartRefreshLayout7 = SmartRefreshLayout.this;
                        smartRefreshLayout7.o0 = false;
                        smartRefreshLayout7.o = 0;
                    }
                }
                SmartRefreshLayout smartRefreshLayout8 = SmartRefreshLayout.this;
                int i3 = smartRefreshLayout8.m;
                if (i3 > 0) {
                    ValueAnimator g3 = smartRefreshLayout8.g(0, g2, smartRefreshLayout8.J, smartRefreshLayout8.q);
                    SmartRefreshLayout smartRefreshLayout9 = SmartRefreshLayout.this;
                    if (smartRefreshLayout9.b0) {
                        animatorUpdateListener = ((d.o.a.b.d.a) smartRefreshLayout9.E0).e(smartRefreshLayout9.m);
                    }
                    if (g3 != null && animatorUpdateListener != null) {
                        g3.addUpdateListener(animatorUpdateListener);
                    }
                } else if (i3 < 0) {
                    smartRefreshLayout8.g(0, g2, smartRefreshLayout8.J, smartRefreshLayout8.q);
                } else {
                    ((k) smartRefreshLayout8.H0).b(0, false);
                    ((k) SmartRefreshLayout.this.H0).e(RefreshState.None);
                }
            }
        }
    }

    public class g implements Runnable {

        /* renamed from: d  reason: collision with root package name */
        public int f7485d = 0;

        /* renamed from: h  reason: collision with root package name */
        public final /* synthetic */ int f7486h;

        /* renamed from: j  reason: collision with root package name */
        public final /* synthetic */ boolean f7487j;

        /* renamed from: k  reason: collision with root package name */
        public final /* synthetic */ boolean f7488k;

        public class a implements Runnable {

            /* renamed from: d  reason: collision with root package name */
            public final /* synthetic */ int f7490d;

            /* renamed from: com.scwang.smartrefresh.layout.SmartRefreshLayout$g$a$a  reason: collision with other inner class name */
            public class C0039a extends AnimatorListenerAdapter {
                public C0039a() {
                }

                public void onAnimationEnd(Animator animator) {
                    g gVar = g.this;
                    SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
                    smartRefreshLayout.Q0 = false;
                    if (gVar.f7487j) {
                        smartRefreshLayout.u(true);
                    }
                    SmartRefreshLayout smartRefreshLayout2 = SmartRefreshLayout.this;
                    if (smartRefreshLayout2.I0 == RefreshState.LoadFinish) {
                        smartRefreshLayout2.r(RefreshState.None);
                    }
                }
            }

            public a(int i2) {
                this.f7490d = i2;
            }

            public void run() {
                ValueAnimator.AnimatorUpdateListener animatorUpdateListener;
                ValueAnimator valueAnimator;
                SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
                if (!smartRefreshLayout.a0 || this.f7490d >= 0) {
                    animatorUpdateListener = null;
                } else {
                    animatorUpdateListener = ((d.o.a.b.d.a) smartRefreshLayout.E0).e(smartRefreshLayout.m);
                }
                if (animatorUpdateListener != null) {
                    ((d.o.a.b.d.a) animatorUpdateListener).onAnimationUpdate(ValueAnimator.ofInt(0, 0));
                }
                C0039a aVar = new C0039a();
                g gVar = g.this;
                SmartRefreshLayout smartRefreshLayout2 = SmartRefreshLayout.this;
                int i2 = smartRefreshLayout2.m;
                if (i2 > 0) {
                    valueAnimator = ((k) smartRefreshLayout2.H0).a(0);
                } else {
                    if (animatorUpdateListener != null || i2 == 0) {
                        ValueAnimator valueAnimator2 = smartRefreshLayout2.U0;
                        if (valueAnimator2 != null) {
                            valueAnimator2.cancel();
                            SmartRefreshLayout.this.U0 = null;
                        }
                        ((k) SmartRefreshLayout.this.H0).b(0, false);
                        ((k) SmartRefreshLayout.this.H0).e(RefreshState.None);
                    } else if (!gVar.f7487j || !smartRefreshLayout2.R) {
                        valueAnimator = ((k) smartRefreshLayout2.H0).a(0);
                    } else {
                        int i3 = smartRefreshLayout2.u0;
                        if (i2 >= (-i3)) {
                            smartRefreshLayout2.r(RefreshState.None);
                        } else {
                            valueAnimator = ((k) smartRefreshLayout2.H0).a(-i3);
                        }
                    }
                    valueAnimator = null;
                }
                if (valueAnimator != null) {
                    valueAnimator.addListener(aVar);
                } else {
                    aVar.onAnimationEnd(null);
                }
            }
        }

        public g(int i2, boolean z, boolean z2) {
            this.f7486h = i2;
            this.f7487j = z;
            this.f7488k = z2;
        }

        /* JADX WARNING: Code restructure failed: missing block: B:36:0x008b, code lost:
            if (((d.o.a.b.d.a) r2.E0).a() != false) goto L_0x008f;
         */
        public void run() {
            int i2 = this.f7485d;
            boolean z = true;
            if (i2 == 0) {
                SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
                RefreshState refreshState = smartRefreshLayout.I0;
                RefreshState refreshState2 = RefreshState.None;
                if (refreshState == refreshState2 && smartRefreshLayout.J0 == RefreshState.Loading) {
                    smartRefreshLayout.J0 = refreshState2;
                } else {
                    ValueAnimator valueAnimator = smartRefreshLayout.U0;
                    if (valueAnimator != null && ((refreshState.isDragging || refreshState == RefreshState.LoadReleased) && refreshState.isFooter)) {
                        smartRefreshLayout.U0 = null;
                        valueAnimator.cancel();
                        ((k) SmartRefreshLayout.this.H0).e(refreshState2);
                    } else if (!(refreshState != RefreshState.Loading || smartRefreshLayout.D0 == null || smartRefreshLayout.E0 == null)) {
                        this.f7485d = i2 + 1;
                        smartRefreshLayout.G0.postDelayed(this, (long) this.f7486h);
                        SmartRefreshLayout.this.r(RefreshState.LoadFinish);
                        return;
                    }
                }
                if (this.f7487j) {
                    SmartRefreshLayout.this.u(true);
                    return;
                }
                return;
            }
            SmartRefreshLayout smartRefreshLayout2 = SmartRefreshLayout.this;
            int g2 = smartRefreshLayout2.D0.g(smartRefreshLayout2, this.f7488k);
            Objects.requireNonNull(SmartRefreshLayout.this);
            if (g2 < Integer.MAX_VALUE) {
                if (this.f7487j) {
                    SmartRefreshLayout smartRefreshLayout3 = SmartRefreshLayout.this;
                    if (smartRefreshLayout3.R) {
                        if (smartRefreshLayout3.m < 0) {
                        }
                    }
                }
                z = false;
                SmartRefreshLayout smartRefreshLayout4 = SmartRefreshLayout.this;
                int i3 = smartRefreshLayout4.m;
                int max = i3 - (z ? Math.max(i3, -smartRefreshLayout4.u0) : 0);
                SmartRefreshLayout smartRefreshLayout5 = SmartRefreshLayout.this;
                if (smartRefreshLayout5.y || smartRefreshLayout5.o0) {
                    long currentTimeMillis = System.currentTimeMillis();
                    SmartRefreshLayout smartRefreshLayout6 = SmartRefreshLayout.this;
                    if (smartRefreshLayout6.y) {
                        float f2 = smartRefreshLayout6.v;
                        smartRefreshLayout6.t = f2;
                        smartRefreshLayout6.o = smartRefreshLayout6.m - max;
                        smartRefreshLayout6.y = false;
                        float f3 = (float) (smartRefreshLayout6.Q ? max : 0);
                        SmartRefreshLayout.super.dispatchTouchEvent(MotionEvent.obtain(currentTimeMillis, currentTimeMillis, 0, smartRefreshLayout6.u, f2 + f3 + ((float) (smartRefreshLayout6.f7472l * 2)), 0));
                        SmartRefreshLayout smartRefreshLayout7 = SmartRefreshLayout.this;
                        SmartRefreshLayout.super.dispatchTouchEvent(MotionEvent.obtain(currentTimeMillis, currentTimeMillis, 2, smartRefreshLayout7.u, smartRefreshLayout7.v + f3, 0));
                    }
                    SmartRefreshLayout smartRefreshLayout8 = SmartRefreshLayout.this;
                    if (smartRefreshLayout8.o0) {
                        smartRefreshLayout8.n0 = 0;
                        SmartRefreshLayout.super.dispatchTouchEvent(MotionEvent.obtain(currentTimeMillis, currentTimeMillis, 1, smartRefreshLayout8.u, smartRefreshLayout8.v, 0));
                        SmartRefreshLayout smartRefreshLayout9 = SmartRefreshLayout.this;
                        smartRefreshLayout9.o0 = false;
                        smartRefreshLayout9.o = 0;
                    }
                }
                SmartRefreshLayout smartRefreshLayout10 = SmartRefreshLayout.this;
                smartRefreshLayout10.G0.postDelayed(new a(max), smartRefreshLayout10.m < 0 ? (long) g2 : 0);
            }
        }
    }

    public class h implements Runnable {

        /* renamed from: d  reason: collision with root package name */
        public int f7493d = 0;

        /* renamed from: h  reason: collision with root package name */
        public int f7494h;

        /* renamed from: j  reason: collision with root package name */
        public long f7495j;

        /* renamed from: k  reason: collision with root package name */
        public float f7496k = 0.0f;

        /* renamed from: l  reason: collision with root package name */
        public float f7497l;

        public h(float f2, int i2) {
            this.f7497l = f2;
            this.f7494h = i2;
            this.f7495j = AnimationUtils.currentAnimationTimeMillis();
            SmartRefreshLayout.this.G0.postDelayed(this, (long) 10);
            if (f2 > 0.0f) {
                ((k) SmartRefreshLayout.this.H0).e(RefreshState.PullDownToRefresh);
                return;
            }
            ((k) SmartRefreshLayout.this.H0).e(RefreshState.PullUpToLoad);
        }

        public void run() {
            SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
            if (smartRefreshLayout.T0 == this && !smartRefreshLayout.I0.isFinishing) {
                if (Math.abs(smartRefreshLayout.m) < Math.abs(this.f7494h)) {
                    int i2 = this.f7493d + 1;
                    this.f7493d = i2;
                    this.f7497l = (float) (Math.pow(0.949999988079071d, (double) (i2 * 2)) * ((double) this.f7497l));
                } else if (this.f7494h != 0) {
                    int i3 = this.f7493d + 1;
                    this.f7493d = i3;
                    this.f7497l = (float) (Math.pow(0.44999998807907104d, (double) (i3 * 2)) * ((double) this.f7497l));
                } else {
                    int i4 = this.f7493d + 1;
                    this.f7493d = i4;
                    this.f7497l = (float) (Math.pow(0.8500000238418579d, (double) (i4 * 2)) * ((double) this.f7497l));
                }
                long currentAnimationTimeMillis = AnimationUtils.currentAnimationTimeMillis();
                float f2 = this.f7497l * ((((float) (currentAnimationTimeMillis - this.f7495j)) * 1.0f) / 1000.0f);
                if (Math.abs(f2) >= 1.0f) {
                    this.f7495j = currentAnimationTimeMillis;
                    float f3 = this.f7496k + f2;
                    this.f7496k = f3;
                    SmartRefreshLayout.this.q(f3);
                    SmartRefreshLayout.this.G0.postDelayed(this, (long) 10);
                    return;
                }
                SmartRefreshLayout smartRefreshLayout2 = SmartRefreshLayout.this;
                RefreshState refreshState = smartRefreshLayout2.J0;
                boolean z = refreshState.isDragging;
                if (z && refreshState.isHeader) {
                    ((k) smartRefreshLayout2.H0).e(RefreshState.PullDownCanceled);
                } else if (z && refreshState.isFooter) {
                    ((k) smartRefreshLayout2.H0).e(RefreshState.PullUpCanceled);
                }
                SmartRefreshLayout smartRefreshLayout3 = SmartRefreshLayout.this;
                smartRefreshLayout3.T0 = null;
                if (Math.abs(smartRefreshLayout3.m) >= Math.abs(this.f7494h)) {
                    SmartRefreshLayout smartRefreshLayout4 = SmartRefreshLayout.this;
                    smartRefreshLayout4.g(this.f7494h, 0, smartRefreshLayout4.J, Math.min(Math.max((int) d.o.a.b.g.b.h(Math.abs(SmartRefreshLayout.this.m - this.f7494h)), 30), 100) * 10);
                }
            }
        }
    }

    public class i implements Runnable {

        /* renamed from: d  reason: collision with root package name */
        public int f7498d;

        /* renamed from: h  reason: collision with root package name */
        public float f7499h;

        /* renamed from: j  reason: collision with root package name */
        public long f7500j = 0;

        /* renamed from: k  reason: collision with root package name */
        public long f7501k = AnimationUtils.currentAnimationTimeMillis();

        public i(float f2) {
            this.f7499h = f2;
            this.f7498d = SmartRefreshLayout.this.m;
        }

        public void run() {
            SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
            if (smartRefreshLayout.T0 == this && !smartRefreshLayout.I0.isFinishing) {
                long currentAnimationTimeMillis = AnimationUtils.currentAnimationTimeMillis();
                float pow = (float) (Math.pow((double) 0.98f, (double) (((float) (currentAnimationTimeMillis - this.f7500j)) / (1000.0f / ((float) 10)))) * ((double) this.f7499h));
                this.f7499h = pow;
                float f2 = ((((float) (currentAnimationTimeMillis - this.f7501k)) * 1.0f) / 1000.0f) * pow;
                if (Math.abs(f2) > 1.0f) {
                    this.f7501k = currentAnimationTimeMillis;
                    int i2 = (int) (((float) this.f7498d) + f2);
                    this.f7498d = i2;
                    SmartRefreshLayout smartRefreshLayout2 = SmartRefreshLayout.this;
                    if (smartRefreshLayout2.m * i2 > 0) {
                        ((k) smartRefreshLayout2.H0).b(i2, true);
                        SmartRefreshLayout.this.G0.postDelayed(this, (long) 10);
                        return;
                    }
                    smartRefreshLayout2.T0 = null;
                    ((k) smartRefreshLayout2.H0).b(0, true);
                    View view = ((d.o.a.b.d.a) SmartRefreshLayout.this.E0).f12473j;
                    int i3 = (int) (-this.f7499h);
                    float f3 = d.o.a.b.g.b.f12488a;
                    if (view instanceof ScrollView) {
                        ((ScrollView) view).fling(i3);
                    } else if (view instanceof AbsListView) {
                        ((AbsListView) view).fling(i3);
                    } else if (view instanceof WebView) {
                        ((WebView) view).flingScroll(0, i3);
                    } else if (view instanceof NestedScrollView) {
                        ((NestedScrollView) view).fling(i3);
                    } else if (view instanceof RecyclerView) {
                        ((RecyclerView) view).fling(0, i3);
                    }
                    SmartRefreshLayout smartRefreshLayout3 = SmartRefreshLayout.this;
                    if (smartRefreshLayout3.Q0 && f2 > 0.0f) {
                        smartRefreshLayout3.Q0 = false;
                        return;
                    }
                    return;
                }
                SmartRefreshLayout.this.T0 = null;
            }
        }
    }

    public class k implements d.o.a.b.b.h {
        public k() {
        }

        public ValueAnimator a(int i2) {
            SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
            return smartRefreshLayout.g(i2, 0, smartRefreshLayout.J, smartRefreshLayout.q);
        }

        /* JADX WARNING: Removed duplicated region for block: B:50:0x00b3  */
        /* JADX WARNING: Removed duplicated region for block: B:52:0x00b6  */
        /* JADX WARNING: Removed duplicated region for block: B:55:0x00bc  */
        public d.o.a.b.b.h b(int i2, boolean z) {
            boolean z2;
            int i3;
            d.o.a.b.b.g gVar;
            d.o.a.b.b.g gVar2;
            SmartRefreshLayout smartRefreshLayout;
            d.o.a.b.b.g gVar3;
            d.o.a.b.b.g gVar4;
            d.o.a.b.b.g gVar5;
            d.o.a.b.b.g gVar6;
            SmartRefreshLayout smartRefreshLayout2 = SmartRefreshLayout.this;
            if (smartRefreshLayout2.m == i2 && (((gVar5 = smartRefreshLayout2.C0) == null || !gVar5.h()) && ((gVar6 = SmartRefreshLayout.this.D0) == null || !gVar6.h()))) {
                return this;
            }
            SmartRefreshLayout smartRefreshLayout3 = SmartRefreshLayout.this;
            int i4 = smartRefreshLayout3.m;
            smartRefreshLayout3.m = i2;
            if (z) {
                RefreshState refreshState = smartRefreshLayout3.J0;
                if (refreshState.isDragging || refreshState.isOpening) {
                    if (((float) i2) > ((float) smartRefreshLayout3.s0) * smartRefreshLayout3.A0) {
                        if (smartRefreshLayout3.I0 != RefreshState.ReleaseToTwoLevel) {
                            ((k) smartRefreshLayout3.H0).e(RefreshState.ReleaseToRefresh);
                        }
                    } else if (((float) (-i2)) > ((float) smartRefreshLayout3.u0) * smartRefreshLayout3.B0 && !smartRefreshLayout3.g0) {
                        ((k) smartRefreshLayout3.H0).e(RefreshState.ReleaseToLoad);
                    } else if (i2 < 0 && !smartRefreshLayout3.g0) {
                        ((k) smartRefreshLayout3.H0).e(RefreshState.PullUpToLoad);
                    } else if (i2 > 0) {
                        ((k) smartRefreshLayout3.H0).e(RefreshState.PullDownToRefresh);
                    }
                }
            }
            SmartRefreshLayout smartRefreshLayout4 = SmartRefreshLayout.this;
            if (smartRefreshLayout4.E0 != null) {
                if (i2 >= 0 && (gVar4 = smartRefreshLayout4.C0) != null) {
                    if (smartRefreshLayout4.p(smartRefreshLayout4.P, gVar4)) {
                        i3 = i2;
                    } else if (i4 < 0) {
                        i3 = 0;
                    }
                    z2 = true;
                    if (i2 <= 0 && (gVar3 = (smartRefreshLayout = SmartRefreshLayout.this).D0) != null) {
                        if (!smartRefreshLayout.p(smartRefreshLayout.Q, gVar3)) {
                            i3 = i2;
                        } else if (i4 > 0) {
                            i3 = 0;
                        }
                        z2 = true;
                    }
                    if (z2) {
                        SmartRefreshLayout smartRefreshLayout5 = SmartRefreshLayout.this;
                        ((d.o.a.b.d.a) smartRefreshLayout5.E0).d(i3, smartRefreshLayout5.C, smartRefreshLayout5.D);
                        SmartRefreshLayout smartRefreshLayout6 = SmartRefreshLayout.this;
                        if (smartRefreshLayout6.g0 && smartRefreshLayout6.h0 && smartRefreshLayout6.R) {
                            d.o.a.b.b.g gVar7 = smartRefreshLayout6.D0;
                            if ((gVar7 instanceof d.o.a.b.b.e) && gVar7.getSpinnerStyle() == d.o.a.b.c.b.f12462a) {
                                SmartRefreshLayout smartRefreshLayout7 = SmartRefreshLayout.this;
                                if (smartRefreshLayout7.o(smartRefreshLayout7.M)) {
                                    SmartRefreshLayout.this.D0.getView().setTranslationY((float) Math.max(0, i3));
                                }
                            }
                        }
                        SmartRefreshLayout smartRefreshLayout8 = SmartRefreshLayout.this;
                        boolean z3 = (smartRefreshLayout8.N && (gVar2 = smartRefreshLayout8.C0) != null && gVar2.getSpinnerStyle() == d.o.a.b.c.b.f12464c) || SmartRefreshLayout.this.L0 != 0;
                        SmartRefreshLayout smartRefreshLayout9 = SmartRefreshLayout.this;
                        boolean z4 = (smartRefreshLayout9.O && (gVar = smartRefreshLayout9.D0) != null && gVar.getSpinnerStyle() == d.o.a.b.c.b.f12464c) || SmartRefreshLayout.this.M0 != 0;
                        if ((z3 && (i3 >= 0 || i4 > 0)) || (z4 && (i3 <= 0 || i4 < 0))) {
                            smartRefreshLayout3.invalidate();
                        }
                    }
                }
                i3 = 0;
                z2 = false;
                if (!smartRefreshLayout.p(smartRefreshLayout.Q, gVar3)) {
                }
                z2 = true;
                if (z2) {
                }
            }
            if ((i2 >= 0 || i4 > 0) && SmartRefreshLayout.this.C0 != null) {
                int max = Math.max(i2, 0);
                SmartRefreshLayout smartRefreshLayout10 = SmartRefreshLayout.this;
                int i5 = smartRefreshLayout10.s0;
                int i6 = (int) (((float) i5) * smartRefreshLayout10.y0);
                float f2 = (((float) max) * 1.0f) / ((float) (i5 == 0 ? 1 : i5));
                if (smartRefreshLayout10.o(smartRefreshLayout10.L) || (SmartRefreshLayout.this.I0 == RefreshState.RefreshFinish && !z)) {
                    SmartRefreshLayout smartRefreshLayout11 = SmartRefreshLayout.this;
                    if (i4 != smartRefreshLayout11.m) {
                        if (smartRefreshLayout11.C0.getSpinnerStyle() == d.o.a.b.c.b.f12462a) {
                            SmartRefreshLayout.this.C0.getView().setTranslationY((float) SmartRefreshLayout.this.m);
                            SmartRefreshLayout smartRefreshLayout12 = SmartRefreshLayout.this;
                            if (!(smartRefreshLayout12.L0 == 0 || smartRefreshLayout12.F0 == null || smartRefreshLayout12.p(smartRefreshLayout12.P, smartRefreshLayout12.C0))) {
                                smartRefreshLayout3.invalidate();
                            }
                        } else if (SmartRefreshLayout.this.C0.getSpinnerStyle().f12470i) {
                            View view = SmartRefreshLayout.this.C0.getView();
                            ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
                            ViewGroup.MarginLayoutParams marginLayoutParams = layoutParams instanceof ViewGroup.MarginLayoutParams ? (ViewGroup.MarginLayoutParams) layoutParams : SmartRefreshLayout.f7471k;
                            view.measure(View.MeasureSpec.makeMeasureSpec(view.getMeasuredWidth(), 1073741824), View.MeasureSpec.makeMeasureSpec(Math.max((SmartRefreshLayout.this.m - marginLayoutParams.bottomMargin) - marginLayoutParams.topMargin, 0), 1073741824));
                            int i7 = marginLayoutParams.leftMargin;
                            int i8 = marginLayoutParams.topMargin + SmartRefreshLayout.this.w0;
                            view.layout(i7, i8, view.getMeasuredWidth() + i7, view.getMeasuredHeight() + i8);
                        }
                        SmartRefreshLayout.this.C0.f(z, f2, max, i5, i6);
                    }
                    if (z && SmartRefreshLayout.this.C0.h()) {
                        int i9 = (int) SmartRefreshLayout.this.u;
                        int width = smartRefreshLayout3.getWidth();
                        SmartRefreshLayout smartRefreshLayout13 = SmartRefreshLayout.this;
                        smartRefreshLayout13.C0.e(smartRefreshLayout13.u / ((float) (width == 0 ? 1 : width)), i9, width);
                    }
                }
                SmartRefreshLayout smartRefreshLayout14 = SmartRefreshLayout.this;
                if (i4 != smartRefreshLayout14.m) {
                    Objects.requireNonNull(smartRefreshLayout14);
                }
            }
            if ((i2 <= 0 || i4 < 0) && SmartRefreshLayout.this.D0 != null) {
                int i10 = -Math.min(i2, 0);
                SmartRefreshLayout smartRefreshLayout15 = SmartRefreshLayout.this;
                int i11 = smartRefreshLayout15.u0;
                int i12 = (int) (((float) i11) * smartRefreshLayout15.z0);
                float f3 = (((float) i10) * 1.0f) / ((float) (i11 == 0 ? 1 : i11));
                if (smartRefreshLayout15.o(smartRefreshLayout15.M) || (SmartRefreshLayout.this.I0 == RefreshState.LoadFinish && !z)) {
                    SmartRefreshLayout smartRefreshLayout16 = SmartRefreshLayout.this;
                    if (i4 != smartRefreshLayout16.m) {
                        if (smartRefreshLayout16.D0.getSpinnerStyle() == d.o.a.b.c.b.f12462a) {
                            SmartRefreshLayout.this.D0.getView().setTranslationY((float) SmartRefreshLayout.this.m);
                            SmartRefreshLayout smartRefreshLayout17 = SmartRefreshLayout.this;
                            if (!(smartRefreshLayout17.M0 == 0 || smartRefreshLayout17.F0 == null || smartRefreshLayout17.p(smartRefreshLayout17.Q, smartRefreshLayout17.D0))) {
                                smartRefreshLayout3.invalidate();
                            }
                        } else if (SmartRefreshLayout.this.D0.getSpinnerStyle().f12470i) {
                            View view2 = SmartRefreshLayout.this.D0.getView();
                            ViewGroup.LayoutParams layoutParams2 = view2.getLayoutParams();
                            ViewGroup.MarginLayoutParams marginLayoutParams2 = layoutParams2 instanceof ViewGroup.MarginLayoutParams ? (ViewGroup.MarginLayoutParams) layoutParams2 : SmartRefreshLayout.f7471k;
                            view2.measure(View.MeasureSpec.makeMeasureSpec(view2.getMeasuredWidth(), 1073741824), View.MeasureSpec.makeMeasureSpec(Math.max(((-SmartRefreshLayout.this.m) - marginLayoutParams2.bottomMargin) - marginLayoutParams2.topMargin, 0), 1073741824));
                            int i13 = marginLayoutParams2.leftMargin;
                            int measuredHeight = (smartRefreshLayout3.getMeasuredHeight() + marginLayoutParams2.topMargin) - SmartRefreshLayout.this.x0;
                            view2.layout(i13, measuredHeight - view2.getMeasuredHeight(), view2.getMeasuredWidth() + i13, measuredHeight);
                        }
                        SmartRefreshLayout.this.D0.f(z, f3, i10, i11, i12);
                    }
                    if (z && SmartRefreshLayout.this.D0.h()) {
                        int i14 = (int) SmartRefreshLayout.this.u;
                        int width2 = smartRefreshLayout3.getWidth();
                        SmartRefreshLayout smartRefreshLayout18 = SmartRefreshLayout.this;
                        smartRefreshLayout18.D0.e(smartRefreshLayout18.u / ((float) (width2 == 0 ? 1 : width2)), i14, width2);
                    }
                }
                SmartRefreshLayout smartRefreshLayout19 = SmartRefreshLayout.this;
                if (i4 != smartRefreshLayout19.m) {
                    Objects.requireNonNull(smartRefreshLayout19);
                }
            }
            return this;
        }

        public d.o.a.b.b.h c(d.o.a.b.b.g gVar, int i2) {
            SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
            if (smartRefreshLayout.F0 == null && i2 != 0) {
                smartRefreshLayout.F0 = new Paint();
            }
            if (gVar.equals(SmartRefreshLayout.this.C0)) {
                SmartRefreshLayout.this.L0 = i2;
            } else if (gVar.equals(SmartRefreshLayout.this.D0)) {
                SmartRefreshLayout.this.M0 = i2;
            }
            return this;
        }

        public d.o.a.b.b.h d(d.o.a.b.b.g gVar, boolean z) {
            if (gVar.equals(SmartRefreshLayout.this.C0)) {
                SmartRefreshLayout.this.N0 = z;
            } else if (gVar.equals(SmartRefreshLayout.this.D0)) {
                SmartRefreshLayout.this.O0 = z;
            }
            return this;
        }

        public d.o.a.b.b.h e(RefreshState refreshState) {
            switch (refreshState.ordinal()) {
                case 0:
                    SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
                    RefreshState refreshState2 = smartRefreshLayout.I0;
                    RefreshState refreshState3 = RefreshState.None;
                    if (refreshState2 != refreshState3 && smartRefreshLayout.m == 0) {
                        smartRefreshLayout.r(refreshState3);
                        return null;
                    } else if (smartRefreshLayout.m == 0) {
                        return null;
                    } else {
                        a(0);
                        return null;
                    }
                case 1:
                    SmartRefreshLayout smartRefreshLayout2 = SmartRefreshLayout.this;
                    if (smartRefreshLayout2.I0.isOpening || !smartRefreshLayout2.o(smartRefreshLayout2.L)) {
                        SmartRefreshLayout.this.setViceState(RefreshState.PullDownToRefresh);
                        return null;
                    }
                    SmartRefreshLayout.this.r(RefreshState.PullDownToRefresh);
                    return null;
                case 2:
                    SmartRefreshLayout smartRefreshLayout3 = SmartRefreshLayout.this;
                    if (smartRefreshLayout3.o(smartRefreshLayout3.M)) {
                        SmartRefreshLayout smartRefreshLayout4 = SmartRefreshLayout.this;
                        RefreshState refreshState4 = smartRefreshLayout4.I0;
                        if (!refreshState4.isOpening && !refreshState4.isFinishing && (!smartRefreshLayout4.g0 || !smartRefreshLayout4.R || !smartRefreshLayout4.h0)) {
                            smartRefreshLayout4.r(RefreshState.PullUpToLoad);
                            return null;
                        }
                    }
                    SmartRefreshLayout.this.setViceState(RefreshState.PullUpToLoad);
                    return null;
                case 3:
                    SmartRefreshLayout smartRefreshLayout5 = SmartRefreshLayout.this;
                    if (smartRefreshLayout5.I0.isOpening || !smartRefreshLayout5.o(smartRefreshLayout5.L)) {
                        SmartRefreshLayout.this.setViceState(RefreshState.PullDownCanceled);
                        return null;
                    }
                    SmartRefreshLayout.this.r(RefreshState.PullDownCanceled);
                    e(RefreshState.None);
                    return null;
                case 4:
                    SmartRefreshLayout smartRefreshLayout6 = SmartRefreshLayout.this;
                    if (smartRefreshLayout6.o(smartRefreshLayout6.M)) {
                        SmartRefreshLayout smartRefreshLayout7 = SmartRefreshLayout.this;
                        if (!smartRefreshLayout7.I0.isOpening && (!smartRefreshLayout7.g0 || !smartRefreshLayout7.R || !smartRefreshLayout7.h0)) {
                            smartRefreshLayout7.r(RefreshState.PullUpCanceled);
                            e(RefreshState.None);
                            return null;
                        }
                    }
                    SmartRefreshLayout.this.setViceState(RefreshState.PullUpCanceled);
                    return null;
                case 5:
                    SmartRefreshLayout smartRefreshLayout8 = SmartRefreshLayout.this;
                    if (smartRefreshLayout8.I0.isOpening || !smartRefreshLayout8.o(smartRefreshLayout8.L)) {
                        SmartRefreshLayout.this.setViceState(RefreshState.ReleaseToRefresh);
                        return null;
                    }
                    SmartRefreshLayout.this.r(RefreshState.ReleaseToRefresh);
                    return null;
                case 6:
                    SmartRefreshLayout smartRefreshLayout9 = SmartRefreshLayout.this;
                    if (smartRefreshLayout9.o(smartRefreshLayout9.M)) {
                        SmartRefreshLayout smartRefreshLayout10 = SmartRefreshLayout.this;
                        RefreshState refreshState5 = smartRefreshLayout10.I0;
                        if (!refreshState5.isOpening && !refreshState5.isFinishing && (!smartRefreshLayout10.g0 || !smartRefreshLayout10.R || !smartRefreshLayout10.h0)) {
                            smartRefreshLayout10.r(RefreshState.ReleaseToLoad);
                            return null;
                        }
                    }
                    SmartRefreshLayout.this.setViceState(RefreshState.ReleaseToLoad);
                    return null;
                case 7:
                    SmartRefreshLayout smartRefreshLayout11 = SmartRefreshLayout.this;
                    if (smartRefreshLayout11.I0.isOpening || !smartRefreshLayout11.o(smartRefreshLayout11.L)) {
                        SmartRefreshLayout.this.setViceState(RefreshState.ReleaseToTwoLevel);
                        return null;
                    }
                    SmartRefreshLayout.this.r(RefreshState.ReleaseToTwoLevel);
                    return null;
                case 8:
                    SmartRefreshLayout.this.r(RefreshState.TwoLevelReleased);
                    return null;
                case 9:
                    SmartRefreshLayout smartRefreshLayout12 = SmartRefreshLayout.this;
                    if (smartRefreshLayout12.I0.isOpening || !smartRefreshLayout12.o(smartRefreshLayout12.L)) {
                        SmartRefreshLayout.this.setViceState(RefreshState.RefreshReleased);
                        return null;
                    }
                    SmartRefreshLayout.this.r(RefreshState.RefreshReleased);
                    return null;
                case 10:
                    SmartRefreshLayout smartRefreshLayout13 = SmartRefreshLayout.this;
                    if (smartRefreshLayout13.I0.isOpening || !smartRefreshLayout13.o(smartRefreshLayout13.M)) {
                        SmartRefreshLayout.this.setViceState(RefreshState.LoadReleased);
                        return null;
                    }
                    SmartRefreshLayout.this.r(RefreshState.LoadReleased);
                    return null;
                case 11:
                    SmartRefreshLayout.this.setStateRefreshing(true);
                    return null;
                case 12:
                    SmartRefreshLayout.this.setStateLoading(true);
                    return null;
                case 13:
                    SmartRefreshLayout.this.r(RefreshState.TwoLevel);
                    return null;
                case 14:
                    SmartRefreshLayout smartRefreshLayout14 = SmartRefreshLayout.this;
                    if (smartRefreshLayout14.I0 != RefreshState.Refreshing) {
                        return null;
                    }
                    smartRefreshLayout14.r(RefreshState.RefreshFinish);
                    return null;
                case 15:
                    SmartRefreshLayout smartRefreshLayout15 = SmartRefreshLayout.this;
                    if (smartRefreshLayout15.I0 != RefreshState.Loading) {
                        return null;
                    }
                    smartRefreshLayout15.r(RefreshState.LoadFinish);
                    return null;
                case 16:
                    SmartRefreshLayout.this.r(RefreshState.TwoLevelFinish);
                    return null;
                default:
                    return null;
            }
        }
    }

    public SmartRefreshLayout(Context context) {
        this(context, null);
    }

    public static void setDefaultRefreshFooterCreator(d.o.a.b.b.a aVar) {
        f7468d = aVar;
    }

    public static void setDefaultRefreshHeaderCreator(d.o.a.b.b.b bVar) {
        f7469h = bVar;
    }

    public static void setDefaultRefreshInitializer(d.o.a.b.b.c cVar) {
        f7470j = cVar;
    }

    public void computeScroll() {
        RefreshState refreshState;
        this.H.getCurrY();
        if (this.H.computeScrollOffset()) {
            int finalY = this.H.getFinalY();
            if ((finalY >= 0 || ((!this.L && !this.U) || !((d.o.a.b.d.a) this.E0).b())) && (finalY <= 0 || ((!this.M && !this.U) || !((d.o.a.b.d.a) this.E0).a()))) {
                this.R0 = true;
                invalidate();
                return;
            }
            if (this.R0) {
                float currVelocity = finalY > 0 ? -this.H.getCurrVelocity() : this.H.getCurrVelocity();
                if (this.U0 == null) {
                    if (currVelocity > 0.0f && ((refreshState = this.I0) == RefreshState.Refreshing || refreshState == RefreshState.TwoLevel)) {
                        this.T0 = new h(currVelocity, this.s0);
                    } else if (currVelocity < 0.0f && (this.I0 == RefreshState.Loading || ((this.R && this.g0 && this.h0 && o(this.M)) || (this.V && !this.g0 && o(this.M) && this.I0 != RefreshState.Refreshing)))) {
                        this.T0 = new h(currVelocity, -this.u0);
                    } else if (this.m == 0 && this.T) {
                        this.T0 = new h(currVelocity, 0);
                    }
                }
            }
            this.H.forceFinished(true);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:61:0x00c6, code lost:
        if (r4.isFinishing == false) goto L_0x00cc;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:63:0x00ca, code lost:
        if (r4.isHeader == false) goto L_0x00cc;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:69:0x00d8, code lost:
        if (r4.isFinishing == false) goto L_0x00e0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:71:0x00dc, code lost:
        if (r4.isFooter == false) goto L_0x00e0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:89:0x0108, code lost:
        if (r6 != 3) goto L_0x031c;
     */
    public boolean dispatchTouchEvent(MotionEvent motionEvent) {
        RefreshState refreshState;
        char c2;
        d.o.a.b.b.g gVar;
        d.o.a.b.b.g gVar2;
        int actionMasked = motionEvent.getActionMasked();
        int i2 = 0;
        int i3 = 1;
        boolean z2 = actionMasked == 6;
        int actionIndex = z2 ? motionEvent.getActionIndex() : -1;
        int pointerCount = motionEvent.getPointerCount();
        float f2 = 0.0f;
        float f3 = 0.0f;
        for (int i4 = 0; i4 < pointerCount; i4++) {
            if (actionIndex != i4) {
                f2 += motionEvent.getX(i4);
                f3 += motionEvent.getY(i4);
            }
        }
        if (z2) {
            pointerCount--;
        }
        float f4 = (float) pointerCount;
        float f5 = f2 / f4;
        float f6 = f3 / f4;
        if ((actionMasked == 6 || actionMasked == 5) && this.y) {
            this.t = (f6 - this.v) + this.t;
        }
        this.u = f5;
        this.v = f6;
        if (this.o0) {
            int i5 = this.n0;
            boolean dispatchTouchEvent = super.dispatchTouchEvent(motionEvent);
            if (actionMasked == 2 && i5 == this.n0) {
                int i6 = (int) this.u;
                int width = getWidth();
                float f7 = this.u;
                if (width != 0) {
                    i3 = width;
                }
                float f8 = f7 / ((float) i3);
                if (o(this.L) && this.m > 0 && (gVar2 = this.C0) != null && gVar2.h()) {
                    this.C0.e(f8, i6, width);
                } else if (o(this.M) && this.m < 0 && (gVar = this.D0) != null && gVar.h()) {
                    this.D0.e(f8, i6, width);
                }
            }
            return dispatchTouchEvent;
        }
        if (isEnabled() && (this.L || this.M || this.U)) {
            if (this.N0) {
                RefreshState refreshState2 = this.I0;
                if (!refreshState2.isOpening) {
                }
            }
            if (this.O0) {
                RefreshState refreshState3 = this.I0;
                if (!refreshState3.isOpening) {
                }
            }
            if (!n(actionMasked)) {
                RefreshState refreshState4 = this.I0;
                if (!refreshState4.isFinishing && ((refreshState4 != (refreshState = RefreshState.Loading) || !this.f0) && (refreshState4 != RefreshState.Refreshing || !this.e0))) {
                    if (actionMasked != 0) {
                        if (actionMasked != 1) {
                            if (actionMasked == 2) {
                                float f9 = f5 - this.s;
                                float f10 = f6 - this.t;
                                this.I.addMovement(motionEvent);
                                if (!(this.y || (c2 = this.x) == 'h' || this.E0 == null)) {
                                    if (c2 == 'v' || (Math.abs(f10) >= ((float) this.f7472l) && Math.abs(f9) < Math.abs(f10))) {
                                        this.x = 'v';
                                        if (f10 > 0.0f && (this.m < 0 || ((this.U || this.L) && ((d.o.a.b.d.a) this.E0).b()))) {
                                            this.y = true;
                                            this.t = f6 - ((float) this.f7472l);
                                        } else if (f10 < 0.0f && (this.m > 0 || ((this.U || this.M) && ((this.I0 == refreshState && this.Q0) || ((d.o.a.b.d.a) this.E0).a())))) {
                                            this.y = true;
                                            this.t = ((float) this.f7472l) + f6;
                                        }
                                        if (this.y) {
                                            f10 = f6 - this.t;
                                            if (this.z) {
                                                motionEvent.setAction(3);
                                                super.dispatchTouchEvent(motionEvent);
                                            }
                                            d.o.a.b.b.h hVar = this.H0;
                                            int i7 = this.m;
                                            ((k) hVar).e((i7 > 0 || (i7 == 0 && f10 > 0.0f)) ? RefreshState.PullDownToRefresh : RefreshState.PullUpToLoad);
                                            ViewParent parent = getParent();
                                            if (parent instanceof ViewGroup) {
                                                ((ViewGroup) parent).requestDisallowInterceptTouchEvent(true);
                                            }
                                        }
                                    } else if (Math.abs(f9) >= ((float) this.f7472l) && Math.abs(f9) > Math.abs(f10) && this.x != 'v') {
                                        this.x = 'h';
                                    }
                                }
                                if (this.y) {
                                    int i8 = ((int) f10) + this.o;
                                    RefreshState refreshState5 = this.J0;
                                    if ((refreshState5.isHeader && (i8 < 0 || this.n < 0)) || (refreshState5.isFooter && (i8 > 0 || this.n > 0))) {
                                        this.n = i8;
                                        long eventTime = motionEvent.getEventTime();
                                        if (this.S0 == null) {
                                            MotionEvent obtain = MotionEvent.obtain(eventTime, eventTime, 0, this.s + f9, this.t, 0);
                                            this.S0 = obtain;
                                            super.dispatchTouchEvent(obtain);
                                        }
                                        MotionEvent obtain2 = MotionEvent.obtain(eventTime, eventTime, 2, this.s + f9, this.t + ((float) i8), 0);
                                        super.dispatchTouchEvent(obtain2);
                                        if (this.Q0 && f10 > ((float) this.f7472l) && this.m < 0) {
                                            this.Q0 = false;
                                        }
                                        if (i8 > 0 && ((this.U || this.L) && ((d.o.a.b.d.a) this.E0).b())) {
                                            this.v = f6;
                                            this.t = f6;
                                            this.o = 0;
                                            ((k) this.H0).e(RefreshState.PullDownToRefresh);
                                        } else if (i8 >= 0 || ((!this.U && !this.M) || !((d.o.a.b.d.a) this.E0).a())) {
                                            i2 = i8;
                                        } else {
                                            this.v = f6;
                                            this.t = f6;
                                            this.o = 0;
                                            ((k) this.H0).e(RefreshState.PullUpToLoad);
                                        }
                                        RefreshState refreshState6 = this.J0;
                                        if ((!refreshState6.isHeader || i2 >= 0) && (!refreshState6.isFooter || i2 <= 0)) {
                                            if (this.S0 != null) {
                                                this.S0 = null;
                                                obtain2.setAction(3);
                                                super.dispatchTouchEvent(obtain2);
                                            }
                                            obtain2.recycle();
                                            i8 = i2;
                                        } else {
                                            if (this.m != 0) {
                                                q(0.0f);
                                            }
                                            return true;
                                        }
                                    }
                                    q((float) i8);
                                    return true;
                                } else if (this.Q0 && f10 > ((float) this.f7472l) && this.m < 0) {
                                    this.Q0 = false;
                                }
                            }
                            return super.dispatchTouchEvent(motionEvent);
                        }
                        this.I.addMovement(motionEvent);
                        this.I.computeCurrentVelocity(1000, (float) this.F);
                        this.G = (int) this.I.getYVelocity();
                        z(0.0f);
                        this.I.clear();
                        this.x = 'n';
                        MotionEvent motionEvent2 = this.S0;
                        if (motionEvent2 != null) {
                            motionEvent2.recycle();
                            this.S0 = null;
                            long eventTime2 = motionEvent.getEventTime();
                            MotionEvent obtain3 = MotionEvent.obtain(eventTime2, eventTime2, actionMasked, this.s, f6, 0);
                            super.dispatchTouchEvent(obtain3);
                            obtain3.recycle();
                        }
                        s();
                        if (this.y) {
                            this.y = false;
                            return true;
                        }
                        return super.dispatchTouchEvent(motionEvent);
                    }
                    this.G = 0;
                    this.I.addMovement(motionEvent);
                    this.H.forceFinished(true);
                    this.s = f5;
                    this.t = f6;
                    this.n = 0;
                    this.o = this.m;
                    this.y = false;
                    this.z = super.dispatchTouchEvent(motionEvent);
                    if (this.I0 != RefreshState.TwoLevel || this.t >= ((float) ((getMeasuredHeight() * 5) / 6))) {
                        d.o.a.b.b.d dVar = this.E0;
                        if (dVar != null) {
                            d.o.a.b.d.a aVar = (d.o.a.b.d.a) dVar;
                            Objects.requireNonNull(aVar);
                            PointF pointF = new PointF(motionEvent.getX(), motionEvent.getY());
                            pointF.offset((float) (-aVar.f12471d.getLeft()), (float) (-aVar.f12471d.getTop()));
                            View view = aVar.f12473j;
                            View view2 = aVar.f12471d;
                            if (view != view2) {
                                aVar.f12473j = aVar.c(view2, pointF, view);
                            }
                            if (aVar.f12473j == aVar.f12471d) {
                                aVar.p.f12476a = null;
                            } else {
                                aVar.p.f12476a = pointF;
                            }
                        }
                        return true;
                    }
                    this.x = 'h';
                    return this.z;
                }
            }
            return false;
        }
        return super.dispatchTouchEvent(motionEvent);
    }

    public boolean drawChild(Canvas canvas, View view, long j2) {
        Paint paint;
        Paint paint2;
        d.o.a.b.b.d dVar = this.E0;
        View view2 = dVar != null ? ((d.o.a.b.d.a) dVar).f12471d : null;
        d.o.a.b.b.g gVar = this.C0;
        if (gVar != null && gVar.getView() == view) {
            if (!o(this.L) || (!this.S && isInEditMode())) {
                return true;
            }
            if (view2 != null) {
                int max = Math.max(view2.getPaddingTop() + view2.getTop() + this.m, view.getTop());
                int i2 = this.L0;
                if (!(i2 == 0 || (paint2 = this.F0) == null)) {
                    paint2.setColor(i2);
                    if (this.C0.getSpinnerStyle().f12470i) {
                        max = view.getBottom();
                    } else if (this.C0.getSpinnerStyle() == d.o.a.b.c.b.f12462a) {
                        max = view.getBottom() + this.m;
                    }
                    canvas.drawRect(0.0f, (float) view.getTop(), (float) getWidth(), (float) max, this.F0);
                }
                if (this.N && this.C0.getSpinnerStyle() == d.o.a.b.c.b.f12464c) {
                    canvas.save();
                    canvas.clipRect(view.getLeft(), view.getTop(), view.getRight(), max);
                    boolean drawChild = super.drawChild(canvas, view, j2);
                    canvas.restore();
                    return drawChild;
                }
            }
        }
        d.o.a.b.b.g gVar2 = this.D0;
        if (gVar2 != null && gVar2.getView() == view) {
            if (!o(this.M) || (!this.S && isInEditMode())) {
                return true;
            }
            if (view2 != null) {
                int min = Math.min((view2.getBottom() - view2.getPaddingBottom()) + this.m, view.getBottom());
                int i3 = this.M0;
                if (!(i3 == 0 || (paint = this.F0) == null)) {
                    paint.setColor(i3);
                    if (this.D0.getSpinnerStyle().f12470i) {
                        min = view.getTop();
                    } else if (this.D0.getSpinnerStyle() == d.o.a.b.c.b.f12462a) {
                        min = view.getTop() + this.m;
                    }
                    canvas.drawRect(0.0f, (float) min, (float) getWidth(), (float) view.getBottom(), this.F0);
                }
                if (this.O && this.D0.getSpinnerStyle() == d.o.a.b.c.b.f12464c) {
                    canvas.save();
                    canvas.clipRect(view.getLeft(), min, view.getRight(), view.getBottom());
                    boolean drawChild2 = super.drawChild(canvas, view, j2);
                    canvas.restore();
                    return drawChild2;
                }
            }
        }
        return super.drawChild(canvas, view, j2);
    }

    public ValueAnimator g(int i2, int i3, Interpolator interpolator, int i4) {
        if (this.m == i2) {
            return null;
        }
        ValueAnimator valueAnimator = this.U0;
        if (valueAnimator != null) {
            valueAnimator.cancel();
        }
        this.T0 = null;
        ValueAnimator ofInt = ValueAnimator.ofInt(this.m, i2);
        this.U0 = ofInt;
        ofInt.setDuration((long) i4);
        this.U0.setInterpolator(interpolator);
        this.U0.addListener(new c());
        this.U0.addUpdateListener(new d());
        this.U0.setStartDelay((long) i3);
        this.U0.start();
        return this.U0;
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new j(getContext(), attributeSet);
    }

    @Override // d.o.a.b.b.i
    public ViewGroup getLayout() {
        return this;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public int getNestedScrollAxes() {
        return this.r0.a();
    }

    @Override // d.o.a.b.b.i
    public d.o.a.b.b.e getRefreshFooter() {
        d.o.a.b.b.g gVar = this.D0;
        if (gVar instanceof d.o.a.b.b.e) {
            return (d.o.a.b.b.e) gVar;
        }
        return null;
    }

    public d.o.a.b.b.f getRefreshHeader() {
        d.o.a.b.b.g gVar = this.C0;
        if (gVar instanceof d.o.a.b.b.f) {
            return (d.o.a.b.b.f) gVar;
        }
        return null;
    }

    public RefreshState getState() {
        return this.I0;
    }

    public d.o.a.b.b.i h() {
        i(Math.min(Math.max(0, 300 - ((int) (System.currentTimeMillis() - this.K0))), 300) << 16, true, false);
        return this;
    }

    public d.o.a.b.b.i i(int i2, boolean z2, boolean z3) {
        int i3 = i2 >> 16;
        int i4 = (i2 << 16) >> 16;
        g gVar = new g(i3, z3, z2);
        if (i4 > 0) {
            this.G0.postDelayed(gVar, (long) i4);
        } else {
            gVar.run();
        }
        return this;
    }

    public boolean isNestedScrollingEnabled() {
        return this.d0 && (this.U || this.L || this.M);
    }

    public d.o.a.b.b.i j() {
        i(Math.min(Math.max(0, 300 - ((int) (System.currentTimeMillis() - this.K0))), 300) << 16, true, true);
        return this;
    }

    public d.o.a.b.b.i k() {
        l(Math.min(Math.max(0, 300 - ((int) (System.currentTimeMillis() - this.K0))), 300) << 16, true, Boolean.FALSE);
        return this;
    }

    public d.o.a.b.b.i l(int i2, boolean z2, Boolean bool) {
        int i3 = i2 >> 16;
        int i4 = (i2 << 16) >> 16;
        f fVar = new f(i3, bool, z2);
        if (i4 > 0) {
            this.G0.postDelayed(fVar, (long) i4);
        } else {
            fVar.run();
        }
        return this;
    }

    public d.o.a.b.b.i m() {
        l(Math.min(Math.max(0, 300 - ((int) (System.currentTimeMillis() - this.K0))), 300) << 16, true, Boolean.TRUE);
        return this;
    }

    public boolean n(int i2) {
        if (i2 == 0) {
            if (this.U0 != null) {
                RefreshState refreshState = this.I0;
                if (refreshState.isFinishing || refreshState == RefreshState.TwoLevelReleased) {
                    return true;
                }
                if (refreshState == RefreshState.PullDownCanceled) {
                    ((k) this.H0).e(RefreshState.PullDownToRefresh);
                } else if (refreshState == RefreshState.PullUpCanceled) {
                    ((k) this.H0).e(RefreshState.PullUpToLoad);
                }
                this.U0.cancel();
                this.U0 = null;
            }
            this.T0 = null;
        }
        if (this.U0 != null) {
            return true;
        }
        return false;
    }

    public boolean o(boolean z2) {
        return z2 && !this.W;
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:126:0x0113 */
    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:65:0x0149 */
    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:130:0x0113 */
    public void onAttachedToWindow() {
        d.o.a.b.b.g gVar;
        super.onAttachedToWindow();
        this.P0 = true;
        if (!isInEditMode()) {
            if (this.C0 == null) {
                d.o.a.b.b.b bVar = f7469h;
                if (bVar != null) {
                    y(bVar.a(getContext(), this));
                } else {
                    y(new BezierRadarHeader(getContext()));
                }
            }
            if (this.D0 == null) {
                d.o.a.b.b.a aVar = f7468d;
                if (aVar != null) {
                    x(aVar.a(getContext(), this));
                } else {
                    boolean z2 = this.M;
                    x(new BallPulseFooter(getContext()));
                    this.M = z2;
                }
            } else {
                this.M = this.M || !this.i0;
            }
            if (this.E0 == null) {
                int childCount = getChildCount();
                for (int i2 = 0; i2 < childCount; i2++) {
                    View childAt = getChildAt(i2);
                    d.o.a.b.b.g gVar2 = this.C0;
                    if ((gVar2 == null || childAt != gVar2.getView()) && ((gVar = this.D0) == null || childAt != gVar.getView())) {
                        this.E0 = new d.o.a.b.d.a(childAt);
                    }
                }
            }
            if (this.E0 == null) {
                int c2 = d.o.a.b.g.b.c(20.0f);
                TextView textView = new TextView(getContext());
                textView.setTextColor(-39424);
                textView.setGravity(17);
                textView.setTextSize(20.0f);
                textView.setText(R$string.srl_content_empty);
                super.addView(textView, 0, new j(-1, -1));
                d.o.a.b.d.a aVar2 = new d.o.a.b.d.a(textView);
                this.E0 = aVar2;
                aVar2.f12471d.setPadding(c2, c2, c2, c2);
            }
            View findViewById = findViewById(this.A);
            View findViewById2 = findViewById(this.B);
            d.o.a.b.d.a aVar3 = (d.o.a.b.d.a) this.E0;
            Objects.requireNonNull(aVar3);
            ViewGroup viewGroup = null;
            aVar3.p.f12477b = null;
            d.o.a.b.b.d dVar = this.E0;
            ((d.o.a.b.d.a) dVar).p.f12478c = this.c0;
            d.o.a.b.b.h hVar = this.H0;
            d.o.a.b.d.a aVar4 = (d.o.a.b.d.a) dVar;
            View view = aVar4.f12471d;
            boolean isInEditMode = view.isInEditMode();
            ViewGroup viewGroup2 = null;
            while (true) {
                if (viewGroup2 != null && (!(viewGroup2 instanceof NestedScrollingParent) || (viewGroup2 instanceof NestedScrollingChild))) {
                    break;
                }
                boolean z3 = viewGroup2 == null;
                LinkedList linkedList = new LinkedList();
                linkedList.add(view);
                ViewGroup viewGroup3 = viewGroup;
                while (linkedList.size() > 0 && viewGroup3 == null) {
                    View view2 = (View) linkedList.poll();
                    if (view2 != null) {
                        if ((z3 || view2 != view) && d.o.a.b.g.b.d(view2)) {
                            viewGroup3 = view2;
                        } else if (view2 instanceof ViewGroup) {
                            ViewGroup viewGroup4 = (ViewGroup) view2;
                            for (int i3 = 0; i3 < viewGroup4.getChildCount(); i3++) {
                                linkedList.add(viewGroup4.getChildAt(i3));
                            }
                        }
                    }
                }
                if (viewGroup3 == null) {
                    viewGroup3 = view;
                }
                if (viewGroup3 == viewGroup2) {
                    break;
                }
                if (!isInEditMode) {
                    try {
                        if (viewGroup3 instanceof CoordinatorLayout) {
                            SmartRefreshLayout.this.setNestedScrollingEnabled(false);
                            ViewGroup viewGroup5 = viewGroup3;
                            int childCount2 = viewGroup5.getChildCount();
                            while (true) {
                                childCount2--;
                                if (childCount2 < 0) {
                                    break;
                                }
                                View childAt2 = viewGroup5.getChildAt(childCount2);
                                if (childAt2 instanceof AppBarLayout) {
                                    ((AppBarLayout) childAt2).a(new d.o.a.b.g.a(aVar4));
                                }
                            }
                        }
                    } catch (Throwable th) {
                        th.printStackTrace();
                    }
                }
                view = viewGroup3;
                viewGroup2 = view;
                viewGroup = null;
            }
            if (viewGroup2 != null) {
                aVar4.f12473j = viewGroup2;
            }
            if (!(findViewById == null && findViewById2 == null)) {
                aVar4.f12474k = findViewById;
                aVar4.f12475l = findViewById2;
                FrameLayout frameLayout = new FrameLayout(aVar4.f12471d.getContext());
                k kVar = (k) hVar;
                int indexOfChild = SmartRefreshLayout.this.getLayout().indexOfChild(aVar4.f12471d);
                SmartRefreshLayout.this.getLayout().removeView(aVar4.f12471d);
                frameLayout.addView(aVar4.f12471d, 0, new ViewGroup.LayoutParams(-1, -1));
                SmartRefreshLayout.this.getLayout().addView(frameLayout, indexOfChild, aVar4.f12471d.getLayoutParams());
                aVar4.f12471d = frameLayout;
                if (findViewById != null) {
                    findViewById.setTag("fixed-top");
                    ViewGroup.LayoutParams layoutParams = findViewById.getLayoutParams();
                    ViewGroup viewGroup6 = (ViewGroup) findViewById.getParent();
                    int indexOfChild2 = viewGroup6.indexOfChild(findViewById);
                    viewGroup6.removeView(findViewById);
                    layoutParams.height = d.o.a.b.g.b.g(findViewById);
                    viewGroup6.addView(new Space(aVar4.f12471d.getContext()), indexOfChild2, layoutParams);
                    frameLayout.addView(findViewById, 1, layoutParams);
                }
                if (findViewById2 != null) {
                    findViewById2.setTag("fixed-bottom");
                    ViewGroup.LayoutParams layoutParams2 = findViewById2.getLayoutParams();
                    ViewGroup viewGroup7 = (ViewGroup) findViewById2.getParent();
                    int indexOfChild3 = viewGroup7.indexOfChild(findViewById2);
                    viewGroup7.removeView(findViewById2);
                    FrameLayout.LayoutParams layoutParams3 = new FrameLayout.LayoutParams(layoutParams2);
                    layoutParams2.height = d.o.a.b.g.b.g(findViewById2);
                    viewGroup7.addView(new Space(aVar4.f12471d.getContext()), indexOfChild3, layoutParams2);
                    layoutParams3.gravity = 80;
                    frameLayout.addView(findViewById2, 1, layoutParams3);
                }
            }
            if (this.m != 0) {
                r(RefreshState.None);
                d.o.a.b.b.d dVar2 = this.E0;
                this.m = 0;
                ((d.o.a.b.d.a) dVar2).d(0, this.C, this.D);
            }
        }
        int[] iArr = this.K;
        if (iArr != null) {
            d.o.a.b.b.g gVar3 = this.C0;
            if (gVar3 != null) {
                gVar3.setPrimaryColors(iArr);
            }
            d.o.a.b.b.g gVar4 = this.D0;
            if (gVar4 != null) {
                gVar4.setPrimaryColors(this.K);
            }
        }
        d.o.a.b.b.d dVar3 = this.E0;
        if (dVar3 != null) {
            super.bringChildToFront(((d.o.a.b.d.a) dVar3).f12471d);
        }
        d.o.a.b.b.g gVar5 = this.C0;
        if (gVar5 != null && gVar5.getSpinnerStyle().f12469h) {
            super.bringChildToFront(this.C0.getView());
        }
        d.o.a.b.b.g gVar6 = this.D0;
        if (gVar6 != null && gVar6.getSpinnerStyle().f12469h) {
            super.bringChildToFront(this.D0.getView());
        }
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        this.P0 = false;
        ((k) this.H0).b(0, true);
        r(RefreshState.None);
        Handler handler = this.G0;
        if (handler != null) {
            handler.removeCallbacksAndMessages(null);
        }
        this.i0 = true;
        this.T0 = null;
        ValueAnimator valueAnimator = this.U0;
        if (valueAnimator != null) {
            valueAnimator.removeAllListeners();
            this.U0.removeAllUpdateListeners();
            this.U0.cancel();
            this.U0 = null;
        }
        this.Q0 = false;
    }

    /* JADX WARNING: Removed duplicated region for block: B:30:0x0052  */
    public void onFinishInflate() {
        int i2;
        int i3;
        int i4;
        super.onFinishInflate();
        int childCount = super.getChildCount();
        if (childCount <= 3) {
            int i5 = 0;
            int i6 = -1;
            char c2 = 0;
            while (true) {
                i2 = 2;
                if (i5 >= childCount) {
                    break;
                }
                View childAt = super.getChildAt(i5);
                if (d.o.a.b.g.b.d(childAt) && (c2 < 2 || i5 == 1)) {
                    i6 = i5;
                    c2 = 2;
                } else if (!(childAt instanceof d.o.a.b.b.g) && c2 < 1) {
                    c2 = i5 > 0 ? (char) 1 : 0;
                    i6 = i5;
                }
                i5++;
            }
            if (i6 >= 0) {
                this.E0 = new d.o.a.b.d.a(super.getChildAt(i6));
                if (i6 == 1) {
                    if (childCount == 3) {
                        i3 = 0;
                    } else {
                        i3 = 0;
                        i2 = -1;
                    }
                } else if (childCount == 2) {
                    i3 = -1;
                    i2 = 1;
                }
                for (i4 = 0; i4 < childCount; i4++) {
                    View childAt2 = super.getChildAt(i4);
                    if (i4 == i3 || (i4 != i2 && i3 == -1 && this.C0 == null && (childAt2 instanceof d.o.a.b.b.f))) {
                        this.C0 = childAt2 instanceof d.o.a.b.b.f ? (d.o.a.b.b.f) childAt2 : new RefreshHeaderWrapper(childAt2);
                    } else if (i4 == i2 || (i2 == -1 && (childAt2 instanceof d.o.a.b.b.e))) {
                        this.M = this.M || !this.i0;
                        this.D0 = childAt2 instanceof d.o.a.b.b.e ? (d.o.a.b.b.e) childAt2 : new RefreshFooterWrapper(childAt2);
                    }
                }
                return;
            }
            i3 = -1;
            i2 = -1;
            while (i4 < childCount) {
            }
            return;
        }
        throw new RuntimeException("最多只支持3个子View，Most only support three sub view");
    }

    public void onLayout(boolean z2, int i2, int i3, int i4, int i5) {
        int i6;
        int paddingLeft = getPaddingLeft();
        int paddingTop = getPaddingTop();
        getPaddingBottom();
        int childCount = super.getChildCount();
        for (int i7 = 0; i7 < childCount; i7++) {
            View childAt = super.getChildAt(i7);
            if (!(childAt.getVisibility() == 8 || childAt.getTag(R$string.srl_component_falsify) == childAt)) {
                d.o.a.b.b.d dVar = this.E0;
                boolean z3 = true;
                if (dVar != null && ((d.o.a.b.d.a) dVar).f12471d == childAt) {
                    boolean z4 = isInEditMode() && this.S && o(this.L) && this.C0 != null;
                    View view = ((d.o.a.b.d.a) this.E0).f12471d;
                    ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
                    ViewGroup.MarginLayoutParams marginLayoutParams = layoutParams instanceof ViewGroup.MarginLayoutParams ? (ViewGroup.MarginLayoutParams) layoutParams : f7471k;
                    int i8 = marginLayoutParams.leftMargin + paddingLeft;
                    int i9 = marginLayoutParams.topMargin + paddingTop;
                    int measuredWidth = view.getMeasuredWidth() + i8;
                    int measuredHeight = view.getMeasuredHeight() + i9;
                    if (z4 && p(this.P, this.C0)) {
                        int i10 = this.s0;
                        i9 += i10;
                        measuredHeight += i10;
                    }
                    view.layout(i8, i9, measuredWidth, measuredHeight);
                }
                d.o.a.b.b.g gVar = this.C0;
                if (gVar != null && gVar.getView() == childAt) {
                    boolean z5 = isInEditMode() && this.S && o(this.L);
                    View view2 = this.C0.getView();
                    ViewGroup.LayoutParams layoutParams2 = view2.getLayoutParams();
                    ViewGroup.MarginLayoutParams marginLayoutParams2 = layoutParams2 instanceof ViewGroup.MarginLayoutParams ? (ViewGroup.MarginLayoutParams) layoutParams2 : f7471k;
                    int i11 = marginLayoutParams2.leftMargin;
                    int i12 = marginLayoutParams2.topMargin + this.w0;
                    int measuredWidth2 = view2.getMeasuredWidth() + i11;
                    int measuredHeight2 = view2.getMeasuredHeight() + i12;
                    if (!z5 && this.C0.getSpinnerStyle() == d.o.a.b.c.b.f12462a) {
                        int i13 = this.s0;
                        i12 -= i13;
                        measuredHeight2 -= i13;
                    }
                    view2.layout(i11, i12, measuredWidth2, measuredHeight2);
                }
                d.o.a.b.b.g gVar2 = this.D0;
                if (gVar2 != null && gVar2.getView() == childAt) {
                    if (!isInEditMode() || !this.S || !o(this.M)) {
                        z3 = false;
                    }
                    View view3 = this.D0.getView();
                    ViewGroup.LayoutParams layoutParams3 = view3.getLayoutParams();
                    ViewGroup.MarginLayoutParams marginLayoutParams3 = layoutParams3 instanceof ViewGroup.MarginLayoutParams ? (ViewGroup.MarginLayoutParams) layoutParams3 : f7471k;
                    d.o.a.b.c.b spinnerStyle = this.D0.getSpinnerStyle();
                    int i14 = marginLayoutParams3.leftMargin;
                    int measuredHeight3 = (getMeasuredHeight() + marginLayoutParams3.topMargin) - this.x0;
                    if (this.g0 && this.h0 && this.R && this.E0 != null && this.D0.getSpinnerStyle() == d.o.a.b.c.b.f12462a && o(this.M)) {
                        View view4 = ((d.o.a.b.d.a) this.E0).f12471d;
                        ViewGroup.LayoutParams layoutParams4 = view4.getLayoutParams();
                        measuredHeight3 = view4.getMeasuredHeight() + paddingTop + paddingTop + (layoutParams4 instanceof ViewGroup.MarginLayoutParams ? ((ViewGroup.MarginLayoutParams) layoutParams4).topMargin : 0);
                    }
                    if (spinnerStyle == d.o.a.b.c.b.f12466e) {
                        measuredHeight3 = marginLayoutParams3.topMargin - this.x0;
                    } else {
                        if (z3 || spinnerStyle == d.o.a.b.c.b.f12465d || spinnerStyle == d.o.a.b.c.b.f12464c) {
                            i6 = this.u0;
                        } else if (spinnerStyle.f12470i && this.m < 0) {
                            i6 = Math.max(o(this.M) ? -this.m : 0, 0);
                        }
                        measuredHeight3 -= i6;
                    }
                    view3.layout(i14, measuredHeight3, view3.getMeasuredWidth() + i14, view3.getMeasuredHeight() + measuredHeight3);
                }
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:43:0x00d6  */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x00dd  */
    /* JADX WARNING: Removed duplicated region for block: B:56:0x0100  */
    /* JADX WARNING: Removed duplicated region for block: B:59:0x0119  */
    public void onMeasure(int i2, int i3) {
        View view;
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        boolean z2;
        boolean z3 = isInEditMode() && this.S;
        int childCount = super.getChildCount();
        int i9 = 0;
        for (int i10 = 0; i10 < childCount; i10++) {
            View childAt = super.getChildAt(i10);
            if (childAt.getVisibility() != 8 && childAt.getTag(R$string.srl_component_falsify) != childAt) {
                d.o.a.b.b.g gVar = this.C0;
                if (gVar != null && gVar.getView() == childAt) {
                    View view2 = this.C0.getView();
                    ViewGroup.LayoutParams layoutParams = view2.getLayoutParams();
                    ViewGroup.MarginLayoutParams marginLayoutParams = layoutParams instanceof ViewGroup.MarginLayoutParams ? (ViewGroup.MarginLayoutParams) layoutParams : f7471k;
                    int childMeasureSpec = ViewGroup.getChildMeasureSpec(i2, marginLayoutParams.leftMargin + marginLayoutParams.rightMargin, layoutParams.width);
                    int i11 = this.s0;
                    d.o.a.b.c.a aVar = this.t0;
                    if (aVar.n < 6) {
                        int i12 = layoutParams.height;
                        if (i12 > 0) {
                            i6 = i12 + marginLayoutParams.bottomMargin + marginLayoutParams.topMargin;
                            d.o.a.b.c.a aVar2 = d.o.a.b.c.a.f12454e;
                            if (aVar.a(aVar2)) {
                                this.s0 = layoutParams.height + marginLayoutParams.bottomMargin + marginLayoutParams.topMargin;
                                this.t0 = aVar2;
                            }
                        } else if (i12 == -2 && (this.C0.getSpinnerStyle() != d.o.a.b.c.b.f12466e || !this.t0.o)) {
                            int max = Math.max((View.MeasureSpec.getSize(i3) - marginLayoutParams.bottomMargin) - marginLayoutParams.topMargin, 0);
                            view2.measure(childMeasureSpec, View.MeasureSpec.makeMeasureSpec(max, Integer.MIN_VALUE));
                            int measuredHeight = view2.getMeasuredHeight();
                            if (measuredHeight > 0) {
                                if (measuredHeight != max) {
                                    d.o.a.b.c.a aVar3 = this.t0;
                                    d.o.a.b.c.a aVar4 = d.o.a.b.c.a.f12452c;
                                    if (aVar3.a(aVar4)) {
                                        this.s0 = measuredHeight + marginLayoutParams.bottomMargin + marginLayoutParams.topMargin;
                                        this.t0 = aVar4;
                                    }
                                }
                                i6 = -1;
                            }
                        }
                        if (this.C0.getSpinnerStyle() != d.o.a.b.c.b.f12466e) {
                            i8 = View.MeasureSpec.getSize(i3);
                            i7 = 0;
                        } else {
                            if (!this.C0.getSpinnerStyle().f12470i || z3) {
                                i7 = 0;
                            } else {
                                i7 = 0;
                                i6 = Math.max(0, o(this.L) ? this.m : 0);
                            }
                            i8 = i6;
                        }
                        if (i8 != -1) {
                            view2.measure(childMeasureSpec, View.MeasureSpec.makeMeasureSpec(Math.max((i8 - marginLayoutParams.bottomMargin) - marginLayoutParams.topMargin, i7), 1073741824));
                        }
                        d.o.a.b.c.a aVar5 = this.t0;
                        z2 = aVar5.o;
                        if (!z2) {
                            if (!z2) {
                                aVar5 = d.o.a.b.c.a.m[aVar5.n + 1];
                            }
                            this.t0 = aVar5;
                            d.o.a.b.b.g gVar2 = this.C0;
                            d.o.a.b.b.h hVar = this.H0;
                            int i13 = this.s0;
                            gVar2.d(hVar, i13, (int) (this.y0 * ((float) i13)));
                        }
                        if (z3 && o(this.L)) {
                            i9 += view2.getMeasuredHeight();
                        }
                    }
                    i6 = i11;
                    if (this.C0.getSpinnerStyle() != d.o.a.b.c.b.f12466e) {
                    }
                    if (i8 != -1) {
                    }
                    d.o.a.b.c.a aVar52 = this.t0;
                    z2 = aVar52.o;
                    if (!z2) {
                    }
                    i9 += view2.getMeasuredHeight();
                }
                d.o.a.b.b.g gVar3 = this.D0;
                if (gVar3 != null && gVar3.getView() == childAt) {
                    View view3 = this.D0.getView();
                    ViewGroup.LayoutParams layoutParams2 = view3.getLayoutParams();
                    ViewGroup.MarginLayoutParams marginLayoutParams2 = layoutParams2 instanceof ViewGroup.MarginLayoutParams ? (ViewGroup.MarginLayoutParams) layoutParams2 : f7471k;
                    int childMeasureSpec2 = ViewGroup.getChildMeasureSpec(i2, marginLayoutParams2.leftMargin + marginLayoutParams2.rightMargin, layoutParams2.width);
                    int i14 = this.u0;
                    d.o.a.b.c.a aVar6 = this.v0;
                    if (aVar6.n < 6) {
                        int i15 = layoutParams2.height;
                        if (i15 > 0) {
                            i14 = marginLayoutParams2.bottomMargin + i15 + marginLayoutParams2.topMargin;
                            d.o.a.b.c.a aVar7 = d.o.a.b.c.a.f12454e;
                            if (aVar6.a(aVar7)) {
                                this.u0 = layoutParams2.height + marginLayoutParams2.topMargin + marginLayoutParams2.bottomMargin;
                                this.v0 = aVar7;
                            }
                        } else if (i15 == -2 && (this.D0.getSpinnerStyle() != d.o.a.b.c.b.f12466e || !this.v0.o)) {
                            int max2 = Math.max((View.MeasureSpec.getSize(i3) - marginLayoutParams2.bottomMargin) - marginLayoutParams2.topMargin, 0);
                            view3.measure(childMeasureSpec2, View.MeasureSpec.makeMeasureSpec(max2, Integer.MIN_VALUE));
                            int measuredHeight2 = view3.getMeasuredHeight();
                            if (measuredHeight2 > 0) {
                                if (measuredHeight2 != max2) {
                                    d.o.a.b.c.a aVar8 = this.v0;
                                    d.o.a.b.c.a aVar9 = d.o.a.b.c.a.f12452c;
                                    if (aVar8.a(aVar9)) {
                                        this.u0 = measuredHeight2 + marginLayoutParams2.topMargin + marginLayoutParams2.bottomMargin;
                                        this.v0 = aVar9;
                                    }
                                }
                                i14 = -1;
                            }
                        }
                    }
                    if (this.D0.getSpinnerStyle() == d.o.a.b.c.b.f12466e) {
                        i5 = View.MeasureSpec.getSize(i3);
                        i4 = 0;
                    } else {
                        if (!this.D0.getSpinnerStyle().f12470i || z3) {
                            i4 = 0;
                        } else {
                            i4 = 0;
                            i14 = Math.max(0, o(this.M) ? -this.m : 0);
                        }
                        i5 = i14;
                    }
                    if (i5 != -1) {
                        view3.measure(childMeasureSpec2, View.MeasureSpec.makeMeasureSpec(Math.max((i5 - marginLayoutParams2.bottomMargin) - marginLayoutParams2.topMargin, i4), 1073741824));
                    }
                    d.o.a.b.c.a aVar10 = this.v0;
                    boolean z4 = aVar10.o;
                    if (!z4) {
                        if (!z4) {
                            aVar10 = d.o.a.b.c.a.m[aVar10.n + 1];
                        }
                        this.v0 = aVar10;
                        d.o.a.b.b.g gVar4 = this.D0;
                        d.o.a.b.b.h hVar2 = this.H0;
                        int i16 = this.u0;
                        gVar4.d(hVar2, i16, (int) (this.z0 * ((float) i16)));
                    }
                    if (z3 && o(this.M)) {
                        i9 = view3.getMeasuredHeight() + i9;
                    }
                }
                d.o.a.b.b.d dVar = this.E0;
                if (dVar != null && (view = ((d.o.a.b.d.a) dVar).f12471d) == childAt) {
                    ViewGroup.LayoutParams layoutParams3 = view.getLayoutParams();
                    ViewGroup.MarginLayoutParams marginLayoutParams3 = layoutParams3 instanceof ViewGroup.MarginLayoutParams ? (ViewGroup.MarginLayoutParams) layoutParams3 : f7471k;
                    view.measure(ViewGroup.getChildMeasureSpec(i2, getPaddingRight() + getPaddingLeft() + marginLayoutParams3.leftMargin + marginLayoutParams3.rightMargin, layoutParams3.width), ViewGroup.getChildMeasureSpec(i3, getPaddingBottom() + getPaddingTop() + marginLayoutParams3.topMargin + marginLayoutParams3.bottomMargin + ((!z3 || !(this.C0 != null && o(this.L) && p(this.P, this.C0))) ? 0 : this.s0) + ((!z3 || !(this.D0 != null && o(this.M) && p(this.Q, this.D0))) ? 0 : this.u0), layoutParams3.height));
                    i9 += view.getMeasuredHeight();
                }
            }
        }
        super.setMeasuredDimension(View.resolveSize(super.getSuggestedMinimumWidth(), i2), View.resolveSize(i9, i3));
        this.u = ((float) getMeasuredWidth()) / 2.0f;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public boolean onNestedFling(View view, float f2, float f3, boolean z2) {
        return this.q0.a(f2, f3, z2);
    }

    @Override // androidx.core.view.NestedScrollingParent
    public boolean onNestedPreFling(View view, float f2, float f3) {
        return (this.Q0 && f3 > 0.0f) || z(-f3) || this.q0.b(f2, f3);
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onNestedPreScroll(View view, int i2, int i3, int[] iArr) {
        int i4 = this.n0;
        int i5 = 0;
        if (i3 * i4 > 0) {
            if (Math.abs(i3) > Math.abs(this.n0)) {
                int i6 = this.n0;
                this.n0 = 0;
                i5 = i6;
            } else {
                this.n0 -= i3;
                i5 = i3;
            }
            q((float) this.n0);
        } else if (i3 > 0 && this.Q0) {
            int i7 = i4 - i3;
            this.n0 = i7;
            q((float) i7);
            i5 = i3;
        }
        this.q0.c(i2, i3 - i5, iArr, null);
        iArr[1] = iArr[1] + i5;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onNestedScroll(View view, int i2, int i3, int i4, int i5) {
        boolean e2 = this.q0.e(i2, i3, i4, i5, this.p0);
        int i6 = i5 + this.p0[1];
        if ((i6 < 0 && (this.L || this.U)) || (i6 > 0 && (this.M || this.U))) {
            int i7 = this.n0;
            RefreshState refreshState = this.J0;
            if (refreshState == RefreshState.None || refreshState.isOpening) {
                ((k) this.H0).e(i6 > 0 ? RefreshState.PullUpToLoad : RefreshState.PullDownToRefresh);
                if (!e2) {
                    ViewParent parent = getParent();
                    if (parent instanceof ViewGroup) {
                        ((ViewGroup) parent).requestDisallowInterceptTouchEvent(true);
                    }
                }
            }
            int i8 = this.n0 - i6;
            this.n0 = i8;
            q((float) i8);
        }
        if (this.Q0 && i3 < 0) {
            this.Q0 = false;
        }
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onNestedScrollAccepted(View view, View view2, int i2) {
        this.r0.f3410a = i2;
        this.q0.l(i2 & 2);
        this.n0 = this.m;
        this.o0 = true;
        n(0);
    }

    @Override // androidx.core.view.NestedScrollingParent
    public boolean onStartNestedScroll(View view, View view2, int i2) {
        if (!(isEnabled() && isNestedScrollingEnabled() && (i2 & 2) != 0) || (!this.U && !this.L && !this.M)) {
            return false;
        }
        return true;
    }

    @Override // androidx.core.view.NestedScrollingParent
    public void onStopNestedScroll(View view) {
        this.r0.b(0);
        this.o0 = false;
        this.n0 = 0;
        s();
        this.q0.n(0);
    }

    public boolean p(boolean z2, d.o.a.b.b.g gVar) {
        return z2 || this.W || gVar == null || gVar.getSpinnerStyle() == d.o.a.b.c.b.f12464c;
    }

    public void q(float f2) {
        RefreshState refreshState;
        float f3 = (!this.o0 || this.c0 || f2 >= 0.0f || ((d.o.a.b.d.a) this.E0).a()) ? f2 : 0.0f;
        if (f3 > ((float) (this.r * 5)) && getTag() == null) {
            Toast.makeText(getContext(), "你这么死拉，臣妾做不到啊！", 0).show();
            setTag("你这么死拉，臣妾做不到啊！");
        }
        RefreshState refreshState2 = this.I0;
        if (refreshState2 == RefreshState.TwoLevel && f3 > 0.0f) {
            ((k) this.H0).b(Math.min((int) f3, getMeasuredHeight()), true);
        } else if (refreshState2 == RefreshState.Refreshing && f3 >= 0.0f) {
            int i2 = this.s0;
            if (f3 < ((float) i2)) {
                ((k) this.H0).b((int) f3, true);
            } else {
                double d2 = (double) ((this.y0 - 1.0f) * ((float) i2));
                int max = Math.max((this.r * 4) / 3, getHeight());
                int i3 = this.s0;
                double d3 = (double) (max - i3);
                double max2 = (double) Math.max(0.0f, (f3 - ((float) i3)) * this.w);
                double d4 = -max2;
                if (d3 == 0.0d) {
                    d3 = 1.0d;
                }
                ((k) this.H0).b(((int) Math.min((1.0d - Math.pow(100.0d, d4 / d3)) * d2, max2)) + this.s0, true);
            }
        } else if (f3 < 0.0f && (refreshState2 == RefreshState.Loading || ((this.R && this.g0 && this.h0 && o(this.M)) || (this.V && !this.g0 && o(this.M))))) {
            int i4 = this.u0;
            if (f3 > ((float) (-i4))) {
                ((k) this.H0).b((int) f3, true);
            } else {
                double d5 = (double) ((this.z0 - 1.0f) * ((float) i4));
                int max3 = Math.max((this.r * 4) / 3, getHeight());
                int i5 = this.u0;
                double d6 = (double) (max3 - i5);
                double d7 = (double) (-Math.min(0.0f, (((float) i5) + f3) * this.w));
                double d8 = -d7;
                if (d6 == 0.0d) {
                    d6 = 1.0d;
                }
                ((k) this.H0).b(((int) (-Math.min((1.0d - Math.pow(100.0d, d8 / d6)) * d5, d7))) - this.u0, true);
            }
        } else if (f3 >= 0.0f) {
            double d9 = (double) (this.y0 * ((float) this.s0));
            double max4 = (double) Math.max(this.r / 2, getHeight());
            double max5 = (double) Math.max(0.0f, this.w * f3);
            double d10 = -max5;
            if (max4 == 0.0d) {
                max4 = 1.0d;
            }
            ((k) this.H0).b((int) Math.min((1.0d - Math.pow(100.0d, d10 / max4)) * d9, max5), true);
        } else {
            double d11 = (double) (this.z0 * ((float) this.u0));
            double max6 = (double) Math.max(this.r / 2, getHeight());
            double d12 = (double) (-Math.min(0.0f, this.w * f3));
            double d13 = -d12;
            if (max6 == 0.0d) {
                max6 = 1.0d;
            }
            ((k) this.H0).b((int) (-Math.min((1.0d - Math.pow(100.0d, d13 / max6)) * d11, d12)), true);
        }
        if (this.V && !this.g0 && o(this.M) && f3 < 0.0f && (refreshState = this.I0) != RefreshState.Refreshing && refreshState != RefreshState.Loading && refreshState != RefreshState.LoadFinish) {
            if (this.f0) {
                this.T0 = null;
                ((k) this.H0).a(-this.u0);
            }
            setStateDirectLoading(false);
            this.G0.postDelayed(new e(), (long) this.q);
        }
    }

    public void r(RefreshState refreshState) {
        RefreshState refreshState2 = this.I0;
        if (refreshState2 != refreshState) {
            this.I0 = refreshState;
            this.J0 = refreshState;
            d.o.a.b.b.g gVar = this.C0;
            d.o.a.b.b.g gVar2 = this.D0;
            if (gVar != null) {
                gVar.a(this, refreshState2, refreshState);
            }
            if (gVar2 != null) {
                gVar2.a(this, refreshState2, refreshState);
            }
            if (refreshState == RefreshState.LoadFinish) {
                this.Q0 = false;
            }
        } else if (this.J0 != refreshState2) {
            this.J0 = refreshState2;
        }
    }

    public void s() {
        RefreshState refreshState = this.I0;
        RefreshState refreshState2 = RefreshState.TwoLevel;
        if (refreshState != refreshState2) {
            RefreshState refreshState3 = RefreshState.Loading;
            if (refreshState == refreshState3 || (this.R && this.g0 && this.h0 && this.m < 0 && o(this.M))) {
                int i2 = this.m;
                int i3 = this.u0;
                if (i2 < (-i3)) {
                    ((k) this.H0).a(-i3);
                } else if (i2 > 0) {
                    ((k) this.H0).a(0);
                }
            } else {
                RefreshState refreshState4 = this.I0;
                RefreshState refreshState5 = RefreshState.Refreshing;
                if (refreshState4 == refreshState5) {
                    int i4 = this.m;
                    int i5 = this.s0;
                    if (i4 > i5) {
                        ((k) this.H0).a(i5);
                    } else if (i4 < 0) {
                        ((k) this.H0).a(0);
                    }
                } else if (refreshState4 == RefreshState.PullDownToRefresh) {
                    ((k) this.H0).e(RefreshState.PullDownCanceled);
                } else if (refreshState4 == RefreshState.PullUpToLoad) {
                    ((k) this.H0).e(RefreshState.PullUpCanceled);
                } else if (refreshState4 == RefreshState.ReleaseToRefresh) {
                    ((k) this.H0).e(refreshState5);
                } else if (refreshState4 == RefreshState.ReleaseToLoad) {
                    ((k) this.H0).e(refreshState3);
                } else if (refreshState4 == RefreshState.ReleaseToTwoLevel) {
                    ((k) this.H0).e(RefreshState.TwoLevelReleased);
                } else if (refreshState4 == RefreshState.RefreshReleased) {
                    if (this.U0 == null) {
                        ((k) this.H0).a(this.s0);
                    }
                } else if (refreshState4 == RefreshState.LoadReleased) {
                    if (this.U0 == null) {
                        ((k) this.H0).a(-this.u0);
                    }
                } else if (this.m != 0) {
                    ((k) this.H0).a(0);
                }
            }
        } else if (this.G > -1000 && this.m > getMeasuredHeight() / 2) {
            ValueAnimator a2 = ((k) this.H0).a(getMeasuredHeight());
            if (a2 != null) {
                a2.setDuration((long) this.p);
            }
        } else if (this.y) {
            k kVar = (k) this.H0;
            SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
            if (smartRefreshLayout.I0 == refreshState2) {
                ((k) smartRefreshLayout.H0).e(RefreshState.TwoLevelFinish);
                if (SmartRefreshLayout.this.m == 0) {
                    kVar.b(0, false);
                    SmartRefreshLayout.this.r(RefreshState.None);
                    return;
                }
                kVar.a(0).setDuration((long) SmartRefreshLayout.this.p);
            }
        }
    }

    public void setNestedScrollingEnabled(boolean z2) {
        this.d0 = z2;
        b.j.h.d dVar = this.q0;
        if (dVar.f3408d) {
            View view = dVar.f3407c;
            AtomicInteger atomicInteger = ViewCompat.f1365a;
            view.stopNestedScroll();
        }
        dVar.f3408d = z2;
    }

    public void setStateDirectLoading(boolean z2) {
        RefreshState refreshState = this.I0;
        RefreshState refreshState2 = RefreshState.Loading;
        if (refreshState != refreshState2) {
            this.K0 = System.currentTimeMillis();
            this.Q0 = true;
            r(refreshState2);
            d.o.a.b.f.b bVar = this.m0;
            if (bVar == null) {
                i(2000, true, false);
            } else if (z2) {
                bVar.onLoadMore(this);
            }
            d.o.a.b.b.g gVar = this.D0;
            if (gVar != null) {
                int i2 = this.u0;
                gVar.b(this, i2, (int) (this.z0 * ((float) i2)));
            }
        }
    }

    public void setStateLoading(boolean z2) {
        a aVar = new a(z2);
        r(RefreshState.LoadReleased);
        ValueAnimator a2 = ((k) this.H0).a(-this.u0);
        if (a2 != null) {
            a2.addListener(aVar);
        }
        d.o.a.b.b.g gVar = this.D0;
        if (gVar != null) {
            int i2 = this.u0;
            gVar.i(this, i2, (int) (this.z0 * ((float) i2)));
        }
        if (a2 == null) {
            aVar.onAnimationEnd(null);
        }
    }

    public void setStateRefreshing(boolean z2) {
        b bVar = new b(z2);
        r(RefreshState.RefreshReleased);
        ValueAnimator a2 = ((k) this.H0).a(this.s0);
        if (a2 != null) {
            a2.addListener(bVar);
        }
        d.o.a.b.b.g gVar = this.C0;
        if (gVar != null) {
            int i2 = this.s0;
            gVar.i(this, i2, (int) (this.y0 * ((float) i2)));
        }
        if (a2 == null) {
            bVar.onAnimationEnd(null);
        }
    }

    public void setViceState(RefreshState refreshState) {
        RefreshState refreshState2 = this.I0;
        if (refreshState2.isDragging && refreshState2.isHeader != refreshState.isHeader) {
            r(RefreshState.None);
        }
        if (this.J0 != refreshState) {
            this.J0 = refreshState;
        }
    }

    public d.o.a.b.b.i t(boolean z2) {
        this.i0 = true;
        this.M = z2;
        return this;
    }

    public d.o.a.b.b.i u(boolean z2) {
        RefreshState refreshState = this.I0;
        if (refreshState == RefreshState.Refreshing && z2) {
            m();
        } else if (refreshState == RefreshState.Loading && z2) {
            j();
        } else if (this.g0 != z2) {
            this.g0 = z2;
            d.o.a.b.b.g gVar = this.D0;
            if (gVar instanceof d.o.a.b.b.e) {
                if (((d.o.a.b.b.e) gVar).c(z2)) {
                    this.h0 = true;
                    if (this.g0 && this.R && this.m > 0 && this.D0.getSpinnerStyle() == d.o.a.b.c.b.f12462a && o(this.M) && p(this.L, this.C0)) {
                        this.D0.getView().setTranslationY((float) this.m);
                    }
                } else {
                    this.h0 = false;
                    StringBuilder B2 = d.a.a.a.a.B("Footer:");
                    B2.append(this.D0);
                    B2.append(" NoMoreData is not supported.(不支持NoMoreData，请使用[ClassicsFooter]或者[自定义Footer并实现setNoMoreData方法且返回true])");
                    new RuntimeException(B2.toString()).printStackTrace();
                }
            }
        }
        return this;
    }

    public d.o.a.b.b.i v(d.o.a.b.f.b bVar) {
        this.m0 = bVar;
        this.M = this.M || !this.i0;
        return this;
    }

    public d.o.a.b.b.i w(d.o.a.b.f.d dVar) {
        this.l0 = dVar;
        this.m0 = dVar;
        this.M = this.M || !this.i0;
        return this;
    }

    public d.o.a.b.b.i x(d.o.a.b.b.e eVar) {
        d.o.a.b.b.g gVar;
        d.o.a.b.b.g gVar2 = this.D0;
        if (gVar2 != null) {
            super.removeView(gVar2.getView());
        }
        this.D0 = eVar;
        this.Q0 = false;
        this.M0 = 0;
        this.h0 = false;
        this.O0 = false;
        this.v0 = this.v0.b();
        this.M = !this.i0 || this.M;
        if (this.D0.getSpinnerStyle().f12469h) {
            super.addView(this.D0.getView(), getChildCount(), new j(-1, -2));
        } else {
            super.addView(this.D0.getView(), 0, new j(-1, -2));
        }
        int[] iArr = this.K;
        if (!(iArr == null || (gVar = this.D0) == null)) {
            gVar.setPrimaryColors(iArr);
        }
        return this;
    }

    public d.o.a.b.b.i y(d.o.a.b.b.f fVar) {
        d.o.a.b.b.g gVar;
        d.o.a.b.b.g gVar2 = this.C0;
        if (gVar2 != null) {
            super.removeView(gVar2.getView());
        }
        this.C0 = fVar;
        this.L0 = 0;
        this.N0 = false;
        this.t0 = this.t0.b();
        if (this.C0.getSpinnerStyle().f12469h) {
            super.addView(this.C0.getView(), getChildCount(), new j(-1, -2));
        } else {
            super.addView(this.C0.getView(), 0, new j(-1, -2));
        }
        int[] iArr = this.K;
        if (!(iArr == null || (gVar = this.C0) == null)) {
            gVar.setPrimaryColors(iArr);
        }
        return this;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:67:0x00ef, code lost:
        if (r4 <= r14.s0) goto L_0x00f1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:70:0x00f6, code lost:
        if (r4 >= (-r14.u0)) goto L_0x00fe;
     */
    public boolean z(float f2) {
        if (f2 == 0.0f) {
            f2 = (float) this.G;
        }
        if (Build.VERSION.SDK_INT > 27 && this.E0 != null) {
            getScaleY();
            View view = ((d.o.a.b.d.a) this.E0).f12471d;
            if (getScaleY() == -1.0f && view.getScaleY() == -1.0f) {
                f2 = -f2;
            }
        }
        int i2 = 0;
        if (Math.abs(f2) > ((float) this.E)) {
            int i3 = this.m;
            if (((float) i3) * f2 < 0.0f) {
                RefreshState refreshState = this.I0;
                RefreshState refreshState2 = RefreshState.Refreshing;
                if (refreshState == refreshState2 || refreshState == RefreshState.Loading || (i3 < 0 && this.g0)) {
                    i iVar = new i(f2);
                    RefreshState refreshState3 = this.I0;
                    if (!refreshState3.isFinishing) {
                        if (this.m != 0 && ((!refreshState3.isOpening && (!this.g0 || !this.R || !this.h0 || !o(this.M))) || (((this.I0 == RefreshState.Loading || (this.g0 && this.R && this.h0 && o(this.M))) && this.m < (-this.u0)) || (this.I0 == refreshState2 && this.m > this.s0)))) {
                            int i4 = this.m;
                            float f3 = iVar.f7499h;
                            int i5 = i4;
                            while (true) {
                                if (i4 * i5 <= 0) {
                                    break;
                                }
                                i2++;
                                f3 = (float) (Math.pow((double) 0.98f, (double) (((float) (i2 * 10)) / 10.0f)) * ((double) f3));
                                float f4 = ((((float) 10) * 1.0f) / 1000.0f) * f3;
                                if (Math.abs(f4) < 1.0f) {
                                    SmartRefreshLayout smartRefreshLayout = SmartRefreshLayout.this;
                                    RefreshState refreshState4 = smartRefreshLayout.I0;
                                    if (refreshState4.isOpening) {
                                        RefreshState refreshState5 = RefreshState.Refreshing;
                                        if (refreshState4 == refreshState5) {
                                        }
                                        if (refreshState4 != refreshState5) {
                                        }
                                    }
                                } else {
                                    i5 = (int) (((float) i5) + f4);
                                }
                            }
                        }
                        iVar.f7500j = AnimationUtils.currentAnimationTimeMillis();
                        SmartRefreshLayout.this.G0.postDelayed(iVar, (long) 10);
                        this.T0 = iVar;
                        return true;
                    }
                    iVar = null;
                    this.T0 = iVar;
                    return true;
                } else if (refreshState.isReleaseToOpening) {
                    return true;
                }
            }
            if ((f2 < 0.0f && ((this.T && (this.M || this.U)) || ((this.I0 == RefreshState.Loading && i3 >= 0) || (this.V && o(this.M))))) || (f2 > 0.0f && ((this.T && this.L) || this.U || (this.I0 == RefreshState.Refreshing && this.m <= 0)))) {
                this.R0 = false;
                this.H.fling(0, 0, 0, (int) (-f2), 0, 0, -2147483647, SubsamplingScaleImageView.TILE_SIZE_AUTO);
                this.H.computeScrollOffset();
                invalidate();
            }
        }
        return false;
    }

    public SmartRefreshLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.p = 300;
        this.q = 300;
        this.w = 0.5f;
        this.x = 'n';
        this.A = -1;
        this.B = -1;
        this.C = -1;
        this.D = -1;
        this.L = true;
        this.M = false;
        this.N = true;
        this.O = true;
        this.P = true;
        this.Q = true;
        this.R = false;
        this.S = true;
        this.T = true;
        this.U = false;
        this.V = true;
        this.W = false;
        this.a0 = true;
        this.b0 = true;
        this.c0 = true;
        this.d0 = true;
        this.e0 = false;
        this.f0 = false;
        this.g0 = false;
        this.h0 = false;
        this.i0 = false;
        this.j0 = false;
        this.k0 = false;
        this.p0 = new int[2];
        this.q0 = new b.j.h.d(this);
        this.r0 = new b.j.h.e();
        d.o.a.b.c.a aVar = d.o.a.b.c.a.f12450a;
        this.t0 = aVar;
        this.v0 = aVar;
        this.y0 = 2.5f;
        this.z0 = 2.5f;
        this.A0 = 1.0f;
        this.B0 = 1.0f;
        this.H0 = new k();
        RefreshState refreshState = RefreshState.None;
        this.I0 = refreshState;
        this.J0 = refreshState;
        this.K0 = 0;
        this.L0 = 0;
        this.M0 = 0;
        this.Q0 = false;
        this.R0 = false;
        this.S0 = null;
        ViewConfiguration viewConfiguration = ViewConfiguration.get(context);
        this.G0 = new Handler();
        this.H = new Scroller(context);
        this.I = VelocityTracker.obtain();
        this.r = context.getResources().getDisplayMetrics().heightPixels;
        float f2 = d.o.a.b.g.b.f12488a;
        this.J = new d.o.a.b.g.b(0);
        this.f7472l = viewConfiguration.getScaledTouchSlop();
        this.E = viewConfiguration.getScaledMinimumFlingVelocity();
        this.F = viewConfiguration.getScaledMaximumFlingVelocity();
        this.u0 = d.o.a.b.g.b.c(60.0f);
        this.s0 = d.o.a.b.g.b.c(100.0f);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.SmartRefreshLayout);
        if (!obtainStyledAttributes.hasValue(R$styleable.SmartRefreshLayout_android_clipToPadding)) {
            super.setClipToPadding(false);
        }
        if (!obtainStyledAttributes.hasValue(R$styleable.SmartRefreshLayout_android_clipChildren)) {
            super.setClipChildren(false);
        }
        d.o.a.b.b.c cVar = f7470j;
        if (cVar != null) {
            cVar.a(context, this);
        }
        this.w = obtainStyledAttributes.getFloat(R$styleable.SmartRefreshLayout_srlDragRate, this.w);
        this.y0 = obtainStyledAttributes.getFloat(R$styleable.SmartRefreshLayout_srlHeaderMaxDragRate, this.y0);
        this.z0 = obtainStyledAttributes.getFloat(R$styleable.SmartRefreshLayout_srlFooterMaxDragRate, this.z0);
        this.A0 = obtainStyledAttributes.getFloat(R$styleable.SmartRefreshLayout_srlHeaderTriggerRate, this.A0);
        this.B0 = obtainStyledAttributes.getFloat(R$styleable.SmartRefreshLayout_srlFooterTriggerRate, this.B0);
        this.L = obtainStyledAttributes.getBoolean(R$styleable.SmartRefreshLayout_srlEnableRefresh, this.L);
        this.q = obtainStyledAttributes.getInt(R$styleable.SmartRefreshLayout_srlReboundDuration, this.q);
        int i2 = R$styleable.SmartRefreshLayout_srlEnableLoadMore;
        this.M = obtainStyledAttributes.getBoolean(i2, this.M);
        int i3 = R$styleable.SmartRefreshLayout_srlHeaderHeight;
        this.s0 = obtainStyledAttributes.getDimensionPixelOffset(i3, this.s0);
        int i4 = R$styleable.SmartRefreshLayout_srlFooterHeight;
        this.u0 = obtainStyledAttributes.getDimensionPixelOffset(i4, this.u0);
        this.w0 = obtainStyledAttributes.getDimensionPixelOffset(R$styleable.SmartRefreshLayout_srlHeaderInsetStart, this.w0);
        this.x0 = obtainStyledAttributes.getDimensionPixelOffset(R$styleable.SmartRefreshLayout_srlFooterInsetStart, this.x0);
        this.e0 = obtainStyledAttributes.getBoolean(R$styleable.SmartRefreshLayout_srlDisableContentWhenRefresh, this.e0);
        this.f0 = obtainStyledAttributes.getBoolean(R$styleable.SmartRefreshLayout_srlDisableContentWhenLoading, this.f0);
        int i5 = R$styleable.SmartRefreshLayout_srlEnableHeaderTranslationContent;
        this.P = obtainStyledAttributes.getBoolean(i5, this.P);
        int i6 = R$styleable.SmartRefreshLayout_srlEnableFooterTranslationContent;
        this.Q = obtainStyledAttributes.getBoolean(i6, this.Q);
        this.S = obtainStyledAttributes.getBoolean(R$styleable.SmartRefreshLayout_srlEnablePreviewInEditMode, this.S);
        this.V = obtainStyledAttributes.getBoolean(R$styleable.SmartRefreshLayout_srlEnableAutoLoadMore, this.V);
        this.T = obtainStyledAttributes.getBoolean(R$styleable.SmartRefreshLayout_srlEnableOverScrollBounce, this.T);
        this.W = obtainStyledAttributes.getBoolean(R$styleable.SmartRefreshLayout_srlEnablePureScrollMode, this.W);
        this.a0 = obtainStyledAttributes.getBoolean(R$styleable.SmartRefreshLayout_srlEnableScrollContentWhenLoaded, this.a0);
        this.b0 = obtainStyledAttributes.getBoolean(R$styleable.SmartRefreshLayout_srlEnableScrollContentWhenRefreshed, this.b0);
        this.c0 = obtainStyledAttributes.getBoolean(R$styleable.SmartRefreshLayout_srlEnableLoadMoreWhenContentNotFull, this.c0);
        boolean z2 = obtainStyledAttributes.getBoolean(R$styleable.SmartRefreshLayout_srlEnableFooterFollowWhenLoadFinished, this.R);
        this.R = z2;
        this.R = obtainStyledAttributes.getBoolean(R$styleable.SmartRefreshLayout_srlEnableFooterFollowWhenNoMoreData, z2);
        this.N = obtainStyledAttributes.getBoolean(R$styleable.SmartRefreshLayout_srlEnableClipHeaderWhenFixedBehind, this.N);
        this.O = obtainStyledAttributes.getBoolean(R$styleable.SmartRefreshLayout_srlEnableClipFooterWhenFixedBehind, this.O);
        this.U = obtainStyledAttributes.getBoolean(R$styleable.SmartRefreshLayout_srlEnableOverScrollDrag, this.U);
        this.A = obtainStyledAttributes.getResourceId(R$styleable.SmartRefreshLayout_srlFixedHeaderViewId, this.A);
        this.B = obtainStyledAttributes.getResourceId(R$styleable.SmartRefreshLayout_srlFixedFooterViewId, this.B);
        this.C = obtainStyledAttributes.getResourceId(R$styleable.SmartRefreshLayout_srlHeaderTranslationViewId, this.C);
        this.D = obtainStyledAttributes.getResourceId(R$styleable.SmartRefreshLayout_srlFooterTranslationViewId, this.D);
        boolean z3 = obtainStyledAttributes.getBoolean(R$styleable.SmartRefreshLayout_srlEnableNestedScrolling, this.d0);
        this.d0 = z3;
        this.q0.k(z3);
        this.i0 = this.i0 || obtainStyledAttributes.hasValue(i2);
        this.j0 = this.j0 || obtainStyledAttributes.hasValue(i5);
        this.k0 = this.k0 || obtainStyledAttributes.hasValue(i6);
        this.t0 = obtainStyledAttributes.hasValue(i3) ? d.o.a.b.c.a.f12456g : this.t0;
        this.v0 = obtainStyledAttributes.hasValue(i4) ? d.o.a.b.c.a.f12456g : this.v0;
        int color = obtainStyledAttributes.getColor(R$styleable.SmartRefreshLayout_srlAccentColor, 0);
        int color2 = obtainStyledAttributes.getColor(R$styleable.SmartRefreshLayout_srlPrimaryColor, 0);
        if (color2 != 0) {
            if (color != 0) {
                this.K = new int[]{color2, color};
            } else {
                this.K = new int[]{color2};
            }
        } else if (color != 0) {
            this.K = new int[]{0, color};
        }
        if (this.W && !this.i0 && !this.M) {
            this.M = true;
        }
        obtainStyledAttributes.recycle();
    }

    public static class j extends ViewGroup.MarginLayoutParams {

        /* renamed from: a  reason: collision with root package name */
        public int f7503a = 0;

        /* renamed from: b  reason: collision with root package name */
        public d.o.a.b.c.b f7504b = null;

        public j(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.SmartRefreshLayout_Layout);
            this.f7503a = obtainStyledAttributes.getColor(R$styleable.SmartRefreshLayout_Layout_layout_srlBackgroundColor, this.f7503a);
            int i2 = R$styleable.SmartRefreshLayout_Layout_layout_srlSpinnerStyle;
            if (obtainStyledAttributes.hasValue(i2)) {
                this.f7504b = d.o.a.b.c.b.f12467f[obtainStyledAttributes.getInt(i2, 0)];
            }
            obtainStyledAttributes.recycle();
        }

        public j(int i2, int i3) {
            super(i2, i3);
        }
    }
}
