package com.scwang.smartrefresh.layout.footer;

import android.animation.TimeInterpolator;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.view.animation.AccelerateDecelerateInterpolator;
import b.j.c.a;
import com.scwang.smartrefresh.layout.R$styleable;
import com.scwang.smartrefresh.layout.internal.InternalAbstract;
import d.o.a.b.b.e;
import d.o.a.b.b.i;
import d.o.a.b.g.b;

public class BallPulseFooter extends InternalAbstract implements e {

    /* renamed from: k  reason: collision with root package name */
    public boolean f7506k;

    /* renamed from: l  reason: collision with root package name */
    public boolean f7507l;
    public Paint m;
    public int n;
    public int o;
    public float p;
    public long q;
    public boolean r;
    public TimeInterpolator s;

    public BallPulseFooter(Context context) {
        this(context, null);
    }

    @Override // com.scwang.smartrefresh.layout.internal.InternalAbstract, d.o.a.b.b.g
    public void b(i iVar, int i2, int i3) {
        if (!this.r) {
            invalidate();
            this.r = true;
            this.q = System.currentTimeMillis();
            this.m.setColor(this.o);
        }
    }

    public void dispatchDraw(Canvas canvas) {
        int width = getWidth();
        int height = getHeight();
        float f2 = this.p;
        float min = (((float) Math.min(width, height)) - (f2 * 2.0f)) / 6.0f;
        float f3 = min * 2.0f;
        float f4 = (((float) width) / 2.0f) - (f2 + f3);
        float f5 = ((float) height) / 2.0f;
        long currentTimeMillis = System.currentTimeMillis();
        int i2 = 0;
        while (i2 < 3) {
            int i3 = i2 + 1;
            long j2 = (currentTimeMillis - this.q) - ((long) (i3 * 120));
            float interpolation = this.s.getInterpolation(j2 > 0 ? ((float) (j2 % 750)) / 750.0f : 0.0f);
            canvas.save();
            float f6 = (float) i2;
            canvas.translate((this.p * f6) + (f3 * f6) + f4, f5);
            if (((double) interpolation) < 0.5d) {
                float f7 = 1.0f - ((interpolation * 2.0f) * 0.7f);
                canvas.scale(f7, f7);
            } else {
                float f8 = ((interpolation * 2.0f) * 0.7f) - 0.4f;
                canvas.scale(f8, f8);
            }
            canvas.drawCircle(0.0f, 0.0f, min, this.m);
            canvas.restore();
            i2 = i3;
        }
        super.dispatchDraw(canvas);
        if (this.r) {
            invalidate();
        }
    }

    @Override // com.scwang.smartrefresh.layout.internal.InternalAbstract, d.o.a.b.b.g
    public int g(i iVar, boolean z) {
        this.r = false;
        this.q = 0;
        this.m.setColor(this.n);
        return 0;
    }

    public BallPulseFooter j(int i2) {
        this.n = i2;
        this.f7506k = true;
        if (!this.r) {
            this.m.setColor(i2);
        }
        return this;
    }

    @Override // com.scwang.smartrefresh.layout.internal.InternalAbstract, d.o.a.b.b.g
    @Deprecated
    public void setPrimaryColors(int... iArr) {
        if (!this.f7507l && iArr.length > 1) {
            int i2 = iArr[0];
            this.o = i2;
            this.f7507l = true;
            if (this.r) {
                this.m.setColor(i2);
            }
            this.f7507l = false;
        }
        if (!this.f7506k) {
            if (iArr.length > 1) {
                j(iArr[1]);
            } else if (iArr.length > 0) {
                j(a.b(-1711276033, iArr[0]));
            }
            this.f7506k = false;
        }
    }

    public BallPulseFooter(Context context, AttributeSet attributeSet) {
        super(context, attributeSet, 0);
        this.n = -1118482;
        this.o = -1615546;
        this.q = 0;
        this.r = false;
        this.s = new AccelerateDecelerateInterpolator();
        setMinimumHeight(b.c(60.0f));
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.BallPulseFooter);
        Paint paint = new Paint();
        this.m = paint;
        paint.setColor(-1);
        this.m.setStyle(Paint.Style.FILL);
        this.m.setAntiAlias(true);
        this.f7517h = d.o.a.b.c.b.f12462a;
        this.f7517h = d.o.a.b.c.b.f12467f[obtainStyledAttributes.getInt(R$styleable.BallPulseFooter_srlClassicsSpinnerStyle, 0)];
        int i2 = R$styleable.BallPulseFooter_srlNormalColor;
        if (obtainStyledAttributes.hasValue(i2)) {
            j(obtainStyledAttributes.getColor(i2, 0));
        }
        int i3 = R$styleable.BallPulseFooter_srlAnimatingColor;
        if (obtainStyledAttributes.hasValue(i3)) {
            int color = obtainStyledAttributes.getColor(i3, 0);
            this.o = color;
            this.f7507l = true;
            if (this.r) {
                this.m.setColor(color);
            }
        }
        obtainStyledAttributes.recycle();
        this.p = (float) b.c(4.0f);
    }
}
