package com.shuyu.gsyvideoplayer.render.view;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Matrix;
import android.graphics.SurfaceTexture;
import android.util.AttributeSet;
import android.view.Surface;
import android.view.TextureView;
import android.view.View;
import com.shuyu.gsyvideoplayer.render.view.GSYVideoGLView;
import com.shuyu.gsyvideoplayer.utils.Debuger;
import com.shuyu.gsyvideoplayer.utils.FileUtils;
import com.shuyu.gsyvideoplayer.utils.GSYVideoType;
import com.shuyu.gsyvideoplayer.utils.MeasureHelper;
import d.p.a.f.e;
import d.p.a.f.f;
import d.p.a.i.c.b;
import d.p.a.i.d.a;
import d.p.a.i.d.b.c;
import java.io.File;

public class GSYTextureView extends TextureView implements TextureView.SurfaceTextureListener, a, MeasureHelper.MeasureFormVideoParamsListener {

    /* renamed from: d  reason: collision with root package name */
    public static final /* synthetic */ int f7527d = 0;

    /* renamed from: h  reason: collision with root package name */
    public c f7528h;

    /* renamed from: j  reason: collision with root package name */
    public MeasureHelper.MeasureFormVideoParamsListener f7529j;

    /* renamed from: k  reason: collision with root package name */
    public MeasureHelper f7530k = new MeasureHelper(this, this);

    /* renamed from: l  reason: collision with root package name */
    public SurfaceTexture f7531l;
    public Surface m;

    public GSYTextureView(Context context) {
        super(context);
    }

    @Override // d.p.a.i.d.a
    public Bitmap a() {
        return getBitmap(Bitmap.createBitmap(getSizeW(), getSizeH(), Bitmap.Config.RGB_565));
    }

    @Override // d.p.a.i.d.a
    public void b(e eVar, boolean z) {
        if (z) {
            ((GSYVideoGLView.a) eVar).a(getBitmap(Bitmap.createBitmap(getSizeW(), getSizeH(), Bitmap.Config.ARGB_8888)));
            return;
        }
        ((GSYVideoGLView.a) eVar).a(a());
    }

    @Override // d.p.a.i.d.a
    public void c() {
        Debuger.printfLog(getClass().getSimpleName() + " not support onRenderResume now");
    }

    @Override // d.p.a.i.d.a
    public void d(File file, boolean z, f fVar) {
        if (z) {
            Bitmap bitmap = getBitmap(Bitmap.createBitmap(getSizeW(), getSizeH(), Bitmap.Config.ARGB_8888));
            if (bitmap == null) {
                fVar.result(false, file);
                return;
            }
            FileUtils.saveBitmap(bitmap, file);
            fVar.result(true, file);
            return;
        }
        Bitmap a2 = a();
        if (a2 == null) {
            fVar.result(false, file);
            return;
        }
        FileUtils.saveBitmap(a2, file);
        fVar.result(true, file);
    }

    @Override // com.shuyu.gsyvideoplayer.utils.MeasureHelper.MeasureFormVideoParamsListener
    public int getCurrentVideoHeight() {
        MeasureHelper.MeasureFormVideoParamsListener measureFormVideoParamsListener = this.f7529j;
        if (measureFormVideoParamsListener != null) {
            return measureFormVideoParamsListener.getCurrentVideoHeight();
        }
        return 0;
    }

    @Override // com.shuyu.gsyvideoplayer.utils.MeasureHelper.MeasureFormVideoParamsListener
    public int getCurrentVideoWidth() {
        MeasureHelper.MeasureFormVideoParamsListener measureFormVideoParamsListener = this.f7529j;
        if (measureFormVideoParamsListener != null) {
            return measureFormVideoParamsListener.getCurrentVideoWidth();
        }
        return 0;
    }

    public c getIGSYSurfaceListener() {
        return this.f7528h;
    }

    @Override // d.p.a.i.d.a
    public View getRenderView() {
        return this;
    }

    public int getSizeH() {
        return getHeight();
    }

    public int getSizeW() {
        return getWidth();
    }

    @Override // com.shuyu.gsyvideoplayer.utils.MeasureHelper.MeasureFormVideoParamsListener
    public int getVideoSarDen() {
        MeasureHelper.MeasureFormVideoParamsListener measureFormVideoParamsListener = this.f7529j;
        if (measureFormVideoParamsListener != null) {
            return measureFormVideoParamsListener.getVideoSarDen();
        }
        return 0;
    }

    @Override // com.shuyu.gsyvideoplayer.utils.MeasureHelper.MeasureFormVideoParamsListener
    public int getVideoSarNum() {
        MeasureHelper.MeasureFormVideoParamsListener measureFormVideoParamsListener = this.f7529j;
        if (measureFormVideoParamsListener != null) {
            return measureFormVideoParamsListener.getVideoSarNum();
        }
        return 0;
    }

    public void onMeasure(int i2, int i3) {
        this.f7530k.prepareMeasure(i2, i3, (int) getRotation());
        setMeasuredDimension(this.f7530k.getMeasuredWidth(), this.f7530k.getMeasuredHeight());
    }

    public void onSurfaceTextureAvailable(SurfaceTexture surfaceTexture, int i2, int i3) {
        if (GSYVideoType.isMediaCodecTexture()) {
            SurfaceTexture surfaceTexture2 = this.f7531l;
            if (surfaceTexture2 == null) {
                this.f7531l = surfaceTexture;
                this.m = new Surface(surfaceTexture);
            } else {
                setSurfaceTexture(surfaceTexture2);
            }
            c cVar = this.f7528h;
            if (cVar != null) {
                cVar.onSurfaceAvailable(this.m);
                return;
            }
            return;
        }
        Surface surface = new Surface(surfaceTexture);
        this.m = surface;
        c cVar2 = this.f7528h;
        if (cVar2 != null) {
            cVar2.onSurfaceAvailable(surface);
        }
    }

    public boolean onSurfaceTextureDestroyed(SurfaceTexture surfaceTexture) {
        c cVar = this.f7528h;
        if (cVar != null) {
            cVar.onSurfaceDestroyed(this.m);
        }
        if (!GSYVideoType.isMediaCodecTexture() || this.f7531l == null) {
            return true;
        }
        return false;
    }

    public void onSurfaceTextureSizeChanged(SurfaceTexture surfaceTexture, int i2, int i3) {
        c cVar = this.f7528h;
        if (cVar != null) {
            cVar.onSurfaceSizeChanged(this.m, i2, i3);
        }
    }

    public void onSurfaceTextureUpdated(SurfaceTexture surfaceTexture) {
        c cVar = this.f7528h;
        if (cVar != null) {
            cVar.onSurfaceUpdated(this.m);
        }
    }

    @Override // d.p.a.i.d.a
    public void setGLEffectFilter(GSYVideoGLView.c cVar) {
        Debuger.printfLog(getClass().getSimpleName() + " not support setGLEffectFilter now");
    }

    @Override // d.p.a.i.d.a
    public void setGLMVPMatrix(float[] fArr) {
        Debuger.printfLog(getClass().getSimpleName() + " not support setGLMVPMatrix now");
    }

    @Override // d.p.a.i.d.a
    public void setGLRenderer(b bVar) {
        Debuger.printfLog(getClass().getSimpleName() + " not support setGLRenderer now");
    }

    public void setIGSYSurfaceListener(c cVar) {
        setSurfaceTextureListener(this);
        this.f7528h = cVar;
    }

    @Override // d.p.a.i.d.a
    public void setRenderMode(int i2) {
        Debuger.printfLog(getClass().getSimpleName() + " not support setRenderMode now");
    }

    public void setRenderTransform(Matrix matrix) {
        setTransform(matrix);
    }

    public void setVideoParamsListener(MeasureHelper.MeasureFormVideoParamsListener measureFormVideoParamsListener) {
        this.f7529j = measureFormVideoParamsListener;
    }

    public GSYTextureView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }
}
