package com.transitionseverywhere;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.animation.RectEvaluator;
import android.animation.ValueAnimator;
import android.annotation.TargetApi;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.BitmapDrawable;
import android.view.TextureView;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewOverlay;
import androidx.transition.Transition;
import b.x.p;
import com.shuyu.gsyvideoplayer.utils.NeuQuant;
import java.util.Map;

@TargetApi(18)
public class Crossfade extends Transition {
    public static RectEvaluator F;
    public int G = 1;
    public int H = 1;

    public class a implements ValueAnimator.AnimatorUpdateListener {

        /* renamed from: d  reason: collision with root package name */
        public final /* synthetic */ View f7555d;

        /* renamed from: h  reason: collision with root package name */
        public final /* synthetic */ BitmapDrawable f7556h;

        public a(Crossfade crossfade, View view, BitmapDrawable bitmapDrawable) {
            this.f7555d = view;
            this.f7556h = bitmapDrawable;
        }

        public void onAnimationUpdate(ValueAnimator valueAnimator) {
            this.f7555d.invalidate(this.f7556h.getBounds());
        }
    }

    public class b extends AnimatorListenerAdapter {

        /* renamed from: d  reason: collision with root package name */
        public final /* synthetic */ boolean f7557d;

        /* renamed from: h  reason: collision with root package name */
        public final /* synthetic */ View f7558h;

        /* renamed from: j  reason: collision with root package name */
        public final /* synthetic */ BitmapDrawable f7559j;

        /* renamed from: k  reason: collision with root package name */
        public final /* synthetic */ BitmapDrawable f7560k;

        public b(boolean z, View view, BitmapDrawable bitmapDrawable, BitmapDrawable bitmapDrawable2) {
            this.f7557d = z;
            this.f7558h = view;
            this.f7559j = bitmapDrawable;
            this.f7560k = bitmapDrawable2;
        }

        public void onAnimationEnd(Animator animator) {
            ViewOverlay overlay = this.f7557d ? ((ViewGroup) this.f7558h.getParent()).getOverlay() : this.f7558h.getOverlay();
            overlay.remove(this.f7559j);
            if (Crossfade.this.G == 1) {
                overlay.remove(this.f7560k);
            }
        }
    }

    public final void I(p pVar) {
        View view = pVar.f3969b;
        if (view.getWidth() > 0 && view.getHeight() > 0) {
            Rect rect = new Rect(0, 0, view.getWidth(), view.getHeight());
            if (this.G != 1) {
                rect.offset(view.getLeft(), view.getTop());
            }
            pVar.f3968a.put("android:crossfade:bounds", rect);
            Bitmap createBitmap = Bitmap.createBitmap(view.getWidth(), view.getHeight(), Bitmap.Config.ARGB_8888);
            if (view instanceof TextureView) {
                createBitmap = ((TextureView) view).getBitmap();
            } else {
                view.draw(new Canvas(createBitmap));
            }
            pVar.f3968a.put("android:crossfade:bitmap", createBitmap);
            BitmapDrawable bitmapDrawable = new BitmapDrawable(view.getResources(), createBitmap);
            bitmapDrawable.setBounds(rect);
            pVar.f3968a.put("android:crossfade:drawable", bitmapDrawable);
        }
    }

    @Override // androidx.transition.Transition
    public void d(p pVar) {
        I(pVar);
    }

    @Override // androidx.transition.Transition
    public void g(p pVar) {
        I(pVar);
    }

    @Override // androidx.transition.Transition
    public Animator k(ViewGroup viewGroup, p pVar, p pVar2) {
        ObjectAnimator objectAnimator;
        ObjectAnimator objectAnimator2 = null;
        if (!(pVar == null || pVar2 == null)) {
            if (F == null) {
                F = new RectEvaluator();
            }
            boolean z = this.G != 1;
            View view = pVar2.f3969b;
            Map<String, Object> map = pVar.f3968a;
            Map<String, Object> map2 = pVar2.f3968a;
            Rect rect = (Rect) map.get("android:crossfade:bounds");
            Rect rect2 = (Rect) map2.get("android:crossfade:bounds");
            if (!(rect == null || rect2 == null)) {
                Bitmap bitmap = (Bitmap) map.get("android:crossfade:bitmap");
                Bitmap bitmap2 = (Bitmap) map2.get("android:crossfade:bitmap");
                BitmapDrawable bitmapDrawable = (BitmapDrawable) map.get("android:crossfade:drawable");
                BitmapDrawable bitmapDrawable2 = (BitmapDrawable) map2.get("android:crossfade:drawable");
                if (!(bitmapDrawable == null || bitmapDrawable2 == null || bitmap.sameAs(bitmap2))) {
                    ViewOverlay overlay = z ? ((ViewGroup) view.getParent()).getOverlay() : view.getOverlay();
                    if (this.G == 1) {
                        overlay.add(bitmapDrawable2);
                    }
                    overlay.add(bitmapDrawable);
                    if (this.G == 2) {
                        objectAnimator = ObjectAnimator.ofInt(bitmapDrawable, "alpha", NeuQuant.maxnetpos, 0, 0);
                    } else {
                        objectAnimator = ObjectAnimator.ofInt(bitmapDrawable, "alpha", 0);
                    }
                    objectAnimator.addUpdateListener(new a(this, view, bitmapDrawable));
                    int i2 = this.G;
                    if (i2 == 2) {
                        objectAnimator2 = ObjectAnimator.ofFloat(view, View.ALPHA, 0.0f, 0.0f, 1.0f);
                    } else if (i2 == 0) {
                        objectAnimator2 = ObjectAnimator.ofFloat(view, View.ALPHA, 0.0f, 1.0f);
                    }
                    objectAnimator.addListener(new b(z, view, bitmapDrawable, bitmapDrawable2));
                    AnimatorSet animatorSet = new AnimatorSet();
                    animatorSet.playTogether(objectAnimator);
                    if (objectAnimator2 != null) {
                        animatorSet.playTogether(objectAnimator2);
                    }
                    if (this.H == 1 && !rect.equals(rect2)) {
                        animatorSet.playTogether(ObjectAnimator.ofObject(bitmapDrawable, "bounds", F, rect, rect2));
                        if (this.H == 1) {
                            animatorSet.playTogether(ObjectAnimator.ofObject(bitmapDrawable2, "bounds", F, rect, rect2));
                        }
                    }
                    return animatorSet;
                }
            }
        }
        return null;
    }
}
