package com.yalantis.ucrop;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.recyclerview.widget.RecyclerView;
import com.luck.picture.lib.R;
import com.luck.picture.lib.config.PictureMimeType;
import com.luck.picture.lib.config.PictureSelectionConfig;
import com.luck.picture.lib.engine.ImageEngine;
import com.luck.picture.lib.entity.LocalMedia;
import d.r.a.b;
import java.util.List;

public class PicturePhotoGalleryAdapter extends RecyclerView.Adapter<ViewHolder> {

    /* renamed from: a  reason: collision with root package name */
    public final List<LocalMedia> f7565a;

    /* renamed from: b  reason: collision with root package name */
    public a f7566b;

    public static class ViewHolder extends RecyclerView.ViewHolder {

        /* renamed from: a  reason: collision with root package name */
        public ImageView f7567a;

        /* renamed from: b  reason: collision with root package name */
        public ImageView f7568b;

        /* renamed from: c  reason: collision with root package name */
        public ImageView f7569c;

        /* renamed from: d  reason: collision with root package name */
        public TextView f7570d;

        public ViewHolder(View view) {
            super(view);
            this.f7567a = (ImageView) view.findViewById(R.id.iv_photo);
            this.f7569c = (ImageView) view.findViewById(R.id.iv_video);
            this.f7568b = (ImageView) view.findViewById(R.id.iv_dot);
            this.f7570d = (TextView) view.findViewById(R.id.tv_gif);
        }
    }

    public interface a {
    }

    public PicturePhotoGalleryAdapter(List<LocalMedia> list) {
        this.f7565a = list;
    }

    public ViewHolder a(ViewGroup viewGroup) {
        return new ViewHolder(LayoutInflater.from(viewGroup.getContext()).inflate(R.layout.ucrop_picture_gf_adapter_edit_list, viewGroup, false));
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemCount() {
        List<LocalMedia> list = this.f7565a;
        if (list != null) {
            return list.size();
        }
        return 0;
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [androidx.recyclerview.widget.RecyclerView$ViewHolder, int] */
    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onBindViewHolder(ViewHolder viewHolder, int i2) {
        ViewHolder viewHolder2 = viewHolder;
        LocalMedia localMedia = this.f7565a.get(i2);
        String path = localMedia.getPath();
        int i3 = 0;
        if (localMedia.isCut()) {
            viewHolder2.f7568b.setVisibility(0);
            viewHolder2.f7568b.setImageResource(R.drawable.ucrop_oval_true);
        } else {
            viewHolder2.f7568b.setVisibility(4);
        }
        if (PictureMimeType.isHasVideo(localMedia.getMimeType())) {
            viewHolder2.f7567a.setVisibility(8);
            viewHolder2.f7569c.setVisibility(0);
            viewHolder2.f7569c.setImageResource(R.drawable.ucrop_ic_default_video);
            return;
        }
        viewHolder2.f7567a.setVisibility(0);
        viewHolder2.f7569c.setVisibility(8);
        TextView textView = viewHolder2.f7570d;
        if (!PictureMimeType.isGif(localMedia.getMimeType())) {
            i3 = 8;
        }
        textView.setVisibility(i3);
        ImageEngine imageEngine = PictureSelectionConfig.imageEngine;
        if (imageEngine != null) {
            imageEngine.loadGridImage(viewHolder2.itemView.getContext(), path, viewHolder2.f7567a);
        }
        viewHolder2.itemView.setOnClickListener(new b(this, viewHolder2));
    }

    /* Return type fixed from 'androidx.recyclerview.widget.RecyclerView$ViewHolder' to match base method */
    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public /* bridge */ /* synthetic */ ViewHolder onCreateViewHolder(ViewGroup viewGroup, int i2) {
        return a(viewGroup);
    }
}
