package com.yalantis.ucrop;

import android.content.Intent;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.PorterDuff;
import android.graphics.drawable.Animatable;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.appcompat.app.ActionBar;
import androidx.appcompat.app.AppCompatActivity;
import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.appcompat.widget.Toolbar;
import androidx.core.graphics.BlendModeCompat;
import androidx.transition.AutoTransition;
import androidx.transition.Transition;
import b.b.a.f;
import b.b.f.d0;
import b.x.m;
import com.luck.picture.lib.R;
import com.luck.picture.lib.config.PictureMimeType;
import com.luck.picture.lib.immersive.ImmersiveManage;
import com.luck.picture.lib.tools.ScreenUtils;
import com.yalantis.ucrop.model.AspectRatio;
import com.yalantis.ucrop.view.GestureCropImageView;
import com.yalantis.ucrop.view.OverlayView;
import com.yalantis.ucrop.view.TransformImageView;
import com.yalantis.ucrop.view.UCropView;
import com.yalantis.ucrop.view.widget.AspectRatioTextView;
import com.yalantis.ucrop.view.widget.HorizontalProgressWheelView;
import d.r.a.d;
import d.r.a.e;
import d.r.a.g;
import d.r.a.h;
import d.r.a.i;
import d.r.a.n.c;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.concurrent.Executors;
import org.dsq.library.widget.circularmenu.anim.DefaultAnimationHandler;

public class UCropActivity extends AppCompatActivity {

    /* renamed from: d  reason: collision with root package name */
    public static final Bitmap.CompressFormat f7571d = Bitmap.CompressFormat.JPEG;
    public ViewGroup A;
    public ViewGroup B;
    public ViewGroup C;
    public ViewGroup D;
    public ViewGroup E;
    public List<ViewGroup> F = new ArrayList();
    public List<AspectRatioTextView> G = new ArrayList();
    public TextView H;
    public TextView I;
    public View J;
    public Transition K;
    public Bitmap.CompressFormat L = f7571d;
    public int M = 90;
    public int[] N = {1, 2, 3};
    public boolean O;
    public boolean P;
    public boolean Q;
    public boolean R;
    public TransformImageView.a S = new a();
    public final View.OnClickListener T = new b();

    /* renamed from: h  reason: collision with root package name */
    public String f7572h;

    /* renamed from: j  reason: collision with root package name */
    public int f7573j;

    /* renamed from: k  reason: collision with root package name */
    public int f7574k;

    /* renamed from: l  reason: collision with root package name */
    public int f7575l;
    public int m;
    public int n;
    public int o;
    public int p;
    public int q;
    public int r;
    public int s;
    public boolean t;
    public boolean u = true;
    public RelativeLayout v;
    public UCropView w;
    public GestureCropImageView x;
    public OverlayView y;
    public ViewGroup z;

    public class a implements TransformImageView.a {
        public a() {
        }

        public void a(float f2) {
            TextView textView = UCropActivity.this.H;
            if (textView != null) {
                textView.setText(String.format(Locale.getDefault(), "%.1f°", Float.valueOf(f2)));
            }
        }

        public void b(float f2) {
            TextView textView = UCropActivity.this.I;
            if (textView != null) {
                textView.setText(String.format(Locale.getDefault(), "%d%%", Integer.valueOf((int) (f2 * 100.0f))));
            }
        }
    }

    public class b implements View.OnClickListener {
        public b() {
        }

        public void onClick(View view) {
            if (!view.isSelected()) {
                UCropActivity uCropActivity = UCropActivity.this;
                int id = view.getId();
                Bitmap.CompressFormat compressFormat = UCropActivity.f7571d;
                uCropActivity.J(id);
            }
        }
    }

    static {
        b.f.b<WeakReference<f>> bVar = f.f2187d;
        d0.f2360a = true;
    }

    public void B() {
        if (this.J == null) {
            this.J = new View(this);
            RelativeLayout.LayoutParams layoutParams = new RelativeLayout.LayoutParams(-1, -1);
            layoutParams.addRule(3, R.id.toolbar);
            this.J.setLayoutParams(layoutParams);
            this.J.setClickable(true);
        }
        ((RelativeLayout) findViewById(R.id.ucrop_photobox)).addView(this.J);
    }

    public final boolean C() {
        Uri uri = (Uri) getIntent().getParcelableExtra("com.yalantis.ucrop.InputUri");
        if (uri == null) {
            return true;
        }
        return D(uri);
    }

    public final boolean D(Uri uri) {
        boolean isGif;
        if (PictureMimeType.isHasHttp(uri.toString())) {
            isGif = PictureMimeType.isGifForSuffix(PictureMimeType.getLastImgType(uri.toString()));
        } else {
            String mimeTypeFromMediaContentUri = PictureMimeType.getMimeTypeFromMediaContentUri(this, uri);
            if (mimeTypeFromMediaContentUri.endsWith("image/*")) {
                mimeTypeFromMediaContentUri = PictureMimeType.getImageMimeType(d.l.b.g.g.b.L(this, uri));
            }
            isGif = PictureMimeType.isGif(mimeTypeFromMediaContentUri);
        }
        return !isGif;
    }

    public final void E(int i2) {
        if (C()) {
            GestureCropImageView gestureCropImageView = this.x;
            boolean z2 = this.P;
            boolean z3 = false;
            if (z2 && this.t) {
                int[] iArr = this.N;
                z2 = iArr[i2] == 3 || iArr[i2] == 1;
            }
            gestureCropImageView.setScaleEnabled(z2);
            GestureCropImageView gestureCropImageView2 = this.x;
            boolean z4 = this.Q;
            if (!z4 || !this.t) {
                z3 = z4;
            } else {
                int[] iArr2 = this.N;
                if (iArr2[i2] == 3 || iArr2[i2] == 2) {
                    z3 = true;
                }
            }
            gestureCropImageView2.setRotateEnabled(z3);
        }
    }

    public void F(Intent intent) {
        Uri uri = (Uri) intent.getParcelableExtra("com.yalantis.ucrop.InputUri");
        Uri uri2 = (Uri) intent.getParcelableExtra("com.yalantis.ucrop.OutputUri");
        String stringExtra = intent.getStringExtra("com.yalantis.ucrop.CompressionFormatName");
        Bitmap.CompressFormat valueOf = !TextUtils.isEmpty(stringExtra) ? Bitmap.CompressFormat.valueOf(stringExtra) : null;
        if (valueOf == null) {
            valueOf = f7571d;
        }
        this.L = valueOf;
        this.M = intent.getIntExtra("com.yalantis.ucrop.CompressionQuality", 90);
        OverlayView overlayView = this.y;
        Resources resources = getResources();
        int i2 = R.color.ucrop_color_default_crop_frame;
        overlayView.setDimmedBorderColor(intent.getIntExtra("com.yalantis.ucrop.DimmedLayerBorderColor", resources.getColor(i2)));
        this.O = intent.getBooleanExtra("com.yalantis.ucrop.DragCropFrame", true);
        this.y.setDimmedStrokeWidth(intent.getIntExtra("com.yalantis.ucrop.CircleStrokeWidth", 1));
        this.P = intent.getBooleanExtra("com.yalantis.ucrop.scale", true);
        this.Q = intent.getBooleanExtra("com.yalantis.ucrop.rotate", true);
        int[] intArrayExtra = intent.getIntArrayExtra("com.yalantis.ucrop.AllowedGestures");
        if (intArrayExtra != null && intArrayExtra.length == 3) {
            this.N = intArrayExtra;
        }
        this.x.setMaxBitmapSize(intent.getIntExtra("com.yalantis.ucrop.MaxBitmapSize", 0));
        this.x.setMaxScaleMultiplier(intent.getFloatExtra("com.yalantis.ucrop.MaxScaleMultiplier", 10.0f));
        this.x.setImageToWrapCropBoundsAnimDuration((long) intent.getIntExtra("com.yalantis.ucrop.ImageToCropBoundsAnimDuration", DefaultAnimationHandler.DURATION));
        this.y.setFreestyleCropEnabled(intent.getBooleanExtra("com.yalantis.ucrop.FreeStyleCrop", false));
        this.y.setDragFrame(this.O);
        this.y.setDimmedColor(intent.getIntExtra("com.yalantis.ucrop.DimmedLayerColor", getResources().getColor(R.color.ucrop_color_default_dimmed)));
        this.y.setCircleDimmedLayer(intent.getBooleanExtra("com.yalantis.ucrop.CircleDimmedLayer", false));
        this.y.setShowCropFrame(intent.getBooleanExtra("com.yalantis.ucrop.ShowCropFrame", true));
        this.y.setCropFrameColor(intent.getIntExtra("com.yalantis.ucrop.CropFrameColor", getResources().getColor(i2)));
        this.y.setCropFrameStrokeWidth(intent.getIntExtra("com.yalantis.ucrop.CropFrameStrokeWidth", getResources().getDimensionPixelSize(R.dimen.ucrop_default_crop_frame_stoke_width)));
        this.y.setShowCropGrid(intent.getBooleanExtra("com.yalantis.ucrop.ShowCropGrid", true));
        this.y.setCropGridRowCount(intent.getIntExtra("com.yalantis.ucrop.CropGridRowCount", 2));
        this.y.setCropGridColumnCount(intent.getIntExtra("com.yalantis.ucrop.CropGridColumnCount", 2));
        this.y.setCropGridColor(intent.getIntExtra("com.yalantis.ucrop.CropGridColor", getResources().getColor(R.color.ucrop_color_default_crop_grid)));
        this.y.setCropGridStrokeWidth(intent.getIntExtra("com.yalantis.ucrop.CropGridStrokeWidth", getResources().getDimensionPixelSize(R.dimen.ucrop_default_crop_grid_stoke_width)));
        float floatExtra = intent.getFloatExtra("com.yalantis.ucrop.AspectRatioX", 0.0f);
        float floatExtra2 = intent.getFloatExtra("com.yalantis.ucrop.AspectRatioY", 0.0f);
        int intExtra = intent.getIntExtra("com.yalantis.ucrop.AspectRatioSelectedByDefault", 0);
        ArrayList parcelableArrayListExtra = intent.getParcelableArrayListExtra("com.yalantis.ucrop.AspectRatioOptions");
        if (floatExtra > 0.0f && floatExtra2 > 0.0f) {
            ViewGroup viewGroup = this.z;
            if (viewGroup != null) {
                viewGroup.setVisibility(8);
            }
            this.x.setTargetAspectRatio(floatExtra / floatExtra2);
        } else if (parcelableArrayListExtra == null || intExtra >= parcelableArrayListExtra.size()) {
            this.x.setTargetAspectRatio(0.0f);
        } else {
            this.x.setTargetAspectRatio(((AspectRatio) parcelableArrayListExtra.get(intExtra)).getAspectRatioX() / ((AspectRatio) parcelableArrayListExtra.get(intExtra)).getAspectRatioY());
        }
        int intExtra2 = intent.getIntExtra("com.yalantis.ucrop.MaxSizeX", 0);
        int intExtra3 = intent.getIntExtra("com.yalantis.ucrop.MaxSizeY", 0);
        if (intExtra2 > 0 && intExtra3 > 0) {
            this.x.setMaxResultImageSizeX(intExtra2);
            this.x.setMaxResultImageSizeY(intExtra3);
        }
        if (uri == null || uri2 == null) {
            H(new NullPointerException("在你的 App 內复写颜色资源 (ucrop_color_toolbar_widget) 使 5.0 以前裝置正常运作"));
            onBackPressed();
            return;
        }
        try {
            boolean D2 = D(uri);
            this.x.setRotateEnabled(D2 ? this.Q : D2);
            GestureCropImageView gestureCropImageView = this.x;
            if (D2) {
                D2 = this.P;
            }
            gestureCropImageView.setScaleEnabled(D2);
            GestureCropImageView gestureCropImageView2 = this.x;
            int maxBitmapSize = gestureCropImageView2.getMaxBitmapSize();
            new d.r.a.l.b(gestureCropImageView2.getContext(), uri, uri2, maxBitmapSize, maxBitmapSize, new c(gestureCropImageView2)).executeOnExecutor(Executors.newCachedThreadPool(), new Void[0]);
        } catch (Exception e2) {
            H(e2);
            onBackPressed();
        }
    }

    public void G() {
        if (!this.t) {
            E(0);
        } else if (this.z.getVisibility() == 0) {
            J(R.id.state_aspect_ratio);
        } else {
            J(R.id.state_scale);
        }
    }

    public void H(Throwable th) {
        setResult(96, new Intent().putExtra("com.yalantis.ucrop.Error", th));
    }

    public void I(Uri uri, float f2, int i2, int i3, int i4, int i5) {
        setResult(-1, new Intent().putExtra("com.yalantis.ucrop.OutputUri", uri).putExtra("com.yalantis.ucrop.CropAspectRatio", f2).putExtra("com.yalantis.ucrop.ImageWidth", i4).putExtra("com.yalantis.ucrop.ImageHeight", i5).putExtra("com.yalantis.ucrop.OffsetX", i2).putExtra("com.yalantis.ucrop.OffsetY", i3));
    }

    public final void J(int i2) {
        if (this.t) {
            ViewGroup viewGroup = this.z;
            int i3 = R.id.state_aspect_ratio;
            viewGroup.setSelected(i2 == i3);
            ViewGroup viewGroup2 = this.A;
            int i4 = R.id.state_rotate;
            viewGroup2.setSelected(i2 == i4);
            ViewGroup viewGroup3 = this.B;
            int i5 = R.id.state_scale;
            viewGroup3.setSelected(i2 == i5);
            int i6 = 8;
            this.C.setVisibility(i2 == i3 ? 0 : 8);
            this.D.setVisibility(i2 == i4 ? 0 : 8);
            this.E.setVisibility(i2 == i5 ? 0 : 8);
            m.a((ViewGroup) findViewById(R.id.ucrop_photobox), this.K);
            this.B.findViewById(R.id.text_view_scale).setVisibility(i2 == i5 ? 0 : 8);
            this.z.findViewById(R.id.text_view_crop).setVisibility(i2 == i3 ? 0 : 8);
            View findViewById = this.A.findViewById(R.id.text_view_rotate);
            if (i2 == i4) {
                i6 = 0;
            }
            findViewById.setVisibility(i6);
            if (i2 == i5) {
                E(0);
            } else if (i2 == i4) {
                E(1);
            } else {
                E(2);
            }
        }
    }

    public void K(Intent intent) {
        this.f7575l = intent.getIntExtra("com.yalantis.ucrop.StatusBarColor", b.j.b.a.b(this, R.color.ucrop_color_statusbar));
        this.f7574k = intent.getIntExtra("com.yalantis.ucrop.ToolbarColor", b.j.b.a.b(this, R.color.ucrop_color_toolbar));
        this.m = intent.getIntExtra("com.yalantis.ucrop.UcropColorWidgetActive", b.j.b.a.b(this, R.color.ucrop_color_widget_background));
        this.n = intent.getIntExtra("com.yalantis.ucrop.UcropColorControlsWidgetActive", b.j.b.a.b(this, R.color.ucrop_color_active_controls_color));
        this.o = intent.getIntExtra("com.yalantis.ucrop.UcropToolbarWidgetColor", b.j.b.a.b(this, R.color.ucrop_color_toolbar_widget));
        this.q = intent.getIntExtra("com.yalantis.ucrop.UcropToolbarCancelDrawable", R.drawable.ucrop_ic_cross);
        this.r = intent.getIntExtra("com.yalantis.ucrop.UcropToolbarCropDrawable", R.drawable.ucrop_ic_done);
        String stringExtra = intent.getStringExtra("com.yalantis.ucrop.UcropToolbarTitleText");
        this.f7572h = stringExtra;
        if (stringExtra == null) {
            stringExtra = getResources().getString(R.string.ucrop_label_edit_photo);
        }
        this.f7572h = stringExtra;
        this.s = intent.getIntExtra("com.yalantis.ucrop.UcropLogoColor", b.j.b.a.b(this, R.color.ucrop_color_default_logo));
        this.t = !intent.getBooleanExtra("com.yalantis.ucrop.HideBottomControls", false);
        this.p = intent.getIntExtra("com.yalantis.ucrop.UcropRootViewBackgroundColor", b.j.b.a.b(this, R.color.ucrop_color_crop_background));
        int i2 = this.f7575l;
        Window window = getWindow();
        if (window != null) {
            window.addFlags(Integer.MIN_VALUE);
            window.setStatusBarColor(i2);
        }
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        toolbar.setBackgroundColor(this.f7574k);
        toolbar.setTitleTextColor(this.o);
        TextView textView = (TextView) toolbar.findViewById(R.id.toolbar_title);
        textView.setTextColor(this.o);
        textView.setText(this.f7572h);
        Drawable mutate = b.b.b.a.a.b(this, this.q).mutate();
        mutate.setColorFilter(AppCompatDelegateImpl.e.v(this.o, BlendModeCompat.SRC_ATOP));
        toolbar.setNavigationIcon(mutate);
        setSupportActionBar(toolbar);
        ActionBar supportActionBar = getSupportActionBar();
        if (supportActionBar != null) {
            supportActionBar.n(false);
        }
        int i3 = R.id.ucrop_photobox;
        this.v = (RelativeLayout) findViewById(i3);
        UCropView uCropView = (UCropView) findViewById(R.id.ucrop);
        this.w = uCropView;
        this.x = uCropView.getCropImageView();
        this.y = this.w.getOverlayView();
        this.x.setTransformImageListener(this.S);
        ((ImageView) findViewById(R.id.image_view_logo)).setColorFilter(this.s, PorterDuff.Mode.SRC_ATOP);
        findViewById(R.id.ucrop_frame).setBackgroundColor(this.p);
        if (this.t) {
            ViewGroup viewGroup = (ViewGroup) ((ViewGroup) findViewById(i3)).findViewById(R.id.controls_wrapper);
            viewGroup.setVisibility(0);
            viewGroup.setBackgroundColor(this.p);
            LayoutInflater.from(this).inflate(R.layout.ucrop_controls, viewGroup, true);
            AutoTransition autoTransition = new AutoTransition();
            this.K = autoTransition;
            autoTransition.K(50);
            ViewGroup viewGroup2 = (ViewGroup) findViewById(R.id.state_aspect_ratio);
            this.z = viewGroup2;
            viewGroup2.setOnClickListener(this.T);
            ViewGroup viewGroup3 = (ViewGroup) findViewById(R.id.state_rotate);
            this.A = viewGroup3;
            viewGroup3.setOnClickListener(this.T);
            ViewGroup viewGroup4 = (ViewGroup) findViewById(R.id.state_scale);
            this.B = viewGroup4;
            viewGroup4.setOnClickListener(this.T);
            int i4 = R.id.layout_aspect_ratio;
            this.C = (ViewGroup) findViewById(i4);
            this.D = (ViewGroup) findViewById(R.id.layout_rotate_wheel);
            this.E = (ViewGroup) findViewById(R.id.layout_scale_wheel);
            int intExtra = intent.getIntExtra("com.yalantis.ucrop.AspectRatioSelectedByDefault", 0);
            ArrayList parcelableArrayListExtra = intent.getParcelableArrayListExtra("com.yalantis.ucrop.AspectRatioOptions");
            if (parcelableArrayListExtra == null || parcelableArrayListExtra.isEmpty()) {
                intExtra = 2;
                parcelableArrayListExtra = new ArrayList();
                parcelableArrayListExtra.add(new AspectRatio(null, 1.0f, 1.0f));
                parcelableArrayListExtra.add(new AspectRatio(null, 3.0f, 4.0f));
                parcelableArrayListExtra.add(new AspectRatio(getString(R.string.ucrop_label_original).toUpperCase(), 0.0f, 0.0f));
                parcelableArrayListExtra.add(new AspectRatio(null, 3.0f, 2.0f));
                parcelableArrayListExtra.add(new AspectRatio(null, 16.0f, 9.0f));
            }
            LinearLayout linearLayout = (LinearLayout) findViewById(i4);
            int i5 = -1;
            LinearLayout.LayoutParams layoutParams = new LinearLayout.LayoutParams(0, -1);
            layoutParams.weight = 1.0f;
            if (this instanceof PictureMultiCuttingActivity) {
                this.G = new ArrayList();
                this.F = new ArrayList();
            }
            Iterator it = parcelableArrayListExtra.iterator();
            while (it.hasNext()) {
                FrameLayout frameLayout = (FrameLayout) getLayoutInflater().inflate(R.layout.ucrop_aspect_ratio, (ViewGroup) null);
                frameLayout.setLayoutParams(layoutParams);
                AspectRatioTextView aspectRatioTextView = (AspectRatioTextView) frameLayout.getChildAt(0);
                aspectRatioTextView.setActiveColor(this.n);
                aspectRatioTextView.setAspectRatio((AspectRatio) it.next());
                this.G.add(aspectRatioTextView);
                linearLayout.addView(frameLayout);
                this.F.add(frameLayout);
            }
            this.F.get(intExtra).setSelected(true);
            for (ViewGroup viewGroup5 : this.F) {
                i5++;
                viewGroup5.setTag(Integer.valueOf(i5));
                viewGroup5.setOnClickListener(new d(this));
            }
            this.H = (TextView) findViewById(R.id.text_view_rotate);
            int i6 = R.id.rotate_scroll_wheel;
            ((HorizontalProgressWheelView) findViewById(i6)).setScrollingListener(new e(this));
            ((HorizontalProgressWheelView) findViewById(i6)).setMiddleLineColor(this.m);
            findViewById(R.id.wrapper_reset_rotate).setOnClickListener(new d.r.a.f(this));
            findViewById(R.id.wrapper_rotate_by_angle).setOnClickListener(new g(this));
            this.I = (TextView) findViewById(R.id.text_view_scale);
            int i7 = R.id.scale_scroll_wheel;
            ((HorizontalProgressWheelView) findViewById(i7)).setScrollingListener(new h(this));
            ((HorizontalProgressWheelView) findViewById(i7)).setMiddleLineColor(this.m);
            ImageView imageView = (ImageView) findViewById(R.id.image_view_state_scale);
            ImageView imageView2 = (ImageView) findViewById(R.id.image_view_state_rotate);
            ImageView imageView3 = (ImageView) findViewById(R.id.image_view_state_aspect_ratio);
            imageView.setImageDrawable(new d.r.a.m.d(imageView.getDrawable(), this.n));
            imageView2.setImageDrawable(new d.r.a.m.d(imageView2.getDrawable(), this.n));
            imageView3.setImageDrawable(new d.r.a.m.d(imageView3.getDrawable(), this.n));
        }
    }

    public boolean isImmersive() {
        return true;
    }

    @Override // androidx.activity.ComponentActivity
    public void onBackPressed() {
        finish();
        int intExtra = getIntent().getIntExtra("com.yalantis.ucrop.WindowAnimation", 0);
        int i2 = R.anim.ucrop_anim_fade_in;
        if (intExtra == 0) {
            intExtra = R.anim.ucrop_close;
        }
        overridePendingTransition(i2, intExtra);
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        Intent intent = getIntent();
        int intExtra = intent.getIntExtra("com.yalantis.ucrop.activityOrientation", -1);
        if (getRequestedOrientation() != intExtra) {
            setRequestedOrientation(intExtra);
        }
        this.R = intent.getBooleanExtra("com.yalantis.ucrop.openWhiteStatusBar", false);
        int i2 = R.color.ucrop_color_statusbar;
        this.f7575l = intent.getIntExtra("com.yalantis.ucrop.StatusBarColor", b.j.b.a.b(this, i2));
        int i3 = R.color.ucrop_color_toolbar;
        int intExtra2 = intent.getIntExtra("com.yalantis.ucrop.ToolbarColor", b.j.b.a.b(this, i3));
        this.f7574k = intExtra2;
        if (intExtra2 == 0) {
            this.f7574k = b.j.b.a.b(this, i3);
        }
        if (this.f7575l == 0) {
            this.f7575l = b.j.b.a.b(this, i2);
        }
        if (isImmersive()) {
            ImmersiveManage.immersiveAboveAPI23(this, this.f7575l, this.f7574k, this.R);
        }
        setContentView(R.layout.ucrop_activity_photobox);
        this.f7573j = ScreenUtils.getScreenWidth(this);
        K(intent);
        int intExtra3 = getIntent().getIntExtra("com.yalantis.ucrop.navBarColor", 0);
        if (intExtra3 != 0) {
            getWindow().setNavigationBarColor(intExtra3);
        }
        F(intent);
        G();
        B();
    }

    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.ucrop_menu_activity, menu);
        MenuItem findItem = menu.findItem(R.id.menu_loader);
        Drawable icon = findItem.getIcon();
        if (icon != null) {
            try {
                icon.mutate();
                icon.setColorFilter(AppCompatDelegateImpl.e.v(this.o, BlendModeCompat.SRC_ATOP));
                findItem.setIcon(icon);
            } catch (IllegalStateException e2) {
                Log.i("UCropActivity", String.format("%s - %s", e2.getMessage(), "必須指定輸入以及輸出的 Uri"));
            }
            ((Animatable) findItem.getIcon()).start();
        }
        MenuItem findItem2 = menu.findItem(R.id.menu_crop);
        int i2 = this.r;
        Object obj = b.j.b.a.f3266a;
        Drawable drawable = getDrawable(i2);
        if (drawable != null) {
            drawable.mutate();
            drawable.setColorFilter(AppCompatDelegateImpl.e.v(this.o, BlendModeCompat.SRC_ATOP));
            findItem2.setIcon(drawable);
        }
        return true;
    }

    public boolean onOptionsItemSelected(MenuItem menuItem) {
        if (menuItem.getItemId() == R.id.menu_crop) {
            this.J.setClickable(true);
            this.u = true;
            supportInvalidateOptionsMenu();
            GestureCropImageView gestureCropImageView = this.x;
            Bitmap.CompressFormat compressFormat = this.L;
            int i2 = this.M;
            i iVar = new i(this);
            gestureCropImageView.h();
            gestureCropImageView.setImageToWrapCropBounds(false);
            new d.r.a.l.a(gestureCropImageView.getContext(), gestureCropImageView.getViewBitmap(), new d.r.a.k.c(gestureCropImageView.w, d.l.b.g.g.b.K0(gestureCropImageView.f7596d), gestureCropImageView.getCurrentScale(), gestureCropImageView.getCurrentAngle()), new d.r.a.k.a(gestureCropImageView.F, gestureCropImageView.G, compressFormat, i2, gestureCropImageView.getImageInputPath(), gestureCropImageView.getImageOutputPath(), gestureCropImageView.getExifInfo()), iVar).executeOnExecutor(Executors.newCachedThreadPool(), new Void[0]);
            return true;
        } else if (menuItem.getItemId() != 16908332) {
            return super.onOptionsItemSelected(menuItem);
        } else {
            onBackPressed();
            return true;
        }
    }

    public boolean onPrepareOptionsMenu(Menu menu) {
        menu.findItem(R.id.menu_crop).setVisible(!this.u);
        menu.findItem(R.id.menu_loader).setVisible(this.u);
        return super.onPrepareOptionsMenu(menu);
    }

    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onStop() {
        super.onStop();
        GestureCropImageView gestureCropImageView = this.x;
        if (gestureCropImageView != null) {
            gestureCropImageView.h();
        }
    }
}
