package com.yalantis.ucrop.view;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.Point;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.util.Log;
import android.view.WindowManager;
import android.view.animation.AccelerateInterpolator;
import android.widget.ImageView;
import androidx.appcompat.widget.AppCompatImageView;
import com.yalantis.ucrop.UCropActivity;
import d.r.a.k.b;

public class TransformImageView extends AppCompatImageView {

    /* renamed from: d  reason: collision with root package name */
    public final float[] f7596d;

    /* renamed from: h  reason: collision with root package name */
    public final float[] f7597h;

    /* renamed from: j  reason: collision with root package name */
    public final float[] f7598j;

    /* renamed from: k  reason: collision with root package name */
    public Matrix f7599k;

    /* renamed from: l  reason: collision with root package name */
    public int f7600l;
    public int m;
    public a n;
    public float[] o;
    public float[] p;
    public boolean q;
    public boolean r;
    public int s;
    public String t;
    public String u;
    public b v;

    public interface a {
    }

    public TransformImageView(Context context) {
        this(context, null);
    }

    public float a(Matrix matrix) {
        matrix.getValues(this.f7598j);
        float[] fArr = this.f7598j;
        matrix.getValues(fArr);
        return (float) (-(Math.atan2((double) fArr[1], (double) this.f7598j[0]) * 57.29577951308232d));
    }

    public float b(Matrix matrix) {
        matrix.getValues(this.f7598j);
        double pow = Math.pow((double) this.f7598j[0], 2.0d);
        matrix.getValues(this.f7598j);
        return (float) Math.sqrt(Math.pow((double) this.f7598j[3], 2.0d) + pow);
    }

    public void c() {
        Drawable drawable = getDrawable();
        if (drawable != null) {
            float intrinsicWidth = (float) drawable.getIntrinsicWidth();
            float intrinsicHeight = (float) drawable.getIntrinsicHeight();
            Log.d("TransformImageView", String.format("Image size: [%d:%d]", Integer.valueOf((int) intrinsicWidth), Integer.valueOf((int) intrinsicHeight)));
            RectF rectF = new RectF(0.0f, 0.0f, intrinsicWidth, intrinsicHeight);
            this.o = d.l.b.g.g.b.E(rectF);
            this.p = d.l.b.g.g.b.D(rectF);
            this.r = true;
            a aVar = this.n;
            if (aVar != null) {
                UCropActivity.a aVar2 = (UCropActivity.a) aVar;
                UCropActivity.this.w.animate().alpha(1.0f).setDuration(300).setInterpolator(new AccelerateInterpolator());
                UCropActivity uCropActivity = UCropActivity.this;
                uCropActivity.J.setClickable(!uCropActivity.C());
                UCropActivity uCropActivity2 = UCropActivity.this;
                uCropActivity2.u = false;
                uCropActivity2.supportInvalidateOptionsMenu();
            }
        }
    }

    public void d(float f2, float f3, float f4) {
        if (f2 != 0.0f) {
            this.f7599k.postRotate(f2, f3, f4);
            setImageMatrix(this.f7599k);
            a aVar = this.n;
            if (aVar != null) {
                ((UCropActivity.a) aVar).a(a(this.f7599k));
            }
        }
    }

    public void e(float f2, float f3, float f4) {
        if (f2 != 0.0f) {
            this.f7599k.postScale(f2, f2, f3, f4);
            setImageMatrix(this.f7599k);
            a aVar = this.n;
            if (aVar != null) {
                ((UCropActivity.a) aVar).b(b(this.f7599k));
            }
        }
    }

    public void f(float f2, float f3) {
        if (f2 != 0.0f || f3 != 0.0f) {
            this.f7599k.postTranslate(f2, f3);
            setImageMatrix(this.f7599k);
        }
    }

    public float getCurrentAngle() {
        return a(this.f7599k);
    }

    public float getCurrentScale() {
        return b(this.f7599k);
    }

    public b getExifInfo() {
        return this.v;
    }

    public String getImageInputPath() {
        return this.t;
    }

    public String getImageOutputPath() {
        return this.u;
    }

    public int getMaxBitmapSize() {
        int i2;
        if (this.s <= 0) {
            WindowManager windowManager = (WindowManager) getContext().getSystemService("window");
            Point point = new Point();
            if (windowManager != null) {
                windowManager.getDefaultDisplay().getSize(point);
            }
            int i3 = point.x;
            int i4 = point.y;
            int sqrt = (int) Math.sqrt(Math.pow((double) i4, 2.0d) + Math.pow((double) i3, 2.0d));
            Canvas canvas = new Canvas();
            int min = Math.min(canvas.getMaximumBitmapWidth(), canvas.getMaximumBitmapHeight());
            if (min > 0) {
                sqrt = Math.min(sqrt, min);
            }
            try {
                i2 = d.l.b.g.g.b.K();
            } catch (Exception e2) {
                Log.d("EglUtils", "getMaxTextureSize: ", e2);
                i2 = 0;
            }
            if (i2 > 0) {
                sqrt = Math.min(sqrt, i2);
            }
            d.a.a.a.a.S("maxBitmapSize: ", sqrt, "BitmapLoadUtils");
            this.s = sqrt;
        }
        return this.s;
    }

    public Bitmap getViewBitmap() {
        if (getDrawable() == null || !(getDrawable() instanceof d.r.a.m.a)) {
            return null;
        }
        return ((d.r.a.m.a) getDrawable()).f12606b;
    }

    public void init() {
        setScaleType(ImageView.ScaleType.MATRIX);
    }

    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        super.onLayout(z, i2, i3, i4, i5);
        if (z || (this.q && !this.r)) {
            int paddingLeft = getPaddingLeft();
            int paddingTop = getPaddingTop();
            this.f7600l = (getWidth() - getPaddingRight()) - paddingLeft;
            this.m = (getHeight() - getPaddingBottom()) - paddingTop;
            c();
        }
    }

    @Override // androidx.appcompat.widget.AppCompatImageView
    public void setImageBitmap(Bitmap bitmap) {
        setImageDrawable(new d.r.a.m.a(bitmap));
    }

    public void setImageMatrix(Matrix matrix) {
        super.setImageMatrix(matrix);
        this.f7599k.set(matrix);
        this.f7599k.mapPoints(this.f7596d, this.o);
        this.f7599k.mapPoints(this.f7597h, this.p);
    }

    public void setMaxBitmapSize(int i2) {
        this.s = i2;
    }

    public void setScaleType(ImageView.ScaleType scaleType) {
        if (scaleType == ImageView.ScaleType.MATRIX) {
            super.setScaleType(scaleType);
        } else {
            Log.w("TransformImageView", "Invalid ScaleType. Only ScaleType.MATRIX can be used");
        }
    }

    public void setTransformImageListener(a aVar) {
        this.n = aVar;
    }

    public TransformImageView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public TransformImageView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f7596d = new float[8];
        this.f7597h = new float[2];
        this.f7598j = new float[9];
        this.f7599k = new Matrix();
        this.q = false;
        this.r = false;
        this.s = 0;
        init();
    }
}
