package com.yalantis.ucrop.view;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import com.luck.picture.lib.R;
import d.r.a.n.d;
import d.r.a.n.e;
import java.util.Objects;

public class UCropView extends FrameLayout {

    /* renamed from: d  reason: collision with root package name */
    public GestureCropImageView f7601d;

    /* renamed from: h  reason: collision with root package name */
    public final OverlayView f7602h;

    public UCropView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public GestureCropImageView getCropImageView() {
        return this.f7601d;
    }

    public OverlayView getOverlayView() {
        return this.f7602h;
    }

    public boolean shouldDelayChildPressedState() {
        return false;
    }

    public UCropView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        LayoutInflater.from(context).inflate(R.layout.ucrop_view, (ViewGroup) this, true);
        this.f7601d = (GestureCropImageView) findViewById(R.id.image_view_crop);
        OverlayView overlayView = (OverlayView) findViewById(R.id.view_overlay);
        this.f7602h = overlayView;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.ucrop_UCropView);
        Objects.requireNonNull(overlayView);
        overlayView.s = obtainStyledAttributes.getBoolean(R.styleable.ucrop_UCropView_ucrop_circle_dimmed_layer, false);
        overlayView.t = obtainStyledAttributes.getColor(R.styleable.ucrop_UCropView_ucrop_dimmed_color, overlayView.getResources().getColor(R.color.ucrop_color_default_dimmed));
        overlayView.w.setColor(overlayView.u);
        overlayView.w.setStyle(Paint.Style.STROKE);
        overlayView.w.setStrokeWidth((float) overlayView.H);
        int dimensionPixelSize = obtainStyledAttributes.getDimensionPixelSize(R.styleable.ucrop_UCropView_ucrop_frame_stroke_size, overlayView.getResources().getDimensionPixelSize(R.dimen.ucrop_default_crop_frame_stoke_width));
        int color = obtainStyledAttributes.getColor(R.styleable.ucrop_UCropView_ucrop_frame_color, overlayView.getResources().getColor(R.color.ucrop_color_default_crop_frame));
        overlayView.y.setStrokeWidth((float) dimensionPixelSize);
        overlayView.y.setColor(color);
        overlayView.y.setStyle(Paint.Style.STROKE);
        overlayView.z.setStrokeWidth((float) (dimensionPixelSize * 3));
        overlayView.z.setColor(color);
        overlayView.z.setStyle(Paint.Style.STROKE);
        overlayView.q = obtainStyledAttributes.getBoolean(R.styleable.ucrop_UCropView_ucrop_show_frame, true);
        int dimensionPixelSize2 = obtainStyledAttributes.getDimensionPixelSize(R.styleable.ucrop_UCropView_ucrop_grid_stroke_size, overlayView.getResources().getDimensionPixelSize(R.dimen.ucrop_default_crop_grid_stoke_width));
        int color2 = obtainStyledAttributes.getColor(R.styleable.ucrop_UCropView_ucrop_grid_color, overlayView.getResources().getColor(R.color.ucrop_color_default_crop_grid));
        overlayView.x.setStrokeWidth((float) dimensionPixelSize2);
        overlayView.x.setColor(color2);
        overlayView.m = obtainStyledAttributes.getInt(R.styleable.ucrop_UCropView_ucrop_grid_row_count, 2);
        overlayView.n = obtainStyledAttributes.getInt(R.styleable.ucrop_UCropView_ucrop_grid_column_count, 2);
        overlayView.r = obtainStyledAttributes.getBoolean(R.styleable.ucrop_UCropView_ucrop_show_grid, true);
        GestureCropImageView gestureCropImageView = this.f7601d;
        Objects.requireNonNull(gestureCropImageView);
        float abs = Math.abs(obtainStyledAttributes.getFloat(R.styleable.ucrop_UCropView_ucrop_aspect_ratio_x, 0.0f));
        float abs2 = Math.abs(obtainStyledAttributes.getFloat(R.styleable.ucrop_UCropView_ucrop_aspect_ratio_y, 0.0f));
        if (abs == 0.0f || abs2 == 0.0f) {
            gestureCropImageView.y = 0.0f;
        } else {
            gestureCropImageView.y = abs / abs2;
        }
        obtainStyledAttributes.recycle();
        this.f7601d.setCropBoundsChangeListener(new d(this));
        overlayView.setOverlayViewChangeListener(new e(this));
    }
}
