package com.yalantis.ucrop.view.widget;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.text.TextUtils;
import android.util.AttributeSet;
import androidx.appcompat.widget.AppCompatTextView;
import b.j.b.a;
import com.luck.picture.lib.R;
import com.yalantis.ucrop.model.AspectRatio;
import java.util.Locale;

public class AspectRatioTextView extends AppCompatTextView {

    /* renamed from: d  reason: collision with root package name */
    public final Rect f7603d;

    /* renamed from: h  reason: collision with root package name */
    public Paint f7604h;

    /* renamed from: j  reason: collision with root package name */
    public int f7605j;

    /* renamed from: k  reason: collision with root package name */
    public float f7606k;

    /* renamed from: l  reason: collision with root package name */
    public String f7607l;
    public float m;
    public float n;

    public AspectRatioTextView(Context context) {
        this(context, null);
    }

    public final void a(int i2) {
        Paint paint = this.f7604h;
        if (paint != null) {
            paint.setColor(i2);
        }
        setTextColor(new ColorStateList(new int[][]{new int[]{16842913}, new int[]{0}}, new int[]{i2, a.b(getContext(), R.color.ucrop_color_widget)}));
    }

    public final void b() {
        if (!TextUtils.isEmpty(this.f7607l)) {
            setText(this.f7607l);
            return;
        }
        setText(String.format(Locale.US, "%d:%d", Integer.valueOf((int) this.m), Integer.valueOf((int) this.n)));
    }

    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        if (isSelected()) {
            canvas.getClipBounds(this.f7603d);
            Rect rect = this.f7603d;
            float f2 = ((float) rect.bottom) - (((float) rect.top) / 2.0f);
            int i2 = this.f7605j;
            canvas.drawCircle(((float) (rect.right - rect.left)) / 2.0f, f2 - (((float) i2) * 1.5f), ((float) i2) / 2.0f, this.f7604h);
        }
    }

    public void setActiveColor(int i2) {
        a(i2);
        invalidate();
    }

    public void setAspectRatio(AspectRatio aspectRatio) {
        this.f7607l = aspectRatio.getAspectRatioTitle();
        this.m = aspectRatio.getAspectRatioX();
        float aspectRatioY = aspectRatio.getAspectRatioY();
        this.n = aspectRatioY;
        float f2 = this.m;
        if (f2 == 0.0f || aspectRatioY == 0.0f) {
            this.f7606k = 0.0f;
        } else {
            this.f7606k = f2 / aspectRatioY;
        }
        b();
    }

    public AspectRatioTextView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public AspectRatioTextView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f7603d = new Rect();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.ucrop_AspectRatioTextView);
        setGravity(1);
        this.f7607l = obtainStyledAttributes.getString(R.styleable.ucrop_AspectRatioTextView_ucrop_artv_ratio_title);
        this.m = obtainStyledAttributes.getFloat(R.styleable.ucrop_AspectRatioTextView_ucrop_artv_ratio_x, 0.0f);
        float f2 = obtainStyledAttributes.getFloat(R.styleable.ucrop_AspectRatioTextView_ucrop_artv_ratio_y, 0.0f);
        this.n = f2;
        float f3 = this.m;
        if (f3 == 0.0f || f2 == 0.0f) {
            this.f7606k = 0.0f;
        } else {
            this.f7606k = f3 / f2;
        }
        this.f7605j = getContext().getResources().getDimensionPixelSize(R.dimen.ucrop_size_dot_scale_text_view);
        Paint paint = new Paint(1);
        this.f7604h = paint;
        paint.setStyle(Paint.Style.FILL);
        b();
        a(getResources().getColor(R.color.ucrop_color_widget_active));
        obtainStyledAttributes.recycle();
    }
}
