package d.d.a.l.a.c;

import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffXfermode;
import android.os.Build;
import android.util.DisplayMetrics;
import android.util.Log;
import android.util.LruCache;
import com.bumptech.glide.integration.webp.WebpFrame;
import com.bumptech.glide.integration.webp.WebpImage;
import com.bumptech.glide.integration.webp.decoder.WebpFrameCacheStrategy;
import d.d.a.k.a;
import d.d.a.m.q.g.b;
import java.nio.ByteBuffer;
import java.util.ArrayList;
import java.util.Objects;

/* compiled from: WebpDecoder */
public class h implements d.d.a.k.a {

    /* renamed from: a  reason: collision with root package name */
    public ByteBuffer f7795a;

    /* renamed from: b  reason: collision with root package name */
    public WebpImage f7796b;

    /* renamed from: c  reason: collision with root package name */
    public final a.AbstractC0046a f7797c;

    /* renamed from: d  reason: collision with root package name */
    public int f7798d = -1;

    /* renamed from: e  reason: collision with root package name */
    public final int[] f7799e;

    /* renamed from: f  reason: collision with root package name */
    public final d.d.a.l.a.a[] f7800f;

    /* renamed from: g  reason: collision with root package name */
    public int f7801g;

    /* renamed from: h  reason: collision with root package name */
    public int f7802h;

    /* renamed from: i  reason: collision with root package name */
    public int f7803i;

    /* renamed from: j  reason: collision with root package name */
    public final Paint f7804j;

    /* renamed from: k  reason: collision with root package name */
    public WebpFrameCacheStrategy f7805k;

    /* renamed from: l  reason: collision with root package name */
    public Bitmap.Config f7806l = Bitmap.Config.ARGB_8888;
    public final LruCache<Integer, Bitmap> m;

    /* compiled from: WebpDecoder */
    public class a extends LruCache<Integer, Bitmap> {
        public a(int i2) {
            super(i2);
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [boolean, java.lang.Object, java.lang.Object, java.lang.Object] */
        @Override // android.util.LruCache
        public void entryRemoved(boolean z, Integer num, Bitmap bitmap, Bitmap bitmap2) {
            Bitmap bitmap3 = bitmap;
            if (bitmap3 != null) {
                ((b) h.this.f7797c).f8280a.e(bitmap3);
            }
        }
    }

    public h(a.AbstractC0046a aVar, WebpImage webpImage, ByteBuffer byteBuffer, int i2, WebpFrameCacheStrategy webpFrameCacheStrategy) {
        int i3;
        this.f7797c = aVar;
        this.f7796b = webpImage;
        this.f7799e = webpImage.getFrameDurations();
        this.f7800f = new d.d.a.l.a.a[webpImage.getFrameCount()];
        for (int i4 = 0; i4 < this.f7796b.getFrameCount(); i4++) {
            this.f7800f[i4] = this.f7796b.getFrameInfo(i4);
            if (Log.isLoggable("WebpDecoder", 3)) {
                StringBuilder B = d.a.a.a.a.B("mFrameInfos: ");
                B.append(this.f7800f[i4].toString());
                Log.d("WebpDecoder", B.toString());
            }
        }
        this.f7805k = webpFrameCacheStrategy;
        Paint paint = new Paint();
        this.f7804j = paint;
        paint.setColor(0);
        paint.setStyle(Paint.Style.FILL);
        paint.setXfermode(new PorterDuffXfermode(PorterDuff.Mode.SRC));
        WebpFrameCacheStrategy webpFrameCacheStrategy2 = this.f7805k;
        if (webpFrameCacheStrategy2.f4185c == WebpFrameCacheStrategy.CacheControl.CACHE_ALL) {
            i3 = webpImage.getFrameCount();
        } else {
            Objects.requireNonNull(webpFrameCacheStrategy2);
            i3 = Math.max(5, 0);
        }
        this.m = new a(i3);
        new ArrayList();
        if (i2 > 0) {
            int highestOneBit = Integer.highestOneBit(i2);
            ByteBuffer asReadOnlyBuffer = byteBuffer.asReadOnlyBuffer();
            this.f7795a = asReadOnlyBuffer;
            asReadOnlyBuffer.position(0);
            this.f7801g = highestOneBit;
            this.f7803i = this.f7796b.getWidth() / highestOneBit;
            this.f7802h = this.f7796b.getHeight() / highestOneBit;
            return;
        }
        throw new IllegalArgumentException(d.a.a.a.a.k("Sample size must be >=0, not: ", i2));
    }

    @Override // d.d.a.k.a
    public ByteBuffer a() {
        return this.f7795a;
    }

    @Override // d.d.a.k.a
    public int b() {
        return this.f7798d;
    }

    @Override // d.d.a.k.a
    public Bitmap c() {
        int i2;
        Bitmap bitmap;
        int i3 = this.f7798d;
        Bitmap a2 = ((b) this.f7797c).a(this.f7803i, this.f7802h, Bitmap.Config.ARGB_8888);
        a2.eraseColor(0);
        if (Build.VERSION.SDK_INT >= 24) {
            a2.setDensity(DisplayMetrics.DENSITY_DEVICE_STABLE);
        }
        Canvas canvas = new Canvas(a2);
        canvas.drawColor(0, PorterDuff.Mode.SRC);
        if ((this.f7805k.f4185c == WebpFrameCacheStrategy.CacheControl.CACHE_NONE) || (bitmap = this.m.get(Integer.valueOf(i3))) == null) {
            if (!j(i3)) {
                i2 = i3 - 1;
                while (true) {
                    if (i2 < 0) {
                        i2 = 0;
                        break;
                    }
                    d.d.a.l.a.a aVar = this.f7800f[i2];
                    if (aVar.f7778h && i(aVar)) {
                        break;
                    }
                    Bitmap bitmap2 = this.m.get(Integer.valueOf(i2));
                    if (bitmap2 != null && !bitmap2.isRecycled()) {
                        bitmap2.setDensity(canvas.getDensity());
                        canvas.drawBitmap(bitmap2, 0.0f, 0.0f, (Paint) null);
                        if (aVar.f7778h) {
                            h(canvas, aVar);
                        }
                    } else if (j(i2)) {
                        break;
                    } else {
                        i2--;
                    }
                }
                i2++;
            } else {
                i2 = i3;
            }
            if (Log.isLoggable("WebpDecoder", 3)) {
                Log.d("WebpDecoder", "frameNumber=" + i3 + ", nextIndex=" + i2);
            }
            while (i2 < i3) {
                d.d.a.l.a.a aVar2 = this.f7800f[i2];
                if (!aVar2.f7777g) {
                    h(canvas, aVar2);
                }
                k(i2, canvas);
                if (Log.isLoggable("WebpDecoder", 3)) {
                    StringBuilder C = d.a.a.a.a.C("renderFrame, index=", i2, ", blend=");
                    C.append(aVar2.f7777g);
                    C.append(", dispose=");
                    C.append(aVar2.f7778h);
                    Log.d("WebpDecoder", C.toString());
                }
                if (aVar2.f7778h) {
                    h(canvas, aVar2);
                }
                i2++;
            }
            d.d.a.l.a.a aVar3 = this.f7800f[i3];
            if (!aVar3.f7777g) {
                h(canvas, aVar3);
            }
            k(i3, canvas);
            if (Log.isLoggable("WebpDecoder", 3)) {
                StringBuilder C2 = d.a.a.a.a.C("renderFrame, index=", i3, ", blend=");
                C2.append(aVar3.f7777g);
                C2.append(", dispose=");
                C2.append(aVar3.f7778h);
                Log.d("WebpDecoder", C2.toString());
            }
            this.m.remove(Integer.valueOf(i3));
            Bitmap a3 = ((b) this.f7797c).a(a2.getWidth(), a2.getHeight(), a2.getConfig());
            a3.eraseColor(0);
            a3.setDensity(a2.getDensity());
            Canvas canvas2 = new Canvas(a3);
            canvas2.drawColor(0, PorterDuff.Mode.SRC);
            canvas2.drawBitmap(a2, 0.0f, 0.0f, (Paint) null);
            this.m.put(Integer.valueOf(i3), a3);
            return a2;
        }
        if (Log.isLoggable("WebpDecoder", 3)) {
            d.a.a.a.a.S("hit frame bitmap from memory cache, frameNumber=", i3, "WebpDecoder");
        }
        bitmap.setDensity(canvas.getDensity());
        canvas.drawBitmap(bitmap, 0.0f, 0.0f, (Paint) null);
        return a2;
    }

    @Override // d.d.a.k.a
    public void clear() {
        this.f7796b.dispose();
        this.f7796b = null;
        this.m.evictAll();
        this.f7795a = null;
    }

    @Override // d.d.a.k.a
    public void d() {
        this.f7798d = (this.f7798d + 1) % this.f7796b.getFrameCount();
    }

    @Override // d.d.a.k.a
    public int e() {
        return this.f7796b.getFrameCount();
    }

    @Override // d.d.a.k.a
    public int f() {
        int i2;
        int[] iArr = this.f7799e;
        if (iArr.length == 0 || (i2 = this.f7798d) < 0) {
            return 0;
        }
        if (i2 < 0 || i2 >= iArr.length) {
            return -1;
        }
        return iArr[i2];
    }

    @Override // d.d.a.k.a
    public int g() {
        return this.f7796b.getSizeInBytes();
    }

    public final void h(Canvas canvas, d.d.a.l.a.a aVar) {
        int i2 = aVar.f7772b;
        int i3 = this.f7801g;
        int i4 = aVar.f7773c;
        canvas.drawRect((float) (i2 / i3), (float) (i4 / i3), (float) ((i2 + aVar.f7774d) / i3), (float) ((i4 + aVar.f7775e) / i3), this.f7804j);
    }

    public final boolean i(d.d.a.l.a.a aVar) {
        return aVar.f7772b == 0 && aVar.f7773c == 0 && aVar.f7774d == this.f7796b.getWidth() && aVar.f7775e == this.f7796b.getHeight();
    }

    public final boolean j(int i2) {
        if (i2 == 0) {
            return true;
        }
        d.d.a.l.a.a[] aVarArr = this.f7800f;
        d.d.a.l.a.a aVar = aVarArr[i2];
        d.d.a.l.a.a aVar2 = aVarArr[i2 - 1];
        if (!aVar.f7777g && i(aVar)) {
            return true;
        }
        if (!aVar2.f7778h || !i(aVar2)) {
            return false;
        }
        return true;
    }

    public final void k(int i2, Canvas canvas) {
        d.d.a.l.a.a aVar = this.f7800f[i2];
        int i3 = aVar.f7774d;
        int i4 = this.f7801g;
        int i5 = i3 / i4;
        int i6 = aVar.f7775e / i4;
        int i7 = aVar.f7772b / i4;
        int i8 = aVar.f7773c / i4;
        WebpFrame frame = this.f7796b.getFrame(i2);
        try {
            Bitmap a2 = ((b) this.f7797c).a(i5, i6, this.f7806l);
            a2.eraseColor(0);
            a2.setDensity(canvas.getDensity());
            frame.renderFrame(i5, i6, a2);
            canvas.drawBitmap(a2, (float) i7, (float) i8, (Paint) null);
            ((b) this.f7797c).f8280a.e(a2);
        } catch (IllegalStateException unused) {
            Log.e("WebpDecoder", "Rendering of frame failed. Frame number: " + i2);
        } catch (Throwable th) {
            frame.dispose();
            throw th;
        }
        frame.dispose();
    }
}
