package d.d.a.m.q.c;

import android.annotation.TargetApi;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.ColorSpace;
import android.os.Build;
import android.os.SystemClock;
import android.util.DisplayMetrics;
import android.util.Log;
import com.bumptech.glide.load.DecodeFormat;
import com.bumptech.glide.load.ImageHeaderParser;
import com.bumptech.glide.load.PreferredColorSpace;
import com.bumptech.glide.load.resource.bitmap.DownsampleStrategy;
import d.d.a.m.i;
import d.d.a.m.j;
import d.d.a.m.o.t;
import d.d.a.m.o.z.d;
import d.d.a.m.q.c.r;
import d.d.a.s.e;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayDeque;
import java.util.Arrays;
import java.util.Collections;
import java.util.EnumSet;
import java.util.HashSet;
import java.util.List;
import java.util.Objects;
import java.util.Queue;
import java.util.Set;
import java.util.concurrent.locks.Lock;

/* compiled from: Downsampler */
public final class l {

    /* renamed from: a  reason: collision with root package name */
    public static final i<DecodeFormat> f8215a = i.a("com.bumptech.glide.load.resource.bitmap.Downsampler.DecodeFormat", DecodeFormat.DEFAULT);

    /* renamed from: b  reason: collision with root package name */
    public static final i<PreferredColorSpace> f8216b = i.a("com.bumptech.glide.load.resource.bitmap.Downsampler.PreferredColorSpace", PreferredColorSpace.SRGB);
    @Deprecated

    /* renamed from: c  reason: collision with root package name */
    public static final i<DownsampleStrategy> f8217c = DownsampleStrategy.f4214f;

    /* renamed from: d  reason: collision with root package name */
    public static final i<Boolean> f8218d;

    /* renamed from: e  reason: collision with root package name */
    public static final i<Boolean> f8219e;

    /* renamed from: f  reason: collision with root package name */
    public static final Set<String> f8220f = Collections.unmodifiableSet(new HashSet(Arrays.asList("image/vnd.wap.wbmp", "image/x-ico")));

    /* renamed from: g  reason: collision with root package name */
    public static final b f8221g = new a();

    /* renamed from: h  reason: collision with root package name */
    public static final Set<ImageHeaderParser.ImageType> f8222h = Collections.unmodifiableSet(EnumSet.of(ImageHeaderParser.ImageType.JPEG, ImageHeaderParser.ImageType.PNG_A, ImageHeaderParser.ImageType.PNG));

    /* renamed from: i  reason: collision with root package name */
    public static final Queue<BitmapFactory.Options> f8223i = new ArrayDeque(0);

    /* renamed from: j  reason: collision with root package name */
    public final d f8224j;

    /* renamed from: k  reason: collision with root package name */
    public final DisplayMetrics f8225k;

    /* renamed from: l  reason: collision with root package name */
    public final d.d.a.m.o.z.b f8226l;
    public final List<ImageHeaderParser> m;
    public final q n = q.a();

    /* compiled from: Downsampler */
    public class a implements b {
        @Override // d.d.a.m.q.c.l.b
        public void a(d dVar, Bitmap bitmap) {
        }

        @Override // d.d.a.m.q.c.l.b
        public void b() {
        }
    }

    /* compiled from: Downsampler */
    public interface b {
        void a(d dVar, Bitmap bitmap);

        void b();
    }

    static {
        Boolean bool = Boolean.FALSE;
        f8218d = i.a("com.bumptech.glide.load.resource.bitmap.Downsampler.FixBitmapSize", bool);
        f8219e = i.a("com.bumptech.glide.load.resource.bitmap.Downsampler.AllowHardwareDecode", bool);
        char[] cArr = d.d.a.s.i.f8429a;
    }

    public l(List<ImageHeaderParser> list, DisplayMetrics displayMetrics, d dVar, d.d.a.m.o.z.b bVar) {
        this.m = list;
        Objects.requireNonNull(displayMetrics, "Argument must not be null");
        this.f8225k = displayMetrics;
        Objects.requireNonNull(dVar, "Argument must not be null");
        this.f8224j = dVar;
        Objects.requireNonNull(bVar, "Argument must not be null");
        this.f8226l = bVar;
    }

    public static Bitmap d(r rVar, BitmapFactory.Options options, b bVar, d dVar) {
        if (!options.inJustDecodeBounds) {
            bVar.b();
            rVar.b();
        }
        int i2 = options.outWidth;
        int i3 = options.outHeight;
        String str = options.outMimeType;
        Lock lock = y.f8264e;
        lock.lock();
        try {
            Bitmap a2 = rVar.a(options);
            lock.unlock();
            return a2;
        } catch (IllegalArgumentException e2) {
            IOException i4 = i(e2, i2, i3, str, options);
            if (Log.isLoggable("Downsampler", 3)) {
                Log.d("Downsampler", "Failed to decode with inBitmap, trying again without Bitmap re-use", i4);
            }
            Bitmap bitmap = options.inBitmap;
            if (bitmap != null) {
                try {
                    dVar.e(bitmap);
                    options.inBitmap = null;
                    Bitmap d2 = d(rVar, options, bVar, dVar);
                    y.f8264e.unlock();
                    return d2;
                } catch (IOException unused) {
                    throw i4;
                }
            } else {
                throw i4;
            }
        } catch (Throwable th) {
            y.f8264e.unlock();
            throw th;
        }
    }

    @TargetApi(19)
    public static String e(Bitmap bitmap) {
        if (bitmap == null) {
            return null;
        }
        StringBuilder B = d.a.a.a.a.B(" (");
        B.append(bitmap.getAllocationByteCount());
        B.append(")");
        String sb = B.toString();
        StringBuilder B2 = d.a.a.a.a.B("[");
        B2.append(bitmap.getWidth());
        B2.append("x");
        B2.append(bitmap.getHeight());
        B2.append("] ");
        B2.append(bitmap.getConfig());
        B2.append(sb);
        return B2.toString();
    }

    public static int f(double d2) {
        if (d2 > 1.0d) {
            d2 = 1.0d / d2;
        }
        return (int) Math.round(d2 * 2.147483647E9d);
    }

    public static int[] g(r rVar, BitmapFactory.Options options, b bVar, d dVar) {
        options.inJustDecodeBounds = true;
        d(rVar, options, bVar, dVar);
        options.inJustDecodeBounds = false;
        return new int[]{options.outWidth, options.outHeight};
    }

    public static boolean h(int i2) {
        return i2 == 90 || i2 == 270;
    }

    public static IOException i(IllegalArgumentException illegalArgumentException, int i2, int i3, String str, BitmapFactory.Options options) {
        StringBuilder D = d.a.a.a.a.D("Exception decoding bitmap, outWidth: ", i2, ", outHeight: ", i3, ", outMimeType: ");
        D.append(str);
        D.append(", inBitmap: ");
        D.append(e(options.inBitmap));
        return new IOException(D.toString(), illegalArgumentException);
    }

    public static void j(BitmapFactory.Options options) {
        options.inTempStorage = null;
        options.inDither = false;
        options.inScaled = false;
        options.inSampleSize = 1;
        options.inPreferredConfig = null;
        options.inJustDecodeBounds = false;
        options.inDensity = 0;
        options.inTargetDensity = 0;
        if (Build.VERSION.SDK_INT >= 26) {
            options.inPreferredColorSpace = null;
            options.outColorSpace = null;
            options.outConfig = null;
        }
        options.outWidth = 0;
        options.outHeight = 0;
        options.outMimeType = null;
        options.inBitmap = null;
        options.inMutable = true;
    }

    public static int k(double d2) {
        return (int) (d2 + 0.5d);
    }

    public final t<Bitmap> a(r rVar, int i2, int i3, j jVar, b bVar) {
        Queue<BitmapFactory.Options> queue;
        BitmapFactory.Options poll;
        byte[] bArr = (byte[]) this.f8226l.e(65536, byte[].class);
        synchronized (l.class) {
            queue = f8223i;
            synchronized (queue) {
                poll = queue.poll();
            }
            if (poll == null) {
                poll = new BitmapFactory.Options();
                j(poll);
            }
        }
        poll.inTempStorage = bArr;
        DecodeFormat decodeFormat = (DecodeFormat) jVar.c(f8215a);
        PreferredColorSpace preferredColorSpace = (PreferredColorSpace) jVar.c(f8216b);
        DownsampleStrategy downsampleStrategy = (DownsampleStrategy) jVar.c(DownsampleStrategy.f4214f);
        boolean booleanValue = ((Boolean) jVar.c(f8218d)).booleanValue();
        i<Boolean> iVar = f8219e;
        try {
            e c2 = e.c(c(rVar, poll, downsampleStrategy, decodeFormat, preferredColorSpace, jVar.c(iVar) != null && ((Boolean) jVar.c(iVar)).booleanValue(), i2, i3, booleanValue, bVar), this.f8224j);
            j(poll);
            synchronized (queue) {
                queue.offer(poll);
            }
            this.f8226l.put(bArr);
            return c2;
        } catch (Throwable th) {
            j(poll);
            Queue<BitmapFactory.Options> queue2 = f8223i;
            synchronized (queue2) {
                queue2.offer(poll);
                this.f8226l.put(bArr);
                throw th;
            }
        }
    }

    public t<Bitmap> b(InputStream inputStream, int i2, int i3, j jVar, b bVar) {
        return a(new r.a(inputStream, this.m, this.f8226l), i2, i3, jVar, bVar);
    }

    /* JADX WARNING: Removed duplicated region for block: B:100:0x02bb  */
    /* JADX WARNING: Removed duplicated region for block: B:102:0x02c4  */
    /* JADX WARNING: Removed duplicated region for block: B:103:0x02c6  */
    /* JADX WARNING: Removed duplicated region for block: B:121:0x030d A[ADDED_TO_REGION] */
    /* JADX WARNING: Removed duplicated region for block: B:126:0x0318  */
    /* JADX WARNING: Removed duplicated region for block: B:132:0x0323  */
    /* JADX WARNING: Removed duplicated region for block: B:133:0x0329  */
    /* JADX WARNING: Removed duplicated region for block: B:136:0x0351  */
    /* JADX WARNING: Removed duplicated region for block: B:142:0x038c  */
    /* JADX WARNING: Removed duplicated region for block: B:145:0x0396  */
    /* JADX WARNING: Removed duplicated region for block: B:147:0x0399  */
    /* JADX WARNING: Removed duplicated region for block: B:151:0x03a5  */
    /* JADX WARNING: Removed duplicated region for block: B:163:0x03c6  */
    /* JADX WARNING: Removed duplicated region for block: B:167:0x03e6  */
    /* JADX WARNING: Removed duplicated region for block: B:169:0x046a  */
    /* JADX WARNING: Removed duplicated region for block: B:172:0x0485 A[ORIG_RETURN, RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x010e  */
    /* JADX WARNING: Removed duplicated region for block: B:56:0x012a  */
    /* JADX WARNING: Removed duplicated region for block: B:79:0x01b4 A[ADDED_TO_REGION] */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x01bd  */
    /* JADX WARNING: Removed duplicated region for block: B:85:0x01c1  */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x01cf  */
    /* JADX WARNING: Removed duplicated region for block: B:89:0x0221  */
    public final Bitmap c(r rVar, BitmapFactory.Options options, DownsampleStrategy downsampleStrategy, DecodeFormat decodeFormat, PreferredColorSpace preferredColorSpace, boolean z, int i2, int i3, boolean z2, b bVar) {
        int i4;
        int i5;
        int i6;
        String str;
        int i7;
        int i8;
        int i9;
        int i10;
        String str2;
        boolean b2;
        String str3;
        int i11;
        int i12;
        int i13;
        int i14;
        Bitmap d2;
        ColorSpace colorSpace;
        Bitmap.Config config;
        int i15;
        boolean z3;
        String str4;
        int i16;
        String str5;
        int i17;
        int i18;
        int i19;
        int i20;
        int i21;
        int i22;
        int i23;
        int f2;
        int i24;
        int i25;
        int i26;
        double d3;
        int i27 = e.f8419b;
        long elapsedRealtimeNanos = SystemClock.elapsedRealtimeNanos();
        int[] g2 = g(rVar, options, bVar, this.f8224j);
        int i28 = g2[0];
        int i29 = g2[1];
        String str6 = options.outMimeType;
        boolean z4 = (i28 == -1 || i29 == -1) ? false : z;
        int c2 = rVar.c();
        switch (c2) {
            case 3:
            case 4:
                i4 = 180;
                break;
            case 5:
            case 6:
                i4 = 90;
                break;
            case 7:
            case 8:
                i4 = 270;
                break;
            default:
                i4 = 0;
                break;
        }
        boolean f3 = y.f(c2);
        if (i2 == Integer.MIN_VALUE) {
            i5 = c2;
            i6 = h(i4) ? i29 : i28;
        } else {
            i5 = c2;
            i6 = i2;
        }
        int i30 = i3 == Integer.MIN_VALUE ? h(i4) ? i28 : i29 : i3;
        ImageHeaderParser.ImageType d4 = rVar.d();
        d dVar = this.f8224j;
        String str7 = ", target density: ";
        String str8 = ", density: ";
        if (i28 <= 0) {
            str2 = "Downsampler";
            i9 = i28;
            str4 = "]";
            str = "x";
            i10 = i6;
            i7 = i30;
            i8 = i29;
            i16 = 3;
        } else if (i29 <= 0) {
            i16 = 3;
            str2 = "Downsampler";
            i9 = i28;
            str4 = "]";
            str = "x";
            i10 = i6;
            i7 = i30;
            i8 = i29;
        } else {
            if (h(i4)) {
                i18 = i28;
                str5 = "]";
                i17 = i29;
            } else {
                i18 = i29;
                str5 = "]";
                i17 = i28;
            }
            float b3 = downsampleStrategy.b(i17, i18, i6, i30);
            if (b3 > 0.0f) {
                DownsampleStrategy.SampleSizeRounding a2 = downsampleStrategy.a(i17, i18, i6, i30);
                if (a2 != null) {
                    float f4 = (float) i17;
                    float f5 = (float) i18;
                    int k2 = i17 / k((double) (b3 * f4));
                    int k3 = i18 / k((double) (b3 * f5));
                    DownsampleStrategy.SampleSizeRounding sampleSizeRounding = DownsampleStrategy.SampleSizeRounding.MEMORY;
                    if (a2 == sampleSizeRounding) {
                        i19 = Math.max(k2, k3);
                    } else {
                        i19 = Math.min(k2, k3);
                    }
                    int i31 = Build.VERSION.SDK_INT;
                    if (i31 <= 23) {
                        i20 = i30;
                        if (f8220f.contains(options.outMimeType)) {
                            i21 = 1;
                            options.inSampleSize = i21;
                            if (d4 != ImageHeaderParser.ImageType.JPEG) {
                                float min = (float) Math.min(i21, 8);
                                i25 = (int) Math.ceil((double) (f4 / min));
                                i26 = (int) Math.ceil((double) (f5 / min));
                                int i32 = i21 / 8;
                                if (i32 > 0) {
                                    i25 /= i32;
                                    i26 /= i32;
                                }
                            } else {
                                if (d4 == ImageHeaderParser.ImageType.PNG || d4 == ImageHeaderParser.ImageType.PNG_A) {
                                    float f6 = (float) i21;
                                    i25 = (int) Math.floor((double) (f4 / f6));
                                    d3 = Math.floor((double) (f5 / f6));
                                } else if (d4 != ImageHeaderParser.ImageType.WEBP && d4 != ImageHeaderParser.ImageType.WEBP_A) {
                                    if (i17 % i21 == 0 && i18 % i21 == 0) {
                                        i22 = i17 / i21;
                                        i23 = i18 / i21;
                                    } else {
                                        int[] g3 = g(rVar, options, bVar, dVar);
                                        int i33 = g3[0];
                                        i23 = g3[1];
                                        i22 = i33;
                                    }
                                    i10 = i6;
                                    i7 = i20;
                                    double b4 = (double) downsampleStrategy.b(i22, i23, i10, i7);
                                    int f7 = f(b4);
                                    int k4 = k(((double) f7) * b4);
                                    options.inTargetDensity = k((b4 / ((double) (((float) k4) / ((float) f7)))) * ((double) k4));
                                    f2 = f(b4);
                                    options.inDensity = f2;
                                    i24 = options.inTargetDensity;
                                    if (i24 <= 0 && f2 > 0 && i24 != f2) {
                                        options.inScaled = true;
                                    } else {
                                        options.inTargetDensity = 0;
                                        options.inDensity = 0;
                                    }
                                    str2 = "Downsampler";
                                    if (Log.isLoggable(str2, 2)) {
                                        i8 = i29;
                                        i9 = i28;
                                        str = "x";
                                        StringBuilder D = d.a.a.a.a.D("Calculate scaling, source: [", i9, str, i8, "], degreesToRotate: ");
                                        d.a.a.a.a.U(D, i4, ", target: [", i10, str);
                                        d.a.a.a.a.U(D, i7, "], power of two scaled: [", i22, str);
                                        D.append(i23);
                                        D.append("], exact scale factor: ");
                                        D.append(b3);
                                        D.append(", power of 2 sample size: ");
                                        D.append(i21);
                                        D.append(", adjusted scale factor: ");
                                        D.append(b4);
                                        str7 = str7;
                                        D.append(str7);
                                        D.append(options.inTargetDensity);
                                        str8 = str8;
                                        D.append(str8);
                                        D.append(options.inDensity);
                                        Log.v(str2, D.toString());
                                    } else {
                                        str8 = str8;
                                        str7 = str7;
                                        i8 = i29;
                                        i9 = i28;
                                        str = "x";
                                    }
                                    b2 = this.n.b(i10, i7, z4, f3);
                                    if (b2) {
                                        options.inPreferredConfig = Bitmap.Config.HARDWARE;
                                        options.inMutable = false;
                                    }
                                    if (!b2) {
                                        str3 = str7;
                                    } else {
                                        str3 = str7;
                                        if (decodeFormat != DecodeFormat.PREFER_ARGB_8888) {
                                            try {
                                                z3 = rVar.d().hasAlpha();
                                            } catch (IOException e2) {
                                                if (Log.isLoggable(str2, 3)) {
                                                    Log.d(str2, "Cannot determine whether the image has alpha or not from header, format " + decodeFormat, e2);
                                                }
                                                z3 = false;
                                            }
                                            Bitmap.Config config2 = z3 ? Bitmap.Config.ARGB_8888 : Bitmap.Config.RGB_565;
                                            options.inPreferredConfig = config2;
                                            if (config2 == Bitmap.Config.RGB_565) {
                                                options.inDither = true;
                                            }
                                        } else {
                                            options.inPreferredConfig = Bitmap.Config.ARGB_8888;
                                        }
                                    }
                                    i11 = Build.VERSION.SDK_INT;
                                    i12 = options.inSampleSize;
                                    if (i9 >= 0 || i8 < 0 || !z2) {
                                        int i34 = options.inTargetDensity;
                                        float f8 = !(i34 <= 0 && (i15 = options.inDensity) > 0 && i34 != i15) ? ((float) i34) / ((float) options.inDensity) : 1.0f;
                                        float f9 = (float) i12;
                                        i13 = Math.round(((float) ((int) Math.ceil((double) (((float) i9) / f9)))) * f8);
                                        i14 = Math.round(((float) ((int) Math.ceil((double) (((float) i8) / f9)))) * f8);
                                        if (Log.isLoggable(str2, 2)) {
                                            StringBuilder D2 = d.a.a.a.a.D("Calculated target [", i13, str, i14, "] for source [");
                                            d.a.a.a.a.U(D2, i9, str, i8, "], sampleSize: ");
                                            D2.append(i12);
                                            D2.append(", targetDensity: ");
                                            D2.append(options.inTargetDensity);
                                            D2.append(str8);
                                            D2.append(options.inDensity);
                                            D2.append(", density multiplier: ");
                                            D2.append(f8);
                                            Log.v(str2, D2.toString());
                                        }
                                    } else {
                                        i13 = i10;
                                        i14 = i7;
                                    }
                                    if (i13 > 0 && i14 > 0) {
                                        d dVar2 = this.f8224j;
                                        if (i11 >= 26) {
                                            config = null;
                                        } else if (options.inPreferredConfig != Bitmap.Config.HARDWARE) {
                                            config = options.outConfig;
                                        }
                                        if (config == null) {
                                            config = options.inPreferredConfig;
                                        }
                                        options.inBitmap = dVar2.c(i13, i14, config);
                                    }
                                    if (i11 < 28) {
                                        options.inPreferredColorSpace = ColorSpace.get(preferredColorSpace == PreferredColorSpace.DISPLAY_P3 && (colorSpace = options.outColorSpace) != null && colorSpace.isWideGamut() ? ColorSpace.Named.DISPLAY_P3 : ColorSpace.Named.SRGB);
                                    } else if (i11 >= 26) {
                                        options.inPreferredColorSpace = ColorSpace.get(ColorSpace.Named.SRGB);
                                    }
                                    d2 = d(rVar, options, bVar, this.f8224j);
                                    bVar.a(this.f8224j, d2);
                                    if (Log.isLoggable(str2, 2)) {
                                        StringBuilder B = d.a.a.a.a.B("Decoded ");
                                        B.append(e(d2));
                                        B.append(" from [");
                                        B.append(i9);
                                        B.append(str);
                                        B.append(i8);
                                        B.append("] ");
                                        B.append(str6);
                                        B.append(" with inBitmap ");
                                        B.append(e(options.inBitmap));
                                        B.append(" for [");
                                        B.append(i2);
                                        B.append(str);
                                        B.append(i3);
                                        B.append("], sample size: ");
                                        B.append(options.inSampleSize);
                                        B.append(str8);
                                        B.append(options.inDensity);
                                        B.append(str3);
                                        B.append(options.inTargetDensity);
                                        B.append(", thread: ");
                                        B.append(Thread.currentThread().getName());
                                        B.append(", duration: ");
                                        B.append(e.a(elapsedRealtimeNanos));
                                        Log.v(str2, B.toString());
                                    }
                                    if (d2 != null) {
                                        return null;
                                    }
                                    d2.setDensity(this.f8225k.densityDpi);
                                    Bitmap g4 = y.g(this.f8224j, d2, i5);
                                    if (d2.equals(g4)) {
                                        return g4;
                                    }
                                    this.f8224j.e(d2);
                                    return g4;
                                } else if (i31 >= 24) {
                                    float f10 = (float) i21;
                                    i25 = Math.round(f4 / f10);
                                    i26 = Math.round(f5 / f10);
                                } else {
                                    float f11 = (float) i21;
                                    i25 = (int) Math.floor((double) (f4 / f11));
                                    d3 = Math.floor((double) (f5 / f11));
                                }
                                i26 = (int) d3;
                            }
                            i23 = i26;
                            i22 = i25;
                            i10 = i6;
                            i7 = i20;
                            double b42 = (double) downsampleStrategy.b(i22, i23, i10, i7);
                            int f72 = f(b42);
                            int k42 = k(((double) f72) * b42);
                            options.inTargetDensity = k((b42 / ((double) (((float) k42) / ((float) f72)))) * ((double) k42));
                            f2 = f(b42);
                            options.inDensity = f2;
                            i24 = options.inTargetDensity;
                            if (i24 <= 0 && f2 > 0 && i24 != f2) {
                            }
                            str2 = "Downsampler";
                            if (Log.isLoggable(str2, 2)) {
                            }
                            b2 = this.n.b(i10, i7, z4, f3);
                            if (b2) {
                            }
                            if (!b2) {
                            }
                            i11 = Build.VERSION.SDK_INT;
                            i12 = options.inSampleSize;
                            if (i9 >= 0) {
                            }
                            int i342 = options.inTargetDensity;
                            if (!(i342 <= 0 && (i15 = options.inDensity) > 0 && i342 != i15)) {
                            }
                            float f92 = (float) i12;
                            i13 = Math.round(((float) ((int) Math.ceil((double) (((float) i9) / f92)))) * f8);
                            i14 = Math.round(((float) ((int) Math.ceil((double) (((float) i8) / f92)))) * f8);
                            if (Log.isLoggable(str2, 2)) {
                            }
                            d dVar22 = this.f8224j;
                            if (i11 >= 26) {
                            }
                            if (config == null) {
                            }
                            options.inBitmap = dVar22.c(i13, i14, config);
                            if (i11 < 28) {
                            }
                            d2 = d(rVar, options, bVar, this.f8224j);
                            bVar.a(this.f8224j, d2);
                            if (Log.isLoggable(str2, 2)) {
                            }
                            if (d2 != null) {
                            }
                        }
                    } else {
                        i20 = i30;
                    }
                    i21 = Math.max(1, Integer.highestOneBit(i19));
                    if (a2 == sampleSizeRounding && ((float) i21) < 1.0f / b3) {
                        i21 <<= 1;
                    }
                    options.inSampleSize = i21;
                    if (d4 != ImageHeaderParser.ImageType.JPEG) {
                    }
                    i23 = i26;
                    i22 = i25;
                    i10 = i6;
                    i7 = i20;
                    double b422 = (double) downsampleStrategy.b(i22, i23, i10, i7);
                    int f722 = f(b422);
                    int k422 = k(((double) f722) * b422);
                    options.inTargetDensity = k((b422 / ((double) (((float) k422) / ((float) f722)))) * ((double) k422));
                    f2 = f(b422);
                    options.inDensity = f2;
                    i24 = options.inTargetDensity;
                    if (i24 <= 0 && f2 > 0 && i24 != f2) {
                    }
                    str2 = "Downsampler";
                    if (Log.isLoggable(str2, 2)) {
                    }
                    b2 = this.n.b(i10, i7, z4, f3);
                    if (b2) {
                    }
                    if (!b2) {
                    }
                    i11 = Build.VERSION.SDK_INT;
                    i12 = options.inSampleSize;
                    if (i9 >= 0) {
                    }
                    int i3422 = options.inTargetDensity;
                    if (!(i3422 <= 0 && (i15 = options.inDensity) > 0 && i3422 != i15)) {
                    }
                    float f922 = (float) i12;
                    i13 = Math.round(((float) ((int) Math.ceil((double) (((float) i9) / f922)))) * f8);
                    i14 = Math.round(((float) ((int) Math.ceil((double) (((float) i8) / f922)))) * f8);
                    if (Log.isLoggable(str2, 2)) {
                    }
                    d dVar222 = this.f8224j;
                    if (i11 >= 26) {
                    }
                    if (config == null) {
                    }
                    options.inBitmap = dVar222.c(i13, i14, config);
                    if (i11 < 28) {
                    }
                    d2 = d(rVar, options, bVar, this.f8224j);
                    bVar.a(this.f8224j, d2);
                    if (Log.isLoggable(str2, 2)) {
                    }
                    if (d2 != null) {
                    }
                } else {
                    throw new IllegalArgumentException("Cannot round with null rounding");
                }
            } else {
                StringBuilder sb = new StringBuilder();
                sb.append("Cannot scale with factor: ");
                sb.append(b3);
                sb.append(" from: ");
                sb.append(downsampleStrategy);
                sb.append(", source: [");
                d.a.a.a.a.U(sb, i28, "x", i29, "], target: [");
                sb.append(i6);
                sb.append("x");
                sb.append(i30);
                sb.append(str5);
                throw new IllegalArgumentException(sb.toString());
            }
        }
        if (Log.isLoggable(str2, i16)) {
            Log.d(str2, "Unable to determine dimensions for: " + d4 + " with target [" + i10 + str + i7 + str4);
        }
        b2 = this.n.b(i10, i7, z4, f3);
        if (b2) {
        }
        if (!b2) {
        }
        i11 = Build.VERSION.SDK_INT;
        i12 = options.inSampleSize;
        if (i9 >= 0) {
        }
        int i34222 = options.inTargetDensity;
        if (!(i34222 <= 0 && (i15 = options.inDensity) > 0 && i34222 != i15)) {
        }
        float f9222 = (float) i12;
        i13 = Math.round(((float) ((int) Math.ceil((double) (((float) i9) / f9222)))) * f8);
        i14 = Math.round(((float) ((int) Math.ceil((double) (((float) i8) / f9222)))) * f8);
        if (Log.isLoggable(str2, 2)) {
        }
        d dVar2222 = this.f8224j;
        if (i11 >= 26) {
        }
        if (config == null) {
        }
        options.inBitmap = dVar2222.c(i13, i14, config);
        if (i11 < 28) {
        }
        d2 = d(rVar, options, bVar, this.f8224j);
        bVar.a(this.f8224j, d2);
        if (Log.isLoggable(str2, 2)) {
        }
        if (d2 != null) {
        }
    }
}
