package d.d.a.m.q.g;

import android.content.Context;
import android.graphics.Bitmap;
import android.os.SystemClock;
import android.util.Log;
import b.o.a.n;
import com.bumptech.glide.load.DecodeFormat;
import com.bumptech.glide.load.ImageHeaderParser;
import com.bumptech.glide.load.resource.gif.GifDrawable;
import d.d.a.k.c;
import d.d.a.k.d;
import d.d.a.m.j;
import d.d.a.m.k;
import d.d.a.m.o.t;
import d.d.a.s.e;
import d.d.a.s.i;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.util.ArrayDeque;
import java.util.Arrays;
import java.util.List;
import java.util.Objects;
import java.util.Queue;

/* compiled from: ByteBufferGifDecoder */
public class a implements k<ByteBuffer, GifDrawable> {

    /* renamed from: a  reason: collision with root package name */
    public static final C0064a f8272a = new C0064a();

    /* renamed from: b  reason: collision with root package name */
    public static final b f8273b = new b();

    /* renamed from: c  reason: collision with root package name */
    public final Context f8274c;

    /* renamed from: d  reason: collision with root package name */
    public final List<ImageHeaderParser> f8275d;

    /* renamed from: e  reason: collision with root package name */
    public final b f8276e;

    /* renamed from: f  reason: collision with root package name */
    public final C0064a f8277f;

    /* renamed from: g  reason: collision with root package name */
    public final b f8278g;

    /* renamed from: d.d.a.m.q.g.a$a  reason: collision with other inner class name */
    /* compiled from: ByteBufferGifDecoder */
    public static class C0064a {
    }

    /* compiled from: ByteBufferGifDecoder */
    public static class b {

        /* renamed from: a  reason: collision with root package name */
        public final Queue<d> f8279a = new ArrayDeque(0);

        public b() {
            char[] cArr = i.f8429a;
        }

        public synchronized void a(d dVar) {
            dVar.f7756b = null;
            dVar.f7757c = null;
            this.f8279a.offer(dVar);
        }
    }

    public a(Context context, List<ImageHeaderParser> list, d.d.a.m.o.z.d dVar, d.d.a.m.o.z.b bVar) {
        b bVar2 = f8273b;
        C0064a aVar = f8272a;
        this.f8274c = context.getApplicationContext();
        this.f8275d = list;
        this.f8277f = aVar;
        this.f8278g = new b(dVar, bVar);
        this.f8276e = bVar2;
    }

    public static int d(c cVar, int i2, int i3) {
        int i4;
        int min = Math.min(cVar.f7750g / i3, cVar.f7749f / i2);
        if (min == 0) {
            i4 = 0;
        } else {
            i4 = Integer.highestOneBit(min);
        }
        int max = Math.max(1, i4);
        if (Log.isLoggable("BufferGifDecoder", 2) && max > 1) {
            StringBuilder D = d.a.a.a.a.D("Downsampling GIF, sampleSize: ", max, ", target dimens: [", i2, "x");
            D.append(i3);
            D.append("], actual dimens: [");
            D.append(cVar.f7749f);
            D.append("x");
            D.append(cVar.f7750g);
            D.append("]");
            Log.v("BufferGifDecoder", D.toString());
        }
        return max;
    }

    /* Return type fixed from 'd.d.a.m.o.t' to match base method */
    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, int, int, d.d.a.m.j] */
    @Override // d.d.a.m.k
    public t<GifDrawable> a(ByteBuffer byteBuffer, int i2, int i3, j jVar) {
        d poll;
        ByteBuffer byteBuffer2 = byteBuffer;
        b bVar = this.f8276e;
        synchronized (bVar) {
            poll = bVar.f8279a.poll();
            if (poll == null) {
                poll = new d();
            }
            poll.f7756b = null;
            Arrays.fill(poll.f7755a, (byte) 0);
            poll.f7757c = new c();
            poll.f7758d = 0;
            ByteBuffer asReadOnlyBuffer = byteBuffer2.asReadOnlyBuffer();
            poll.f7756b = asReadOnlyBuffer;
            asReadOnlyBuffer.position(0);
            poll.f7756b.order(ByteOrder.LITTLE_ENDIAN);
        }
        try {
            return c(byteBuffer2, i2, i3, poll, jVar);
        } finally {
            this.f8276e.a(poll);
        }
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, d.d.a.m.j] */
    @Override // d.d.a.m.k
    public boolean b(ByteBuffer byteBuffer, j jVar) {
        ImageHeaderParser.ImageType imageType;
        ByteBuffer byteBuffer2 = byteBuffer;
        if (!((Boolean) jVar.c(h.f8300b)).booleanValue()) {
            List<ImageHeaderParser> list = this.f8275d;
            if (byteBuffer2 == null) {
                imageType = ImageHeaderParser.ImageType.UNKNOWN;
            } else {
                imageType = n.O0(list, new d.d.a.m.b(byteBuffer2));
            }
            if (imageType == ImageHeaderParser.ImageType.GIF) {
                return true;
            }
        }
        return false;
    }

    public final d c(ByteBuffer byteBuffer, int i2, int i3, d dVar, j jVar) {
        Bitmap.Config config;
        int i4 = e.f8419b;
        long elapsedRealtimeNanos = SystemClock.elapsedRealtimeNanos();
        try {
            c b2 = dVar.b();
            if (b2.f7746c > 0) {
                if (b2.f7745b == 0) {
                    if (jVar.c(h.f8299a) == DecodeFormat.PREFER_RGB_565) {
                        config = Bitmap.Config.RGB_565;
                    } else {
                        config = Bitmap.Config.ARGB_8888;
                    }
                    int d2 = d(b2, i2, i3);
                    C0064a aVar = this.f8277f;
                    b bVar = this.f8278g;
                    Objects.requireNonNull(aVar);
                    d.d.a.k.e eVar = new d.d.a.k.e(bVar, b2, byteBuffer, d2);
                    eVar.i(config);
                    eVar.f7770l = (eVar.f7770l + 1) % eVar.m.f7746c;
                    Bitmap c2 = eVar.c();
                    if (c2 == null) {
                        if (Log.isLoggable("BufferGifDecoder", 2)) {
                            StringBuilder B = d.a.a.a.a.B("Decoded GIF from stream in ");
                            B.append(e.a(elapsedRealtimeNanos));
                            Log.v("BufferGifDecoder", B.toString());
                        }
                        return null;
                    }
                    d dVar2 = new d(new GifDrawable(this.f8274c, eVar, (d.d.a.m.q.b) d.d.a.m.q.b.f8198b, i2, i3, c2));
                    if (Log.isLoggable("BufferGifDecoder", 2)) {
                        StringBuilder B2 = d.a.a.a.a.B("Decoded GIF from stream in ");
                        B2.append(e.a(elapsedRealtimeNanos));
                        Log.v("BufferGifDecoder", B2.toString());
                    }
                    return dVar2;
                }
            }
            return null;
        } finally {
            if (Log.isLoggable("BufferGifDecoder", 2)) {
                StringBuilder B3 = d.a.a.a.a.B("Decoded GIF from stream in ");
                B3.append(e.a(elapsedRealtimeNanos));
                Log.v("BufferGifDecoder", B3.toString());
            }
        }
    }
}
