package d.d.a.q.i;

import android.content.Context;
import android.graphics.Point;
import android.graphics.drawable.Drawable;
import android.util.Log;
import android.view.Display;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.view.WindowManager;
import com.bumptech.glide.R$id;
import com.bumptech.glide.request.SingleRequest;
import d.d.a.q.c;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Objects;

/* compiled from: CustomViewTarget */
public abstract class d<T extends View, Z> implements i<Z> {

    /* renamed from: d  reason: collision with root package name */
    public static final int f8382d = R$id.glide_custom_view_target_tag;

    /* renamed from: h  reason: collision with root package name */
    public final a f8383h;

    /* renamed from: j  reason: collision with root package name */
    public final T f8384j;

    /* compiled from: CustomViewTarget */
    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        public static Integer f8385a;

        /* renamed from: b  reason: collision with root package name */
        public final View f8386b;

        /* renamed from: c  reason: collision with root package name */
        public final List<h> f8387c = new ArrayList();

        /* renamed from: d  reason: collision with root package name */
        public ViewTreeObserver$OnPreDrawListenerC0066a f8388d;

        /* renamed from: d.d.a.q.i.d$a$a  reason: collision with other inner class name */
        /* compiled from: CustomViewTarget */
        public static final class ViewTreeObserver$OnPreDrawListenerC0066a implements ViewTreeObserver.OnPreDrawListener {

            /* renamed from: d  reason: collision with root package name */
            public final WeakReference<a> f8389d;

            public ViewTreeObserver$OnPreDrawListenerC0066a(a aVar) {
                this.f8389d = new WeakReference<>(aVar);
            }

            public boolean onPreDraw() {
                if (Log.isLoggable("CustomViewTarget", 2)) {
                    Log.v("CustomViewTarget", "OnGlobalLayoutListener called attachStateListener=" + this);
                }
                a aVar = this.f8389d.get();
                if (aVar == null || aVar.f8387c.isEmpty()) {
                    return true;
                }
                int d2 = aVar.d();
                int c2 = aVar.c();
                if (!aVar.e(d2, c2)) {
                    return true;
                }
                Iterator it = new ArrayList(aVar.f8387c).iterator();
                while (it.hasNext()) {
                    ((h) it.next()).b(d2, c2);
                }
                aVar.a();
                return true;
            }
        }

        public a(View view) {
            this.f8386b = view;
        }

        public void a() {
            ViewTreeObserver viewTreeObserver = this.f8386b.getViewTreeObserver();
            if (viewTreeObserver.isAlive()) {
                viewTreeObserver.removeOnPreDrawListener(this.f8388d);
            }
            this.f8388d = null;
            this.f8387c.clear();
        }

        public final int b(int i2, int i3, int i4) {
            int i5 = i3 - i4;
            if (i5 > 0) {
                return i5;
            }
            int i6 = i2 - i4;
            if (i6 > 0) {
                return i6;
            }
            if (this.f8386b.isLayoutRequested() || i3 != -2) {
                return 0;
            }
            if (Log.isLoggable("CustomViewTarget", 4)) {
                Log.i("CustomViewTarget", "Glide treats LayoutParams.WRAP_CONTENT as a request for an image the size of this device's screen dimensions. If you want to load the original image and are ok with the corresponding memory cost and OOMs (depending on the input size), use .override(Target.SIZE_ORIGINAL). Otherwise, use LayoutParams.MATCH_PARENT, set layout_width and layout_height to fixed dimension, or use .override() with fixed dimensions.");
            }
            Context context = this.f8386b.getContext();
            if (f8385a == null) {
                WindowManager windowManager = (WindowManager) context.getSystemService("window");
                Objects.requireNonNull(windowManager, "Argument must not be null");
                Display defaultDisplay = windowManager.getDefaultDisplay();
                Point point = new Point();
                defaultDisplay.getSize(point);
                f8385a = Integer.valueOf(Math.max(point.x, point.y));
            }
            return f8385a.intValue();
        }

        public final int c() {
            int paddingBottom = this.f8386b.getPaddingBottom() + this.f8386b.getPaddingTop();
            ViewGroup.LayoutParams layoutParams = this.f8386b.getLayoutParams();
            return b(this.f8386b.getHeight(), layoutParams != null ? layoutParams.height : 0, paddingBottom);
        }

        public final int d() {
            int paddingRight = this.f8386b.getPaddingRight() + this.f8386b.getPaddingLeft();
            ViewGroup.LayoutParams layoutParams = this.f8386b.getLayoutParams();
            return b(this.f8386b.getWidth(), layoutParams != null ? layoutParams.width : 0, paddingRight);
        }

        public final boolean e(int i2, int i3) {
            if (i2 > 0 || i2 == Integer.MIN_VALUE) {
                if (i3 > 0 || i3 == Integer.MIN_VALUE) {
                    return true;
                }
            }
            return false;
        }
    }

    public d(T t) {
        Objects.requireNonNull(t, "Argument must not be null");
        this.f8384j = t;
        this.f8383h = new a(t);
    }

    @Override // d.d.a.q.i.i
    public final c getRequest() {
        Object tag = this.f8384j.getTag(f8382d);
        if (tag == null) {
            return null;
        }
        if (tag instanceof c) {
            return (c) tag;
        }
        throw new IllegalArgumentException("You must not pass non-R.id ids to setTag(id)");
    }

    @Override // d.d.a.q.i.i
    public final void getSize(h hVar) {
        a aVar = this.f8383h;
        int d2 = aVar.d();
        int c2 = aVar.c();
        if (aVar.e(d2, c2)) {
            ((SingleRequest) hVar).b(d2, c2);
            return;
        }
        if (!aVar.f8387c.contains(hVar)) {
            aVar.f8387c.add(hVar);
        }
        if (aVar.f8388d == null) {
            ViewTreeObserver viewTreeObserver = aVar.f8386b.getViewTreeObserver();
            a.ViewTreeObserver$OnPreDrawListenerC0066a aVar2 = new a.ViewTreeObserver$OnPreDrawListenerC0066a(aVar);
            aVar.f8388d = aVar2;
            viewTreeObserver.addOnPreDrawListener(aVar2);
        }
    }

    @Override // d.d.a.n.m
    public void onDestroy() {
    }

    @Override // d.d.a.q.i.i
    public final void onLoadCleared(Drawable drawable) {
        this.f8383h.a();
    }

    @Override // d.d.a.q.i.i
    public final void onLoadStarted(Drawable drawable) {
    }

    @Override // d.d.a.n.m
    public void onStart() {
    }

    @Override // d.d.a.n.m
    public void onStop() {
    }

    @Override // d.d.a.q.i.i
    public final void removeCallback(h hVar) {
        this.f8383h.f8387c.remove(hVar);
    }

    @Override // d.d.a.q.i.i
    public final void setRequest(c cVar) {
        this.f8384j.setTag(f8382d, cVar);
    }

    public String toString() {
        StringBuilder B = d.a.a.a.a.B("Target for: ");
        B.append(this.f8384j);
        return B.toString();
    }
}
