package d.d.a.q.i;

import android.content.Context;
import android.graphics.Point;
import android.graphics.drawable.Drawable;
import android.util.Log;
import android.view.Display;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.view.WindowManager;
import com.bumptech.glide.R$id;
import d.d.a.q.c;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Objects;

@Deprecated
/* compiled from: ViewTarget */
public abstract class j<T extends View, Z> extends a<Z> {
    private static final String TAG = "ViewTarget";
    private static boolean isTagUsedAtLeastOnce;
    private static int tagId = R$id.glide_custom_view_target_tag;
    private View.OnAttachStateChangeListener attachStateListener;
    private boolean isAttachStateListenerAdded;
    private boolean isClearedByUs;
    private final b sizeDeterminer;
    public final T view;

    /* compiled from: ViewTarget */
    public class a implements View.OnAttachStateChangeListener {
        public a() {
        }

        public void onViewAttachedToWindow(View view) {
            j.this.resumeMyRequest();
        }

        public void onViewDetachedFromWindow(View view) {
            j.this.pauseMyRequest();
        }
    }

    /* compiled from: ViewTarget */
    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        public static Integer f8391a;

        /* renamed from: b  reason: collision with root package name */
        public final View f8392b;

        /* renamed from: c  reason: collision with root package name */
        public final List<h> f8393c = new ArrayList();

        /* renamed from: d  reason: collision with root package name */
        public boolean f8394d;

        /* renamed from: e  reason: collision with root package name */
        public a f8395e;

        /* compiled from: ViewTarget */
        public static final class a implements ViewTreeObserver.OnPreDrawListener {

            /* renamed from: d  reason: collision with root package name */
            public final WeakReference<b> f8396d;

            public a(b bVar) {
                this.f8396d = new WeakReference<>(bVar);
            }

            public boolean onPreDraw() {
                if (Log.isLoggable(j.TAG, 2)) {
                    Log.v(j.TAG, "OnGlobalLayoutListener called attachStateListener=" + this);
                }
                b bVar = this.f8396d.get();
                if (bVar == null || bVar.f8393c.isEmpty()) {
                    return true;
                }
                int d2 = bVar.d();
                int c2 = bVar.c();
                if (!bVar.e(d2, c2)) {
                    return true;
                }
                Iterator it = new ArrayList(bVar.f8393c).iterator();
                while (it.hasNext()) {
                    ((h) it.next()).b(d2, c2);
                }
                bVar.a();
                return true;
            }
        }

        public b(View view) {
            this.f8392b = view;
        }

        public void a() {
            ViewTreeObserver viewTreeObserver = this.f8392b.getViewTreeObserver();
            if (viewTreeObserver.isAlive()) {
                viewTreeObserver.removeOnPreDrawListener(this.f8395e);
            }
            this.f8395e = null;
            this.f8393c.clear();
        }

        public final int b(int i2, int i3, int i4) {
            int i5 = i3 - i4;
            if (i5 > 0) {
                return i5;
            }
            if (this.f8394d && this.f8392b.isLayoutRequested()) {
                return 0;
            }
            int i6 = i2 - i4;
            if (i6 > 0) {
                return i6;
            }
            if (this.f8392b.isLayoutRequested() || i3 != -2) {
                return 0;
            }
            if (Log.isLoggable(j.TAG, 4)) {
                Log.i(j.TAG, "Glide treats LayoutParams.WRAP_CONTENT as a request for an image the size of this device's screen dimensions. If you want to load the original image and are ok with the corresponding memory cost and OOMs (depending on the input size), use override(Target.SIZE_ORIGINAL). Otherwise, use LayoutParams.MATCH_PARENT, set layout_width and layout_height to fixed dimension, or use .override() with fixed dimensions.");
            }
            Context context = this.f8392b.getContext();
            if (f8391a == null) {
                WindowManager windowManager = (WindowManager) context.getSystemService("window");
                Objects.requireNonNull(windowManager, "Argument must not be null");
                Display defaultDisplay = windowManager.getDefaultDisplay();
                Point point = new Point();
                defaultDisplay.getSize(point);
                f8391a = Integer.valueOf(Math.max(point.x, point.y));
            }
            return f8391a.intValue();
        }

        public final int c() {
            int paddingBottom = this.f8392b.getPaddingBottom() + this.f8392b.getPaddingTop();
            ViewGroup.LayoutParams layoutParams = this.f8392b.getLayoutParams();
            return b(this.f8392b.getHeight(), layoutParams != null ? layoutParams.height : 0, paddingBottom);
        }

        public final int d() {
            int paddingRight = this.f8392b.getPaddingRight() + this.f8392b.getPaddingLeft();
            ViewGroup.LayoutParams layoutParams = this.f8392b.getLayoutParams();
            return b(this.f8392b.getWidth(), layoutParams != null ? layoutParams.width : 0, paddingRight);
        }

        public final boolean e(int i2, int i3) {
            if (i2 > 0 || i2 == Integer.MIN_VALUE) {
                if (i3 > 0 || i3 == Integer.MIN_VALUE) {
                    return true;
                }
            }
            return false;
        }
    }

    public j(T t) {
        Objects.requireNonNull(t, "Argument must not be null");
        this.view = t;
        this.sizeDeterminer = new b(t);
    }

    private Object getTag() {
        return this.view.getTag(tagId);
    }

    private void maybeAddAttachStateListener() {
        View.OnAttachStateChangeListener onAttachStateChangeListener = this.attachStateListener;
        if (onAttachStateChangeListener != null && !this.isAttachStateListenerAdded) {
            this.view.addOnAttachStateChangeListener(onAttachStateChangeListener);
            this.isAttachStateListenerAdded = true;
        }
    }

    private void maybeRemoveAttachStateListener() {
        View.OnAttachStateChangeListener onAttachStateChangeListener = this.attachStateListener;
        if (onAttachStateChangeListener != null && this.isAttachStateListenerAdded) {
            this.view.removeOnAttachStateChangeListener(onAttachStateChangeListener);
            this.isAttachStateListenerAdded = false;
        }
    }

    private void setTag(Object obj) {
        isTagUsedAtLeastOnce = true;
        this.view.setTag(tagId, obj);
    }

    @Deprecated
    public static void setTagId(int i2) {
        if (!isTagUsedAtLeastOnce) {
            tagId = i2;
            return;
        }
        throw new IllegalArgumentException("You cannot set the tag id more than once or change the tag id after the first request has been made");
    }

    public final j<T, Z> clearOnDetach() {
        if (this.attachStateListener != null) {
            return this;
        }
        this.attachStateListener = new a();
        maybeAddAttachStateListener();
        return this;
    }

    @Override // d.d.a.q.i.i, d.d.a.q.i.a
    public c getRequest() {
        Object tag = getTag();
        if (tag == null) {
            return null;
        }
        if (tag instanceof c) {
            return (c) tag;
        }
        throw new IllegalArgumentException("You must not call setTag() on a view Glide is targeting");
    }

    @Override // d.d.a.q.i.i
    public void getSize(h hVar) {
        b bVar = this.sizeDeterminer;
        int d2 = bVar.d();
        int c2 = bVar.c();
        if (bVar.e(d2, c2)) {
            hVar.b(d2, c2);
            return;
        }
        if (!bVar.f8393c.contains(hVar)) {
            bVar.f8393c.add(hVar);
        }
        if (bVar.f8395e == null) {
            ViewTreeObserver viewTreeObserver = bVar.f8392b.getViewTreeObserver();
            b.a aVar = new b.a(bVar);
            bVar.f8395e = aVar;
            viewTreeObserver.addOnPreDrawListener(aVar);
        }
    }

    public T getView() {
        return this.view;
    }

    @Override // d.d.a.q.i.i, d.d.a.q.i.a
    public void onLoadCleared(Drawable drawable) {
        super.onLoadCleared(drawable);
        this.sizeDeterminer.a();
        if (!this.isClearedByUs) {
            maybeRemoveAttachStateListener();
        }
    }

    @Override // d.d.a.q.i.i, d.d.a.q.i.a
    public void onLoadStarted(Drawable drawable) {
        super.onLoadStarted(drawable);
        maybeAddAttachStateListener();
    }

    public void pauseMyRequest() {
        c request = getRequest();
        if (request != null) {
            this.isClearedByUs = true;
            request.clear();
            this.isClearedByUs = false;
        }
    }

    @Override // d.d.a.q.i.i
    public void removeCallback(h hVar) {
        this.sizeDeterminer.f8393c.remove(hVar);
    }

    public void resumeMyRequest() {
        c request = getRequest();
        if (request != null && request.d()) {
            request.g();
        }
    }

    @Override // d.d.a.q.i.i, d.d.a.q.i.a
    public void setRequest(c cVar) {
        setTag(cVar);
    }

    public String toString() {
        StringBuilder B = d.a.a.a.a.B("Target for: ");
        B.append(this.view);
        return B.toString();
    }

    public final j<T, Z> waitForLayout() {
        this.sizeDeterminer.f8394d = true;
        return this;
    }

    @Deprecated
    public j(T t, boolean z) {
        this(t);
        if (z) {
            waitForLayout();
        }
    }
}
