package d.e.a;

import android.app.Notification;
import android.app.NotificationChannel;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager;
import android.os.Build;
import android.os.HandlerThread;
import android.os.SystemClock;
import android.text.TextUtils;
import androidx.core.app.NotificationCompat$Action;
import b.j.a.e;
import com.download.library.DownloadException;
import com.download.library.DownloadTask;
import com.download.library.R$string;
import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.Objects;

/* compiled from: DownloadNotifier */
public class h {

    /* renamed from: a  reason: collision with root package name */
    public static final String f8462a;

    /* renamed from: b  reason: collision with root package name */
    public static long f8463b = SystemClock.elapsedRealtime();

    /* renamed from: c  reason: collision with root package name */
    public static volatile d.n.a.c f8464c;

    /* renamed from: d  reason: collision with root package name */
    public int f8465d;

    /* renamed from: e  reason: collision with root package name */
    public NotificationManager f8466e;

    /* renamed from: f  reason: collision with root package name */
    public Notification f8467f;

    /* renamed from: g  reason: collision with root package name */
    public e f8468g;

    /* renamed from: h  reason: collision with root package name */
    public Context f8469h;

    /* renamed from: i  reason: collision with root package name */
    public volatile boolean f8470i = false;

    /* renamed from: j  reason: collision with root package name */
    public NotificationCompat$Action f8471j;

    /* renamed from: k  reason: collision with root package name */
    public DownloadTask f8472k;

    /* renamed from: l  reason: collision with root package name */
    public String f8473l = "";

    /* compiled from: DownloadNotifier */
    public class a implements Runnable {
        public a() {
        }

        public void run() {
            h hVar = h.this;
            hVar.f8467f = hVar.f8468g.a();
            h hVar2 = h.this;
            hVar2.f8466e.notify(hVar2.f8465d, hVar2.f8467f);
        }
    }

    /* compiled from: DownloadNotifier */
    public static class b implements Runnable {

        /* renamed from: d  reason: collision with root package name */
        public final /* synthetic */ Context f8475d;

        /* renamed from: h  reason: collision with root package name */
        public final /* synthetic */ int f8476h;

        public b(Context context, int i2) {
            this.f8475d = context;
            this.f8476h = i2;
        }

        public void run() {
            NotificationManager notificationManager = (NotificationManager) this.f8475d.getSystemService("notification");
            if (notificationManager != null) {
                notificationManager.cancel(this.f8476h);
            }
        }
    }

    /* compiled from: DownloadNotifier */
    public static class c implements Runnable {

        /* renamed from: d  reason: collision with root package name */
        public final /* synthetic */ f f8477d;

        /* renamed from: h  reason: collision with root package name */
        public final /* synthetic */ DownloadTask f8478h;

        public c(f fVar, DownloadTask downloadTask) {
            this.f8477d = fVar;
            this.f8478h = downloadTask;
        }

        public void run() {
            f fVar = this.f8477d;
            if (fVar != null) {
                fVar.onResult(new DownloadException(16390, u.f8511c.get(16390)), this.f8478h.getFileUri(), this.f8478h.getUrl(), this.f8478h);
            }
        }
    }

    static {
        StringBuilder B = d.a.a.a.a.B("Download-");
        B.append(h.class.getSimpleName());
        f8462a = B.toString();
    }

    public h(Context context, int i2) {
        PackageManager packageManager;
        ApplicationInfo applicationInfo;
        SystemClock.uptimeMillis();
        this.f8465d = i2;
        d0 d0Var = d0.f8443a;
        Objects.requireNonNull(d0Var);
        this.f8469h = context;
        this.f8466e = (NotificationManager) context.getSystemService("notification");
        try {
            if (Build.VERSION.SDK_INT >= 26) {
                Context context2 = this.f8469h;
                String packageName = context2.getPackageName();
                Objects.requireNonNull(d0Var);
                String concat = packageName.concat("4.1.9");
                this.f8468g = new e(context2, concat);
                Objects.requireNonNull(d0Var);
                try {
                    packageManager = context.getApplicationContext().getPackageManager();
                    try {
                        applicationInfo = packageManager.getApplicationInfo(context.getPackageName(), 0);
                    } catch (PackageManager.NameNotFoundException unused) {
                        applicationInfo = null;
                    }
                } catch (PackageManager.NameNotFoundException unused2) {
                    applicationInfo = null;
                    packageManager = null;
                }
                NotificationChannel notificationChannel = new NotificationChannel(concat, (String) packageManager.getApplicationLabel(applicationInfo), 2);
                NotificationManager notificationManager = (NotificationManager) this.f8469h.getSystemService("notification");
                if (notificationManager != null) {
                    notificationManager.createNotificationChannel(notificationChannel);
                }
                notificationChannel.enableLights(false);
                notificationChannel.enableVibration(false);
                notificationChannel.setSound(null, null);
                return;
            }
            this.f8468g = new e(this.f8469h, null);
        } catch (Throwable unused3) {
            Objects.requireNonNull(d0.f8443a);
        }
    }

    public static void a(h hVar) {
        int indexOf;
        Objects.requireNonNull(hVar);
        try {
            Field declaredField = hVar.f8468g.getClass().getDeclaredField("mActions");
            ArrayList arrayList = null;
            if (declaredField != null) {
                arrayList = (ArrayList) declaredField.get(hVar.f8468g);
            }
            if (arrayList != null && (indexOf = arrayList.indexOf(hVar.f8471j)) != -1) {
                arrayList.remove(indexOf);
            }
        } catch (Throwable unused) {
            Objects.requireNonNull(d0.f8443a);
        }
    }

    public static boolean b(h hVar) {
        return hVar.f8468g.a().deleteIntent != null;
    }

    public static void c(h hVar, PendingIntent pendingIntent) {
        hVar.f8468g.a().deleteIntent = pendingIntent;
    }

    public static void e(DownloadTask downloadTask) {
        int i2 = downloadTask.mId;
        Context context = downloadTask.getContext();
        f downloadListener = downloadTask.getDownloadListener();
        g().d(new b(context, i2));
        d.n.a.e.a().b(new c(downloadListener, downloadTask));
    }

    public static d.n.a.c g() {
        if (f8464c == null) {
            synchronized (h.class) {
                if (f8464c == null) {
                    Object obj = d.n.a.c.f12400d;
                    HandlerThread handlerThread = new HandlerThread("Notifier", 0);
                    handlerThread.start();
                    f8464c = new d.n.a.c(handlerThread.getLooper());
                }
            }
        }
        return f8464c;
    }

    public final PendingIntent d(Context context, int i2, String str) {
        d0 d0Var = d0.f8443a;
        Intent intent = new Intent(d0Var.a(context, "com.download.cancelled"));
        intent.putExtra("TAG", str);
        PendingIntent broadcast = PendingIntent.getBroadcast(context, i2 * 1000, intent, 134217728);
        d0Var.a(context, "com.download.cancelled");
        Objects.requireNonNull(d0Var);
        return broadcast;
    }

    public final long f() {
        synchronized (h.class) {
            long elapsedRealtime = SystemClock.elapsedRealtime();
            long j2 = f8463b;
            if (elapsedRealtime >= j2 + 500) {
                f8463b = elapsedRealtime;
                return 0;
            }
            long j3 = 500 - (elapsedRealtime - j2);
            f8463b = j2 + j3;
            return j3;
        }
    }

    public final String h(DownloadTask downloadTask) {
        if (downloadTask.getFile() == null || TextUtils.isEmpty(downloadTask.getFile().getName())) {
            return this.f8469h.getString(R$string.download_file_download);
        }
        return downloadTask.getFile().getName();
    }

    public void i(DownloadTask downloadTask) {
        String h2 = h(downloadTask);
        this.f8472k = downloadTask;
        this.f8468g.f3254g = PendingIntent.getActivity(this.f8469h, 200, new Intent(), 134217728);
        this.f8468g.p.icon = this.f8472k.getDownloadIcon();
        e eVar = this.f8468g;
        eVar.p.tickerText = e.c(this.f8469h.getString(R$string.download_trickter));
        e eVar2 = this.f8468g;
        Objects.requireNonNull(eVar2);
        eVar2.f3252e = e.c(h2);
        this.f8468g.d(this.f8469h.getString(R$string.download_coming_soon_download));
        this.f8468g.p.when = System.currentTimeMillis();
        e eVar3 = this.f8468g;
        eVar3.p.flags |= 16;
        eVar3.f3255h = -1;
        eVar3.p.deleteIntent = d(this.f8469h, downloadTask.getId(), downloadTask.getUrl());
        this.f8468g.p.defaults = 0;
    }

    public final void j() {
        g().b(new a());
    }
}
