package d.h.a.b.a;

import android.animation.Animator;
import android.animation.AnimatorInflater;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.animation.PropertyValuesHolder;
import android.animation.TimeInterpolator;
import android.content.Context;
import android.content.res.TypedArray;
import android.util.Log;
import android.util.Property;
import android.view.animation.AccelerateDecelerateInterpolator;
import android.view.animation.AccelerateInterpolator;
import android.view.animation.DecelerateInterpolator;
import d.a.a.a.a;
import java.util.ArrayList;
import java.util.List;

/* compiled from: MotionSpec */
public class g {

    /* renamed from: a  reason: collision with root package name */
    public final b.f.g<String, h> f10166a = new b.f.g<>();

    /* renamed from: b  reason: collision with root package name */
    public final b.f.g<String, PropertyValuesHolder[]> f10167b = new b.f.g<>();

    public static g a(Context context, TypedArray typedArray, int i2) {
        int resourceId;
        if (!typedArray.hasValue(i2) || (resourceId = typedArray.getResourceId(i2, 0)) == 0) {
            return null;
        }
        return b(context, resourceId);
    }

    public static g b(Context context, int i2) {
        try {
            Animator loadAnimator = AnimatorInflater.loadAnimator(context, i2);
            if (loadAnimator instanceof AnimatorSet) {
                return c(((AnimatorSet) loadAnimator).getChildAnimations());
            }
            if (loadAnimator == null) {
                return null;
            }
            ArrayList arrayList = new ArrayList();
            arrayList.add(loadAnimator);
            return c(arrayList);
        } catch (Exception e2) {
            StringBuilder B = a.B("Can't load animation resource ID #0x");
            B.append(Integer.toHexString(i2));
            Log.w("MotionSpec", B.toString(), e2);
            return null;
        }
    }

    public static g c(List<Animator> list) {
        g gVar = new g();
        int size = list.size();
        for (int i2 = 0; i2 < size; i2++) {
            Animator animator = list.get(i2);
            if (animator instanceof ObjectAnimator) {
                ObjectAnimator objectAnimator = (ObjectAnimator) animator;
                gVar.f10167b.put(objectAnimator.getPropertyName(), objectAnimator.getValues());
                String propertyName = objectAnimator.getPropertyName();
                long startDelay = objectAnimator.getStartDelay();
                long duration = objectAnimator.getDuration();
                TimeInterpolator interpolator = objectAnimator.getInterpolator();
                if ((interpolator instanceof AccelerateDecelerateInterpolator) || interpolator == null) {
                    interpolator = a.f10154b;
                } else if (interpolator instanceof AccelerateInterpolator) {
                    interpolator = a.f10155c;
                } else if (interpolator instanceof DecelerateInterpolator) {
                    interpolator = a.f10156d;
                }
                h hVar = new h(startDelay, duration, interpolator);
                hVar.f10171d = objectAnimator.getRepeatCount();
                hVar.f10172e = objectAnimator.getRepeatMode();
                gVar.f10166a.put(propertyName, hVar);
            } else {
                throw new IllegalArgumentException("Animator must be an ObjectAnimator: " + animator);
            }
        }
        return gVar;
    }

    public <T> ObjectAnimator d(String str, T t, Property<T, ?> property) {
        ObjectAnimator ofPropertyValuesHolder = ObjectAnimator.ofPropertyValuesHolder(t, e(str));
        ofPropertyValuesHolder.setProperty(property);
        f(str).a(ofPropertyValuesHolder);
        return ofPropertyValuesHolder;
    }

    public PropertyValuesHolder[] e(String str) {
        if (g(str)) {
            PropertyValuesHolder[] propertyValuesHolderArr = this.f10167b.get(str);
            PropertyValuesHolder[] propertyValuesHolderArr2 = new PropertyValuesHolder[propertyValuesHolderArr.length];
            for (int i2 = 0; i2 < propertyValuesHolderArr.length; i2++) {
                propertyValuesHolderArr2[i2] = propertyValuesHolderArr[i2].clone();
            }
            return propertyValuesHolderArr2;
        }
        throw new IllegalArgumentException();
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof g)) {
            return false;
        }
        return this.f10166a.equals(((g) obj).f10166a);
    }

    public h f(String str) {
        if (this.f10166a.get(str) != null) {
            return this.f10166a.get(str);
        }
        throw new IllegalArgumentException();
    }

    public boolean g(String str) {
        return this.f10167b.get(str) != null;
    }

    public int hashCode() {
        return this.f10166a.hashCode();
    }

    public String toString() {
        return '\n' + g.class.getName() + '{' + Integer.toHexString(System.identityHashCode(this)) + " timings: " + this.f10166a + "}\n";
    }
}
