package d.h.a.b.c0;

import android.content.res.Resources;
import android.text.Editable;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.view.View;
import android.view.inputmethod.InputMethodManager;
import android.widget.EditText;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.core.view.ViewCompat;
import com.google.android.material.R$id;
import com.google.android.material.R$string;
import com.google.android.material.button.MaterialButton;
import com.google.android.material.button.MaterialButtonToggleGroup;
import com.google.android.material.textfield.TextInputLayout;
import com.google.android.material.timepicker.ChipTextInputComboView;
import com.google.android.material.timepicker.TimeModel;
import com.google.android.material.timepicker.TimePickerView;
import d.h.a.b.p.e;
import java.util.Locale;

/* compiled from: TimePickerTextInputPresenter */
public class f implements TimePickerView.e, d {

    /* renamed from: d  reason: collision with root package name */
    public final LinearLayout f10290d;

    /* renamed from: h  reason: collision with root package name */
    public final TimeModel f10291h;

    /* renamed from: j  reason: collision with root package name */
    public final TextWatcher f10292j;

    /* renamed from: k  reason: collision with root package name */
    public final TextWatcher f10293k;

    /* renamed from: l  reason: collision with root package name */
    public final ChipTextInputComboView f10294l;
    public final ChipTextInputComboView m;
    public final e n;
    public final EditText o;
    public final EditText p;
    public MaterialButtonToggleGroup q;

    /* compiled from: TimePickerTextInputPresenter */
    public class a extends e {
        public a() {
        }

        @Override // d.h.a.b.p.e
        public void afterTextChanged(Editable editable) {
            try {
                if (TextUtils.isEmpty(editable)) {
                    f.this.f10291h.setMinute(0);
                    return;
                }
                f.this.f10291h.setMinute(Integer.parseInt(editable.toString()));
            } catch (NumberFormatException unused) {
            }
        }
    }

    /* compiled from: TimePickerTextInputPresenter */
    public class b extends e {
        public b() {
        }

        @Override // d.h.a.b.p.e
        public void afterTextChanged(Editable editable) {
            try {
                if (TextUtils.isEmpty(editable)) {
                    f.this.f10291h.setHour(0);
                    return;
                }
                f.this.f10291h.setHour(Integer.parseInt(editable.toString()));
            } catch (NumberFormatException unused) {
            }
        }
    }

    /* compiled from: TimePickerTextInputPresenter */
    public class c implements View.OnClickListener {
        public c() {
        }

        public void onClick(View view) {
            f.this.c(((Integer) view.getTag(R$id.selection_type)).intValue());
        }
    }

    public f(LinearLayout linearLayout, TimeModel timeModel) {
        a aVar = new a();
        this.f10292j = aVar;
        b bVar = new b();
        this.f10293k = bVar;
        this.f10290d = linearLayout;
        this.f10291h = timeModel;
        Resources resources = linearLayout.getResources();
        ChipTextInputComboView chipTextInputComboView = (ChipTextInputComboView) linearLayout.findViewById(R$id.material_minute_text_input);
        this.f10294l = chipTextInputComboView;
        ChipTextInputComboView chipTextInputComboView2 = (ChipTextInputComboView) linearLayout.findViewById(R$id.material_hour_text_input);
        this.m = chipTextInputComboView2;
        int i2 = R$id.material_label;
        ((TextView) chipTextInputComboView.findViewById(i2)).setText(resources.getString(R$string.material_timepicker_minute));
        ((TextView) chipTextInputComboView2.findViewById(i2)).setText(resources.getString(R$string.material_timepicker_hour));
        int i3 = R$id.selection_type;
        chipTextInputComboView.setTag(i3, 12);
        chipTextInputComboView2.setTag(i3, 10);
        if (timeModel.format == 0) {
            MaterialButtonToggleGroup materialButtonToggleGroup = (MaterialButtonToggleGroup) linearLayout.findViewById(R$id.material_clock_period_toggle);
            this.q = materialButtonToggleGroup;
            materialButtonToggleGroup.m.add(new g(this));
            this.q.setVisibility(0);
            d();
        }
        c cVar = new c();
        chipTextInputComboView2.setOnClickListener(cVar);
        chipTextInputComboView.setOnClickListener(cVar);
        chipTextInputComboView2.a(timeModel.getHourInputValidator());
        chipTextInputComboView.a(timeModel.getMinuteInputValidator());
        EditText editText = chipTextInputComboView2.f5086h.getEditText();
        this.o = editText;
        EditText editText2 = chipTextInputComboView.f5086h.getEditText();
        this.p = editText2;
        e eVar = new e(chipTextInputComboView2, chipTextInputComboView, timeModel);
        this.n = eVar;
        ViewCompat.u(chipTextInputComboView2.f5085d, new a(linearLayout.getContext(), R$string.material_hour_selection));
        ViewCompat.u(chipTextInputComboView.f5085d, new a(linearLayout.getContext(), R$string.material_minute_selection));
        editText.addTextChangedListener(bVar);
        editText2.addTextChangedListener(aVar);
        b(timeModel);
        TextInputLayout textInputLayout = chipTextInputComboView2.f5086h;
        TextInputLayout textInputLayout2 = chipTextInputComboView.f5086h;
        EditText editText3 = textInputLayout.getEditText();
        EditText editText4 = textInputLayout2.getEditText();
        editText3.setImeOptions(268435461);
        editText4.setImeOptions(268435462);
        editText3.setOnEditorActionListener(eVar);
        editText3.setOnKeyListener(eVar);
        editText4.setOnKeyListener(eVar);
    }

    @Override // d.h.a.b.c0.d
    public void a() {
        b(this.f10291h);
    }

    public final void b(TimeModel timeModel) {
        this.o.removeTextChangedListener(this.f10293k);
        this.p.removeTextChangedListener(this.f10292j);
        Locale locale = this.f10290d.getResources().getConfiguration().locale;
        String format = String.format(locale, TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(timeModel.minute));
        String format2 = String.format(locale, TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(timeModel.getHourForDisplay()));
        this.f10294l.b(format);
        this.m.b(format2);
        this.o.addTextChangedListener(this.f10293k);
        this.p.addTextChangedListener(this.f10292j);
        d();
    }

    @Override // com.google.android.material.timepicker.TimePickerView.e
    public void c(int i2) {
        this.f10291h.selection = i2;
        boolean z = true;
        this.f10294l.setChecked(i2 == 12);
        ChipTextInputComboView chipTextInputComboView = this.m;
        if (i2 != 10) {
            z = false;
        }
        chipTextInputComboView.setChecked(z);
        d();
    }

    public final void d() {
        MaterialButton materialButton;
        MaterialButtonToggleGroup materialButtonToggleGroup = this.q;
        if (materialButtonToggleGroup != null) {
            int i2 = this.f10291h.period == 0 ? R$id.material_clock_period_am_button : R$id.material_clock_period_pm_button;
            if (i2 != materialButtonToggleGroup.s && (materialButton = (MaterialButton) materialButtonToggleGroup.findViewById(i2)) != null) {
                materialButton.setChecked(true);
            }
        }
    }

    @Override // d.h.a.b.c0.d
    public void hide() {
        View focusedChild = this.f10290d.getFocusedChild();
        if (focusedChild == null) {
            this.f10290d.setVisibility(8);
            return;
        }
        InputMethodManager inputMethodManager = (InputMethodManager) b.j.b.a.d(this.f10290d.getContext(), InputMethodManager.class);
        if (inputMethodManager != null) {
            inputMethodManager.hideSoftInputFromWindow(focusedChild.getWindowToken(), 0);
        }
        this.f10290d.setVisibility(8);
    }

    @Override // d.h.a.b.c0.d
    public void show() {
        this.f10290d.setVisibility(0);
    }
}
