package d.m.a.c.a;

import android.graphics.Bitmap;
import android.text.TextUtils;
import android.util.Log;
import com.lzy.okgo.cache.CacheEntity;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.exception.HttpException;
import com.lzy.okgo.model.HttpHeaders;
import com.lzy.okgo.request.base.Request;
import d.m.a.a;
import d.m.a.d.b;
import d.m.a.f.b;
import java.io.IOException;
import java.net.SocketTimeoutException;
import java.util.Locale;
import java.util.Objects;
import java.util.StringTokenizer;
import okhttp3.Call;
import okhttp3.Callback;
import okhttp3.Headers;
import okhttp3.Response;

/* compiled from: BaseCachePolicy */
public abstract class a<T> implements b<T> {

    /* renamed from: a  reason: collision with root package name */
    public Request<T, ? extends Request> f12295a;

    /* renamed from: b  reason: collision with root package name */
    public volatile int f12296b = 0;

    /* renamed from: c  reason: collision with root package name */
    public boolean f12297c;

    /* renamed from: d  reason: collision with root package name */
    public Call f12298d;

    /* renamed from: e  reason: collision with root package name */
    public b<T> f12299e;

    /* renamed from: f  reason: collision with root package name */
    public CacheEntity<T> f12300f;

    /* renamed from: d.m.a.c.a.a$a  reason: collision with other inner class name */
    /* compiled from: BaseCachePolicy */
    public class C0099a implements Callback {
        public C0099a() {
        }

        @Override // okhttp3.Callback
        public void onFailure(Call call, IOException iOException) {
            if ((iOException instanceof SocketTimeoutException) && a.this.f12296b < a.this.f12295a.getRetryCount()) {
                a.this.f12296b++;
                a aVar = a.this;
                aVar.f12298d = aVar.f12295a.getRawCall();
                Objects.requireNonNull(a.this);
                a.this.f12298d.enqueue(this);
            } else if (!call.isCanceled()) {
                a.this.onError(d.m.a.h.a.a(false, call, null, iOException));
            }
        }

        @Override // okhttp3.Callback
        public void onResponse(Call call, Response response) {
            int code = response.code();
            if (code == 404 || code >= 500) {
                a.this.onError(d.m.a.h.a.a(false, call, response, HttpException.NET_ERROR()));
            } else if (!a.this.c(call, response)) {
                try {
                    T convertResponse = a.this.f12295a.getConverter().convertResponse(response);
                    a.b(a.this, response.headers(), convertResponse);
                    a.this.onSuccess(d.m.a.h.a.c(false, convertResponse, call, response));
                } catch (Throwable th) {
                    a.this.onError(d.m.a.h.a.a(false, call, response, th));
                }
            }
        }
    }

    public a(Request<T, ? extends Request> request) {
        this.f12295a = request;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r14v1, resolved type: d.m.a.f.b */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x00fc  */
    /* JADX WARNING: Removed duplicated region for block: B:59:0x018f  */
    public static void b(a aVar, Headers headers, Object obj) {
        CacheEntity cacheEntity;
        StringBuilder sb;
        String str;
        long j2;
        long j3;
        if (aVar.f12295a.getCacheMode() != CacheMode.NO_CACHE && !(obj instanceof Bitmap)) {
            CacheMode cacheMode = aVar.f12295a.getCacheMode();
            String cacheKey = aVar.f12295a.getCacheKey();
            if (cacheMode == CacheMode.DEFAULT) {
                long date = HttpHeaders.getDate(headers.get(HttpHeaders.HEAD_KEY_DATE));
                j2 = HttpHeaders.getExpiration(headers.get(HttpHeaders.HEAD_KEY_EXPIRES));
                String cacheControl = HttpHeaders.getCacheControl(headers.get(HttpHeaders.HEAD_KEY_CACHE_CONTROL), headers.get(HttpHeaders.HEAD_KEY_PRAGMA));
                cacheEntity = null;
                if (!TextUtils.isEmpty(cacheControl) || j2 > 0) {
                    if (!TextUtils.isEmpty(cacheControl)) {
                        StringTokenizer stringTokenizer = new StringTokenizer(cacheControl, ",");
                        j3 = 0;
                        while (true) {
                            if (!stringTokenizer.hasMoreTokens()) {
                                break;
                            }
                            String lowerCase = stringTokenizer.nextToken().trim().toLowerCase(Locale.getDefault());
                            if (lowerCase.equals("no-cache") || lowerCase.equals("no-store")) {
                                break;
                            } else if (lowerCase.startsWith("max-age=")) {
                                try {
                                    j3 = Long.parseLong(lowerCase.substring(8));
                                    if (j3 <= 0) {
                                        break;
                                    }
                                } catch (Exception e2) {
                                    e2.printStackTrace();
                                }
                            }
                        }
                    } else {
                        j3 = 0;
                    }
                    long currentTimeMillis = System.currentTimeMillis();
                    if (date <= 0) {
                        date = currentTimeMillis;
                    }
                    if (j3 > 0) {
                        j2 = (j3 * 1000) + date;
                    } else if (j2 < 0) {
                        j2 = 0;
                    }
                }
                if (cacheEntity != null) {
                    d.m.a.f.b bVar = b.C0101b.f12339a;
                    String cacheKey2 = aVar.f12295a.getCacheKey();
                    Objects.requireNonNull(bVar);
                    if (cacheKey2 != null) {
                        String[] strArr = {cacheKey2};
                        long currentTimeMillis2 = System.currentTimeMillis();
                        bVar.f12336b.lock();
                        try {
                            bVar.f12338d.beginTransaction();
                            bVar.f12338d.delete("cache", "key=?", strArr);
                            bVar.f12338d.setTransactionSuccessful();
                            bVar.f12338d.endTransaction();
                            bVar.f12336b.unlock();
                            str = d.m.a.f.a.f12335a;
                            sb = new StringBuilder();
                        } catch (Exception e3) {
                            e3.printStackTrace();
                            bVar.f12338d.endTransaction();
                            bVar.f12336b.unlock();
                            str = d.m.a.f.a.f12335a;
                            sb = new StringBuilder();
                        } catch (Throwable th) {
                            bVar.f12338d.endTransaction();
                            bVar.f12336b.unlock();
                            Log.v(d.m.a.f.a.f12335a, (System.currentTimeMillis() - currentTimeMillis2) + " delete");
                            throw th;
                        }
                        sb.append(System.currentTimeMillis() - currentTimeMillis2);
                        sb.append(" delete");
                        Log.v(str, sb.toString());
                        return;
                    }
                    return;
                }
                d.m.a.f.b bVar2 = b.C0101b.f12339a;
                String cacheKey3 = aVar.f12295a.getCacheKey();
                Objects.requireNonNull(bVar2);
                cacheEntity.setKey(cacheKey3);
                bVar2.f(cacheEntity);
                return;
            }
            j2 = System.currentTimeMillis();
            HttpHeaders httpHeaders = new HttpHeaders();
            for (String str2 : headers.names()) {
                httpHeaders.put(str2, headers.get(str2));
            }
            cacheEntity = new CacheEntity();
            cacheEntity.setKey(cacheKey);
            cacheEntity.setData(obj);
            cacheEntity.setLocalExpire(j2);
            cacheEntity.setResponseHeaders(httpHeaders);
            if (cacheEntity != null) {
            }
        }
    }

    public boolean c(Call call, Response response) {
        return false;
    }

    public synchronized Call d() {
        Call rawCall;
        if (!this.f12297c) {
            this.f12297c = true;
            rawCall = this.f12295a.getRawCall();
            this.f12298d = rawCall;
        } else {
            throw HttpException.COMMON("Already executed!");
        }
        return rawCall;
    }

    public void e() {
        this.f12298d.enqueue(new C0099a());
    }

    public void f(Runnable runnable) {
        a.b.f12292a.f12286b.post(runnable);
    }
}
