package d.p.a.e;

import android.content.Context;
import android.net.Uri;
import android.text.TextUtils;
import com.danikula.videocache.CacheListener;
import com.danikula.videocache.HttpProxyCacheServer;
import com.danikula.videocache.file.Md5FileNameGenerator;
import com.shuyu.gsyvideoplayer.utils.CommonUtil;
import com.shuyu.gsyvideoplayer.utils.FileUtils;
import com.shuyu.gsyvideoplayer.utils.StorageUtils;
import d.p.a.e.a;
import java.io.File;
import java.io.IOException;
import java.util.Map;
import java.util.Objects;
import tv.danmaku.ijk.media.player.IMediaPlayer;

/* compiled from: ProxyCacheManager */
public class b implements a, CacheListener {

    /* renamed from: d  reason: collision with root package name */
    public static b f12518d;

    /* renamed from: h  reason: collision with root package name */
    public HttpProxyCacheServer f12519h;

    /* renamed from: j  reason: collision with root package name */
    public File f12520j;

    /* renamed from: k  reason: collision with root package name */
    public boolean f12521k;

    /* renamed from: l  reason: collision with root package name */
    public a.AbstractC0108a f12522l;
    public c m = new c();

    public static HttpProxyCacheServer d(Context context, File file) {
        if (file == null) {
            HttpProxyCacheServer httpProxyCacheServer = e().f12519h;
            if (httpProxyCacheServer != null) {
                return httpProxyCacheServer;
            }
            b e2 = e();
            b e3 = e();
            Objects.requireNonNull(e3);
            HttpProxyCacheServer build = new HttpProxyCacheServer.Builder(context.getApplicationContext()).headerInjector(e3.m).build();
            e2.f12519h = build;
            return build;
        } else if (e().f12520j == null || e().f12520j.getAbsolutePath().equals(file.getAbsolutePath())) {
            HttpProxyCacheServer httpProxyCacheServer2 = e().f12519h;
            if (httpProxyCacheServer2 != null) {
                return httpProxyCacheServer2;
            }
            b e4 = e();
            HttpProxyCacheServer f2 = e().f(context, file);
            e4.f12519h = f2;
            return f2;
        } else {
            HttpProxyCacheServer httpProxyCacheServer3 = e().f12519h;
            if (httpProxyCacheServer3 != null) {
                httpProxyCacheServer3.shutdown();
            }
            b e5 = e();
            HttpProxyCacheServer f3 = e().f(context, file);
            e5.f12519h = f3;
            return f3;
        }
    }

    public static synchronized b e() {
        b bVar;
        synchronized (b.class) {
            if (f12518d == null) {
                f12518d = new b();
            }
            bVar = f12518d;
        }
        return bVar;
    }

    @Override // d.p.a.e.a
    public boolean a() {
        return this.f12521k;
    }

    @Override // d.p.a.e.a
    public void b(a.AbstractC0108a aVar) {
        this.f12522l = aVar;
    }

    @Override // d.p.a.e.a
    public void c(Context context, IMediaPlayer iMediaPlayer, String str, Map<String, String> map, File file) {
        Map<String, String> map2 = c.f12523a;
        map2.clear();
        if (map != null) {
            map2.putAll(map);
        }
        if (str.startsWith("http") && !str.contains("127.0.0.1") && !str.contains(".m3u8")) {
            HttpProxyCacheServer d2 = d(context.getApplicationContext(), file);
            if (d2 != null) {
                String proxyUrl = d2.getProxyUrl(str);
                boolean z = !proxyUrl.startsWith("http");
                this.f12521k = z;
                if (!z) {
                    d2.registerCacheListener(this, str);
                }
                str = proxyUrl;
            }
        } else if (!str.startsWith("http") && !str.startsWith("rtmp") && !str.startsWith("rtsp") && !str.contains(".m3u8")) {
            this.f12521k = true;
        }
        try {
            iMediaPlayer.setDataSource(context, Uri.parse(str), map);
        } catch (IOException e2) {
            e2.printStackTrace();
        }
    }

    @Override // d.p.a.e.a
    public boolean cachePreview(Context context, File file, String str) {
        HttpProxyCacheServer d2 = d(context.getApplicationContext(), file);
        if (d2 != null) {
            str = d2.getProxyUrl(str);
        }
        return !str.startsWith("http");
    }

    @Override // d.p.a.e.a
    public void clearCache(Context context, File file, String str) {
        if (TextUtils.isEmpty(str)) {
            FileUtils.deleteFiles(new File(StorageUtils.getIndividualCacheDirectory(context.getApplicationContext()).getAbsolutePath()));
            return;
        }
        String generate = new Md5FileNameGenerator().generate(str);
        if (file != null) {
            StringBuilder sb = new StringBuilder();
            sb.append(file.getAbsolutePath());
            String str2 = File.separator;
            CommonUtil.deleteFile(d.a.a.a.a.z(sb, str2, generate, ".download"));
            CommonUtil.deleteFile(file.getAbsolutePath() + str2 + generate);
            return;
        }
        StringBuilder sb2 = new StringBuilder();
        sb2.append(StorageUtils.getIndividualCacheDirectory(context.getApplicationContext()).getAbsolutePath());
        String str3 = File.separator;
        CommonUtil.deleteFile(d.a.a.a.a.z(sb2, str3, generate, ".download"));
        CommonUtil.deleteFile(StorageUtils.getIndividualCacheDirectory(context.getApplicationContext()).getAbsolutePath() + str3 + generate);
    }

    public HttpProxyCacheServer f(Context context, File file) {
        if (!file.exists()) {
            file.mkdirs();
        }
        HttpProxyCacheServer.Builder builder = new HttpProxyCacheServer.Builder(context);
        builder.cacheDirectory(file);
        builder.headerInjector(this.m);
        this.f12520j = file;
        return builder.build();
    }

    @Override // com.danikula.videocache.CacheListener
    public void onCacheAvailable(File file, String str, int i2) {
        a.AbstractC0108a aVar = this.f12522l;
        if (aVar != null) {
            ((d.p.a.b) aVar).m = i2;
        }
    }

    @Override // d.p.a.e.a
    public void release() {
        HttpProxyCacheServer httpProxyCacheServer = this.f12519h;
        if (httpProxyCacheServer != null) {
            try {
                httpProxyCacheServer.unregisterCacheListener(this);
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }
}
