package d.r.a.l;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Matrix;
import android.net.Uri;
import android.os.AsyncTask;
import android.text.TextUtils;
import android.util.Log;
import com.luck.picture.lib.config.PictureMimeType;
import com.luck.picture.lib.tools.SdkVersionUtils;
import com.yalantis.ucrop.UCropActivity;
import com.yalantis.ucrop.view.TransformImageView;
import d.r.a.n.c;
import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.URL;
import java.util.Objects;

/* compiled from: BitmapLoadTask */
public class b extends AsyncTask<Void, Void, a> {

    /* renamed from: a  reason: collision with root package name */
    public final Context f12596a;

    /* renamed from: b  reason: collision with root package name */
    public Uri f12597b;

    /* renamed from: c  reason: collision with root package name */
    public final Uri f12598c;

    /* renamed from: d  reason: collision with root package name */
    public final int f12599d;

    /* renamed from: e  reason: collision with root package name */
    public final int f12600e;

    /* renamed from: f  reason: collision with root package name */
    public final d.r.a.j.b f12601f;

    public b(Context context, Uri uri, Uri uri2, int i2, int i3, d.r.a.j.b bVar) {
        this.f12596a = context;
        this.f12597b = uri;
        this.f12598c = uri2;
        this.f12599d = i2;
        this.f12600e = i3;
        this.f12601f = bVar;
    }

    public final void a(Uri uri, Uri uri2) {
        Throwable th;
        InputStream inputStream;
        Log.d("BitmapWorkerTask", "copyFile");
        Objects.requireNonNull(uri2, "Output Uri is null - cannot copy image");
        FileOutputStream fileOutputStream = null;
        try {
            inputStream = this.f12596a.getContentResolver().openInputStream(uri);
            try {
                FileOutputStream fileOutputStream2 = new FileOutputStream(new File(uri2.getPath()));
                if (inputStream != null) {
                    try {
                        byte[] bArr = new byte[1024];
                        while (true) {
                            int read = inputStream.read(bArr);
                            if (read > 0) {
                                fileOutputStream2.write(bArr, 0, read);
                            } else {
                                d.l.b.g.g.b.o(fileOutputStream2);
                                d.l.b.g.g.b.o(inputStream);
                                this.f12597b = this.f12598c;
                                return;
                            }
                        }
                    } catch (Throwable th2) {
                        th = th2;
                        fileOutputStream = fileOutputStream2;
                        d.l.b.g.g.b.o(fileOutputStream);
                        d.l.b.g.g.b.o(inputStream);
                        this.f12597b = this.f12598c;
                        throw th;
                    }
                } else {
                    throw new NullPointerException("InputStream for given input Uri is null");
                }
            } catch (Throwable th3) {
                th = th3;
                d.l.b.g.g.b.o(fileOutputStream);
                d.l.b.g.g.b.o(inputStream);
                this.f12597b = this.f12598c;
                throw th;
            }
        } catch (Throwable th4) {
            th = th4;
            inputStream = null;
            d.l.b.g.g.b.o(fileOutputStream);
            d.l.b.g.g.b.o(inputStream);
            this.f12597b = this.f12598c;
            throw th;
        }
    }

    public final void b(Uri uri, Uri uri2) {
        OutputStream outputStream;
        Throwable th;
        BufferedInputStream bufferedInputStream;
        Exception e2;
        Log.d("BitmapWorkerTask", "downloadFile");
        Objects.requireNonNull(uri2, "Output Uri is null - cannot download image");
        BufferedOutputStream bufferedOutputStream = null;
        try {
            URL url = new URL(uri.toString());
            byte[] bArr = new byte[1024];
            bufferedInputStream = new BufferedInputStream(url.openStream());
            try {
                outputStream = this.f12596a.getContentResolver().openOutputStream(uri2);
                if (outputStream != null) {
                    try {
                        BufferedOutputStream bufferedOutputStream2 = new BufferedOutputStream(outputStream);
                        while (true) {
                            try {
                                int read = bufferedInputStream.read(bArr);
                                if (read <= -1) {
                                    break;
                                }
                                bufferedOutputStream2.write(bArr, 0, read);
                            } catch (Exception e3) {
                                e2 = e3;
                                bufferedOutputStream = bufferedOutputStream2;
                                try {
                                    e2.printStackTrace();
                                    this.f12597b = this.f12598c;
                                    d.l.b.g.g.b.o(bufferedOutputStream);
                                    d.l.b.g.g.b.o(bufferedInputStream);
                                    d.l.b.g.g.b.o(outputStream);
                                } catch (Throwable th2) {
                                    th = th2;
                                    this.f12597b = this.f12598c;
                                    d.l.b.g.g.b.o(bufferedOutputStream);
                                    d.l.b.g.g.b.o(bufferedInputStream);
                                    d.l.b.g.g.b.o(outputStream);
                                    throw th;
                                }
                            } catch (Throwable th3) {
                                th = th3;
                                bufferedOutputStream = bufferedOutputStream2;
                                this.f12597b = this.f12598c;
                                d.l.b.g.g.b.o(bufferedOutputStream);
                                d.l.b.g.g.b.o(bufferedInputStream);
                                d.l.b.g.g.b.o(outputStream);
                                throw th;
                            }
                        }
                        bufferedOutputStream2.flush();
                        bufferedOutputStream = bufferedOutputStream2;
                    } catch (Exception e4) {
                        e2 = e4;
                        e2.printStackTrace();
                        this.f12597b = this.f12598c;
                        d.l.b.g.g.b.o(bufferedOutputStream);
                        d.l.b.g.g.b.o(bufferedInputStream);
                        d.l.b.g.g.b.o(outputStream);
                    }
                }
            } catch (Exception e5) {
                e2 = e5;
                outputStream = null;
                e2.printStackTrace();
                this.f12597b = this.f12598c;
                d.l.b.g.g.b.o(bufferedOutputStream);
                d.l.b.g.g.b.o(bufferedInputStream);
                d.l.b.g.g.b.o(outputStream);
            } catch (Throwable th4) {
                th = th4;
                outputStream = null;
                this.f12597b = this.f12598c;
                d.l.b.g.g.b.o(bufferedOutputStream);
                d.l.b.g.g.b.o(bufferedInputStream);
                d.l.b.g.g.b.o(outputStream);
                throw th;
            }
        } catch (Exception e6) {
            e2 = e6;
            outputStream = null;
            bufferedInputStream = null;
            e2.printStackTrace();
            this.f12597b = this.f12598c;
            d.l.b.g.g.b.o(bufferedOutputStream);
            d.l.b.g.g.b.o(bufferedInputStream);
            d.l.b.g.g.b.o(outputStream);
        } catch (Throwable th5) {
            th = th5;
            outputStream = null;
            bufferedInputStream = null;
            this.f12597b = this.f12598c;
            d.l.b.g.g.b.o(bufferedOutputStream);
            d.l.b.g.g.b.o(bufferedInputStream);
            d.l.b.g.g.b.o(outputStream);
            throw th;
        }
        this.f12597b = this.f12598c;
        d.l.b.g.g.b.o(bufferedOutputStream);
        d.l.b.g.g.b.o(bufferedInputStream);
        d.l.b.g.g.b.o(outputStream);
    }

    public final void c() {
        String scheme = this.f12597b.getScheme();
        Log.d("BitmapWorkerTask", "Uri scheme: " + scheme);
        if ("http".equals(scheme) || "https".equals(scheme)) {
            try {
                b(this.f12597b, this.f12598c);
            } catch (IOException | NullPointerException e2) {
                Log.e("BitmapWorkerTask", "Downloading failed", e2);
                throw e2;
            }
        } else if ("content".equals(scheme)) {
            String L = b.j.b.a.a(this.f12596a, "android.permission.READ_EXTERNAL_STORAGE") == 0 ? d.l.b.g.g.b.L(this.f12596a, this.f12597b) : "";
            if (TextUtils.isEmpty(L) || !new File(L).exists()) {
                try {
                    a(this.f12597b, this.f12598c);
                } catch (IOException | NullPointerException e3) {
                    Log.e("BitmapWorkerTask", "Copying failed", e3);
                    throw e3;
                }
            } else {
                this.f12597b = SdkVersionUtils.checkedAndroid_Q() ? this.f12597b : Uri.fromFile(new File(L));
            }
        } else if (!"file".equals(scheme)) {
            Log.e("BitmapWorkerTask", "Invalid Uri scheme " + scheme);
            throw new IllegalArgumentException(d.a.a.a.a.s("Invalid Uri scheme", scheme));
        }
    }

    /* Return type fixed from 'java.lang.Object' to match base method */
    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object[]] */
    /* JADX WARNING: Removed duplicated region for block: B:59:0x0136  */
    /* JADX WARNING: Removed duplicated region for block: B:60:0x0138  */
    /* JADX WARNING: Removed duplicated region for block: B:61:0x013b  */
    /* JADX WARNING: Removed duplicated region for block: B:62:0x013e  */
    /* JADX WARNING: Removed duplicated region for block: B:73:0x0158  */
    /* JADX WARNING: Removed duplicated region for block: B:75:0x015e  */
    /* JADX WARNING: Removed duplicated region for block: B:78:0x016a  */
    /* JADX WARNING: Removed duplicated region for block: B:86:0x018e  */
    @Override // android.os.AsyncTask
    public a doInBackground(Void[] voidArr) {
        int i2;
        int i3;
        int i4;
        Matrix matrix;
        int i5;
        IOException e2;
        InputStream openInputStream;
        boolean z;
        if (this.f12597b == null) {
            return new a(new NullPointerException("Input Uri cannot be null"));
        }
        try {
            c();
            BitmapFactory.Options options = new BitmapFactory.Options();
            options.inJustDecodeBounds = true;
            int i6 = this.f12599d;
            int i7 = this.f12600e;
            int i8 = options.outHeight;
            int i9 = options.outWidth;
            if (i8 > i7 || i9 > i6) {
                int i10 = 1;
                while (true) {
                    if (i8 / i10 <= i7 && i9 / i10 <= i6) {
                        break;
                    }
                    i10 *= 2;
                }
                i2 = i10;
            } else {
                i2 = 1;
            }
            options.inSampleSize = i2;
            options.inJustDecodeBounds = false;
            boolean z2 = false;
            Bitmap bitmap = null;
            while (true) {
                int i11 = -1;
                if (!z2) {
                    try {
                        openInputStream = this.f12596a.getContentResolver().openInputStream(this.f12597b);
                        try {
                            bitmap = BitmapFactory.decodeStream(openInputStream, null, options);
                            if (options.outWidth == -1 || options.outHeight == -1) {
                                a aVar = new a(new IllegalArgumentException("Bounds for bitmap could not be retrieved from the Uri: [" + this.f12597b + "]"));
                                d.l.b.g.g.b.o(openInputStream);
                            } else {
                                if ((bitmap != null ? bitmap.getByteCount() : 0) > 104857600) {
                                    options.inSampleSize *= 2;
                                    z = true;
                                } else {
                                    z = false;
                                }
                                if (!z) {
                                    z2 = true;
                                }
                            }
                        } finally {
                            d.l.b.g.g.b.o(openInputStream);
                        }
                    } catch (OutOfMemoryError e3) {
                        Log.e("BitmapWorkerTask", "doInBackground: BitmapFactory.decodeFileDescriptor: ", e3);
                        options.inSampleSize *= 2;
                    } catch (IOException e4) {
                        Log.e("BitmapWorkerTask", "doInBackground: ImageDecoder.createSource: ", e4);
                        StringBuilder B = d.a.a.a.a.B("Bitmap could not be decoded from the Uri: [");
                        B.append(this.f12597b);
                        B.append("]");
                        return new a(new IllegalArgumentException(B.toString(), e4));
                    }
                } else if (bitmap == null) {
                    StringBuilder B2 = d.a.a.a.a.B("Bitmap could not be decoded from the Uri: [");
                    B2.append(this.f12597b);
                    B2.append("]");
                    return new a(new IllegalArgumentException(B2.toString()));
                } else {
                    Context context = this.f12596a;
                    Uri uri = this.f12597b;
                    try {
                        InputStream openInputStream2 = context.getContentResolver().openInputStream(uri);
                        if (openInputStream2 == null) {
                            i3 = 0;
                            switch (i3) {
                                case 3:
                                case 4:
                                    i4 = 180;
                                    break;
                                case 5:
                                case 6:
                                    i4 = 90;
                                    break;
                                case 7:
                                case 8:
                                    i4 = 270;
                                    break;
                                default:
                                    i4 = 0;
                                    break;
                            }
                            if (!(i3 == 2 || i3 == 7 || i3 == 4 || i3 == 5)) {
                                i11 = 1;
                            }
                            d.r.a.k.b bVar = new d.r.a.k.b(i3, i4, i11);
                            matrix = new Matrix();
                            if (i4 != 0) {
                                matrix.preRotate((float) i4);
                            }
                            if (i11 != 1) {
                                matrix.postScale((float) i11, 1.0f);
                            }
                            if (matrix.isIdentity()) {
                                return new a(bitmap, bVar);
                            }
                            try {
                                Bitmap createBitmap = Bitmap.createBitmap(bitmap, 0, 0, bitmap.getWidth(), bitmap.getHeight(), matrix, true);
                                if (!bitmap.sameAs(createBitmap)) {
                                    bitmap = createBitmap;
                                }
                            } catch (OutOfMemoryError e5) {
                                Log.e("BitmapLoadUtils", "transformBitmap: ", e5);
                            }
                            return new a(bitmap, bVar);
                        }
                        i5 = new d.r.a.m.b(openInputStream2).a();
                        try {
                            d.l.b.g.g.b.o(openInputStream2);
                        } catch (IOException e6) {
                            e2 = e6;
                        }
                        i3 = i5;
                        switch (i3) {
                        }
                        i11 = 1;
                        d.r.a.k.b bVar2 = new d.r.a.k.b(i3, i4, i11);
                        matrix = new Matrix();
                        if (i4 != 0) {
                        }
                        if (i11 != 1) {
                        }
                        if (matrix.isIdentity()) {
                        }
                    } catch (IOException e7) {
                        e2 = e7;
                        i5 = 0;
                        StringBuilder B3 = d.a.a.a.a.B("getExifOrientation: ");
                        B3.append(uri.toString());
                        Log.e("BitmapLoadUtils", B3.toString(), e2);
                        i3 = i5;
                        switch (i3) {
                        }
                        i11 = 1;
                        d.r.a.k.b bVar22 = new d.r.a.k.b(i3, i4, i11);
                        matrix = new Matrix();
                        if (i4 != 0) {
                        }
                        if (i11 != 1) {
                        }
                        if (matrix.isIdentity()) {
                        }
                    }
                }
            }
            a aVar2 = new a(new IllegalArgumentException("Bounds for bitmap could not be retrieved from the Uri: [" + this.f12597b + "]"));
            d.l.b.g.g.b.o(openInputStream);
            return aVar2;
        } catch (IOException | NullPointerException e8) {
            return new a(e8);
        }
    }

    /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
    @Override // android.os.AsyncTask
    public void onPostExecute(a aVar) {
        a aVar2 = aVar;
        Exception exc = aVar2.f12604c;
        if (exc == null) {
            String uri = this.f12597b.toString();
            d.r.a.j.b bVar = this.f12601f;
            Bitmap bitmap = aVar2.f12602a;
            d.r.a.k.b bVar2 = aVar2.f12603b;
            if (!PictureMimeType.isContent(uri)) {
                uri = this.f12597b.getPath();
            }
            Uri uri2 = this.f12598c;
            String path = uri2 == null ? null : uri2.getPath();
            TransformImageView transformImageView = ((c) bVar).f12630a;
            transformImageView.t = uri;
            transformImageView.u = path;
            transformImageView.v = bVar2;
            transformImageView.q = true;
            transformImageView.setImageBitmap(bitmap);
            return;
        }
        c cVar = (c) this.f12601f;
        Objects.requireNonNull(cVar);
        Log.e("TransformImageView", "onFailure: setImageUri", exc);
        TransformImageView.a aVar3 = cVar.f12630a.n;
        if (aVar3 != null) {
            UCropActivity.a aVar4 = (UCropActivity.a) aVar3;
            UCropActivity.this.H(exc);
            UCropActivity.this.onBackPressed();
        }
    }

    /* compiled from: BitmapLoadTask */
    public static class a {

        /* renamed from: a  reason: collision with root package name */
        public Bitmap f12602a;

        /* renamed from: b  reason: collision with root package name */
        public d.r.a.k.b f12603b;

        /* renamed from: c  reason: collision with root package name */
        public Exception f12604c;

        public a(Bitmap bitmap, d.r.a.k.b bVar) {
            this.f12602a = bitmap;
            this.f12603b = bVar;
        }

        public a(Exception exc) {
            this.f12604c = exc;
        }
    }
}
