package f.a.c0.g;

import f.a.u;
import io.reactivex.internal.disposables.EmptyDisposable;
import io.reactivex.internal.schedulers.RxThreadFactory;
import io.reactivex.internal.schedulers.ScheduledDirectPeriodicTask;
import io.reactivex.internal.schedulers.ScheduledDirectTask;
import java.util.Objects;
import java.util.concurrent.Future;
import java.util.concurrent.RejectedExecutionException;
import java.util.concurrent.ThreadFactory;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicReference;

/* compiled from: ComputationScheduler */
public final class a extends u {

    /* renamed from: h  reason: collision with root package name */
    public static final b f13065h;

    /* renamed from: j  reason: collision with root package name */
    public static final RxThreadFactory f13066j;

    /* renamed from: k  reason: collision with root package name */
    public static final int f13067k;

    /* renamed from: l  reason: collision with root package name */
    public static final c f13068l;
    public final ThreadFactory m;
    public final AtomicReference<b> n;

    /* renamed from: f.a.c0.g.a$a  reason: collision with other inner class name */
    /* compiled from: ComputationScheduler */
    public static final class C0119a extends u.c {

        /* renamed from: d  reason: collision with root package name */
        public final f.a.c0.a.b f13069d;

        /* renamed from: h  reason: collision with root package name */
        public final f.a.z.a f13070h;

        /* renamed from: j  reason: collision with root package name */
        public final f.a.c0.a.b f13071j;

        /* renamed from: k  reason: collision with root package name */
        public final c f13072k;

        /* renamed from: l  reason: collision with root package name */
        public volatile boolean f13073l;

        public C0119a(c cVar) {
            this.f13072k = cVar;
            f.a.c0.a.b bVar = new f.a.c0.a.b();
            this.f13069d = bVar;
            f.a.z.a aVar = new f.a.z.a();
            this.f13070h = aVar;
            f.a.c0.a.b bVar2 = new f.a.c0.a.b();
            this.f13071j = bVar2;
            bVar2.c(bVar);
            bVar2.c(aVar);
        }

        @Override // f.a.u.c
        public f.a.z.b b(Runnable runnable) {
            if (this.f13073l) {
                return EmptyDisposable.INSTANCE;
            }
            return this.f13072k.e(runnable, 0, TimeUnit.MILLISECONDS, this.f13069d);
        }

        @Override // f.a.u.c
        public f.a.z.b c(Runnable runnable, long j2, TimeUnit timeUnit) {
            if (this.f13073l) {
                return EmptyDisposable.INSTANCE;
            }
            return this.f13072k.e(runnable, j2, timeUnit, this.f13070h);
        }

        @Override // f.a.z.b
        public void dispose() {
            if (!this.f13073l) {
                this.f13073l = true;
                this.f13071j.dispose();
            }
        }

        @Override // f.a.z.b
        public boolean isDisposed() {
            return this.f13073l;
        }
    }

    /* compiled from: ComputationScheduler */
    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        public final int f13074a;

        /* renamed from: b  reason: collision with root package name */
        public final c[] f13075b;

        /* renamed from: c  reason: collision with root package name */
        public long f13076c;

        public b(int i2, ThreadFactory threadFactory) {
            this.f13074a = i2;
            this.f13075b = new c[i2];
            for (int i3 = 0; i3 < i2; i3++) {
                this.f13075b[i3] = new c(threadFactory);
            }
        }

        public c a() {
            int i2 = this.f13074a;
            if (i2 == 0) {
                return a.f13068l;
            }
            c[] cVarArr = this.f13075b;
            long j2 = this.f13076c;
            this.f13076c = 1 + j2;
            return cVarArr[(int) (j2 % ((long) i2))];
        }
    }

    /* compiled from: ComputationScheduler */
    public static final class c extends e {
        public c(ThreadFactory threadFactory) {
            super(threadFactory);
        }
    }

    static {
        int availableProcessors = Runtime.getRuntime().availableProcessors();
        int intValue = Integer.getInteger("rx2.computation-threads", 0).intValue();
        if (intValue > 0 && intValue <= availableProcessors) {
            availableProcessors = intValue;
        }
        f13067k = availableProcessors;
        c cVar = new c(new RxThreadFactory("RxComputationShutdown"));
        f13068l = cVar;
        cVar.dispose();
        RxThreadFactory rxThreadFactory = new RxThreadFactory("RxComputationThreadPool", Math.max(1, Math.min(10, Integer.getInteger("rx2.computation-priority", 5).intValue())), true);
        f13066j = rxThreadFactory;
        b bVar = new b(0, rxThreadFactory);
        f13065h = bVar;
        for (c cVar2 : bVar.f13075b) {
            cVar2.dispose();
        }
    }

    public a() {
        RxThreadFactory rxThreadFactory = f13066j;
        this.m = rxThreadFactory;
        b bVar = f13065h;
        AtomicReference<b> atomicReference = new AtomicReference<>(bVar);
        this.n = atomicReference;
        b bVar2 = new b(f13067k, rxThreadFactory);
        if (!atomicReference.compareAndSet(bVar, bVar2)) {
            for (c cVar : bVar2.f13075b) {
                cVar.dispose();
            }
        }
    }

    @Override // f.a.u
    public u.c a() {
        return new C0119a(this.n.get().a());
    }

    @Override // f.a.u
    public f.a.z.b d(Runnable runnable, long j2, TimeUnit timeUnit) {
        Future<?> future;
        c a2 = this.n.get().a();
        Objects.requireNonNull(a2);
        Objects.requireNonNull(runnable, "run is null");
        ScheduledDirectTask scheduledDirectTask = new ScheduledDirectTask(runnable);
        if (j2 <= 0) {
            try {
                future = a2.f13098d.submit(scheduledDirectTask);
            } catch (RejectedExecutionException e2) {
                d.l.b.g.g.b.q0(e2);
                return EmptyDisposable.INSTANCE;
            }
        } else {
            future = a2.f13098d.schedule(scheduledDirectTask, j2, timeUnit);
        }
        scheduledDirectTask.setFuture(future);
        return scheduledDirectTask;
    }

    @Override // f.a.u
    public f.a.z.b e(Runnable runnable, long j2, long j3, TimeUnit timeUnit) {
        Future<?> future;
        c a2 = this.n.get().a();
        Objects.requireNonNull(a2);
        if (j3 <= 0) {
            b bVar = new b(runnable, a2.f13098d);
            if (j2 <= 0) {
                try {
                    future = a2.f13098d.submit(bVar);
                } catch (RejectedExecutionException e2) {
                    d.l.b.g.g.b.q0(e2);
                    return EmptyDisposable.INSTANCE;
                }
            } else {
                future = a2.f13098d.schedule(bVar, j2, timeUnit);
            }
            bVar.a(future);
            return bVar;
        }
        ScheduledDirectPeriodicTask scheduledDirectPeriodicTask = new ScheduledDirectPeriodicTask(runnable);
        try {
            scheduledDirectPeriodicTask.setFuture(a2.f13098d.scheduleAtFixedRate(scheduledDirectPeriodicTask, j2, j3, timeUnit));
            return scheduledDirectPeriodicTask;
        } catch (RejectedExecutionException e3) {
            d.l.b.g.g.b.q0(e3);
            return EmptyDisposable.INSTANCE;
        }
    }
}
