package f.a.c0.g;

import f.a.u;
import io.reactivex.internal.disposables.EmptyDisposable;
import io.reactivex.internal.schedulers.RxThreadFactory;
import java.util.Iterator;
import java.util.Objects;
import java.util.concurrent.ConcurrentLinkedQueue;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.ScheduledFuture;
import java.util.concurrent.ThreadFactory;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicReference;

/* compiled from: IoScheduler */
public final class c extends u {

    /* renamed from: h  reason: collision with root package name */
    public static final RxThreadFactory f13082h;

    /* renamed from: j  reason: collision with root package name */
    public static final RxThreadFactory f13083j;

    /* renamed from: k  reason: collision with root package name */
    public static final long f13084k = Long.getLong("rx2.io-keep-alive-time", 60).longValue();

    /* renamed from: l  reason: collision with root package name */
    public static final TimeUnit f13085l = TimeUnit.SECONDS;
    public static final C0120c m;
    public static final a n;
    public final ThreadFactory o;
    public final AtomicReference<a> p;

    /* compiled from: IoScheduler */
    public static final class a implements Runnable {

        /* renamed from: d  reason: collision with root package name */
        public final long f13086d;

        /* renamed from: h  reason: collision with root package name */
        public final ConcurrentLinkedQueue<C0120c> f13087h;

        /* renamed from: j  reason: collision with root package name */
        public final f.a.z.a f13088j;

        /* renamed from: k  reason: collision with root package name */
        public final ScheduledExecutorService f13089k;

        /* renamed from: l  reason: collision with root package name */
        public final Future<?> f13090l;
        public final ThreadFactory m;

        public a(long j2, TimeUnit timeUnit, ThreadFactory threadFactory) {
            ScheduledFuture<?> scheduledFuture;
            long nanos = timeUnit != null ? timeUnit.toNanos(j2) : 0;
            this.f13086d = nanos;
            this.f13087h = new ConcurrentLinkedQueue<>();
            this.f13088j = new f.a.z.a();
            this.m = threadFactory;
            ScheduledExecutorService scheduledExecutorService = null;
            if (timeUnit != null) {
                scheduledExecutorService = Executors.newScheduledThreadPool(1, c.f13083j);
                scheduledFuture = scheduledExecutorService.scheduleWithFixedDelay(this, nanos, nanos, TimeUnit.NANOSECONDS);
            } else {
                scheduledFuture = null;
            }
            this.f13089k = scheduledExecutorService;
            this.f13090l = scheduledFuture;
        }

        public void run() {
            if (!this.f13087h.isEmpty()) {
                long nanoTime = System.nanoTime();
                Iterator<C0120c> it = this.f13087h.iterator();
                while (it.hasNext()) {
                    C0120c next = it.next();
                    if (next.f13095j > nanoTime) {
                        return;
                    }
                    if (this.f13087h.remove(next)) {
                        this.f13088j.b(next);
                    }
                }
            }
        }
    }

    /* compiled from: IoScheduler */
    public static final class b extends u.c {

        /* renamed from: d  reason: collision with root package name */
        public final f.a.z.a f13091d;

        /* renamed from: h  reason: collision with root package name */
        public final a f13092h;

        /* renamed from: j  reason: collision with root package name */
        public final C0120c f13093j;

        /* renamed from: k  reason: collision with root package name */
        public final AtomicBoolean f13094k = new AtomicBoolean();

        public b(a aVar) {
            C0120c cVar;
            C0120c cVar2;
            this.f13092h = aVar;
            this.f13091d = new f.a.z.a();
            if (aVar.f13088j.f13172h) {
                cVar = c.m;
            } else {
                while (true) {
                    if (aVar.f13087h.isEmpty()) {
                        cVar2 = new C0120c(aVar.m);
                        aVar.f13088j.c(cVar2);
                        break;
                    }
                    cVar2 = aVar.f13087h.poll();
                    if (cVar2 != null) {
                        break;
                    }
                }
                cVar = cVar2;
            }
            this.f13093j = cVar;
        }

        @Override // f.a.u.c
        public f.a.z.b c(Runnable runnable, long j2, TimeUnit timeUnit) {
            if (this.f13091d.f13172h) {
                return EmptyDisposable.INSTANCE;
            }
            return this.f13093j.e(runnable, j2, timeUnit, this.f13091d);
        }

        @Override // f.a.z.b
        public void dispose() {
            if (this.f13094k.compareAndSet(false, true)) {
                this.f13091d.dispose();
                a aVar = this.f13092h;
                C0120c cVar = this.f13093j;
                Objects.requireNonNull(aVar);
                cVar.f13095j = System.nanoTime() + aVar.f13086d;
                aVar.f13087h.offer(cVar);
            }
        }

        @Override // f.a.z.b
        public boolean isDisposed() {
            return this.f13094k.get();
        }
    }

    /* renamed from: f.a.c0.g.c$c  reason: collision with other inner class name */
    /* compiled from: IoScheduler */
    public static final class C0120c extends e {

        /* renamed from: j  reason: collision with root package name */
        public long f13095j = 0;

        public C0120c(ThreadFactory threadFactory) {
            super(threadFactory);
        }
    }

    static {
        C0120c cVar = new C0120c(new RxThreadFactory("RxCachedThreadSchedulerShutdown"));
        m = cVar;
        cVar.dispose();
        int max = Math.max(1, Math.min(10, Integer.getInteger("rx2.io-priority", 5).intValue()));
        RxThreadFactory rxThreadFactory = new RxThreadFactory("RxCachedThreadScheduler", max);
        f13082h = rxThreadFactory;
        f13083j = new RxThreadFactory("RxCachedWorkerPoolEvictor", max);
        a aVar = new a(0, null, rxThreadFactory);
        n = aVar;
        aVar.f13088j.dispose();
        Future<?> future = aVar.f13090l;
        if (future != null) {
            future.cancel(true);
        }
        ScheduledExecutorService scheduledExecutorService = aVar.f13089k;
        if (scheduledExecutorService != null) {
            scheduledExecutorService.shutdownNow();
        }
    }

    public c() {
        RxThreadFactory rxThreadFactory = f13082h;
        this.o = rxThreadFactory;
        a aVar = n;
        AtomicReference<a> atomicReference = new AtomicReference<>(aVar);
        this.p = atomicReference;
        a aVar2 = new a(f13084k, f13085l, rxThreadFactory);
        if (!atomicReference.compareAndSet(aVar, aVar2)) {
            aVar2.f13088j.dispose();
            Future<?> future = aVar2.f13090l;
            if (future != null) {
                future.cancel(true);
            }
            ScheduledExecutorService scheduledExecutorService = aVar2.f13089k;
            if (scheduledExecutorService != null) {
                scheduledExecutorService.shutdownNow();
            }
        }
    }

    @Override // f.a.u
    public u.c a() {
        return new b(this.p.get());
    }
}
