package f.a.c0.g;

import f.a.u;
import f.a.z.b;
import io.reactivex.internal.disposables.EmptyDisposable;
import io.reactivex.internal.schedulers.RxThreadFactory;
import io.reactivex.internal.schedulers.ScheduledDirectPeriodicTask;
import io.reactivex.internal.schedulers.ScheduledDirectTask;
import io.reactivex.internal.schedulers.ScheduledRunnable;
import java.util.Objects;
import java.util.concurrent.Callable;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;
import java.util.concurrent.RejectedExecutionException;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicReference;

/* compiled from: SingleScheduler */
public final class g extends u {

    /* renamed from: h  reason: collision with root package name */
    public static final RxThreadFactory f13104h = new RxThreadFactory("RxSingleScheduler", Math.max(1, Math.min(10, Integer.getInteger("rx2.single-priority", 5).intValue())), true);

    /* renamed from: j  reason: collision with root package name */
    public static final ScheduledExecutorService f13105j;

    /* renamed from: k  reason: collision with root package name */
    public final AtomicReference<ScheduledExecutorService> f13106k;

    /* compiled from: SingleScheduler */
    public static final class a extends u.c {

        /* renamed from: d  reason: collision with root package name */
        public final ScheduledExecutorService f13107d;

        /* renamed from: h  reason: collision with root package name */
        public final f.a.z.a f13108h = new f.a.z.a();

        /* renamed from: j  reason: collision with root package name */
        public volatile boolean f13109j;

        public a(ScheduledExecutorService scheduledExecutorService) {
            this.f13107d = scheduledExecutorService;
        }

        @Override // f.a.u.c
        public b c(Runnable runnable, long j2, TimeUnit timeUnit) {
            Future<?> future;
            if (this.f13109j) {
                return EmptyDisposable.INSTANCE;
            }
            Objects.requireNonNull(runnable, "run is null");
            ScheduledRunnable scheduledRunnable = new ScheduledRunnable(runnable, this.f13108h);
            this.f13108h.c(scheduledRunnable);
            if (j2 <= 0) {
                try {
                    future = this.f13107d.submit((Callable) scheduledRunnable);
                } catch (RejectedExecutionException e2) {
                    dispose();
                    d.l.b.g.g.b.q0(e2);
                    return EmptyDisposable.INSTANCE;
                }
            } else {
                future = this.f13107d.schedule((Callable) scheduledRunnable, j2, timeUnit);
            }
            scheduledRunnable.setFuture(future);
            return scheduledRunnable;
        }

        @Override // f.a.z.b
        public void dispose() {
            if (!this.f13109j) {
                this.f13109j = true;
                this.f13108h.dispose();
            }
        }

        @Override // f.a.z.b
        public boolean isDisposed() {
            return this.f13109j;
        }
    }

    static {
        ScheduledExecutorService newScheduledThreadPool = Executors.newScheduledThreadPool(0);
        f13105j = newScheduledThreadPool;
        newScheduledThreadPool.shutdown();
    }

    public g() {
        RxThreadFactory rxThreadFactory = f13104h;
        AtomicReference<ScheduledExecutorService> atomicReference = new AtomicReference<>();
        this.f13106k = atomicReference;
        atomicReference.lazySet(f.a(rxThreadFactory));
    }

    @Override // f.a.u
    public u.c a() {
        return new a(this.f13106k.get());
    }

    @Override // f.a.u
    public b d(Runnable runnable, long j2, TimeUnit timeUnit) {
        Future<?> future;
        Objects.requireNonNull(runnable, "run is null");
        ScheduledDirectTask scheduledDirectTask = new ScheduledDirectTask(runnable);
        if (j2 <= 0) {
            try {
                future = this.f13106k.get().submit(scheduledDirectTask);
            } catch (RejectedExecutionException e2) {
                d.l.b.g.g.b.q0(e2);
                return EmptyDisposable.INSTANCE;
            }
        } else {
            future = this.f13106k.get().schedule(scheduledDirectTask, j2, timeUnit);
        }
        scheduledDirectTask.setFuture(future);
        return scheduledDirectTask;
    }

    @Override // f.a.u
    public b e(Runnable runnable, long j2, long j3, TimeUnit timeUnit) {
        Future<?> future;
        if (j3 <= 0) {
            ScheduledExecutorService scheduledExecutorService = this.f13106k.get();
            b bVar = new b(runnable, scheduledExecutorService);
            if (j2 <= 0) {
                try {
                    future = scheduledExecutorService.submit(bVar);
                } catch (RejectedExecutionException e2) {
                    d.l.b.g.g.b.q0(e2);
                    return EmptyDisposable.INSTANCE;
                }
            } else {
                future = scheduledExecutorService.schedule(bVar, j2, timeUnit);
            }
            bVar.a(future);
            return bVar;
        }
        ScheduledDirectPeriodicTask scheduledDirectPeriodicTask = new ScheduledDirectPeriodicTask(runnable);
        try {
            scheduledDirectPeriodicTask.setFuture(this.f13106k.get().scheduleAtFixedRate(scheduledDirectPeriodicTask, j2, j3, timeUnit));
            return scheduledDirectPeriodicTask;
        } catch (RejectedExecutionException e3) {
            d.l.b.g.g.b.q0(e3);
            return EmptyDisposable.INSTANCE;
        }
    }
}
