package f.a.c0.g;

import f.a.u;
import io.reactivex.disposables.RunnableDisposable;
import io.reactivex.internal.disposables.EmptyDisposable;
import java.util.Objects;
import java.util.concurrent.PriorityBlockingQueue;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicInteger;

/* compiled from: TrampolineScheduler */
public final class h extends u {

    /* renamed from: h  reason: collision with root package name */
    public static final h f13110h = new h();

    /* compiled from: TrampolineScheduler */
    public static final class a implements Runnable {

        /* renamed from: d  reason: collision with root package name */
        public final Runnable f13111d;

        /* renamed from: h  reason: collision with root package name */
        public final c f13112h;

        /* renamed from: j  reason: collision with root package name */
        public final long f13113j;

        public a(Runnable runnable, c cVar, long j2) {
            this.f13111d = runnable;
            this.f13112h = cVar;
            this.f13113j = j2;
        }

        public void run() {
            if (!this.f13112h.f13121k) {
                long a2 = this.f13112h.a(TimeUnit.MILLISECONDS);
                long j2 = this.f13113j;
                if (j2 > a2) {
                    try {
                        Thread.sleep(j2 - a2);
                    } catch (InterruptedException e2) {
                        Thread.currentThread().interrupt();
                        d.l.b.g.g.b.q0(e2);
                        return;
                    }
                }
                if (!this.f13112h.f13121k) {
                    this.f13111d.run();
                }
            }
        }
    }

    /* compiled from: TrampolineScheduler */
    public static final class b implements Comparable<b> {

        /* renamed from: d  reason: collision with root package name */
        public final Runnable f13114d;

        /* renamed from: h  reason: collision with root package name */
        public final long f13115h;

        /* renamed from: j  reason: collision with root package name */
        public final int f13116j;

        /* renamed from: k  reason: collision with root package name */
        public volatile boolean f13117k;

        public b(Runnable runnable, Long l2, int i2) {
            this.f13114d = runnable;
            this.f13115h = l2.longValue();
            this.f13116j = i2;
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object] */
        @Override // java.lang.Comparable
        public int compareTo(b bVar) {
            b bVar2 = bVar;
            int i2 = 0;
            int i3 = (this.f13115h > bVar2.f13115h ? 1 : (this.f13115h == bVar2.f13115h ? 0 : -1));
            int i4 = i3 < 0 ? -1 : i3 > 0 ? 1 : 0;
            if (i4 != 0) {
                return i4;
            }
            int i5 = this.f13116j;
            int i6 = bVar2.f13116j;
            if (i5 < i6) {
                i2 = -1;
            } else if (i5 > i6) {
                i2 = 1;
            }
            return i2;
        }
    }

    /* compiled from: TrampolineScheduler */
    public static final class c extends u.c implements f.a.z.b {

        /* renamed from: d  reason: collision with root package name */
        public final PriorityBlockingQueue<b> f13118d = new PriorityBlockingQueue<>();

        /* renamed from: h  reason: collision with root package name */
        public final AtomicInteger f13119h = new AtomicInteger();

        /* renamed from: j  reason: collision with root package name */
        public final AtomicInteger f13120j = new AtomicInteger();

        /* renamed from: k  reason: collision with root package name */
        public volatile boolean f13121k;

        /* compiled from: TrampolineScheduler */
        public final class a implements Runnable {

            /* renamed from: d  reason: collision with root package name */
            public final b f13122d;

            public a(b bVar) {
                this.f13122d = bVar;
            }

            public void run() {
                this.f13122d.f13117k = true;
                c.this.f13118d.remove(this.f13122d);
            }
        }

        @Override // f.a.u.c
        public f.a.z.b b(Runnable runnable) {
            return e(runnable, a(TimeUnit.MILLISECONDS));
        }

        @Override // f.a.u.c
        public f.a.z.b c(Runnable runnable, long j2, TimeUnit timeUnit) {
            long millis = timeUnit.toMillis(j2) + a(TimeUnit.MILLISECONDS);
            return e(new a(runnable, this, millis), millis);
        }

        @Override // f.a.z.b
        public void dispose() {
            this.f13121k = true;
        }

        public f.a.z.b e(Runnable runnable, long j2) {
            if (this.f13121k) {
                return EmptyDisposable.INSTANCE;
            }
            b bVar = new b(runnable, Long.valueOf(j2), this.f13120j.incrementAndGet());
            this.f13118d.add(bVar);
            if (this.f13119h.getAndIncrement() != 0) {
                return new RunnableDisposable(new a(bVar));
            }
            int i2 = 1;
            while (!this.f13121k) {
                b poll = this.f13118d.poll();
                if (poll == null) {
                    i2 = this.f13119h.addAndGet(-i2);
                    if (i2 == 0) {
                        return EmptyDisposable.INSTANCE;
                    }
                } else if (!poll.f13117k) {
                    poll.f13114d.run();
                }
            }
            this.f13118d.clear();
            return EmptyDisposable.INSTANCE;
        }

        @Override // f.a.z.b
        public boolean isDisposed() {
            return this.f13121k;
        }
    }

    @Override // f.a.u
    public u.c a() {
        return new c();
    }

    @Override // f.a.u
    public f.a.z.b c(Runnable runnable) {
        runnable.run();
        return EmptyDisposable.INSTANCE;
    }

    @Override // f.a.u
    public f.a.z.b d(Runnable runnable, long j2, TimeUnit timeUnit) {
        try {
            timeUnit.sleep(j2);
            Objects.requireNonNull(runnable, "run is null");
            runnable.run();
        } catch (InterruptedException e2) {
            Thread.currentThread().interrupt();
            d.l.b.g.g.b.q0(e2);
        }
        return EmptyDisposable.INSTANCE;
    }
}
