package freemarker.core;

import e.b.a;
import e.b.l0;
import e.b.r0;
import e.b.z0;
import e.f.b;
import e.f.c;
import e.f.l;
import e.f.v;
import freemarker.template.Version;
import freemarker.template.utility.NullArgumentException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.Locale;
import java.util.Map;
import java.util.Properties;
import java.util.TimeZone;

public class Configurable {

    /* renamed from: d  reason: collision with root package name */
    public static final String[] f13184d = {"api_builtin_enabled", "arithmetic_engine", "attempt_exception_reporter", "auto_flush", "auto_import", "auto_include", "boolean_format", "classic_compatible", "custom_date_formats", "custom_number_formats", "date_format", "datetime_format", "lazy_auto_imports", "lazy_imports", "locale", "log_template_exceptions", "new_builtin_class_resolver", "number_format", "object_wrapper", "output_encoding", "show_error_tips", "sql_date_and_time_time_zone", "strict_bean_models", "template_exception_handler", "time_format", "time_zone", "truncate_builtin_algorithm", "url_escaping_charset", "wrap_unchecked_exceptions"};

    /* renamed from: h  reason: collision with root package name */
    public static final String[] f13185h = {"apiBuiltinEnabled", "arithmeticEngine", "attemptExceptionReporter", "autoFlush", "autoImport", "autoInclude", "booleanFormat", "classicCompatible", "customDateFormats", "customNumberFormats", "dateFormat", "datetimeFormat", "lazyAutoImports", "lazyImports", "locale", "logTemplateExceptions", "newBuiltinClassResolver", "numberFormat", "objectWrapper", "outputEncoding", "showErrorTips", "sqlDateAndTimeTimeZone", "strictBeanModels", "templateExceptionHandler", "timeFormat", "timeZone", "truncateBuiltinAlgorithm", "urlEscapingCharset", "wrapUncheckedExceptions"};
    public l A;
    public Boolean B;
    public Boolean C;
    public l0 D;
    public Boolean E;
    public r0 F;
    public Boolean G;
    public Boolean H;
    public Map<String, ?> I;
    public Map<String, ?> J;
    public LinkedHashMap<String, String> K;
    public ArrayList<String> L;
    public Boolean M;
    public boolean N;

    /* renamed from: j  reason: collision with root package name */
    public Configurable f13186j;

    /* renamed from: k  reason: collision with root package name */
    public Properties f13187k;

    /* renamed from: l  reason: collision with root package name */
    public HashMap<Object, Object> f13188l;
    public Locale m;
    public String n;
    public String o;
    public String p;
    public String q;
    public TimeZone r;
    public TimeZone s;
    public String t;
    public String u;
    public String v;
    public Integer w;
    public v x;
    public b y;
    public e.b.a z;

    public static class SettingValueAssignmentException extends _MiscTemplateException {
        private SettingValueAssignmentException(Environment environment, String str, String str2, Throwable th) {
            super(th, environment, "Failed to set FreeMarker configuration setting ", new z0(str), " to value ", new z0(str2), "; see cause exception.");
        }
    }

    public static class UnknownSettingException extends _MiscTemplateException {
        /* JADX WARNING: Illegal instructions before constructor call */
        private UnknownSettingException(Environment environment, String str, String str2) {
            super(environment, r0);
            Object obj;
            Object[] objArr = new Object[3];
            objArr[0] = "Unknown FreeMarker configuration setting: ";
            objArr[1] = new z0(str);
            if (str2 == null) {
                obj = "";
            } else {
                obj = new Object[]{". You may meant: ", new z0(str2)};
            }
            objArr[2] = obj;
        }
    }

    @Deprecated
    public Configurable() {
        this(c.e0);
    }

    public Locale a() {
        Locale locale = this.m;
        return locale != null ? locale : this.f13186j.a();
    }

    public l b() {
        l lVar = this.A;
        return lVar != null ? lVar : this.f13186j.b();
    }

    public boolean c() {
        Boolean bool = this.C;
        if (bool != null) {
            return bool.booleanValue();
        }
        Configurable configurable = this.f13186j;
        if (configurable != null) {
            return configurable.c();
        }
        return true;
    }

    public Object clone() {
        Configurable configurable = (Configurable) super.clone();
        if (this.f13187k != null) {
            configurable.f13187k = new Properties(this.f13187k);
        }
        HashMap<Object, Object> hashMap = this.f13188l;
        if (hashMap != null) {
            configurable.f13188l = (HashMap) hashMap.clone();
        }
        LinkedHashMap<String, String> linkedHashMap = this.K;
        if (linkedHashMap != null) {
            configurable.K = (LinkedHashMap) linkedHashMap.clone();
        }
        ArrayList<String> arrayList = this.L;
        if (arrayList != null) {
            configurable.L = (ArrayList) arrayList.clone();
        }
        return configurable;
    }

    public void d(String str) {
        NullArgumentException.check("booleanFormat", str);
        if (str.equals("true,false")) {
            this.u = null;
            this.v = null;
        } else if (str.equals("c")) {
            this.u = "true";
            this.v = "false";
        } else {
            int indexOf = str.indexOf(44);
            if (indexOf != -1) {
                this.u = str.substring(0, indexOf);
                this.v = str.substring(indexOf + 1);
            } else {
                StringBuilder B2 = d.a.a.a.a.B("Setting value must be a string that contains two comma-separated values for true and false, or it must be \"c\", but it was ");
                B2.append(e.f.m0.l.i(str));
                B2.append(".");
                throw new IllegalArgumentException(B2.toString());
            }
        }
        this.t = str;
        this.f13187k.setProperty("boolean_format", str);
    }

    public Configurable(Version version) {
        e.f.l0.a(version);
        this.f13186j = null;
        this.f13187k = new Properties();
        e.e.a aVar = c.O;
        Locale locale = Locale.getDefault();
        this.m = locale;
        this.f13187k.setProperty("locale", locale.toString());
        TimeZone timeZone = TimeZone.getDefault();
        this.r = timeZone;
        this.f13187k.setProperty("time_zone", timeZone.getID());
        this.s = null;
        this.f13187k.setProperty("sql_date_and_time_time_zone", "null");
        this.n = "number";
        this.f13187k.setProperty("number_format", "number");
        this.o = "";
        this.f13187k.setProperty("time_format", "");
        this.p = "";
        this.f13187k.setProperty("date_format", "");
        this.q = "";
        this.f13187k.setProperty("datetime_format", "");
        Integer num = 0;
        this.w = num;
        this.f13187k.setProperty("classic_compatible", num.toString());
        v vVar = v.f12948c;
        this.x = vVar;
        this.f13187k.setProperty("template_exception_handler", vVar.getClass().getName());
        Boolean bool = Boolean.FALSE;
        this.H = bool;
        this.y = b.f12884a;
        this.z = e.b.a.f12666a;
        this.f13187k.setProperty("arithmetic_engine", a.C0110a.class.getName());
        this.A = c.e(version);
        Boolean bool2 = Boolean.TRUE;
        this.B = bool2;
        this.f13187k.setProperty("auto_flush", bool2.toString());
        l0 l0Var = l0.f12706a;
        this.D = l0Var;
        this.f13187k.setProperty("new_builtin_class_resolver", l0Var.getClass().getName());
        this.F = DefaultTruncateBuiltinAlgorithm.f13190b;
        this.C = bool2;
        this.f13187k.setProperty("show_error_tips", bool2.toString());
        this.E = bool;
        this.f13187k.setProperty("api_builtin_enabled", bool.toString());
        this.G = bool2;
        this.f13187k.setProperty("log_template_exceptions", bool2.toString());
        d("true,false");
        this.f13188l = new HashMap<>();
        this.I = Collections.emptyMap();
        this.J = Collections.emptyMap();
        this.M = bool;
        this.N = true;
        this.K = new LinkedHashMap<>(4);
        this.L = new ArrayList<>(4);
    }
}
