package freemarker.core;

import e.b.d1;
import e.b.k1;
import e.b.p;
import e.b.w0;
import e.b.y0;
import e.b.z0;
import e.f.b0;
import e.f.i0;
import e.f.q;
import e.f.r;
import freemarker.template.TemplateException;
import java.util.Arrays;

public class UnexpectedTypeException extends TemplateException {
    public UnexpectedTypeException(Environment environment, String str) {
        super(str, environment);
    }

    private static d1 newDescriptionBuilder(p pVar, String str, b0 b0Var, String str2, Class[] clsArr, Environment environment) {
        Object[] explainTypeError;
        if (b0Var != null) {
            d1 d1Var = new d1(unexpectedTypeErrorDescription(str2, pVar, str, b0Var));
            d1Var.f12672d = pVar;
            d1Var.f12673e = true;
            if ((b0Var instanceof k1) && (explainTypeError = ((k1) b0Var).explainTypeError(clsArr)) != null) {
                d1Var.d(explainTypeError);
            }
            if ((b0Var instanceof q) && (Arrays.asList(clsArr).contains(i0.class) || Arrays.asList(clsArr).contains(r.class))) {
                d1Var.d("As the problematic value contains a collection of items, you could convert it to a sequence like someValue?sequence. Be sure though that you won't have a large number of items, as all will be held in memory the same time.");
            }
            return d1Var;
        }
        throw InvalidReferenceException.getInstance(pVar, environment);
    }

    private static Object[] unexpectedTypeErrorDescription(String str, p pVar, String str2, b0 b0Var) {
        String str3;
        Object[] objArr = new Object[7];
        objArr[0] = "Expected ";
        objArr[1] = new w0(str);
        objArr[2] = ", but ";
        if (str2 == null) {
            str3 = pVar != null ? "this" : "the expression";
        } else {
            str3 = new Object[]{"assignment target variable ", new z0(str2)};
        }
        objArr[3] = str3;
        objArr[4] = " has evaluated to ";
        objArr[5] = new w0(new y0(b0Var));
        objArr[6] = pVar != null ? ":" : ".";
        return objArr;
    }

    public UnexpectedTypeException(Environment environment, d1 d1Var) {
        super(null, environment, null, d1Var);
    }

    public UnexpectedTypeException(p pVar, b0 b0Var, String str, Class[] clsArr, Environment environment) {
        super(null, environment, pVar, newDescriptionBuilder(pVar, null, b0Var, str, clsArr, environment));
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public UnexpectedTypeException(p pVar, b0 b0Var, String str, Class[] clsArr, String str2, Environment environment) {
        super(null, environment, pVar, r8);
        d1 newDescriptionBuilder = newDescriptionBuilder(pVar, null, b0Var, str, clsArr, environment);
        newDescriptionBuilder.d(str2);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public UnexpectedTypeException(p pVar, b0 b0Var, String str, Class[] clsArr, Object[] objArr, Environment environment) {
        super(null, environment, pVar, r8);
        d1 newDescriptionBuilder = newDescriptionBuilder(pVar, null, b0Var, str, clsArr, environment);
        newDescriptionBuilder.e(objArr);
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public UnexpectedTypeException(String str, b0 b0Var, String str2, Class[] clsArr, Object[] objArr, Environment environment) {
        super(null, environment, null, r7);
        d1 newDescriptionBuilder = newDescriptionBuilder(null, str, b0Var, str2, clsArr, environment);
        newDescriptionBuilder.e(objArr);
    }
}
