package freemarker.ext.jsp;

import org.xml.sax.Locator;
import org.xml.sax.SAXParseException;

public class TaglibFactory$TldParsingSAXException extends SAXParseException {
    private final Throwable cause;

    public TaglibFactory$TldParsingSAXException(String str, Locator locator) {
        this(str, locator, null);
    }

    public Throwable getCause() {
        Throwable cause2 = super.getCause();
        return cause2 == null ? this.cause : cause2;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder(getClass().getName());
        sb.append(": ");
        int length = sb.length();
        String systemId = getSystemId();
        String publicId = getPublicId();
        if (!(systemId == null && publicId == null)) {
            sb.append("In ");
            if (systemId != null) {
                sb.append(systemId);
            }
            if (publicId != null) {
                if (systemId != null) {
                    sb.append(" (public ID: ");
                }
                sb.append(publicId);
                if (systemId != null) {
                    sb.append(')');
                }
            }
        }
        int lineNumber = getLineNumber();
        if (lineNumber != -1) {
            sb.append(sb.length() != length ? ", at " : "At ");
            sb.append("line ");
            sb.append(lineNumber);
            int columnNumber = getColumnNumber();
            if (columnNumber != -1) {
                sb.append(", column ");
                sb.append(columnNumber);
            }
        }
        String localizedMessage = getLocalizedMessage();
        if (localizedMessage != null) {
            if (sb.length() != length) {
                sb.append(":\n");
            }
            sb.append(localizedMessage);
        }
        return sb.toString();
    }

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public TaglibFactory$TldParsingSAXException(String str, Locator locator, Throwable th) {
        super(str, locator, th instanceof Exception ? (Exception) th : new Exception("Unchecked exception; see cause", th));
        this.cause = th;
    }
}
