package freemarker.ext.servlet;

import d.a.a.a.a;
import e.f.m0.l;
import javax.servlet.http.HttpServlet;

public class FreemarkerServlet extends HttpServlet {

    public static class ConflictingInitParamsException extends Exception {
        /* JADX WARNING: Illegal instructions before constructor call */
        public ConflictingInitParamsException(String str, String str2) {
            super(r0.toString());
            StringBuilder B = a.B("Conflicting servlet init-params: ");
            B.append(l.i(str));
            B.append(" and ");
            B.append(l.i(str2));
            B.append(". Only use ");
            B.append(l.i(str));
            B.append(".");
        }
    }

    public static class MalformedWebXmlException extends Exception {
        public MalformedWebXmlException(String str) {
            super(str);
        }
    }

    public enum OverrideResponseContentType {
        ALWAYS("always"),
        NEVER("never"),
        WHEN_TEMPLATE_HAS_MIME_TYPE("whenTemplateHasMimeType");
        
        private final String initParamValue;

        private OverrideResponseContentType(String str) {
            this.initParamValue = str;
        }

        public String getInitParamValue() {
            return this.initParamValue;
        }
    }

    public enum OverrideResponseLocale {
        ALWAYS("always"),
        NEVER("never");
        
        private final String initParamValue;

        private OverrideResponseLocale(String str) {
            this.initParamValue = str;
        }

        public String getInitParamValue() {
            return this.initParamValue;
        }
    }

    public enum ResponseCharacterEncoding {
        LEGACY("legacy"),
        FROM_TEMPLATE("fromTemplate"),
        DO_NOT_SET("doNotSet"),
        FORCE_CHARSET("force ${charsetName}");
        
        private final String initParamValue;

        private ResponseCharacterEncoding(String str) {
            this.initParamValue = str;
        }

        public String getInitParamValue() {
            return this.initParamValue;
        }
    }

    public static class InitParamValueException extends Exception {
        /* JADX WARNING: Illegal instructions before constructor call */
        public InitParamValueException(String str, String str2, Throwable th) {
            super(r0.toString(), th);
            StringBuilder B = a.B("Failed to set the ");
            B.append(l.i(str));
            B.append(" servlet init-param to ");
            B.append(l.i(str2));
            B.append("; see cause exception.");
        }

        /* JADX WARNING: Illegal instructions before constructor call */
        public InitParamValueException(String str, String str2, String str3) {
            super(r0.toString());
            StringBuilder B = a.B("Failed to set the ");
            B.append(l.i(str));
            B.append(" servlet init-param to ");
            B.append(l.i(str2));
            B.append(": ");
            B.append(str3);
        }
    }
}
