package io.reactivex.internal.operators.flowable;

import f.a.b0.h;
import f.a.j;
import io.reactivex.exceptions.MissingBackpressureException;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicLong;
import java.util.concurrent.atomic.AtomicReference;
import k.c.b;
import k.c.c;
import k.c.d;

public final class FlowableDebounce$DebounceSubscriber<T, U> extends AtomicLong implements j<T>, d {
    private static final long serialVersionUID = 6725975399620862591L;
    public final h<? super T, ? extends b<U>> debounceSelector;
    public final AtomicReference<f.a.z.b> debouncer = new AtomicReference<>();
    public boolean done;
    public final c<? super T> downstream;
    public volatile long index;
    public d upstream;

    public static final class a<T, U> extends f.a.h0.a<U> {

        /* renamed from: h  reason: collision with root package name */
        public final FlowableDebounce$DebounceSubscriber<T, U> f13367h;

        /* renamed from: j  reason: collision with root package name */
        public final long f13368j;

        /* renamed from: k  reason: collision with root package name */
        public final T f13369k;

        /* renamed from: l  reason: collision with root package name */
        public boolean f13370l;
        public final AtomicBoolean m = new AtomicBoolean();

        public a(FlowableDebounce$DebounceSubscriber<T, U> flowableDebounce$DebounceSubscriber, long j2, T t) {
            this.f13367h = flowableDebounce$DebounceSubscriber;
            this.f13368j = j2;
            this.f13369k = t;
        }

        public void a() {
            if (this.m.compareAndSet(false, true)) {
                this.f13367h.emit(this.f13368j, this.f13369k);
            }
        }

        @Override // k.c.c
        public void onComplete() {
            if (!this.f13370l) {
                this.f13370l = true;
                a();
            }
        }

        @Override // k.c.c
        public void onError(Throwable th) {
            if (this.f13370l) {
                d.l.b.g.g.b.q0(th);
                return;
            }
            this.f13370l = true;
            this.f13367h.onError(th);
        }

        @Override // k.c.c
        public void onNext(U u) {
            if (!this.f13370l) {
                this.f13370l = true;
                SubscriptionHelper.cancel(this.f13147d);
                a();
            }
        }
    }

    public FlowableDebounce$DebounceSubscriber(c<? super T> cVar, h<? super T, ? extends b<U>> hVar) {
        this.downstream = cVar;
        this.debounceSelector = hVar;
    }

    @Override // k.c.d
    public void cancel() {
        this.upstream.cancel();
        DisposableHelper.dispose(this.debouncer);
    }

    public void emit(long j2, T t) {
        if (j2 != this.index) {
            return;
        }
        if (get() != 0) {
            this.downstream.onNext(t);
            d.l.b.g.g.b.v0(this, 1);
            return;
        }
        cancel();
        this.downstream.onError(new MissingBackpressureException("Could not deliver value due to lack of requests"));
    }

    @Override // k.c.c
    public void onComplete() {
        if (!this.done) {
            this.done = true;
            f.a.z.b bVar = this.debouncer.get();
            if (!DisposableHelper.isDisposed(bVar)) {
                ((a) bVar).a();
                DisposableHelper.dispose(this.debouncer);
                this.downstream.onComplete();
            }
        }
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        DisposableHelper.dispose(this.debouncer);
        this.downstream.onError(th);
    }

    @Override // k.c.c
    public void onNext(T t) {
        if (!this.done) {
            long j2 = this.index + 1;
            this.index = j2;
            f.a.z.b bVar = this.debouncer.get();
            if (bVar != null) {
                bVar.dispose();
            }
            try {
                Object apply = this.debounceSelector.apply(t);
                Objects.requireNonNull(apply, "The publisher supplied is null");
                b bVar2 = (b) apply;
                a aVar = new a(this, j2, t);
                if (this.debouncer.compareAndSet(bVar, aVar)) {
                    bVar2.subscribe(aVar);
                }
            } catch (Throwable th) {
                d.l.b.g.g.b.D0(th);
                cancel();
                this.downstream.onError(th);
            }
        }
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            this.downstream.onSubscribe(this);
            dVar.request(Long.MAX_VALUE);
        }
    }

    @Override // k.c.d
    public void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            d.l.b.g.g.b.b(this, j2);
        }
    }
}
