package io.reactivex.internal.operators.flowable;

import f.a.b0.h;
import f.a.c0.c.f;
import f.a.c0.c.g;
import f.a.c0.f.a;
import f.a.j;
import io.reactivex.exceptions.MissingBackpressureException;
import io.reactivex.internal.queue.SpscArrayQueue;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import io.reactivex.internal.util.AtomicThrowable;
import io.reactivex.internal.util.ExceptionHelper;
import java.util.Objects;
import java.util.concurrent.Callable;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;
import java.util.concurrent.atomic.AtomicReference;
import k.c.b;
import k.c.c;
import k.c.d;

public final class FlowableFlatMap$MergeSubscriber<T, U> extends AtomicInteger implements j<T>, d {
    public static final FlowableFlatMap$InnerSubscriber<?, ?>[] CANCELLED = new FlowableFlatMap$InnerSubscriber[0];
    public static final FlowableFlatMap$InnerSubscriber<?, ?>[] EMPTY = new FlowableFlatMap$InnerSubscriber[0];
    private static final long serialVersionUID = -2117620485640801370L;
    public final int bufferSize;
    public volatile boolean cancelled;
    public final boolean delayErrors;
    public volatile boolean done;
    public final c<? super U> downstream;
    public final AtomicThrowable errs = new AtomicThrowable();
    public long lastId;
    public int lastIndex;
    public final h<? super T, ? extends b<? extends U>> mapper;
    public final int maxConcurrency;
    public volatile f<U> queue;
    public final AtomicLong requested;
    public int scalarEmitted;
    public final int scalarLimit;
    public final AtomicReference<FlowableFlatMap$InnerSubscriber<?, ?>[]> subscribers;
    public long uniqueId;
    public d upstream;

    public FlowableFlatMap$MergeSubscriber(c<? super U> cVar, h<? super T, ? extends b<? extends U>> hVar, boolean z, int i2, int i3) {
        AtomicReference<FlowableFlatMap$InnerSubscriber<?, ?>[]> atomicReference = new AtomicReference<>();
        this.subscribers = atomicReference;
        this.requested = new AtomicLong();
        this.downstream = cVar;
        this.mapper = hVar;
        this.delayErrors = z;
        this.maxConcurrency = i2;
        this.bufferSize = i3;
        this.scalarLimit = Math.max(1, i2 >> 1);
        atomicReference.lazySet(EMPTY);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v2, resolved type: java.util.concurrent.atomic.AtomicReference<io.reactivex.internal.operators.flowable.FlowableFlatMap$InnerSubscriber<?, ?>[]> */
    /* JADX WARN: Multi-variable type inference failed */
    public boolean addInner(FlowableFlatMap$InnerSubscriber<T, U> flowableFlatMap$InnerSubscriber) {
        FlowableFlatMap$InnerSubscriber<?, ?>[] flowableFlatMap$InnerSubscriberArr;
        FlowableFlatMap$InnerSubscriber[] flowableFlatMap$InnerSubscriberArr2;
        do {
            flowableFlatMap$InnerSubscriberArr = this.subscribers.get();
            if (flowableFlatMap$InnerSubscriberArr == CANCELLED) {
                flowableFlatMap$InnerSubscriber.dispose();
                return false;
            }
            int length = flowableFlatMap$InnerSubscriberArr.length;
            flowableFlatMap$InnerSubscriberArr2 = new FlowableFlatMap$InnerSubscriber[(length + 1)];
            System.arraycopy(flowableFlatMap$InnerSubscriberArr, 0, flowableFlatMap$InnerSubscriberArr2, 0, length);
            flowableFlatMap$InnerSubscriberArr2[length] = flowableFlatMap$InnerSubscriber;
        } while (!this.subscribers.compareAndSet(flowableFlatMap$InnerSubscriberArr, flowableFlatMap$InnerSubscriberArr2));
        return true;
    }

    @Override // k.c.d
    public void cancel() {
        f<U> fVar;
        if (!this.cancelled) {
            this.cancelled = true;
            this.upstream.cancel();
            disposeAll();
            if (getAndIncrement() == 0 && (fVar = this.queue) != null) {
                fVar.clear();
            }
        }
    }

    public boolean checkTerminate() {
        if (this.cancelled) {
            clearScalarQueue();
            return true;
        } else if (this.delayErrors || this.errs.get() == null) {
            return false;
        } else {
            clearScalarQueue();
            Throwable terminate = this.errs.terminate();
            if (terminate != ExceptionHelper.f13426a) {
                this.downstream.onError(terminate);
            }
            return true;
        }
    }

    public void clearScalarQueue() {
        f<U> fVar = this.queue;
        if (fVar != null) {
            fVar.clear();
        }
    }

    public void disposeAll() {
        FlowableFlatMap$InnerSubscriber<?, ?>[] andSet;
        FlowableFlatMap$InnerSubscriber<?, ?>[] flowableFlatMap$InnerSubscriberArr = this.subscribers.get();
        FlowableFlatMap$InnerSubscriber<?, ?>[] flowableFlatMap$InnerSubscriberArr2 = CANCELLED;
        if (!(flowableFlatMap$InnerSubscriberArr == flowableFlatMap$InnerSubscriberArr2 || (andSet = this.subscribers.getAndSet(flowableFlatMap$InnerSubscriberArr2)) == flowableFlatMap$InnerSubscriberArr2)) {
            for (FlowableFlatMap$InnerSubscriber<?, ?> flowableFlatMap$InnerSubscriber : andSet) {
                flowableFlatMap$InnerSubscriber.dispose();
            }
            Throwable terminate = this.errs.terminate();
            if (!(terminate == null || terminate == ExceptionHelper.f13426a)) {
                d.l.b.g.g.b.q0(terminate);
            }
        }
    }

    public void drain() {
        if (getAndIncrement() == 0) {
            drainLoop();
        }
    }

    public void drainLoop() {
        boolean z;
        long j2;
        long j3;
        FlowableFlatMap$InnerSubscriber<T, U>[] flowableFlatMap$InnerSubscriberArr;
        int i2;
        long j4;
        c<? super U> cVar = this.downstream;
        int i3 = 1;
        while (!checkTerminate()) {
            f<U> fVar = this.queue;
            long j5 = this.requested.get();
            boolean z2 = j5 == Long.MAX_VALUE;
            long j6 = 0;
            long j7 = 0;
            if (fVar != null) {
                while (true) {
                    long j8 = 0;
                    U u = null;
                    while (true) {
                        if (j5 == 0) {
                            break;
                        }
                        U poll = fVar.poll();
                        if (!checkTerminate()) {
                            if (poll == null) {
                                u = poll;
                                break;
                            }
                            cVar.onNext(poll);
                            j7++;
                            j8++;
                            j5--;
                            u = poll;
                        } else {
                            return;
                        }
                    }
                    if (j8 != 0) {
                        if (z2) {
                            j5 = Long.MAX_VALUE;
                        } else {
                            j5 = this.requested.addAndGet(-j8);
                        }
                    }
                    if (j5 == 0 || u == null) {
                        break;
                    }
                }
            }
            boolean z3 = this.done;
            f<U> fVar2 = this.queue;
            FlowableFlatMap$InnerSubscriber<?, ?>[] flowableFlatMap$InnerSubscriberArr2 = this.subscribers.get();
            int length = flowableFlatMap$InnerSubscriberArr2.length;
            if (!z3 || ((fVar2 != null && !fVar2.isEmpty()) || length != 0)) {
                if (length != 0) {
                    long j9 = this.lastId;
                    int i4 = this.lastIndex;
                    if (length <= i4 || flowableFlatMap$InnerSubscriberArr2[i4].id != j9) {
                        if (length <= i4) {
                            i4 = 0;
                        }
                        for (int i5 = 0; i5 < length && flowableFlatMap$InnerSubscriberArr2[i4].id != j9; i5++) {
                            i4++;
                            if (i4 == length) {
                                i4 = 0;
                            }
                        }
                        this.lastIndex = i4;
                        this.lastId = flowableFlatMap$InnerSubscriberArr2[i4].id;
                    }
                    int i6 = i4;
                    boolean z4 = false;
                    int i7 = 0;
                    while (true) {
                        if (i7 >= length) {
                            flowableFlatMap$InnerSubscriberArr = flowableFlatMap$InnerSubscriberArr2;
                            z = z4;
                            break;
                        } else if (!checkTerminate()) {
                            FlowableFlatMap$InnerSubscriber<T, U> flowableFlatMap$InnerSubscriber = flowableFlatMap$InnerSubscriberArr2[i6];
                            U u2 = null;
                            while (!checkTerminate()) {
                                g<U> gVar = flowableFlatMap$InnerSubscriber.queue;
                                if (gVar == null) {
                                    flowableFlatMap$InnerSubscriberArr = flowableFlatMap$InnerSubscriberArr2;
                                    i2 = length;
                                } else {
                                    flowableFlatMap$InnerSubscriberArr = flowableFlatMap$InnerSubscriberArr2;
                                    i2 = length;
                                    long j10 = j6;
                                    while (j5 != j6) {
                                        try {
                                            u2 = gVar.poll();
                                            if (u2 == null) {
                                                break;
                                            }
                                            cVar.onNext(u2);
                                            if (!checkTerminate()) {
                                                j5--;
                                                j10++;
                                            } else {
                                                return;
                                            }
                                        } catch (Throwable th) {
                                            d.l.b.g.g.b.D0(th);
                                            flowableFlatMap$InnerSubscriber.dispose();
                                            this.errs.addThrowable(th);
                                            if (!this.delayErrors) {
                                                this.upstream.cancel();
                                            }
                                            if (!checkTerminate()) {
                                                removeInner(flowableFlatMap$InnerSubscriber);
                                                i7++;
                                                length = i2;
                                                z4 = true;
                                            } else {
                                                return;
                                            }
                                        }
                                    }
                                    if (j10 != j6) {
                                        j5 = !z2 ? this.requested.addAndGet(-j10) : Long.MAX_VALUE;
                                        flowableFlatMap$InnerSubscriber.requestMore(j10);
                                        j4 = 0;
                                    } else {
                                        j4 = j6;
                                    }
                                    if (!(j5 == j4 || u2 == null)) {
                                        flowableFlatMap$InnerSubscriberArr2 = flowableFlatMap$InnerSubscriberArr;
                                        length = i2;
                                        j6 = 0;
                                    }
                                }
                                boolean z5 = flowableFlatMap$InnerSubscriber.done;
                                g<U> gVar2 = flowableFlatMap$InnerSubscriber.queue;
                                if (z5 && (gVar2 == null || gVar2.isEmpty())) {
                                    removeInner(flowableFlatMap$InnerSubscriber);
                                    if (!checkTerminate()) {
                                        j7++;
                                        z4 = true;
                                    } else {
                                        return;
                                    }
                                }
                                if (j5 == 0) {
                                    z = z4;
                                    break;
                                }
                                i6++;
                                length = i2;
                                if (i6 == length) {
                                    i6 = 0;
                                }
                                i7++;
                                flowableFlatMap$InnerSubscriberArr2 = flowableFlatMap$InnerSubscriberArr;
                                j6 = 0;
                            }
                            return;
                        } else {
                            return;
                        }
                    }
                    this.lastIndex = i6;
                    this.lastId = flowableFlatMap$InnerSubscriberArr[i6].id;
                    j3 = j7;
                    j2 = 0;
                } else {
                    j2 = 0;
                    j3 = j7;
                    z = false;
                }
                if (j3 != j2 && !this.cancelled) {
                    this.upstream.request(j3);
                }
                if (z) {
                    i3 = i3;
                } else {
                    i3 = addAndGet(-i3);
                    if (i3 == 0) {
                        return;
                    }
                }
            } else {
                Throwable terminate = this.errs.terminate();
                if (terminate == ExceptionHelper.f13426a) {
                    return;
                }
                if (terminate == null) {
                    cVar.onComplete();
                    return;
                } else {
                    cVar.onError(terminate);
                    return;
                }
            }
        }
    }

    public g<U> getInnerQueue(FlowableFlatMap$InnerSubscriber<T, U> flowableFlatMap$InnerSubscriber) {
        g<U> gVar = flowableFlatMap$InnerSubscriber.queue;
        if (gVar != null) {
            return gVar;
        }
        SpscArrayQueue spscArrayQueue = new SpscArrayQueue(this.bufferSize);
        flowableFlatMap$InnerSubscriber.queue = spscArrayQueue;
        return spscArrayQueue;
    }

    public g<U> getMainQueue() {
        f<U> fVar = this.queue;
        if (fVar == null) {
            if (this.maxConcurrency == Integer.MAX_VALUE) {
                fVar = new a<>(this.bufferSize);
            } else {
                fVar = new SpscArrayQueue<>(this.maxConcurrency);
            }
            this.queue = fVar;
        }
        return fVar;
    }

    public void innerError(FlowableFlatMap$InnerSubscriber<T, U> flowableFlatMap$InnerSubscriber, Throwable th) {
        if (this.errs.addThrowable(th)) {
            flowableFlatMap$InnerSubscriber.done = true;
            if (!this.delayErrors) {
                this.upstream.cancel();
                for (FlowableFlatMap$InnerSubscriber<?, ?> flowableFlatMap$InnerSubscriber2 : this.subscribers.getAndSet(CANCELLED)) {
                    flowableFlatMap$InnerSubscriber2.dispose();
                }
            }
            drain();
            return;
        }
        d.l.b.g.g.b.q0(th);
    }

    @Override // k.c.c
    public void onComplete() {
        if (!this.done) {
            this.done = true;
            drain();
        }
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        if (this.done) {
            d.l.b.g.g.b.q0(th);
        } else if (this.errs.addThrowable(th)) {
            this.done = true;
            drain();
        } else {
            d.l.b.g.g.b.q0(th);
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r5v0, resolved type: io.reactivex.internal.operators.flowable.FlowableFlatMap$MergeSubscriber<T, U> */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // k.c.c
    public void onNext(T t) {
        if (!this.done) {
            try {
                Object apply = this.mapper.apply(t);
                Objects.requireNonNull(apply, "The mapper returned a null Publisher");
                b bVar = (b) apply;
                if (bVar instanceof Callable) {
                    try {
                        Object call = ((Callable) bVar).call();
                        if (call != null) {
                            tryEmitScalar(call);
                        } else if (this.maxConcurrency != Integer.MAX_VALUE && !this.cancelled) {
                            int i2 = this.scalarEmitted + 1;
                            this.scalarEmitted = i2;
                            int i3 = this.scalarLimit;
                            if (i2 == i3) {
                                this.scalarEmitted = 0;
                                this.upstream.request((long) i3);
                            }
                        }
                    } catch (Throwable th) {
                        d.l.b.g.g.b.D0(th);
                        this.errs.addThrowable(th);
                        drain();
                    }
                } else {
                    long j2 = this.uniqueId;
                    this.uniqueId = 1 + j2;
                    FlowableFlatMap$InnerSubscriber flowableFlatMap$InnerSubscriber = new FlowableFlatMap$InnerSubscriber(this, j2);
                    if (addInner(flowableFlatMap$InnerSubscriber)) {
                        bVar.subscribe(flowableFlatMap$InnerSubscriber);
                    }
                }
            } catch (Throwable th2) {
                d.l.b.g.g.b.D0(th2);
                this.upstream.cancel();
                onError(th2);
            }
        }
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            this.downstream.onSubscribe(this);
            if (!this.cancelled) {
                int i2 = this.maxConcurrency;
                if (i2 == Integer.MAX_VALUE) {
                    dVar.request(Long.MAX_VALUE);
                } else {
                    dVar.request((long) i2);
                }
            }
        }
    }

    public void removeInner(FlowableFlatMap$InnerSubscriber<T, U> flowableFlatMap$InnerSubscriber) {
        FlowableFlatMap$InnerSubscriber<?, ?>[] flowableFlatMap$InnerSubscriberArr;
        FlowableFlatMap$InnerSubscriber<?, ?>[] flowableFlatMap$InnerSubscriberArr2;
        do {
            flowableFlatMap$InnerSubscriberArr = this.subscribers.get();
            int length = flowableFlatMap$InnerSubscriberArr.length;
            if (length != 0) {
                int i2 = -1;
                int i3 = 0;
                while (true) {
                    if (i3 >= length) {
                        break;
                    } else if (flowableFlatMap$InnerSubscriberArr[i3] == flowableFlatMap$InnerSubscriber) {
                        i2 = i3;
                        break;
                    } else {
                        i3++;
                    }
                }
                if (i2 >= 0) {
                    if (length == 1) {
                        flowableFlatMap$InnerSubscriberArr2 = EMPTY;
                    } else {
                        FlowableFlatMap$InnerSubscriber<?, ?>[] flowableFlatMap$InnerSubscriberArr3 = new FlowableFlatMap$InnerSubscriber[(length - 1)];
                        System.arraycopy(flowableFlatMap$InnerSubscriberArr, 0, flowableFlatMap$InnerSubscriberArr3, 0, i2);
                        System.arraycopy(flowableFlatMap$InnerSubscriberArr, i2 + 1, flowableFlatMap$InnerSubscriberArr3, i2, (length - i2) - 1);
                        flowableFlatMap$InnerSubscriberArr2 = flowableFlatMap$InnerSubscriberArr3;
                    }
                } else {
                    return;
                }
            } else {
                return;
            }
        } while (!this.subscribers.compareAndSet(flowableFlatMap$InnerSubscriberArr, flowableFlatMap$InnerSubscriberArr2));
    }

    @Override // k.c.d
    public void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            d.l.b.g.g.b.b(this.requested, j2);
            drain();
        }
    }

    public void tryEmit(U u, FlowableFlatMap$InnerSubscriber<T, U> flowableFlatMap$InnerSubscriber) {
        if (get() != 0 || !compareAndSet(0, 1)) {
            g gVar = flowableFlatMap$InnerSubscriber.queue;
            if (gVar == null) {
                gVar = new SpscArrayQueue(this.bufferSize);
                flowableFlatMap$InnerSubscriber.queue = gVar;
            }
            if (!gVar.offer(u)) {
                onError(new MissingBackpressureException("Inner queue full?!"));
                return;
            } else if (getAndIncrement() != 0) {
                return;
            }
        } else {
            long j2 = this.requested.get();
            g<U> gVar2 = flowableFlatMap$InnerSubscriber.queue;
            if (j2 == 0 || (gVar2 != null && !gVar2.isEmpty())) {
                if (gVar2 == null) {
                    gVar2 = getInnerQueue(flowableFlatMap$InnerSubscriber);
                }
                if (!gVar2.offer(u)) {
                    onError(new MissingBackpressureException("Inner queue full?!"));
                    return;
                }
            } else {
                this.downstream.onNext(u);
                if (j2 != Long.MAX_VALUE) {
                    this.requested.decrementAndGet();
                }
                flowableFlatMap$InnerSubscriber.requestMore(1);
            }
            if (decrementAndGet() == 0) {
                return;
            }
        }
        drainLoop();
    }

    public void tryEmitScalar(U u) {
        if (get() == 0 && compareAndSet(0, 1)) {
            long j2 = this.requested.get();
            g<U> gVar = this.queue;
            if (j2 == 0 || (gVar != null && !gVar.isEmpty())) {
                if (gVar == null) {
                    gVar = getMainQueue();
                }
                if (!gVar.offer(u)) {
                    onError(new IllegalStateException("Scalar queue full?!"));
                    return;
                }
            } else {
                this.downstream.onNext(u);
                if (j2 != Long.MAX_VALUE) {
                    this.requested.decrementAndGet();
                }
                if (this.maxConcurrency != Integer.MAX_VALUE && !this.cancelled) {
                    int i2 = this.scalarEmitted + 1;
                    this.scalarEmitted = i2;
                    int i3 = this.scalarLimit;
                    if (i2 == i3) {
                        this.scalarEmitted = 0;
                        this.upstream.request((long) i3);
                    }
                }
            }
            if (decrementAndGet() == 0) {
                return;
            }
        } else if (!getMainQueue().offer(u)) {
            onError(new IllegalStateException("Scalar queue full?!"));
            return;
        } else if (getAndIncrement() != 0) {
            return;
        }
        drainLoop();
    }
}
