package io.reactivex.internal.operators.flowable;

import f.a.j;
import f.a.u;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.atomic.AtomicLong;
import java.util.concurrent.atomic.AtomicReference;
import k.c.b;
import k.c.c;
import k.c.d;

public final class FlowableSubscribeOn$SubscribeOnSubscriber<T> extends AtomicReference<Thread> implements j<T>, d, Runnable {
    private static final long serialVersionUID = 8094547886072529208L;
    public final c<? super T> downstream;
    public final boolean nonScheduledRequests;
    public final AtomicLong requested = new AtomicLong();
    public b<T> source;
    public final AtomicReference<d> upstream = new AtomicReference<>();
    public final u.c worker;

    public static final class a implements Runnable {

        /* renamed from: d  reason: collision with root package name */
        public final d f13371d;

        /* renamed from: h  reason: collision with root package name */
        public final long f13372h;

        public a(d dVar, long j2) {
            this.f13371d = dVar;
            this.f13372h = j2;
        }

        public void run() {
            this.f13371d.request(this.f13372h);
        }
    }

    public FlowableSubscribeOn$SubscribeOnSubscriber(c<? super T> cVar, u.c cVar2, b<T> bVar, boolean z) {
        this.downstream = cVar;
        this.worker = cVar2;
        this.source = bVar;
        this.nonScheduledRequests = !z;
    }

    @Override // k.c.d
    public void cancel() {
        SubscriptionHelper.cancel(this.upstream);
        this.worker.dispose();
    }

    @Override // k.c.c
    public void onComplete() {
        this.downstream.onComplete();
        this.worker.dispose();
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        this.downstream.onError(th);
        this.worker.dispose();
    }

    @Override // k.c.c
    public void onNext(T t) {
        this.downstream.onNext(t);
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.setOnce(this.upstream, dVar)) {
            long andSet = this.requested.getAndSet(0);
            if (andSet != 0) {
                requestUpstream(andSet, dVar);
            }
        }
    }

    @Override // k.c.d
    public void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            d dVar = this.upstream.get();
            if (dVar != null) {
                requestUpstream(j2, dVar);
                return;
            }
            d.l.b.g.g.b.b(this.requested, j2);
            d dVar2 = this.upstream.get();
            if (dVar2 != null) {
                long andSet = this.requested.getAndSet(0);
                if (andSet != 0) {
                    requestUpstream(andSet, dVar2);
                }
            }
        }
    }

    public void requestUpstream(long j2, d dVar) {
        if (this.nonScheduledRequests || Thread.currentThread() == get()) {
            dVar.request(j2);
        } else {
            this.worker.b(new a(dVar, j2));
        }
    }

    public void run() {
        lazySet(Thread.currentThread());
        b<T> bVar = this.source;
        this.source = null;
        bVar.subscribe(this);
    }
}
