package io.reactivex.internal.operators.flowable;

import f.a.c0.e.b.p;
import f.a.g;
import f.a.j;
import io.reactivex.exceptions.MissingBackpressureException;
import io.reactivex.internal.queue.MpscLinkedQueue;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import io.reactivex.internal.util.AtomicThrowable;
import io.reactivex.processors.UnicastProcessor;
import java.util.Objects;
import java.util.concurrent.Callable;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;
import java.util.concurrent.atomic.AtomicReference;
import k.c.b;
import k.c.c;
import k.c.d;

public final class FlowableWindowBoundarySupplier$WindowBoundaryMainSubscriber<T, B> extends AtomicInteger implements j<T>, d, Runnable {
    public static final p<Object, Object> BOUNDARY_DISPOSED = new p<>(null);
    public static final Object NEXT_WINDOW = new Object();
    private static final long serialVersionUID = 2233020065421370272L;
    public final AtomicReference<p<T, B>> boundarySubscriber = new AtomicReference<>();
    public final int capacityHint;
    public volatile boolean done;
    public final c<? super g<T>> downstream;
    public long emitted;
    public final AtomicThrowable errors = new AtomicThrowable();
    public final Callable<? extends b<B>> other;
    public final MpscLinkedQueue<Object> queue = new MpscLinkedQueue<>();
    public final AtomicLong requested;
    public final AtomicBoolean stopWindows = new AtomicBoolean();
    public d upstream;
    public UnicastProcessor<T> window;
    public final AtomicInteger windows = new AtomicInteger(1);

    public FlowableWindowBoundarySupplier$WindowBoundaryMainSubscriber(c<? super g<T>> cVar, int i2, Callable<? extends b<B>> callable) {
        this.downstream = cVar;
        this.capacityHint = i2;
        this.other = callable;
        this.requested = new AtomicLong();
    }

    @Override // k.c.d
    public void cancel() {
        if (this.stopWindows.compareAndSet(false, true)) {
            disposeBoundary();
            if (this.windows.decrementAndGet() == 0) {
                this.upstream.cancel();
            }
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: java.util.concurrent.atomic.AtomicReference<f.a.c0.e.b.p<T, B>> */
    /* JADX WARN: Multi-variable type inference failed */
    public void disposeBoundary() {
        p<Object, Object> pVar = BOUNDARY_DISPOSED;
        f.a.z.b bVar = (f.a.z.b) this.boundarySubscriber.getAndSet(pVar);
        if (bVar != null && bVar != pVar) {
            bVar.dispose();
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r7v2, resolved type: io.reactivex.processors.UnicastProcessor<T> */
    /* JADX WARN: Multi-variable type inference failed */
    public void drain() {
        if (getAndIncrement() == 0) {
            c<? super g<T>> cVar = this.downstream;
            MpscLinkedQueue<Object> mpscLinkedQueue = this.queue;
            AtomicThrowable atomicThrowable = this.errors;
            long j2 = this.emitted;
            int i2 = 1;
            while (this.windows.get() != 0) {
                UnicastProcessor<T> unicastProcessor = this.window;
                boolean z = this.done;
                if (!z || atomicThrowable.get() == null) {
                    Object poll = mpscLinkedQueue.poll();
                    boolean z2 = poll == null;
                    if (z && z2) {
                        Throwable terminate = atomicThrowable.terminate();
                        if (terminate == null) {
                            if (unicastProcessor != 0) {
                                this.window = null;
                                unicastProcessor.onComplete();
                            }
                            cVar.onComplete();
                            return;
                        }
                        if (unicastProcessor != 0) {
                            this.window = null;
                            unicastProcessor.onError(terminate);
                        }
                        cVar.onError(terminate);
                        return;
                    } else if (z2) {
                        this.emitted = j2;
                        i2 = addAndGet(-i2);
                        if (i2 == 0) {
                            return;
                        }
                    } else if (poll != NEXT_WINDOW) {
                        unicastProcessor.onNext(poll);
                    } else {
                        if (unicastProcessor != 0) {
                            this.window = null;
                            unicastProcessor.onComplete();
                        }
                        if (!this.stopWindows.get()) {
                            if (j2 != this.requested.get()) {
                                int i3 = this.capacityHint;
                                int i4 = UnicastProcessor.f13428h;
                                UnicastProcessor<T> unicastProcessor2 = new UnicastProcessor<>(i3, this, true);
                                this.window = unicastProcessor2;
                                this.windows.getAndIncrement();
                                try {
                                    Object call = this.other.call();
                                    Objects.requireNonNull(call, "The other Callable returned a null Publisher");
                                    b bVar = (b) call;
                                    p<T, B> pVar = new p<>(this);
                                    if (this.boundarySubscriber.compareAndSet(null, pVar)) {
                                        bVar.subscribe(pVar);
                                        j2++;
                                        cVar.onNext(unicastProcessor2);
                                    }
                                } catch (Throwable th) {
                                    d.l.b.g.g.b.D0(th);
                                    atomicThrowable.addThrowable(th);
                                    this.done = true;
                                }
                            } else {
                                this.upstream.cancel();
                                disposeBoundary();
                                atomicThrowable.addThrowable(new MissingBackpressureException("Could not deliver a window due to lack of requests"));
                                this.done = true;
                            }
                        }
                    }
                } else {
                    mpscLinkedQueue.clear();
                    Throwable terminate2 = atomicThrowable.terminate();
                    if (unicastProcessor != 0) {
                        this.window = null;
                        unicastProcessor.onError(terminate2);
                    }
                    cVar.onError(terminate2);
                    return;
                }
            }
            mpscLinkedQueue.clear();
            this.window = null;
        }
    }

    public void innerComplete() {
        this.upstream.cancel();
        this.done = true;
        drain();
    }

    public void innerError(Throwable th) {
        this.upstream.cancel();
        if (this.errors.addThrowable(th)) {
            this.done = true;
            drain();
            return;
        }
        d.l.b.g.g.b.q0(th);
    }

    public void innerNext(p<T, B> pVar) {
        this.boundarySubscriber.compareAndSet(pVar, null);
        this.queue.offer(NEXT_WINDOW);
        drain();
    }

    @Override // k.c.c
    public void onComplete() {
        disposeBoundary();
        this.done = true;
        drain();
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        disposeBoundary();
        if (this.errors.addThrowable(th)) {
            this.done = true;
            drain();
            return;
        }
        d.l.b.g.g.b.q0(th);
    }

    @Override // k.c.c
    public void onNext(T t) {
        this.queue.offer(t);
        drain();
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            this.downstream.onSubscribe(this);
            this.queue.offer(NEXT_WINDOW);
            drain();
            dVar.request(Long.MAX_VALUE);
        }
    }

    @Override // k.c.d
    public void request(long j2) {
        d.l.b.g.g.b.b(this.requested, j2);
    }

    public void run() {
        if (this.windows.decrementAndGet() == 0) {
            this.upstream.cancel();
        }
    }
}
