package io.reactivex.internal.operators.maybe;

import f.a.b0.h;
import f.a.l;
import f.a.m;
import f.a.z.b;
import io.reactivex.exceptions.CompositeException;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicReference;

public final class MaybeOnErrorNext$OnErrorNextMaybeObserver<T> extends AtomicReference<b> implements l<T>, b {
    private static final long serialVersionUID = 2026620218879969836L;
    public final boolean allowFatal;
    public final l<? super T> downstream;
    public final h<? super Throwable, ? extends m<? extends T>> resumeFunction;

    public static final class a<T> implements l<T> {

        /* renamed from: d  reason: collision with root package name */
        public final l<? super T> f13380d;

        /* renamed from: h  reason: collision with root package name */
        public final AtomicReference<b> f13381h;

        public a(l<? super T> lVar, AtomicReference<b> atomicReference) {
            this.f13380d = lVar;
            this.f13381h = atomicReference;
        }

        @Override // f.a.l
        public void onComplete() {
            this.f13380d.onComplete();
        }

        @Override // f.a.l
        public void onError(Throwable th) {
            this.f13380d.onError(th);
        }

        @Override // f.a.l
        public void onSubscribe(b bVar) {
            DisposableHelper.setOnce(this.f13381h, bVar);
        }

        @Override // f.a.l
        public void onSuccess(T t) {
            this.f13380d.onSuccess(t);
        }
    }

    public MaybeOnErrorNext$OnErrorNextMaybeObserver(l<? super T> lVar, h<? super Throwable, ? extends m<? extends T>> hVar, boolean z) {
        this.downstream = lVar;
        this.resumeFunction = hVar;
        this.allowFatal = z;
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this);
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed((b) get());
    }

    @Override // f.a.l
    public void onComplete() {
        this.downstream.onComplete();
    }

    @Override // f.a.l
    public void onError(Throwable th) {
        if (this.allowFatal || (th instanceof Exception)) {
            try {
                Object apply = this.resumeFunction.apply(th);
                Objects.requireNonNull(apply, "The resumeFunction returned a null MaybeSource");
                m mVar = (m) apply;
                DisposableHelper.replace(this, null);
                mVar.a(new a(this.downstream, this));
            } catch (Throwable th2) {
                d.l.b.g.g.b.D0(th2);
                this.downstream.onError(new CompositeException(th, th2));
            }
        } else {
            this.downstream.onError(th);
        }
    }

    @Override // f.a.l
    public void onSubscribe(b bVar) {
        if (DisposableHelper.setOnce(this, bVar)) {
            this.downstream.onSubscribe(this);
        }
    }

    @Override // f.a.l
    public void onSuccess(T t) {
        this.downstream.onSuccess(t);
    }
}
