package io.reactivex.internal.operators.observable;

import f.a.b0.h;
import f.a.c0.c.f;
import f.a.c0.c.g;
import f.a.c0.e.d.a;
import f.a.r;
import f.a.t;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.queue.SpscArrayQueue;
import io.reactivex.internal.util.AtomicThrowable;
import io.reactivex.internal.util.ExceptionHelper;
import java.util.ArrayDeque;
import java.util.Objects;
import java.util.Queue;
import java.util.concurrent.Callable;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicReference;

public final class ObservableFlatMap<T, U> extends a<T, U> {

    /* renamed from: h  reason: collision with root package name */
    public final h<? super T, ? extends r<? extends U>> f13398h;

    /* renamed from: j  reason: collision with root package name */
    public final boolean f13399j;

    /* renamed from: k  reason: collision with root package name */
    public final int f13400k;

    /* renamed from: l  reason: collision with root package name */
    public final int f13401l;

    public static final class InnerObserver<T, U> extends AtomicReference<b> implements t<U> {
        private static final long serialVersionUID = -4606175640614850599L;
        public volatile boolean done;
        public int fusionMode;
        public final long id;
        public final MergeObserver<T, U> parent;
        public volatile g<U> queue;

        public InnerObserver(MergeObserver<T, U> mergeObserver, long j2) {
            this.id = j2;
            this.parent = mergeObserver;
        }

        public void dispose() {
            DisposableHelper.dispose(this);
        }

        @Override // f.a.t
        public void onComplete() {
            this.done = true;
            this.parent.drain();
        }

        @Override // f.a.t
        public void onError(Throwable th) {
            if (this.parent.errors.addThrowable(th)) {
                MergeObserver<T, U> mergeObserver = this.parent;
                if (!mergeObserver.delayErrors) {
                    mergeObserver.disposeAll();
                }
                this.done = true;
                this.parent.drain();
                return;
            }
            d.l.b.g.g.b.q0(th);
        }

        @Override // f.a.t
        public void onNext(U u) {
            if (this.fusionMode == 0) {
                this.parent.tryEmit(u, this);
            } else {
                this.parent.drain();
            }
        }

        @Override // f.a.t
        public void onSubscribe(b bVar) {
            if (DisposableHelper.setOnce(this, bVar) && (bVar instanceof f.a.c0.c.b)) {
                f.a.c0.c.b bVar2 = (f.a.c0.c.b) bVar;
                int requestFusion = bVar2.requestFusion(7);
                if (requestFusion == 1) {
                    this.fusionMode = requestFusion;
                    this.queue = bVar2;
                    this.done = true;
                    this.parent.drain();
                } else if (requestFusion == 2) {
                    this.fusionMode = requestFusion;
                    this.queue = bVar2;
                }
            }
        }
    }

    public static final class MergeObserver<T, U> extends AtomicInteger implements b, t<T> {
        public static final InnerObserver<?, ?>[] CANCELLED = new InnerObserver[0];
        public static final InnerObserver<?, ?>[] EMPTY = new InnerObserver[0];
        private static final long serialVersionUID = -2117620485640801370L;
        public final int bufferSize;
        public volatile boolean cancelled;
        public final boolean delayErrors;
        public volatile boolean done;
        public final t<? super U> downstream;
        public final AtomicThrowable errors = new AtomicThrowable();
        public long lastId;
        public int lastIndex;
        public final h<? super T, ? extends r<? extends U>> mapper;
        public final int maxConcurrency;
        public final AtomicReference<InnerObserver<?, ?>[]> observers;
        public volatile f<U> queue;
        public Queue<r<? extends U>> sources;
        public long uniqueId;
        public b upstream;
        public int wip;

        public MergeObserver(t<? super U> tVar, h<? super T, ? extends r<? extends U>> hVar, boolean z, int i2, int i3) {
            this.downstream = tVar;
            this.mapper = hVar;
            this.delayErrors = z;
            this.maxConcurrency = i2;
            this.bufferSize = i3;
            if (i2 != Integer.MAX_VALUE) {
                this.sources = new ArrayDeque(i2);
            }
            this.observers = new AtomicReference<>(EMPTY);
        }

        /* JADX DEBUG: Multi-variable search result rejected for r1v2, resolved type: java.util.concurrent.atomic.AtomicReference<io.reactivex.internal.operators.observable.ObservableFlatMap$InnerObserver<?, ?>[]> */
        /* JADX WARN: Multi-variable type inference failed */
        public boolean addInner(InnerObserver<T, U> innerObserver) {
            InnerObserver<?, ?>[] innerObserverArr;
            InnerObserver[] innerObserverArr2;
            do {
                innerObserverArr = this.observers.get();
                if (innerObserverArr == CANCELLED) {
                    innerObserver.dispose();
                    return false;
                }
                int length = innerObserverArr.length;
                innerObserverArr2 = new InnerObserver[(length + 1)];
                System.arraycopy(innerObserverArr, 0, innerObserverArr2, 0, length);
                innerObserverArr2[length] = innerObserver;
            } while (!this.observers.compareAndSet(innerObserverArr, innerObserverArr2));
            return true;
        }

        public boolean checkTerminate() {
            if (this.cancelled) {
                return true;
            }
            Throwable th = (Throwable) this.errors.get();
            if (this.delayErrors || th == null) {
                return false;
            }
            disposeAll();
            Throwable terminate = this.errors.terminate();
            if (terminate != ExceptionHelper.f13426a) {
                this.downstream.onError(terminate);
            }
            return true;
        }

        @Override // f.a.z.b
        public void dispose() {
            Throwable terminate;
            if (!this.cancelled) {
                this.cancelled = true;
                if (disposeAll() && (terminate = this.errors.terminate()) != null && terminate != ExceptionHelper.f13426a) {
                    d.l.b.g.g.b.q0(terminate);
                }
            }
        }

        public boolean disposeAll() {
            InnerObserver<?, ?>[] andSet;
            this.upstream.dispose();
            InnerObserver<?, ?>[] innerObserverArr = this.observers.get();
            InnerObserver<?, ?>[] innerObserverArr2 = CANCELLED;
            if (innerObserverArr == innerObserverArr2 || (andSet = this.observers.getAndSet(innerObserverArr2)) == innerObserverArr2) {
                return false;
            }
            for (InnerObserver<?, ?> innerObserver : andSet) {
                innerObserver.dispose();
            }
            return true;
        }

        public void drain() {
            if (getAndIncrement() == 0) {
                drainLoop();
            }
        }

        public void drainLoop() {
            int i2;
            t<? super U> tVar = this.downstream;
            int i3 = 1;
            while (!checkTerminate()) {
                f<U> fVar = this.queue;
                if (fVar != null) {
                    while (!checkTerminate()) {
                        U poll = fVar.poll();
                        if (poll != null) {
                            tVar.onNext(poll);
                        }
                    }
                    return;
                }
                boolean z = this.done;
                f<U> fVar2 = this.queue;
                InnerObserver<?, ?>[] innerObserverArr = this.observers.get();
                int length = innerObserverArr.length;
                int i4 = 0;
                if (this.maxConcurrency != Integer.MAX_VALUE) {
                    synchronized (this) {
                        i2 = this.sources.size();
                    }
                } else {
                    i2 = 0;
                }
                if (!z || !((fVar2 == null || fVar2.isEmpty()) && length == 0 && i2 == 0)) {
                    if (length != 0) {
                        long j2 = this.lastId;
                        int i5 = this.lastIndex;
                        if (length <= i5 || innerObserverArr[i5].id != j2) {
                            if (length <= i5) {
                                i5 = 0;
                            }
                            for (int i6 = 0; i6 < length && innerObserverArr[i5].id != j2; i6++) {
                                i5++;
                                if (i5 == length) {
                                    i5 = 0;
                                }
                            }
                            this.lastIndex = i5;
                            this.lastId = innerObserverArr[i5].id;
                        }
                        int i7 = 0;
                        for (int i8 = 0; i8 < length; i8++) {
                            if (!checkTerminate()) {
                                InnerObserver<T, U> innerObserver = innerObserverArr[i5];
                                g<U> gVar = innerObserver.queue;
                                if (gVar != null) {
                                    while (true) {
                                        try {
                                            U poll2 = gVar.poll();
                                            if (poll2 == null) {
                                                break;
                                            }
                                            tVar.onNext(poll2);
                                            if (checkTerminate()) {
                                                return;
                                            }
                                        } catch (Throwable th) {
                                            d.l.b.g.g.b.D0(th);
                                            innerObserver.dispose();
                                            this.errors.addThrowable(th);
                                            if (!checkTerminate()) {
                                                removeInner(innerObserver);
                                                i7++;
                                                i5++;
                                                if (i5 != length) {
                                                }
                                            } else {
                                                return;
                                            }
                                        }
                                    }
                                }
                                boolean z2 = innerObserver.done;
                                g<U> gVar2 = innerObserver.queue;
                                if (z2 && (gVar2 == null || gVar2.isEmpty())) {
                                    removeInner(innerObserver);
                                    if (!checkTerminate()) {
                                        i7++;
                                    } else {
                                        return;
                                    }
                                }
                                i5++;
                                if (i5 != length) {
                                }
                                i5 = 0;
                            } else {
                                return;
                            }
                        }
                        this.lastIndex = i5;
                        this.lastId = innerObserverArr[i5].id;
                        i4 = i7;
                    }
                    if (i4 == 0) {
                        i3 = addAndGet(-i3);
                        if (i3 == 0) {
                            return;
                        }
                    } else if (this.maxConcurrency != Integer.MAX_VALUE) {
                        while (true) {
                            int i9 = i4 - 1;
                            if (i4 == 0) {
                                continue;
                                break;
                            }
                            synchronized (this) {
                                r<? extends U> poll3 = this.sources.poll();
                                if (poll3 == null) {
                                    this.wip--;
                                } else {
                                    subscribeInner(poll3);
                                }
                            }
                            i4 = i9;
                        }
                    } else {
                        continue;
                    }
                } else {
                    Throwable terminate = this.errors.terminate();
                    if (terminate == ExceptionHelper.f13426a) {
                        return;
                    }
                    if (terminate == null) {
                        tVar.onComplete();
                        return;
                    } else {
                        tVar.onError(terminate);
                        return;
                    }
                }
            }
        }

        @Override // f.a.z.b
        public boolean isDisposed() {
            return this.cancelled;
        }

        @Override // f.a.t
        public void onComplete() {
            if (!this.done) {
                this.done = true;
                drain();
            }
        }

        @Override // f.a.t
        public void onError(Throwable th) {
            if (this.done) {
                d.l.b.g.g.b.q0(th);
            } else if (this.errors.addThrowable(th)) {
                this.done = true;
                drain();
            } else {
                d.l.b.g.g.b.q0(th);
            }
        }

        @Override // f.a.t
        public void onNext(T t) {
            if (!this.done) {
                try {
                    Object apply = this.mapper.apply(t);
                    Objects.requireNonNull(apply, "The mapper returned a null ObservableSource");
                    r<? extends U> rVar = (r) apply;
                    if (this.maxConcurrency != Integer.MAX_VALUE) {
                        synchronized (this) {
                            int i2 = this.wip;
                            if (i2 == this.maxConcurrency) {
                                this.sources.offer(rVar);
                                return;
                            }
                            this.wip = i2 + 1;
                        }
                    }
                    subscribeInner(rVar);
                } catch (Throwable th) {
                    d.l.b.g.g.b.D0(th);
                    this.upstream.dispose();
                    onError(th);
                }
            }
        }

        @Override // f.a.t
        public void onSubscribe(b bVar) {
            if (DisposableHelper.validate(this.upstream, bVar)) {
                this.upstream = bVar;
                this.downstream.onSubscribe(this);
            }
        }

        public void removeInner(InnerObserver<T, U> innerObserver) {
            InnerObserver<?, ?>[] innerObserverArr;
            InnerObserver<?, ?>[] innerObserverArr2;
            do {
                innerObserverArr = this.observers.get();
                int length = innerObserverArr.length;
                if (length != 0) {
                    int i2 = -1;
                    int i3 = 0;
                    while (true) {
                        if (i3 >= length) {
                            break;
                        } else if (innerObserverArr[i3] == innerObserver) {
                            i2 = i3;
                            break;
                        } else {
                            i3++;
                        }
                    }
                    if (i2 >= 0) {
                        if (length == 1) {
                            innerObserverArr2 = EMPTY;
                        } else {
                            InnerObserver<?, ?>[] innerObserverArr3 = new InnerObserver[(length - 1)];
                            System.arraycopy(innerObserverArr, 0, innerObserverArr3, 0, i2);
                            System.arraycopy(innerObserverArr, i2 + 1, innerObserverArr3, i2, (length - i2) - 1);
                            innerObserverArr2 = innerObserverArr3;
                        }
                    } else {
                        return;
                    }
                } else {
                    return;
                }
            } while (!this.observers.compareAndSet(innerObserverArr, innerObserverArr2));
        }

        public void subscribeInner(r<? extends U> rVar) {
            r<? extends U> poll;
            while (rVar instanceof Callable) {
                if (tryEmitScalar((Callable) rVar) && this.maxConcurrency != Integer.MAX_VALUE) {
                    boolean z = false;
                    synchronized (this) {
                        poll = this.sources.poll();
                        if (poll == null) {
                            this.wip--;
                            z = true;
                        }
                    }
                    if (z) {
                        drain();
                        return;
                    }
                    rVar = poll;
                } else {
                    return;
                }
            }
            long j2 = this.uniqueId;
            this.uniqueId = 1 + j2;
            InnerObserver<T, U> innerObserver = new InnerObserver<>(this, j2);
            if (addInner(innerObserver)) {
                rVar.subscribe(innerObserver);
            }
        }

        public void tryEmit(U u, InnerObserver<T, U> innerObserver) {
            if (get() != 0 || !compareAndSet(0, 1)) {
                g gVar = innerObserver.queue;
                if (gVar == null) {
                    gVar = new f.a.c0.f.a(this.bufferSize);
                    innerObserver.queue = gVar;
                }
                gVar.offer(u);
                if (getAndIncrement() != 0) {
                    return;
                }
            } else {
                this.downstream.onNext(u);
                if (decrementAndGet() == 0) {
                    return;
                }
            }
            drainLoop();
        }

        /* JADX WARN: Multi-variable type inference failed */
        /* JADX WARN: Type inference failed for: r1v3, types: [f.a.c0.c.g] */
        public boolean tryEmitScalar(Callable<? extends U> callable) {
            f<U> fVar;
            try {
                Object call = callable.call();
                if (call == null) {
                    return true;
                }
                if (get() != 0 || !compareAndSet(0, 1)) {
                    f<U> fVar2 = this.queue;
                    f<U> fVar3 = fVar2;
                    if (fVar2 == null) {
                        if (this.maxConcurrency == Integer.MAX_VALUE) {
                            fVar = new f.a.c0.f.a(this.bufferSize);
                        } else {
                            fVar = new SpscArrayQueue(this.maxConcurrency);
                        }
                        this.queue = fVar;
                        fVar3 = fVar;
                    }
                    if (!fVar3.offer(call)) {
                        onError(new IllegalStateException("Scalar queue full?!"));
                        return true;
                    } else if (getAndIncrement() != 0) {
                        return false;
                    }
                } else {
                    this.downstream.onNext(call);
                    if (decrementAndGet() == 0) {
                        return true;
                    }
                }
                drainLoop();
                return true;
            } catch (Throwable th) {
                d.l.b.g.g.b.D0(th);
                this.errors.addThrowable(th);
                drain();
                return true;
            }
        }
    }

    public ObservableFlatMap(r<T> rVar, h<? super T, ? extends r<? extends U>> hVar, boolean z, int i2, int i3) {
        super(rVar);
        this.f13398h = hVar;
        this.f13399j = z;
        this.f13400k = i2;
        this.f13401l = i3;
    }

    @Override // f.a.o
    public void j(t<? super U> tVar) {
        if (!d.l.b.g.g.b.L0(this.f12986d, tVar, this.f13398h)) {
            this.f12986d.subscribe(new MergeObserver(tVar, this.f13398h, this.f13399j, this.f13400k, this.f13401l));
        }
    }
}
