package io.reactivex.internal.operators.observable;

import f.a.b0.h;
import f.a.c0.e.d.k;
import f.a.t;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.Map;
import java.util.Objects;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicInteger;

public final class ObservableGroupBy$GroupByObserver<T, K, V> extends AtomicInteger implements t<T>, b {
    public static final Object NULL_KEY = new Object();
    private static final long serialVersionUID = -3688291656102519502L;
    public final int bufferSize;
    public final AtomicBoolean cancelled = new AtomicBoolean();
    public final boolean delayError;
    public final t<? super k<K, V>> downstream;
    public final Map<Object, k<K, V>> groups;
    public final h<? super T, ? extends K> keySelector;
    public b upstream;
    public final h<? super T, ? extends V> valueSelector;

    public ObservableGroupBy$GroupByObserver(t<? super k<K, V>> tVar, h<? super T, ? extends K> hVar, h<? super T, ? extends V> hVar2, int i2, boolean z) {
        this.downstream = tVar;
        this.keySelector = hVar;
        this.valueSelector = hVar2;
        this.bufferSize = i2;
        this.delayError = z;
        this.groups = new ConcurrentHashMap();
        lazySet(1);
    }

    public void cancel(K k2) {
        if (k2 == null) {
            k2 = (K) NULL_KEY;
        }
        this.groups.remove(k2);
        if (decrementAndGet() == 0) {
            this.upstream.dispose();
        }
    }

    @Override // f.a.z.b
    public void dispose() {
        if (this.cancelled.compareAndSet(false, true) && decrementAndGet() == 0) {
            this.upstream.dispose();
        }
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return this.cancelled.get();
    }

    @Override // f.a.t
    public void onComplete() {
        ArrayList arrayList = new ArrayList(this.groups.values());
        this.groups.clear();
        Iterator it = arrayList.iterator();
        while (it.hasNext()) {
            ((k) it.next()).f13029h.onComplete();
        }
        this.downstream.onComplete();
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        ArrayList arrayList = new ArrayList(this.groups.values());
        this.groups.clear();
        Iterator it = arrayList.iterator();
        while (it.hasNext()) {
            ((k) it.next()).f13029h.onError(th);
        }
        this.downstream.onError(th);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v6, resolved type: io.reactivex.internal.operators.observable.ObservableGroupBy$State<T, K> */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // f.a.t
    public void onNext(T t) {
        Object obj;
        try {
            Object apply = this.keySelector.apply(t);
            if (apply != null) {
                obj = apply;
            } else {
                obj = NULL_KEY;
            }
            k<K, V> kVar = this.groups.get(obj);
            if (kVar == null) {
                if (!this.cancelled.get()) {
                    kVar = new k<>(apply, new ObservableGroupBy$State(this.bufferSize, this, apply, this.delayError));
                    this.groups.put(obj, kVar);
                    getAndIncrement();
                    this.downstream.onNext(kVar);
                } else {
                    return;
                }
            }
            try {
                Object apply2 = this.valueSelector.apply(t);
                Objects.requireNonNull(apply2, "The value supplied is null");
                kVar.f13029h.onNext(apply2);
            } catch (Throwable th) {
                d.l.b.g.g.b.D0(th);
                this.upstream.dispose();
                onError(th);
            }
        } catch (Throwable th2) {
            d.l.b.g.g.b.D0(th2);
            this.upstream.dispose();
            onError(th2);
        }
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        if (DisposableHelper.validate(this.upstream, bVar)) {
            this.upstream = bVar;
            this.downstream.onSubscribe(this);
        }
    }
}
