package io.reactivex.internal.operators.observable;

import f.a.b0.c;
import f.a.b0.h;
import f.a.c0.e.d.l;
import f.a.g;
import f.a.o;
import f.a.r;
import f.a.t;
import f.a.z.a;
import f.a.z.b;
import io.reactivex.internal.util.ExceptionHelper;
import io.reactivex.subjects.UnicastSubject;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicReference;

public final class ObservableGroupJoin$GroupJoinDisposable<TLeft, TRight, TLeftEnd, TRightEnd, R> extends AtomicInteger implements b, l {
    public static final Integer LEFT_CLOSE = 3;
    public static final Integer LEFT_VALUE = 1;
    public static final Integer RIGHT_CLOSE = 4;
    public static final Integer RIGHT_VALUE = 2;
    private static final long serialVersionUID = -6071216598687999801L;
    public final AtomicInteger active;
    public volatile boolean cancelled;
    public final a disposables = new a();
    public final t<? super R> downstream;
    public final AtomicReference<Throwable> error = new AtomicReference<>();
    public final h<? super TLeft, ? extends r<TLeftEnd>> leftEnd;
    public int leftIndex;
    public final Map<Integer, UnicastSubject<TRight>> lefts = new LinkedHashMap();
    public final f.a.c0.f.a<Object> queue = new f.a.c0.f.a<>(g.f13146d);
    public final c<? super TLeft, ? super o<TRight>, ? extends R> resultSelector;
    public final h<? super TRight, ? extends r<TRightEnd>> rightEnd;
    public int rightIndex;
    public final Map<Integer, TRight> rights = new LinkedHashMap();

    public ObservableGroupJoin$GroupJoinDisposable(t<? super R> tVar, h<? super TLeft, ? extends r<TLeftEnd>> hVar, h<? super TRight, ? extends r<TRightEnd>> hVar2, c<? super TLeft, ? super o<TRight>, ? extends R> cVar) {
        this.downstream = tVar;
        this.leftEnd = hVar;
        this.rightEnd = hVar2;
        this.resultSelector = cVar;
        this.active = new AtomicInteger(2);
    }

    public void cancelAll() {
        this.disposables.dispose();
    }

    @Override // f.a.z.b
    public void dispose() {
        if (!this.cancelled) {
            this.cancelled = true;
            cancelAll();
            if (getAndIncrement() == 0) {
                this.queue.clear();
            }
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r7v4, resolved type: java.util.Map<java.lang.Integer, TRight> */
    /* JADX WARN: Multi-variable type inference failed */
    public void drain() {
        if (getAndIncrement() == 0) {
            f.a.c0.f.a<?> aVar = this.queue;
            t<? super R> tVar = this.downstream;
            int i2 = 1;
            while (!this.cancelled) {
                if (this.error.get() != null) {
                    aVar.clear();
                    cancelAll();
                    errorAll(tVar);
                    return;
                }
                boolean z = this.active.get() == 0;
                Integer num = (Integer) aVar.poll();
                boolean z2 = num == null;
                if (z && z2) {
                    for (UnicastSubject<TRight> unicastSubject : this.lefts.values()) {
                        unicastSubject.onComplete();
                    }
                    this.lefts.clear();
                    this.rights.clear();
                    this.disposables.dispose();
                    tVar.onComplete();
                    return;
                } else if (z2) {
                    i2 = addAndGet(-i2);
                    if (i2 == 0) {
                        return;
                    }
                } else {
                    Object poll = aVar.poll();
                    if (num == LEFT_VALUE) {
                        UnicastSubject<TRight> unicastSubject2 = new UnicastSubject<>(g.f13146d, true);
                        int i3 = this.leftIndex;
                        this.leftIndex = i3 + 1;
                        this.lefts.put(Integer.valueOf(i3), unicastSubject2);
                        try {
                            Object apply = this.leftEnd.apply(poll);
                            Objects.requireNonNull(apply, "The leftEnd returned a null ObservableSource");
                            r rVar = (r) apply;
                            ObservableGroupJoin$LeftRightEndObserver observableGroupJoin$LeftRightEndObserver = new ObservableGroupJoin$LeftRightEndObserver(this, true, i3);
                            this.disposables.c(observableGroupJoin$LeftRightEndObserver);
                            rVar.subscribe(observableGroupJoin$LeftRightEndObserver);
                            if (this.error.get() != null) {
                                aVar.clear();
                                cancelAll();
                                errorAll(tVar);
                                return;
                            }
                            try {
                                Object obj = (Object) this.resultSelector.apply(poll, unicastSubject2);
                                Objects.requireNonNull(obj, "The resultSelector returned a null value");
                                tVar.onNext(obj);
                                for (TRight tright : this.rights.values()) {
                                    unicastSubject2.onNext(tright);
                                }
                            } catch (Throwable th) {
                                fail(th, tVar, aVar);
                                return;
                            }
                        } catch (Throwable th2) {
                            fail(th2, tVar, aVar);
                            return;
                        }
                    } else if (num == RIGHT_VALUE) {
                        int i4 = this.rightIndex;
                        this.rightIndex = i4 + 1;
                        this.rights.put(Integer.valueOf(i4), poll);
                        try {
                            Object apply2 = this.rightEnd.apply(poll);
                            Objects.requireNonNull(apply2, "The rightEnd returned a null ObservableSource");
                            r rVar2 = (r) apply2;
                            ObservableGroupJoin$LeftRightEndObserver observableGroupJoin$LeftRightEndObserver2 = new ObservableGroupJoin$LeftRightEndObserver(this, false, i4);
                            this.disposables.c(observableGroupJoin$LeftRightEndObserver2);
                            rVar2.subscribe(observableGroupJoin$LeftRightEndObserver2);
                            if (this.error.get() != null) {
                                aVar.clear();
                                cancelAll();
                                errorAll(tVar);
                                return;
                            }
                            for (UnicastSubject<TRight> unicastSubject3 : this.lefts.values()) {
                                unicastSubject3.onNext(poll);
                            }
                        } catch (Throwable th3) {
                            fail(th3, tVar, aVar);
                            return;
                        }
                    } else if (num == LEFT_CLOSE) {
                        ObservableGroupJoin$LeftRightEndObserver observableGroupJoin$LeftRightEndObserver3 = (ObservableGroupJoin$LeftRightEndObserver) poll;
                        UnicastSubject<TRight> remove = this.lefts.remove(Integer.valueOf(observableGroupJoin$LeftRightEndObserver3.index));
                        this.disposables.b(observableGroupJoin$LeftRightEndObserver3);
                        if (remove != null) {
                            remove.onComplete();
                        }
                    } else if (num == RIGHT_CLOSE) {
                        ObservableGroupJoin$LeftRightEndObserver observableGroupJoin$LeftRightEndObserver4 = (ObservableGroupJoin$LeftRightEndObserver) poll;
                        this.rights.remove(Integer.valueOf(observableGroupJoin$LeftRightEndObserver4.index));
                        this.disposables.b(observableGroupJoin$LeftRightEndObserver4);
                    }
                }
            }
            aVar.clear();
        }
    }

    public void errorAll(t<?> tVar) {
        Throwable b2 = ExceptionHelper.b(this.error);
        for (UnicastSubject<TRight> unicastSubject : this.lefts.values()) {
            unicastSubject.onError(b2);
        }
        this.lefts.clear();
        this.rights.clear();
        tVar.onError(b2);
    }

    public void fail(Throwable th, t<?> tVar, f.a.c0.f.a<?> aVar) {
        d.l.b.g.g.b.D0(th);
        ExceptionHelper.a(this.error, th);
        aVar.clear();
        cancelAll();
        errorAll(tVar);
    }

    @Override // f.a.c0.e.d.l
    public void innerClose(boolean z, ObservableGroupJoin$LeftRightEndObserver observableGroupJoin$LeftRightEndObserver) {
        synchronized (this) {
            this.queue.c(z ? LEFT_CLOSE : RIGHT_CLOSE, observableGroupJoin$LeftRightEndObserver);
        }
        drain();
    }

    @Override // f.a.c0.e.d.l
    public void innerCloseError(Throwable th) {
        if (ExceptionHelper.a(this.error, th)) {
            drain();
        } else {
            d.l.b.g.g.b.q0(th);
        }
    }

    @Override // f.a.c0.e.d.l
    public void innerComplete(ObservableGroupJoin$LeftRightObserver observableGroupJoin$LeftRightObserver) {
        this.disposables.a(observableGroupJoin$LeftRightObserver);
        this.active.decrementAndGet();
        drain();
    }

    @Override // f.a.c0.e.d.l
    public void innerError(Throwable th) {
        if (ExceptionHelper.a(this.error, th)) {
            this.active.decrementAndGet();
            drain();
            return;
        }
        d.l.b.g.g.b.q0(th);
    }

    @Override // f.a.c0.e.d.l
    public void innerValue(boolean z, Object obj) {
        synchronized (this) {
            this.queue.c(z ? LEFT_VALUE : RIGHT_VALUE, obj);
        }
        drain();
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return this.cancelled;
    }
}
