package io.reactivex.internal.operators.observable;

import f.a.c0.c.g;
import f.a.c0.e.d.a;
import f.a.c0.g.h;
import f.a.r;
import f.a.t;
import f.a.u;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.observers.BasicIntQueueDisposable;

public final class ObservableObserveOn<T> extends a<T, T> {

    /* renamed from: h  reason: collision with root package name */
    public final u f13406h;

    /* renamed from: j  reason: collision with root package name */
    public final boolean f13407j;

    /* renamed from: k  reason: collision with root package name */
    public final int f13408k;

    public static final class ObserveOnObserver<T> extends BasicIntQueueDisposable<T> implements t<T>, Runnable {
        private static final long serialVersionUID = 6576896619930983584L;
        public final int bufferSize;
        public final boolean delayError;
        public volatile boolean disposed;
        public volatile boolean done;
        public final t<? super T> downstream;
        public Throwable error;
        public boolean outputFused;
        public g<T> queue;
        public int sourceMode;
        public b upstream;
        public final u.c worker;

        public ObserveOnObserver(t<? super T> tVar, u.c cVar, boolean z, int i2) {
            this.downstream = tVar;
            this.worker = cVar;
            this.delayError = z;
            this.bufferSize = i2;
        }

        public boolean checkTerminated(boolean z, boolean z2, t<? super T> tVar) {
            if (this.disposed) {
                this.queue.clear();
                return true;
            } else if (!z) {
                return false;
            } else {
                Throwable th = this.error;
                if (this.delayError) {
                    if (!z2) {
                        return false;
                    }
                    this.disposed = true;
                    if (th != null) {
                        tVar.onError(th);
                    } else {
                        tVar.onComplete();
                    }
                    this.worker.dispose();
                    return true;
                } else if (th != null) {
                    this.disposed = true;
                    this.queue.clear();
                    tVar.onError(th);
                    this.worker.dispose();
                    return true;
                } else if (!z2) {
                    return false;
                } else {
                    this.disposed = true;
                    tVar.onComplete();
                    this.worker.dispose();
                    return true;
                }
            }
        }

        @Override // f.a.c0.c.g, io.reactivex.internal.observers.BasicIntQueueDisposable
        public void clear() {
            this.queue.clear();
        }

        @Override // f.a.z.b, io.reactivex.internal.observers.BasicIntQueueDisposable
        public void dispose() {
            if (!this.disposed) {
                this.disposed = true;
                this.upstream.dispose();
                this.worker.dispose();
                if (getAndIncrement() == 0) {
                    this.queue.clear();
                }
            }
        }

        public void drainFused() {
            int i2 = 1;
            while (!this.disposed) {
                boolean z = this.done;
                Throwable th = this.error;
                if (this.delayError || !z || th == null) {
                    this.downstream.onNext(null);
                    if (z) {
                        this.disposed = true;
                        Throwable th2 = this.error;
                        if (th2 != null) {
                            this.downstream.onError(th2);
                        } else {
                            this.downstream.onComplete();
                        }
                        this.worker.dispose();
                        return;
                    }
                    i2 = addAndGet(-i2);
                    if (i2 == 0) {
                        return;
                    }
                } else {
                    this.disposed = true;
                    this.downstream.onError(this.error);
                    this.worker.dispose();
                    return;
                }
            }
        }

        public void drainNormal() {
            g<T> gVar = this.queue;
            t<? super T> tVar = this.downstream;
            int i2 = 1;
            while (!checkTerminated(this.done, gVar.isEmpty(), tVar)) {
                while (true) {
                    boolean z = this.done;
                    try {
                        T poll = gVar.poll();
                        boolean z2 = poll == null;
                        if (!checkTerminated(z, z2, tVar)) {
                            if (z2) {
                                i2 = addAndGet(-i2);
                                if (i2 == 0) {
                                    return;
                                }
                            } else {
                                tVar.onNext(poll);
                            }
                        } else {
                            return;
                        }
                    } catch (Throwable th) {
                        d.l.b.g.g.b.D0(th);
                        this.disposed = true;
                        this.upstream.dispose();
                        gVar.clear();
                        tVar.onError(th);
                        this.worker.dispose();
                        return;
                    }
                }
            }
        }

        @Override // f.a.z.b, io.reactivex.internal.observers.BasicIntQueueDisposable
        public boolean isDisposed() {
            return this.disposed;
        }

        @Override // f.a.c0.c.g, io.reactivex.internal.observers.BasicIntQueueDisposable
        public boolean isEmpty() {
            return this.queue.isEmpty();
        }

        @Override // f.a.t
        public void onComplete() {
            if (!this.done) {
                this.done = true;
                schedule();
            }
        }

        @Override // f.a.t
        public void onError(Throwable th) {
            if (this.done) {
                d.l.b.g.g.b.q0(th);
                return;
            }
            this.error = th;
            this.done = true;
            schedule();
        }

        @Override // f.a.t
        public void onNext(T t) {
            if (!this.done) {
                if (this.sourceMode != 2) {
                    this.queue.offer(t);
                }
                schedule();
            }
        }

        @Override // f.a.t
        public void onSubscribe(b bVar) {
            if (DisposableHelper.validate(this.upstream, bVar)) {
                this.upstream = bVar;
                if (bVar instanceof f.a.c0.c.b) {
                    f.a.c0.c.b bVar2 = (f.a.c0.c.b) bVar;
                    int requestFusion = bVar2.requestFusion(7);
                    if (requestFusion == 1) {
                        this.sourceMode = requestFusion;
                        this.queue = bVar2;
                        this.done = true;
                        this.downstream.onSubscribe(this);
                        schedule();
                        return;
                    } else if (requestFusion == 2) {
                        this.sourceMode = requestFusion;
                        this.queue = bVar2;
                        this.downstream.onSubscribe(this);
                        return;
                    }
                }
                this.queue = new f.a.c0.f.a(this.bufferSize);
                this.downstream.onSubscribe(this);
            }
        }

        @Override // f.a.c0.c.g, io.reactivex.internal.observers.BasicIntQueueDisposable
        public T poll() {
            return this.queue.poll();
        }

        @Override // f.a.c0.c.c, io.reactivex.internal.observers.BasicIntQueueDisposable
        public int requestFusion(int i2) {
            if ((i2 & 2) == 0) {
                return 0;
            }
            this.outputFused = true;
            return 2;
        }

        public void run() {
            if (this.outputFused) {
                drainFused();
            } else {
                drainNormal();
            }
        }

        public void schedule() {
            if (getAndIncrement() == 0) {
                this.worker.b(this);
            }
        }
    }

    public ObservableObserveOn(r<T> rVar, u uVar, boolean z, int i2) {
        super(rVar);
        this.f13406h = uVar;
        this.f13407j = z;
        this.f13408k = i2;
    }

    @Override // f.a.o
    public void j(t<? super T> tVar) {
        u uVar = this.f13406h;
        if (uVar instanceof h) {
            this.f12986d.subscribe(tVar);
            return;
        }
        this.f12986d.subscribe(new ObserveOnObserver(tVar, uVar.a(), this.f13407j, this.f13408k));
    }
}
