package io.reactivex.internal.operators.observable;

import f.a.c0.e.d.z;
import f.a.o;
import f.a.t;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.queue.MpscLinkedQueue;
import io.reactivex.internal.util.AtomicThrowable;
import io.reactivex.subjects.UnicastSubject;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicReference;

public final class ObservableWindowBoundary$WindowBoundaryMainObserver<T, B> extends AtomicInteger implements t<T>, b, Runnable {
    public static final Object NEXT_WINDOW = new Object();
    private static final long serialVersionUID = 2233020065421370272L;
    public final z<T, B> boundaryObserver = new z<>(this);
    public final int capacityHint;
    public volatile boolean done;
    public final t<? super o<T>> downstream;
    public final AtomicThrowable errors = new AtomicThrowable();
    public final MpscLinkedQueue<Object> queue = new MpscLinkedQueue<>();
    public final AtomicBoolean stopWindows = new AtomicBoolean();
    public final AtomicReference<b> upstream = new AtomicReference<>();
    public UnicastSubject<T> window;
    public final AtomicInteger windows = new AtomicInteger(1);

    public ObservableWindowBoundary$WindowBoundaryMainObserver(t<? super o<T>> tVar, int i2) {
        this.downstream = tVar;
        this.capacityHint = i2;
    }

    @Override // f.a.z.b
    public void dispose() {
        if (this.stopWindows.compareAndSet(false, true)) {
            DisposableHelper.dispose(this.boundaryObserver.f13131d);
            if (this.windows.decrementAndGet() == 0) {
                DisposableHelper.dispose(this.upstream);
            }
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r5v2, resolved type: io.reactivex.subjects.UnicastSubject<T> */
    /* JADX WARN: Multi-variable type inference failed */
    public void drain() {
        if (getAndIncrement() == 0) {
            t<? super o<T>> tVar = this.downstream;
            MpscLinkedQueue<Object> mpscLinkedQueue = this.queue;
            AtomicThrowable atomicThrowable = this.errors;
            int i2 = 1;
            while (this.windows.get() != 0) {
                UnicastSubject<T> unicastSubject = this.window;
                boolean z = this.done;
                if (!z || atomicThrowable.get() == null) {
                    Object poll = mpscLinkedQueue.poll();
                    boolean z2 = poll == null;
                    if (z && z2) {
                        Throwable terminate = atomicThrowable.terminate();
                        if (terminate == null) {
                            if (unicastSubject != 0) {
                                this.window = null;
                                unicastSubject.onComplete();
                            }
                            tVar.onComplete();
                            return;
                        }
                        if (unicastSubject != 0) {
                            this.window = null;
                            unicastSubject.onError(terminate);
                        }
                        tVar.onError(terminate);
                        return;
                    } else if (z2) {
                        i2 = addAndGet(-i2);
                        if (i2 == 0) {
                            return;
                        }
                    } else if (poll != NEXT_WINDOW) {
                        unicastSubject.onNext(poll);
                    } else {
                        if (unicastSubject != 0) {
                            this.window = null;
                            unicastSubject.onComplete();
                        }
                        if (!this.stopWindows.get()) {
                            UnicastSubject<T> l2 = UnicastSubject.l(this.capacityHint, this);
                            this.window = l2;
                            this.windows.getAndIncrement();
                            tVar.onNext(l2);
                        }
                    }
                } else {
                    mpscLinkedQueue.clear();
                    Throwable terminate2 = atomicThrowable.terminate();
                    if (unicastSubject != 0) {
                        this.window = null;
                        unicastSubject.onError(terminate2);
                    }
                    tVar.onError(terminate2);
                    return;
                }
            }
            mpscLinkedQueue.clear();
            this.window = null;
        }
    }

    public void innerComplete() {
        DisposableHelper.dispose(this.upstream);
        this.done = true;
        drain();
    }

    public void innerError(Throwable th) {
        DisposableHelper.dispose(this.upstream);
        if (this.errors.addThrowable(th)) {
            this.done = true;
            drain();
            return;
        }
        d.l.b.g.g.b.q0(th);
    }

    public void innerNext() {
        this.queue.offer(NEXT_WINDOW);
        drain();
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return this.stopWindows.get();
    }

    @Override // f.a.t
    public void onComplete() {
        DisposableHelper.dispose(this.boundaryObserver.f13131d);
        this.done = true;
        drain();
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        DisposableHelper.dispose(this.boundaryObserver.f13131d);
        if (this.errors.addThrowable(th)) {
            this.done = true;
            drain();
            return;
        }
        d.l.b.g.g.b.q0(th);
    }

    @Override // f.a.t
    public void onNext(T t) {
        this.queue.offer(t);
        drain();
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        if (DisposableHelper.setOnce(this.upstream, bVar)) {
            innerNext();
        }
    }

    public void run() {
        if (this.windows.decrementAndGet() == 0) {
            DisposableHelper.dispose(this.upstream);
        }
    }
}
