package io.reactivex.internal.operators.observable;

import f.a.c0.e.d.a0;
import f.a.o;
import f.a.r;
import f.a.t;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.queue.MpscLinkedQueue;
import io.reactivex.internal.util.AtomicThrowable;
import io.reactivex.subjects.UnicastSubject;
import java.util.Objects;
import java.util.concurrent.Callable;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicReference;

public final class ObservableWindowBoundarySupplier$WindowBoundaryMainObserver<T, B> extends AtomicInteger implements t<T>, b, Runnable {
    public static final a0<Object, Object> BOUNDARY_DISPOSED = new a0<>(null);
    public static final Object NEXT_WINDOW = new Object();
    private static final long serialVersionUID = 2233020065421370272L;
    public final AtomicReference<a0<T, B>> boundaryObserver = new AtomicReference<>();
    public final int capacityHint;
    public volatile boolean done;
    public final t<? super o<T>> downstream;
    public final AtomicThrowable errors = new AtomicThrowable();
    public final Callable<? extends r<B>> other;
    public final MpscLinkedQueue<Object> queue = new MpscLinkedQueue<>();
    public final AtomicBoolean stopWindows = new AtomicBoolean();
    public b upstream;
    public UnicastSubject<T> window;
    public final AtomicInteger windows = new AtomicInteger(1);

    public ObservableWindowBoundarySupplier$WindowBoundaryMainObserver(t<? super o<T>> tVar, int i2, Callable<? extends r<B>> callable) {
        this.downstream = tVar;
        this.capacityHint = i2;
        this.other = callable;
    }

    @Override // f.a.z.b
    public void dispose() {
        if (this.stopWindows.compareAndSet(false, true)) {
            disposeBoundary();
            if (this.windows.decrementAndGet() == 0) {
                this.upstream.dispose();
            }
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: java.util.concurrent.atomic.AtomicReference<f.a.c0.e.d.a0<T, B>> */
    /* JADX WARN: Multi-variable type inference failed */
    public void disposeBoundary() {
        a0<Object, Object> a0Var = BOUNDARY_DISPOSED;
        b bVar = (b) this.boundaryObserver.getAndSet(a0Var);
        if (bVar != null && bVar != a0Var) {
            bVar.dispose();
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r5v2, resolved type: io.reactivex.subjects.UnicastSubject<T> */
    /* JADX WARN: Multi-variable type inference failed */
    public void drain() {
        if (getAndIncrement() == 0) {
            t<? super o<T>> tVar = this.downstream;
            MpscLinkedQueue<Object> mpscLinkedQueue = this.queue;
            AtomicThrowable atomicThrowable = this.errors;
            int i2 = 1;
            while (this.windows.get() != 0) {
                UnicastSubject<T> unicastSubject = this.window;
                boolean z = this.done;
                if (!z || atomicThrowable.get() == null) {
                    Object poll = mpscLinkedQueue.poll();
                    boolean z2 = poll == null;
                    if (z && z2) {
                        Throwable terminate = atomicThrowable.terminate();
                        if (terminate == null) {
                            if (unicastSubject != 0) {
                                this.window = null;
                                unicastSubject.onComplete();
                            }
                            tVar.onComplete();
                            return;
                        }
                        if (unicastSubject != 0) {
                            this.window = null;
                            unicastSubject.onError(terminate);
                        }
                        tVar.onError(terminate);
                        return;
                    } else if (z2) {
                        i2 = addAndGet(-i2);
                        if (i2 == 0) {
                            return;
                        }
                    } else if (poll != NEXT_WINDOW) {
                        unicastSubject.onNext(poll);
                    } else {
                        if (unicastSubject != 0) {
                            this.window = null;
                            unicastSubject.onComplete();
                        }
                        if (!this.stopWindows.get()) {
                            UnicastSubject<T> l2 = UnicastSubject.l(this.capacityHint, this);
                            this.window = l2;
                            this.windows.getAndIncrement();
                            try {
                                Object call = this.other.call();
                                Objects.requireNonNull(call, "The other Callable returned a null ObservableSource");
                                r rVar = (r) call;
                                a0<T, B> a0Var = new a0<>(this);
                                if (this.boundaryObserver.compareAndSet(null, a0Var)) {
                                    rVar.subscribe(a0Var);
                                    tVar.onNext(l2);
                                }
                            } catch (Throwable th) {
                                d.l.b.g.g.b.D0(th);
                                atomicThrowable.addThrowable(th);
                                this.done = true;
                            }
                        }
                    }
                } else {
                    mpscLinkedQueue.clear();
                    Throwable terminate2 = atomicThrowable.terminate();
                    if (unicastSubject != 0) {
                        this.window = null;
                        unicastSubject.onError(terminate2);
                    }
                    tVar.onError(terminate2);
                    return;
                }
            }
            mpscLinkedQueue.clear();
            this.window = null;
        }
    }

    public void innerComplete() {
        this.upstream.dispose();
        this.done = true;
        drain();
    }

    public void innerError(Throwable th) {
        this.upstream.dispose();
        if (this.errors.addThrowable(th)) {
            this.done = true;
            drain();
            return;
        }
        d.l.b.g.g.b.q0(th);
    }

    public void innerNext(a0<T, B> a0Var) {
        this.boundaryObserver.compareAndSet(a0Var, null);
        this.queue.offer(NEXT_WINDOW);
        drain();
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return this.stopWindows.get();
    }

    @Override // f.a.t
    public void onComplete() {
        disposeBoundary();
        this.done = true;
        drain();
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        disposeBoundary();
        if (this.errors.addThrowable(th)) {
            this.done = true;
            drain();
            return;
        }
        d.l.b.g.g.b.q0(th);
    }

    @Override // f.a.t
    public void onNext(T t) {
        this.queue.offer(t);
        drain();
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        if (DisposableHelper.validate(this.upstream, bVar)) {
            this.upstream = bVar;
            this.downstream.onSubscribe(this);
            this.queue.offer(NEXT_WINDOW);
            drain();
        }
    }

    public void run() {
        if (this.windows.decrementAndGet() == 0) {
            this.upstream.dispose();
        }
    }
}
