package io.reactivex.internal.operators.parallel;

import d.l.b.g.g.b;
import f.a.c0.c.g;
import f.a.j;
import io.reactivex.exceptions.MissingBackpressureException;
import io.reactivex.internal.queue.SpscArrayQueue;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLongArray;
import k.c.c;
import k.c.d;

public final class ParallelFromPublisher$ParallelDispatcher<T> extends AtomicInteger implements j<T> {
    private static final long serialVersionUID = -4470634016609963609L;
    public volatile boolean cancelled;
    public volatile boolean done;
    public final long[] emissions;
    public Throwable error;
    public int index;
    public final int limit;
    public final int prefetch;
    public int produced;
    public g<T> queue;
    public final AtomicLongArray requests;
    public int sourceMode;
    public final AtomicInteger subscriberCount = new AtomicInteger();
    public final c<? super T>[] subscribers;
    public d upstream;

    public final class a implements d {

        /* renamed from: d  reason: collision with root package name */
        public final int f13413d;

        /* renamed from: h  reason: collision with root package name */
        public final int f13414h;

        public a(int i2, int i3) {
            this.f13413d = i2;
            this.f13414h = i3;
        }

        @Override // k.c.d
        public void cancel() {
            if (ParallelFromPublisher$ParallelDispatcher.this.requests.compareAndSet(this.f13413d + this.f13414h, 0, 1)) {
                ParallelFromPublisher$ParallelDispatcher parallelFromPublisher$ParallelDispatcher = ParallelFromPublisher$ParallelDispatcher.this;
                int i2 = this.f13414h;
                parallelFromPublisher$ParallelDispatcher.cancel(i2 + i2);
            }
        }

        @Override // k.c.d
        public void request(long j2) {
            long j3;
            if (SubscriptionHelper.validate(j2)) {
                AtomicLongArray atomicLongArray = ParallelFromPublisher$ParallelDispatcher.this.requests;
                do {
                    j3 = atomicLongArray.get(this.f13413d);
                    if (j3 != Long.MAX_VALUE) {
                    } else {
                        return;
                    }
                } while (!atomicLongArray.compareAndSet(this.f13413d, j3, b.d(j3, j2)));
                if (ParallelFromPublisher$ParallelDispatcher.this.subscriberCount.get() == this.f13414h) {
                    ParallelFromPublisher$ParallelDispatcher.this.drain();
                }
            }
        }
    }

    public ParallelFromPublisher$ParallelDispatcher(c<? super T>[] cVarArr, int i2) {
        this.subscribers = cVarArr;
        this.prefetch = i2;
        this.limit = i2 - (i2 >> 2);
        int length = cVarArr.length;
        int i3 = length + length;
        AtomicLongArray atomicLongArray = new AtomicLongArray(i3 + 1);
        this.requests = atomicLongArray;
        atomicLongArray.lazySet(i3, (long) length);
        this.emissions = new long[length];
    }

    public void cancel(int i2) {
        if (this.requests.decrementAndGet(i2) == 0) {
            this.cancelled = true;
            this.upstream.cancel();
            if (getAndIncrement() == 0) {
                this.queue.clear();
            }
        }
    }

    public void drain() {
        if (getAndIncrement() == 0) {
            if (this.sourceMode == 1) {
                drainSync();
            } else {
                drainAsync();
            }
        }
    }

    public void drainAsync() {
        Throwable th;
        g<T> gVar = this.queue;
        c<? super T>[] cVarArr = this.subscribers;
        AtomicLongArray atomicLongArray = this.requests;
        long[] jArr = this.emissions;
        int length = jArr.length;
        int i2 = this.index;
        int i3 = this.produced;
        int i4 = 1;
        while (true) {
            int i5 = 0;
            int i6 = 0;
            while (!this.cancelled) {
                boolean z = this.done;
                if (!z || (th = this.error) == null) {
                    boolean isEmpty = gVar.isEmpty();
                    if (!z || !isEmpty) {
                        if (!isEmpty) {
                            long j2 = atomicLongArray.get(i2);
                            long j3 = jArr[i2];
                            if (j2 == j3 || atomicLongArray.get(length + i2) != 0) {
                                i6++;
                            } else {
                                try {
                                    T poll = gVar.poll();
                                    if (poll != null) {
                                        cVarArr[i2].onNext(poll);
                                        jArr[i2] = j3 + 1;
                                        i3++;
                                        if (i3 == this.limit) {
                                            this.upstream.request((long) i3);
                                            i3 = 0;
                                        }
                                        i6 = 0;
                                    }
                                } catch (Throwable th2) {
                                    b.D0(th2);
                                    this.upstream.cancel();
                                    int length2 = cVarArr.length;
                                    while (i5 < length2) {
                                        cVarArr[i5].onError(th2);
                                        i5++;
                                    }
                                    return;
                                }
                            }
                            i2++;
                            if (i2 == length) {
                                i2 = 0;
                                continue;
                            }
                            if (i6 == length) {
                            }
                        }
                        int i7 = get();
                        if (i7 == i4) {
                            this.index = i2;
                            this.produced = i3;
                            i4 = addAndGet(-i4);
                            if (i4 == 0) {
                                return;
                            }
                        } else {
                            i4 = i7;
                        }
                    } else {
                        int length3 = cVarArr.length;
                        while (i5 < length3) {
                            cVarArr[i5].onComplete();
                            i5++;
                        }
                        return;
                    }
                } else {
                    gVar.clear();
                    int length4 = cVarArr.length;
                    while (i5 < length4) {
                        cVarArr[i5].onError(th);
                        i5++;
                    }
                    return;
                }
            }
            gVar.clear();
            return;
        }
    }

    public void drainSync() {
        g<T> gVar = this.queue;
        c<? super T>[] cVarArr = this.subscribers;
        AtomicLongArray atomicLongArray = this.requests;
        long[] jArr = this.emissions;
        int length = jArr.length;
        int i2 = this.index;
        int i3 = 1;
        while (true) {
            int i4 = 0;
            int i5 = 0;
            while (!this.cancelled) {
                if (gVar.isEmpty()) {
                    int length2 = cVarArr.length;
                    while (i4 < length2) {
                        cVarArr[i4].onComplete();
                        i4++;
                    }
                    return;
                }
                long j2 = atomicLongArray.get(i2);
                long j3 = jArr[i2];
                if (j2 == j3 || atomicLongArray.get(length + i2) != 0) {
                    i5++;
                } else {
                    try {
                        T poll = gVar.poll();
                        if (poll == null) {
                            int length3 = cVarArr.length;
                            while (i4 < length3) {
                                cVarArr[i4].onComplete();
                                i4++;
                            }
                            return;
                        }
                        cVarArr[i2].onNext(poll);
                        jArr[i2] = j3 + 1;
                        i5 = 0;
                    } catch (Throwable th) {
                        b.D0(th);
                        this.upstream.cancel();
                        int length4 = cVarArr.length;
                        while (i4 < length4) {
                            cVarArr[i4].onError(th);
                            i4++;
                        }
                        return;
                    }
                }
                i2++;
                if (i2 == length) {
                    i2 = 0;
                    continue;
                }
                if (i5 == length) {
                    int i6 = get();
                    if (i6 == i3) {
                        this.index = i2;
                        i3 = addAndGet(-i3);
                        if (i3 == 0) {
                            return;
                        }
                    } else {
                        i3 = i6;
                    }
                }
            }
            gVar.clear();
            return;
        }
    }

    @Override // k.c.c
    public void onComplete() {
        this.done = true;
        drain();
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        this.error = th;
        this.done = true;
        drain();
    }

    @Override // k.c.c
    public void onNext(T t) {
        if (this.sourceMode != 0 || this.queue.offer(t)) {
            drain();
            return;
        }
        this.upstream.cancel();
        onError(new MissingBackpressureException("Queue is full?"));
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            if (dVar instanceof f.a.c0.c.d) {
                f.a.c0.c.d dVar2 = (f.a.c0.c.d) dVar;
                int requestFusion = dVar2.requestFusion(7);
                if (requestFusion == 1) {
                    this.sourceMode = requestFusion;
                    this.queue = dVar2;
                    this.done = true;
                    setupSubscribers();
                    drain();
                    return;
                } else if (requestFusion == 2) {
                    this.sourceMode = requestFusion;
                    this.queue = dVar2;
                    setupSubscribers();
                    dVar.request((long) this.prefetch);
                    return;
                }
            }
            this.queue = new SpscArrayQueue(this.prefetch);
            setupSubscribers();
            dVar.request((long) this.prefetch);
        }
    }

    public void setupSubscribers() {
        c<? super T>[] cVarArr = this.subscribers;
        int length = cVarArr.length;
        int i2 = 0;
        while (i2 < length && !this.cancelled) {
            int i3 = i2 + 1;
            this.subscriberCount.lazySet(i3);
            cVarArr[i2].onSubscribe(new a(i2, length));
            i2 = i3;
        }
    }
}
