package io.reactivex.internal.queue;

import f.a.c0.c.f;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicReference;

public final class MpscLinkedQueue<T> implements f<T> {

    /* renamed from: d  reason: collision with root package name */
    public final AtomicReference<LinkedQueueNode<T>> f13420d;

    /* renamed from: h  reason: collision with root package name */
    public final AtomicReference<LinkedQueueNode<T>> f13421h;

    public static final class LinkedQueueNode<E> extends AtomicReference<LinkedQueueNode<E>> {
        private static final long serialVersionUID = 2404266111789071508L;
        private E value;

        public LinkedQueueNode() {
        }

        public E getAndNullValue() {
            E lpValue = lpValue();
            spValue(null);
            return lpValue;
        }

        public E lpValue() {
            return this.value;
        }

        public LinkedQueueNode<E> lvNext() {
            return (LinkedQueueNode) get();
        }

        public void soNext(LinkedQueueNode<E> linkedQueueNode) {
            lazySet(linkedQueueNode);
        }

        public void spValue(E e2) {
            this.value = e2;
        }

        public LinkedQueueNode(E e2) {
            spValue(e2);
        }
    }

    public MpscLinkedQueue() {
        AtomicReference<LinkedQueueNode<T>> atomicReference = new AtomicReference<>();
        this.f13420d = atomicReference;
        AtomicReference<LinkedQueueNode<T>> atomicReference2 = new AtomicReference<>();
        this.f13421h = atomicReference2;
        LinkedQueueNode<T> linkedQueueNode = new LinkedQueueNode<>();
        atomicReference2.lazySet(linkedQueueNode);
        atomicReference.getAndSet(linkedQueueNode);
    }

    /* JADX WARNING: Removed duplicated region for block: B:2:0x0006  */
    @Override // f.a.c0.c.g
    public void clear() {
        while (poll() != null && !isEmpty()) {
            while (poll() != null) {
                while (poll() != null) {
                }
            }
            return;
        }
    }

    @Override // f.a.c0.c.g
    public boolean isEmpty() {
        return this.f13421h.get() == this.f13420d.get();
    }

    @Override // f.a.c0.c.g
    public boolean offer(T t) {
        Objects.requireNonNull(t, "Null is not a valid element");
        LinkedQueueNode<T> linkedQueueNode = new LinkedQueueNode<>(t);
        this.f13420d.getAndSet(linkedQueueNode).soNext(linkedQueueNode);
        return true;
    }

    @Override // f.a.c0.c.f, f.a.c0.c.g
    public T poll() {
        LinkedQueueNode<T> lvNext;
        LinkedQueueNode<T> linkedQueueNode = this.f13421h.get();
        LinkedQueueNode<T> lvNext2 = linkedQueueNode.lvNext();
        if (lvNext2 != null) {
            T andNullValue = lvNext2.getAndNullValue();
            this.f13421h.lazySet(lvNext2);
            return andNullValue;
        } else if (linkedQueueNode == this.f13420d.get()) {
            return null;
        } else {
            do {
                lvNext = linkedQueueNode.lvNext();
            } while (lvNext == null);
            T andNullValue2 = lvNext.getAndNullValue();
            this.f13421h.lazySet(lvNext);
            return andNullValue2;
        }
    }
}
