package io.reactivex.internal.schedulers;

import f.a.c;
import f.a.u;
import io.reactivex.internal.disposables.EmptyDisposable;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicReference;

public class SchedulerWhen extends u implements f.a.z.b {

    /* renamed from: h  reason: collision with root package name */
    public static final f.a.z.b f13422h = new b();

    /* renamed from: j  reason: collision with root package name */
    public static final f.a.z.b f13423j = EmptyDisposable.INSTANCE;

    public static class DelayedAction extends ScheduledAction {
        private final Runnable action;
        private final long delayTime;
        private final TimeUnit unit;

        public DelayedAction(Runnable runnable, long j2, TimeUnit timeUnit) {
            this.action = runnable;
            this.delayTime = j2;
            this.unit = timeUnit;
        }

        @Override // io.reactivex.internal.schedulers.SchedulerWhen.ScheduledAction
        public f.a.z.b callActual(u.c cVar, c cVar2) {
            return cVar.c(new a(this.action, cVar2), this.delayTime, this.unit);
        }
    }

    public static class ImmediateAction extends ScheduledAction {
        private final Runnable action;

        public ImmediateAction(Runnable runnable) {
            this.action = runnable;
        }

        @Override // io.reactivex.internal.schedulers.SchedulerWhen.ScheduledAction
        public f.a.z.b callActual(u.c cVar, c cVar2) {
            return cVar.b(new a(this.action, cVar2));
        }
    }

    public static abstract class ScheduledAction extends AtomicReference<f.a.z.b> implements f.a.z.b {
        public ScheduledAction() {
            super(SchedulerWhen.f13422h);
        }

        public void call(u.c cVar, c cVar2) {
            f.a.z.b bVar;
            f.a.z.b bVar2 = (f.a.z.b) get();
            if (bVar2 != SchedulerWhen.f13423j && bVar2 == (bVar = SchedulerWhen.f13422h)) {
                f.a.z.b callActual = callActual(cVar, cVar2);
                if (!compareAndSet(bVar, callActual)) {
                    callActual.dispose();
                }
            }
        }

        public abstract f.a.z.b callActual(u.c cVar, c cVar2);

        @Override // f.a.z.b
        public void dispose() {
            f.a.z.b bVar;
            f.a.z.b bVar2 = SchedulerWhen.f13423j;
            do {
                bVar = (f.a.z.b) get();
                if (bVar == SchedulerWhen.f13423j) {
                    return;
                }
            } while (!compareAndSet(bVar, bVar2));
            if (bVar != SchedulerWhen.f13422h) {
                bVar.dispose();
            }
        }

        @Override // f.a.z.b
        public boolean isDisposed() {
            return ((f.a.z.b) get()).isDisposed();
        }
    }

    public static class a implements Runnable {

        /* renamed from: d  reason: collision with root package name */
        public final c f13424d;

        /* renamed from: h  reason: collision with root package name */
        public final Runnable f13425h;

        public a(Runnable runnable, c cVar) {
            this.f13425h = runnable;
            this.f13424d = cVar;
        }

        public void run() {
            try {
                this.f13425h.run();
            } finally {
                this.f13424d.onComplete();
            }
        }
    }

    public static final class b implements f.a.z.b {
        @Override // f.a.z.b
        public void dispose() {
        }

        @Override // f.a.z.b
        public boolean isDisposed() {
            return false;
        }
    }
}
