package io.reactivex.internal.util;

import d.a.a.a.a;
import f.a.t;
import f.a.z.b;
import java.io.Serializable;
import k.c.c;
import k.c.d;

public enum NotificationLite {
    COMPLETE;

    public static final class DisposableNotification implements Serializable {
        private static final long serialVersionUID = -7482590109178395495L;
        public final b upstream;

        public DisposableNotification(b bVar) {
            this.upstream = bVar;
        }

        public String toString() {
            StringBuilder B = a.B("NotificationLite.Disposable[");
            B.append(this.upstream);
            B.append("]");
            return B.toString();
        }
    }

    public static final class ErrorNotification implements Serializable {
        private static final long serialVersionUID = -8759979445933046293L;

        /* renamed from: e  reason: collision with root package name */
        public final Throwable f13427e;

        public ErrorNotification(Throwable th) {
            this.f13427e = th;
        }

        public boolean equals(Object obj) {
            if (obj instanceof ErrorNotification) {
                return f.a.c0.b.a.a(this.f13427e, ((ErrorNotification) obj).f13427e);
            }
            return false;
        }

        public int hashCode() {
            return this.f13427e.hashCode();
        }

        public String toString() {
            StringBuilder B = a.B("NotificationLite.Error[");
            B.append(this.f13427e);
            B.append("]");
            return B.toString();
        }
    }

    public static final class SubscriptionNotification implements Serializable {
        private static final long serialVersionUID = -1322257508628817540L;
        public final d upstream;

        public SubscriptionNotification(d dVar) {
            this.upstream = dVar;
        }

        public String toString() {
            StringBuilder B = a.B("NotificationLite.Subscription[");
            B.append(this.upstream);
            B.append("]");
            return B.toString();
        }
    }

    public static <T> boolean accept(Object obj, c<? super T> cVar) {
        if (obj == COMPLETE) {
            cVar.onComplete();
            return true;
        } else if (obj instanceof ErrorNotification) {
            cVar.onError(((ErrorNotification) obj).f13427e);
            return true;
        } else {
            cVar.onNext(obj);
            return false;
        }
    }

    public static <T> boolean acceptFull(Object obj, c<? super T> cVar) {
        if (obj == COMPLETE) {
            cVar.onComplete();
            return true;
        } else if (obj instanceof ErrorNotification) {
            cVar.onError(((ErrorNotification) obj).f13427e);
            return true;
        } else if (obj instanceof SubscriptionNotification) {
            cVar.onSubscribe(((SubscriptionNotification) obj).upstream);
            return false;
        } else {
            cVar.onNext(obj);
            return false;
        }
    }

    public static Object complete() {
        return COMPLETE;
    }

    public static Object disposable(b bVar) {
        return new DisposableNotification(bVar);
    }

    public static Object error(Throwable th) {
        return new ErrorNotification(th);
    }

    public static b getDisposable(Object obj) {
        return ((DisposableNotification) obj).upstream;
    }

    public static Throwable getError(Object obj) {
        return ((ErrorNotification) obj).f13427e;
    }

    public static d getSubscription(Object obj) {
        return ((SubscriptionNotification) obj).upstream;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: java.lang.Object */
    /* JADX WARN: Multi-variable type inference failed */
    public static <T> T getValue(Object obj) {
        return obj;
    }

    public static boolean isComplete(Object obj) {
        return obj == COMPLETE;
    }

    public static boolean isDisposable(Object obj) {
        return obj instanceof DisposableNotification;
    }

    public static boolean isError(Object obj) {
        return obj instanceof ErrorNotification;
    }

    public static boolean isSubscription(Object obj) {
        return obj instanceof SubscriptionNotification;
    }

    public static <T> Object next(T t) {
        return t;
    }

    public static Object subscription(d dVar) {
        return new SubscriptionNotification(dVar);
    }

    public String toString() {
        return "NotificationLite.Complete";
    }

    public static <T> boolean accept(Object obj, t<? super T> tVar) {
        if (obj == COMPLETE) {
            tVar.onComplete();
            return true;
        } else if (obj instanceof ErrorNotification) {
            tVar.onError(((ErrorNotification) obj).f13427e);
            return true;
        } else {
            tVar.onNext(obj);
            return false;
        }
    }

    public static <T> boolean acceptFull(Object obj, t<? super T> tVar) {
        if (obj == COMPLETE) {
            tVar.onComplete();
            return true;
        } else if (obj instanceof ErrorNotification) {
            tVar.onError(((ErrorNotification) obj).f13427e);
            return true;
        } else if (obj instanceof DisposableNotification) {
            tVar.onSubscribe(((DisposableNotification) obj).upstream);
            return false;
        } else {
            tVar.onNext(obj);
            return false;
        }
    }
}
