package io.reactivex.processors;

import d.l.b.g.g.b;
import f.a.e0.a;
import io.reactivex.internal.subscriptions.BasicIntQueueSubscription;
import io.reactivex.internal.subscriptions.EmptySubscription;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicLong;
import java.util.concurrent.atomic.AtomicReference;
import k.c.c;
import k.c.d;

public final class UnicastProcessor<T> extends a<T> {

    /* renamed from: h  reason: collision with root package name */
    public static final /* synthetic */ int f13428h = 0;

    /* renamed from: j  reason: collision with root package name */
    public final f.a.c0.f.a<T> f13429j;

    /* renamed from: k  reason: collision with root package name */
    public final AtomicReference<Runnable> f13430k;

    /* renamed from: l  reason: collision with root package name */
    public final boolean f13431l;
    public volatile boolean m;
    public Throwable n;
    public final AtomicReference<c<? super T>> o = new AtomicReference<>();
    public volatile boolean p;
    public final AtomicBoolean q = new AtomicBoolean();
    public final BasicIntQueueSubscription<T> r = new UnicastQueueSubscription();
    public final AtomicLong s = new AtomicLong();
    public boolean t;

    public final class UnicastQueueSubscription extends BasicIntQueueSubscription<T> {
        private static final long serialVersionUID = -4896760517184205454L;

        public UnicastQueueSubscription() {
        }

        @Override // k.c.d, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
        public void cancel() {
            if (!UnicastProcessor.this.p) {
                UnicastProcessor.this.p = true;
                UnicastProcessor.this.d();
                UnicastProcessor unicastProcessor = UnicastProcessor.this;
                if (!unicastProcessor.t && unicastProcessor.r.getAndIncrement() == 0) {
                    UnicastProcessor.this.f13429j.clear();
                    UnicastProcessor.this.o.lazySet(null);
                }
            }
        }

        @Override // f.a.c0.c.g, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
        public void clear() {
            UnicastProcessor.this.f13429j.clear();
        }

        @Override // f.a.c0.c.g, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
        public boolean isEmpty() {
            return UnicastProcessor.this.f13429j.isEmpty();
        }

        @Override // f.a.c0.c.g, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
        public T poll() {
            return UnicastProcessor.this.f13429j.poll();
        }

        @Override // k.c.d, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
        public void request(long j2) {
            if (SubscriptionHelper.validate(j2)) {
                b.b(UnicastProcessor.this.s, j2);
                UnicastProcessor.this.e();
            }
        }

        @Override // f.a.c0.c.c, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
        public int requestFusion(int i2) {
            if ((i2 & 2) == 0) {
                return 0;
            }
            UnicastProcessor.this.t = true;
            return 2;
        }
    }

    public UnicastProcessor(int i2, Runnable runnable, boolean z) {
        f.a.c0.b.a.b(i2, "capacityHint");
        this.f13429j = new f.a.c0.f.a<>(i2);
        this.f13430k = new AtomicReference<>(runnable);
        this.f13431l = z;
    }

    @Override // f.a.g
    public void b(c<? super T> cVar) {
        if (this.q.get() || !this.q.compareAndSet(false, true)) {
            EmptySubscription.error(new IllegalStateException("This processor allows only a single Subscriber"), cVar);
            return;
        }
        cVar.onSubscribe(this.r);
        this.o.set(cVar);
        if (this.p) {
            this.o.lazySet(null);
        } else {
            e();
        }
    }

    public boolean c(boolean z, boolean z2, boolean z3, c<? super T> cVar, f.a.c0.f.a<T> aVar) {
        if (this.p) {
            aVar.clear();
            this.o.lazySet(null);
            return true;
        } else if (!z2) {
            return false;
        } else {
            if (z && this.n != null) {
                aVar.clear();
                this.o.lazySet(null);
                cVar.onError(this.n);
                return true;
            } else if (!z3) {
                return false;
            } else {
                Throwable th = this.n;
                this.o.lazySet(null);
                if (th != null) {
                    cVar.onError(th);
                } else {
                    cVar.onComplete();
                }
                return true;
            }
        }
    }

    public void d() {
        Runnable andSet = this.f13430k.getAndSet(null);
        if (andSet != null) {
            andSet.run();
        }
    }

    public void e() {
        int i2;
        long j2;
        if (this.r.getAndIncrement() == 0) {
            int i3 = 1;
            c<? super T> cVar = this.o.get();
            int i4 = 1;
            while (cVar == null) {
                i4 = this.r.addAndGet(-i4);
                if (i4 != 0) {
                    cVar = this.o.get();
                    i3 = 1;
                } else {
                    return;
                }
            }
            if (this.t) {
                f.a.c0.f.a<T> aVar = this.f13429j;
                int i5 = (this.f13431l ? 1 : 0) ^ i3;
                while (!this.p) {
                    boolean z = this.m;
                    if (i5 == 0 || !z || this.n == null) {
                        cVar.onNext(null);
                        if (z) {
                            this.o.lazySet(null);
                            Throwable th = this.n;
                            if (th != null) {
                                cVar.onError(th);
                                return;
                            } else {
                                cVar.onComplete();
                                return;
                            }
                        } else {
                            i3 = this.r.addAndGet(-i3);
                            if (i3 == 0) {
                                return;
                            }
                        }
                    } else {
                        aVar.clear();
                        this.o.lazySet(null);
                        cVar.onError(this.n);
                        return;
                    }
                }
                aVar.clear();
                this.o.lazySet(null);
                return;
            }
            f.a.c0.f.a<T> aVar2 = this.f13429j;
            boolean z2 = !this.f13431l;
            int i6 = 1;
            while (true) {
                long j3 = this.s.get();
                long j4 = 0;
                while (true) {
                    i2 = (j3 > j4 ? 1 : (j3 == j4 ? 0 : -1));
                    if (i2 == 0) {
                        j2 = j4;
                        break;
                    }
                    boolean z3 = this.m;
                    T poll = aVar2.poll();
                    boolean z4 = poll == null;
                    j2 = j4;
                    if (!c(z2, z3, z4, cVar, aVar2)) {
                        if (z4) {
                            break;
                        }
                        cVar.onNext(poll);
                        j4 = j2 + 1;
                    } else {
                        return;
                    }
                }
                if (i2 != 0 || !c(z2, this.m, aVar2.isEmpty(), cVar, aVar2)) {
                    if (!(j2 == 0 || j3 == Long.MAX_VALUE)) {
                        this.s.addAndGet(-j2);
                    }
                    i6 = this.r.addAndGet(-i6);
                    if (i6 == 0) {
                        return;
                    }
                } else {
                    return;
                }
            }
        }
    }

    @Override // k.c.c
    public void onComplete() {
        if (!this.m && !this.p) {
            this.m = true;
            d();
            e();
        }
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        Objects.requireNonNull(th, "onError called with null. Null values are generally not allowed in 2.x operators and sources.");
        if (this.m || this.p) {
            b.q0(th);
            return;
        }
        this.n = th;
        this.m = true;
        d();
        e();
    }

    @Override // k.c.c
    public void onNext(T t2) {
        Objects.requireNonNull(t2, "onNext called with null. Null values are generally not allowed in 2.x operators and sources.");
        if (!this.m && !this.p) {
            this.f13429j.offer(t2);
            e();
        }
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (this.m || this.p) {
            dVar.cancel();
        } else {
            dVar.request(Long.MAX_VALUE);
        }
    }
}
