package io.reactivex.subjects;

import f.a.a;
import f.a.c;
import f.a.z.b;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicReference;

public final class CompletableSubject extends a implements c {

    /* renamed from: d  reason: collision with root package name */
    public static final CompletableDisposable[] f13432d = new CompletableDisposable[0];

    /* renamed from: h  reason: collision with root package name */
    public static final CompletableDisposable[] f13433h = new CompletableDisposable[0];

    /* renamed from: j  reason: collision with root package name */
    public final AtomicReference<CompletableDisposable[]> f13434j = new AtomicReference<>(f13432d);

    /* renamed from: k  reason: collision with root package name */
    public final AtomicBoolean f13435k = new AtomicBoolean();

    /* renamed from: l  reason: collision with root package name */
    public Throwable f13436l;

    public static final class CompletableDisposable extends AtomicReference<CompletableSubject> implements b {
        private static final long serialVersionUID = -7650903191002190468L;
        public final c downstream;

        public CompletableDisposable(c cVar, CompletableSubject completableSubject) {
            this.downstream = cVar;
            lazySet(completableSubject);
        }

        @Override // f.a.z.b
        public void dispose() {
            CompletableSubject completableSubject = (CompletableSubject) getAndSet(null);
            if (completableSubject != null) {
                completableSubject.f(this);
            }
        }

        @Override // f.a.z.b
        public boolean isDisposed() {
            return get() == null;
        }
    }

    @Override // f.a.a
    public void d(c cVar) {
        boolean z;
        CompletableDisposable completableDisposable = new CompletableDisposable(cVar, this);
        cVar.onSubscribe(completableDisposable);
        while (true) {
            CompletableDisposable[] completableDisposableArr = this.f13434j.get();
            z = false;
            if (completableDisposableArr != f13433h) {
                int length = completableDisposableArr.length;
                CompletableDisposable[] completableDisposableArr2 = new CompletableDisposable[(length + 1)];
                System.arraycopy(completableDisposableArr, 0, completableDisposableArr2, 0, length);
                completableDisposableArr2[length] = completableDisposable;
                if (this.f13434j.compareAndSet(completableDisposableArr, completableDisposableArr2)) {
                    z = true;
                    break;
                }
            } else {
                break;
            }
        }
        if (!z) {
            Throwable th = this.f13436l;
            if (th != null) {
                cVar.onError(th);
            } else {
                cVar.onComplete();
            }
        } else if (completableDisposable.isDisposed()) {
            f(completableDisposable);
        }
    }

    public void f(CompletableDisposable completableDisposable) {
        CompletableDisposable[] completableDisposableArr;
        CompletableDisposable[] completableDisposableArr2;
        do {
            completableDisposableArr = this.f13434j.get();
            int length = completableDisposableArr.length;
            if (length != 0) {
                int i2 = 0;
                while (true) {
                    if (i2 >= length) {
                        i2 = -1;
                        break;
                    } else if (completableDisposableArr[i2] == completableDisposable) {
                        break;
                    } else {
                        i2++;
                    }
                }
                if (i2 >= 0) {
                    if (length == 1) {
                        completableDisposableArr2 = f13432d;
                    } else {
                        CompletableDisposable[] completableDisposableArr3 = new CompletableDisposable[(length - 1)];
                        System.arraycopy(completableDisposableArr, 0, completableDisposableArr3, 0, i2);
                        System.arraycopy(completableDisposableArr, i2 + 1, completableDisposableArr3, i2, (length - i2) - 1);
                        completableDisposableArr2 = completableDisposableArr3;
                    }
                } else {
                    return;
                }
            } else {
                return;
            }
        } while (!this.f13434j.compareAndSet(completableDisposableArr, completableDisposableArr2));
    }

    @Override // f.a.c
    public void onComplete() {
        if (this.f13435k.compareAndSet(false, true)) {
            for (CompletableDisposable completableDisposable : this.f13434j.getAndSet(f13433h)) {
                completableDisposable.downstream.onComplete();
            }
        }
    }

    @Override // f.a.c
    public void onError(Throwable th) {
        Objects.requireNonNull(th, "onError called with null. Null values are generally not allowed in 2.x operators and sources.");
        if (this.f13435k.compareAndSet(false, true)) {
            this.f13436l = th;
            for (CompletableDisposable completableDisposable : this.f13434j.getAndSet(f13433h)) {
                completableDisposable.downstream.onError(th);
            }
            return;
        }
        d.l.b.g.g.b.q0(th);
    }

    @Override // f.a.c
    public void onSubscribe(b bVar) {
        if (this.f13434j.get() == f13433h) {
            bVar.dispose();
        }
    }
}
