package io.reactivex.subjects;

import f.a.k;
import f.a.l;
import f.a.z.b;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicReference;

public final class MaybeSubject<T> extends k<T> implements l<T> {

    /* renamed from: d  reason: collision with root package name */
    public static final MaybeDisposable[] f13437d = new MaybeDisposable[0];

    /* renamed from: h  reason: collision with root package name */
    public static final MaybeDisposable[] f13438h = new MaybeDisposable[0];

    /* renamed from: j  reason: collision with root package name */
    public final AtomicReference<MaybeDisposable<T>[]> f13439j = new AtomicReference<>(f13437d);

    /* renamed from: k  reason: collision with root package name */
    public final AtomicBoolean f13440k = new AtomicBoolean();

    /* renamed from: l  reason: collision with root package name */
    public T f13441l;
    public Throwable m;

    public static final class MaybeDisposable<T> extends AtomicReference<MaybeSubject<T>> implements b {
        private static final long serialVersionUID = -7650903191002190468L;
        public final l<? super T> downstream;

        public MaybeDisposable(l<? super T> lVar, MaybeSubject<T> maybeSubject) {
            this.downstream = lVar;
            lazySet(maybeSubject);
        }

        @Override // f.a.z.b
        public void dispose() {
            MaybeSubject maybeSubject = (MaybeSubject) getAndSet(null);
            if (maybeSubject != null) {
                maybeSubject.c(this);
            }
        }

        @Override // f.a.z.b
        public boolean isDisposed() {
            return get() == null;
        }
    }

    @Override // f.a.k
    public void b(l<? super T> lVar) {
        boolean z;
        MaybeDisposable<T> maybeDisposable = new MaybeDisposable<>(lVar, this);
        lVar.onSubscribe(maybeDisposable);
        while (true) {
            MaybeDisposable<T>[] maybeDisposableArr = this.f13439j.get();
            z = false;
            if (maybeDisposableArr != f13438h) {
                int length = maybeDisposableArr.length;
                MaybeDisposable<T>[] maybeDisposableArr2 = new MaybeDisposable[(length + 1)];
                System.arraycopy(maybeDisposableArr, 0, maybeDisposableArr2, 0, length);
                maybeDisposableArr2[length] = maybeDisposable;
                if (this.f13439j.compareAndSet(maybeDisposableArr, maybeDisposableArr2)) {
                    z = true;
                    break;
                }
            } else {
                break;
            }
        }
        if (!z) {
            Throwable th = this.m;
            if (th != null) {
                lVar.onError(th);
                return;
            }
            T t = this.f13441l;
            if (t == null) {
                lVar.onComplete();
            } else {
                lVar.onSuccess(t);
            }
        } else if (maybeDisposable.isDisposed()) {
            c(maybeDisposable);
        }
    }

    public void c(MaybeDisposable<T> maybeDisposable) {
        MaybeDisposable<T>[] maybeDisposableArr;
        MaybeDisposable<T>[] maybeDisposableArr2;
        do {
            maybeDisposableArr = this.f13439j.get();
            int length = maybeDisposableArr.length;
            if (length != 0) {
                int i2 = 0;
                while (true) {
                    if (i2 >= length) {
                        i2 = -1;
                        break;
                    } else if (maybeDisposableArr[i2] == maybeDisposable) {
                        break;
                    } else {
                        i2++;
                    }
                }
                if (i2 >= 0) {
                    if (length == 1) {
                        maybeDisposableArr2 = f13437d;
                    } else {
                        MaybeDisposable<T>[] maybeDisposableArr3 = new MaybeDisposable[(length - 1)];
                        System.arraycopy(maybeDisposableArr, 0, maybeDisposableArr3, 0, i2);
                        System.arraycopy(maybeDisposableArr, i2 + 1, maybeDisposableArr3, i2, (length - i2) - 1);
                        maybeDisposableArr2 = maybeDisposableArr3;
                    }
                } else {
                    return;
                }
            } else {
                return;
            }
        } while (!this.f13439j.compareAndSet(maybeDisposableArr, maybeDisposableArr2));
    }

    @Override // f.a.l
    public void onComplete() {
        if (this.f13440k.compareAndSet(false, true)) {
            for (MaybeDisposable<T> maybeDisposable : this.f13439j.getAndSet(f13438h)) {
                maybeDisposable.downstream.onComplete();
            }
        }
    }

    @Override // f.a.l
    public void onError(Throwable th) {
        Objects.requireNonNull(th, "onError called with null. Null values are generally not allowed in 2.x operators and sources.");
        if (this.f13440k.compareAndSet(false, true)) {
            this.m = th;
            for (MaybeDisposable<T> maybeDisposable : this.f13439j.getAndSet(f13438h)) {
                maybeDisposable.downstream.onError(th);
            }
            return;
        }
        d.l.b.g.g.b.q0(th);
    }

    @Override // f.a.l
    public void onSubscribe(b bVar) {
        if (this.f13439j.get() == f13438h) {
            bVar.dispose();
        }
    }

    @Override // f.a.l
    public void onSuccess(T t) {
        Objects.requireNonNull(t, "onSuccess called with null. Null values are generally not allowed in 2.x operators and sources.");
        if (this.f13440k.compareAndSet(false, true)) {
            this.f13441l = t;
            for (MaybeDisposable<T> maybeDisposable : this.f13439j.getAndSet(f13438h)) {
                maybeDisposable.downstream.onSuccess(t);
            }
        }
    }
}
