package io.reactivex.subjects;

import f.a.g0.a;
import f.a.t;
import f.a.z.b;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicReference;

public final class PublishSubject<T> extends a<T> {

    /* renamed from: d  reason: collision with root package name */
    public static final PublishDisposable[] f13442d = new PublishDisposable[0];

    /* renamed from: h  reason: collision with root package name */
    public static final PublishDisposable[] f13443h = new PublishDisposable[0];

    /* renamed from: j  reason: collision with root package name */
    public final AtomicReference<PublishDisposable<T>[]> f13444j = new AtomicReference<>(f13443h);

    /* renamed from: k  reason: collision with root package name */
    public Throwable f13445k;

    public static final class PublishDisposable<T> extends AtomicBoolean implements b {
        private static final long serialVersionUID = 3562861878281475070L;
        public final t<? super T> downstream;
        public final PublishSubject<T> parent;

        public PublishDisposable(t<? super T> tVar, PublishSubject<T> publishSubject) {
            this.downstream = tVar;
            this.parent = publishSubject;
        }

        @Override // f.a.z.b
        public void dispose() {
            if (compareAndSet(false, true)) {
                this.parent.l(this);
            }
        }

        @Override // f.a.z.b
        public boolean isDisposed() {
            return get();
        }

        public void onComplete() {
            if (!get()) {
                this.downstream.onComplete();
            }
        }

        public void onError(Throwable th) {
            if (get()) {
                d.l.b.g.g.b.q0(th);
            } else {
                this.downstream.onError(th);
            }
        }

        public void onNext(T t) {
            if (!get()) {
                this.downstream.onNext(t);
            }
        }
    }

    @Override // f.a.o
    public void j(t<? super T> tVar) {
        boolean z;
        PublishDisposable<T> publishDisposable = new PublishDisposable<>(tVar, this);
        tVar.onSubscribe(publishDisposable);
        while (true) {
            PublishDisposable<T>[] publishDisposableArr = this.f13444j.get();
            z = false;
            if (publishDisposableArr != f13442d) {
                int length = publishDisposableArr.length;
                PublishDisposable<T>[] publishDisposableArr2 = new PublishDisposable[(length + 1)];
                System.arraycopy(publishDisposableArr, 0, publishDisposableArr2, 0, length);
                publishDisposableArr2[length] = publishDisposable;
                if (this.f13444j.compareAndSet(publishDisposableArr, publishDisposableArr2)) {
                    z = true;
                    break;
                }
            } else {
                break;
            }
        }
        if (!z) {
            Throwable th = this.f13445k;
            if (th != null) {
                tVar.onError(th);
            } else {
                tVar.onComplete();
            }
        } else if (publishDisposable.isDisposed()) {
            l(publishDisposable);
        }
    }

    public void l(PublishDisposable<T> publishDisposable) {
        PublishDisposable<T>[] publishDisposableArr;
        PublishDisposable<T>[] publishDisposableArr2;
        do {
            publishDisposableArr = this.f13444j.get();
            if (publishDisposableArr != f13442d && publishDisposableArr != f13443h) {
                int length = publishDisposableArr.length;
                int i2 = 0;
                while (true) {
                    if (i2 >= length) {
                        i2 = -1;
                        break;
                    } else if (publishDisposableArr[i2] == publishDisposable) {
                        break;
                    } else {
                        i2++;
                    }
                }
                if (i2 >= 0) {
                    if (length == 1) {
                        publishDisposableArr2 = f13443h;
                    } else {
                        PublishDisposable<T>[] publishDisposableArr3 = new PublishDisposable[(length - 1)];
                        System.arraycopy(publishDisposableArr, 0, publishDisposableArr3, 0, i2);
                        System.arraycopy(publishDisposableArr, i2 + 1, publishDisposableArr3, i2, (length - i2) - 1);
                        publishDisposableArr2 = publishDisposableArr3;
                    }
                } else {
                    return;
                }
            } else {
                return;
            }
        } while (!this.f13444j.compareAndSet(publishDisposableArr, publishDisposableArr2));
    }

    @Override // f.a.t
    public void onComplete() {
        PublishDisposable<T>[] publishDisposableArr = this.f13444j.get();
        PublishDisposable<T>[] publishDisposableArr2 = f13442d;
        if (publishDisposableArr != publishDisposableArr2) {
            for (PublishDisposable<T> publishDisposable : this.f13444j.getAndSet(publishDisposableArr2)) {
                publishDisposable.onComplete();
            }
        }
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        Objects.requireNonNull(th, "onError called with null. Null values are generally not allowed in 2.x operators and sources.");
        PublishDisposable<T>[] publishDisposableArr = this.f13444j.get();
        PublishDisposable<T>[] publishDisposableArr2 = f13442d;
        if (publishDisposableArr == publishDisposableArr2) {
            d.l.b.g.g.b.q0(th);
            return;
        }
        this.f13445k = th;
        for (PublishDisposable<T> publishDisposable : this.f13444j.getAndSet(publishDisposableArr2)) {
            publishDisposable.onError(th);
        }
    }

    @Override // f.a.t
    public void onNext(T t) {
        Objects.requireNonNull(t, "onNext called with null. Null values are generally not allowed in 2.x operators and sources.");
        for (PublishDisposable<T> publishDisposable : this.f13444j.get()) {
            publishDisposable.onNext(t);
        }
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        if (this.f13444j.get() == f13442d) {
            bVar.dispose();
        }
    }
}
