package io.reactivex.subjects;

import f.a.v;
import f.a.w;
import f.a.z.b;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicReference;

public final class SingleSubject<T> extends v<T> implements w<T> {

    /* renamed from: d  reason: collision with root package name */
    public static final SingleDisposable[] f13446d = new SingleDisposable[0];

    /* renamed from: h  reason: collision with root package name */
    public static final SingleDisposable[] f13447h = new SingleDisposable[0];

    /* renamed from: j  reason: collision with root package name */
    public final AtomicReference<SingleDisposable<T>[]> f13448j = new AtomicReference<>(f13446d);

    /* renamed from: k  reason: collision with root package name */
    public final AtomicBoolean f13449k = new AtomicBoolean();

    /* renamed from: l  reason: collision with root package name */
    public T f13450l;
    public Throwable m;

    public static final class SingleDisposable<T> extends AtomicReference<SingleSubject<T>> implements b {
        private static final long serialVersionUID = -7650903191002190468L;
        public final w<? super T> downstream;

        public SingleDisposable(w<? super T> wVar, SingleSubject<T> singleSubject) {
            this.downstream = wVar;
            lazySet(singleSubject);
        }

        @Override // f.a.z.b
        public void dispose() {
            SingleSubject singleSubject = (SingleSubject) getAndSet(null);
            if (singleSubject != null) {
                singleSubject.d(this);
            }
        }

        @Override // f.a.z.b
        public boolean isDisposed() {
            return get() == null;
        }
    }

    @Override // f.a.v
    public void c(w<? super T> wVar) {
        boolean z;
        SingleDisposable<T> singleDisposable = new SingleDisposable<>(wVar, this);
        wVar.onSubscribe(singleDisposable);
        while (true) {
            SingleDisposable<T>[] singleDisposableArr = this.f13448j.get();
            z = false;
            if (singleDisposableArr != f13447h) {
                int length = singleDisposableArr.length;
                SingleDisposable<T>[] singleDisposableArr2 = new SingleDisposable[(length + 1)];
                System.arraycopy(singleDisposableArr, 0, singleDisposableArr2, 0, length);
                singleDisposableArr2[length] = singleDisposable;
                if (this.f13448j.compareAndSet(singleDisposableArr, singleDisposableArr2)) {
                    z = true;
                    break;
                }
            } else {
                break;
            }
        }
        if (!z) {
            Throwable th = this.m;
            if (th != null) {
                wVar.onError(th);
            } else {
                wVar.onSuccess(this.f13450l);
            }
        } else if (singleDisposable.isDisposed()) {
            d(singleDisposable);
        }
    }

    public void d(SingleDisposable<T> singleDisposable) {
        SingleDisposable<T>[] singleDisposableArr;
        SingleDisposable<T>[] singleDisposableArr2;
        do {
            singleDisposableArr = this.f13448j.get();
            int length = singleDisposableArr.length;
            if (length != 0) {
                int i2 = 0;
                while (true) {
                    if (i2 >= length) {
                        i2 = -1;
                        break;
                    } else if (singleDisposableArr[i2] == singleDisposable) {
                        break;
                    } else {
                        i2++;
                    }
                }
                if (i2 >= 0) {
                    if (length == 1) {
                        singleDisposableArr2 = f13446d;
                    } else {
                        SingleDisposable<T>[] singleDisposableArr3 = new SingleDisposable[(length - 1)];
                        System.arraycopy(singleDisposableArr, 0, singleDisposableArr3, 0, i2);
                        System.arraycopy(singleDisposableArr, i2 + 1, singleDisposableArr3, i2, (length - i2) - 1);
                        singleDisposableArr2 = singleDisposableArr3;
                    }
                } else {
                    return;
                }
            } else {
                return;
            }
        } while (!this.f13448j.compareAndSet(singleDisposableArr, singleDisposableArr2));
    }

    @Override // f.a.w
    public void onError(Throwable th) {
        Objects.requireNonNull(th, "onError called with null. Null values are generally not allowed in 2.x operators and sources.");
        if (this.f13449k.compareAndSet(false, true)) {
            this.m = th;
            for (SingleDisposable<T> singleDisposable : this.f13448j.getAndSet(f13447h)) {
                singleDisposable.downstream.onError(th);
            }
            return;
        }
        d.l.b.g.g.b.q0(th);
    }

    @Override // f.a.w
    public void onSubscribe(b bVar) {
        if (this.f13448j.get() == f13447h) {
            bVar.dispose();
        }
    }

    @Override // f.a.w
    public void onSuccess(T t) {
        Objects.requireNonNull(t, "onSuccess called with null. Null values are generally not allowed in 2.x operators and sources.");
        if (this.f13449k.compareAndSet(false, true)) {
            this.f13450l = t;
            for (SingleDisposable<T> singleDisposable : this.f13448j.getAndSet(f13447h)) {
                singleDisposable.downstream.onSuccess(t);
            }
        }
    }
}
