package io.reactivex.subjects;

import d.l.b.g.g.b;
import f.a.c0.c.g;
import f.a.g0.a;
import f.a.t;
import io.reactivex.internal.disposables.EmptyDisposable;
import io.reactivex.internal.observers.BasicIntQueueDisposable;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicReference;

public final class UnicastSubject<T> extends a<T> {

    /* renamed from: d  reason: collision with root package name */
    public final f.a.c0.f.a<T> f13451d;

    /* renamed from: h  reason: collision with root package name */
    public final AtomicReference<t<? super T>> f13452h;

    /* renamed from: j  reason: collision with root package name */
    public final AtomicReference<Runnable> f13453j;

    /* renamed from: k  reason: collision with root package name */
    public final boolean f13454k;

    /* renamed from: l  reason: collision with root package name */
    public volatile boolean f13455l;
    public volatile boolean m;
    public Throwable n;
    public final AtomicBoolean o;
    public final BasicIntQueueDisposable<T> p;
    public boolean q;

    public final class UnicastQueueDisposable extends BasicIntQueueDisposable<T> {
        private static final long serialVersionUID = 7926949470189395511L;

        public UnicastQueueDisposable() {
        }

        @Override // f.a.c0.c.g, io.reactivex.internal.observers.BasicIntQueueDisposable
        public void clear() {
            UnicastSubject.this.f13451d.clear();
        }

        @Override // f.a.z.b, io.reactivex.internal.observers.BasicIntQueueDisposable
        public void dispose() {
            if (!UnicastSubject.this.f13455l) {
                UnicastSubject.this.f13455l = true;
                UnicastSubject.this.m();
                UnicastSubject.this.f13452h.lazySet(null);
                if (UnicastSubject.this.p.getAndIncrement() == 0) {
                    UnicastSubject.this.f13452h.lazySet(null);
                    UnicastSubject.this.f13451d.clear();
                }
            }
        }

        @Override // f.a.z.b, io.reactivex.internal.observers.BasicIntQueueDisposable
        public boolean isDisposed() {
            return UnicastSubject.this.f13455l;
        }

        @Override // f.a.c0.c.g, io.reactivex.internal.observers.BasicIntQueueDisposable
        public boolean isEmpty() {
            return UnicastSubject.this.f13451d.isEmpty();
        }

        @Override // f.a.c0.c.g, io.reactivex.internal.observers.BasicIntQueueDisposable
        public T poll() {
            return UnicastSubject.this.f13451d.poll();
        }

        @Override // f.a.c0.c.c, io.reactivex.internal.observers.BasicIntQueueDisposable
        public int requestFusion(int i2) {
            if ((i2 & 2) == 0) {
                return 0;
            }
            UnicastSubject.this.q = true;
            return 2;
        }
    }

    public UnicastSubject(int i2, boolean z) {
        f.a.c0.b.a.b(i2, "capacityHint");
        this.f13451d = new f.a.c0.f.a<>(i2);
        this.f13453j = new AtomicReference<>();
        this.f13454k = z;
        this.f13452h = new AtomicReference<>();
        this.o = new AtomicBoolean();
        this.p = new UnicastQueueDisposable();
    }

    public static <T> UnicastSubject<T> l(int i2, Runnable runnable) {
        return new UnicastSubject<>(i2, runnable, true);
    }

    @Override // f.a.o
    public void j(t<? super T> tVar) {
        if (this.o.get() || !this.o.compareAndSet(false, true)) {
            EmptyDisposable.error(new IllegalStateException("Only a single observer allowed."), tVar);
            return;
        }
        tVar.onSubscribe(this.p);
        this.f13452h.lazySet(tVar);
        if (this.f13455l) {
            this.f13452h.lazySet(null);
        } else {
            n();
        }
    }

    public void m() {
        Runnable runnable = this.f13453j.get();
        if (runnable != null && this.f13453j.compareAndSet(runnable, null)) {
            runnable.run();
        }
    }

    public void n() {
        if (this.p.getAndIncrement() == 0) {
            t<? super T> tVar = this.f13452h.get();
            int i2 = 1;
            int i3 = 1;
            while (tVar == null) {
                i3 = this.p.addAndGet(-i3);
                if (i3 != 0) {
                    tVar = this.f13452h.get();
                } else {
                    return;
                }
            }
            if (this.q) {
                f.a.c0.f.a<T> aVar = this.f13451d;
                boolean z = !this.f13454k;
                while (!this.f13455l) {
                    boolean z2 = this.m;
                    if (!z || !z2 || !o(aVar, tVar)) {
                        tVar.onNext(null);
                        if (z2) {
                            this.f13452h.lazySet(null);
                            Throwable th = this.n;
                            if (th != null) {
                                tVar.onError(th);
                                return;
                            } else {
                                tVar.onComplete();
                                return;
                            }
                        } else {
                            i2 = this.p.addAndGet(-i2);
                            if (i2 == 0) {
                                return;
                            }
                        }
                    } else {
                        return;
                    }
                }
                this.f13452h.lazySet(null);
                aVar.clear();
                return;
            }
            f.a.c0.f.a<T> aVar2 = this.f13451d;
            boolean z3 = !this.f13454k;
            boolean z4 = true;
            int i4 = 1;
            while (!this.f13455l) {
                boolean z5 = this.m;
                T poll = this.f13451d.poll();
                boolean z6 = poll == null;
                if (z5) {
                    if (z3 && z4) {
                        if (!o(aVar2, tVar)) {
                            z4 = false;
                        } else {
                            return;
                        }
                    }
                    if (z6) {
                        this.f13452h.lazySet(null);
                        Throwable th2 = this.n;
                        if (th2 != null) {
                            tVar.onError(th2);
                            return;
                        } else {
                            tVar.onComplete();
                            return;
                        }
                    }
                }
                if (z6) {
                    i4 = this.p.addAndGet(-i4);
                    if (i4 == 0) {
                        return;
                    }
                } else {
                    tVar.onNext(poll);
                }
            }
            this.f13452h.lazySet(null);
            aVar2.clear();
        }
    }

    public boolean o(g<T> gVar, t<? super T> tVar) {
        Throwable th = this.n;
        if (th == null) {
            return false;
        }
        this.f13452h.lazySet(null);
        ((f.a.c0.f.a) gVar).clear();
        tVar.onError(th);
        return true;
    }

    @Override // f.a.t
    public void onComplete() {
        if (!this.m && !this.f13455l) {
            this.m = true;
            m();
            n();
        }
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        Objects.requireNonNull(th, "onError called with null. Null values are generally not allowed in 2.x operators and sources.");
        if (this.m || this.f13455l) {
            b.q0(th);
            return;
        }
        this.n = th;
        this.m = true;
        m();
        n();
    }

    @Override // f.a.t
    public void onNext(T t) {
        Objects.requireNonNull(t, "onNext called with null. Null values are generally not allowed in 2.x operators and sources.");
        if (!this.m && !this.f13455l) {
            this.f13451d.offer(t);
            n();
        }
    }

    @Override // f.a.t
    public void onSubscribe(f.a.z.b bVar) {
        if (this.m || this.f13455l) {
            bVar.dispose();
        }
    }

    public UnicastSubject(int i2, Runnable runnable, boolean z) {
        f.a.c0.b.a.b(i2, "capacityHint");
        this.f13451d = new f.a.c0.f.a<>(i2);
        Objects.requireNonNull(runnable, "onTerminate");
        this.f13453j = new AtomicReference<>(runnable);
        this.f13454k = z;
        this.f13452h = new AtomicReference<>();
        this.o = new AtomicBoolean();
        this.p = new UnicastQueueDisposable();
    }
}
