package jp.wasabeef.glide.transformations;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapShader;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.RectF;
import android.graphics.Shader;
import d.d.a.m.g;
import d.d.a.m.o.z.d;
import g.a.b.a.a;
import java.security.MessageDigest;

public class RoundedCornersTransformation extends a {

    /* renamed from: b  reason: collision with root package name */
    public int f13456b;

    /* renamed from: c  reason: collision with root package name */
    public int f13457c;

    /* renamed from: d  reason: collision with root package name */
    public int f13458d;

    /* renamed from: e  reason: collision with root package name */
    public CornerType f13459e;

    public enum CornerType {
        ALL,
        TOP_LEFT,
        TOP_RIGHT,
        BOTTOM_LEFT,
        BOTTOM_RIGHT,
        TOP,
        BOTTOM,
        LEFT,
        RIGHT,
        OTHER_TOP_LEFT,
        OTHER_TOP_RIGHT,
        OTHER_BOTTOM_LEFT,
        OTHER_BOTTOM_RIGHT,
        DIAGONAL_FROM_TOP_LEFT,
        DIAGONAL_FROM_TOP_RIGHT
    }

    public RoundedCornersTransformation(int i2, int i3, CornerType cornerType) {
        this.f13456b = i2;
        this.f13457c = i2 * 2;
        this.f13458d = i3;
        this.f13459e = cornerType;
    }

    @Override // d.d.a.m.g
    public void b(MessageDigest messageDigest) {
        StringBuilder B = d.a.a.a.a.B("jp.wasabeef.glide.transformations.RoundedCornersTransformation.1");
        B.append(this.f13456b);
        B.append(this.f13457c);
        B.append(this.f13458d);
        B.append(this.f13459e);
        messageDigest.update(B.toString().getBytes(g.f7838a));
    }

    @Override // g.a.b.a.a
    public Bitmap c(Context context, d dVar, Bitmap bitmap, int i2, int i3) {
        int width = bitmap.getWidth();
        int height = bitmap.getHeight();
        Bitmap d2 = dVar.d(width, height, Bitmap.Config.ARGB_8888);
        d2.setHasAlpha(true);
        d2.setDensity(bitmap.getDensity());
        Canvas canvas = new Canvas(d2);
        Paint paint = new Paint();
        paint.setAntiAlias(true);
        Shader.TileMode tileMode = Shader.TileMode.CLAMP;
        paint.setShader(new BitmapShader(bitmap, tileMode, tileMode));
        float f2 = (float) height;
        float f3 = (float) this.f13458d;
        float f4 = ((float) width) - f3;
        float f5 = f2 - f3;
        switch (this.f13459e.ordinal()) {
            case 0:
                float f6 = (float) this.f13458d;
                RectF rectF = new RectF(f6, f6, f4, f5);
                float f7 = (float) this.f13456b;
                canvas.drawRoundRect(rectF, f7, f7, paint);
                break;
            case 1:
                int i4 = this.f13458d;
                float f8 = (float) i4;
                float f9 = (float) (i4 + this.f13457c);
                RectF rectF2 = new RectF(f8, f8, f9, f9);
                float f10 = (float) this.f13456b;
                canvas.drawRoundRect(rectF2, f10, f10, paint);
                int i5 = this.f13458d;
                float f11 = (float) i5;
                float f12 = (float) (i5 + this.f13456b);
                canvas.drawRect(new RectF(f11, f12, f12, f5), paint);
                int i6 = this.f13458d;
                canvas.drawRect(new RectF((float) (this.f13456b + i6), (float) i6, f4, f5), paint);
                break;
            case 2:
                int i7 = this.f13457c;
                int i8 = this.f13458d;
                RectF rectF3 = new RectF(f4 - ((float) i7), (float) i8, f4, (float) (i8 + i7));
                float f13 = (float) this.f13456b;
                canvas.drawRoundRect(rectF3, f13, f13, paint);
                float f14 = (float) this.f13458d;
                canvas.drawRect(new RectF(f14, f14, f4 - ((float) this.f13456b), f5), paint);
                int i9 = this.f13456b;
                canvas.drawRect(new RectF(f4 - ((float) i9), (float) (this.f13458d + i9), f4, f5), paint);
                break;
            case 3:
                int i10 = this.f13458d;
                int i11 = this.f13457c;
                RectF rectF4 = new RectF((float) i10, f5 - ((float) i11), (float) (i10 + i11), f5);
                float f15 = (float) this.f13456b;
                canvas.drawRoundRect(rectF4, f15, f15, paint);
                int i12 = this.f13458d;
                float f16 = (float) i12;
                canvas.drawRect(new RectF(f16, f16, (float) (i12 + this.f13457c), f5 - ((float) this.f13456b)), paint);
                int i13 = this.f13458d;
                canvas.drawRect(new RectF((float) (this.f13456b + i13), (float) i13, f4, f5), paint);
                break;
            case 4:
                float f17 = (float) this.f13457c;
                RectF rectF5 = new RectF(f4 - f17, f5 - f17, f4, f5);
                float f18 = (float) this.f13456b;
                canvas.drawRoundRect(rectF5, f18, f18, paint);
                float f19 = (float) this.f13458d;
                canvas.drawRect(new RectF(f19, f19, f4 - ((float) this.f13456b), f5), paint);
                float f20 = (float) this.f13456b;
                canvas.drawRect(new RectF(f4 - f20, (float) this.f13458d, f4, f5 - f20), paint);
                break;
            case 5:
                int i14 = this.f13458d;
                float f21 = (float) i14;
                RectF rectF6 = new RectF(f21, f21, f4, (float) (i14 + this.f13457c));
                float f22 = (float) this.f13456b;
                canvas.drawRoundRect(rectF6, f22, f22, paint);
                int i15 = this.f13458d;
                canvas.drawRect(new RectF((float) i15, (float) (i15 + this.f13456b), f4, f5), paint);
                break;
            case 6:
                RectF rectF7 = new RectF((float) this.f13458d, f5 - ((float) this.f13457c), f4, f5);
                float f23 = (float) this.f13456b;
                canvas.drawRoundRect(rectF7, f23, f23, paint);
                float f24 = (float) this.f13458d;
                canvas.drawRect(new RectF(f24, f24, f4, f5 - ((float) this.f13456b)), paint);
                break;
            case 7:
                int i16 = this.f13458d;
                float f25 = (float) i16;
                RectF rectF8 = new RectF(f25, f25, (float) (i16 + this.f13457c), f5);
                float f26 = (float) this.f13456b;
                canvas.drawRoundRect(rectF8, f26, f26, paint);
                int i17 = this.f13458d;
                canvas.drawRect(new RectF((float) (this.f13456b + i17), (float) i17, f4, f5), paint);
                break;
            case 8:
                RectF rectF9 = new RectF(f4 - ((float) this.f13457c), (float) this.f13458d, f4, f5);
                float f27 = (float) this.f13456b;
                canvas.drawRoundRect(rectF9, f27, f27, paint);
                float f28 = (float) this.f13458d;
                canvas.drawRect(new RectF(f28, f28, f4 - ((float) this.f13456b), f5), paint);
                break;
            case 9:
                RectF rectF10 = new RectF((float) this.f13458d, f5 - ((float) this.f13457c), f4, f5);
                float f29 = (float) this.f13456b;
                canvas.drawRoundRect(rectF10, f29, f29, paint);
                RectF rectF11 = new RectF(f4 - ((float) this.f13457c), (float) this.f13458d, f4, f5);
                float f30 = (float) this.f13456b;
                canvas.drawRoundRect(rectF11, f30, f30, paint);
                float f31 = (float) this.f13458d;
                float f32 = (float) this.f13456b;
                canvas.drawRect(new RectF(f31, f31, f4 - f32, f5 - f32), paint);
                break;
            case 10:
                int i18 = this.f13458d;
                float f33 = (float) i18;
                RectF rectF12 = new RectF(f33, f33, (float) (i18 + this.f13457c), f5);
                float f34 = (float) this.f13456b;
                canvas.drawRoundRect(rectF12, f34, f34, paint);
                RectF rectF13 = new RectF((float) this.f13458d, f5 - ((float) this.f13457c), f4, f5);
                float f35 = (float) this.f13456b;
                canvas.drawRoundRect(rectF13, f35, f35, paint);
                int i19 = this.f13458d;
                int i20 = this.f13456b;
                canvas.drawRect(new RectF((float) (i19 + i20), (float) i19, f4, f5 - ((float) i20)), paint);
                break;
            case 11:
                int i21 = this.f13458d;
                float f36 = (float) i21;
                RectF rectF14 = new RectF(f36, f36, f4, (float) (i21 + this.f13457c));
                float f37 = (float) this.f13456b;
                canvas.drawRoundRect(rectF14, f37, f37, paint);
                RectF rectF15 = new RectF(f4 - ((float) this.f13457c), (float) this.f13458d, f4, f5);
                float f38 = (float) this.f13456b;
                canvas.drawRoundRect(rectF15, f38, f38, paint);
                int i22 = this.f13458d;
                int i23 = this.f13456b;
                canvas.drawRect(new RectF((float) i22, (float) (i22 + i23), f4 - ((float) i23), f5), paint);
                break;
            case 12:
                int i24 = this.f13458d;
                float f39 = (float) i24;
                RectF rectF16 = new RectF(f39, f39, f4, (float) (i24 + this.f13457c));
                float f40 = (float) this.f13456b;
                canvas.drawRoundRect(rectF16, f40, f40, paint);
                int i25 = this.f13458d;
                float f41 = (float) i25;
                RectF rectF17 = new RectF(f41, f41, (float) (i25 + this.f13457c), f5);
                float f42 = (float) this.f13456b;
                canvas.drawRoundRect(rectF17, f42, f42, paint);
                float f43 = (float) (this.f13458d + this.f13456b);
                canvas.drawRect(new RectF(f43, f43, f4, f5), paint);
                break;
            case 13:
                int i26 = this.f13458d;
                float f44 = (float) i26;
                float f45 = (float) (i26 + this.f13457c);
                RectF rectF18 = new RectF(f44, f44, f45, f45);
                float f46 = (float) this.f13456b;
                canvas.drawRoundRect(rectF18, f46, f46, paint);
                float f47 = (float) this.f13457c;
                RectF rectF19 = new RectF(f4 - f47, f5 - f47, f4, f5);
                float f48 = (float) this.f13456b;
                canvas.drawRoundRect(rectF19, f48, f48, paint);
                int i27 = this.f13458d;
                canvas.drawRect(new RectF((float) i27, (float) (i27 + this.f13456b), f4 - ((float) this.f13457c), f5), paint);
                int i28 = this.f13458d;
                canvas.drawRect(new RectF((float) (this.f13457c + i28), (float) i28, f4, f5 - ((float) this.f13456b)), paint);
                break;
            case 14:
                int i29 = this.f13457c;
                int i30 = this.f13458d;
                RectF rectF20 = new RectF(f4 - ((float) i29), (float) i30, f4, (float) (i30 + i29));
                float f49 = (float) this.f13456b;
                canvas.drawRoundRect(rectF20, f49, f49, paint);
                int i31 = this.f13458d;
                int i32 = this.f13457c;
                RectF rectF21 = new RectF((float) i31, f5 - ((float) i32), (float) (i31 + i32), f5);
                float f50 = (float) this.f13456b;
                canvas.drawRoundRect(rectF21, f50, f50, paint);
                float f51 = (float) this.f13458d;
                float f52 = (float) this.f13456b;
                canvas.drawRect(new RectF(f51, f51, f4 - f52, f5 - f52), paint);
                float f53 = (float) (this.f13458d + this.f13456b);
                canvas.drawRect(new RectF(f53, f53, f4, f5), paint);
                break;
            default:
                float f54 = (float) this.f13458d;
                RectF rectF22 = new RectF(f54, f54, f4, f5);
                float f55 = (float) this.f13456b;
                canvas.drawRoundRect(rectF22, f55, f55, paint);
                break;
        }
        return d2;
    }

    @Override // d.d.a.m.g
    public boolean equals(Object obj) {
        if (obj instanceof RoundedCornersTransformation) {
            RoundedCornersTransformation roundedCornersTransformation = (RoundedCornersTransformation) obj;
            return roundedCornersTransformation.f13456b == this.f13456b && roundedCornersTransformation.f13457c == this.f13457c && roundedCornersTransformation.f13458d == this.f13458d && roundedCornersTransformation.f13459e == this.f13459e;
        }
    }

    @Override // d.d.a.m.g
    public int hashCode() {
        return (this.f13459e.ordinal() * 10) + (this.f13458d * 100) + (this.f13457c * 1000) + (this.f13456b * 10000) + 425235636;
    }

    public String toString() {
        StringBuilder B = d.a.a.a.a.B("RoundedTransformation(radius=");
        B.append(this.f13456b);
        B.append(", margin=");
        B.append(this.f13458d);
        B.append(", diameter=");
        B.append(this.f13457c);
        B.append(", cornerType=");
        B.append(this.f13459e.name());
        B.append(")");
        return B.toString();
    }
}
