package k.b.b;

import android.database.CrossProcessCursor;
import android.database.Cursor;
import android.database.CursorWindow;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteStatement;
import android.util.Log;
import java.lang.ref.Reference;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import k.b.b.f.c;
import k.b.b.g.b;
import k.b.b.h.e;
import org.greenrobot.greendao.DaoException;

/* compiled from: AbstractDao */
public abstract class a<T, K> {

    /* renamed from: a  reason: collision with root package name */
    public final k.b.b.h.a f13524a;

    /* renamed from: b  reason: collision with root package name */
    public final k.b.b.f.a f13525b;

    /* renamed from: c  reason: collision with root package name */
    public final boolean f13526c;

    /* renamed from: d  reason: collision with root package name */
    public final k.b.b.g.a<K, T> f13527d;

    /* renamed from: e  reason: collision with root package name */
    public final b<T> f13528e;

    /* renamed from: f  reason: collision with root package name */
    public final e f13529f;

    /* renamed from: g  reason: collision with root package name */
    public final int f13530g;

    public a(k.b.b.h.a aVar, c cVar) {
        this.f13524a = aVar;
        k.b.b.f.a aVar2 = aVar.f13546d;
        this.f13525b = aVar2;
        this.f13526c = aVar2.f() instanceof SQLiteDatabase;
        k.b.b.g.a<K, T> aVar3 = (k.b.b.g.a<K, T>) aVar.q;
        this.f13527d = aVar3;
        if (aVar3 instanceof b) {
            this.f13528e = (b) aVar3;
        } else {
            this.f13528e = null;
        }
        this.f13529f = aVar.p;
        e eVar = aVar.n;
        this.f13530g = eVar != null ? eVar.f13533a : -1;
    }

    public void a() {
        if (this.f13524a.f13550l.length != 1) {
            StringBuilder sb = new StringBuilder();
            sb.append(this);
            sb.append(" (");
            throw new DaoException(d.a.a.a.a.y(sb, this.f13524a.f13547h, ") does not have a single-column primary key"));
        }
    }

    public abstract void b(SQLiteStatement sQLiteStatement, T t);

    public abstract void c(c cVar, T t);

    public void d(T t) {
        a();
        K h2 = h(t);
        if (h2 != null) {
            a();
            c a2 = this.f13529f.a();
            if (this.f13525b.a()) {
                synchronized (a2) {
                    f(h2, a2);
                }
            } else {
                this.f13525b.c();
                try {
                    synchronized (a2) {
                        f(h2, a2);
                    }
                    this.f13525b.g();
                } finally {
                    this.f13525b.b();
                }
            }
            k.b.b.g.a<K, T> aVar = this.f13527d;
            if (aVar != null) {
                aVar.remove(h2);
                return;
            }
            return;
        }
        Objects.requireNonNull(t, "Entity may not be null");
        throw new DaoException("Entity has no key");
    }

    public void e() {
        k.b.b.f.a aVar = this.f13525b;
        StringBuilder B = d.a.a.a.a.B("DELETE FROM '");
        B.append(this.f13524a.f13547h);
        B.append("'");
        aVar.d(B.toString());
        k.b.b.g.a<K, T> aVar2 = this.f13527d;
        if (aVar2 != null) {
            aVar2.clear();
        }
    }

    public final void f(K k2, c cVar) {
        if (k2 instanceof Long) {
            cVar.c(1, k2.longValue());
        } else if (k2 != null) {
            cVar.a(1, k2.toString());
        } else {
            throw new DaoException("Cannot delete entity, key is null");
        }
        cVar.execute();
    }

    public void g(Iterable<T> iterable) {
        ArrayList arrayList;
        k.b.b.g.a<K, T> aVar;
        a();
        c a2 = this.f13529f.a();
        this.f13525b.c();
        try {
            synchronized (a2) {
                k.b.b.g.a<K, T> aVar2 = this.f13527d;
                if (aVar2 != null) {
                    aVar2.lock();
                    arrayList = new ArrayList();
                } else {
                    arrayList = null;
                }
                if (iterable != null) {
                    try {
                        for (T t : iterable) {
                            K h2 = h(t);
                            if (h2 != null) {
                                f(h2, a2);
                                if (arrayList != null) {
                                    arrayList.add(h2);
                                }
                            } else {
                                Objects.requireNonNull(t, "Entity may not be null");
                                throw new DaoException("Entity has no key");
                            }
                        }
                    } catch (Throwable th) {
                        k.b.b.g.a<K, T> aVar3 = this.f13527d;
                        if (aVar3 != null) {
                            aVar3.unlock();
                        }
                        throw th;
                    }
                }
                k.b.b.g.a<K, T> aVar4 = this.f13527d;
                if (aVar4 != null) {
                    aVar4.unlock();
                }
            }
            this.f13525b.g();
            if (!(arrayList == null || (aVar = this.f13527d) == null)) {
                aVar.b(arrayList);
            }
        } finally {
            this.f13525b.b();
        }
    }

    public abstract K h(T t);

    public long i(T t) {
        long j2;
        c b2 = this.f13529f.b();
        if (this.f13525b.a()) {
            j2 = k(t, b2);
        } else {
            this.f13525b.c();
            try {
                j2 = k(t, b2);
                this.f13525b.g();
            } finally {
                this.f13525b.b();
            }
        }
        s(t, j2, true);
        return j2;
    }

    public void j(Iterable<T> iterable) {
        boolean l2 = l();
        c b2 = this.f13529f.b();
        this.f13525b.c();
        try {
            synchronized (b2) {
                k.b.b.g.a<K, T> aVar = this.f13527d;
                if (aVar != null) {
                    aVar.lock();
                }
                try {
                    if (this.f13526c) {
                        SQLiteStatement sQLiteStatement = (SQLiteStatement) b2.e();
                        for (T t : iterable) {
                            b(sQLiteStatement, t);
                            if (l2) {
                                s(t, sQLiteStatement.executeInsert(), false);
                            } else {
                                sQLiteStatement.execute();
                            }
                        }
                    } else {
                        for (T t2 : iterable) {
                            c(b2, t2);
                            if (l2) {
                                s(t2, b2.f(), false);
                            } else {
                                b2.execute();
                            }
                        }
                    }
                } finally {
                    k.b.b.g.a<K, T> aVar2 = this.f13527d;
                    if (aVar2 != null) {
                        aVar2.unlock();
                    }
                }
            }
            this.f13525b.g();
        } finally {
            this.f13525b.b();
        }
    }

    public final long k(T t, c cVar) {
        synchronized (cVar) {
            if (this.f13526c) {
                SQLiteStatement sQLiteStatement = (SQLiteStatement) cVar.e();
                b(sQLiteStatement, t);
                return sQLiteStatement.executeInsert();
            }
            c(cVar, t);
            return cVar.f();
        }
    }

    public abstract boolean l();

    /* JADX WARNING: Removed duplicated region for block: B:15:0x0050  */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x0079  */
    public List<T> m(Cursor cursor) {
        boolean z;
        k.b.b.g.a<K, T> aVar;
        int count = cursor.getCount();
        if (count == 0) {
            return new ArrayList();
        }
        ArrayList arrayList = new ArrayList(count);
        CursorWindow cursorWindow = null;
        if ((cursor instanceof CrossProcessCursor) && (cursorWindow = ((CrossProcessCursor) cursor).getWindow()) != null) {
            if (cursorWindow.getNumRows() == count) {
                cursor = new k.b.b.h.b(cursorWindow);
                z = true;
                if (cursor.moveToFirst()) {
                    k.b.b.g.a<K, T> aVar2 = this.f13527d;
                    if (aVar2 != null) {
                        aVar2.lock();
                        this.f13527d.d(count);
                    }
                    if (!z && cursorWindow != null) {
                        try {
                            if (this.f13527d != null) {
                                n(cursor, cursorWindow, arrayList);
                                aVar = this.f13527d;
                                if (aVar != null) {
                                    aVar.unlock();
                                }
                            }
                        } catch (Throwable th) {
                            k.b.b.g.a<K, T> aVar3 = this.f13527d;
                            if (aVar3 != null) {
                                aVar3.unlock();
                            }
                            throw th;
                        }
                    }
                    do {
                        arrayList.add(o(cursor, 0, false));
                    } while (cursor.moveToNext());
                    aVar = this.f13527d;
                    if (aVar != null) {
                    }
                }
                return arrayList;
            }
            StringBuilder B = d.a.a.a.a.B("Window vs. result size: ");
            B.append(cursorWindow.getNumRows());
            B.append("/");
            B.append(count);
            d.l.b.g.g.b.w(B.toString());
        }
        z = false;
        if (cursor.moveToFirst()) {
        }
        return arrayList;
    }

    public final void n(Cursor cursor, CursorWindow cursorWindow, List<T> list) {
        int numRows = cursorWindow.getNumRows() + cursorWindow.getStartPosition();
        int i2 = 0;
        while (true) {
            list.add(o(cursor, 0, false));
            int i3 = i2 + 1;
            if (i3 >= numRows) {
                this.f13527d.unlock();
                try {
                    CursorWindow window = cursor.moveToNext() ? ((CrossProcessCursor) cursor).getWindow() : null;
                    if (window != null) {
                        numRows = window.getNumRows() + window.getStartPosition();
                    } else {
                        return;
                    }
                } finally {
                    this.f13527d.lock();
                }
            } else if (!cursor.moveToNext()) {
                return;
            }
            i2 = i3 + 1;
        }
    }

    public final T o(Cursor cursor, int i2, boolean z) {
        T t;
        T t2 = null;
        if (this.f13528e != null) {
            if (i2 != 0 && cursor.isNull(this.f13530g + i2)) {
                return null;
            }
            long j2 = cursor.getLong(this.f13530g + i2);
            b<T> bVar = this.f13528e;
            if (z) {
                t = bVar.e(j2);
            } else {
                Reference<T> a2 = bVar.f13542a.a(j2);
                if (a2 != null) {
                    t2 = a2.get();
                }
                t = t2;
            }
            if (t != null) {
                return t;
            }
            T p = p(cursor, i2);
            if (z) {
                this.f13528e.f(j2, p);
            } else {
                this.f13528e.f13542a.b(j2, new WeakReference(p));
            }
            return p;
        } else if (this.f13527d != null) {
            K q = q(cursor, i2);
            if (i2 != 0 && q == null) {
                return null;
            }
            k.b.b.g.a<K, T> aVar = this.f13527d;
            T c2 = z ? aVar.get(q) : aVar.c(q);
            if (c2 != null) {
                return c2;
            }
            T p2 = p(cursor, i2);
            k.b.b.g.a<K, T> aVar2 = this.f13527d;
            if (!(aVar2 == null || q == null)) {
                if (z) {
                    aVar2.put(q, p2);
                } else {
                    aVar2.a(q, p2);
                }
            }
            return p2;
        } else if (i2 == 0 || q(cursor, i2) != null) {
            return p(cursor, i2);
        } else {
            return null;
        }
    }

    public abstract T p(Cursor cursor, int i2);

    public abstract K q(Cursor cursor, int i2);

    public abstract K r(T t, long j2);

    public void s(T t, long j2, boolean z) {
        if (j2 != -1) {
            K r = r(t, j2);
            k.b.b.g.a<K, T> aVar = this.f13527d;
            if (aVar != null && r != null) {
                if (z) {
                    aVar.put(r, t);
                } else {
                    aVar.a(r, t);
                }
            }
        } else {
            Log.w("greenDAO", "Could not insert row (executeInsert returned -1)");
        }
    }
}
