package okio;

import d.a.a.a.a;
import h.p.b.o;
import java.util.zip.Deflater;
import org.codehaus.mojo.animal_sniffer.IgnoreJRERequirement;

/* compiled from: DeflaterSink.kt */
public final class DeflaterSink implements Sink {
    private boolean closed;
    private final Deflater deflater;
    private final BufferedSink sink;

    public DeflaterSink(BufferedSink bufferedSink, Deflater deflater2) {
        o.e(bufferedSink, "sink");
        o.e(deflater2, "deflater");
        this.sink = bufferedSink;
        this.deflater = deflater2;
    }

    @IgnoreJRERequirement
    private final void deflate(boolean z) {
        Segment writableSegment$okio;
        int i2;
        Buffer buffer = this.sink.getBuffer();
        while (true) {
            writableSegment$okio = buffer.writableSegment$okio(1);
            if (z) {
                Deflater deflater2 = this.deflater;
                byte[] bArr = writableSegment$okio.data;
                int i3 = writableSegment$okio.limit;
                i2 = deflater2.deflate(bArr, i3, 8192 - i3, 2);
            } else {
                Deflater deflater3 = this.deflater;
                byte[] bArr2 = writableSegment$okio.data;
                int i4 = writableSegment$okio.limit;
                i2 = deflater3.deflate(bArr2, i4, 8192 - i4);
            }
            if (i2 > 0) {
                writableSegment$okio.limit += i2;
                buffer.setSize$okio(buffer.size() + ((long) i2));
                this.sink.emitCompleteSegments();
            } else if (this.deflater.needsInput()) {
                break;
            }
        }
        if (writableSegment$okio.pos == writableSegment$okio.limit) {
            buffer.head = writableSegment$okio.pop();
            SegmentPool.recycle(writableSegment$okio);
        }
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable, okio.Sink
    public void close() {
        if (!this.closed) {
            Throwable th = null;
            try {
                finishDeflate$okio();
            } catch (Throwable th2) {
                th = th2;
            }
            try {
                this.deflater.end();
            } catch (Throwable th3) {
                if (th == null) {
                    th = th3;
                }
            }
            try {
                this.sink.close();
            } catch (Throwable th4) {
                if (th == null) {
                    th = th4;
                }
            }
            this.closed = true;
            if (th != null) {
                throw th;
            }
        }
    }

    public final void finishDeflate$okio() {
        this.deflater.finish();
        deflate(false);
    }

    @Override // okio.Sink, java.io.Flushable
    public void flush() {
        deflate(true);
        this.sink.flush();
    }

    @Override // okio.Sink
    public Timeout timeout() {
        return this.sink.timeout();
    }

    public String toString() {
        StringBuilder B = a.B("DeflaterSink(");
        B.append(this.sink);
        B.append(')');
        return B.toString();
    }

    @Override // okio.Sink
    public void write(Buffer buffer, long j2) {
        o.e(buffer, "source");
        _UtilKt.checkOffsetAndCount(buffer.size(), 0, j2);
        while (j2 > 0) {
            Segment segment = buffer.head;
            o.c(segment);
            int min = (int) Math.min(j2, (long) (segment.limit - segment.pos));
            this.deflater.setInput(segment.data, segment.pos, min);
            deflate(false);
            long j3 = (long) min;
            buffer.setSize$okio(buffer.size() - j3);
            int i2 = segment.pos + min;
            segment.pos = i2;
            if (i2 == segment.limit) {
                buffer.head = segment.pop();
                SegmentPool.recycle(segment);
            }
            j2 -= j3;
        }
    }

    /* JADX INFO: this call moved to the top of the method (can break code semantics) */
    public DeflaterSink(Sink sink2, Deflater deflater2) {
        this(Okio.buffer(sink2), deflater2);
        o.e(sink2, "sink");
        o.e(deflater2, "deflater");
    }
}
