package okio;

import h.p.b.o;
import h.u.i;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.Socket;
import java.nio.file.Files;
import java.nio.file.OpenOption;
import java.nio.file.Path;
import java.security.MessageDigest;
import java.util.Arrays;
import java.util.logging.Logger;
import javax.crypto.Cipher;
import javax.crypto.Mac;

public final /* synthetic */ class Okio__JvmOkioKt {
    private static final Logger logger = Logger.getLogger("okio.Okio");

    public static final Sink appendingSink(File file) {
        o.e(file, "$this$appendingSink");
        return Okio.sink(new FileOutputStream(file, true));
    }

    public static final CipherSink cipherSink(Sink sink, Cipher cipher) {
        o.e(sink, "$this$cipherSink");
        o.e(cipher, "cipher");
        return new CipherSink(Okio.buffer(sink), cipher);
    }

    public static final CipherSource cipherSource(Source source, Cipher cipher) {
        o.e(source, "$this$cipherSource");
        o.e(cipher, "cipher");
        return new CipherSource(Okio.buffer(source), cipher);
    }

    private static final Logger getLogger$Okio__JvmOkioKt() {
        return logger;
    }

    public static final HashingSink hashingSink(Sink sink, Mac mac) {
        o.e(sink, "$this$hashingSink");
        o.e(mac, "mac");
        return new HashingSink(sink, mac);
    }

    public static final HashingSource hashingSource(Source source, Mac mac) {
        o.e(source, "$this$hashingSource");
        o.e(mac, "mac");
        return new HashingSource(source, mac);
    }

    /* JADX WARNING: Removed duplicated region for block: B:10:? A[RETURN, SYNTHETIC] */
    public static final boolean isAndroidGetsocknameError(AssertionError assertionError) {
        boolean z;
        o.e(assertionError, "$this$isAndroidGetsocknameError");
        if (assertionError.getCause() != null) {
            String message = assertionError.getMessage();
            if (message != null) {
                o.e(message, "$this$contains");
                o.e("getsockname failed", "other");
                if (i.f(message, "getsockname failed", 0, false, 2) >= 0) {
                    z = true;
                    if (!z) {
                        return true;
                    }
                }
            }
            z = false;
            if (!z) {
                return false;
            }
        }
        return false;
    }

    public static final Sink sink(File file) {
        return sink$default(file, false, 1, null);
    }

    public static final Sink sink(OutputStream outputStream) {
        o.e(outputStream, "$this$sink");
        return new OutputStreamSink(outputStream, new Timeout());
    }

    public static /* synthetic */ Sink sink$default(File file, boolean z, int i2, Object obj) {
        if ((i2 & 1) != 0) {
            z = false;
        }
        return Okio.sink(file, z);
    }

    public static final Source source(InputStream inputStream) {
        o.e(inputStream, "$this$source");
        return new InputStreamSource(inputStream, new Timeout());
    }

    public static final HashingSink hashingSink(Sink sink, MessageDigest messageDigest) {
        o.e(sink, "$this$hashingSink");
        o.e(messageDigest, "digest");
        return new HashingSink(sink, messageDigest);
    }

    public static final HashingSource hashingSource(Source source, MessageDigest messageDigest) {
        o.e(source, "$this$hashingSource");
        o.e(messageDigest, "digest");
        return new HashingSource(source, messageDigest);
    }

    public static final Sink sink(Socket socket) {
        o.e(socket, "$this$sink");
        SocketAsyncTimeout socketAsyncTimeout = new SocketAsyncTimeout(socket);
        OutputStream outputStream = socket.getOutputStream();
        o.d(outputStream, "getOutputStream()");
        return socketAsyncTimeout.sink(new OutputStreamSink(outputStream, socketAsyncTimeout));
    }

    public static final Source source(Socket socket) {
        o.e(socket, "$this$source");
        SocketAsyncTimeout socketAsyncTimeout = new SocketAsyncTimeout(socket);
        InputStream inputStream = socket.getInputStream();
        o.d(inputStream, "getInputStream()");
        return socketAsyncTimeout.source(new InputStreamSource(inputStream, socketAsyncTimeout));
    }

    public static final Sink sink(File file, boolean z) {
        o.e(file, "$this$sink");
        return Okio.sink(new FileOutputStream(file, z));
    }

    public static final Source source(File file) {
        o.e(file, "$this$source");
        return new FileSource(new FileInputStream(file));
    }

    public static final Sink sink(Path path, OpenOption... openOptionArr) {
        o.e(path, "$this$sink");
        o.e(openOptionArr, "options");
        OutputStream newOutputStream = Files.newOutputStream(path, (OpenOption[]) Arrays.copyOf(openOptionArr, openOptionArr.length));
        o.d(newOutputStream, "Files.newOutputStream(this, *options)");
        return Okio.sink(newOutputStream);
    }

    public static final Source source(Path path, OpenOption... openOptionArr) {
        o.e(path, "$this$source");
        o.e(openOptionArr, "options");
        InputStream newInputStream = Files.newInputStream(path, (OpenOption[]) Arrays.copyOf(openOptionArr, openOptionArr.length));
        o.d(newInputStream, "Files.newInputStream(this, *options)");
        return Okio.source(newInputStream);
    }
}
