package org.dsq.library.ui;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.os.Parcelable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import androidx.databinding.ViewDataBinding;
import androidx.fragment.app.Fragment;
import b.l.d;
import b.q.k;
import com.lzy.okgo.cache.CacheEntity;
import d.l.b.g.g.b;
import h.a;
import h.p.b.o;
import java.io.Serializable;
import org.dsq.library.keyboarddismisser.KeyboardDismisser;

/* compiled from: CommonFragment.kt */
public abstract class CommonFragment<VB extends ViewDataBinding, VM extends k> extends Fragment {
    private boolean firstLoading = true;
    private boolean isResumeRefresh;
    private long lastClickTime;
    public VB mBinding;
    public Context mContext;
    private final a viewModel$delegate = b.d0(new CommonFragment$viewModel$2(this));

    public static /* synthetic */ void redirectActivity$default(CommonFragment commonFragment, String str, Object obj, Class cls, int i2, Object obj2) {
        if (obj2 == null) {
            if ((i2 & 1) != 0) {
                str = "";
            }
            if ((i2 & 2) != 0) {
                obj = null;
            }
            commonFragment.redirectActivity(str, obj, cls);
            return;
        }
        throw new UnsupportedOperationException("Super calls with default arguments not supported in this target, function: redirectActivity");
    }

    public abstract int getContentLayout();

    public final boolean getFirstLoading() {
        return this.firstLoading;
    }

    public final VB getMBinding() {
        VB vb = this.mBinding;
        if (vb != null) {
            return vb;
        }
        o.m("mBinding");
        throw null;
    }

    public final Context getMContext() {
        Context context = this.mContext;
        if (context != null) {
            return context;
        }
        o.m("mContext");
        throw null;
    }

    public final VM getViewModel() {
        return (VM) ((k) this.viewModel$delegate.getValue());
    }

    public void initData() {
    }

    public void initView() {
    }

    public boolean isDoubleClick() {
        long currentTimeMillis = System.currentTimeMillis();
        long j2 = currentTimeMillis - this.lastClickTime;
        if (1 <= j2 && j2 <= 1000) {
            return true;
        }
        this.lastClickTime = currentTimeMillis;
        return false;
    }

    public final boolean isResumeRefresh() {
        return this.isResumeRefresh;
    }

    @Override // androidx.fragment.app.Fragment
    public void onAttach(Context context) {
        o.e(context, "context");
        super.onAttach(context);
        setMContext(context);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: org.dsq.library.ui.CommonFragment<VB extends androidx.databinding.ViewDataBinding, VM extends b.q.k> */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // androidx.fragment.app.Fragment
    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        o.e(layoutInflater, "inflater");
        ViewDataBinding c2 = d.c(getLayoutInflater(), getContentLayout(), viewGroup, false);
        o.d(c2, "inflate(layoutInflater,g…Layout(),container,false)");
        setMBinding(c2);
        getMBinding().setLifecycleOwner(this);
        return getMBinding().getRoot();
    }

    @Override // androidx.fragment.app.Fragment
    public void onDestroyView() {
        super.onDestroyView();
        getMBinding().unbind();
    }

    @Override // androidx.fragment.app.Fragment
    public void onResume() {
        super.onResume();
        if (this.firstLoading) {
            this.firstLoading = false;
            initData();
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onViewCreated(View view, Bundle bundle) {
        o.e(view, "view");
        super.onViewCreated(view, bundle);
        KeyboardDismisser.useWith(this);
        initView();
    }

    public void redirectActivity(String str, Object obj, Class<?> cls) {
        o.e(str, CacheEntity.KEY);
        o.e(cls, "clazz");
        if (!isDoubleClick()) {
            Intent intent = new Intent(getMContext(), cls);
            if ((str.length() > 0) && obj != null) {
                if (obj instanceof Integer) {
                    intent.putExtra(str, ((Number) obj).intValue());
                } else if (obj instanceof String) {
                    intent.putExtra(str, (String) obj);
                } else if (obj instanceof Boolean) {
                    intent.putExtra(str, ((Boolean) obj).booleanValue());
                } else if (obj instanceof Parcelable) {
                    intent.putExtra(str, (Parcelable) obj);
                } else if (obj instanceof Serializable) {
                    intent.putExtra(str, (Serializable) obj);
                }
            }
            startActivity(intent);
        }
    }

    public final void setFirstLoading(boolean z) {
        this.firstLoading = z;
    }

    public final void setMBinding(VB vb) {
        o.e(vb, "<set-?>");
        this.mBinding = vb;
    }

    public final void setMContext(Context context) {
        o.e(context, "<set-?>");
        this.mContext = context;
    }

    public final void setResumeRefresh(boolean z) {
        this.isResumeRefresh = z;
    }

    public static /* synthetic */ void redirectActivity$default(CommonFragment commonFragment, String str, Object obj, Class cls, int i2, int i3, Object obj2) {
        if (obj2 == null) {
            if ((i3 & 1) != 0) {
                str = "";
            }
            if ((i3 & 2) != 0) {
                obj = null;
            }
            commonFragment.redirectActivity(str, obj, cls, i2);
            return;
        }
        throw new UnsupportedOperationException("Super calls with default arguments not supported in this target, function: redirectActivity");
    }

    public void redirectActivity(String str, Object obj, Class<?> cls, int i2) {
        o.e(str, CacheEntity.KEY);
        o.e(cls, "clazz");
        if (!isDoubleClick()) {
            Intent intent = new Intent(getMContext(), cls);
            if ((str.length() > 0) && obj != null) {
                if (obj instanceof Integer) {
                    intent.putExtra(str, ((Number) obj).intValue());
                } else if (obj instanceof String) {
                    intent.putExtra(str, (String) obj);
                } else if (obj instanceof Boolean) {
                    intent.putExtra(str, ((Boolean) obj).booleanValue());
                } else if (obj instanceof Parcelable) {
                    intent.putExtra(str, (Parcelable) obj);
                } else if (obj instanceof Serializable) {
                    intent.putExtra(str, (Serializable) obj);
                }
            }
            startActivityForResult(intent, i2);
        }
    }

    public void redirectActivity(Class<?> cls) {
        o.e(cls, "clazz");
        if (!isDoubleClick()) {
            startActivity(new Intent(getMContext(), cls));
        }
    }

    public void redirectActivity(Intent intent) {
        o.e(intent, "intent");
        if (!isDoubleClick()) {
            startActivity(intent);
        }
    }
}
