package org.dsq.library.ui;

import android.os.Bundle;
import android.view.View;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.recyclerview.widget.SimpleItemAnimator;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.listener.OnItemChildClickListener;
import com.chad.library.adapter.base.listener.OnItemClickListener;
import com.luck.picture.lib.config.PictureConfig;
import com.lzy.okgo.model.HttpParams;
import d.l.b.g.g.b;
import d.o.a.b.b.i;
import d.o.a.b.f.d;
import h.a;
import h.p.b.o;
import java.util.Collection;
import java.util.List;
import java.util.Objects;
import org.dsq.library.R;
import org.dsq.library.databinding.LayoutDataListBinding;
import org.dsq.library.expand.KtExpandKt;
import org.dsq.library.viewmodel.ListDataViewModel;
import org.dsq.library.widget.ItemSpaceDecoration;

/* compiled from: DataListFragment.kt */
public abstract class DataListFragment<T, VM extends ListDataViewModel<T>> extends CommonFragment<LayoutDataListBinding, VM> implements d, OnItemClickListener, OnItemChildClickListener {
    private final a httpParams$delegate = b.d0(new DataListFragment$httpParams$2(this));
    private boolean isManual;
    private final a mAdapter$delegate = b.d0(new DataListFragment$mAdapter$2(this));
    private int pager = 1;
    private int pagerSize = 20;

    private final void getDataList() {
        if (getMAdapter().getData().isEmpty()) {
            ((LayoutDataListBinding) getMBinding()).statusLayout.showLoading();
        }
        this.pager = 1;
        getHttpParams().put(PictureConfig.EXTRA_PAGE, this.pager, new boolean[0]);
        getHttpParams().put("pageSize", this.pagerSize, new boolean[0]);
        ((ListDataViewModel) getViewModel()).requestDataList(getHttpParams());
    }

    private final BaseQuickAdapter<T, ?> getMAdapter() {
        return (BaseQuickAdapter) this.mAdapter$delegate.getValue();
    }

    /* access modifiers changed from: private */
    /* renamed from: initData$lambda-0  reason: not valid java name */
    public static final void m37initData$lambda0(DataListFragment dataListFragment, List list) {
        o.e(dataListFragment, "this$0");
        ((LayoutDataListBinding) dataListFragment.getMBinding()).refreshLayout.k();
        if (list != null) {
            if (!list.isEmpty()) {
                if (dataListFragment.pager == 1) {
                    dataListFragment.getMAdapter().setList(list);
                    ((LayoutDataListBinding) dataListFragment.getMBinding()).statusLayout.hideLoading();
                } else {
                    dataListFragment.getMAdapter().addData((Collection) list);
                }
                if (list.size() < dataListFragment.pagerSize) {
                    ((LayoutDataListBinding) dataListFragment.getMBinding()).refreshLayout.j();
                } else {
                    ((LayoutDataListBinding) dataListFragment.getMBinding()).refreshLayout.h();
                }
            } else if (dataListFragment.pager == 1) {
                dataListFragment.getMAdapter().setList(null);
                ((LayoutDataListBinding) dataListFragment.getMBinding()).statusLayout.showEmpty();
                ((LayoutDataListBinding) dataListFragment.getMBinding()).refreshLayout.k();
            } else {
                ((LayoutDataListBinding) dataListFragment.getMBinding()).refreshLayout.j();
            }
        } else if (dataListFragment.getMAdapter().getData().isEmpty()) {
            ((LayoutDataListBinding) dataListFragment.getMBinding()).statusLayout.showError();
        }
    }

    public static /* synthetic */ void refreshData$default(DataListFragment dataListFragment, boolean z, int i2, Object obj) {
        if (obj == null) {
            if ((i2 & 1) != 0) {
                z = false;
            }
            dataListFragment.refreshData(z);
            return;
        }
        throw new UnsupportedOperationException("Super calls with default arguments not supported in this target, function: refreshData");
    }

    @Override // org.dsq.library.ui.CommonFragment
    public int getContentLayout() {
        return R.layout.layout_data_list;
    }

    public BaseQuickAdapter<T, ?> getDataAdapter() {
        return getMAdapter();
    }

    public View getHeaderView() {
        return null;
    }

    public final HttpParams getHttpParams() {
        return (HttpParams) this.httpParams$delegate.getValue();
    }

    public abstract HttpParams getImplHttpParams();

    public RecyclerView.k getImplItemDecoration() {
        return new ItemSpaceDecoration(getRecyclerItemSpac());
    }

    public RecyclerView.LayoutManager getImplManager() {
        return new LinearLayoutManager(requireContext());
    }

    public abstract BaseQuickAdapter<T, ?> getImpleAdapter();

    public int getRecyclerItemSpac() {
        return getImplManager() instanceof LinearLayoutManager ? 15 : 10;
    }

    public int[] getRecyclerPadding() {
        int px = KtExpandKt.toPx(15);
        return new int[]{px, 0, px, 0};
    }

    @Override // org.dsq.library.ui.CommonFragment
    public void initData() {
        ((ListDataViewModel) getViewModel()).getDataList().e(getViewLifecycleOwner(), new k.a.a.a.b(this));
        this.isManual = isManualInit();
        setResumeRefresh(resumeRefresh());
        if (!isResumeRefresh() && !this.isManual) {
            getDataList();
        }
    }

    @Override // org.dsq.library.ui.CommonFragment
    public void initView() {
        getMAdapter().setOnItemClickListener(this);
        getMAdapter().setOnItemChildClickListener(this);
    }

    public boolean isEnableLoadMore() {
        return true;
    }

    public boolean isEnableRefresh() {
        return true;
    }

    public boolean isManualInit() {
        return false;
    }

    @Override // com.chad.library.adapter.base.listener.OnItemChildClickListener
    public void onItemChildClick(BaseQuickAdapter<?, ?> baseQuickAdapter, View view, int i2) {
        o.e(baseQuickAdapter, "adapter");
        o.e(view, "view");
    }

    @Override // com.chad.library.adapter.base.listener.OnItemClickListener
    public void onItemClick(BaseQuickAdapter<?, ?> baseQuickAdapter, View view, int i2) {
        o.e(baseQuickAdapter, "adapter");
        o.e(view, "view");
    }

    @Override // d.o.a.b.f.b
    public void onLoadMore(i iVar) {
        o.e(iVar, "refreshLayout");
        this.pager++;
        getHttpParams().put(PictureConfig.EXTRA_PAGE, this.pager, new boolean[0]);
        ((ListDataViewModel) getViewModel()).requestDataList(getHttpParams());
    }

    @Override // d.o.a.b.f.c
    public void onRefresh(i iVar) {
        o.e(iVar, "refreshLayout");
        this.pager = 1;
        getHttpParams().put(PictureConfig.EXTRA_PAGE, this.pager, new boolean[0]);
        ((ListDataViewModel) getViewModel()).requestDataList(getHttpParams());
    }

    @Override // org.dsq.library.ui.CommonFragment, androidx.fragment.app.Fragment
    public void onResume() {
        super.onResume();
        if (isResumeRefresh()) {
            getDataList();
        }
    }

    @Override // org.dsq.library.ui.CommonFragment, androidx.fragment.app.Fragment
    public void onViewCreated(View view, Bundle bundle) {
        o.e(view, "view");
        super.onViewCreated(view, bundle);
        ((LayoutDataListBinding) getMBinding()).refreshLayout.w(this);
        ((LayoutDataListBinding) getMBinding()).refreshLayout.L = isEnableRefresh();
        ((LayoutDataListBinding) getMBinding()).refreshLayout.t(isEnableLoadMore());
        View headerView = getHeaderView();
        if (headerView != null) {
            BaseQuickAdapter.addHeaderView$default(getMAdapter(), headerView, 0, 0, 6, null);
        } else {
            ((LayoutDataListBinding) getMBinding()).recyclerView.addItemDecoration(getImplItemDecoration());
        }
        ((LayoutDataListBinding) getMBinding()).recyclerView.setLayoutManager(getImplManager());
        ((LayoutDataListBinding) getMBinding()).recyclerView.setAdapter(getMAdapter());
        int[] recyclerPadding = getRecyclerPadding();
        ((LayoutDataListBinding) getMBinding()).recyclerView.setPadding(recyclerPadding[0], recyclerPadding[1], recyclerPadding[2], recyclerPadding[3]);
        RecyclerView.ItemAnimator itemAnimator = ((LayoutDataListBinding) getMBinding()).recyclerView.getItemAnimator();
        Objects.requireNonNull(itemAnimator, "null cannot be cast to non-null type androidx.recyclerview.widget.SimpleItemAnimator");
        ((SimpleItemAnimator) itemAnimator).f1901g = false;
    }

    public final void refreshData(boolean z) {
        if (z) {
            ((LayoutDataListBinding) getMBinding()).statusLayout.showLoading();
        }
        this.pager = 1;
        getHttpParams().put(PictureConfig.EXTRA_PAGE, this.pager, new boolean[0]);
        ((ListDataViewModel) getViewModel()).requestDataList(getHttpParams());
    }

    public boolean resumeRefresh() {
        return false;
    }

    public void scrollToPosition(int i2) {
        ((LayoutDataListBinding) getMBinding()).recyclerView.scrollToPosition(i2);
    }
}
