package org.dsq.library.widget;

import android.content.Context;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.View;
import android.widget.ImageView;
import com.lzy.okgo.request.GetRequest;
import com.shuyu.gsyvideoplayer.video.StandardGSYVideoPlayer;
import d.m.a.a;
import d.p.a.f.d;
import h.p.b.o;
import h.u.i;
import java.io.File;
import java.io.IOException;
import k.a.a.b.a;
import org.dsq.library.R;

/* compiled from: CacheM3u8FilePlayer.kt */
public class CacheM3u8FilePlayer extends StandardGSYVideoPlayer implements d {
    private final File m3u8Dir = new File(getContext().getExternalCacheDir(), "cacheM3u8");
    private final File playDir = new File(getContext().getExternalCacheDir(), "cachePlay");
    private String videoTitle;

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public CacheM3u8FilePlayer(Context context) {
        super(context);
        o.e(context, "context");
        setShowFullAnimation(false);
        setNeedShowWifiTip(false);
        setLockLand(true);
        setRotateViewAuto(false);
        setGSYVideoProgressListener(this);
        ImageView fullscreenButton = getFullscreenButton();
        if (fullscreenButton != null) {
            fullscreenButton.setOnClickListener(new a(this));
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: _init_$lambda-0  reason: not valid java name */
    public static final void m40_init_$lambda0(CacheM3u8FilePlayer cacheM3u8FilePlayer, View view) {
        o.e(cacheM3u8FilePlayer, "this$0");
        cacheM3u8FilePlayer.startWindowFullscreen(cacheM3u8FilePlayer.getContext(), false, true);
    }

    private final void downloadM3u8(String str) {
        if (!this.m3u8Dir.exists()) {
            this.m3u8Dir.mkdir();
        }
        ((GetRequest) new GetRequest(str).tag(this)).execute(new CacheM3u8FilePlayer$downloadM3u8$1(this, this.m3u8Dir));
    }

    private final String getCacheFile(String str) {
        File file = this.m3u8Dir;
        String substring = str.substring(i.i(str, "/", 0, false, 6), str.length());
        o.d(substring, "(this as java.lang.Strin…ing(startIndex, endIndex)");
        File file2 = new File(file, substring);
        if (file2.exists()) {
            String absolutePath = file2.getAbsolutePath();
            o.d(absolutePath, "cacheFile.absolutePath");
            return absolutePath;
        }
        downloadM3u8(str);
        return "";
    }

    public static /* synthetic */ void setPlayUrl$default(CacheM3u8FilePlayer cacheM3u8FilePlayer, String str, CharSequence charSequence, int i2, Object obj) {
        if (obj == null) {
            if ((i2 & 2) != 0) {
                charSequence = "";
            }
            cacheM3u8FilePlayer.setPlayUrl(str, charSequence);
            return;
        }
        throw new UnsupportedOperationException("Super calls with default arguments not supported in this target, function: setPlayUrl");
    }

    public final void cancelDownload() {
        a.b.f12292a.b(this);
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYVideoView, com.shuyu.gsyvideoplayer.video.StandardGSYVideoPlayer
    public int getLayoutId() {
        return R.layout.layout_video_normal;
    }

    @Override // com.shuyu.gsyvideoplayer.video.base.GSYVideoControlView, com.shuyu.gsyvideoplayer.video.StandardGSYVideoPlayer
    public void onDetachedFromWindow() {
        a.b.f12292a.b(this);
        super.onDetachedFromWindow();
    }

    @Override // d.p.a.f.d
    public void onProgress(int i2, int i3, int i4, int i5) {
    }

    public final void setPlayUrl(String str, CharSequence charSequence) {
        o.e(str, "url");
        o.e(charSequence, "title");
        String str2 = this.videoTitle;
        if (str2 == null || str2.length() == 0) {
            this.videoTitle = charSequence.toString();
        }
        try {
            String cacheFile = getCacheFile(str);
            if (!TextUtils.isEmpty(cacheFile)) {
                setUp(cacheFile, true, this.videoTitle);
            }
        } catch (IOException e2) {
            e2.printStackTrace();
        }
    }

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public CacheM3u8FilePlayer(Context context, boolean z) {
        super(context, Boolean.valueOf(z));
        o.e(context, "context");
        setShowFullAnimation(false);
        setNeedShowWifiTip(false);
        setLockLand(true);
        setRotateViewAuto(false);
        setGSYVideoProgressListener(this);
        ImageView fullscreenButton = getFullscreenButton();
        if (fullscreenButton != null) {
            fullscreenButton.setOnClickListener(new k.a.a.b.a(this));
        }
    }

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public CacheM3u8FilePlayer(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        o.e(context, "context");
        o.e(attributeSet, "attrs");
        setShowFullAnimation(false);
        setNeedShowWifiTip(false);
        setLockLand(true);
        setRotateViewAuto(false);
        setGSYVideoProgressListener(this);
        ImageView fullscreenButton = getFullscreenButton();
        if (fullscreenButton != null) {
            fullscreenButton.setOnClickListener(new k.a.a.b.a(this));
        }
    }
}
