package org.dsq.library.widget;

import android.content.Context;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewParent;
import android.widget.FrameLayout;
import androidx.viewpager2.widget.ViewPager2;
import d.d.a.k.e;
import h.p.b.m;
import h.p.b.o;

/* compiled from: NestedScrollableHost.kt */
public final class NestedScrollableHost extends FrameLayout {
    private float initialX;
    private float initialY;
    private int touchSlop;

    /* JADX INFO: this call moved to the top of the method (can break code semantics) */
    public NestedScrollableHost(Context context) {
        this(context, null, 2, null);
        o.e(context, "context");
    }

    /* JADX INFO: this call moved to the top of the method (can break code semantics) */
    public /* synthetic */ NestedScrollableHost(Context context, AttributeSet attributeSet, int i2, m mVar) {
        this(context, (i2 & 2) != 0 ? null : attributeSet);
    }

    private final boolean canChildScroll(int i2, float f2) {
        int i3 = -((int) Math.signum(f2));
        if (i2 == 0) {
            View child = getChild();
            if (child == null) {
                return false;
            }
            return child.canScrollHorizontally(i3);
        } else if (i2 == 1) {
            View child2 = getChild();
            if (child2 == null) {
                return false;
            }
            return child2.canScrollVertically(i3);
        } else {
            throw new IllegalArgumentException();
        }
    }

    private final View getChild() {
        if (getChildCount() > 0) {
            return getChildAt(0);
        }
        return null;
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x0022  */
    /* JADX WARNING: Removed duplicated region for block: B:18:? A[RETURN, SYNTHETIC] */
    private final ViewPager2 getParentViewPager() {
        View view;
        ViewParent parent = getParent();
        if (parent instanceof View) {
            view = (View) parent;
            while (true) {
                if (view != null && !(view instanceof ViewPager2)) {
                    ViewParent parent2 = view.getParent();
                    if (!(parent2 instanceof View)) {
                        break;
                    }
                    view = (View) parent2;
                    view = (View) parent2;
                }
            }
            if (!(view instanceof ViewPager2)) {
                return (ViewPager2) view;
            }
            return null;
        }
        view = null;
        while (true) {
            if (view != null) {
                break;
            }
            break;
            view = (View) parent2;
        }
        if (!(view instanceof ViewPager2)) {
        }
    }

    private final void handleInterceptTouchEvent(MotionEvent motionEvent) {
        ViewPager2 parentViewPager = getParentViewPager();
        Integer valueOf = parentViewPager == null ? null : Integer.valueOf(parentViewPager.getOrientation());
        if (valueOf != null) {
            int intValue = valueOf.intValue();
            float f2 = 1.0f;
            if (!canChildScroll(intValue, -1.0f) && !canChildScroll(intValue, 1.0f)) {
                return;
            }
            if (motionEvent.getAction() == 0) {
                this.initialX = motionEvent.getX();
                this.initialY = motionEvent.getY();
                getParent().requestDisallowInterceptTouchEvent(true);
            } else if (motionEvent.getAction() == 2) {
                float x = motionEvent.getX() - this.initialX;
                float y = motionEvent.getY() - this.initialY;
                boolean z = intValue == 0;
                float abs = Math.abs(x) * (z ? 0.5f : 1.0f);
                float abs2 = Math.abs(y);
                if (!z) {
                    f2 = 0.5f;
                }
                float f3 = abs2 * f2;
                int i2 = this.touchSlop;
                if (abs > ((float) i2) || f3 > ((float) i2)) {
                    if (z == (f3 > abs)) {
                        getParent().requestDisallowInterceptTouchEvent(false);
                        return;
                    }
                    if (!z) {
                        x = y;
                    }
                    if (canChildScroll(intValue, x)) {
                        getParent().requestDisallowInterceptTouchEvent(true);
                    } else {
                        getParent().requestDisallowInterceptTouchEvent(false);
                    }
                }
            }
        }
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        o.e(motionEvent, e.f7759a);
        handleInterceptTouchEvent(motionEvent);
        return super.onInterceptTouchEvent(motionEvent);
    }

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public NestedScrollableHost(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        o.e(context, "context");
        this.touchSlop = ViewConfiguration.get(context).getScaledTouchSlop();
    }
}
