package pl.droidsonroids.gif;

import android.content.ContentResolver;
import android.content.Context;
import android.content.res.AssetFileDescriptor;
import android.graphics.Bitmap;
import android.net.Uri;
import android.os.Build;
import android.system.Os;
import android.view.Surface;
import d.a.a.a.a;
import d.l.b.g.g.b;
import java.io.FileDescriptor;
import java.io.IOException;
import java.io.InputStream;
import java.nio.ByteBuffer;
import l.a.b.e;

public final class GifInfoHandle {

    /* renamed from: a  reason: collision with root package name */
    public volatile long f13648a;

    static {
        try {
            System.loadLibrary("pl_droidsonroids_gif");
        } catch (UnsatisfiedLinkError unused) {
            if (b.f12284c == null) {
                try {
                    b.f12284c = (Context) Class.forName("android.app.ActivityThread").getDeclaredMethod("currentApplication", new Class[0]).invoke(null, new Object[0]);
                } catch (Exception e2) {
                    throw new IllegalStateException("LibraryLoader not initialized. Call LibraryLoader.initialize() before using library classes.", e2);
                }
            }
            new e().c(b.f12284c, "pl_droidsonroids_gif", null, null);
        }
    }

    public GifInfoHandle() {
    }

    public static native void bindSurface(long j2, Surface surface, long[] jArr);

    public static native int createTempNativeFileDescriptor();

    public static long e(FileDescriptor fileDescriptor, long j2, boolean z) {
        int i2;
        if (Build.VERSION.SDK_INT > 27) {
            try {
                i2 = createTempNativeFileDescriptor();
                Os.dup2(fileDescriptor, i2);
                if (z) {
                    Os.close(fileDescriptor);
                }
            } catch (Exception e2) {
                throw new GifIOException(GifError.OPEN_FAILED.errorCode, e2.getMessage());
            } catch (Throwable th) {
                if (z) {
                    Os.close(fileDescriptor);
                }
                throw th;
            }
        } else {
            i2 = extractNativeFileDescriptor(fileDescriptor, z);
        }
        return openNativeFileDescriptor(i2, j2);
    }

    public static native int extractNativeFileDescriptor(FileDescriptor fileDescriptor, boolean z);

    public static GifInfoHandle f(ContentResolver contentResolver, Uri uri) {
        if ("file".equals(uri.getScheme())) {
            return new GifInfoHandle(uri.getPath());
        }
        AssetFileDescriptor openAssetFileDescriptor = contentResolver.openAssetFileDescriptor(uri, "r");
        if (openAssetFileDescriptor != null) {
            return new GifInfoHandle(openAssetFileDescriptor);
        }
        throw new IOException(a.p("Could not open AssetFileDescriptor for ", uri));
    }

    public static native void free(long j2);

    public static native long getAllocationByteCount(long j2);

    public static native int getCurrentFrameIndex(long j2);

    public static native int getCurrentLoop(long j2);

    public static native int getCurrentPosition(long j2);

    public static native int getDuration(long j2);

    public static native int getHeight(long j2);

    public static native int getLoopCount(long j2);

    public static native long getMetadataByteCount(long j2);

    public static native int getNativeErrorCode(long j2);

    public static native int getNumberOfFrames(long j2);

    public static native long[] getSavedState(long j2);

    public static native int getWidth(long j2);

    public static native boolean isOpaque(long j2);

    public static native long openByteArray(byte[] bArr);

    public static native long openDirectByteBuffer(ByteBuffer byteBuffer);

    public static native long openFile(String str);

    public static native long openNativeFileDescriptor(int i2, long j2);

    public static native long openStream(InputStream inputStream);

    public static native void postUnbindSurface(long j2);

    public static native long renderFrame(long j2, Bitmap bitmap);

    public static native boolean reset(long j2);

    public static native long restoreRemainder(long j2);

    public static native int restoreSavedState(long j2, long[] jArr, Bitmap bitmap);

    public static native void saveRemainder(long j2);

    public static native void seekToTime(long j2, int i2, Bitmap bitmap);

    public static native void setLoopCount(long j2, char c2);

    public static native void setOptions(long j2, char c2, boolean z);

    public static native void setSpeedFactor(long j2, float f2);

    public synchronized int a() {
        return getHeight(this.f13648a);
    }

    public synchronized int b() {
        return getNumberOfFrames(this.f13648a);
    }

    public synchronized int c() {
        return getWidth(this.f13648a);
    }

    public synchronized boolean d() {
        return this.f13648a == 0;
    }

    public void finalize() {
        try {
            g();
        } finally {
            super.finalize();
        }
    }

    public synchronized void g() {
        free(this.f13648a);
        this.f13648a = 0;
    }

    public void h(int i2) {
        if (i2 < 0 || i2 > 65535) {
            throw new IllegalArgumentException("Loop count of range <0, 65535>");
        }
        synchronized (this) {
            setLoopCount(this.f13648a, (char) i2);
        }
    }

    public void i(float f2) {
        if (f2 <= 0.0f || Float.isNaN(f2)) {
            throw new IllegalArgumentException("Speed factor is not positive");
        }
        if (f2 < 4.656613E-10f) {
            f2 = 4.656613E-10f;
        }
        synchronized (this) {
            setSpeedFactor(this.f13648a, f2);
        }
    }

    public GifInfoHandle(FileDescriptor fileDescriptor) {
        this.f13648a = e(fileDescriptor, 0, true);
    }

    public GifInfoHandle(byte[] bArr) {
        this.f13648a = openByteArray(bArr);
    }

    public GifInfoHandle(ByteBuffer byteBuffer) {
        this.f13648a = openDirectByteBuffer(byteBuffer);
    }

    public GifInfoHandle(String str) {
        this.f13648a = openFile(str);
    }

    public GifInfoHandle(InputStream inputStream) {
        if (inputStream.markSupported()) {
            this.f13648a = openStream(inputStream);
            return;
        }
        throw new IllegalArgumentException("InputStream does not support marking");
    }

    public GifInfoHandle(AssetFileDescriptor assetFileDescriptor) {
        try {
            this.f13648a = e(assetFileDescriptor.getFileDescriptor(), assetFileDescriptor.getStartOffset(), false);
        } finally {
            try {
                assetFileDescriptor.close();
            } catch (IOException unused) {
            }
        }
    }
}
